  -- phpMyAdmin SQL Dump
-- version 4.5.1
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Generation Time: Jul 29, 2016 at 01:18 PM
-- Server version: 10.1.13-MariaDB
-- PHP Version: 5.6.21

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `fekara_client`
--

-- --------------------------------------------------------

--
-- Table structure for table `account_heads`
--

CREATE TABLE IF NOT EXISTS `course_material` (
  `id` INT(11) AUTO_INCREMENT PRIMARY KEY,
  `classes` text DEFAULT NULL,
  `subjects` text DEFAULT NULL,
  `name` text DEFAULT NULL,
  `description` text DEFAULT NULL,
  `uploadfile` text DEFAULT NULL,
  `added_by` varchar(255) DEFAULT NULL,
  `added_time` varchar(255) DEFAULT NULL,
  `added_ip` text
);

CREATE TABLE IF NOT EXISTS `teacher_upload_file` (
   `id` INT(11) AUTO_INCREMENT PRIMARY KEY,
   `teacherid` text DEFAULT NULL,
   `teacher_name` text DEFAULT NULL,
   `class` text DEFAULT NULL,
   `file` text DEFAULT NULL,
   `file_name` text DEFAULT NULL
);

CREATE TABLE IF NOT EXISTS `datesheet` (
    `id` INT(11) AUTO_INCREMENT PRIMARY KEY,
    `classid` text DEFAULT NULL,
    `subject_name` text DEFAULT NULL,
    `subject_date` text DEFAULT NULL,
    `added_by` text DEFAULT NULL,
    `added_time` text DEFAULT NULL,
    `added_ip` text DEFAULT NULL
);

CREATE TABLE IF NOT EXISTS `weekly_lecture_schedule` (
    `id` INT(11) AUTO_INCREMENT PRIMARY KEY,
    `teacherid` text DEFAULT NULL,
    `teacher_name` text DEFAULT NULL,
    `classid` text DEFAULT NULL,
    `classname` text DEFAULT NULL,
    `time` text DEFAULT NULL,
    `monday` text DEFAULT NULL,
    `tuesday` text DEFAULT NULL,
    `wednesday` text DEFAULT NULL,
    `thursday` text DEFAULT NULL,
    `friday` text DEFAULT NULL,
    `saturday` text DEFAULT NULL
);

--------------------------

CREATE TABLE IF NOT EXISTS `account_heads` (
  `id` int(11) NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `head` varchar(250) NOT NULL
);

-- --------------------------------------------------------

--
-- Table structure for table `account_transactions`
--

CREATE TABLE IF NOT EXISTS `account_transactions` (
  `id` int(11) NOT NULL,
  `description` varchar(250) NOT NULL,
  `student_id` int(11) NOT NULL,
  `fee_paid_id` int(11) NOT NULL COMMENT 'ID from fee_paid table',
  `teacher_id` int(11) NOT NULL,
  `employee_id` int(11) NOT NULL,
  `amount` double(12,2) NOT NULL,
  `date` date NOT NULL,
  `added_by` int(11) NOT NULL,
  `added_time` datetime NOT NULL,
  `added_ip` varchar(50) NOT NULL,
  `receipt_number` varchar(50) NOT NULL,
  `daily_expense` tinyint(1) NOT NULL DEFAULT '0',
  `payment_mode` varchar(20) NOT NULL DEFAULT 'Cash',
  `amount_out` double(10,2) NOT NULL,
  `head` varchar(200) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `admins`
--

CREATE TABLE IF NOT EXISTS `admins` (
  `id` int(11) NOT NULL,
  `username` varchar(100) NOT NULL,
  `password` varchar(100) NOT NULL,
  `login_time` datetime NOT NULL,
  `login_ip` varchar(100) NOT NULL,
  `is_admin` tinyint(1) NOT NULL DEFAULT '0',
  `name` varchar(100) NOT NULL,
  `active` tinyint(1) NOT NULL DEFAULT '1',
  `email` varchar(100) NOT NULL,
  `phone` varchar(100) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `attendance`
--

CREATE TABLE IF NOT EXISTS `attendance` (
  `id` int(11) NOT NULL,
  `student_id` int(11) NOT NULL,
  `attendance` char(1) NOT NULL,
  `date` date NOT NULL,
  `subject_id` int(11) NOT NULL,
  `added_by` int(11) NOT NULL,
  `added_ip` varchar(50) NOT NULL,
  `added_time` datetime NOT NULL,
  `edit_by` int(11) NOT NULL,
  `class_id` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `batches`
--

CREATE TABLE IF NOT EXISTS `batches` (
  `id` int(11) NOT NULL,
  `batch_name` varchar(50) NOT NULL,
  `active` tinyint(1) NOT NULL DEFAULT '1',
  `added_by` int(11) NOT NULL,
  `added_time` datetime NOT NULL,
  `added_ip` varchar(50) NOT NULL,
  `start_date` date NOT NULL,
  `end_date` date NOT NULL
);

-- --------------------------------------------------------

--
-- Table structure for table `batch_classes`
--

CREATE TABLE IF NOT EXISTS `batch_classes` (
  `id` int(11) NOT NULL,
  `class_name` varchar(50) NOT NULL,
  `batch_id` int(11) NOT NULL,
  `active` tinyint(1) NOT NULL DEFAULT '1',
  `added_by` int(11) NOT NULL,
  `added_time` datetime NOT NULL,
  `added_ip` varchar(50) NOT NULL,
  `fee` decimal(10,2) NOT NULL,
  `admission_fee` decimal(10,2) NOT NULL,
  `attendance_type` char(1) NOT NULL DEFAULT 'D'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `batch_classes_x_subjects`
--

CREATE TABLE IF NOT EXISTS `batch_classes_x_subjects` (
  `class_id` int(11) NOT NULL,
  `subject` varchar(50) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `batch_classes_x_tution_fee`
--

CREATE TABLE IF NOT EXISTS `batch_classes_x_tution_fee` (
  `id` bigint(20) NOT NULL,
  `class_id` int(11) NOT NULL,
  `from_date` date NOT NULL,
  `to_date` date NOT NULL,
  `due_date` date NOT NULL,
  `last_payment` date NOT NULL,
  `added_by` int(11) NOT NULL,
  `added_time` datetime NOT NULL,
  `added_ip` varchar(50) NOT NULL,
  `slab_name` varchar(50) NOT NULL,
  `fee_amount` decimal(10,2) NOT NULL,
  `payable_done` tinyint(1) NOT NULL DEFAULT '0',
  `type` varchar(15) NOT NULL DEFAULT 'Tution',
  `fine_id` int(11) NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `classes`
--

CREATE TABLE IF NOT EXISTS `classes` (
  `id` int(11) NOT NULL,
  `name` varchar(100) NOT NULL,
  `description` text NOT NULL,
  `added_by` int(11) NOT NULL,
  `added_time` datetime NOT NULL,
  `added_ip` varchar(100) NOT NULL,
  `subjects` text NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `exams`
--

CREATE TABLE IF NOT EXISTS `exams` (
  `id` int(11) NOT NULL,
  `name` varchar(200) NOT NULL,
  `description` text NOT NULL,
  `date` date NOT NULL,
  `active` tinyint(1) NOT NULL DEFAULT '1',
  `added_by` int(11) NOT NULL,
  `added_time` datetime NOT NULL,
  `added_ip` varchar(50) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `fee_paid`
--

CREATE TABLE IF NOT EXISTS `fee_paid` (
  `id` int(11) NOT NULL,
  `student_id` int(11) NOT NULL,
  `fee_type` varchar(10) NOT NULL,
  `amount` decimal(10,2) NOT NULL,
  `description` text NOT NULL,
  `added_by` int(11) NOT NULL,
  `added_time` datetime NOT NULL,
  `added_ip` varchar(50) NOT NULL,
  `fee_title` varchar(100) NOT NULL,
  `fee_date` date NOT NULL,
  `paid` tinyint(1) NOT NULL DEFAULT '0',
  `due_date` date NOT NULL,
  `last_payment_date` date NOT NULL,
  `paid_system_time` datetime NOT NULL,
  `paid_by` int(11) NOT NULL,
  `paid_ip` varchar(50) NOT NULL,
  `receipt_number` varchar(20) NOT NULL,
  `fee_slab_id` bigint(20) NOT NULL DEFAULT '0',
  `fine` decimal(10,2) NOT NULL DEFAULT '0.00'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

-- --------------------------------------------------------

--
-- Table structure for table `fine_slabs`
--

CREATE TABLE IF NOT EXISTS `fine_slabs` (
  `id` int(11) NOT NULL,
  `name` varchar(50) NOT NULL,
  `amount` decimal(10,2) NOT NULL,
  `amount_type` varchar(10) NOT NULL,
  `fine_implement` varchar(10) NOT NULL,
  `added_by` int(11) NOT NULL,
  `added_time` datetime NOT NULL,
  `added_ip` varchar(50) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `holidays`
--

CREATE TABLE IF NOT EXISTS `holidays` (
  `id` int(11) NOT NULL,
  `title` varchar(100) NOT NULL,
  `from_date` date NOT NULL,
  `to_date` date NOT NULL,
  `added_by` int(11) NOT NULL,
  `added_time` datetime NOT NULL,
  `added_ip` varchar(50) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `mark_sheets`
--

CREATE TABLE IF NOT EXISTS `mark_sheets` (
  `schedule_id` int(11) NOT NULL,
  `week` varchar(50) NOT NULL,
  `total_marks` decimal(6,2) NOT NULL,
  `start_date` date NOT NULL,
  `passing_marks` decimal(6,2) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `mark_sheets_data`
--

CREATE TABLE IF NOT EXISTS `mark_sheets_data` (
  `schedule_id` int(11) NOT NULL,
  `student_id` int(11) NOT NULL,
  `marks` decimal(6,2) NOT NULL,
  `attendance` tinyint(1) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `messages`
--

CREATE TABLE IF NOT EXISTS `messages` (
  `id` int(11) NOT NULL,
  `from` int(11) NOT NULL,
  `to` int(11) NOT NULL,
  `subject` varchar(250) NOT NULL,
  `message` text NOT NULL,
  `sending_time` datetime NOT NULL,
  `viewed` tinyint(1) DEFAULT '0',
  `sending_ip` varchar(50) NOT NULL,
  `reading_ip` varchar(50) NOT NULL,
  `reading_time` datetime NOT NULL,
  `status` varchar(10) NOT NULL,
  `deleted` tinyint(1) NOT NULL DEFAULT '0'
);

-- --------------------------------------------------------

--
-- Table structure for table `meta_data`
--

CREATE TABLE IF NOT EXISTS `meta_data` (
  `id` bigint(20) NOT NULL,
  `table_name` varchar(100) NOT NULL,
  `field_name` varchar(100) NOT NULL,
  `field_value` longtext NOT NULL,
  `primary_key` int(11) NOT NULL,
  `field_label` varchar(200) NOT NULL
);

-- --------------------------------------------------------

--
-- Table structure for table `options`
--

CREATE TABLE IF NOT EXISTS `options` (
  `id` int(11) NOT NULL,
  `field_name` text NOT NULL,
  `field_value` text NOT NULL
);

-- --------------------------------------------------------

--
-- Table structure for table `questions`
--

CREATE TABLE IF NOT EXISTS `questions` (
  `id` int(11) NOT NULL,
  `question` text NOT NULL,
  `cat_id` int(11) NOT NULL,
  `answers` text NOT NULL,
  `correct_answer` text NOT NULL,
  `type` tinyint(4) NOT NULL,
  `active` tinyint(1) NOT NULL DEFAULT '1',
  `added_by` int(11) NOT NULL,
  `added_time` datetime NOT NULL,
  `added_ip` varchar(50) NOT NULL
);

-- --------------------------------------------------------

--
-- Table structure for table `question_cats`
--

CREATE TABLE IF NOT EXISTS `question_cats` (
  `id` int(11) NOT NULL,
  `cat_name` varchar(200) NOT NULL,
  `active` tinyint(1) NOT NULL DEFAULT '1',
  `added_by` int(11) NOT NULL,
  `added_time` datetime NOT NULL,
  `added_ip` varchar(50) NOT NULL
);

-- --------------------------------------------------------

--
-- Table structure for table `salaries`
--

CREATE TABLE IF NOT EXISTS `salaries` (
  `id` int(11) NOT NULL,
  `salary` double(10,2) NOT NULL,
  `deduction` double(10,2) NOT NULL,
  `deduction_desc` varchar(255) NOT NULL,
  `teacher_id` int(11) NOT NULL,
  `employee_id` int(11) NOT NULL,
  `salary_month` date NOT NULL,
  `payment_date` date NOT NULL,
  `added_by` int(11) NOT NULL,
  `added_time` datetime NOT NULL,
  `added_ip` int(11) NOT NULL,
  `description` varchar(255) NOT NULL,
  `paid` tinyint(1) NOT NULL DEFAULT '0'
);

-- --------------------------------------------------------

--
-- Table structure for table `sms_queue`
--

CREATE TABLE IF NOT EXISTS `sms_queue` (
  `id` int(11) NOT NULL,
  `to` varchar(15) NOT NULL,
  `message` text NOT NULL,
  `user_id` int(11) NOT NULL,
  `ip` varchar(50) NOT NULL,
  `error` text NOT NULL
);

-- --------------------------------------------------------

--
-- Table structure for table `students`
--

CREATE TABLE IF NOT EXISTS `students` (
  `id` int(11) NOT NULL,
  `roll` varchar(15) NOT NULL,
  `name` varchar(100) NOT NULL,
  `father_name` varchar(100) NOT NULL,
  `guardian_name` varchar(100) NOT NULL,
  `phone` varchar(50) NOT NULL,
  `cell` varchar(100) NOT NULL,
  `guardian_cell` varchar(100) NOT NULL,
  `address` varchar(250) NOT NULL,
  `city` varchar(50) NOT NULL,
  `state` varchar(50) NOT NULL,
  `email` varchar(100) NOT NULL,
  `guardian_email` varchar(100) NOT NULL,
  `active` tinyint(1) NOT NULL DEFAULT '1',
  `added_by` int(11) NOT NULL,
  `added_time` datetime NOT NULL,
  `added_ip` varchar(100) NOT NULL,
  `admission_date` date NOT NULL,
  `dob` date NOT NULL,
  `nic` varchar(15) NOT NULL,
  `gender` char(1) NOT NULL DEFAULT 'M',
  `religion` varchar(50) NOT NULL,
  `blood_group` varchar(7) NOT NULL,
  `class_id` int(11) NOT NULL,
  `admission_number` int(15) NOT NULL,
  `nationality` varchar(50) NOT NULL,
  `is_sms` tinyint(1) NOT NULL DEFAULT '0',
  `is_email` tinyint(1) NOT NULL DEFAULT '0',
  `guardian_relation` varchar(20) NOT NULL DEFAULT '0',
  `guardian_dob` date NULL DEFAULT NULL,
  `guardian_education` varchar(30) NOT NULL DEFAULT '0',
  `guardian_occupation` varchar(30) NOT NULL DEFAULT '0',
  `guardian_income` decimal(15,2) NOT NULL DEFAULT '0.00',
  `guardian_address` varchar(200) NOT NULL,
  `guardian_city` varchar(30) NOT NULL,
  `guardian_state` varchar(30) NOT NULL,
  `guardian_phone` varchar(50) NOT NULL,
  `guardian_remarks` text NOT NULL,
  `birth_place` varchar(50) NOT NULL,
  `prev_institute1` varchar(100) NOT NULL,
  `prev_course1` varchar(100) NOT NULL,
  `prev_year1` varchar(4) NOT NULL,
  `prev_marks1` int(11) NOT NULL,
  `fee` decimal(10,2) NOT NULL,
  `admission_fee` decimal(10,2) NOT NULL,
  `deleted` tinyint(1) NOT NULL DEFAULT '0',
  `tution_fee` decimal(10,2) NOT NULL,
  `annual_funds` decimal(10,2) NOT NULL,
  `practical_charges` decimal(10,2) NOT NULL,
  `test_session_fee` decimal(10,2) NOT NULL,
  `admin_notes` text NOT NULL,
  `student_category` varchar(150) NOT NULL DEFAULT 'General'
);

-- --------------------------------------------------------

-- --------------------------------------------------------

--
-- Table structure for table `student_classes_subjects`
--

CREATE TABLE IF NOT EXISTS `student_classes_subjects` (
  `student_id` int(11) NOT NULL,
  `class_id` int(11) NOT NULL,
  `subject_id` int(11) NOT NULL
);

-- --------------------------------------------------------

--
-- Table structure for table `student_x_subject`
--

CREATE TABLE IF NOT EXISTS `student_x_subject` (
  `student_id` int(11) NOT NULL,
  `subject` varchar(100) NOT NULL
);

-- --------------------------------------------------------

--
-- Table structure for table `subjects`
--

CREATE TABLE IF NOT EXISTS `subjects` (
  `id` int(11) NOT NULL,
  `subject` varchar(100) NOT NULL,
  `short_name` varchar(10) NOT NULL,
  `order_by` tinyint(4) NOT NULL DEFAULT '0',
  `added_by` int(11) NOT NULL,
  `added_time` datetime NOT NULL,
  `added_ip` varchar(100) NOT NULL
);

-- --------------------------------------------------------

--
-- Table structure for table `teachers`
--

CREATE TABLE IF NOT EXISTS `teachers` (
  `id` int(11) NOT NULL,
  `name` varchar(100) NOT NULL,
  `short_name` varchar(15) NOT NULL,
  `cell` varchar(50) NOT NULL,
  `address` varchar(250) NOT NULL,
  `email` varchar(100) NOT NULL,
  `date_of_joining` date NOT NULL,
  `added_by` int(11) NOT NULL,
  `added_time` datetime NOT NULL,
  `added_ip` varchar(50) NOT NULL,
  `salary` double(10,2) NOT NULL,
  `active` tinyint(1) NOT NULL DEFAULT '1'
);

-- --------------------------------------------------------

--
-- Table structure for table `teacher_classes_subjects`
--

CREATE TABLE IF NOT EXISTS `teacher_classes_subjects` (
  `teacher_id` int(11) NOT NULL,
  `class_id` int(11) NOT NULL,
  `subject_id` int(11) NOT NULL
);

-- --------------------------------------------------------

--
-- Table structure for table `test_schedules`
--

CREATE TABLE IF NOT EXISTS `test_schedules` (
  `id` int(11) NOT NULL,
  `name` varchar(50) NOT NULL,
  `class_id` int(11) NOT NULL,
  `test_date` date NOT NULL,
  `subject` varchar(150) NOT NULL,
  `added_by` int(11) NOT NULL,
  `added_time` datetime NOT NULL,
  `added_ip` varchar(50) NOT NULL,
  `teacher` varchar(200) NOT NULL,
  `start_date` date NOT NULL
);

-- --------------------------------------------------------

--
-- Table structure for table `users_permissions`
--

CREATE TABLE IF NOT EXISTS `users_permissions` (
  `admin_id` int(11) NOT NULL,
  `permission` varchar(100) NOT NULL
);

-- --------------------------------------------------------

-- --------------------------------------------------------

--
-- Indexes for dumped tables
--

--
-- Indexes for table `account_heads`
--
ALTER TABLE `account_heads`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `account_transactions`
--
ALTER TABLE `account_transactions`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `admins`
--
ALTER TABLE `admins`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `attendance`
--
ALTER TABLE `attendance`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `batches`
--
ALTER TABLE `batches`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `batch_classes`
--
ALTER TABLE `batch_classes`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `batch_classes_x_tution_fee`
--
ALTER TABLE `batch_classes_x_tution_fee`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `classes`
--
ALTER TABLE `classes`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `name` (`name`),
  ADD UNIQUE KEY `name_2` (`name`),
  ADD UNIQUE KEY `name_3` (`name`),
  ADD UNIQUE KEY `name_4` (`name`),
  ADD UNIQUE KEY `name_5` (`name`),
  ADD UNIQUE KEY `name_6` (`name`),
  ADD UNIQUE KEY `name_7` (`name`),
  ADD UNIQUE KEY `name_8` (`name`),
  ADD UNIQUE KEY `name_9` (`name`),
  ADD UNIQUE KEY `name_10` (`name`),
  ADD UNIQUE KEY `name_11` (`name`),
  ADD UNIQUE KEY `name_12` (`name`),
  ADD UNIQUE KEY `name_13` (`name`),
  ADD UNIQUE KEY `name_14` (`name`),
  ADD UNIQUE KEY `name_15` (`name`),
  ADD UNIQUE KEY `name_16` (`name`),
  ADD UNIQUE KEY `name_17` (`name`),
  ADD UNIQUE KEY `name_18` (`name`),
  ADD UNIQUE KEY `name_19` (`name`),
  ADD UNIQUE KEY `name_20` (`name`),
  ADD UNIQUE KEY `name_21` (`name`),
  ADD UNIQUE KEY `name_22` (`name`),
  ADD UNIQUE KEY `name_23` (`name`),
  ADD UNIQUE KEY `name_24` (`name`),
  ADD UNIQUE KEY `name_25` (`name`),
  ADD UNIQUE KEY `name_26` (`name`),
  ADD UNIQUE KEY `name_27` (`name`),
  ADD UNIQUE KEY `name_28` (`name`),
  ADD UNIQUE KEY `name_29` (`name`),
  ADD UNIQUE KEY `name_30` (`name`),
  ADD UNIQUE KEY `name_31` (`name`),
  ADD UNIQUE KEY `name_32` (`name`),
  ADD UNIQUE KEY `name_33` (`name`),
  ADD UNIQUE KEY `name_34` (`name`),
  ADD UNIQUE KEY `name_35` (`name`),
  ADD UNIQUE KEY `name_36` (`name`),
  ADD UNIQUE KEY `name_37` (`name`),
  ADD UNIQUE KEY `name_38` (`name`),
  ADD UNIQUE KEY `name_39` (`name`),
  ADD UNIQUE KEY `name_40` (`name`),
  ADD UNIQUE KEY `name_41` (`name`),
  ADD UNIQUE KEY `name_42` (`name`),
  ADD UNIQUE KEY `name_43` (`name`),
  ADD UNIQUE KEY `name_44` (`name`),
  ADD UNIQUE KEY `name_45` (`name`),
  ADD UNIQUE KEY `name_46` (`name`),
  ADD UNIQUE KEY `name_47` (`name`),
  ADD UNIQUE KEY `name_48` (`name`),
  ADD UNIQUE KEY `name_49` (`name`),
  ADD UNIQUE KEY `name_50` (`name`),
  ADD UNIQUE KEY `name_51` (`name`),
  ADD UNIQUE KEY `name_52` (`name`),
  ADD UNIQUE KEY `name_53` (`name`),
  ADD UNIQUE KEY `name_54` (`name`),
  ADD UNIQUE KEY `name_55` (`name`),
  ADD UNIQUE KEY `name_56` (`name`),
  ADD UNIQUE KEY `name_57` (`name`),
  ADD UNIQUE KEY `name_58` (`name`),
  ADD UNIQUE KEY `name_59` (`name`),
  ADD UNIQUE KEY `name_60` (`name`),
  ADD UNIQUE KEY `name_61` (`name`),
  ADD UNIQUE KEY `name_62` (`name`),
  ADD UNIQUE KEY `name_63` (`name`);

--
-- Indexes for table `exams`
--
ALTER TABLE `exams`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `fee_paid`
--
ALTER TABLE `fee_paid`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `fine_slabs`
--
ALTER TABLE `fine_slabs`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `holidays`
--
ALTER TABLE `holidays`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `mark_sheets`
--
ALTER TABLE `mark_sheets`
  ADD PRIMARY KEY (`schedule_id`);

--
-- Indexes for table `messages`
--
ALTER TABLE `messages`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `meta_data`
--
ALTER TABLE `meta_data`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `options`
--
ALTER TABLE `options`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `questions`
--
ALTER TABLE `questions`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `question_cats`
--
ALTER TABLE `question_cats`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `cat_name` (`cat_name`);

--
-- Indexes for table `salaries`
--
ALTER TABLE `salaries`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `sms_queue`
--
ALTER TABLE `sms_queue`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `students`
--
ALTER TABLE `students`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `admission_number` (`admission_number`);

--
-- Indexes for table `subjects`
--
ALTER TABLE `subjects`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `teachers`
--
ALTER TABLE `teachers`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `test_schedules`
--
ALTER TABLE `test_schedules`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `account_heads`
--
ALTER TABLE `account_heads`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `account_transactions`
--
ALTER TABLE `account_transactions`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;
--
-- AUTO_INCREMENT for table `admins`
--
ALTER TABLE `admins`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;
--
-- AUTO_INCREMENT for table `attendance`
--
ALTER TABLE `attendance`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;
--
-- AUTO_INCREMENT for table `batches`
--
ALTER TABLE `batches`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;
--
-- AUTO_INCREMENT for table `batch_classes`
--
ALTER TABLE `batch_classes`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;
--
-- AUTO_INCREMENT for table `batch_classes_x_tution_fee`
--
ALTER TABLE `batch_classes_x_tution_fee`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;
--
-- AUTO_INCREMENT for table `classes`
--
ALTER TABLE `classes`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;
--
-- AUTO_INCREMENT for table `exams`
--
ALTER TABLE `exams`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `fee_paid`
--
ALTER TABLE `fee_paid`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;
--
-- AUTO_INCREMENT for table `fine_slabs`
--
ALTER TABLE `fine_slabs`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;
--
-- AUTO_INCREMENT for table `holidays`
--
ALTER TABLE `holidays`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;
--
-- AUTO_INCREMENT for table `messages`
--
ALTER TABLE `messages`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;
--
-- AUTO_INCREMENT for table `meta_data`
--
ALTER TABLE `meta_data`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;
--
-- AUTO_INCREMENT for table `options`
--
ALTER TABLE `options`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;
--
-- AUTO_INCREMENT for table `questions`
--
ALTER TABLE `questions`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `question_cats`
--
ALTER TABLE `question_cats`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `salaries`
--
ALTER TABLE `salaries`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;
--
-- AUTO_INCREMENT for table `sms_queue`
--
ALTER TABLE `sms_queue`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;
--
-- AUTO_INCREMENT for table `students`
--
ALTER TABLE `students`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;
--
-- AUTO_INCREMENT for table `subjects`
--
ALTER TABLE `subjects`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;
--
-- AUTO_INCREMENT for table `teachers`
--
ALTER TABLE `teachers`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;
--
-- AUTO_INCREMENT for table `test_schedules`
--
ALTER TABLE `test_schedules`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
