<?php
if ( ! ( isset( $_SERVER['HTTP_X_REQUESTED_WITH'] ) && $_SERVER['HTTP_X_REQUESTED_WITH'] === 'XMLHttpRequest' ) ) {
	header( "HTTP/1.0 404 Not Found" );
	echo "Non ajax requests are not allowed!";
	exit();
}

include_once( __DIR__ . "/../library.php" );

if ( ! \Admins\UserInfo::is_loggedin() ) {
	echo "You'r not authorized.";
	exit;
}
$T = new Teacher;
if ( isset( $_GET["getSalary"] ) ) {
	$Q   = "SELECT `deduction`,`deduction_desc` FROM `salaries` WHERE `id`=" . $_POST["id"];
	$row = $db->get_row( $Q );
	echo $row["deduction"] . "***" . $row["deduction_desc"];
	exit;
}
if ( isset( $_GET["update_ded"] ) ) {
	$_POST["deduction_desc"] = $db->set_string( $_POST["deduction_desc"] );
	$Q                       = "UPDATE `salaries` SET `deduction`={$_POST["deduction"]},`deduction_desc`='{$_POST["deduction_desc"]}' WHERE `id`={$_POST["id"]}";
	$response                = $db->query( $Q );
	if ( $response === false ) {
		$error = $db->last_error;
		if ( $error == "" ) {
			echo __( "Can't update deduction" );
		} else {
			echo $error;
		}
	} else {
		echo "OK";
	}
	exit;
}
if ( isset( $_GET["pay"] ) ) {
	echo $T->pay_salary( $_POST["id"] );
	exit;
}
if ( isset( $_GET["generate"] ) ) {
	echo $T->generate_salaries( $_POST["month"], $_POST["year"] );
	exit;
}
if ( isset( $_GET["getList"] ) ) {
	extract( $_GET );
	$Cols       = array(
		"id",
		"salary_month",
		"salary",
		"deduction",
		"teacher_id",
		"",
	);
	$iSortCol_0 = empty( $iSortCol_0 ) ? "0" : $iSortCol_0;
	$orderby    = $Cols[ $iSortCol_0 ];
	$sSortDir_0 = empty( $sSortDir_0 ) ? "DESC" : $sSortDir_0;
	$order      = $sSortDir_0;

	$_GET['iDisplayLength'] = isset( $_GET['iDisplayLength'] ) ? $_GET['iDisplayLength'] : 0;
	$_GET['iDisplayStart']  = isset( $_GET['iDisplayStart'] ) ? $_GET['iDisplayStart'] : 0;

	$iDisplayLength = intval( $_GET['iDisplayLength'] );
	$iDisplayStart  = intval( $_GET['iDisplayStart'] );
	if ( $iDisplayLength == 0 ) {
		$page = 1;
	} else {
		$page = ( $iDisplayStart / $iDisplayLength ) + 1;
	}

	$query             = "page={$page}&pagesize={$iDisplayLength}&orderby={$orderby}&order={$order}&search={$sSearch}";
	$rows              = $T->get_salaries( $query );
	$records["aaData"] = array();
	$disabled          = ( \Admins\UserInfo::is_allowed( "delete_edit_daily_expenses" ) ) ? "" : "disabled=disabled";
	foreach ( $rows["rows"] as $row ) {
		//$btn = "<button title=\"Delete this entry\" onclick=\"Delete({$row["id"]},this)\" class=\"tooltips btn red btn-xs\" $disabled><i class=\"fa fa-trash-o\"></i></button>
		//<button title=\"Edit this entry\" onclick=\"Edit({$row["id"]},this)\" class=\"tooltips btn blue btn-xs\" $disabled><i class=\"fa fa-edit\"></i></button>";
		if ( $row["paid"] == 0 ) {
			$btn = "
			<div class='btn-group'>
			<button title='" . strip_tags( __( "Pay Salary" ) ) . "' type='button' class='btn green btn-xs' onclick='Pay({$row["id"]})'><i class='fa fa-money'></i></button>
            <button onclick='OpenForm2({$row["id"]})' title='Deduction' class='btn blue btn-xs'><i class='fa fa-angle-double-down'></i></button>
            <button data-id='{$row["id"]}' title='" . strip_tags( __( "Delete" ) ) . "' type='button' class='btn btn-xs red btn_delete'><i class='fa fa-trash'></i></button>
            </div>
            ";
		} else {
			$btn = "
			<div class='btn-group'>
			<button title='" . strip_tags( __( "Salary Paid" ) ) . "' disabled='disabled' type='button' class='btn gray btn-xs'><i class='fa fa-money'></i></button>
            <button title='Deduction' disabled='disabled' class='btn gray btn-xs'><i class='fa fa-angle-double-down'></i></button>
            </div>
            ";
		}

		$records["aaData"][] = array(
			$row["id"],
			date( "F, Y", strtotime( $row["salary_month"] ) ),
			$row["salary"],
			$row["deduction"],
			$db->get_var( "SELECT `name` FROM `teachers` WHERE `id`={$row["teacher_id"]}" ),
			$btn,
		);
	}

	$records["sEcho"]                = empty( $sEcho ) ? 1 : $sEcho;
	$records["iTotalRecords"]        = $rows["total_records"];
	$records["iTotalDisplayRecords"] = $rows["total_records"];

	echo json_encode( $records );
	exit;
}
if ( isset( $_GET["delete_salary"] ) ) {
	$_POST["id"] = isset( $_POST["id"] ) ? $_POST["id"] : 0;
	echo \Teacher\Salary::delete_salary( $_POST["id"] );
	exit;
}