<?php
if ( ! ( isset( $_SERVER['HTTP_X_REQUESTED_WITH'] ) && $_SERVER['HTTP_X_REQUESTED_WITH'] === 'XMLHttpRequest' ) ) {
	header( "HTTP/1.0 404 Not Found" );
	echo "Non ajax requests are not allowed!";
	exit();
}

include_once( __DIR__ . "/../library.php" );

if ( ! \Admins\UserInfo::is_loggedin() ) {
	echo "You'r not authorized.";
	exit;
}

extract( $_POST );
extract( $_GET );

$A = new Accounts();

if ( isset( $_GET["get_list"] ) ) {
	$Cols       = array(
		"id",
		"date",
		"description",
		"amount",
		"amount_out",
		"",
	);
	$iSortCol_0 = empty( $iSortCol_0 ) ? "0" : $iSortCol_0;
	$orderby    = $Cols[ $iSortCol_0 ];
	$sSortDir_0 = empty( $sSortDir_0 ) ? "DESC" : $sSortDir_0;
	$order      = $sSortDir_0;

	$_GET['iDisplayLength'] = isset( $_GET['iDisplayLength'] ) ? $_GET['iDisplayLength'] : 0;
	$_GET['iDisplayStart']  = isset( $_GET['iDisplayStart'] ) ? $_GET['iDisplayStart'] : 0;

	$iDisplayLength = intval( $_GET['iDisplayLength'] );
	$iDisplayStart  = intval( $_GET['iDisplayStart'] );
	if ( $iDisplayLength == 0 ) {
		$page = 1;
	} else {
		$page = ( $iDisplayStart / $iDisplayLength ) + 1;
	}

	$query = "page={$page}&pagesize={$iDisplayLength}&orderby={$orderby}&order={$order}&search={$sSearch}";
	if ( isset( $student_id ) ) {
		$query .= "&student_id=$student_id";
	}
	$rows              = $A->transactions_list( $query );
	$records["aaData"] = array();
	foreach ( $rows["rows"] as $row ) {
		$btn                 = "<button title=\"Delete This Student\" data-id=\"{$row["id"]}\" class=\"btn red btn-xs del_btn\"><i class=\"fa fa-trash-o\"></i> Delete</button>";
		$records["aaData"][] = array(
			$row["id"],
			App::date_show( $row["date"] ),
			$row["description"],
			$row["amount"],
			$row["amount_out"],
			$btn,
		);
	}

	$records["sEcho"]                = empty( $sEcho ) ? 1 : $sEcho;
	$records["iTotalRecords"]        = $rows["total_records"];
	$records["iTotalDisplayRecords"] = $rows["total_records"];

	echo json_encode( $records );
	exit;
}
if ( isset( $_GET["delete"] ) ) {
	$id = isset( $id ) ? $id : 0;
	echo $A->delete( $id );
	exit;
}