<?php
include_once( __DIR__ . "/../library.php" );

if ( ! \Admins\UserInfo::is_loggedin() ) {
	echo "You'r not authorized.";
	exit;
}

$Fine = new Fine();

if ( isset( $_GET['delFineSlab'] ) ) {
	$_POST["id"] = isset( $_POST["id"] ) ? $_POST["id"] : 0;
	echo $Fine->delete( $_POST['id'] );
	exit;
}

if ( isset( $_GET['save'] ) ) {
	$response = $Fine->save_fine_slab( $_POST );

	if ( substr( $response, 0, 2 ) == "OK" ) {
		$id  = substr( $response, 2 );
		$row = $Fine->get_list( "id=$id" );

		if ( ! isset( $row[0] ) ) {
			echo "TABLE";
		} else {
			echo "TABLE" . json_encode( $row[0] );
		}
	} else {
		echo $response;
	}
	exit;
}
if ( isset( $_GET['edit'] ) ) {
	$row    = $Fine->get_list( $_POST );
	$row[0] = isset( $row[0] ) ? $row[0] : '';
	$row    = $row[0];
	if ( ! is_array( $row ) || empty( $row ) ) {
		$row["status"] = "Error: Can't get data";
	} else {
		$row["status"] = "OK";
	}
	header( 'Content-Type: application/json' );
	echo json_encode( $row );
	exit();
}
if ( isset( $_GET['del_fines'] ) ) {
	if ( empty( $_POST['ids'] ) ) {
		echo 'Please select one or more fines to delete.';
		exit;
	}
	if ( ! is_array( $_POST['ids'] ) ) {
		echo 'Please select one or more fines to delete.';
		exit;
	}
	$result = [];
	foreach ( $_POST['ids'] as $id ) {
		$result[ $id ] = $Fine->delete( $id );
	}
	header( 'Content-Type: application/json' );
	echo json_encode( $result );
	exit;
}