<?php
if ( ! ( isset( $_SERVER['HTTP_X_REQUESTED_WITH'] ) && $_SERVER['HTTP_X_REQUESTED_WITH'] === 'XMLHttpRequest' ) ) {
	header( "HTTP/1.0 404 Not Found" );
	echo "Non ajax requests are not allowed!";
	exit();
}

include_once( __DIR__ . "/../library.php" );

if ( isset( $_GET['upload'] ) ) {
	if ( ! isset( $_POST['lang'] ) ) {
		echo 'Language file not selected!';
		exit();
	}

	if ( ! isset( $_FILES[ 'lang' . $_POST['lang'] ]['error'] ) || $_FILES[ 'lang' . $_POST['lang'] ]['error'] <> 0 ) {
		echo 'Language file upload error.';
		exit();
	}

	$newPath = ROOT_PATH . 'contents' . DIRECTORY_SEPARATOR . 'langs';
	if ( ! is_dir( $newPath ) ) {
		@mkdir( $newPath, 0777, true );
	}
	$newPath .= DIRECTORY_SEPARATOR . $_POST['lang'] . '.po';

	@move_uploaded_file( $_FILES[ 'lang' . $_POST['lang'] ]['tmp_name'], $newPath );
	if (!is_file( $newPath)) {
		echo 'File upload error!';
		exit();
	}

	echo 'OK';
	exit();
}