declare var Block: any;
declare var UnBlock: any;
declare var root_url;
declare var download_pdf: any;
declare var date: any;
declare var isInViewport: any;
declare var loading_text: any;
declare var close_filters: any;
declare var Success: any;
declare var my_date: any;
declare var tmpl: any;
declare var Vue: any;
declare var markjs_options: any;

interface JQuery {
    selectize: any;
    uniform: any;
    dataTable: any;
    mark: any;
}

let Page: any = 1;
let is_loading = false;
let Data = {pages: 1};

var V1 = new Vue({
    el: '#app',
    data: function () {
        return {
            data: {}
        }
    }
});

class Fee {
    load_data() {
        is_loading = true;
        //close_filters();

        let form_data: any = $('#filter_form').serializeArray();
        form_data.push({name: 'page', 'value': Page});
        form_data.push({name: 'search', 'value': $('#search').val()});

        const done = data => {
            Data = data;
            is_loading = false;

            V1.data = data;

            if (data.page == Page) {
                $('#loading_tr').hide();
                $('tr.tr').show();
            }

            if ($('#search').val() != '') {
                setTimeout(function () {
                    $('#app').mark($('#search').val(), markjs_options);
                }, 1000)
            }
            setTimeout(F.load_data, 5000);
        };

        $.ajax({
            url: 'ajax/collect_fee.php?load_data',
            method: 'post',
            data: form_data,
            error: function (e1, e2, e3) {
                setTimeout(F.load_data, 5000);
                is_loading = false;
                Error(e3);
            }
        }).then(done);
    }

    DownloadPDFChallan = event => {
        event.preventDefault();

        let cnt: any = $.trim($('#total_records').text());
        if (cnt == 0) {
            alert('No fee challan available');
            return false;
        }

        if (!confirm('Are you sure you want to download ' + cnt + ' challan in one file?')) {
            return false;
        }
        Block();

        const done = data => {
            UnBlock();
            if (data.substr(0, 2) == 'OK') {
                window.open(data.substr(2));
            } else {
                alert(data);
            }
        };
        $.ajax({
            method: 'post',
            data: $('#filter_form').serialize(),
            url: '?bulk_challan',
            error: function (e1, e2, e3) {
                UnBlock();
                alert(e3);
            }
        }).then(done);
    };

    DownloadPDF = event => {
        event.preventDefault();

        let query = $("#filterForm").serialize();
        //query += "&search=" + jQuery( '#sample_11_wrapper .dataTables_filter input' ).val();
        query += "&_data=collect_fee";
        //var oTable = $( '#sample_11' ).dataTable();

        //var Sort = oTable.fnSettings().aaSorting;

        //window.location.href = "download_pdf.php?" + query + "&sorts=" + Sort;
        download_pdf(root_url + "ajax/pdf/collect_fee.php?collect_fee&" + query, 'CollectFee' + date('d-m-Y-H-i'));
        //window.open( root_url + "ajax/pdf/collect_fee.php?" + query + "&sorts=" + Sort + '&collect_fee' );
    };

    OpenFutureInvoice = e => {
        e.preventDefault();

        $('#future_invoice_modal').modal('show');
    };

    update_counter = num => {
        let trec = $('#total_records');
        let number: any = trec.text();
        number = parseInt(number);
        number += num;
        trec.text(number);
    };

    DownloadInvoices = e => {
        e.preventDefault();

        $('#invoices').modal('show');
    };

    Delete = id => {
        if (!confirm("Are you sure you want to delete this fee?")) {
            return false;
        }
        Block();

        function done(data) {
            UnBlock();
            if (data == "OK") {
                $('#tr_' + id).remove();
                F.update_counter(-1);
            } else {
                Error(data);
            }
        }

        $.ajax({
            url: 'ajax/collect_fee.php?del_fee',
            method: 'post',
            data: {id: id},
            error: function (e1, e2, e3) {
                Error(e3);
            }
        }).then(done);
    };

    Print = id => {
        if (id == "-1") {
            id = $("#id").val();
        }

        window.open("print_receipt.php?inline&id=" + id, "_blank");
        //"width=300&height=100&location=no&menubar=no&resizable=no&status=no&titlebar=no&toolbar=no&top=200"
    };

    SavePrint = id => {
        if (id == "-1") {
            id = $("#id").val();
        }
        Block();

        const done = data => {
            UnBlock();
            if (data == "OK") {
                var $dataTable = $('#sample_11').dataTable();
                $dataTable.fnDraw();
                var fig: any = $("#top_collect_fee_span").html();
                fig = parseFloat(fig) - 1;
                $("#top_collect_fee_span,#sidebar_collect_fee_span").html(fig);
                $("#invoice").modal("hide");
                Success("Fee paid successfully!");
                window.open("print_receipt.php?inline&id=" + id, "_blank", "width=300&height=100&location=no&menubar=no&resizable=no&status=no&titlebar=no&toolbar=no&top=200");
            } else {
                Error(data);
            }
        };
        $.ajax({
            url: "ajax/collect_fee.php?pay_fee",
            method: "post",
            data: $("#form1").serialize(),
            error: function (e1, e2, e3) {
                alert(e3);
            }
        }).then(done);

        return false;
    };

    Save2 = e => {
        e.preventDefault();

        const subdone = () => {

        };
        const done = data => {
            UnBlock();
            if (data == "OK") {
                let id: any = $('#form2 [name=id]').val();


                $.ajax({
                    method: "post",
                    url: "ajax/collect_fee.php?getFee",
                    data: {id: id}
                }).then(subdone);


                let fig: any = $("#top_collect_fee_span").html();
                fig = parseFloat(fig) - 1;
                $("#top_collect_fee_span,#sidebar_collect_fee_span").html(fig);
                $("#invoice2").modal("hide");
                Success("Fee paid successfully!");
            } else {
                Error(data);
            }
        };

        Block();
        $.ajax({
            url: "ajax/collect_fee.php?updatePiadFee",
            data: $('#form2').serialize(),
            method: "post",
            error: function () {
                UnBlock();
            }
        }).then(done);

        return false;
    };

    Save = e => {
        e.preventDefault();

        Block();

        const subdone = () => {
            //$( '#tr_' + id ).html( tmpl( 'row_template', row ) );
        };

        const done1 = data => {
            UnBlock();
            if (data == "OK") {
                let id: any = $('#form1 [name=id]').val();
                $.ajax({
                    url: "ajax/collect_fee.php?getFee",
                    method: "post",
                    data:{id: id}
                }).then(subdone);

                let fig: any = $("#top_collect_fee_span").html();
                fig = parseFloat(fig) - 1;
                $("#top_collect_fee_span,#sidebar_collect_fee_span").html(fig);
                $("#invoice").modal("hide");
                Success("Fee paid successfully!");
            } else {
                Error(data);
            }
        };

        $.ajax({
            method: 'post',
            url:"ajax/collect_fee.php?pay_fee",
            data:$("#form1").serialize(),
            error: function() {
                UnBlock();
            }
        }).then(done1);

        return false;
    };

    Edit = id => {
        Block();

        const done = data => {
            UnBlock();
            if (data.status == "OK") {
                $("#amount2").val(data.amount);
                $("#fine2").val(data.fine);
                $("#description2").val(data.description);
                $("#id2").val(id);
                $("#invoice2").modal("show");
            } else {
                Error(data.status);
            }
        };

        $.ajax({
            method: "post",
            url: "ajax/collect_fee.php?getFee",
            data: {id: id},
            error: function (e1, e2, e3) {
                UnBlock();
                Error(e3);
            }
        }).then(done);

    };

    OpenInvoice = id => {
        Block();
        const done = data => {
            UnBlock();
            if (data.status == "OK") {
                $("#amount").val(parseFloat(data.remaining_amount) + parseFloat(data.fine));
                $("#fee_title").html(data.fee_title);
                $("#id").val(id);
                $("#fee_date").val(my_date());
                $("#receipt_number").val("");
                $("#invoice").modal("show");
            } else {
                Error(data.status);
            }
        };
        $.ajax({
            url: "ajax/collect_fee.php?getFee",
            method: "post",
            data: {id: id},
            error: function (e1, e2, e3) {
                Error(e3);
            }
        }).then(done);

    };

    GenerateInvoices = e => {
        e.preventDefault();
        let finvform = $('#future_invoice_form');
        if (!finvform.validate().form()) {
            return false;
        }

        $('#future_invoice_modal').modal('hide');

        Block();
        finvform.ajaxSubmit({
            success: function (data) {
                if (data == 'OK') {
                    Success('Invoice generated');
                    window.location.href = 'collect_fee.php';
                } else {
                    UnBlock();
                    Error(data);
                }
            },
            error: function (e1, e2, e3) {
                UnBlock();
                Error(e3);
            }
        });
    };
}

var F = new Fee();

$(function () {
    F.load_data();
    $(document).on("click", "#download_pdf_btn", F.DownloadPDF);
    $(document).on("click", "#future_invoice_btn", F.OpenFutureInvoice);
    $(document).on("submit", "#future_invoice_form", F.GenerateInvoices);
    $(document).on("click", "#download_invoices_btn", F.DownloadInvoices);
    $(document).on('click', '#download_pdf_challan', F.DownloadPDFChallan);
    $(document).on('submit', '#form1', F.Save);
    $(document).on('submit', '#form2', F.Save2);
    $(document).on('click', '.page_btn', function (e) {
        e.preventDefault();
        Page = $(this).attr('data-page');
        $('#loading_tr').show();
        $('tr.tr').hide();
    });
    $(document).on('click', '.print_rcpt_btn', function (e) {
        e.preventDefault();
        F.Print(-1);
    });
    $(document).on('click', '.pay_and_print', function (e) {
        e.preventDefault();
        F.SavePrint(-1);
    });
    $(document).on('click', '.edit_btn', function (e) {
        e.preventDefault();
        let id = $(this).attr('data-id');
        F.Edit(id);
    });
    $(document).on('click', '.del_btn', function (e) {
        e.preventDefault();
        let id = $(this).attr('data-id');
        F.Delete(id)
    });
    $(document).on('click', '.pay_btn', function (e) {
        e.preventDefault();
        let id = $(this).attr('data-id');
        F.OpenInvoice(id)
    });
    $(document).on('scroll', function () {
        // if (isInViewport('#load_div') && !is_loading && Page < Data.pages) {
        //     Page++;
        //     //F.load_data();
        // }
    });
    $(document).on('change', '#date1, #date2', function () {
        let id = $(this).attr('id');
        let ddate2 = $('#date2');
        let ddate1 = $('#date1');
        if (id == 'date1') {
            if (ddate2.val() == '') {
                ddate2.val($(this).val());
            }
        } else {
            if (ddate1.val() == '') {
                ddate1.val($(this).val());
            }
        }
    });
    $(document).on('input', '#search', function () {
        $('#loading_tr').show();
        $('tr.tr').hide();
        Page = 1;
    });
    $(document).on('change', '#search', function (e) {
        e.preventDefault();
        Page = 1;
    });
    $(document).on('click', '#filter_clear_btn', function () {
        Page = 1;
        $('#filter_form').trigger('reset');
        $('select#classes').select2('val', {});
        //F.load_data();
    });
});
