var TableRow = -1;

$( function() {

} );

var CheckAll = function( event ) {
	event.preventDefault();
	$( '.checkbox' ).prop( 'checked', $( this ).is( ':checked' ) ).uniform();

};

var CheckAllCross = function( event ) {
	event.preventDefault();

	$( '#checkbox' ).prop( 'checked', $( '.checkbox:checked' ).length==$( '.checkbox' ).length ).uniform();
};

function Delete() {
	if ( FineID=="" ) {
		Error( "Please select fine to delete." );
	} else {
		var row = $( "#" + FineID );
		var row_id = dataTable.fnGetPosition( row );
		dataTable.fnDeleteRow( row_id );
		Success( "Class removed successfully!" );
	}
}

function Del( event ) {
	event.preventDefault();

	id = ($( this ).attr( 'data-id' ));
	T = $( this );

	if ( !confirm( 'Are you sure you want to delete this fine slab?' ) ) {
		return false;
	}

	$.ajax( {
		method: 'post',
		url: 'ajax/fine.php?delFineSlab',
		data: { id: id },
		success: function( result ) {
			if ( result=="OK" ) {
				$( '#TR' + id ).remove();
				Success( "Fine slab removed successfully!" );
			} else {
				//bootbox.alert(result);
				Error( result );
			}
		}
	} );

	// bootbox.confirm( "Are you sure you want to delete this fine slab?", function( result ) {
	// 	if ( result==false ) {
	// 		return;
	// 	}
	// 	Block();
	// 	$.post( 'includes/old_ajax.php?action=delFineSlab', { id: id }, function( result ) {
	// 		UnBlock();
	// 		if ( result=="OK" ) {
	// 			var row = $( t ).parent().parent();
	// 			var row_id = dataTable.fnGetPosition( row[ 0 ] );
	// 			dataTable.fnDeleteRow( row_id );
	// 			Success( "Class removed successfully!" );
	// 		} else {
	// 			//bootbox.alert(result);
	// 			Error( result );
	// 		}
	// 	} );
	// } );
}

function OpenForm() {
	TableRow = "-1";
	document.form1.reset();
	$( "#id" ).val( 0 );
	$( "#name,#amount" ).val( "" );
	$( "#fine-modal .modal-title" ).html( "Add Fine" );
	$( "#fine-modal" ).modal( "show" );
	$( "#name" ).select();
}

function Save( event ) {
	event.preventDefault();

	if ( $( "#name" ).val().trim()=="" ) {
		Error( "Fine name missing" );
		$( "#name" ).select();
		return false;
	}
	if ( !is_numeric( $( "#amount" ).val() ) ) {
		Error( "Invalid amount" );
		$( "#amount" ).select();
		return false;
	}
	Block();

	$( '#form1' ).ajaxSubmit( {
		success: function( data ) {
			UnBlock();
			if ( data.substr( 0, 5 )=="TABLE" ) {
				var row = data.substr( 5 );
				if ( !is_json( row ) ) {
					Error( "Error: Can't get fine data" );
				} else {
					$( "#fine-modal" ).modal( "hide" );
					var row = jQuery.parseJSON( row );

					html = tmpl('tr_template', row);
					if ( $('#TR' + $('#id').val()).length==0 ) {
						html = '<tr data-id="' + row.id + '" id="TR' + row.id + '" class="href">' +
						       html + '</tr>';
						$('#table1 tbody').append(html);
					} else {
						$('#TR' + $('#id').val()).html(html);
					}
					$('#table1 tbody tr td input[type=checkbox]').uniform();
					Success( "New fine added successfully!" );
				}
			} else {
				Error( data );
			}
		}
	} );

	/*$.post( "includes/old_ajax.php?action=saveFine", $( "#form1" ).serialize(), function( data ) {
		UnBlock();
		if ( data.substr( 0, 5 )=="TABLE" ) {
			var row = data.substr( 5 );
			if ( !is_json( row ) ) {
				Error( "Error: Can't get fine data" );
			} else {
				$( "#fine-modal" ).modal( "hide" );
				var row = jQuery.parseJSON( row );
				if ( TableRow=="-1" ) {
					dataTable.fnAddData( [
						row.id,
						row.name,
						row.amount2,
						row.fine_implement,
						'<a class="tooltips" href="javascript:void()" onclick="Edit(' + row.id + ',this)" title="Edit Fine"><i class="fa fa-edit"></i> </a><a href="javascript:void()" title="Remove Fine1" class="tooltips" onclick="Del(' + row.id + ',this)"><i class="fa fa-minus" title="Delete Class"></i></a>'
					] );
				} else {
					alert( row.id );
					dataTable.fnUpdate( [
						row.id,
						row.name,
						row.amount2,
						row.fine_implement,
						'<a class="tooltips" href="javascript:void()" onclick="Edit(' + row.id + ',this)" title="Edit Fine"><i class="fa fa-edit"></i> </a><a href="javascript:void()" title="Remove Fine2" class="tooltips" onclick="Del(' + row.id + ',this)"><i class="fa fa-minus" title="Delete Class"></i></a>'
					], TableRow );
				}
				Success( "New fine added successfully!" );
			}
		} else {
			Error( data );
		}
	})*/
}

function Edit( event ) {
	event.preventDefault();
	id = $(this).attr('data-id');

	Block();

	$.ajax({
		url: 'ajax/fine.php?edit',
		data: {id:id},
		method: 'post',
		success: function( data ) {
			UnBlock();
			if ( data.status!="OK" ) {
				bootbox.alert( "Unable to get class data" );
			} else {
				$( "#fine-modal" ).modal( "show" );
				$( "#fine-modal .modal-title" ).html( "Edit Fine" );
				$( "#id" ).val( id );
				$( "#name" ).val( data.name );
				$( "#amount" ).val( data.amount );
				$( "#amount_type" ).val( data.amount_type );
				$( "#fine_implement" ).val( data.fine_implement );
				$( "#name" ).select();
			}
		},
		error: function( er ) {
			UnBlock();
			Error(er);
		}
	});

	return false;
	$.post( "includes/old_ajax.php?action=getFineSlab", { id: id }, function( data ) {
			UnBlock();
			if ( data.status!="OK" ) {
				bootbox.alert( "Unable to get class data" );
			} else {
				$( "#fine-modal" ).modal( "show" );
				$( "#fine-modal .modal-title" ).html( "Edit fine" );
				$( "#id" ).val( id );
				$( "#name" ).val( data.name );
				$( "#amount" ).val( data.amount );
				$( "#amount_type" ).val( data.amount_type );
				$( "#fine_implement" ).val( data.fine_implement );
				$( "#name" ).select();
			}
		}, "json"
	);
	return false;
}

SelectFine = function() {
	$( this ).find( 'input.checkbox' ).click();
};

var DelMulti = function(event){
	event.preventDefault();

	if ( $(".checkbox:checked").length==0 ) {
		alert ("Please select one or more fines to delete");
		return false;
	}

	if (!confirm('Are you sure you want to delete selected fines?')) {
		return false;
	}
	Block();

	$.ajax({
		url: 'ajax/fine.php?del_fines',
		data: $(".checkbox").serialize(),
		method: 'post',
		success: function( data ) {
			UnBlock();
			$.each(data, function( id, status ) {
				if (status=='OK') {
					$('#TR' + id).remove();
				}
			});
		},
		error: function( er ) {
			UnBlock();
			alert (er);
		}
	});
};

$( function() {
	$( document ).bind( "keydown", "Ctrl+A", function() {
		OpenForm();
		return false;
	} );

	$( "#name,#amount" ).keypress( function( e ) {
		if ( e.which=="13" ) {
			$('#form1').trigger('submit');
		}
	} );

	/*$( "#table1 tbody tr" ).each( function() {
		$( this ).css( "cursor", "pointer" );
	} );*/
	/*$( "#table1 tbody tr" ).click( function() {
		$( "#table1 tbody tr" ).each( function() {
			$( this ).removeClass( "Borders" );
		} );
		$( this ).addClass( "Borders" );
		FineID = $( this ).attr( "data-id" );
	} );*/
	$( document ).on( 'click', '.del_fine_link', Del );
	$( document ).on( 'change', '#checkbox', CheckAll );
	$( document ).on( 'change', '.checkbox', CheckAllCross );
	$( document ).on( 'submit', '#form1', Save );
	$( document ).on( 'click', '#table1 tbody tr', SelectFine );
	$( document ).on( 'click', '.edit_btn', Edit );
	$( document ).on( 'click', '.del_multi_btn', DelMulti );
} );