<?php
if ( version_compare( phpversion(), '7.1.25', '<' ) ) {
	echo '<h1>PHP version 7.1.25 or higher required</h1>';
	exit();
}


$time_start = microtime( true );
//include __DIR__ . '/library/php-html-css-js-minifier.php';
//ob_start( 'minify_html' );

if ( ! function_exists( "file_get_contents" ) ) {
	die( "<h1>This application requires \"file_get_contents()\" function." );
}

if ( ! function_exists( "fopen" ) ) {
	die( "<h1>This application requires \"fopen()\" function." );
}

if ( ! function_exists( "curl_exec" ) ) {
	die( "<h1>GD Library not installed</h1>" );
}
if ( ! function_exists( "imagecreatefromjpeg" ) ) {
	echo "<h1>PHP function 'imagecreatefromjpeg' not found on server.<br>Please install this function on server.</h1>";
	exit;
}
if ( ! function_exists( "imagecreatefromgif" ) ) {
	echo "<h1>PHP function 'imagecreatefromgif' not found on server.<br>Please install this function on server.</h1>";
	exit;
}
if ( ! function_exists( "imagecreatefrompng" ) ) {
	echo "<h1>PHP function 'imagecreatefrompng' not found on server.<br>Please install this function on server.</h1>";
	exit;
}
if ( isset( $_SERVER["REQUEST_URI"] ) && strtolower( basename( $_SERVER["REQUEST_URI"] ) ) == "fekara_init.php" ) {
	echo "Hay! Don't cheat, We don't allow to view this file too. . :)";
	exit;
}
if ( isset( $_SERVER["SCRIPT_FILENAME"] ) && strtolower( basename( $_SERVER["SCRIPT_FILENAME"] ) ) == "fekara_init.php" ) {
	echo "Hay! Don't cheat, We don't allow to view this file too. . :)";
	exit;
}

function rutime( $ru, $rus, $index ) {
	return ( $ru["ru_$index.tv_sec"] * 1000 + intval( $ru["ru_$index.tv_usec"] / 1000 ) ) - ( $rus["ru_$index.tv_sec"] * 1000 + intval( $rus["ru_$index.tv_usec"] / 1000 ) );
}

$t1 = time();
## Detecting if API call is performed.
$API_CALL = ( isset( $_SERVER["REQUEST_URI"] ) && strpos( $_SERVER["REQUEST_URI"], "6111977/" ) !== false );

function encode_key( $array ) {
	if ( is_array( $array ) ) {
		$array = json_encode( $array );
	}

	$array = openssl_encrypt( $array, "AES-128-ECB", "DJd$%Fd)%f6659*##8713" );

	return $array;
}

function decode_key( $encrypted_string ) {
	$decoded = openssl_decrypt( $encrypted_string, "AES-128-ECB", "DJd$%Fd)%f6659*##8713" );

	if ( is_json( $decoded ) ) {
		$decoded = json_decode( $decoded, true );
	}

	return $decoded;
}

include_once( __DIR__ . "/library.php" );
$_SERVER["HTTP_HOST"] = isset( $_SERVER["HTTP_HOST"] ) ? $_SERVER["HTTP_HOST"] : '';
if ( \Str::is_ip( $_SERVER["HTTP_HOST"] ) ) {
	die( "<b>N&nbsp;o t &nbsp;A&nbsp;l&nbsp;l o w&nbsp;e d&nbsp;&nbsp;on&nbsp;&nbsp;t&nbsp;h&nbsp;i s&nbsp;&nbsp;S&nbsp;e&nbsp;r&nbsp;v&nbsp;e&nbsp;r</b>" );
}

if ( ! defined( "ASSETS_PATH" ) ) {
	echo "Invalid installation!";
	exit;
}
if ( isset( $_GET["new_ajax"] ) ) {
	include_once ROOT_PATH . "includes/new_ajax.php";
	exit;
}
if ( isset( $_GET["update_me"] ) ) {
	include_once( __DIR__ . "/includes/update.php" );
	exit;
}
if ( isset( $_GET["logs_view"] ) ) {
	include_once( __DIR__ . "/includes/logs_view.php" );
	exit;
}
if ( isset( $_GET["errors_view"] ) ) {
	include_once( __DIR__ . "/includes/errors_view.php" );
	exit;
}
if ( isset( $_GET["students_js"] ) ) {
	include_once( __DIR__ . "/themes/_common/students.js.php" );
	exit;
}

if ( isset( $_GET["students_js_ajax"] ) ) {
	header( "Content-Type: application/json" );

	$Q = "SELECT `id`,CONCAT('ID: ',`id`,', Name: ',`name`,', Father: ',`father_name`,', Guardian Cell: ',`guardian_cell`,', Cell: ',`cell`,
		', Roll: ',`roll`) text FROM `students_view`
		WHERE 1 AND `class_active`='1' AND (`deleted`='0' OR `deleted` IS NULL) AND `active`='1'";
	if ( ! empty( $_GET['q'] ) ) {
		$s = $db->set_string( $_GET['q'] );
		$Q .= " AND (`name` LIKE '%{$s}%' OR `father_name` LIKE '%{$s}%')";
	}
	$Q    .= " ORDER BY `id`";
	$rows = $db->get_rows( $Q );
	echo json_encode( $rows );
	exit;
}

## Checking auto update.
$__r = $db->get_option( "last_update_check", time() );
$__r = (int) $__r;

if ( ! \General::localhost() && ( empty( $__r ) || time() - $__r >= 86400 ) && $db->get_option( "new_version_available", "0" ) == "0" ) {
	$latest_version = get_latest_version();

	if ( version_compare( $db->get_option( "version" ), $latest_version, "<" ) && strpos( Urls::current_url(), "update_me" ) === false ) {
		$r = time();
		$db->set_option( "last_update_check", $r );
		//$url->redirect( DOMAIN_URL . "?update_me" );
		$db->set_option( "new_version_available", "1" );
		$db->set_option( "ignore_new_version", "0" );
		exit;
	}
}

if ( is_paid_fekara() ) {
	$__key         = file_get_contents( ROOT_PATH . "key" );
	$__decoded_key = decode_key( $__key );
	$d1            = strtr( $__decoded_key["domain"], [ 'www.' => '' ] );
	$d2            = strtr( strtolower( $_SERVER["HTTP_HOST"] ), [ 'www.' => '' ] );
	//	$d1            = "www." . str_replace( "www.", "", $__decoded_key["domain"] );
	//	$d2            = "www." . str_replace( "www.", "", strtolower( $_SERVER["HTTP_HOST"] ) );
	if ( ! is_dir( "D:\shakeel" ) && $d1 <> $d2 ) {
		echo "<h1>Invalid license.</h1>";
		exit;
	}

	if ( ! empty( $__decoded_key["expire_date"] ) ) {
		$datetime1 = date_create( $__decoded_key["expire_date"] );
		$datetime2 = date_create();
		$interval  = date_diff( $datetime1, $datetime2 );
		if ( $interval->format( '%a' ) <= 15 ) {
			$soon_expire = $__decoded_key["expire_date"];
		}

		if ( strtotime( $__decoded_key["expire_date"] ) < time() ) {
			echo "<h1>License expired, Please renew your license.</h1>";
			exit;
		}
	}
}


if ( ! isset( $_GET["serve_data"] ) ) {
	$_GET["serve_data"] = "";
}
$includeMe = basename( $_GET["serve_data"] );

if ( empty( $_GET["serve_data"] ) ) {
	$_GET["serve_data"] = "index";
}

if ( $_GET["serve_data"] == "old_ajax" ) {
	include_once( ROOT_PATH . "includes/old_ajax.php" );
} else if ( $_GET["serve_data"] == "logout" ) {
	include_once( ROOT_PATH . "themes/_common/logout.php" );
} else if ( isset( $_GET["__type"] ) && $_GET["__type"] == "common" && is_file( ROOT_PATH . "themes/_common/" . $_GET["serve_data"] . ".php" ) ) {
	include_once( ROOT_PATH . "themes/_common/" . $_GET["serve_data"] . ".php" );
} else if ( isset( $_GET["__type"] ) && $_GET["__type"] == "includes" && is_file( ROOT_PATH . "includes/" . $_GET["serve_data"] . ".php" ) ) {
	include_once( ROOT_PATH . "includes/" . $_GET["serve_data"] . ".php" );
} else if ( isset( $_SERVER["SCRIPT_NAME"] ) && basename( $_SERVER["SCRIPT_NAME"] ) <> "index.php" && is_file( \Theme::path() . basename( $_SERVER["SCRIPT_NAME"] ) ) ) {
	$__filename = basename( $_SERVER["SCRIPT_NAME"] );
	include_once( \Theme::path() . basename( $_SERVER["SCRIPT_NAME"] ) );
} else if ( isset( $_SERVER["SCRIPT_NAME"] ) && basename( $_SERVER["SCRIPT_NAME"] ) <> "index.php" && is_file( ROOT_PATH . "themes/_common/" . basename( $_SERVER["SCRIPT_NAME"] ) ) ) {
	$__filename = basename( $_SERVER["SCRIPT_NAME"] );
	include_once( ROOT_PATH . "themes/_common/" . basename( $_SERVER["SCRIPT_NAME"] ) );
} else if ( basename( $_SERVER["PHP_SELF"] ) == "download.php" ) {
	// Do nothing
} else if ( is_file( \Theme::path() . $_GET["serve_data"] . ".php" ) ) {

	include_once( \Theme::path() . $_GET["serve_data"] . ".php" );
} else {
	// Setting rewrting
	include_once( \Theme::path() . "404.php" );
	//include_once( ROOT_PATH . "includes/rewrite.php" );
}

# If there is no batch exists, System will create new batch;
if ( empty( $__filename ) && isset( $_GET["serve_data"] ) ) {
	$__filename = $_GET["serve_data"];
}
if ( ! isset( $__filename ) ) {
	$__filename = "";
}

if ( \Admins\UserInfo::is_loggedin() ) {
	$Q = "SELECT COUNT(*) FROM `batches`";
	if ( $db->get_var( $Q ) == 0 ) {
		if ( ! \Admins\UserInfo::is_administrator() ) {      // If current user is not administrator
			if ( $__filename <> "required_admin" ) {
				Urls::redirect( DOMAIN_URL . "required_admin.php" );
			}
		} else {
			if ( $__filename <> "batches" ) {
				Urls::redirect( DOMAIN_URL . 'batches.php?error' );
			}
		}
	} else {
		$batch_id = $db->get_var( "SELECT `id` FROM `batches` WHERE `active`='1'" );
		$Q        = "SELECT COUNT(*) FROM `batch_classes`";
		if ( $db->get_var( $Q ) == 0 ) {
			if ( ! \Admins\UserInfo::is_administrator() ) {      // If current user is not administrator
				if ( $__filename <> "required_admin" ) {
					Urls::redirect( DOMAIN_URL . "required_admin.php" );
				}
			} else {
				if ( $__filename <> "classes" ) {
					Urls::redirect( DOMAIN_URL . 'classes.php?error' );
				}
			}
		}
	}
}