<?php include_once( __DIR__ . "/../library.php" );
$teacher = new Teacher();
if ( ! $teacher->is_teacher_logged_in() ) {
	Urls::redirect( "login.php" );
}
include_once( __DIR__ . "/header.php" );
$id = $teacher->is_teacher_logged_in();

// get batchClass
$BatchClass = new BatchClass;
$C          = $BatchClass->get_list();
// get teacher
$Teacher = new Teacher;
$T       = $Teacher->get_teacher();

// course material
$m = new CourseMaterial;
?>
<!-- BEGIN CONTAINER -->
<div class="page-container">
	<!-- BEGIN EMPTY PAGE SIDEBAR -->
	<div class="page-sidebar navbar-collapse collapse">
		<ul class="page-sidebar-menu visible-sm visible-xs">
			<li>
				<!-- BEGIN RESPONSIVE QUICK SEARCH FORM -->
				<form class="sidebar-search" action="extra_search.html" method="POST">
					<div class="form-container">
						<div class="input-box">
							<a href="javascript:;" class="remove"></a>
							<input type="text" placeholder="Search..." />
							<input type="button" class="submit" value=" " />
						</div>
					</div>
				</form>
				<!-- END RESPONSIVE QUICK SEARCH FORM -->
			</li>
			<li>
				<a class="active" href="index.php">Dashboard </a>
			</li>
			<li class="active">
				<a href="javascript:;">
					Layouts
					<span class="arrow open">
				</span>
					<span class="selected">
				</span>
				</a>
				<ul class="sub-menu">
					<li>
						<a href="layout_language_bar.html">
                            <span class="badge badge-roundless badge-important">
                                new
                            </span>
							Language Switch Bar</a>
					</li>
					<li>
						<a href="layout_horizontal_sidebar_menu.html">
							Horizontal & Sidebar Menu </a>
					</li>
					<li class="active">
						<a href="layout_horizontal_menu1.html">
							Horizontal Menu 1 </a>
					</li>
					<li>
						<a href="layout_horizontal_menu2.html">
							Horizontal Menu 2 </a>
					</li>
					<li>
						<a href="layout_disabled_menu.html">
							Disabled Menu Links</a>
					</li>
					<li>
						<a href="layout_promo.html">
							Promo Page </a>
					</li>
					<li>
						<a href="layout_email.html">
							Email Templates </a>
					</li>
					<li>
						<a href="layout_ajax.html">
							Content Loading via Ajax</a>
					</li>
					<li>
						<a href="layout_sidebar_closed.html">
							Sidebar Closed Page </a>
					</li>
					<li>
						<a href="layout_sidebar_fixed.html">
							Sidebar Fixed Page </a>
					</li>
					<li>
						<a href="layout_blank_page.html">
							Blank Page </a>
					</li>
					<li>
						<a href="layout_boxed_page.html">Boxed Page</a>
					</li>
					<li>
						<a href="layout_boxed_not_responsive.html">
							Non-Responsive Boxed Layout </a>
					</li>
					<li>
						<a href="javascript:;">
							More options
							<span class="arrow">
						</span>
						</a>
						<ul class="sub-menu">
							<li>
								<a href="#">Second level link</a>
							</li>
							<li>
								<a href="javascript:;">More options
									<span class="arrow">
								</span>
								</a>
								<ul class="sub-menu">
									<li>
										<a href="index.html">Third level link</a>
									</li>
									<li>
										<a href="index.html">Third level link</a>
									</li>
									<li>
										<a href="index.html">Third level link</a>
									</li>
									<li>
										<a href="index.html">Third level link</a>
									</li>
									<li>
										<a href="index.html">Third level link</a>
									</li>
								</ul>
							</li>
							<li>
								<a href="index.html">Second level link</a>
							</li>
							<li>
								<a href="index.html">Second level link</a>
							</li>
							<li>
								<a href="index.html">Second level link</a>
							</li>
						</ul>
					</li>
				</ul>
			</li>
			<li>
				<a href="">Tables</a>
			</li>
			<li>
				<a href="">Extra
					<span class="arrow">
				</span>
				</a>
				<ul class="sub-menu">
					<li>
						<a href="index.html">About Us</a>
					</li>
					<li>
						<a href="index.html">Services</a>
					</li>
					<li>
						<a href="index.html">Pricing</a>
					</li>
					<li>
						<a href="index.html">FAQs</a>
					</li>
					<li>
						<a href="index.html">Gallery</a>
					</li>
					<li>
						<a href="index.html">Registration</a>
					</li>
					<li>
						<a href="index.html">2 Columns (Left)</a>
					</li>
					<li>
						<a href="index.html">2 Columns (Right)</a>
					</li>
				</ul>
			</li>
		</ul>
	</div>
	<!-- END EMPTY PAGE SIDEBAR -->
	<!-- END SIDEBAR -->
	<!-- BEGIN CONTENT -->
	<div class="page-content-wrapper">
		<div class="page-content">
			<!-- BEGIN SAMPLE PORTLET CONFIGURATION MODAL FORM-->
			<div class="modal fade" id="portlet-config" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
							<h4 class="modal-title">Modal title</h4>
						</div>
						<div class="modal-body">
							Widget settings form goes here
						</div>
						<div class="modal-footer">
							<button type="button" class="btn blue">Save changes</button>
							<button type="button" class="btn default" data-dismiss="modal">Close</button>
						</div>
					</div>
					<!-- /.modal-content -->
				</div>
				<!-- /.modal-dialog -->
			</div>
			<!-- /.modal -->
			<!-- END SAMPLE PORTLET CONFIGURATION MODAL FORM-->
			<!-- BEGIN PAGE HEADER-->
			<div class="row">
				<div class="col-md-12">
					<!-- BEGIN PAGE TITLE & BREADCRUMB-->
					<h3 class="page-title">
						Dashboard
					</h3>
					<ul class="page-breadcrumb breadcrumb">
						<li class="btn-group">
							<button type="button" class="btn blue dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-delay="1000" data-close-others="true">
                                <span>
                                        Actions
                                </span>
								<i class="fa fa-angle-down"></i>
							</button>
						</li>
						<li>
							<i class="fa fa-home"></i>
							<a href="index.php">Home</a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							Attendance Report
						</li>
					</ul>
					<!-- END PAGE TITLE & BREADCRUMB-->
				</div>
			</div>
			<!-- END DASHBOARD STATS -->
			<div class="clearfix"></div>
			<!-- BEGIN PAGE CONTENT-->
			<div class="row">
				<div class="col-md-12">
					<div class="portlet box blue">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-reorder"></i>Generate Attendance Report
							</div>
							<div class="tools">
								<a href="javascript:;" class="collapse"></a>
								<a href="#portlet-config" data-toggle="modal" class="config"></a>
								<a href="javascript:;" class="reload"></a>
								<a href="javascript:;" class="remove"></a>
							</div>
						</div>
						<div class="portlet-body form">
							<form target="_ems" action="<?php echo DOMAIN_URL . 'download_report_attendance.php' ?>" class="form-horizontal form-bordered">
								<div class="form-body">
									<div class="form-group">
										<label class="control-label col-md-3">Select Date</label>
										<div class="col-md-9">
											<input required="required" class="form-control date-picker" data-date-format="<?php echo \Dates::date_format1_for_js() ?>" name="date" value="<?php echo $db->get_option( "date_format1" ) ?>">
										</div>
									</div>
								</div>
								<div class="form-body">
									<div class="form-group">
										<label class="control-label col-md-3">Attendance Status</label>
										<div class="col-md-9">
											<select class="form-control select2" name="attendance">
												<option value="">== Any ==</option>
												<option value="A">Absent</option>
												<option value="P">Present</option>
												<option value="L">Leave</option>
											</select>
										</div>
									</div>
								</div>
								<div class="form-body">
									<div class="form-group">
										<?php
										if ( $T["classassign"] ) {
											$classassign = explode( ',', $T["classassign"] );
										} else {
											$classassign = 0;
										}
										if ( $T["courseassignClass"] ) {
											$exClass = explode( ',', $T["courseassignClass"] );
										} else {
											$exClass = 0;
										}
										?>
										<label class="control-label col-md-3">Select Classes</label>
										<div class="col-md-9">
											<select class="form-control select2" name="class_id[]" multiple="multiple">
												<?php foreach ( $C as $c ): ?>
													<?php if ( in_array( $c["id"], $classassign ) ) { ?>
														<option value="<?php echo $c["id"] ?>"><?php echo $c["class_name"] ?></option>
													<?php } ?>

													<?php if ( in_array( $c["class_name"], $exClass ) ) { ?>
														<option value="<?php echo $c["id"] ?>"><?php echo $c["class_name"] ?></option>
													<?php } ?>
												<?php endforeach; ?>
											</select>
										</div>
									</div>
								</div>
								<div class="form-actions fluid">
									<div class="col-md-offset-3 col-md-9">
										<button type="submit" name="viewBtn" class="btn green">View Report</button>
										<button type="submit" name="smsBtn" class="btn red">SMS Absent Report</button>
										<button type="submit" name="downBtn" class="btn blue">Download Report</button>
									</div>
								</div>
							</form>
						</div>
					</div>
				</div>
			</div>
			<!-- END PAGE CONTENT-->
		</div>
	</div>
	<!-- END CONTENT -->
</div>
<!-- END CONTAINER -->
<?php include_once( __DIR__ . "/footer.php" ); ?>
<!-- END JAVASCRIPTS -->
</body>
<!-- END BODY -->
</html>