<?php // include_once "../library.php";
include_once( __DIR__ . "/header.php" );

if ( isset( $_GET["id"] ) ) {
	$id = $_GET["id"];
} else {
	$id = 0;
}
$s = new Student;
$S = $s->get_student( $id );
?>

<!-- BEGIN CONTAINER -->
<div class="page-container">

	<div class="page-content-wrapper">
		<div class="page-content">

			<div class="row">
				<div class="col-md-12">
					<!-- BEGIN PAGE TITLE & BREADCRUMB-->
					<h3 class="page-title">
						Dashboard
					</h3>
					<ul class="page-breadcrumb breadcrumb">
						<li class="btn-group">
							<button type="button" class="btn blue dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-delay="1000" data-close-others="true">
                                <span>
                                        Actions
                                </span>
								<i class="fa fa-angle-down"></i>
							</button>
						</li>
						<li>
							<i class="fa fa-home"></i>
							<a href="index.php">Home</a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="#">Datesheet</a>
						</li>
					</ul>
					<!-- END PAGE TITLE & BREADCRUMB-->
				</div>
			</div>
			<!-- END PAGE HEADER-->
			<!-- BEGIN PAGE CONTENT-->
			<?php $d = new Datesheet;
			$D       = $d->get_datesheet();
			foreach ( $D as $row ):endforeach; ?>
			<div class="row">
				<div class="col-md-12">
					<div class="portlet box blue">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-reorder"></i>View Datesheet Class Name (<?php echo $row["class_name"]; ?>)
							</div>
							<div class="tools">
								<a href="javascript:;" class="collapse"></a>
								<a href="#portlet-config" data-toggle="modal" class="config"></a>
								<a href="javascript:;" class="reload"></a>
								<a href="javascript:;" class="remove"></a>
							</div>
						</div>

						<div class="portlet-body form">
							<form action="#" class="form-horizontal form-bordered" onsubmit="return Save(this)">
								<div class="form-body">

									<div class="form-group">
										<div class="col-md-12">
											<table class="teacher-data table table-striped table-bordered table-hover dataTable" border="1" cellpadding="5" cellspacing="10" style="width: 100%;">
												<thead>
												<tr>
													<th style="text-align: center;text-transform: capitalize">No.</th>
													<th style="text-align: center;text-transform: capitalize">Subject</th>
													<!--                                                                       <th style="text-align: center;text-transform: capitalize">Marks</th>-->
													<th style="text-align: center;text-transform: capitalize">Date</th>
													<th style="text-align: center;text-transform: capitalize">Time</th>
												</tr>
												</thead>
												<tbody>
												<?php $no = 1;
												foreach ( $D as $row ): if ( $row["class_name"] == $S["class_name"] ) {
													$subject_name = explode( ",", $row["subject_name"] );
													$subject_date = explode( ",", $row["subject_date"] );
													$subject_time = explode( ",", $row["subject_time"] );
													foreach ( $subject_time as $k => $data ):
														?>
														<tr>
															<td style="text-align: center;text-transform: capitalize"><?php echo $no ?></td>
															<td style="text-align: center;text-transform: capitalize"><?php echo $subject_name[ $k ] ?></td>
															<td style="text-align: center;text-transform: capitalize"><?php echo $subject_date[ $k ] ?></td>
															<td style="text-align: center;text-transform: capitalize"><?php echo $subject_time[ $k ] ?></td>
														</tr>

														<?php $no ++;endforeach;
												}endforeach; ?>

												</tbody>
											</table>
										</div>
									</div>

								</div>
							</form>
						</div>

					</div>
				</div>
			</div>
			<!-- END PAGE CONTENT-->

		</div>
	</div>
	<!-- END CONTENT -->
</div>

<!-- END CONTAINER -->
<?php include_once( __DIR__ . "/footer.php" ); ?>
<!-- END JAVASCRIPTS -->
</body>
<!-- END BODY -->
</html>
