<?php $title = "Dashboard";
include_once( __DIR__ . "/header.php" );
$g = $guardian->get_guardiandata( $guardian->my_id() );
$c = new BatchClass();
//echo "<pre>";print_r($g);die();
?>
<!-- BEGIN CONTAINER -->
<div class="page-container">
	<div class="page-content-wrapper">
		<div class="page-content">
			<div class="row">
				<div class="col-md-12">
					<!-- BEGIN PAGE TITLE & BREADCRUMB-->
					<h3 class="page-title">
						Dashboard
					</h3>
					<ul class="page-breadcrumb breadcrumb">
						<li class="btn-group">
							<button type="button" class="btn blue dropdown-toggle" data-toggle="dropdown"
							        data-hover="dropdown" data-delay="1000" data-close-others="true">
                                <span>
                                    Actions
                                </span>
								<i class="fa fa-angle-down"></i>
							</button>
						</li>
						<li>
							<i class="fa fa-home"></i>
							<a href="index.php">Home</a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="#">Dashboard</a>
						</li>
					</ul>
					<!-- END PAGE TITLE & BREADCRUMB-->
				</div>
			</div>
			<!-- END PAGE HEADER-->
			<!-- BEGIN PAGE CONTENT-->
			<div class="row">
				<div class="col-md-12">
					<div class="portlet box blue">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-reorder"></i>Child Record
							</div>
							<div class="tools">
								<a href="javascript:;" class="collapse"></a>
							</div>
						</div>
						<div class="portlet-body form">
							<div class="form-body">
								<div class="row form-group">
									<div class="col-md-12">
										<table class="table table-striped table-bordered table-hover datatable"
										       border="1" cellpadding="5" cellspacing="10" style="width: 100%;">

											<thead>
											<tr>
												<th style="text-align: center;">No.</th>
												<th style="text-align: center;">Name</th>
												<th style="text-align: center;">Class</th>
											</tr>
											</thead>

											<tbody>
											<?php
											if ( isset( $g ) ) {
												foreach ( $g as $k => $r ) {
													$C = $c->get_class_data( $r["class_id"] );
													if ( ! empty( $C ) ) {
														$calss_name = $C["class_name"];
													} else {
														$calss_name = "-";
													}
													?>
													<tr>
														<td style="text-align: center;"><?php echo $k + 1 ?></td>
														<td style="text-align: center;">
															<a href="view.php?id=<?php echo $r["id"] ?>"><?php echo $r["name"] ?></a>
														</td>
														<td style="text-align: center;">
															<?php echo $calss_name ?>
														</td>
													</tr>
													<?php
												}
											}
											?>
											</tbody>

										</table>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<!-- END PAGE CONTENT-->
		</div>
	</div>
	<!-- END CONTENT -->
</div>
<!-- END CONTAINER -->
<?php include_once( __DIR__ . "/footer.php" ); ?>
</body>
<!-- END BODY -->
</html>