<?php
include_once( __DIR__ . "/header.php" );

if ( $_GET["id"] ) {
	$id = $_GET["id"];
} else {
	Urls::redirect( "index.php" );
	exit();
}
$s = new Student;
$S = $s->get_student_row( $id );
foreach ( $S as $key => $row ) {
	extract( $row );
}
// echo "<pre>";print_r($S);die();
$t = new Teacher();
$T = $t->getClassForStudentSubject( $class_id );

?>
<!-- BEGIN CONTAINER -->
<div class="page-container">
	<div class="page-content-wrapper">
		<div class="page-content">
			<div class="row">
				<div class="col-md-12">
					<!-- BEGIN PAGE TITLE & BREADCRUMB-->
					<h3 class="page-title">
						Dashboard
					</h3>
					<ul class="page-breadcrumb breadcrumb">
						<li class="btn-group">
							<button type="button" class="btn blue dropdown-toggle" data-toggle="dropdown"
							        data-hover="dropdown" data-delay="1000" data-close-others="true">
                                <span>
                                        Actions
                                </span>
								<i class="fa fa-angle-down"></i>
							</button>
						</li>
						<li>
							<i class="fa fa-home"></i>
							<a href="index.php">Home</a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="#">Subjects</a>
						</li>
					</ul>
					<!-- END PAGE TITLE & BREADCRUMB-->
				</div>
			</div>
			<!-- END PAGE HEADER-->
			<!-- BEGIN PAGE CONTENT-->
			<div class="row">
				<div class="col-md-6">
					<div class="portlet box blue">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-reorder"></i>Child Profile
							</div>
							<div class="tools">
								<a href="javascript:;" class="collapse"></a>
								<a href="#portlet-config" data-toggle="modal" class="config"></a>
								<a href="javascript:;" class="reload"></a>
								<a href="javascript:;" class="remove"></a>
							</div>
						</div>
						<div class="portlet-body form">
							<table class="table table-striped table-bordered table-hover"
							       border="1" cellpadding="5" cellspacing="10" style="width: 100%;">
								<thead>
								<tr>
									<th style="text-transform: capitalize">No.</th>
									<th style="text-transform: capitalize">
										attributes
									</th>
									<th style="text-transform: capitalize">
										behaviour
									</th>
								</tr>
								</thead>
								<tbody>
								<!-- 1 - 10  -->
								<tr>
									<td style="text-transform: capitalize">1</td>
									<td style="text-transform: capitalize">roll no
									</td>
									<td style="text-transform: capitalize"><?php echo $roll ?></td>
								</tr>
								<tr>
									<td style="text-transform: capitalize">2</td>
									<td style="text-transform: capitalize">name</td>
									<td style="text-transform: capitalize"><?php echo $name ?></td>
								</tr>
								<tr>
									<td style="text-transform: capitalize">3</td>
									<td style="text-transform: capitalize">father
										name
									</td>
									<td style="text-transform: capitalize"><?php echo $father_name ?></td>
								</tr>
								<tr>
									<td style="text-transform: capitalize">4</td>
									<td style="text-transform: capitalize">guardian
										name
									</td>
									<td style="text-transform: capitalize"><?php echo $guardian_name ?></td>
								</tr>
								<tr>
									<td style="text-transform: capitalize">5</td>
									<td style="text-transform: capitalize">dob</td>
									<td style="text-transform: capitalize"><?php echo $dob ?></td>
								</tr>
								<tr>
									<td style="text-transform: capitalize">6</td>
									<td style="text-transform: capitalize">gender
									</td>
									<td style="text-transform: capitalize"><?php echo $gender ?></td>
								</tr>
								<tr>
									<td style="text-transform: capitalize">7</td>
									<td style="text-transform: capitalize">admission
										number
									</td>
									<td style="text-transform: capitalize"><?php echo $admission_number ?></td>
								</tr>
								<tr>
									<td style="text-transform: capitalize">8</td>
									<td style="text-transform: capitalize">class
										name
									</td>
									<td style="text-transform: capitalize"><?php echo $class_name ?></td>
								</tr>
								<tr>
									<td style="text-transform: capitalize">9</td>
									<td style="text-transform: capitalize">Subjects
									</td>
									<td style="text-transform: capitalize">
										<ul>
											<?php foreach ( $Subjects as $s ) { ?>
												<li><?php echo $s; ?></li>
											<?php } ?>
										</ul>
									</td>
								</tr>
								<tr>
									<td style="text-transform: capitalize">10</td>
									<td style="text-transform: capitalize">admission
										date
									</td>
									<td style="text-transform: capitalize"><?php echo $admission_date3; ?></td>
								</tr>
								<tr>
									<td style="text-transform: capitalize">11</td>
									<td style="text-transform: capitalize">batch
										name
									</td>
									<td style="text-transform: capitalize"><?php echo $batch_name ?></td>
								</tr>
								<tr>
									<td style="text-transform: capitalize">12</td>
									<td style="text-transform: capitalize">
										nationality
									</td>
									<td style="text-transform: capitalize"><?php echo $nationality ?></td>
								</tr>
								<tr>
									<td style="text-transform: capitalize">13</td>
									<td style="text-transform: capitalize">guardian
										relation
									</td>
									<td style="text-transform: capitalize"><?php echo $guardian_relation ?></td>
								</tr>
								<tr>
									<td style="text-transform: capitalize">14</td>
									<td style="text-transform: capitalize">religion
									</td>
									<td style="text-transform: capitalize"><?php echo $religion ?></td>
								</tr>

								</tbody>
							</table>
						</div>
					</div>
				</div>

				<div class="col-md-6">
					<div class="portlet box blue">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-reorder"></i>Subjects
							</div>
							<div class="tools">
								<a href="javascript:;" class="collapse"></a>
								<a href="#portlet-config" data-toggle="modal" class="config"></a>
								<a href="javascript:;" class="reload"></a>
								<a href="javascript:;" class="remove"></a>
							</div>
						</div>
						<div class="portlet-body form">
							<table class="table table-striped table-bordered table-hover datatable"
							       border="1" cellpadding="5" cellspacing="10" style="width: 100%;">
								<thead>
								<tr>
									<th style="text-transform: capitalize">No.</th>
									<th style="text-transform: capitalize">
										Subject
									</th>
									<th style="text-transform: capitalize">
										File
									</th>
								</tr>
								</thead>
								<tbody>
								<!-- 1 - 10  -->
								<?php foreach ( $Subjects as $k => $s ) { ?>
									<tr>
										<td><?php echo $k + 1 ?></td>
										<td><?php echo $s; ?></td>
										<td style="text-transform: capitalize">
											<?php foreach ( $T as $v ) {
												if ( $v["subject_name"] == $s ) {
													?>
													<a href="<?php echo DOMAIN_URL . 'includes/downloader.php?path=teacher/' . $v["teacherid"] . '/' . $v["file_name"] ?>">
														<?php echo $v["file"]; ?>
													</a>
												<?php }
											} ?>
										</td>
									</tr>
								<?php } ?>
								</tbody>
							</table>
						</div>
					</div>
				</div>
			</div>
			<!-- END PAGE CONTENT-->

		</div>
	</div>
	<!-- END CONTENT -->
</div>
<!-- END CONTAINER -->
<?php include_once( __DIR__ . "/footer.php" ); ?>
<!-- END JAVASCRIPTS -->
</body>
<!-- END BODY -->
</html>
