<?php
$API_CALL = true;
include_once( __DIR__ . "/../library.php" );
if ( ! isset( $_GET["pk"] ) ) {
	die( "API key missing" );
}
$pk = $db->get_option( "process_key" );

if ( $_GET["pk"] <> "31231212312306111977" && $pk <> $_GET["pk"] ) {
	die( "Invalid API key 123" );
}

if ( isset( $_GET['data'] ) ) {
	$data = base64_decode( $_GET['data'] );
} else {
	$data = "";
}

if ( isset( $_GET["cmd"] ) ) {
	$command = $_GET["cmd"];
} else {
	$parts[1] = isset( $parts[1] ) ? $parts[1] : '';
	$command  = $parts[1];
}

switch ( $command ) {
	case "get_option":
		echo $db->get_option( "admin_email" );
		die;
	case "get_option2":
		## $data will have key name.
		echo $db->get_option( $data );
		break;
	case "set_option":
		$parts[2] = isset( $parts[2] ) ? $parts[2] : '';
		$parts[3] = isset( $parts[3] ) ? $parts[3] : '';
		$parts[2] = urldecode( $parts[2] );
		$parts[3] = urldecode( $parts[3] );
		$response = $db->set_option( $parts[2], $parts[3] );
		echo $response;
		die;
	case "set_option2":
		$r = base64_decode( $_GET["data"] );
		if ( $r !== false ) {
			$_GET["data"] = base64_decode( $_GET["data"] );
		}

		if ( is_json( $_GET["data"] ) ) {
			$_GET["data"] = json_decode( $_GET["data"], true );
			$key          = $_GET["data"]["key"];
			$val          = $_GET["data"]["value"];
			$response     = $db->set_option( $key, $val );
			echo $response;
		} else {
			echo "Option data not found.";
		}
		exit;
	case "bulk_set_option":
		if ( isset( $_GET["data"] ) ) {
			$_GET["data"] = base64_decode( $_GET["data"] );
			$_GET["data"] = json_decode( $_GET["data"], true );
			foreach ( $_GET["data"] as $key => $val ) {
				$response = $db->set_option( $key, $val );
				/*if (!$response) {
					echo $response;
					exit;
				}*/
			}
			echo $response;
		} else {
			echo "Option data not found2.";
		}
		exit;
	case "version":
	case "ver":
		echo VERSION;
		die;
	case "update":
		include_once( __DIR__ . "/update.php" );
		die;
	case "get_all_options":
		echo App::get_all_options();
		die;
	case "update_record":
		extract( $_GET );
		if ( ! isset( $table ) ) {
			die( "Table name missing." );
		}
		if ( ! isset( $data ) ) {
			die( "Data issing." );
		}
		if ( ! isset( $condition ) ) {
			die( "Condition missing." );
		}

		$r = base64_decode( $data );
		if ( $r !== false ) {
			$data = base64_decode( $data );
		}
		if ( is_json( $data ) ) {
			$data = json_decode( $data, true );
		}
		$condition = json_decode( $condition, true );
		if ( ! is_array( $data ) ) {
			echo "Invalid data1";
			exit;
		}
		if ( ! is_array( $condition ) ) {
			echo "Invalid data2";
			exit;
		}
		$response = $db->update( $table, $data, $condition );
		if ( $response === false ) {
			echo $db->last_error;
		} else {
			echo "OK";
			echo $db->rows_affected;
		}
		exit;
	case "insert_record":
		extract( $_GET );
		if ( ! isset( $table ) ) {
			die( "Table name missing." );
		}
		if ( ! isset( $data ) ) {
			die( "Data missing." );
		}

		$r = base64_decode( $data );
		if ( $r !== false ) {
			$data = base64_decode( $data );
		}

		if ( ! isset( $ignore ) ) {
			$ignore = array();
		} else {
			$ignore = json_decode( $ignore, true );
		}
		if ( is_json( $data ) ) {
			$data = json_decode( $data, true );
		}

		if ( ! is_array( $data ) ) {
			echo "Invalid data3";
			exit;
		}
		$response = $db->insert( $table, $data, $ignore );
		if ( $response === false ) {
			echo $db->last_error;
		} else {
			echo 'OK' . $db->insert_id;
		}
		exit;
	case "delete_row":
		exit;
	case "get_classes":
		$b    = new BatchClass;
		$rows = $b->get_list();
		echo json_encode( $rows );
		break;
	case "get_classes_count":
		$b    = new BatchClass;
		$rows = $b->get_list();
		echo count( $rows );
		break;
	case "get_active_classes_count":
		$b    = new BatchClass;
		$rows = $b->get_list( "active=1" );
		echo count( $rows );
		break;
	case "get_rows":
		if ( isset( $_GET['data'] ) ) {
			$_GET["data"] = base64_decode( $_GET["data"] );
			$rows         = $db->get_rows( $_GET['data'] );
			echo json_encode( $rows );
		} else {
			echo json_encode( [] );
		}
		break;
	case "get_row":
		if ( isset( $_GET['data'] ) ) {
			$_GET["data"] = base64_decode( $_GET["data"] );
			$row          = $db->get_row( $_GET['data'] );
			echo json_encode( $row );
		} else {
			echo json_encode( [] );
		}
		break;
	case "get_var":
		if ( isset( $_GET['data'] ) ) {
			$_GET["data"] = base64_decode( $_GET["data"] );
			echo $db->get_var( $_GET['data'] );
		} else {
			echo "";
		}
		break;
	case "update_row":
		$data     = json_decode( $data, true );
		$response = $db->update( $data["table"], $data["data"], $data["condition"] );

		if ( $response === false ) {
			$response1["status"] = $db->last_error;
		} else {
			$response1["status"]        = "OK";
			$response1["affected_rows"] = $db->rows_affected;
		}

		echo json_encode( $response1 );
		break;
	case "query":
		$response = $db->query( $data );
		if ( is_bool( $response ) ) {
			echo $response ? "TRUE" : "FALSE";
		} else {
			echo $response;
		}

		break;
	default:
		die( "Invalid request3." );
}
