<?php

class Arrays {

	function __construct() {
		register_shutdown_function( array( &$this, '__destruct' ) );
	}

	function __destruct() {
		return true;
	}

	function show( $ar ) {
		echo "<pre>\n";
		print_r( $ar );
		echo "</pre>\n";
	}

	function in_multiarray( $elem, $array ) {
		$top    = sizeof( $array ) - 1;
		$bottom = 0;
		while ( $bottom <= $top ) {
			if ( $array[ $bottom ] == $elem ) {
				return true;
			} else if ( is_array( $array[ $bottom ] ) ) {
				if ( in_multiarray( $elem, ( $array[ $bottom ] ) ) ) {
					return true;
				}
			}

			$bottom ++;
		}

		return false;
	}

	function in_arrayi( $needle, $haystack ) {
		for ( $h = 0; $h < count( $haystack ); $h ++ ) {
			$haystack[ $h ] = strtolower( $haystack[ $h ] );
		}

		return in_array( strtolower( $needle ), $haystack );
	}

	public static function replace_array( $array, $search, $new ) {
		foreach ( $array as &$v ) {
			if ( $v == $search ) {
				$v = $new;
			}
		}

		return $array;
	}
}