<?php

namespace Classes;

class Teacher {

	protected $DB;

	function __construct() {
		global $db;
		$this->DB = $db;
	}

	public function get_classes( $args = "" ) {
		$default = [
			"mysql_cols" => "*",
			"teacher_id" => 0,
		];
		$args    = set_args( $args, $default );
		extract( $args );

		$this->DB->select_cols( $args['mysql_cols'] )
		         ->select_from( Variables::$Table )
		         ->join( Variables::$TableWithTeacher, Variables::$Table . '.id=' . Variables::$TableWithTeacher . '.class_id' );
		$teacher_id = (int) $args['teacher_id'];
		if ( $teacher_id > 0 ) {
			$this->DB->where( 'teacher_id', $teacher_id );
		}

		return $this->DB->order( 'class_name' )->get_rows();
	}
}