<?php

namespace MySQL;

class Tables {

	const prefix = '';

	public static function get_list() {
		return [
			"library_books",
			"library_books_assignments",
			"account_heads",
			"account_transactions",
			"admins",
			"attendance",
			"batches",
			"sessions",
			"guardians",
			"guardians_x_students",
			"sessions_classes",
			"batch_classes",
			"batch_classes_x_subjects",
			"batch_classes_x_tution_fee",
			"classes",
			"course_material",
			"datesheet",
			"exams",
			"fee_paid",
			'fee_paid_view',
			"fine_slabs",
			"holidays",
			"mark_sheets",
			"mark_sheets_data",
			"messages",
			"meta_data",
			"options",
			"questions",
			"question_cats",
			"salaries",
			"sms_queue",
			"students",
			"students_view",
			"student_classes_subjects",
			"student_x_subject",
			"subjects",
			"teachers",
			"teachers_x_classes",
			"teachers_assign_subjects",
			"otheremployees",
			"teacher_comments_student",
			"teacher_classes_subjects",
			"teacher_upload_file",
			"teacher_upload_assignment",
			"test_schedules",
			"users_permissions",
			"weekly_lecture_schedule",
			"students_clone",
			"batches_clone",
			"batch_classes_clone",
			"fee_custom_fields",
			"fee_custom_fields_data",
			"translations",
			"langs",
			"countries",
			"email_templates",
			"email_templates_x_assigned",
			"time_table",
			"time_table_shifts",
			"admission_requests",
		];
	}

	public static function table_name( $table ) {
		if ( ! in_array( $table, self::get_list() ) ) {
			return '';
		}

		return self::prefix . $table;
	}
}