<?php

class Theme {

	# Get theme path
	public static function path() {
		return ROOT_PATH . "themes/" . self::name() . "/";
	}

	# Get theme url
	public static function url() {
		return DOMAIN_URL . "themes/" . self::name() . "/";
	}

	# Get theme name
	public static function name() {
		if ( ! defined( "Theme" ) ) {
			$theme = "default";
		} else {
			$theme = Theme;
		}

		return $theme;
	}

	function assets_url() {
		return $this->url() . "assets/";
	}
}