<?php

class Users {

	var $id;

	public function is_admin( $user_id = 0 ) {
		if ( ! \Admins\UserInfo::is_loggedin() ) {
			return false;
		}
		global $db;
		$user_id = (int) $user_id;
		if ( $user_id == "0" ) {
			$user_id = \Admins\UserInfo::get_my_id();
		}
		$Q        = "SELECT `is_admin` FROM `admins` WHERE `id`=$user_id";
		$is_admin = $db->get_var( $Q );

		return ( $is_admin == "1" );
	}

	public function set_permissions( $permissions = [], $user_id = 0 ) {
		if ( ! \Admins\UserInfo::is_loggedin() ) {
			return false;
		}
		global $db;
		$user_id = (int) $user_id;
		if ( $user_id == "0" ) {
			$user_id = \Admins\UserInfo::get_my_id();
		}
		$Q = "DELETE FROM `users_permissions` WHERE `admin_id`=$user_id";
		global $db;
		$db->query( $Q );

		if ( ! is_array( $permissions ) ) {
			$permissions = explode( ",", $permissions );
		}
		foreach ( $permissions as $per ) {
			$per = \Str::strtodbc( $per );
			$Q   = "INSERT INTO `users_permissions` SET `permission`='$per',`admin_id`=$user_id";
			if ( ! $db->query( $Q ) ) {
				return false;
			}
		}

		return true;
	}

	public function get_super_admin( $field = "*" ) {
		global $db;
		$Q   = "SELECT * FROM `admins` WHERE `is_admin`=1 ORDER BY `id` ASC LIMIT 1";
		$row = $db->get_row( $Q );
		if ( ! is_array( $row ) ) {
			$row = [];
		}
		if ( $field == "*" ) {
			return $row;
		} else {
			if ( isset( $row[ $field ] ) ) {
				return $row[ $field ];
			} else {
				return "";
			}
		}
	}

	public function is_super_admin( $user_id = 0 ) {
		if ( ! \Admins\UserInfo::is_loggedin() ) {
			return false;
		}
		global $db;
		$user_id = (int) $user_id;
		if ( $user_id == "0" ) {
			$user_id = \Admins\UserInfo::get_my_id();
		}

		return ( $this->get_super_admin( "id" ) == $user_id );
	}
}