<?php

function server_invalid_file( $resonse = 'Unknown' ) {
	$html = "<html><head><title>PDF can't generate</title></head><body>
		<h1>PDF can't generate</h1>
		<p>Sorry for inconvenience, PDF file can't generate<br><br>Reason: <i>{$resonse}</i></p>
	</body></html>";

	@unlink( __DIR__ . '/contents/invalid.pdf' );
	@unlink( __DIR__ . '/contents/invalid.html' );
	file_put_contents( __DIR__ . '/invalid.html', $html );
	$cmd = 'wkhtmltopdf "' . __DIR__ . '/invalid.html" "' . __DIR__ . '/invalid.pdf"';
	exec( $cmd, $var );

	header( 'Expires: 0' );
	header( 'Cache-Control: must-revalidate' );
	header( 'Pragma: public' );
	header( 'Content-Length: ' . filesize( __DIR__ . "/invalid.pdf" ) );

	if ( isset( $_GET['download'] ) ) {
		header( 'Content-Type: application/octet-stream' );
		header( "Content-Disposition:attachment;filename='downloaded.pdf'" );
	} else {
		header( "Content-type:application/pdf" );
	}
	readfile( __DIR__ . "/invalid.pdf" );
	exit;
}

if ( ! isset( $_GET['token'] ) ) {
	server_invalid_file( 'File token missing!' );
}

/*$token = [
	'url' => 'http://google.com',
];

echo urlencode(base64_encode( json_encode( $token ) ));*/

$token = json_decode( base64_decode( urldecode( $_GET['token'] ) ) );

if ( ! isset( $token ) ) {
	server_invalid_file( 'Invalid PDF token!' );
}
if ( ! isset( $token->url ) ) {
	server_invalid_file( 'Invalid PDF token!' );
}

function is_404( $url ) {
	$handle = curl_init( $url );
	curl_setopt( $handle, CURLOPT_RETURNTRANSFER, true );

	/* Get the HTML or whatever is linked in $url. */
	$response = curl_exec( $handle );

	/* Check for 404 (file not found). */
	$httpCode = curl_getinfo( $handle, CURLINFO_HTTP_CODE );
	curl_close( $handle );

	/* If the document has loaded successfully without any redirection or error */
	if ( $httpCode >= 200 && $httpCode < 300 ) {
		return false;
	} else {
		return true;
	}
}

$allowed_domains = [
	'google.com',
	'yahoo.com',
	'fekara.com',
	'ems.ecom.pk',
	'nnschool1998.com',
	'fekara.bindia.dk',
];

$host = str_replace( 'www.', '', @parse_url( $token->url, PHP_URL_HOST ) );
if ( ! in_array( $host, $allowed_domains ) && stristr( $host, 'fekara.com' ) === false ) {
	server_invalid_file( "Your server is not allowed to generate PDF file" );
}

@unlink( __DIR__ . '/contents/temp.pdf' );

if (is_file('/usr/local/bin/wkhtmltopdf')) {
	$command = '/usr/local/bin/wkhtmltopdf ';
} else {
	$command = 'wkhtmltopdf ';
}

$_GET['pdf_margin_top']    = isset( $_GET['pdf_margin_top'] ) ? $_GET['pdf_margin_top'] : '';
$_GET['pdf_margin_bottom'] = isset( $_GET['pdf_margin_bottom'] ) ? $_GET['pdf_margin_bottom'] : '';
$_GET['pdf_margin_left']   = isset( $_GET['pdf_margin_left'] ) ? $_GET['pdf_margin_left'] : '';
$_GET['pdf_margin_right']  = isset( $_GET['pdf_margin_right'] ) ? $_GET['pdf_margin_right'] : '';

if ( ! empty( $_GET['pdf_page_orientation'] ) ) {
	$command .= ' --orientation ' . $_GET['pdf_page_orientation'];
}
if ( ! empty( $_GET['pdf_page_size'] ) ) {
	$command .= ' --page-size ' . $_GET['pdf_page_size'];
}
if ( ! empty( $_GET['pdf_page_numbers'] ) ) {
	$command .= ' --' . $_GET['pdf_page_numbers'] . ' [page]/[topage]';
}
if ( ! empty( $_GET['pdf_zoom'] ) ) {
	$command .= ' --zoom ' . $_GET['pdf_zoom'];
}
if ( $_GET['pdf_margin_bottom'] <> '' ) {
	$command .= ' --margin-bottom ' . $_GET['pdf_margin_bottom'];
}
if ( $_GET['pdf_margin_left'] <> '' ) {
	$command .= ' --margin-left ' . $_GET['pdf_margin_left'];
}
if ( $_GET['pdf_margin_right'] <> '' ) {
	$command .= ' --margin-right ' . $_GET['pdf_margin_right'];
}
if ( $_GET['pdf_margin_top'] <> '' ) {
	$command .= ' --margin-top ' . $_GET['pdf_margin_top'];
}

$command .= ' "' . $token->url . '" "' . __DIR__ . '/contents/temp.pdf"';

exec( $command );
if ( ! is_file( __DIR__ . '/contents/temp.pdf' ) ) {
	server_invalid_file( "Can't generate PDF file!, Please contact Administrator and give him token [" . $_GET['token'] . "]" );
}

header( 'Expires: 0' );
header( 'Cache-Control: must-revalidate' );
header( 'Pragma: public' );
header( 'Content-Length: ' . filesize( __DIR__ . '/contents/temp.pdf' ) );

if ( isset( $_GET['download'] ) ) {
	$filename = 'download.pdf';
	if ( isset( $_GET['filename'] ) ) {
		$filename = str_ireplace( '.pdf', '', $_GET['filename'] ) . '.pdf';
	}
	header( 'Content-Type: application/octet-stream' );
	header( "Content-Disposition:attachment;filename=\"{$filename}\"" );
} else {
	header( "Content-type:application/pdf" );
}
readfile( __DIR__ . '/contents/temp.pdf' );
exit;