<?php

include_once( __DIR__ . "/_init.php" );



$url  = my_url();

$file = str_replace( DOMAIN_URL, "", $url );

$file = $_SERVER['REQUEST_URI'];



if ( $file == "/latest-version.zip" ) {

	$serve = ROOT_PATH . "_data/61111__.zip";

	if ( is_file( $serve ) ) {

		## If referrer is missing then file will not download.

		if ( ! isset( $_SERVER["HTTP_REFERER"] ) ) {

			file_put_contents( ROOT_PATH . "404.txt", my_url() . "\n", FILE_APPEND );

			echo '<h1>This is 404 Page</h1>';

			exit();

		}



		## If referrer is not from .fekara.com then file will not download.

		## Check if update is allowed for servers.

		$is_allowed = false;

		if ( substr( $_SERVER["HTTP_REFERER"], - 11 ) == ".fekara.com" || substr( $_SERVER["HTTP_REFERER"], - 11 ) == "ems.ecom.pk" ) {

			$is_allowed = true;

		}



		if ( ! $is_allowed && ! empty( $_SERVER["HTTP_REFERER"] ) ) {

			$_SERVER["HTTP_REFERER"] = str_replace( "http://", "", $_SERVER["HTTP_REFERER"] );

			$_SERVER["HTTP_REFERER"] = str_replace( "https://", "", $_SERVER["HTTP_REFERER"] );



			$is_allowed = in_array( $_SERVER["HTTP_REFERER"], ALLOWED_DOMAINS );

		}





		if ( ! $is_allowed ) {

			file_put_contents( ROOT_PATH . "404.txt", my_url() . "\n", FILE_APPEND );

			echo '<h1>This is 404 Page</h1>';

			exit();

		}



		ob_start();

		header( $_SERVER['SERVER_PROTOCOL'] . ' 200 OK' );

		header( "Content-Type: application/zip" );

		header( "Content-Transfer-Encoding: Binary" );

		header( "Content-Length: " . filesize( $serve ) );

		header( 'Pragma: no-cache' );

		header( "Content-Disposition: attachment; filename=\"latest-version.zip\"" );

		ob_flush();

		ob_clean();

		readfile( $serve );

	}

	exit();

}



file_put_contents( ROOT_PATH . "404.txt", my_url() . "\n", FILE_APPEND ); ?>

<h1>This is 404 Page</h1>