<?php

include_once( __DIR__ . "/../_init.php" );



if ( ! is_admin() ) {

	die( 'Not allowed!' );

}



$Apps  = new Apps();

$ETemp = new ETemps();



if ( isset( $_GET['delete'] ) ) {

	$_POST['id'] = $_POST['id'] ?? [];

	foreach ( $_POST['id'] as $id ) {

		$response = $Apps->delete_installation( $id );

		//		if ( $response <> 'OK' ) {

		//			echo $response;

		//			exit();

		//		}



		$DB->update( 'installations', [ 'deleted' => 1 ], [ 'id' => $id ] );



	}

	echo 'OK';

	exit;

}





if ( isset( $_GET["load_data"] ) ) {

	extract( $_POST );

	$page             = $page ?? '1';

	$order_by         = $order_by ?? 'id';

	$order            = $order ?? 'DESC';

	$search           = $_POST["search"] ?? '';

	$remote_data_null = $_POST['remote_data_null'] ?? 0;

	$students = $_POST["students"] ?? '';

	$teachers = $_POST["teachers"] ?? '';



	$apps = $Apps->get_installations( [

		"pagesize"         => 20,

		"page"             => $page,

		"search"           => $search,

		"orderby"          => $order_by,

		"order"            => $order,

		"remote_data_null" => $remote_data_null,

		"students" => $students,

		"teachers" => $teachers

	] );



	$html = "";

	foreach ( $apps['rows'] as $app ) {

		$remote_data = json_decode( $app['remote_data'] );



		$data = '';

		if ( is_null( $remote_data ) ) {

			$data .= '<div class="alert alert-danger"><b>It seems, Installations is not complete.</b></div>';

		}

		if ( isset( $remote_data->error ) ) {

			$data .= '<div class="alert alert-danger">Error: <b>' . $remote_data->error . '</b></div>';

		}

		if ( isset( $remote_data->tables->admins ) ) {

			$data .= 'Admin Users: ' . $remote_data->tables->admins . '<br>';

		}

		if ( isset( $remote_data->tables->students ) ) {

			$data .= 'Students: ' . $remote_data->tables->students . '<br>';

		}

		if ( isset( $remote_data->tables->teachers ) ) {

			$data .= 'Teachers: ' . $remote_data->tables->teachers . '<br>';

		}

		if ( isset( $remote_data->last_login_time ) && ! $remote_data->last_login_time ) {

			$data .= 'Last Login: <i>-- Never --</i><br>';

		} else if ( isset( $remote_data->last_login_time ) ) {

			$data .= 'Last Login: <b>' . my_datetime( $remote_data->last_login_time ) . '</b><br>';

		}

		if ( isset( $remote_data->db_name ) ) {

			$data .= '<b>DB:</b> ' . $remote_data->db_name . ', <b>DB User:</b> ' . $remote_data->db_user . ', <b>DB Pass:</b> ' . $remote_data->db_pass;

		}



		$html .= '<tr>

            <td>

                <input id="check' . $app['id'] . '" type="checkbox" class="checkbox css-checkbox" name="id[]" value="' . $app['id'] . '">

                <label for="check' . $app['id'] . '" class="css-label lite-green-check"> </label>

                <a class="view_app" data-id="' . $app['app_id'] . '" href="#">' . $app['id'] . '</a>

            </td>

            <td>

                <a target="_blank" href="' . $app['domain_url'] . '">' . $app['domain_url'] . '</a>

                <br>

                {rdata}

            </td>

            <td>Ver: ';

		if ( version_compare( $app['ver'], $db->get_option( 'version' ), "<" ) ) {

			$color = "danger";

		} else {

			$color = "success";

		}



		if ( $app['app_id'] > 0 ) {

			$app_id = "<a title='View customer' href='clients.php?id={$app['app_id']}'>" . $app['app_id'] . "</a>";

		} else {

			$app_id = $app['app_id'];

		}

		$html .= '<span title="Install latest version" data-domain="' . $app['domain'] . '" class="install pointer label label-sm label-' . $color . '">' . $app['ver'] . ' </span>

            <br>IP: <i>' . $app['added_ip'] . '</i><br>Customer ID: <b>' . $app_id . '</b><br>

            Added: <b>' . human_time_diff( $app['added_time'] ) . '</b></td>

        </tr>';



		$html = strtr( $html, [ '{rdata}' => $data ] );

	}

	$pagination = get_pagination_string( $apps["start"], $apps["end"], $page, $apps["pages"] );



	$apps["html"]       = $html;

	$apps["pagination"] = $pagination;

	json( $apps );

	//echo json_encode( $apps );

}



if ( isset( $_GET['install'] ) ) {

	$data = $Apps->update_installation( $_POST['domain'] );

	echo 'OK';

	exit();

}



