<?php



use Curl\Curl;



$is_ajax = 'XMLHttpRequest' == ( $_SERVER['HTTP_X_REQUESTED_WITH'] ?? '' );

if ( ! $is_ajax ) {

	echo 'Invalid ajax request!';

	exit();

}



include_once( __DIR__ . "/../_init.php" );



if ( isset( $_GET['google_auth'] ) ) {

	$G = new \Google();

	echo $G->sign_in( $_POST );

	exit();

}



if ( isset( $_GET["forget"] ) ) {

	$Apps = new Apps();

	echo $Apps->send_forget_email( @$_POST['email'] );

	exit();

}



if ( isset( $_GET['login'] ) ) {

	$Apps = new Apps();

	echo $Apps->login( $_POST );

	exit();

}



if ( isset( $_GET['captcha'] ) ) {

	$HTML = "<br>" . \Apps::LoginForm;



	$_POST['g-recaptcha-response'] = $_POST['g-recaptcha-response'] ?? '';



	$secret = '6LcEIqoUAAAAAMo7R41dNO5NSMNzyXZLgPvPyahs';

	if ( localhost() ) {

		$secret = '6LcP86wUAAAAAK4lmF8LUk-BqDkNTXTB_7ZgSUpW';

	}



	$curl = new    Curl();

	$curl->post( 'https://www.google.com/recaptcha/api/siteverify', [

		'secret'   => $secret,

		'response' => $_POST['g-recaptcha-response'],

		'remoteip' => myip(),

	] );



	if ( $curl->error ) {

		echo 'Error: ' . $curl->errorCode . ': ' . $curl->errorMessage . "\n";

		exit();

	}



	if ( isset( $curl->response->success ) && $curl->response->success === true ) {

		$_SESSION['login_challenge_code'] = $curl->response->challenge_ts;

		echo "OK" . $HTML;

	} else {

		unset( $_SESSION['challenge_code'] );

		echo "Can't verify!, Please try again.";

	}



	exit();

}