<?php

include_once(__DIR__."/../_init.php");

if ( ! is_logged_in()) {
    json(['error' => 'You are not logged in']);
}

$is_ajax = 'XMLHttpRequest' == ($_SERVER['HTTP_X_REQUESTED_WITH'] ?? '');
if ( ! $is_ajax) {
    json(['error' => 'Invalid ajax request!']);
}

if (isset($_GET['sendVerification'])) {

    $allowedNumber  = [
        '+1',
        '+44',
        '+92',
        '+886',
        '+965',
        '+966',
        '+967',
        '+20',
        '+98',
        '+852',
        '+86',
        '+60',
        '+64',
        '+61',
        '+971',
        '+973',
        '+66',
        '+84',
        '+63',
        '+90',
        '+234',
    ];
    $_POST['phone'] = $_POST['phone'] ?? '';

    if (empty($_POST['phone'])) {
        echo 'Invalid Phone Number';
    } else {

        ## now, allowing every country to register with feakra.
        $proceed = true;

//        $proceed = false;
//        foreach ($allowedNumber as $value) {
//            $userEnteredPreFix = substr($_POST['phone'], 0, strlen($value));
//            if (in_array($userEnteredPreFix, $allowedNumber)) {
//                $proceed = true;
//                break;
//            }
//        }

        ## get user by phone number...
        $userEnteredPhone = (new Apps())->get_app_user_by_user_id($_POST['phone']);
        if ( ! empty($userEnteredPhone['phone'])) {
            echo 'Phone number already exits with some other user, Please try different phone number.';
            exit();
        }

        ## before proceed
        if ($proceed) {
            echo (new Nexmo())->send_verification_request($_POST['phone']);
            (new Apps())->setPhoneNumber($_POST['phone']);
        } else {
            echo "Your country is not in the list, please send an email on sales@fekara.com for account access";
        }

        $userEnteredPhone = (new Apps())->get_app_user_by_user_id(get_my_id());

        ## send email to user...
        $ETemps = new ETemps();

        $templateName = 'user_registration_google';
        ## choose template
        if ($userEnteredPhone['google_user'] == 2) {
            $templateName = 'user_registration_facebook';
        }

        ## get template.
        $content = $ETemps->get_templates("name=".$templateName);
        $content = $content['rows'][0];

        foreach ($userEnteredPhone as $key => $val) {
            if (is_array($val)) {
                continue;
            }
            $content['subject'] = str_ireplace("{{".$key."}}", $val, $content['subject']);
            $content['message'] = str_ireplace("{{".$key."}}", $val, $content['message']);
        }

        if ( ! empty($userEnteredPhone['email']) && ! empty($content['subject']) && ! empty($content['message'])) {
            echo send_mail($userEnteredPhone['email'], $content['subject'], $content['message']);
        }

    }

    exit();
}
if (isset($_GET['verify'])) {
    $_POST['pin_code'] = $_POST['pin_code'] ?? '';
    echo (new Nexmo())->verify_pin_code($_POST['pin_code']);
    exit();
}