$( function() {

	if ( jQuery().datepicker ) {

		$( '.date-picker' ).datepicker( {

			rtl: App.isRTL(),

			orientation: "left",

			autoclose: true,

			format: "dd-mm-yyyy"

		} );

	}	if ( typeof $.summernote == "object" ) {

		$( ".summernote" ).summernote( {

			height: 300

		} );

	}

	if ( typeof $.selectpicker != "undefined" ) {

		$( '.bs-select' ).selectpicker( {

			iconBase: 'fa',

			tickIcon: 'fa-check'

		} );

		$( document ).arrive( ".bs-select", function() {

			$( this ).selectpicker( {

				iconBase: 'fa',

				tickIcon: 'fa-check'

			} );

		} );

	}

	if ( typeof intlTelInput != "undefined" ) {

		$( ".phone" ).intlTelInput( {

			allowExtensions: false,

			autoFormat: true,

			autoHideDialCode: false,

			autoPlaceholder: true,

			defaultCountry: "us",

			// geoIpLookup: function(callback) {

			//   $.get('http://ipinfo.io', function() {}, "jsonp").always(function(resp) {

			//     var countryCode = (resp && resp.country) ? resp.country : "";

			//     callback(countryCode);

			//   });

			// },

			nationalMode: false,

			numberType: "MOBILE", // FIXED_LINE

			//onlyCountries: ['us', 'gb', 'ch', 'ca', 'do'],

			preferredCountries: ['us', 'pk', 'gb'],

			utilsScript: AssetsPath + "/phone_validation/lib/libphonenumber/build/utils.js"

		} );

		$( document ).arrive( ".phone", function() {

			$( this ).intlTelInput( {

				allowExtensions: false,

				autoFormat: true,

				autoHideDialCode: false,

				autoPlaceholder: true,

				defaultCountry: "us",

				// geoIpLookup: function(callback) {

				//   $.get('http://ipinfo.io', function() {}, "jsonp").always(function(resp) {

				//     var countryCode = (resp && resp.country) ? resp.country : "";

				//     callback(countryCode);

				//   });

				// },

				nationalMode: false,

				numberType: "MOBILE", // FIXED_LINE

				//onlyCountries: ['us', 'gb', 'ch', 'ca', 'do'],

				preferredCountries: ['us', 'pk', 'gb'],

				utilsScript: AssetsPath + "/phone_validation/lib/libphonenumber/build/utils.js"

			} );

		} );

	}



	// Login with facebook

	$( document ).on( 'click', '.loginBtn--facebook', function( e ) {

		e.preventDefault();

		window.open( '/loginFacebook.php', '_blank' );

		return false;

	} );

	// Login with google

	$( document ).on( 'click', '.loginBtn--google', function( e ) {

		e.preventDefault();

		window.open( '/loginGoogle.php', '_blank' );

		return false;

	} );



	/*$(document).on("click", "#sidebar .nav-item a", function(e){

	 e.preventDefault();

	 href = $(this).attr('href');

	 if ($(this).hasClass('direct')) {

	 window.location.href = href;

	 return false;

	 }



	 jQuery("#main_content").load(href + " #main_content", function(response, status, xhr){

	 alert (response);

	 TITLE = $(xhr.responseText).filter('title').text();

	 if (TITLE) {

	 document.title = $(xhr.responseText).filter('title').text();

	 }

	 window.history.pushState('', '', href);

	 $("#scripts").html( $(xhr.responseText).filter('#scripts').html() );

	 $("#breadcrumb").html( $(xhr.responseText).filter('#breadcrumb').html() );

	 });





	 $("#sidebar .nav-item").removeClass('active');

	 $(this).parent().addClass('active');

	 });

	 $(document).on("click", "a.ajax", function(e){

	 e.preventDefault();

	 href = $(this).attr('href');



	 jQuery("#main_content").load(href + " #main_content", function(response, status, xhr){

	 TITLE = $(xhr.responseText).filter('title').text();

	 if (TITLE) {

	 document.title = $(xhr.responseText).filter('title').text();

	 }

	 window.history.pushState('', '', href);

	 $("#scripts").html( $(xhr.responseText).filter('#scripts').html() );

	 $("#breadcrumb").html( $(xhr.responseText).filter('#breadcrumb').html() );

	 });

	 });*/

} );



function is_json( str ) {

	try {

		JSON.parse( str );

	} catch ( e ) {

		return false;

	}

	return true;

}



function intval( mixedVar, base ) {

	//  discuss at: http://locutus.io/php/intval/

	// original by: Kevin van Zonneveld (http://kvz.io)

	// improved by: stensi

	// bugfixed by: Kevin van Zonneveld (http://kvz.io)

	// bugfixed by: Brett Zamir (http://brett-zamir.me)

	// bugfixed by: Rafał Kukawski (http://blog.kukawski.pl)

	//    input by: Matteo

	//   example 1: intval('Kevin van Zonneveld')

	//   returns 1: 0

	//   example 2: intval(4.2)

	//   returns 2: 4

	//   example 3: intval(42, 8)

	//   returns 3: 42

	//   example 4: intval('09')

	//   returns 4: 9

	//   example 5: intval('1e', 16)

	//   returns 5: 30



	var tmp



	var type = typeof mixedVar



	if ( type === 'boolean' ) {

		return +mixedVar

	} else if ( type === 'string' ) {

		tmp = parseInt( mixedVar, base || 10 )

		return (isNaN( tmp ) || !isFinite( tmp )) ? 0 : tmp

	} else if ( type === 'number' && isFinite( mixedVar ) ) {

		return mixedVar | 0

	} else {

		return 0

	}

}



function Success( message, title ) {

	if ( title == undefined ) {

		title = "Success";

	}

	var settings = {

		theme: 'lime',

		sticky: false,

		life: 5000,

		horizontalEdge: 'right',

		verticalEdge: 'top',

		heading: title

	}



	$.notific8( 'zindex', 11500 );

	$.notific8( message, settings );

}



function Error2( message, title ) {

	if ( title == undefined ) {

		title = "Error";

	}

	var settings = {

		theme: 'ruby',

		sticky: false,

		life: 10000,

		horizontalEdge: 'right',

		verticalEdge: 'top',

		heading: title

	}



	$.notific8( 'zindex', 11500 );

	$.notific8( message, settings );

}



function Warning( message, title ) {

	if ( title == undefined ) {

		title = "Error";

	}

	var settings = {

		theme: 'tangerine',

		sticky: false,

		life: 5000,

		horizontalEdge: 'right',

		verticalEdge: 'top',

		heading: title

	}



	$.notific8( 'zindex', 11500 );

	$.notific8( message, settings );

}



function is_phone( obj ) {

	if ( $( obj ).intlTelInput( "isValidNumber" ) ) {

		$( obj ).removeClass( "bd-error" );

		return true;

	} else {

		$( obj ).addClass( "bd-error" );

		return false;

	}

}



var InstantSearch = {

	"highlight": function( container, highlightText ) {

		var internalHighlighter = function( options ) {



				var id = {

						container: "container",

						tokens: "tokens",

						all: "all",

						token: "token",

						className: "className",

						sensitiveSearch: "sensitiveSearch"

					},

					tokens = options[ id.tokens ],

					allClassName = options[ id.all ][ id.className ],

					allSensitiveSearch = options[ id.all ][ id.sensitiveSearch ];



				function checkAndReplace( node, tokenArr, classNameAll, sensitiveSearchAll ) {

					var nodeVal = node.nodeValue, parentNode = node.parentNode,

						i, j, curToken, myToken, myClassName, mySensitiveSearch,

						finalClassName, finalSensitiveSearch,

						foundIndex, begin, matched, end,

						textNode, span, isFirst;



					for ( i = 0, j = tokenArr.length; i < j; i++ ) {

						curToken = tokenArr[ i ];

						myToken = curToken[ id.token ];

						myClassName = curToken[ id.className ];

						mySensitiveSearch = curToken[ id.sensitiveSearch ];



						finalClassName = (classNameAll ? myClassName + " " + classNameAll : myClassName);



						finalSensitiveSearch = (typeof sensitiveSearchAll !== "undefined" ? sensitiveSearchAll : mySensitiveSearch);



						isFirst = true;

						while ( true ) {

							if ( finalSensitiveSearch ) {

								foundIndex = nodeVal.indexOf( myToken );

							} else {

								foundIndex = nodeVal.toLowerCase().indexOf( myToken.toLowerCase() );

							}



							if ( foundIndex < 0 ) {

								if ( isFirst ) {

									break;

								}



								if ( nodeVal ) {

									textNode = document.createTextNode( nodeVal );

									parentNode.insertBefore( textNode, node );

								} // End if (nodeVal)



								parentNode.removeChild( node );

								break;

							} // End if (foundIndex < 0)



							isFirst = false;



							begin = nodeVal.substring( 0, foundIndex );

							matched = nodeVal.substr( foundIndex, myToken.length );



							if ( begin ) {

								textNode = document.createTextNode( begin );

								parentNode.insertBefore( textNode, node );

							} // End if (begin)



							span = document.createElement( "span" );

							span.className += finalClassName;

							span.appendChild( document.createTextNode( matched ) );

							parentNode.insertBefore( span, node );



							nodeVal = nodeVal.substring( foundIndex + myToken.length );

						} // Whend



					} // Next i

				}; // End Function checkAndReplace



				function iterator( p ) {

					if ( p === null ) {

						return;

					}



					var children = Array.prototype.slice.call( p.childNodes ), i, cur;



					if ( children.length ) {

						for ( i = 0; i < children.length; i++ ) {

							cur = children[ i ];

							if ( cur.nodeType === 3 ) {

								checkAndReplace( cur, tokens, allClassName, allSensitiveSearch );

							} else if ( cur.nodeType === 1 ) {

								iterator( cur );

							}

						}

					}

				}; // End Function iterator



				iterator( options[ id.container ] );

			} // End Function highlighter

		;



		internalHighlighter(

			{

				container: container

				, all: {

					className: "highlighter"

				}

				, tokens: [

					{

						token: highlightText

						, className: "highlight"

						, sensitiveSearch: false

					}

				]

			}

		); // End Call internalHighlighter



	} // End Function highlight



};



function TestTextHighlighting( highlightText, ID ) {

	var container = document.getElementById( ID );

	InstantSearch.highlight( container, highlightText );

}



function sort_table( tbody, col, asc ) {

	var rows = tbody.rows,

		rlen = rows.length,

		arr = new Array(),

		i, j, cells, clen;

	// fill the array with values from the table

	for ( i = 0; i < rlen; i++ ) {

		cells = rows[ i ].cells;

		clen = cells.length;

		arr[ i ] = new Array();

		for ( j = 0; j < clen; j++ ) {

			arr[ i ][ j ] = cells[ j ].innerHTML;

		}

	}

	// sort the array by the specified column number (col) and order (asc)

	arr.sort( function( a, b ) {

		return (a[ col ] == b[ col ]) ? 0 : ((a[ col ] > b[ col ]) ? asc : -1 * asc);

	} );

	// replace existing rows with new rows created from the sorted array

	for ( i = 0; i < rlen; i++ ) {

		rows[ i ].innerHTML = "<td>" + arr[ i ].join( "</td><td>" ) + "</td>";

	}

}



function Block() {

	$( "#loading" ).show();

}



function UnBlock() {

	$( "#loading" ).hide();

}



function remove_url_param( key, sourceURL ) {

	if ( typeof sourceURL == "undefined" ) {

		sourceURL = window.location.href;

	}

	var rtn = sourceURL.split( "?" )[ 0 ],

		param,

		params_arr = [],

		queryString = (sourceURL.indexOf( "?" ) !== -1) ? sourceURL.split( "?" )[ 1 ] : "";

	if ( queryString !== "" ) {

		params_arr = queryString.split( "&" );

		for ( var i = params_arr.length - 1; i >= 0; i -= 1 ) {

			param = params_arr[ i ].split( "=" )[ 0 ];

			if ( param === key ) {

				params_arr.splice( i, 1 );

			}

		}

		rtn = rtn + "?" + params_arr.join( "&" );

	}

	return rtn;

}



function set_new_url( new_url ) {

	window.history.pushState( "{}", "", new_url );

}



function isset() {

	//  discuss at: http://locutus.io/php/isset/

	// original by: Kevin van Zonneveld (http://kvz.io)

	// improved by: FremyCompany

	// improved by: Onno Marsman (https://twitter.com/onnomarsman)

	// improved by: Rafał Kukawski (http://blog.kukawski.pl)

	//   example 1: isset( undefined, true)

	//   returns 1: false

	//   example 2: isset( 'Kevin van Zonneveld' )

	//   returns 2: true

	var a = arguments

	var l = a.length

	var i = 0

	var undef

	if ( l === 0 ) {

		throw new Error( 'Empty isset' )

	}

	while ( i !== l ) {

		if ( a[ i ] === undef || a[ i ] === null ) {

			return false

		}

		i++

	}

	return true

}



var get_url_parameter = function getUrlParameter( sParam ) {

	var sPageURL = window.location.search.substring( 1 ),

		sURLVariables = sPageURL.split( '&' ),

		sParameterName,

		i;



	for ( i = 0; i < sURLVariables.length; i++ ) {

		sParameterName = sURLVariables[ i ].split( '=' );



		if ( sParameterName[ 0 ] === sParam ) {

			return sParameterName[ 1 ] === undefined ? true : decodeURIComponent( sParameterName[ 1 ] );

		}

	}

};

var get_url_parameter_value = function( name ) {

	name = name.replace( /[\[]/, '\\[' ).replace( /[\]]/, '\\]' );

	var regex = new RegExp( '[\\?&]' + name + '=([^&#]*)' );

	var results = regex.exec( location.search );

	return results === null ? '' : decodeURIComponent( results[ 1 ].replace( /\+/g, ' ' ) );



};



function QS() {

	this.qs = {};

	var s = location.search.replace( /^\?|#.*$/g, '' );

	if ( s ) {

		var qsParts = s.split( '&' );

		var i, nv;

		for ( i = 0; i < qsParts.length; i++ ) {

			nv = qsParts[ i ].split( '=' );

			this.qs[ nv[ 0 ] ] = nv[ 1 ];

		}

	}

}



QS.prototype.add = function( name, value ) {

	if ( arguments.length == 1 && arguments[ 0 ].constructor == Object ) {

		this.addMany( arguments[ 0 ] );

		return;

	}

	this.qs[ name ] = value;

}



QS.prototype.addMany = function( newValues ) {

	for ( nv in newValues ) {

		this.qs[ nv ] = newValues[ nv ];

	}

}



QS.prototype.remove = function( name ) {

	if ( arguments.length == 1 && arguments[ 0 ].constructor == Array ) {

		this.removeMany( arguments[ 0 ] );

		return;

	}

	delete this.qs[ name ];

}



QS.prototype.removeMany = function( deleteNames ) {

	var i;

	for ( i = 0; i < deleteNames.length; i++ ) {

		delete this.qs[ deleteNames[ i ] ];

	}

}



QS.prototype.getQueryString = function() {

	var nv, q = [];

	for ( nv in this.qs ) {

		q[ q.length ] = nv + '=' + this.qs[ nv ];

	}

	return q.join( '&' );

}



QS.prototype.toString = QS.prototype.getQueryString;





