$( function() {

	if (isset( $_GET["id"] )) {

		set_new_url( remove_url_param( "id" ) );

	}

	/*$("#table1").dataTable({

	 "order": [[ 0, "desc" ]],

	 stateSave: true

	 }).table();*/



	$( document ).on( "change", "#checkbox", function() {

		if ( $( this ).is( ":checked" ) ) {

			$( ".checkbox" ).each( function() {

				$( this ).prop( 'checked', true );

				$( "#del_btn" ).show();

			} );

		} else {

			$( ".checkbox" ).each( function() {

				$( this ).prop( 'checked', false );

				$( "#del_btn" ).hide();

			} );

		}



	} );

	$( document ).on( "submit", "#client_form", function(event) {

		event.preventDefault();



		if ( !$("#phone").intlTelInput("isValidNumber") ) {

			alert ( "Please type valid phone number." );

			$("#phone").focus();

			return false;

		}



		Block();

		$( "#loading" ).show();

		$.post( filename + "?save_client", $( "#client_form" ).serialize(), function( data ) {

			$( "#loading" ).hide();

			alert( data );

		} )

		return false;

	} );

	$( document ).on( "click", ".app_counter", function( e ) {

		$( "#loader" ).show();

		id = $( this ).data( "id" );

		$.post( filename + "?show_apps", { id: id }, function( data ) {

			$( "#loader" ).hide();

			$.fancybox( {

				content: data,

				minWidth: '90%',

				title: 'Apps Installation',

				afterShow: function() {

					$( ".fancybox-inner" ).linkify();

					//$("#table2").tablesorter();

				}

			} );

		} );

	} );

	$( document ).on( "change", ".checkbox", function() {

		if ( $( ".checkbox:checked" ).length > 0 ) {

			$( "#del_btn" ).show();

		} else {

			$( "#del_btn" ).hide();

		}

	} );

	$( document ).on( "click", "#del_btn", function() {

		if ( $( ".checkbox:checked" ).length == 0 ) {

			Error2( "Please select one or more applications to delete." );

			return;

		}

		if ( !confirm( "Are you sure you want to delete selected customers?" ) ) {

			return;

		}

		$( "#loader" ).show();

		$.post( filename + "?delete_customers", $( ".checkbox:checked" ).serialize(), function( data ) {

			$( "#loader" ).hide();

			if ( data == "OK" ) {

				var table1 = $( '#table1' ).DataTable();

				$.each( $( ".checkbox:checked" ), function( k, v ) {

					id = $( this ).val();

					table1.row( $( "#tr_" + id ) ).remove().draw();

				} );

				Success( "Selected users deleted!" );

				$( "#del_btn" ).hide();

				$( "#checkbox" ).prop( "checked", false );

			} else {

				Error( data );

			}

		} );

	} );



	$( "#loading" ).hide();



	$( document ).on( "click", ".install", function() {

		$.fancybox.close();

		domain = $( this ).data( 'domain' );

		$( "#loading" ).show();

		$.post( filename + "?install", { domain: domain }, function( data ) {

			$( "#loading" ).hide();

			if ( data == "OK" ) {

				Success( "Updated successfully!" );

				window.open( "http://" + domain );

			} else {

				Error2( data );

			}

		} );

	} );

	load_data();

	$( document ).on( "change", "#filter_search", function() {

		Page = 1;

		load_data();

	} );

	$( document ).on( "click", ".email_link", function( e ) {

		e.preventDefault();

		id = $( this ).data( "id" );

		open_email( id );

	} );

	$( document ).on( "click", ".email_btn", function() {

		id = $( this ).data( "id" );

		open_email( id );

	} );

	$( document ).on( "click", ".addInfo", function() {

		id = $( this ).attr( "data-id" );

		$('#domainInstallationDiv').find('input[id=app_user_id]').val(id);

		$('#domainInstallationDiv').modal('show');

	} );



	$(document).on('click','.saveInstaillationInformation',function() {

		let formVar = $('#installation_info_form');

		$.post( filename + "?save_installation", $(formVar).serialize() , function( data ) {

			if(data === 1){

				$('#installation_info_form')[0].reset();

			}

			$('#domainInstallationDiv').modal('hide');

		});

	});



	$( document ).on( "change", "#email_templates", function() {

		val = $( this ).val();

		$( this ).val( '' );

		if ( $( "#email_to" ).val() == "" ) {

			$( "#email_to" ).val( "Loading ...." );

		}

		$( "#email_subject" ).val( 'Loading ....' );

		$( "#email_message" ).summernote( "code", 'Loading ....' );

		$.post( filename + "?load_email", { id: ID, template: val }, function( data ) {

			if ( is_json( data ) ) {

				data = JSON.parse( data );

				$( "#email_subject" ).val( data.template.subject );

				$( "#email_message" ).summernote( "code", data.template.message );

				if ( $( "#email_to" ).val() == "" || $( "#email_to" ).val() == "Loading ...." ) {

					$( "#email_to" ).val( data.row.email );

				}

			} else {

				Error2( data );

			}

		} );

	} );

	$( document ).on( "submit", "#email_form", function() {

		Block();

		$( "#emailDiv" ).modal( "hide" );

		$.post( filename + "?send_email", $( "#email_form" ).serialize(), function( data ) {

			UnBlock();

			if ( data == "OK" ) {

				Success( "Email sent successfully!" );

			} else {

				$( "#emailDiv" ).modal( "show" );

				Error2( data );

			}

		} );

		return false;

	} );

	$( document ).on( "click", ".view_app", function() {

		id = $( this ).data( "id" );

		$.fancybox( {

			"type": "iframe",

			"href": "view_app.php?id=" + id,

			"minWidth": '90%',

			"modal": true

		} );

	} );

} );

function open_email( id ) {

	ID = id;

	$( "#email_to, #email_subject" ).val( '' );

	$( "#email_message" ).summernote( "code", '' );

	$( "#emailDiv" ).modal( "show" );

}

function load_data() {

	$( "#loading" ).show();

	k = $( ".form-filter" ).serialize();

	k += "&page=" + Page;

	$.post( filename + "?load_data", k, function( data ) {

		$( "#loading" ).hide();

		if ( is_json( data ) ) {

			data = JSON.parse( data );

			$( "#table1 tbody" ).html( data.html );

			$( "#pagination" ).html( data.pagination + " - " );

			$( "#pagination" ).append( "<b>" + data.from + "</b> to <b>" + data.to + "</b> out of <b>" + data.total_records + "</b>" );



			if ( $( "#filter_search" ).val() != "" ) {

				TestTextHighlighting( $( "#filter_search" ).val(), "table1" );

			}

			$( "#table1" ).table();

			$( "#table1 tbody" ).linkify();



			$( ".view_app" ).css( "cursor", "pointer" ).attr( "title", "View full detail" );

		} else {

			Error2( data );

		}

	} );

	$( document ).on( "click", ".status_change", function() {

		id = $( this ).attr( "data-id" );



		$( "#status_modal" ).modal( "show" );

		$( "#status_form input[name=status],#status_form input[name=next_follow_up],#status_form textarea[name=admin_notes]" ).val( "Loading ...." );

		$( "#status_form input[name=rating]" ).val( "0" );



		$.post( filename + "?get_notes_data", { id: id }, function( data ) {

			if ( !is_json( data ) ) {

				Error( data );

			} else {

				data = JSON.parse( data );

				$( "#status_form input[name=id]" ).val( data.id );

				$( "#status_form input[name=status]" ).val( data.status );

				$( "#status_form input[name=rating]" ).val( data.rating );

				$( "#status_form input[name=next_follow_up]" ).val( data.next_follow_up );

				$( "#status_form textarea[name=admin_notes]" ).val( data.admin_notes );

			}

		} );

	} );

	$( document ).on( "submit", "#status_form", function( event ) {

		event.preventDefault();

		$( "#status_modal" ).modal( "hide" );

		id = $( "#status_form input[name=id]" ).val();

		old_html = $( "#status_td_" + id ).html();

		$( "#status_td_" + id ).html( "<i class='fa fa-spin fa-spinner'></i> Saving ..." );



		$.post( filename + "?save_notes_data", $( "#status_form" ).serialize(), function( data ) {

			if ( data == "OK" ) {

				html = "Rating" + $( "#status_form input[name=rating]" ).val() + ", "

				       + $( "#status_form input[name=status]" ).val() + "<br>" +

				       "<button type='button' class='btn btn-xs red-soft'>" + $( "#status_form input[name=next_follow_up]" ).val() + "</button>";

				$( "#status_td_" + id ).html( html );

			} else {

				$( "#status_td_" + id ).html( old_html );

			}

		} );

	} );

	$(document).on("click", "#no_app_id", function( event ) {

		event.preventDefault();



		$("#filter_apps_count").val('0');

		Page = 1;

		load_data();

	});

	$(document).on("click", "#clear_filters", function( event ) {

		event.preventDefault();



		$(".form-filter").val('');

		Page = 1;

		load_data();

	});

}

function ChangePage( p ) {

	Page = p;

	load_data();

}