<?php

include_once "_init.php";

if (!is_admin()) redirect("index.php");

if (isset($_GET["show_email"])) {

    $email = get_row("SELECT * FROM `email_logs` WHERE `id`='{$_POST['id']}'");

    //show_array($email);

    if (is_json($email["to"])) {

        $email["to"] = json_decode($email["to"], true);

        $email["to"] = implode(", ", $email["to"]);

    }

    ?>

    <div style="font-size: 16px;" id="email_content">

    To: <b><?php echo $email["to"]; ?></b> at <b><?php echo human_time_diff($email["sent_time"]); ?></b>

    <h3>Subject: <?php echo $email["subject"]; ?></h3>

    <?php echo $email["message"]; ?>

    </div>

    <?php exit;

}

if (isset($_GET["load_data"])) {

    $html = "";

    $page = @$_POST["page"]; $page = (int) $page;

    $pagesize = 50;



    $Q = "SELECT * FROM `email_logs` WHERE 1";

    $Q .= " ORDER BY `id` DESC";



    $rows = get_rows2($Q, $page, $pagesize);





    foreach($rows["rows"] as $row) {

        if (is_json($row["to"])) {

            $row["to"] = json_decode($row["to"], true);

            $row["to"] = implode(", ", $row["to"]);

        }

        $html .= "<tr data-id='{$row['id']}'>

            <td>

                <input id='check{$row['id']}' type=\"checkbox\" class=\"checkbox css-checkbox\" name=\"id[]\" value=\"{$row['id']}\">

                <label for=\"check{$row['id']}\" class=\"css-label lite-green-check\"> {$row['to']}</label>

            </td>

            <td>

                {$row['subject']}

            </td>

            <td>". human_time_diff($row["sent_time"]) ."</td></tr>";

    }

    if ($rows["total_records"]=="0") {

        $html = "<tr><td colspan='3' class='text-center'>-- No data found --</td>";

    }

    $pagination = get_pagination_string($rows["start"], $rows["end"], $rows["page"], $rows["pages"]);



    echo json_encode(

        array("html"=>$html, "pagination"=>$pagination)

    );

    exit;

}

$__title = "Email logs";

include_once "header.php"; ?>

<script>

    var Page = 1;

</script>

<style>

    #table1 tbody tr:hover {

        cursor:pointer;

    }

</style>

<!-- BEGIN CONTAINER -->

<div class="container-fluid">

    <div class="page-content page-content-popup">

        <div class="page-content-fixed-header">

            <!-- BEGIN BREADCRUMBS -->

            <ul class="page-breadcrumb" id="breadcrumb">

                <li>

                    <a href="<?php echo DOMAIN_URL ?>">Home</a>

                </li>

                <li>Email Templates</li>

            </ul>

            <!-- END BREADCRUMBS -->

            <div class="content-header-menu">

                <!-- BEGIN MENU TOGGLER -->

                <!-- Only for mobile version -->

                <button type="button" class="menu-toggler responsive-toggler" data-toggle="collapse" data-target=".navbar-collapse">

                            <span class="toggle-icon">

                                <span class="icon-bar"></span>

                                <span class="icon-bar"></span>

                                <span class="icon-bar"></span>

                            </span>

                </button>

                <!-- END MENU TOGGLER -->

            </div>

        </div>

        <?php include_once "sidebar.php"; ?>



        <div class="page-fixed-main-content">

            <div id="main_content">



                <!--<div id="pagination" class="pull-right">

                    <ul class="pagination pagination-sm" style="margin: 0">

                        <li><a href="#">1</a></li>

                        <li class="active"><a href="#">2</a></li>

                        <li><a href="#">3</a></li>

                        <li><a href="#">4</a></li>

                        <li><a href="#">5</a></li>

                    </ul>

                </div>-->

                <div style="border-bottom: 5px;">

                    <i id="loader" class="fa fa-spinner fa-spin" style="display: none;"></i>

                </div><br>

                <div class="clearfix"></div>

                <div id="pagination"></div>

                <table class="table table-bordered table-hover table-striped" id="table1" data-toggle="table" data-sort-name="id" data-sort-order="desc">

                    <thead>

                    <tr class="heading">

                        <th data-field="id" data-align="right" data-sortable="true">

                            <input type="checkbox" class="css-checkbox" id="checkbox">

                            <label for="checkbox" class="css-label lite-green-check"> <b>To</b></label>

                        </th>

                        <th data-field="name" data-align="center" data-sortable="true">Subject</th>

                        <th>Sent Time</th>

                    </tr>

                    </thead>

                    <tbody id="table1">

                    </tbody>

                </table>

            </div>

        </div>



        <?php include_once "footer.php"; ?>

    </div>

</div>

<!-- END CONTAINER -->

<?php include_once "footer_scripts.php"; ?>

<div id="scripts">

    <script>

        function load_data() {

            $("#loading").show();

            $.post("<?php echo filename(); ?>?load_data", {page:Page}, function(data){

                $("#loading").hide();

                if (is_json(data)) {

                    data = JSON.parse(data);

                    $("#table1 tbody").html(data.html);

                    $("#pagination").html(data.pagination);

                    $("#table1").table();

                } else {

                    Error2(data);

                }

            });

        }

        $(function(){

            load_data();



            $(document).on("click", "#table1 tbody tr", function(){

                id = $(this).data("id");

                $("#loading").show();

                $.post("<?php echo filename(); ?>?show_email", {id:id}, function(data){

                    $("#loading").hide();

                    $.fancybox({

                        content: data,

                        minWidth: '90%',

                        afterShow: function(){

                            $("#email_content").linkify();

                        }

                    });

                });

            });

        });

        function ChangePage(p) {

            Page = p;

            load_data();

        }

    </script>

</div>

</body>

</html>