<?php



/**

 * Class Installations

 */

class Installations {



	private $Table = 'installations';



	public function __construct() {

		global $DB;



		$Q = "ALTER TABLE `installations` ADD COLUMN `students` SMALLINT NULL DEFAULT 0;";

		$DB->query( $Q );



		$Q = "ALTER TABLE `installations` ADD COLUMN `teachers` SMALLINT NULL DEFAULT 0;";

		$DB->query( $Q );

	}



	public function get_login_dates() {

		global $DB;



		$rows = $DB->get_rows( $DB->prepare( 'SELECT `id`,`remote_data` FROM %t WHERE `remote_data` IS NOT NULL ORDER BY RAND() LIMIT 30', $this->Table ) );



		foreach ( $rows as $row ) {

			if ( is_json( $row['remote_data'] ) ) {

				$array = json_decode( $row['remote_data'], true );



				if ( ! empty( $array['last_login_time'] ) ) {

					$DB->update( $this->Table, [ 'last_login_time' => $array['last_login_time'] ], [ 'id' => $row['id'] ] );

				}



				if ( isset( $array['admins'] ) && is_array( $array['admins'] ) ) {

					$DB->update( $this->Table, [ 'client_users' => count( $array['admins'] ) ], [ 'id' => $row['id'] ] );

				}



				if( isset($array["tables"]["students"]) ) {

					$DB->update( $this->Table, [ 'students' => $array["tables"]["students"] ], [ 'id' => $row['id'] ] );

				}



				if( isset($array["tables"]["teachers"]) ) {

					$DB->update( $this->Table, [ 'teachers' => $array["tables"]["teachers"] ], [ 'id' => $row['id'] ] );

				}



			} else {

				$DB->query( 'UPDATE `installations` SET `remote_data`=NULL WHERE `id`=' . $row['id'] );

			}

		}

	}



}