<?php

include_once "_init.php";

if (!is_admin()) redirect("index.php");

$Settings = new Settings();



if (isset($_GET['save_settings'])) {

    echo $Settings->save_settings($_POST);

    exit;

}



$__title = "Application Settings";

include_once "header.php"; ?>

<!-- BEGIN CONTAINER -->

<div class="container-fluid">

    <div class="page-content page-content-popup">

        <div class="page-content-fixed-header">

            <!-- BEGIN BREADCRUMBS -->

            <ul class="page-breadcrumb" id="breadcrumb">

                <li>

                    <a href="<?php echo DOMAIN_URL ?>">Home</a>

                </li>

                <li>App Settings</li>

            </ul>

            <!-- END BREADCRUMBS -->

            <div class="content-header-menu">

                <!-- BEGIN MENU TOGGLER -->

                <!-- Only for mobile version -->

                <button type="button" class="menu-toggler responsive-toggler" data-toggle="collapse" data-target=".navbar-collapse">

                            <span class="toggle-icon">

                                <span class="icon-bar"></span>

                                <span class="icon-bar"></span>

                                <span class="icon-bar"></span>

                            </span>

                </button>

                <!-- END MENU TOGGLER -->

            </div>

        </div>

        <?php include_once "sidebar.php"; ?>



        <div class="page-fixed-main-content">

            <div id="main_content">

                <form class="form-horizontal" name="form1" id="form1">

                    <input type="submit" class="display-none" id="sumbit1">

                    <div class="form-body">

                        <div class="row">

                            <div class="col-md-8">

                                <div class="form-group">

                                    <label for="version" class="control-label col-md-7">Latest FeKara Version</label>

                                    <div class="col-md-5">

                                        <input type="text" name="version" id="version" value="<?php echo $Settings->get_setting('version'); ?>" class="form-control" placeholder="Fekara Version">

                                    </div>

                                </div>

                            </div>

                            <div class="col-md-4">

                                <div class="form-group">

                                    <div class="col-md-12 text-right">

                                        <button type="submit" class="btn btn-md btn-primary"><i class="fa fa-save faa-wrench animated"></i> Save Settings</button>

                                    </div>

                                </div>

                            </div>

                        </div>

                        <div class="row">

                            <div class="col-md-12">

                                <div class="form-group">

                                    <div class="col-md-12">

                                        <label class="control-label">Email signatures</label>

                                        <textarea name="email_signature" class="form-control summernote" placeholder="Email signature"><?php echo $Settings->get_setting('email_signature'); ?></textarea>

                                    </div>

                                </div>

                            </div>

                        </div>

                    </div>

                </form>

            </div>

        </div>



        <?php include_once "footer.php"; ?>

    </div>

</div>

<!-- END CONTAINER -->

<?php include_once "footer_scripts.php"; ?>

<div id="scripts">

    <script>

        $(function(){

            $(document).on("submit", "#form1", function(){

                $("#loading").show();

                $.post("<?php echo filename(); ?>?save_settings", $(this).serialize(), function(data){

                    $("#loading").hide();

                    if (data=="OK") {

                        Success("Settings saved!");

                    } else {

                        Error (data);

                    }

                });

                

                return false;

            });

        });

    </script>

</div>

</body>

</html>