<?php

include_once "_init.php";



if ( ! is_admin() ) {

	redirect( "index.php" );

}



// Specify our Twig templates location

$loader = new \Twig\Loader\FilesystemLoader( ROOT_PATH . 'templates' );

$twig   = new \Twig\Environment( $loader, [ 'debug' => true ] );



$twig->addGlobal( 'GET', json_encode( $_GET ) );

$twig->addGlobal( 'System', System );

$twig->addGlobal( 'DOMAIN_URL', DOMAIN_URL );

$twig->addGlobal( '_filename', $_filename );



$twig->addGlobal( 'customcss_md5', md5_file( ROOT_PATH . "assets/custom.css" ) );

$twig->addGlobal( 'customjs_md5', md5_file( ROOT_PATH . "assets/custom.js" ) );





$twig->addGlobal( 'my_url', urlencode(my_url()) );



echo $twig->render( 'twig.html.twig', [ 'name' => 'SHAKEEL' ] );