<?php

$__title = "Verify your phone number";

include_once( __DIR__ . "/header.php" ); ?>

<!-- BEGIN CONTAINER -->

<div class="container-fluid">

	<div class="page-content page-content-popup">



		<?php include_once( __DIR__ . "/sidebar.php" ); ?>

		<div class="page-fixed-main-content" style="min-height: 500px;">

			<form action="ajax/verify_phone.php?sendVerification" class="horizontal-form" method="post" id="form1">

				<div class="form-body">

					<div class="row">

						<div class="col-md-8 col-md-offset-2">

							<div class="form-group">

								<label class="control-label">Verify your phone number</label>

								<input type="text" name="phone" id="phone" placeholder="Phone" class="form-control phone" value="<?php echo $Apps->getPhoneNumber() ?>" required="required">

								<span class="help-block"> You need to verify your phone number before continue with us.</span>

							</div>

						</div>

						<!--/span-->

					</div>

				</div>

				<div class="form-actions" style="text-align: center;">

					<button type="submit" class="btn blue">

						<i class="fa fa-check"></i> Verify phone number

					</button>

				</div>

			</form>

			<form style="display: none" class="form-horizontal" role="form" id="form2" method="post" action="ajax/verify_phone.php?verify">

				<div class="note note-success" id="message">We've sent you a verification code via SMS/Voice.</div>

				<div class="form-body">

					<div class="form-group">

						<label for="pin_code" class="col-md-3 control-label">Type received code:</label>

						<div class="col-md-3">

							<input type="number" name="pin_code" id="pin_code" class="form-control" placeholder="Received code" required="required">

						</div>

					</div>

					<div class="form-group">

						<div class="col-md-3 col-md-offset-3">

							<button type="submit" class="btn blue">Verify</button>

						</div>

					</div>

					<div class="form-group">

						<div class="col-md-3 col-md-offset-3">

							<a id="change_number_link" href="#">Change phone number</a>

						</div>

					</div>

				</div>

				<div class="note note-danger display-none" id="verify_order"></div>

			</form>

		</div>

		<?php include_once( __DIR__ . "/footer.php" ); ?>

	</div>

</div>

<!-- END CONTAINER -->

<?php include_once( __DIR__ . "/footer_scripts.php" ); ?>

<script>

	$( function() {

		$( document ).on( 'submit', '#form1', function( event ) {

			event.preventDefault();



			$( '.loading' ).show();

			$.ajax( {

				method: $( this ).attr( 'method' ),

				url: $( this ).attr( 'action' ),

				data: $( this ).serializeArray(),

				error: function( e1, e2, e3 ) {

					$( '.loading' ).hide();

					alert( 'Error: ' + e3 );

				}

			} ).done( function( data ) {

				$( '.loading' ).hide();

				if ( data.substr( 0, 2 ) === 'OK' ) {

					$( '#form1' ).hide();

					$( '#form2' ).show();

				} else {

					alert( 'Error: ' + data );

				}

			} );



			return false;

		} );

		$( document ).on( 'submit', '#form2', function( event ) {

			event.preventDefault();



			$( '.loading' ).show();

			$.ajax( {

				method: $( this ).attr( 'method' ),

				url: $( this ).attr( 'action' ),

				data: $( this ).serializeArray(),

				error: function( e1, e2, e3 ) {

					$( '.loading' ).hide();

					alert( 'Error: ' + e3 );

				}

			} ).done( function( data ) {

				if ( data.substr( 0, 2 ) === 'OK' ) {

					window.location.href = 'index.php';

				} else {

					$( '.loading' ).hide();

					alert( 'Error: ' + data );

				}

			} );



			return false;

		} );

		$(document).on('click', '#change_number_link', function(event){

			event.preventDefault();



			$( '#form1' ).show();

			$( '#form2' ).hide();



			return false;

		});

	} )

</script>

</body>



</html>