<?php

include_once "_init.php";



$Apps = new Apps();

if (isset($_GET["dmy"])) {

    echo $_POST["format"]." = ".date($_POST["format"]);

    exit;

}

if (isset($_GET['add_user'])) {

    $keys = array();

    foreach ($_POST as $key => $val) {

        if ($key == "id" || $key == "username" || $key == "password") {

            continue;

        }

        $keys[$key] = $val;

    }

    $keys['date_format2']      = @$keys['date_format1'];

    $keys['date_time_format2'] = @$keys['date_time_format1'];

    if ( ! isset($_POST['id'])) {

        echo "ID not provided.";

        exit;

    }



    $response = $Apps->execute_api(

        [

            "id"      => $_POST['id'],

            "command" => 'bulk_set_option',

            "data"    => $keys,

        ]

    );



    $Q      = "SELECT `app_id` FROM `installations` WHERE `id`='{$_POST['id']}'";

    $app_id = get_var($Q);

    if ($app_id <> get_my_id()) {

        echo "You can create user account only on your School!";

        exit;

    }

    $data = array(

        "username" => $_POST['username'],

        "password" => md5($_POST['password']),

        "is_admin" => 1,

        "email"    => get_app("email"),

        "name"     => get_app("name"),

    );

    echo $Apps->execute_api(

        [

            "id"      => $_POST['id'],

            "command" => "insert_record",

            "data"    => $data,

            "table"   => "admins",

        ]

    );



    $row               = $Apps->get_installations("id=".$_POST['id']);

    $row               = $row['rows'][0];

    $row["admin_user"] = $_POST['username'];

    $row["admin_pass"] = $_POST['password'];



    $Etemp   = new ETemps();

    $content = $Etemp->get_templates(["name" => "first_installation"]);

    $content = $content["rows"][0];



    //$content = get_email_template("first_installation", $row);

    foreach ($row as $key => $val) {

        $content["subject"] = str_replace('{{'.$key.'}}', $val, $content["subject"]);

        $content["message"] = str_replace('{{'.$key.'}}', $val, $content["message"]);

    }

    send_mail(get_app("email", $app_id), $content['subject'], $content['message']);

    exit;

}



$id     = @$_GET['id'];

$app_id = get_var("SELECT `app_id` FROM `installations` WHERE `id`='$id'");

if ($app_id <> get_my_id()) {

    redirect("index.php");

}

$__title    = "Finalize your installation";

$domain_url = get_var("SELECT `domain_url` FROM `installations` WHERE `id`='$id'");

@file_get_contents($domain_url);

include_once "header.php"; ?>

<!-- BEGIN CONTAINER -->

<div class="container-fluid">

	<div class="page-content page-content-popup">

		<div class="page-content-fixed-header">

			<!-- BEGIN BREADCRUMBS -->

			<ul class="page-breadcrumb">

				<li>

					<a href="<?php echo DOMAIN_URL; ?>">Home</a>

				</li>

				<li>Installation Wizard</li>

			</ul>

			<!-- END BREADCRUMBS -->

			<div class="content-header-menu">

				<!-- BEGIN DROPDOWN AJAX MENU -->



				<!-- END DROPDOWN AJAX MENU -->

				<!-- BEGIN MENU TOGGLER -->

				<button type="button" class="menu-toggler responsive-toggler" data-toggle="collapse"

				        data-target=".navbar-collapse">

                    <span class="toggle-icon">

                        <span class="icon-bar"></span>

                        <span class="icon-bar"></span>

                        <span class="icon-bar"></span>

                    </span>

				</button>

				<!-- END MENU TOGGLER -->

			</div>

		</div>

        <?php include_once "sidebar.php"; ?>

        <?php $row = $Apps->get_installations("id=".$_GET['id']); ?>

		<div class="page-fixed-main-content">

			<!-- BEGIN PAGE BASE CONTENT -->

			<div class="note note-success" id="first">





				<h3> Your feKara School App (<b><?php echo $row['rows'][0]['institute'] ?></b>) is almost ready to use.

					We will send you feKara login information once our

					staff verifies your information. </h3>

				<!--					<b>-->

                <?php //echo $row['rows'][0]['institute'] ?><!--</b> is successfully installed.</h3>-->



				<br>

				<p style="font-size: 15px">

					You can always reach us on sales@fekara.com or WhatsApp Number: +92 344 5115119

				</p>



				<br>

				<p style="font-size: 15px">

					We have been receiving a large number of abused and redundant installations. Cleaning up such

					installation takes energy and resources that should be used on requests from a legitimate

					institution.

					<br> <br>

					For this reason, we are manually verifying if you are a human representing a real institute. Only

					after we verification, we will send you feKara credentials.

				</p>



				<!--				<h3>Congratulations, feKara for-->

				<!--					<b>-->

                <?php //echo $row['rows'][0]['institute'] ?><!--</b> is successfully installed.</h3>-->

				<!--				<p style="font-size: 15px">-->

				<!--					Your feKara School App is almost ready to use.-->

				<!--					<br><br>Please enter a user-name and password to operate your school App. This user will be super admin with full permissions to App.-->

				<!--					<br>-->

				<!--					<i>If you need to create more users to manage your school, you will be able to it from within the App itself.</i>-->

				<!--				</p>-->

			</div>



			<div class="" id="first2">





			</div>



			<!--<form class="horizontal-form validate" id="form1">

				<input type="hidden" name="id" value="<?php /*echo $_GET['id']; */ ?>">

				<input type="hidden" name="system" value="<?php /*echo esc_attr( $row['rows'][0]['institute'] ) */ ?>">

				<input type="hidden" name="admin_email" value="<?php /*echo esc_attr( $row['rows'][0]['email'] ) */ ?>">

				<input type="hidden" name="inst_address" value="<?php /*echo esc_attr( $row['rows'][0]['address'] ) */ ?>">

				<input type="hidden" name="inst_contacts" value="<?php /*echo esc_attr( $row['rows'][0]['phone'] ) */ ?>">

				<div class="form-body">

					<div class="row">

						<div class="col-md-3">

							<div class="form-group">

								<label for="currency" class="control-label pointer">Currency symbol</label>

								<input value="$" type="text" id="currency" name="currency" class="form-control" placeholder="Currency symbol" data-required="1" required="required">

							</div>

						</div>

						<div class="col-md-3">

							<div class="form-group">

								<label for="currency_dec" class="control-label pointer">Currency decimals</label>

								<input value="2" type="number" min="0" max="4" id="currency_dec" name="currency_dec" class="form-control" placeholder="Currency decimals" data-required="1" required="required">

							</div>

						</div>

						<div class="col-md-3">

							<div class="form-group">

								<label for="date_format1" class="control-label pointer">

									Date format

									<a title="See example for help" href="http://php.net/manual/en/function.date.php" target="_blank"><i class="fa fa-question-circle text-danger"></i></a></label>

								<input value="d-M-Y" type="text" id="date_format1" name="date_format1" class="form-control" placeholder="Date format" data-required="1" required="required">

								<span class="help-block" id="dmyspan">d-M-Y = <?php /*echo date( "d-M-Y" ) */ ?></span>

							</div>

						</div>

						<div class="col-md-3">

							<div class="form-group">

								<label for="date_time_format1" class="control-label pointer">

									Date/Time format

									<a title="See example for help" href="http://php.net/manual/en/function.date.php" target="_blank"><i class="fa fa-question-circle text-danger"></i></a></label>

								<input value="d-M-Y H:i" type="text" id="date_time_format1" name="date_time_format1" class="form-control" placeholder="Date/Time format" data-required="1" required="required">

								<span class="help-block" id="dmytspan">d-m-Y H:i = <?php /*echo date( "d-M-Y H:i" ) */ ?></span>

							</div>

						</div>

					</div>

					<div class="row">

						<div class="col-md-6">

							<div class="form-group">

								<label for="username" class="control-label pointer">Username</label>

								<span class="required">*</span>

								<input value="" type="text" id="username" name="username" class="form-control" placeholder="Super admin user" data-required="1" required="required">

							</div>

						</div>

						<div class="col-md-6">

							<div class="form-group">

								<label for="password" class="control-label pointer">Password</label>

								<span class="required">*</span>

								<input value="" type="text" id="password" name="password" class="form-control" placeholder="Password" data-required="1" required="required">

							</div>

						</div>

					</div>

				</div>

				<div class="form-actions text-right">

					<button class="btn blue"><i class="fa fa-check"></i> Create Settings and User</button>

				</div>

			</form>

			<div id="second" class="display-hide">

				<div class="note note-success">

					<p style="font-size: 15px">

						feKara for

						<b><?php /*echo $row['rows'][0]['institute'] */ ?></b> is ready to use. Please use following information to log in.

						<br>

						If you need assistance, you may write us on <a href="mailto:help@fekara.com">help@fekara.com</a>

						<br><br>

						Login URL:

						<a href="<?php /*echo $row['rows'][0]['domain_url'] */ ?>" target="_blank"><?php /*echo $row['rows'][0]['domain_url'] */ ?></a><br>

						User Name: <span id="user"></span><br>

						Password: <span id="pass"></span>

					</p>

				</div>

			</div>-->

			<!-- END PAGE BASE CONTENT -->

		</div>

        <?php include_once "footer.php"; ?>

	</div>

</div>

<!-- END CONTAINER -->

<?php include_once "footer_scripts.php"; ?>

<script>

	$( function() {

		$( document ).on( "submit", "#form1", function() {

			$( "#loading" ).show();

			$.post( "<?php echo filename(); ?>?add_user", $( "#form1" ).serialize(), function( data ) {

				$( "#loading" ).hide();

				if ( data.substr( 0, 2 ) == "OK" ) {

					Success( "User account created successfully!" );

					$( "#user" ).html( $( "#username" ).val() );

					$( "#pass" ).html( $( "#password" ).val() );

					$( "#second" ).show();

					$( "#first" ).hide();

					$( "#form1" ).hide();

				} else {

					Error2( data );

				}

			} );



			return false;

		} );

		$( document ).on( "keyup", "#date_format1", function() {

			$.post( "?dmy", { format: $( this ).val() }, function( data ) {

				$( "#dmyspan" ).text( data );

			} );

		} );

		$( document ).on( "change", "#date_format1", function() {

			$.post( "?dmy", { format: $( this ).val() }, function( data ) {

				$( "#dmyspan" ).text( data );

			} );

		} );

		$( document ).on( "keyup", "#date_time_format1", function() {

			$.post( "?dmy", { format: $( this ).val() }, function( data ) {

				$( "#dmytspan" ).text( data );

			} );

		} );

		$( document ).on( "change", "#date_time_format1", function() {

			$.post( "?dmy", { format: $( this ).val() }, function( data ) {

				$( "#dmytspan" ).text( data );

			} );

		} );

	} );

</script>

</body>

</html>