<?php
include_once( __DIR__ . "/../../library.php" );
$Student = new Student();
if ( ! $Student->is_student_logged_in() ) {
	echo "You'r not authorized!";
	exit;
}
if ( isset( $_GET["del_file"] ) ) {
	$_POST["student_id"] = isset( $_POST["student_id"] ) ? $_POST["student_id"] : 0;
	$_POST["teacher_id"] = isset( $_POST["teacher_id"] ) ? $_POST["teacher_id"] : 0;
	$_POST["filename"]   = isset( $_POST["filename"] ) ? $_POST["filename"] : '';

	echo $Student->delete_assignment_file( $_POST["student_id"], $_POST["teacher_id"], $_POST["filename"] );
	exit;
}
/*if ( isset( $_GET["table"] ) ) {
	header( 'Content-Type: text/event-stream' );
	header( 'Cache-Control: no-cache' );
	$teachers = $Student->get_teachers( $Student->my_id() );
	echo "data: ";
	foreach ( $teachers as $teacher ) {
		echo "<tr>" . "<td>" . $teacher["id"] . "</td>" . "<td>" . $teacher["name"] . "</td>" . "<td>";
		if ( is_paid_fekara() ) {
			echo "<button style='margin-bottom:5px' class=\"btn btn-xs red upload_btn\" data-id=\"" . $teacher["id"] . "\" title=\"" . __( "Upload assignment files" ) . "\">" . "<i class=\"fa fa-upload\"></i>" . __( "Upload File" ) . "</button> ";
			$assignments = $Student->get_assignments( $Students->my_id(), $teacher["id"] );
			foreach ( $assignments as $assignment ) {
				$url = $Student->get_assignment_file_url( $Student->my_id(), $teacher["id"], basename( $assignment ) );
				echo "<div class='btn-group' style='margin-bottom:5px' data-tid='{$teacher["id"]}'>";
				echo "<a title='" . __( "Delete this file" ) . "' class='btn btn-xs red del_file'>";
				echo "<i class='fa fa-trash'></i></a>";
				echo "<a target='_blank' href='$url' class='btn btn-xs blue'>" . basename( $assignment ) . "</a>";
				echo "</div> ";
			}
		} else {
			echo __( "Assignment uploaded not supported in fee version" );
		}
		echo "</td></tr>";
	}

	echo "\n\n";

	flush();
	exit;
}*/
if ( isset( $_GET["upload_assignment"] ) ) {
	if ( ! isset( $_POST["teacher_id"] ) ) {
		echo __( "Teacher ID missing" );
		exit();
	}
	echo $Student->upload_student_assignments( $_POST["teacher_id"], $_FILES );
	exit;
}
if ( isset( $_GET["load_rows"] ) ) {
	$teachers = $Student->get_teachers( $Student->my_id() );
	foreach ( $teachers as &$teacher ) {
		$teacher["assignments"]     = $Student->get_assignments( $Student->my_id(), $teacher["id"] );
		$teacher["assignments_url"] = [];
		foreach ( $teacher["assignments"] as &$assignment ) {
			$teacher["assignments_url"][] = $Student->get_assignment_file_url( $Student->my_id(), $teacher["id"], basename( $assignment ) );
		}
	}
	header( "Content-Type: application/json" );
	echo json_encode( $teachers );
	exit();
}