<?php include_once( __DIR__ . "/../library.php" );
include_once( __DIR__ . "/header.php" );
if ( isset( $_GET['change_password'] ) ) {
	echo $student->change_password( $_POST );
	exit;
}
?>
<!-- BEGIN CONTAINER -->
<div class="page-container">
	<!-- BEGIN EMPTY PAGE SIDEBAR -->
	<!-- END EMPTY PAGE SIDEBAR -->
	<!-- END SIDEBAR -->
	<!-- BEGIN CONTENT -->
	<div class="page-content-wrapper">
		<div class="page-content">
			<!-- BEGIN PAGE HEADER-->
			<div class="row">
				<div class="col-md-12">
					<!-- BEGIN PAGE TITLE & BREADCRUMB-->
					<h3 class="page-title">
						Change Password
					</h3>
					<ul class="page-breadcrumb breadcrumb">
						<li>
							<i class="fa fa-home"></i>
							<a href="index.php">Home</a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="#">Change Password</a>
						</li>
					</ul>
					<!-- END PAGE TITLE & BREADCRUMB-->
				</div>
			</div>
			<!-- END PAGE HEADER-->
			<!-- BEGIN DASHBOARD STATS -->
			<div class="row">
				<div class="col-md-12">
					<div class="portlet box green">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-reorder"></i> Change password
							</div>
							<div class="tools">
								<a href="javascript:;" class="collapse"></a>
								<!--<a href="#portlet-config" data-toggle="modal" class="config"></a>-->
								<!--<a href="javascript:;" class="reload"></a>-->
								<!--<a href="javascript:;" class="remove"></a>-->
							</div>
						</div>
						<div class="portlet-body form">
							<!-- BEGIN FORM-->
							<form class="form-horizontal" id="form1">
								<input type="reset" class="hidden" id="form1_reset">
								<div class="form-body">
									<div class="form-group">
										<label for="current_password" class="col-md-3 control-label">Current password</label>
										<div class="col-md-4">
											<div class="input-group">
												<input id="current_password" name="current_password" required="required" type="password"
												       class="form-control" placeholder="Current password"
												       autocomplete="on">
												<span class="input-group-addon">
                                                    <i class="fa fa-lock"></i>
                                                </span>
											</div>
										</div>
									</div>
									<div class="form-group">
										<label for="password1" class="col-md-3 control-label">New password</label>
										<div class="col-md-4">
											<div class="input-group">
												<input name="password1" required="required" type="password"
												       class="form-control" placeholder="New password"
												       id="password1" autocomplete="on">
												<span class="input-group-addon">
                                                    <i class="fa fa-lock"></i>
                                                </span>
											</div>
										</div>
									</div>
									<div class="form-group">
										<label for="password2" class="col-md-3 control-label">New password again</label>
										<div class="col-md-4">
											<div class="input-group">
												<input name="password2" required="required" type="password"
												       class="form-control" placeholder="New password again"
												       autocomplete="on" id="password2">
												<span class="input-group-addon">
                                                    <i class="fa fa-lock"></i>
                                                </span>
											</div>
										</div>
									</div>
									<!--<div class="form-group">
										<label class="col-md-3 control-label">Input With Spinner</label>
										<div class="col-md-4">
											<input type="password" class="form-control spinner" placeholder="Password" autocomplete="on" style="cursor: auto;">
										</div>
									</div>-->
								</div>
								<div class="form-actions fluid">
									<div class="col-md-offset-3 col-md-9">
										<button type="submit" class="btn blue">Submit</button>
										<button type="button" class="btn default">Cancel</button>
									</div>
								</div>
							</form>
							<!-- END FORM-->
						</div>
					</div>
				</div>
			</div>
			<!-- END DASHBOARD STATS -->
			<div class="clearfix">
			</div>

		</div>
	</div>
	<!-- END CONTENT -->
</div>
<!-- END CONTAINER -->
<?php include_once( __DIR__ . "/footer.php" ); ?>
<script type="text/javascript">
	$( function() {
		$( document ).on( "submit", "#form1", function() {
			Block();
			$( ".loading" ).show();
			$.post( "<?php echo DOMAIN_URL ?>includes/ajax.php?action=student_change_password", $( "#form1" ).serialize(), function( data ) {
				$( ".loading" ).hide();
				$( "#form1_reset" ).click();
				if ( data=="OK" ) {
					UnBlock();
					Success( "Password changed successfully!" );
				} else {
					UnBlock();
					alert( "Error: " + data );
				}
			} );
			return false;
		} );
	} );
</script>
</body>
<!-- END BODY -->
</html>

