<?php
include_once( __DIR__ . "/../../library.php" );
$teacher = new \Teacher\Files();
header( 'Content-Type: application/json' );
if ( ! $teacher->is_teacher_logged_in() ) {
	echo json_encode( [ 'error' => 'You\'r not logged in as teacher' ] );
	exit();
}

if ( isset( $_GET['files'] ) ) {
	$files = $teacher->get_files( 0, true, true );

	echo json_encode( [ 'files' => $files ] );
	exit();
}

if ( isset( $_GET['upload'] ) ) {
	$f = $teacher->upload_file( $_POST, $_FILES );
	echo json_encode( [ 'status' => $f ] );
	exit();
}