declare var teacher_id;

class Teachers_x_files {
    files() {
        $.ajax({
            url: 'ajax/teachers_x_files.php?files',
            success: function (data) {
                Files.files = data.files;
                setTimeout(TF.files, 5000)
                $('#loader').hide();
                $('#files').show();
            },
            error: function (e1, e2, e3) {
                setTimeout(TF.files, 5000)
            }
        });
    }
}

var TF = new Teachers_x_files()

var Files = new Vue({
    el: '#files',
    data: function () {
        return {
            files: {}
        }
    }
})

$(function () {
    TF.files();
})

let dropArea = document.getElementById('drop-area')
;['dragenter', 'dragover', 'dragleave', 'drop'].forEach(eventName => {
    dropArea.addEventListener(eventName, preventDefaults, false)
})
;['dragenter', 'dragover'].forEach(eventName => {
    dropArea.addEventListener(eventName, highlight, false)
})
;['dragleave', 'drop'].forEach(eventName => {
    dropArea.addEventListener(eventName, unhighlight, false)
})
dropArea.addEventListener('drop', handleDrop, false)

function highlight(e) {
    dropArea.classList.add('highlight')
}

function unhighlight(e) {
    dropArea.classList.remove('highlight')
}

function preventDefaults(e) {
    e.preventDefault()
    e.stopPropagation()
}

function handleDrop(e) {
    let dt = e.dataTransfer
    let files = dt.files

    handleFiles(files)
}

function handleFiles(files) {
    $.each(files, function (i, file) {
        uploadFile(file)
    })
}

function uploadFile(file) {
    if ($('#student_id').val() == 0) {
        alert('Please select student before upload files');
        $('#teacher_id').trigger('select');
        return false;
    }

    let url = 'ajax/teachers_x_files.php?upload';
    var formData = new FormData();
    formData.append('file', file);
    formData.append('student_id', $('#student_id').val());
    formData.append('teacher_id', teacher_id);

    var xhr = new XMLHttpRequest();
    xhr.open('POST', url, true);
    xhr.addEventListener('readystatechange', function (e) {
        if (xhr.readyState == 4 && xhr.status == 200) {
            // Done. Inform the user
            // console.log( e );
            object = JSON.parse(e.srcElement.response);
            if (object.status == 'OK') {
                Success('File uploaded successfully!');
            } else {
                Error(object.status);
            }
        } else if (xhr.readyState == 4 && xhr.status != 200) {
            // Error. Inform the user
            alert('Error: ' + e.response);
        }
    });
    xhr.upload.addEventListener("progress", function (event) {
        var percent = (event.loaded / event.total) * 100;
        //**percent** variable can be used for modifying the length of your progress bar.
        console.log(percent);

    });
    xhr.send(formData);
}