<?php
//include_once "header.php";
//if (!$teacher->is_teacher_logged_in()) $url->redirect("login.php");
//$id = $teacher->is_teacher_logged_in();
//$T = $teacher->get_teacher();
//$tid=$T["id"];$tname=$T["name"];
//$classids = $T["classassign"];
//if(!isset($classids)){$classids=0;}
//// get students
//$s = new Student;
//$S = $s->get_all_Student($classids);
//// get clases
//$c = new Classes;
//$C = $c->get_list();
// student comments
//$comments = $teacher->get_teacher_comment($tid);
$title = "Teacher Notes";
include_once( __DIR__ . "/header.php" );

if ( ! $teacher->is_teacher_logged_in() ) {
	Urls::redirect( "login.php" );
}
// get teacher classes
$cids     = "";
$getClass = $teacher->get_teachers_assign_classes( $T["id"] );
foreach ( $getClass as $row ) {
	$cids .= "'" . $row["id"] . "',";
}
$cids = trim( $cids, "," );
$S    = $teacher->get_teachers_assign_classes_students( $cids );
$b    = new BatchClass();
?>
<style>
	.tablesaw-cell-label {
		display: none;
	}
</style>
<div class="page-container">
	<div class="modal fade" id="modal1" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
					<h4 class="modal-title"><?php echo __( "Comments for student" ) ?></h4>
				</div>
				<div class="modal-body">
					<form class="form-horizontal" id="form1">
						<input type="submit" class="hidden" id="submit1">
						<input type="reset" class="hidden" id="reset1">
						<input type="hidden" id="id" name="id" value="0">
						<input type="hidden" id="teacherid" name="teacherid" value="0">
						<input type="hidden" id="teachername" name="teachername" value="0">
						<input type="hidden" id="studentid" name="studentid" value="0">
						<input type="hidden" id="studentname" name="studentname" value="0">

						<div class="form-body">

							<div class="form-group">
								<label class="col-md-2 control-label"><?php echo __( "Comments" ) ?></label>
								<div class="col-md-10">
                                    <textarea class="form-control" placeholder="Message" name="comments"
                                              id="comments"></textarea>
								</div>
							</div>

						</div>
					</form>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn blue" onclick="$('#submit1').click();"><?php echo __( "Save Comments" ) ?></button>
					<button type="button" class="btn default" data-dismiss="modal"><?php echo __( "Close" ) ?></button>
				</div>
			</div>
		</div>
	</div>
	<?php include_once( __DIR__ . "/mobile_menu.php" ); ?>
	<div class="page-content-wrapper">
		<div class="page-content">
			<div class="row">
				<div class="col-md-12">
					<h3 class="page-title">
						<?php echo __( "Dashboard" ) ?>
					</h3>
					<ul class="page-breadcrumb breadcrumb">
						<li class="btn-group">
							<button type="button" class="btn blue dropdown-toggle" data-toggle="dropdown"
							        data-hover="dropdown" data-delay="1000" data-close-others="true">
							<span>
								<?php echo __( "Actions" ) ?>
							</span>
								<i class="fa fa-angle-down"></i>
							</button>
						</li>
						<li>
							<i class="fa fa-home"></i>
							<a href="index.php"><?php echo __( "Home" ) ?></a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<?php echo __( "Teacher Notes" ) ?>
						</li>
					</ul>
				</div>
			</div>
			<div class="clearfix"></div>
			<div class="row">
				<div class="col-md-12">
					<div class="portlet box blue">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-user"></i> <?php echo __( "Student" ) ?>
							</div>
							<div class="tools">
								<a href="javascript:;" class="collapse"></a>
							</div>
						</div>
						<div class="portlet-body">
							<table class="table table-striped table-bordered table-hover datatable">
								<thead>
								<tr>
									<th><?php echo __( "ID" ) ?></th>
									<th><?php echo __( "Student Name" ) ?></th>
									<th><?php echo __( "Class" ) ?></th>
									<th><?php echo __( "Comments" ) ?></th>
									<th><?php echo __( "Action" ) ?></th>
								</tr>
								</thead>
								<tbody>
								<?php
								if ( isset( $S ) > 0 ) {
									foreach ( $S as $s ) {
										$class_name = $b->get_class_name( $s["class_id"] );
										if ( empty( $class_name ) ) {
											$class_name = "-";
										}
										$data = $teacher->get_teacher_comment( $T["id"], $s["id"] );
										if ( ! empty( $data ) ) {
											foreach ( $data as $v ) {
												$getcomments = $v["comments"];
											}
										} else {
											$getcomments = "-";
										}
										?>
										<tr>
											<td><?php echo $s["id"]; ?></td>
											<td><?php echo $s["name"]; ?></td>
											<td><?php echo $class_name; ?></td>
											<td><?php echo $getcomments; ?></td>
											<td>
												<a class="comment" data-teacherid="<?php echo $T["id"]; ?>"
												   data-teachername="<?php echo $T["name"] ?>"
												   data-studentid="<?php echo $s["id"] ?>"
												   data-studentname="<?php echo $s["name"] ?>">
													<i style="cursor: pointer" class="fa fa-edit"></i>
												</a>
											</td>
										</tr>
									<?php }
								} ?>
								</tbody>
							</table>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<?php include_once( __DIR__ . "/footer.php" ); ?>
<script type="application/javascript">
	$( document ).on( "submit", "#form1", function( e ) {
		e.preventDefault();
		$( "#modal1" ).modal( 'hide' );
		Block();
		$.post( "<?php echo DOMAIN_URL ?>includes/ajax.php?action=saveStudentComments", $( "#form1" ).serialize(), function( data ) {
			if ( data=="OK" ) {
				Success( "Comments saved successfully!" )
				window.location.reload();
			} else {
				UnBlock();
				Error( data );
				$( "#modal1" ).modal( 'show' );
			}
		} );
		return false;
	} );
	$( document ).on( "click", ".comment", function( e ) {
		e.preventDefault();
		var teacherid = $( this ).data( 'teacherid' );
		var teachername = $( this ).data( 'teachername' );
		var studentid = $( this ).data( 'studentid' );
		var studentname = $( this ).data( 'studentname' );
		Block();
		$.post( "<?php echo DOMAIN_URL ?>includes/ajax.php?action=teacherComment", {
				teacherid: teacherid, teachername: teachername, studentid: studentid, studentname: studentname
			},
			function( data ) {
				UnBlock();
				if ( is_json( data ) ) {
					$( "#modal1" ).modal( 'show' );
					data = JSON.parse( data );
					$( "#teacherid" ).val( teacherid );
					$( "#teachername" ).val( teachername );
					$( "#studentid" ).val( studentid );
					$( "#studentname" ).val( studentname );
					if ( data!=null ) {
						$( "#id" ).val( data.id );
						$( "#comments" ).val( data.comments );
					} else {
						$( "#comments" ).val( "" );
					}
				}
			}
		);
	} );
</script>
</body>
</html>

