<?php
if ( ! defined( 'ROOT_PATH' ) ) {
	die( 'Direct file access is not allowed!' );
	exit;
}

if ( empty( $db->get_option( "aknowledged" ) ) ) {
	$pk = \Str::generate_api();
	$db->set_option( "process_key", $pk );
	App::process_key( "pk", $pk );
}

## Secruing contents folder from executable files.
if ( ! is_file( ROOT_PATH . "contents/.htaccess" ) ) {
	$T = '<FilesMatch "(^#.*#|\.(php|py|rb|com|net|bat|exe|bak|config|dist|fla|inc|ini|log|psd|sh|sql|sw[op])|~)$">
    Order allow,deny
    Deny from all
    Satisfy All
</FilesMatch>';
	@file_put_contents( ROOT_PATH . "contents/.htaccess", $T );
}

## Securing system from executable files.
if ( ! is_file( ROOT_PATH . ".htaccess" ) ) {
	@file_put_contents( ROOT_PATH . ".htaccess", '<FilesMatch "(^#.*#|\.(exe|bak|config|dist|fla|inc|ini|log|psd|sh|sql|sw[op])|~)$">
    Order allow,deny
    Deny from all
    Satisfy All
</FilesMatch>
#Secured 18-Dec-2017' );
} else if ( is_file( ROOT_PATH . ".htaccess" ) ) {
	$htfile = file( ROOT_PATH . ".htaccess" );
	if ( '#Secured 18-Dec-2017' <> $htfile[ count( $htfile ) - 1 ] ) {
		@file_put_contents( ROOT_PATH . ".htaccess", '


<FilesMatch "(^#.*#|\.(exe|bak|config|dist|fla|inc|ini|log|psd|sh|sql|sw[op])|~)$">
    Order allow,deny
    Deny from all
    Satisfy All
</FilesMatch>
#Secured 18-Dec-2017', FILE_APPEND );
	}
}
