<?php
if ( ! \Admins\UserInfo::is_loggedin() ) {
	die( "You'r not authorized to view this report." );
}

if ( ! isset( $_GET["schedule_id"] ) ) {
	Urls::redirect( Urls::get_url( "test_schedules" ) );
}

$schedule_id = (int) $_GET["schedule_id"];
$s           = new Student();
$b           = new BatchClass();

$_GET["absent"] = isset( $_GET["absent"] ) ? $_GET["absent"] : '';
$_GET["failed"] = isset( $_GET["failed"] ) ? $_GET["failed"] : '';

$sheet = $s->get_mark_sheet( $schedule_id, $_GET["absent"], $_GET["failed"] );
if ( $sheet === false ) {
	echo "No sheet generated";
	exit;
}
$dec = App::get_marks_decimals();

if ( $_GET["absent"] == "0" || $_GET["failed"] == "0" ) {
	$title = "Retest";
} else {
	$title = "Mark Sheet";
}
$HTML = '
<h3 style="text-align:center">' . $title . '</h3>
<table cellspacing="0" cellpadding="4" id="table1" style="border: 1px solid #AAAAAA; border-spacing: 0; border-collapse: separate; margin:0 auto;">
    <tr>
        <td colspan="2" style="border: 1px solid #AAAAAA;padding:5px">' . $sheet["name"] . '</td>
        <td colspan="2" style="border: 1px solid #AAAAAA;padding:5px">Test Session - ' . $b->get_class_batch( $sheet["class_id"] ) . '</td>
    </tr>
    <tr>
        <td style="border: 1px solid #AAAAAA;padding:5px;text-align: right;">Subject:</td>
        <td style="border: 1px solid #AAAAAA;padding:5px;">' . $sheet["subject"] . '</td>
        <td style="text-align: right;border: 1px solid #AAAAAA;padding:5px;">M. Mark</td>
        <td style="border: 1px solid #AAAAAA;padding:5px;">' . $sheet["total_marks"] . '</td>
    </tr>
    <tr>
        <td style="text-align: right;border: 1px solid #AAAAAA;padding:5px;">Class</td>
        <td style="border: 1px solid #AAAAAA;padding:5px;">' . $sheet["class_name"] . '</td>
        <td style="text-align: right;border: 1px solid #AAAAAA;padding:5px;">Date</td>
        <td style="border: 1px solid #AAAAAA;padding:5px;">' . \Dates::my_date( $sheet["test_date"] ) . '</td>
    </tr>
    <tr>
        <td style="text-align: right;">Teacher</td>
        <td colspan="2" style="border: 1px solid #AAAAAA;padding:5px;">' . $sheet["teacher"] . '</td>
        <td style="border: 1px solid #AAAAAA;padding:5px;">' . $sheet["week"] . '</td>
    </tr>
</table>
&nbsp;<br>
<table cellspacing="0" cellpadding="4" id="table1" style="border: 1px solid #AAAAAA; border-spacing: 0; border-collapse: separate; margin:0 auto;">
    <tr style="background-color:#AAAAAA;color:#FFFFFF">
        <td style="border: 1px solid #AAAAAA;padding:5px;width:30px">Sr. #</td>
        <td style="border: 1px solid #AAAAAA;padding:5px;width:204px">Name</td>
        <td style="border: 1px solid #AAAAAA;padding:5px;width:50px">Marks</td>
        <td style="border: 1px solid #AAAAAA;padding:5px;width:35px">Att</td>
        <td style="border: 1px solid #AAAAAA;padding:5px;width:30px">Sr. #</td>
        <td style="border: 1px solid #AAAAAA;padding:5px;width:204px">Name</td>
        <td style="border: 1px solid #AAAAAA;padding:5px;width:50px">Marks</td>
        <td style="border: 1px solid #AAAAAA;padding:5px;width:35px;">Att</td>
    </tr>';
$x    = 0;
foreach ( $sheet["students"] as $x => $student ) {
	$C = $student["attendance"] ? "P" : "A";
	$m = isset( $_GET["blank"] ) ? "" : round( $student["marks"], $dec );
	if ( $m == "-1" ) {
		$m = "-";
		$C = "P";
	}
	$C = isset( $_GET["blank"] ) ? "" : $C;

	if ( $x == 0 ) {
		$HTML .= "\n<tr>";
	}
	$HTML .= '
            <td style="border: 1px solid #AAAAAA;padding:5px;">' . add_leading_zeros( $x + 1 ) . '</td>
            <td style="border: 1px solid #AAAAAA;padding:5px;">' . $student["student_name"] . '</td>
            <td style="border: 1px solid #AAAAAA;padding:5px;text-align:center">' . $m . '</td>
            <td style="text-align: center;border: 1px solid #AAAAAA;padding:5px;">' . $C . '</td>';

	if ( ( $x + 1 ) % 2 == 0 ) {
		$HTML .= "\n</tr>\n";

		if ( ( $x + 1 ) < count( $sheet["students"] ) ) {
			$HTML .= "\n<tr>";
		}
	}
}
if ( $x % 2 == 0 ) {
	$HTML .= "\n<td style=\"border: 1px solid #AAAAAA;padding:5px;\"></td>\n";
	$HTML .= "<td style=\"border: 1px solid #AAAAAA;padding:5px;\"></td>\n";
	$HTML .= "<td style=\"border: 1px solid #AAAAAA;padding:5px;\"></td>\n";
	$HTML .= "<td style=\"border: 1px solid #AAAAAA;padding:5px;\"></td>\n</tr>";
}

/*$half = ceil( sizeof( $sheet["students"] ) / 2 );
for ( $x = 1; $x <= $half; $x ++ ):
	$C = $sheet["students"][ $x - 1 ]["attendance"] ? "P" : "A";
	$m = isset( $_GET["blank"] ) ? "" : round( $sheet["students"][ $x - 1 ]["marks"], $dec );
	if ( $m == "-1" ) {
		$m = "-";
		$C = "P";
	}
	$C    = isset( $_GET["blank"] ) ? "" : $C;
	$HTML .= '<tr>
            <td style="border: 1px solid #AAAAAA;padding:5px;">' . $x . '</td>
            <td style="border: 1px solid #AAAAAA;padding:5px;">' . $sheet["students"][ $x - 1 ]["student_name"] . '</td>
            <td style="border: 1px solid #AAAAAA;padding:5px;text-align:center">' . $m . '</td>
            <td style="text-align: center;border: 1px solid #AAAAAA;padding:5px;">' . $C . '</td>';

	if ( $x + $half - 1 < sizeof( $sheet["students"] ) ):
		$C2 = $sheet["students"][ $x + $half - 1 ]["attendance"] ? "P" : "A";
		$m  = isset( $_GET["blank"] ) ? "" : round( $sheet["students"][ $x + $half - 1 ]["marks"], $dec );
		if ( $m == "-1" ) {
			$m  = "-";
			$C2 = "P";
		}
		$C2   = isset( $_GET["blank"] ) ? "" : $C2;
		$HTML .= '<td style="border: 1px solid #AAAAAA;padding:5px;">' . ( $x + $half ) . '</td>
        <td style="border: 1px solid #AAAAAA;padding:5px;">' . $sheet["students"][ $x + $half - 1 ]["student_name"] . '</td>
        <td style="border: 1px solid #AAAAAA;padding:5px;text-align:center">' . $m . '</td>
        <td style="text-align: center;border: 1px solid #AAAAAA;padding:5px;">' . $C2 . '</td>';
	else:
		$HTML .= '<td style="border: 1px solid #AAAAAA;padding:5px;">&nbsp;</td>';
		$HTML .= '<td style="border: 1px solid #AAAAAA;padding:5px;">&nbsp;</td>';
		$HTML .= '<td style="border: 1px solid #AAAAAA;padding:5px;">&nbsp;</td>';
		$HTML .= '<td style="border: 1px solid #AAAAAA;padding:5px;">&nbsp;</td>';
	endif;
	$HTML .= '</tr>';
endfor;*/

for ( $x = 0; $x < 5; $x ++ ) {
	$HTML .= '<tr>';
	for ( $y = 0; $y < 8; $y ++ ) {
		$HTML .= '<td style="border: 1px solid #AAAAAA;padding:5px;">&nbsp;</td>';
	}
	$HTML .= '</tr>';
}

$HTML .= '</table>
';

if ( isset( $_GET["blank"] ) ) {
	$HTML .= "<br><br><b>Note:</b> Please note following mark statuses
    <ul>
        <li>0 = Student is present but got zero mark.</li>
        <li><i>Leave Blank</i> = Student is absent.</li>
        <li>-1 = Student is present but not appeared in test/exam.</li>
    </ul>";
}

$pdfpath = "mark_sheet2";
include_once( __DIR__ . "/pdf.php" );