<?php
if ( ! \Admins\UserInfo::is_loggedin() ) {
	die( "You'r not authorized to view this report." );
}
if ( ! isset( $_GET["class_id"] ) || ! isset( $_GET["subject"] ) || ! isset( $_GET["from"] ) || ! isset( $_GET["to"] ) ) {
	Urls::redirect( Urls::get_url( "monthly_evaluation_report" ) );
}
extract( $_GET );

$from = \Dates::mysql_date( $_GET["from"] );
$to   = \Dates::mysql_date( $_GET["to"] );
$dec  = App::get_marks_decimals();

$Student  = new Student;
$Students = $Student->get_students( "class_id=$class_id&orderby=id&order=ASC" );

$Subject = new Subject;
$Sub     = $Subject->get_subject( "id=" );

$sub  = $db->set_string( $subject );
$Q    = "SELECT `id`,`teacher`,`test_date` FROM `test_schedules` WHERE `class_id`=$class_id AND (`test_date` BETWEEN '$from' AND '$to') AND `subject`='$sub'";
$rows = $db->get_rows( $Q );

$_GET["subject"]  = isset( $_GET["subject"] ) ? $_GET["subject"] : '';
$_GET["from"]     = isset( $_GET["from"] ) ? $_GET["from"] : '';
$_GET["to"]       = isset( $_GET["to"] ) ? $_GET["to"] : '';
$_GET["class_id"] = isset( $_GET["class_id"] ) ? $_GET["class_id"] : 0;
$_GET["order"]    = isset( $_GET["order"] ) ? $_GET["order"] : '';

$schedules    = [];
$rows[0]["teacher"] = isset($rows[0]["teacher"])?$rows[0]["teacher"]:'';
$teacher_name = $rows[0]["teacher"];
foreach ( $rows as $row ) {
	$schedules[] = $row["id"];
}
$Cols = sizeof( $schedules ) + 4;
$HTML = '
<h3 style="text-align:center">Teacher Evaluation Report</h3>
<h4 style="text-align:center">Teacher: ' . $teacher_name . ' - Subject: ' . ( $_GET["subject"] ) . ' - Class: ' . ( $BatchClass->get_class_name( $_GET["class_id"] ) ) . '</h4>
<h4 style="text-align:center">Dates from ' . ( $_GET["from"] ) . ' to ' . ( $_GET["to"] ) . '</h4>
<table cellspacing="0" cellpadding="4" id="table1" style="border: 1px solid #AAAAAA; border-spacing: 0; border-collapse: separate; margin:0 auto;">
<tr style="font-size:10px;font-weight:bold">
    <td style="border: 1px solid #AAAAAA;padding:5px;width:30px">Sr.</td>
    <td style="border: 1px solid #AAAAAA;padding:5px;width:210px">Student Name</td>
';
$Q    = "CREATE TEMPORARY TABLE `tmp_monthly_report`
(`name` VARCHAR(200), `total` DECIMAL(6,2), `total_marks` DECIMAL(6,2),
";
for ( $x = 1; $x <= count( $schedules ); $x ++ ) {
	$HTML .= '<td style="border: 1px solid #AAAAAA;padding:5px;text-align:center;width:40px">' . \Str::number_with_suffix( $x ) . '<br />';
	$HTML .= date( "d-m", strtotime( $rows[ $x - 1 ]["test_date"] ) );
	$HTML .= '</td>';
	$Q    .= " `" . \Str::number_with_suffix( $x ) . "` decimal(6,2), ";
}
$Q        .= "`percentage` decimal(6,2));";
$response = $db->query( $Q );
if ( $response === false ) {
	die( "Error: " . $db->last_error );
}
$HTML .= '<td style="border: 1px solid #AAAAAA;padding:5px;width:50px">Total</td>';
$HTML .= '<td style="border: 1px solid #AAAAAA;padding:5px;width:50px">%</td></tr>';

$HTML  .= '<tr style="font-size:10px;font-weight:bold">
<td style="border: 1px solid #AAAAAA;padding:5px;width:30px">&nbsp;</td>
<td style="border: 1px solid #AAAAAA;padding:5px;text-align:right">Total Marks</td>';
$total = 0;
foreach ( $schedules as $schedule_id ) {
	$total_marks = $db->get_var( "SELECT `total_marks` FROM `mark_sheets` WHERE `schedule_id`=$schedule_id" );
	if ( $total_marks === false ) {
		$total_marks = "x";
	} else {
		$total += $total_marks;
	}
	$HTML .= '<td style="text-align:center;border: 1px solid #AAAAAA;padding:5px">' . round( $total_marks, $dec ) . '</td>';
}
$HTML .= '<td style="text-align:right;border: 1px solid #AAAAAA;padding:5px">' . round( $total, $dec ) . '</td>';
$HTML .= '<td style="border: 1px solid #AAAAAA;padding:5px;">&nbsp;</td></tr>';

$x = 1;
foreach ( $Students as $student ) {
	$data1["name"] = $student["name"];
	$total         = 0;
	$count         = 0;
	$total_marks   = 0;
	$y             = 1;
	foreach ( $schedules as $schedule ) {
		if ( $Student->is_student_subject( $student["id"], $subject ) ) {
			$Q   = "SELECT `attendance`,`marks` FROM `mark_sheets_data` WHERE `schedule_id`='{$schedule}' AND `student_id`={$student["id"]}";
			$row = $db->get_row( $Q );
			if ( is_array( $row ) ) {
				$tm = $db->get_var( "SELECT `total_marks` FROM `mark_sheets` WHERE `schedule_id`=$schedule" );
				if ( is_numeric( $tm ) ) {
					$total_marks += $tm;
				}
				if ( $row["attendance"] == 0 ) {
					//$m="A";
					$data1[ \Str::number_with_suffix( $y ) ] = "-2";
				} else {
					$total += $row["marks"];
					//$m=round($row["marks"],1);
					$data1[ \Str::number_with_suffix( $y ) ] = round( $row["marks"], $dec );
				}
				$count ++;
			} else {
				$data1[ \Str::number_with_suffix( $y ) ] = "-1";
			}
		} else {
			$data1[ \Str::number_with_suffix( $y ) ] = "-1";
		}
		$y ++;
	}
	if ( $total == 0 || $total_marks == 0 ) {
		$per = 0;
	} else {
		$per = $total / $total_marks * 100;
	}
	$data1["total"]       = round( $total, $dec );
	$data1["percentage"]  = round( $per, $dec );
	$data1["total_marks"] = round( $total_marks, $dec );
	$response             = $db->insert( "tmp_monthly_report", $data1 );
	if ( $response === false ) {
		die( "Error: " . $db->last_error );
	}
	$x ++;
}

$Q = "SELECT * FROM `tmp_monthly_report`";
if ( ! empty( $_GET["orderby"] ) ) {
	$Q .= " ORDER BY `" . $_GET["orderby"] . "` " . $_GET["order"];
}

$rows = $db->get_rows( $Q );
$x    = 1;
foreach ( $rows as $row ) {
	$HTML .= '<tr>
    <td style="border: 1px solid #AAAAAA;padding:5px;text-align:right">' . $x . '</td>
    <td style="border: 1px solid #AAAAAA;padding:5px">' . $row["name"] . '</td>';
	foreach ( $row as $key => $val ) {
		if ( $key <> "total" && $key <> "total_marks" && $key <> "percentage" && $key <> "name" ) {
			if ( $val == - 2 ) {
				$val = "A";
			} else if ( $val == - 1 ) {
				$val = "x";
			} else {
				$val = round( $val, $dec );
			}
			$HTML .= '<td style="text-align:center;border: 1px solid #AAAAAA;padding:5px">' . $val . '</td>';
		}
	}
	$HTML .= '<td style="text-align:right;border: 1px solid #AAAAAA;padding:5px">' . round( $row["total"], $dec ) . '</td>';
	$HTML .= '<td style="text-align:left;border: 1px solid #AAAAAA;padding:5px">' . round( $row["percentage"], $dec ) . '%</td></tr>';
	$x ++;
}


for ( $y = 0; $y < 5; $y ++ ) {
	$HTML .= '<tr>';
	for ( $x = 0; $x < $Cols; $x ++ ) {
		$HTML .= '<td style="border: 1px solid #AAAAAA;padding:5px;text-align:right">&nbsp;</td>';
	}
	$HTML .= '</tr>';
}
$HTML .= '</table>';

if ( isset( $_GET["viewBtn"] ) ) {
	echo "
<style>
body {
    font-family:Verdana;
}
</style>
";
	echo $HTML;
} else {
	$pdfpath = "monthly_evaluation_report";
	include_once( __DIR__ . "/pdf.php" );
}