<?php
if ( ! \Admins\UserInfo::is_loggedin() ) {
	die( "You'r not authorized to view this report." );
}

if ( ! isset( $_GET["class_id"] ) || ! isset( $_GET["month"] ) || ! isset( $_GET["year"] ) ) {
	Urls::redirect( Urls::get_url( "payment_report" ) );
}
extract( $_GET );
$from = \Dates::mysql_date( "$month/01/$year" );
$to   = \Dates::mysql_date( "$month/01/$year", "Y-m-t" );
$dec  = App::get_marks_decimals();

$HTML = '<h3 style="text-align:center">Payment Report</h3>
<p style="text-align:center">
Payment report from <b>' . App::date_show( $from ) . '</b> to <b>' . App::date_show( $to ) . '</b>
</p>';

$HTML .= '
    <table cellspacing="0" cellpadding="4" id="table1" style="border: 1px solid #AAAAAA; border-spacing: 0; border-collapse: separate; margin:0 auto;">
    <tr style="font-weight:bold">
        <td style="border: 1px solid #AAAAAA;padding:5px;text-align:center;width:5%">Sr.</td>
        <td style="border: 1px solid #AAAAAA;padding:5px;width:20%">Student</td>
        <td style="border: 1px solid #AAAAAA;padding:5px;width:18%">Class</td>
        <td style="border: 1px solid #AAAAAA;padding:5px;width:15%">Fee</td>
        <td style="border: 1px solid #AAAAAA;padding:5px;text-align:center;width:12%">Amount</td>
        <td style="border: 1px solid #AAAAAA;padding:5px;text-align:center;width:15%">Due Date</td>
        <td style="border: 1px solid #AAAAAA;padding:5px;text-align:center;width:15%">Paid</td>
    </tr>';

$Q = "SELECT `student_id`,`fee_date`,`due_date`,`receipt_number`,`fee_title`,`paid`,`amount` FROM `fee_paid` WHERE (`due_date` BETWEEN '$from' AND '$to')";
if ( $class_id > 0 ) {
	$Q .= " AND `student_id` IN (SELECT `id` student_id FROM `students` WHERE `class_id`=$class_id AND `deleted`=0 AND `active`=1)";
}
$Q    .= " ORDER BY `student_id`";
$rows = $db->get_rows( $Q );
if ( sizeof( $rows ) > 0 ):
	$x = 1;
	foreach ( $rows as $row ) {
		$student        = $Student->get_student( $row["student_id"] );
		$receipt_number = ( $row["paid"] == 1 ) ? $row["receipt_number"] : "";
		$paid           = ( $row["paid"] == 1 ? App::date_show( $row["fee_date"] ) . " ($receipt_number)" : "No" );
		$HTML           .= '<tr>
            <td style="border: 1px solid #AAAAAA;padding:5px;text-align:right">' . $x ++ . '</td>
            <td style="border: 1px solid #AAAAAA;padding:5px">' . $student["name"] . '</td>
            <td style="border: 1px solid #AAAAAA;padding:5px">' . $student["class"] . '</td>
            <td style="border: 1px solid #AAAAAA;padding:5px">' . $row["fee_title"] . '</td>
            <td style="border: 1px solid #AAAAAA;padding:5px;text-align:right">' . round( $row["amount"], App::get_currency_decimals() ) . '</td>
            <td style="border: 1px solid #AAAAAA;padding:5px;text-align:center">' . App::date_show( $row["due_date"] ) . '</td>
            <td style="border: 1px solid #AAAAAA;padding:5px;text-align:center">' . $paid . '</td>
        </tr>';
	}
else:
	$HTML .= '<tr>
    <td colspan="6" style="border: 1px solid #AAAAAA;padding:5px;text-align:center"><i>No data available</i></td>
    </tr>';
endif;

$HTML .= "</table>";
if ( isset( $_GET["viewBtn"] ) ) {
	echo "
<style>
body {
    font-family:Verdana;
}
</style>
";
	echo $HTML;
} else {
	$pdfpath = "payment_report";
	include_once( __DIR__ . "/pdf.php" );
}