<?php
if ( ! \Admins\UserInfo::is_loggedin() ) {
	echo "<h2>You'r not authorized to download this report.</h2>";
	exit;
}

//echo "<pre>";print_r($_GET);
//die("");

if ( ! isset( $_GET["date"] ) ) {
	Urls::redirect( Urls::get_url( "report/attendance" ) );
}
if ( ! isset( $_GET["class_id"] ) ) {
	$_GET["class_id"] = array();
}

$date    = \Dates::mysql_date( $_GET["date"] );
$classes = $_GET["class_id"];
if ( ! isset( $_GET["batch_id"] ) ) {
	$_GET["batch_id"] = 0;
}
$batch_id = $_GET["batch_id"];

$Att = new Attendance;
if ( isset( $_GET["class_id"] ) && is_array( $_GET["class_id"] ) ) {
	$class_id = implode( ",", $_GET["class_id"] );
} elseif ( empty( $_GET["class_id"] ) ) {
	$class_id = 0;
} else {
	$class_id = $_GET["class_id"];
}

$rows = $Att->get_attendance( "batch_id={$batch_id}&date={$date}&class_id={$class_id}&return_new=0" );

if ( isset( $_GET["smsBtn"] ) ) {
	$SMS   = new SMS;
	$count = 0;
	foreach ( $rows as $row ) {
		if ( $row["attendance"] == "A" ) {
			$student = $Student->get_student( $row["student_id"] );
			$sd      = $student["gender"] == "F" ? "daughter" : "son";
			$message = "Dear Mr." . $student["guardian_name"] . "\nYour $sd is absent from Academy today (" . \Dates::my_date( $date ) . ")";
			$SMS->add_to_queue( $student["guardian_cell"], $message );
			$count ++;
		}
	}
	echo "$count SMS are queued";
	exit;
}

$Classes = [];
foreach ( $rows as $row ) {
	$Classes[ $row["class_id"] ][] = $row;
}
//show_array($Classes); die;

$HTML = '
<style>
table {
	border-collapse: collapse;
}
td {
	border:1px solid #c9c9c9;
	padding: 10px;
}
</style>
<h3 style="text-align:center">Attendance Report for ' . \Dates::my_date( $date ) . '</h3>
<table width="100%" cellspacing="0" cellpadding="5">';
foreach ( $Classes as $classes ) {
	$HTML .= '<tr bgcolor="#E6E6E6">
            <td>' . __( 'Class' ) . ': <b>' . $classes[0]["class_name"] . '</b></td>
            <td>' . __( 'Attendance' ) . '</td>
        </tr>';


	if ( isset( $_GET["student_name"] ) ) {
		foreach ( $classes as $class ) {
			if ( $_GET["student_name"] == $class["student_name"] ) {
				$HTML .= '<tr>
	            <td>(' . __( 'Roll' ) . ': ' . $class['roll'] . ') ' . $class["student_name"] . '</td>
	            <td>' . $class["attendance"] . '</td>
	            </tr>';
			}
		}
	} else {
		foreach ( $classes as $class ) {
			$HTML .= '<tr>
	        <td>(' . __( 'Roll' ) . ': ' . $class['roll'] . ') ' . $class["student_name"] . '</td>
	        <td>' . $class["attendance"] . '</td>
	        </tr>';
		}
	}
}

$HTML .= '</table>';

if ( isset( $_GET["viewBtn"] ) ) {
	echo "
    <style>
        body {
            font-family:Verdana;
        }
    </style>
    ";
	echo $HTML;
} else {
	$pdfpath = "attendance_report";
	include_once( __DIR__ . "/pdf.php" );
}