<?php
if ( ! \Admins\UserInfo::is_loggedin() ) {
	die( "You'r not authorized to view this report." );
}
#echo uniqid(md5(rand()), true); die;
#die;
if ( empty( $_GET["student_id"] ) ) {
	die( "Please provide student." );
}
$_GET["student_id"] = explode( " - ", $_GET["student_id"] );
$_GET["student_id"] = isset($_GET["student_id"][0])?trim( $_GET["student_id"][0] ):0;

if ( empty( $_GET["student_id"] ) ) {
	die( "Student you provided doesn't exists in system" );
}
$student = $Student->get_student( $_GET["student_id"] );
if ( ! is_array( $student ) || sizeof( $student ) == 0 ) {
	die( "Student you provided doesn't exists in system" );
}
if ( empty( $_GET["from"] ) || empty( $_GET["to"] ) ) {
	die( "Please select date range for this report" );
}
$_GET["from"] = \Dates::mysql_date( $_GET["from"] );
$_GET["to"]   = \Dates::mysql_date( $_GET["to"] );
$dec          = App::get_marks_decimals();
$C            = new BatchClass;

$HTML = '<b>Dear Parents</b>
<p>The Management of ' . $db->get_option( 'system' ) . ' is grateful to you for the confidence you have placed in this Institution.</p>';

$so     = $student["gender"] == "M" ? "S/O" : "D/O";
$father = empty( $student["father_name"] ) ? $student["guardian_name"] : $student["father_name"];
$HTML   .= '
<h3 style="text-align:center">Student Report</h3>
<p style="text-align:center">
It is to inform you that <b>' . trim( $student["name"] ) . '</b> ' . $so . ' <b>' . trim( $father ) . '</b><br>
Class <b>' . $C->get_class_name( $student["class_id"] ) . '</b> Roll # <b>' . $student["roll"] . '</b><br>
Appeared in Tests held on <b>' . App::date_show( $_GET["from"] ) . '</b> to <b>' . App::date_show( $_GET["to"] ) . '</b>
</p>';

$Q    = "SELECT ts.subject, ms.total_marks, msd.marks FROM `mark_sheets_data` msd, `mark_sheets` ms, `test_schedules` ts
WHERE msd.`student_id`='{$_GET["student_id"]}' AND ms.`schedule_id`=msd.`schedule_id` AND (ts.test_date BETWEEN '{$_GET["from"]}' AND '{$_GET["to"]}') AND ts.id=msd.schedule_id";
$rows = $db->get_rows( $Q );

$Q        = "CREATE TEMPORARY TABLE `tmp_student_weekly_report`
(`subject` VARCHAR(200), `total_marks` DECIMAL(6,2), `marks` DECIMAL(6,2))";
$response = $db->query( $Q );
if ( $response === false ) {
	die( "Error: " . $db->last_error );
}

foreach ( $rows as $row ) {
	$data1["subject"]     = $row["subject"];
	$data1["total_marks"] = $row["total_marks"];
	$data1["marks"]       = $row["marks"];

	$response = $db->insert( "tmp_student_weekly_report", $data1 );
	if ($response===false) {
		die("Error: ".$db->last_error);
	}
}

$Q         = "SELECT `subject`, SUM(`total_marks`) total_marks, SUM(`marks`) marks, SUM(`marks`) / SUM(`total_marks`) * 100 AS percentage FROM `tmp_student_weekly_report` GROUP BY `subject`";
$rows      = $db->get_rows( $Q );
$Marks_Obt = $Total_Marks = 0;
if ( $rows === false ) {
	die( "Error: " . $db->last_error );
}
if ( isset( $_GET["smsBtn"] ) ) {
	$Subject = new Subject;
	$Text    = 'Report for ' . trim( $student["name"] ) . ' from ' . App::date_show( $_GET["from"] ) . ' to ' . App::date_show( $_GET["to"] ) . "\n";
	foreach ( $rows as $row ) {
		$Text .= $Subject->get_shortname( $row["subject"] ) . ":" . round( $row["marks"], $dec ) . "/" . round( $row["total_marks"], $dec ) . "\n";
	}
	$cell     = $student["guardian_cell"];
	$SMS      = new SMS();
	$response = $SMS->send_sms( $cell, $Text );
	if ( $response == "OK" ) {
		echo "SMS Sent successfully to <b>$cell</b>";
	} else {
		echo "Error: $response";
	}
	die;
} else {
	$HTML .= '
    <table border="1" cellspacing="0" cellpadding="4" id="table1" style="border: 1px solid #AAAAAA; border-spacing: 0; border-collapse: separate; margin:0 auto;">
    <tr style="font-weight:bold">
        <td style="padding:5px;text-align:center;width:5%">Sr.</td>
        <td style="padding:5px;text-align:center;width:50%">Subject</td>
        <td style="padding:5px;text-align:center;width:15%">Total Marks</td>
        <td style="padding:5px;text-align:center;width:15%">Marks Obtained</td>
        <td style="padding:5px;text-align:center;width:15%">Marks %age</td>
    </tr>';

	$x = 1;
	foreach ( $rows as $row ) {
		$Total_Marks += $row["total_marks"];
		$Marks_Obt   += $row["marks"];
		$HTML        .= '<tr>
            <td style="padding:5px;text-align:right">' . $x ++ . '</td>
            <td style="padding:5px">' . $row["subject"] . '</td>
            <td style="padding:5px;text-align:right">' . round( $row["total_marks"], $dec ) . '</td>
            <td style="padding:5px;text-align:right">' . round( $row["marks"], $dec ) . '</td>
            <td style="padding:5px;text-align:right">' . round( $row["percentage"], $dec ) . '%</td>
        </tr>';
	}

	for ( $y = 0; $y < 5; $y ++ ) {
		$HTML .= '<tr>';
		for ( $x = 0; $x < 5; $x ++ ) {
			$HTML .= '<td style="padding:5px;text-align:right">&nbsp;</td>';
		}
		$HTML .= '</tr>';
	}
	$HTML .= '<tr><td>&nbsp;</td><td align="right">Total</td><td align="right">' . round( $Total_Marks, $dec ) . '</td><td align="right">' . round( $Marks_Obt, $dec ) . '</td>';
	if ( $Total_Marks == 0 ) {
		$HTML .= '<td align="right">0%</td></tr>';
	} else {
		$HTML .= '<td align="right">' . round( $Marks_Obt / $Total_Marks * 100, 2 ) . '%</td></tr>';
	}

	$HTML .= '</table>';
}

if ( isset( $_GET["viewBtn"] ) ) {
	echo "
<style>
body {
    font-family:Verdana;
}
</style>
";
	echo $HTML;
} else {
	$pdfpath = "student_weekly_report";
	include_once( __DIR__ . "/pdf.php" );
}