<?php
//
if ( isset( $_GET["weekly_lecture"] ) ) {
	$classname = "Empty";
	$id        = $_GET["id"];
	$no        = 1;
	$D         = new Datesheet;
	$rows      = $D->get_lecture_schedule_file( $id );
	if ( ! empty( $rows ) ) {
		foreach ( $rows as $row ) {
			$classname    = $row['classname'];
			$teacher_name = $row['teacher_name'];
			$time         = explode( ',', $row['time'] );
			$monday       = explode( ',', $row['monday'] );
			$tuesday      = explode( ',', $row['tuesday'] );
			$wednesday    = explode( ',', $row['wednesday'] );
			$thursday     = explode( ',', $row['thursday'] );
			$friday       = explode( ',', $row['friday'] );
			$saturday     = explode( ',', $row['saturday'] );

			$HTML = "";
			$HTML .= '<h2 style="text-align:center">Weekly Schedule of Class</h2>
            <p style="text-align:center"><h4>Teacher Name : ' . $teacher_name . '</h4></p>  
            <p style="text-align:center"><h4>Class : ' . $classname . '</h4></p>  
		';
			$HTML .= "  
		<table border='1' cellpadding='10' cellspacing='10' style='width: 100%; color:#333;'>  
		    <thead>
		        <tr>
		             <th style='text-align: center;text-transform: capitalize'>No.</th>
		             <th style='text-align: center;text-transform: capitalize'>Time</th>
		             <th style='text-align: center;text-transform: capitalize'>Monday</th>
		             <th style='text-align: center;text-transform: capitalize'>Tuesday</th>
		             <th style='text-align: center;text-transform: capitalize'>Wednesday</th>
		             <th style='text-align: center;text-transform: capitalize'>Thursday</th>
		             <th style='text-align: center;text-transform: capitalize'>Friday</th>
		             <th style='text-align: center;text-transform: capitalize'>Saturday</th>
		        </tr>
		    </thead>
		    <tbody>
        ";
			foreach ( $time as $j => $a ):
				if ( isset( $monday[ $j ] ) ) {
					$m = $monday[ $j ];
				} else {
					$m = "-";
				}
				if ( isset( $tuesday[ $j ] ) ) {
					$t = $tuesday[ $j ];
				} else {
					$t = "-";
				}
				if ( isset( $wednesday[ $j ] ) ) {
					$w = $wednesday[ $j ];
				} else {
					$w = "-";
				}
				if ( isset( $thursday[ $j ] ) ) {
					$th = $thursday[ $j ];
				} else {
					$th = "-";
				}
				if ( isset( $friday[ $j ] ) ) {
					$f = $friday[ $j ];
				} else {
					$f = "-";
				}
				if ( isset( $saturday[ $j ] ) ) {
					$s = $saturday[ $j ];
				} else {
					$s = "-";
				}
				$HTML .= "
                <tr>
                    <td style='text-align: center;text-transform: capitalize;font-size: 10px;'>" . $no . "</td>
                    <td style='text-align: center;text-transform: capitalize;font-size: 10px;'>" . $a . "</td>
                    <td style='text-align: center;text-transform: capitalize;font-size: 10px;'>" . $m . "</td>
                    <td style='text-align: center;text-transform: capitalize;font-size: 10px;'>" . $t . "</td>
                    <td style='text-align: center;text-transform: capitalize;font-size: 10px;'>" . $w . "</td>
                    <td style='text-align: center;text-transform: capitalize;font-size: 10px;'>" . $th . "</td>
                    <td style='text-align: center;text-transform: capitalize;font-size: 10px;'>" . $f . "</td>
                    <td style='text-align: center;text-transform: capitalize;font-size: 10px;'>" . $s . "</td>
                </tr>
            ";
				$no ++;
			endforeach;
			$HTML .= "</tbody></table>";
		}
	}
	$pdfpath = $classname;
	include_once( __DIR__ . "/pdf.php" );
	?>
	<script>
		window.location.href = "<?php echo Urls::get_url( "all_schedule_list" ) ?>";
	</script>
	<?php
	die();
}


// datesheet pdf download
if ( isset( $_GET["date_sheet"] ) ) {
	$class_name = "No Record";
	$id         = $_GET["id"];
	$no         = 1;
	$D          = new Datesheet;
	$rows       = $D->get_datesheet_data( $id );
	if ( ! empty( $rows ) ) {
		foreach ( $rows as $row ) {

			$class_name = $row['class_name'];
			$subjects   = explode( ",", $row["subject_name"] );
			$date       = explode( ",", $row["subject_date"] );
			$time       = explode( ",", $row["subject_time"] );

			$HTML = "";

			$HTML .= '<h2 style="text-align:center">Datesheet of Class</h2>
            <p style="text-align:center"><h4>' . $class_name . '</h4></p>  
		';

			$HTML .= "  
		<table border='1' cellpadding='5' cellspacing='10' style='width: 100%; color:#333;'>  
		    <thead>
		        <tr>
		             <th style='text-align: center;text-transform: capitalize'>No.</th>
		             <th style='text-align: center;text-transform: capitalize'>Subject</th>
		             <th style='text-align: center;text-transform: capitalize'>Date</th>
		             <th style='text-align: center;text-transform: capitalize'>Time</th>
		        </tr>
		    </thead>
		    <tbody>
        ";
			foreach ( $subjects as $k => $data ) {
				$date[ $k ] = isset( $date[ $k ] ) ? $date[ $k ] : '';
				$time[ $k ] = isset( $time[ $k ] ) ? $time[ $k ] : '';
				$HTML       .= "
            <tr>
                <td style='text-align: center;text-transform: capitalize;font-size: 10px;'>" . $no . "</td>
                <td style='text-align: center;text-transform: capitalize;font-size: 10px;'>" . $data . "</td>
                <td style='text-align: center;text-transform: capitalize;font-size: 10px;'>" . $date[ $k ] . "</td>
                <td style='text-align: center;text-transform: capitalize;font-size: 10px;'>" . $time[ $k ] . "</td>
            </tr>
        ";
				$no ++;
			}

			$HTML .= "</tbody></table>";
		}
	}
	$pdfpath = $class_name;
	include_once( __DIR__ . "/pdf.php" );
	?>
	<script>
		window.location.href = "<?php echo Urls::get_url( "datesheet" ) ?>";
	</script>
	<?php
	die();
}

if ( empty( $_GET["student_id"] ) ) {
	die( "Please provide student." );
}
$_GET["student_id"] = explode( " - ", $_GET["student_id"] );
$_GET["student_id"] = isset( $_GET["student_id"][0] ) ? trim( $_GET["student_id"][0] ) : 0;
if ( empty( $_GET["student_id"] ) ) {
	die( "Student you provided doesn't exists in system" );
}
$student = $Student->get_student( $_GET["student_id"] );
if ( ! is_array( $student ) || sizeof( $student ) == 0 ) {
	die( "Student you provided doesn't exists in system" );
}
if ( empty( $_GET["from"] ) || empty( $_GET["to"] ) ) {
	die( __("Please select date range for this report") );
}
$_GET["from"] = \Dates::mysql_date( $_GET["from"] );
$_GET["to"]   = \Dates::mysql_date( $_GET["to"] );
$dec          = App::get_marks_decimals();
$C            = new BatchClass;

//die("i am here");
/*$all_dates = $_dates->date_array($_GET["from"], $_GET["to"], "+1 day", "Y-m-d");
$weeks = array();
$day1 = $all_dates[0];
foreach($all_dates as $day) {
    $d = date("N", strtotime($day));
    if ($d==7) $weeks[] = array("from"=>$day1, "to"=>$day);
    if ($d==1) $day1 = $day;
}
$weeks[] = array("from"=>$day1, "to"=>$day);*/
$weeks = \Dates::weeks_array( $_GET["from"], $_GET["to"] );

$HTML = '<b>Dear Parents</b>
<p>The Management of ' . $db->get_option( 'system' ) . ' is grateful to you for the confidence you have placed in this Institution.</p>';

$so     = $student["gender"] == "M" ? "S/O" : "D/O";
$father = empty( $student["father_name"] ) ? $student["guardian_name"] : $student["father_name"];
$HTML   .= '
<h3 style="text-align:center">Student Report</h3>
<p style="text-align:center">
It is to inform you that <b>' . trim( $student["name"] ) . '</b> ' . $so . ' <b>' . trim( $father ) . '</b><br>
Class <b>' . $C->get_class_name( $student["class_id"] ) . '</b> Roll # <b>' . $student["roll"] . '</b><br>
Appeared in Tests held on <b>' . App::date_show( $_GET["from"] ) . '</b> to <b>' . App::date_show( $_GET["to"] ) . '</b>
</p>';

$Q    = "SELECT ts.test_date,ts.subject, ms.total_marks, msd.marks FROM `mark_sheets_data` msd, `mark_sheets` ms, `test_schedules` ts
WHERE msd.`student_id`='{$_GET["student_id"]}' AND ms.`schedule_id`=msd.`schedule_id` AND (ts.test_date BETWEEN '{$_GET["from"]}' AND '{$_GET["to"]}') AND ts.id=msd.schedule_id";
$rows = $db->get_rows( $Q );

$Q        = "CREATE TEMPORARY TABLE `tmp_student_weekly_report`
(`subject` VARCHAR(200), `total_marks` DECIMAL(6,2), `marks` DECIMAL(6,2), `test_date` DATE NOT NULL)";
$response = $db->query( $Q );
if ( $response === false ) {
	die( "Error: " . $db->last_error );
}

foreach ( $rows as $row ) {
	$data1["subject"]     = $row["subject"];
	$data1["total_marks"] = $row["total_marks"];
	$data1["marks"]       = $row["marks"];
	$data1["test_date"]   = $row["test_date"];

	$response = $db->insert( "tmp_student_weekly_report", $data1 );
	if ( $response === false ) {
		die( "Error: " . $db->last_error );
	}
}

$Text        = 'Report for ' . trim( $student["name"] ) . ' from ' . App::date_show( $_GET["from"] ) . ' to ' . App::date_show( $_GET["to"] ) . "\n";
$HTML        .= "\n" . '<table border="1" cellspacing="0" cellpadding="4" id="table1" style="border: 1px solid #AAAAAA; border-spacing: 0; border-collapse: separate; margin:0 auto;">
    <tr style="font-weight:bold">
        <td style="padding:5px;text-align:center;width:5%">Sr.</td>
        <td style="padding:5px;text-align:center;width:50%">Subject</td>
        <td style="padding:5px;text-align:center;width:15%">Total Marks</td>
        <td style="padding:5px;text-align:center;width:15%">Marks Obtained</td>
        <td style="padding:5px;text-align:center;width:15%">Marks %age</td>
    </tr>';
$Marks_Obt   = $Total_Marks = 0;
$AllSubjects = array();
foreach ( $weeks as $week ) {
	$Q    = "SELECT `subject`, SUM(`total_marks`) total_marks, SUM(`marks`) marks, SUM(`marks`) / SUM(`total_marks`) * 100 AS percentage
    FROM `tmp_student_weekly_report`
    WHERE (`test_date` BETWEEN '{$week["from"]}' AND '{$week["to"]}')
    GROUP BY `subject`";
	$rows = $db->get_rows( $Q );
	if ( isset( $_GET["smsBtn"] ) ) {
		$Subject = new Subject;
		foreach ( $rows as $row ) {
			$Text .= $Subject->get_shortname( $row["subject"] ) . ":" . round( $row["marks"], $dec ) . "/" . round( $row["total_marks"], $dec ) . "\n";
		}
	} else {
		$HTML .= '
        <tr><td colspan="5" style="text-align:center;color:#ffffff;background-color:#000000">Week from date <b>' . \Dates::my_date( $week["from"] ) . '</b> to <b>' . \Dates::my_date( $week["to"] ) . '</b></td></tr>
        ';

		$x     = 1;
		$total = 0;
		$ob    = 0;
		foreach ( $rows as $row ) {
			$Total_Marks += $row["total_marks"];
			$total       += $row["total_marks"];
			$Marks_Obt   += $row["marks"];
			$ob          += $row["marks"];
			if ( isset( $AllSubjects[ $row["subject"] ] ) ) {
				$AllSubjects[ $row["subject"] ]["total"] += $row["total_marks"];
				$AllSubjects[ $row["subject"] ]["ob"]    += $row["marks"];
			} else {
				$AllSubjects[ $row["subject"] ] = array( "total" => $row["total_marks"], "ob" => $row["marks"] );
			}
			$HTML .= '<tr>
                <td style="padding:5px;text-align:right">' . $x ++ . '</td>
                <td style="padding:5px">' . $row["subject"] . '</td>
                <td style="padding:5px;text-align:right">' . round( $row["total_marks"], $dec ) . '</td>
                <td style="padding:5px;text-align:right">' . round( $row["marks"], $dec ) . '</td>
                <td style="padding:5px;text-align:right">' . round( $row["percentage"], $dec ) . '%</td>
            </tr>';
		}
		if ( count( $rows ) == 0 ) {
			$HTML .= '<tr><td colspan="5" style="text-align:center"><i>' . __( 'No data found in this week' ) . '</i></td></tr>';
		} else {
			$p    = $ob == 0 ? "0" : round( $ob / $total * 100, $dec );
			$HTML .= '<tr style="font-weight:bold;text-align:right">
                <td colspan="2">Total:</td>
                <td>' . $total . '</td>
                <td>' . $ob . '</td>
                <td>' . $p . '%</td>
            </tr>';
		}
	}
}

$HTML .= '<tr><td colspan="5" style="text-align:center;color:#ffffff;background-color:#000000">Consolidated Report</td></tr>';
if ( count( $AllSubjects ) == 0 ) {
	$HTML .= '<tr><td colspan="5"><i>No data available</i></td></tr>';
} else {
	$x = 1;
	foreach ( $AllSubjects as $subject => $v ) {
		if ( $v["total"] == 0 ) {
			$per = 0;
		} else {
			$per = round( $v["ob"] / $v["total"] * 100, $dec );
		}
		$HTML .= '<tr>
            <td>' . $x . '</td>
            <td>' . $subject . '</td>
            <td style="text-align:right;">' . round( $v["total"], $dec ) . '</td>
            <td style="text-align:right;">' . round( $v["ob"], $dec ) . '</td>
            <td align="right">' . round( $per, $dec ) . '%</td>
        </tr>';
		$x ++;
	}
}

if ( isset( $_GET["smsBtn"] ) ) {
	$cell     = $student["guardian_cell"];
	$SMS      = new SMS();
	$response = $SMS->send_sms( $cell, $Text );
	if ( $response == "OK" ) {
		echo "SMS Sent successfully to <b>$cell</b>";
	} else {
		echo "Error: $response";
	}
	die;
}

/*
$Q = "SELECT `subject`, SUM(`total_marks`) total_marks, SUM(`marks`) marks, SUM(`marks`) / SUM(`total_marks`) * 100 AS percentage FROM `tmp_student_weekly_report` GROUP BY `subject`";
$rows = $db->get_rows($Q);
$Marks_Obt = $Total_Marks = 0; 
if ($rows===false) die("Error: ".mysqli_error());
if (isset($_GET["smsBtn"])) {
    $Subject = new Subject;
    $Text = 'Report for '.trim($student["name"]).' from '.$app->date_show($_GET["from"]).' to '.$app->date_show($_GET["to"])."\n";
    foreach($rows as $row) {
        $Text .= $Subject->get_shortname($row["subject"]).":".round($row["marks"],$dec)."/".round($row["total_marks"],$dec)."\n";
    }
    $cell = $student["guardian_cell"];
    $response = $SMS->send_sms($cell,$Text);
    if ($response=="OK") echo "SMS Sent successfully to <b>$cell</b>";
    else echo "Error: $response";
    die;
}*/

/*for($y=0; $y<5; $y++) {
    $HTML .= "\n".'<tr>'."\n";
    for($x=0; $x<5; $x++) {
        $HTML .= '<td style="padding:5px;text-align:right">&nbsp;</td>'."\n";
    }
    $HTML .= '</tr>'."\n";
}*/
$HTML .= '<tr style="font-weight:bold">
    <td>&nbsp;</td>
    <td align="right">Total</td>
    <td align="right">' . round( $Total_Marks, $dec ) . '</td>
    <td align="right">' . round( $Marks_Obt, $dec ) . '</td>' . "\n";
if ( $Total_Marks == 0 ) {
	$HTML .= '<td align="right">0%</td></tr>';
} else {
	$HTML .= '<td align="right">' . round( $Marks_Obt / $Total_Marks * 100, 2 ) . '%</td></tr>';
}
$HTML .= '</table>';

if ( isset( $_GET["viewBtn"] ) ) {
	echo "
<style>
body {
    font-family:Verdana;
}
</style>
";
	echo $HTML;
} else {
	$pdfpath = "student_weekly_report";
	include_once( __DIR__ . "/pdf.php" );
}