<?php if ( ! isset( $_GET["id"] ) ) {
	die( "Invalid invoice" );
}
if ( ! \Admins\UserInfo::is_loggedin() ) {
	echo "You'r not logged in";
	exit;
}
$Fee  = new Fee();
$HTML = '';

if ( ! isset( $_GET["inline"] ) ) {
	$HTML .= '
    <h1>' . $db->get_option( "system" ) . '</h1>
    <p style="text-align: center;">' . $db->get_option( "inst_address" ) . '<br>
    ' . $db->get_option( "inst_contacts" ) . '</p>
    <hr>';
}

$row = $Fee->get_fee( $_GET["id"] );

if ( $row["student_id"] > 0 ) {
	$rows = $Fee->get_fees( "student_id={$row["student_id"]}" );
	$HTML .= '
    <table class="table table-bordered">
        <tr>
            <th colspan="4">' . __( 'Payment History' ) . '</th>
        </tr>
        <tr>
            <th width="25%">' . __( 'Date' ) . '</th>
            <th width="15%">' . __( 'Amount' ) . '</th>
            <th width="20%">' . __( 'Recpt. Num' ) . '</th>
            <th width="40%">' . __( 'Desc.' ) . '</th>
        </tr>';
	foreach ( $rows as $row1 ) {
		$HTML .= "<tr>
            <td>" . $row1["added_time2"] . "</td>
            <td>" . ( $row1["amount"] + $row1["fine"] ) . "</td>
            <td>" . $row1["receipt_number"] . "</td>
            <td>" . $row1["fee_title"] . "
            <span style=\"color:#666666;font-size:10px\">" . nl2br( substr( $row1["description"], 0, 30 ) ) . " ...</span></td>
        </tr>";
	}
	$HTML .= '</table><br><br><br>';
}

$HTML .= "
<table class='table table-bordered'>
	<tr>
		<td colspan=\"2\">
		" . __( "Class" ) . ": <b>" . $row["class_name"] . "</b>
		</td>
	</tr>
    <tr>
        <td>" . __( 'Name' ) . ": {$row["student_name"]} " . ( ( $row["gender"] == "F" ) ? "D/O " : "S/O " ) . ( empty( $row["father_name"] ) ? $row["guardian_name"] : $row["father_name"] ) . '
        </td>
        <td>Roll: ' . $row["roll"] . '
        <span style="float:right;">Date: ' . $row["due_date2"] . '</span>
        </td>
    </tr>
    <tr>
        <td>Receipt Number: ' . $row["receipt_number"] . '</td>
        <td>Paid: ' . ( ( $row["paid"] == 1 ) ? "Yes" : "No" ) . '</td>
    </tr>
    <tr>
        <td><b>' . $row["fee_title"] . '</b><br>
        <span style="color:#666666;font-size:10px">' . nl2br( $row["description"] ) . '</span></td>
        <td style="text-align: right;">' . App::set_currency( $row["amount"] ) . '
        </td>
    </tr>
    <tr>
        <td>Fine</td>
        <td style="text-align: right;">' . App::set_currency( $row["fine"] ) . '</td>
    </tr>
    <tr>
        <td>Total</td>
        <td style="font-weight:bold;text-align: right;">' . App::set_currency( $row["amount"] + $row["fine"] ) . '</td>
    </tr>
</table>';

\Urls::redirect( \PDF::html_to_pdf( $HTML, __( 'Fee Receipt' ), ! isset( $_GET['inline'] ), 'FeeReceipt_'. $_GET["id"] ) );
