<?php
if ( ! defined( "ROOT_PATH" ) ) {
	echo "Hay! Don't cheat, We don't allow to view this file too. . :)";
	exit;
}
$title = __( "Add Schedule" );
include_once( __DIR__ . "/header.php" );
$BatchClass = new BatchClass;
$C          = $BatchClass->get_list();
$Sub        = new Subject;
$S          = $Sub->get_list( "orderby=subject&order=ASC" );
$Teacher    = new Teacher;
$T          = $Teacher->get_teachers();

$getBatch = new Batch();
$getBatch = $getBatch->get_active_batch();
if ( ! empty( $getBatch ) ) {
	$batchid = $getBatch["id"];
} else {
	$batchid = 0;
}
//echo "<pre>";print_r($batchid);die();
?>

<script>
	function Save( f ) {
		Block();
		$.post( '<?php echo DOMAIN_URL ?>ajax/add_schedule.php?add_schedule', $( f ).serialize(), function( data ) {
			UnBlock();
			if ( data.substr(0,2)=="OK" ) {
				Success( data.substr(2) + " <?php echo __("schedule dates saved successfully") ?>" );
				window.location.href = "<?php echo Urls::get_url( "test_schedules" ) ?>";
			} else {
				Error( data );
			}
		} );
		return false;
	}

	/*function Cancel() {
		bootbox.confirm( "Are you sure you want to cancel this Schedule?", function( result ) {
			if ( result ) window.location.href = "<?php echo Urls::get_url( "test_schedules" ) ?>";
		} );
		return false;
	}*/

	function Add() {
		var T = '<div class="form-group">' +
		        '<label class="col-md-4 control-label">Weekday &gt; <?php echo __("Subject") ?></label>' +
		        '<div class="col-md-8">' +
		        '<div class="input-group">' +
		        '<select class="form-control" name="weekday[]">' +
		        '<option value="">==&gt; <?php echo __("Select Day") ?></option>' +
		        '<option value="1"><?php echo __("Monday") ?></option>' +
		        '<option value="2"><?php echo __("Tuesday") ?></option>' +
		        '<option value="3"><?php echo __("Wednesday") ?></option>' +
		        '<option value="4"><?php echo __("Thursday") ?></option>' +
		        '<option value="5"><?php echo __("Friday") ?></option>' +
		        '<option value="6"><?php echo __("Saturday") ?></option>' +
		        '<option value="7"><?php echo __("Sunday") ?></option>' +
		        '</select>' +
		        '<span class="input-group-addon">&gt;</span>' +
		        '<select class="form-control" name="subject[]">' +
		        '<option value="">==&gt; <?php echo __("Select Subject") ?></option>' +
			<?php foreach($S as $s): ?>
			    '<option><?php echo $s["subject"] ?></option>' +
			<?php endforeach; ?>
			    '</select>' +
			    '<span class="input-group-addon">&gt;</span>' +
			    '<select class="form-control" name="teacher[]">' +
			    '<option value="">==&gt; <?php echo __("Select Teacher") ?></option>' +
			<?php foreach($T as $t): ?>
			    '<option><?php echo $t["name"] ?></option>' +
			<?php endforeach; ?>
			    '</select>' +
			    '</div>' +
			    '</div>' +
			    '</div>';
		$( "#moresubjects" ).append( T );
	}
</script>

<!-- BEGIN CONTAINER -->
<div class="page-container">
	<!-- BEGIN SIDEBAR -->
	<?php include_once( __DIR__ . "/sidebar.php" ); ?>
	<!-- END SIDEBAR -->

	<!-- BEGIN CONTENT -->
	<div class="page-content-wrapper">
		<div class="page-content">
			<!-- BEGIN PAGE HEADER-->
			<div class="row">
				<div class="col-md-12">
					<!-- BEGIN PAGE TITLE & BREADCRUMB-->
					<h3 class="page-title">
						<?php echo __("Add Test Schedule") ?>
					</h3>
					<ul class="page-breadcrumb breadcrumb">
						<li>
							<i class="fa fa-home"></i>
							<a href="<?php echo DOMAIN_URL ?>">Home</a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="#"><?php echo __("Examination") ?></a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="<?php echo Urls::get_url( "test_schedules" ) ?>"><?php echo __("Test Schedule") ?></a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<?php echo __("Adding Class") ?>
						</li>
					</ul>
					<!-- END PAGE TITLE & BREADCRUMB-->
				</div>
			</div>
			<!-- END PAGE HEADER-->
			<!-- BEGIN PAGE CONTENT-->
			<div class="row">
				<div class="col-md-12">
					<div class="portlet box blue">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-reorder"></i> <?php echo __("Add Test Schedule") ?>
							</div>
							<div class="tools">
								<a href="javascript:;" class="collapse"></a>
								<a href="#portlet-config" data-toggle="modal" class="config"></a>
								<a href="javascript:;" class="reload"></a>
								<a href="javascript:;" class="remove"></a>
							</div>
						</div>
						<div class="portlet-body form">
							<form action="#" class="form-horizontal form-bordered" onsubmit="return Save(this)" id="sch_form">
								<!--                                <input type="hidden" name="batchid" id="batchid" value="--><?php //echo $batchid;?><!--">-->
								<div class="form-body">
									<div class="form-group">
										<label class="control-label col-md-4"><?php echo __("Schedule Name") ?></label>
										<div class="col-md-8">
											<input type="text" name="name" title="<?php echo __("Schedule name required") ?>" required="required" class="form-control">
											<span class="help-block">
        										<?php echo __("Schedule Name") ?>
        									</span>
										</div>
									</div>
									<div class="form-group">
										<label class="control-label col-md-4"><?php _e("Select Class") ?></label>
										<div class="col-md-8">
											<select class="form-control select2" name="class_id" data-placeholder="<?php _e("Select Class") ?>">
												<?php foreach ( $C as $c ): ?>
													<option value="<?php echo $c["id"] ?>"><?php echo $c["class_name"] ?></option>
												<?php endforeach; ?>
											</select>
											<span class="help-block">
        										<?php _e("Select class") ?>
        									</span>
										</div>
									</div>
								</div>
								<div class="form-group">
									<label class="control-label col-md-4">
										<?php _e("Test/Exam Schedule Date Range") ?>
									</label>
									<div class="col-md-8">
										<div class="input-group date-picker input-daterange" data-date-format="<?php echo \Dates::date_format1_for_js(); ?>">
											<input required="required" type="text" class="form-control" name="from" placeholder="<?php _e("From Date") ?>">
											<span class="input-group-addon">
												to
											</span>
											<input required="required" type="text" class="form-control" name="to" placeholder="<?php _e("To Date") ?>">
										</div>
										<span class="help-block">
											<?php _e("Select date range") ?>
										</span>
									</div>
								</div>
								<div class="form-group">
									<label class="col-md-4 control-label"></label>
									<div class="col-md-8">
										<button title="Add more subjects" onclick="Add()" type="button" class="btn green">
											<i class="fa fa-plus"></i> <?php echo __("Add More Subjects") ?>
										</button>
									</div>
								</div>
								<div class="form-group">
									<label class="col-md-4 control-label"><?php echo __("Weekday") ?> &gt; <?php echo __("Subject") ?></label>
									<div class="col-md-8">
										<div class="input-group">
											<select class="form-control" name="weekday[]">
												<option value="">==&gt; <?php echo __("Select Day") ?></option>
												<option value="1"><?php echo __("Monday") ?></option>
												<option value="2"><?php echo __("Tuesday") ?></option>
												<option value="3"><?php echo __("Wednesday") ?></option>
												<option value="4"><?php echo __("Thursday") ?></option>
												<option value="5"><?php echo __("Friday") ?></option>
												<option value="6"><?php echo __("Saturday") ?></option>
												<option value="7"><?php echo __("Sunday") ?></option>
											</select>
											<span class="input-group-addon">&gt;</span>
											<select class="form-control" name="subject[]">
												<option value="">==&gt; <?php echo __("Select Subject") ?></option>
												<?php foreach ( $S as $s ): ?>
													<option><?php echo $s["subject"] ?></option>
												<?php endforeach; ?>
											</select>
											<span class="input-group-addon">&gt;</span>
											<select class="form-control" name="teacher[]">
												<option value="">==&gt; <?php echo __("Select Teacher") ?></option>
												<?php foreach ( $T as $t ): ?>
													<option><?php echo $t["name"] ?></option>
												<?php endforeach; ?>
											</select>
										</div>
									</div>
								</div>
								<div id="moresubjects"></div>
								<div class="form-actions fluid">
									<div class="col-md-12 center">
										<div class="btn-group">
											<button type="submit" class="btn blue"><?php _e("Save Schedule") ?></button>
											<a href="<?php echo Urls::get_url( "test_schedules" ) ?>" class="btn default">
												<?php _e("Cancel") ?>
											</a>
										</div>
									</div>
								</div>
							</form>
						</div>
					</div>
				</div>
			</div>
			<!-- END PAGE CONTENT-->
		</div>
	</div>

	<!-- END CONTENT -->
</div>
<!-- END CONTAINER -->

<?php include_once( __DIR__ . "/footer.php" ); ?>

<script>
	//Info( "You can select more than one subjects by clicking + button", "Tip", '10000' );
	$( function() {
		$( document ).bind( "keydown", "Ctrl+A", function() {
			window.location.href = "";
			return false;
		} );

		$('#sch_form').areYouSure( {'message':'<?php echo __("Your profile details are not saved") ?>'} );
	} );
</script>

</body>
<!-- END BODY -->
</html>