<?php
if ( ! defined( "ROOT_PATH" ) ) {
	echo "Hay! Don't cheat, We don't allow to view this file too. . :)";
	exit;
}
$title = "New Admission Requests";
include_once( __DIR__ . "/header.php" );
include_once( LIBRARY_PATH . "templates/panel/admission_requests.tpl" );
$AR = new \Student\AdmissionRequests();
?>
<div class="page-container">
	<?php include_once( __DIR__ . "/sidebar.php" ); ?>
	<div class="page-content-wrapper">
		<div class="page-content">
			<div class="modal fade" id="portlet-config" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
							<h4 class="modal-title">Modal title</h4>
						</div>
						<div class="modal-body">
							Widget settings form goes here
						</div>
						<div class="modal-footer">
							<button type="button" class="btn blue">Save changes</button>
							<button type="button" class="btn default" data-dismiss="modal">Close</button>
						</div>
					</div>
				</div>
			</div>

			<div class="row">
				<div class="col-md-12">
					<h3 class="page-title">
						<?php _e( "New Admission Requests" ) ?>
					</h3>
				</div>
			</div>
			<div class="row">
				<div class="col-md-12">
					<table class="table table-borders table-bordered table-hover" id="table1">
						<thead>
						<tr class="heading">
							<th><?php _e( "Student Information" ) ?></th>
							<th><?php _e( "Guardian Information" ) ?></th>
							<th></th>
						</tr>
						</thead>
						<tbody id="tbody1">
						<tr>
							<td colspan="3" style="text-align: center"><i class="fa fa-spin fa-spinner"></i> Loading ...
							</td>
						</tr>
						</tbody>
					</table>
				</div>
			</div>
		</div>
	</div>
</div>

<?php include_once( __DIR__ . "/footer.php" ); ?>

<script>
	var Status = <?php echo json_encode( $AR->Status ) ?>;
</script>
<script src="<?php echo \Theme::url() ?>js/admission_requests.min.js?<?php echo md5_file( \Theme::path() . "js/admission_requests.min.js" ); ?>"></script>
</body>
</html>