<?php
include_once( __DIR__ . "/../../../library.php" );

header("Content-Type: application/json");

if (!\Admins\UserInfo::is_loggedin()) {
	echo json_encode( ["error" => __("You'r not authorized.")] );
	exit;
}

if ( isset($_GET["save_phone_default_country"]) ) {
	if (empty($_POST["default_phone_country"])) {
		echo json_encode( ["error" => __("Default phone country missing!")]);
		exit;
	}
	$response = $db->set_option( "default_phone_country", $_POST["default_phone_country"]);

	if ( $response===false ) {
		echo json_encode( ["error" => __("Default phone country missing!")]);
	} else {
		echo json_encode( ["status" => "OK"]);
	}
	exit;
}