<?php
if ( ! defined( "ROOT_PATH" ) ) {
	echo "Hay! Don't cheat, We don't allow to view this file too. . :)";
	exit;
}
//unset($_SESSION[\Admins\UserInfo::get_system_var()]);
if ( ! \Admins\UserInfo::is_allowed( "change_app_settings" ) ) {
	include_once( __DIR__ . "/no_access.php" );
}
$title = __("Application Settings");
include_once( __DIR__ . "/header.php" ); ?>
<script>
	var ajax_url = "<?php echo Urls::get_url( "ajax", 0, "action=saveInlineSettings" ) ?>";
	var my_id = "1";
</script>

<?php if ( isset( $_GET["removeLogo"] ) ) {
	if ( $_GET["removeLogo"] == "1" ) {
		@unlink( $db->get_option( "logo1_path" ) );
		$db->set_option( "logo1_path" );
		$db->set_option( "logo1" );
	} else if ( $_GET["removeLogo"] == "2" ) {
		@unlink( $db->get_option( "logo2_path" ) );
		$db->set_option( "logo2_path" );
		$db->set_option( "logo2" );
	} else if ( $_GET["removeLogo"] == "3" ) {
		@unlink( $db->get_option( "logo3_path" ) );
		$db->set_option( "logo3_path" );
		$db->set_option( "logo3" );
	}
} ?>

<link rel="stylesheet" type="text/css" href="<?php echo ASSETS_URL ?>plugins/bootstrap-editable/bootstrap-editable/css/bootstrap-editable.css">
<link rel="stylesheet" type="text/css" href="<?php echo ASSETS_URL ?>plugins/bootstrap-editable/inputs-ext/address/address.css">
<style>
	img.img {
		max-width: 200px;
		max-height: 200px;
		width: 100%;
		border: 1px solid #000000
	}
</style>

<!-- BEGIN CONTAINER -->
<div class="page-container">
	<!-- BEGIN SIDEBAR -->
	<?php include_once( __DIR__ . "/sidebar.php" ); ?>
	<!-- END SIDEBAR -->

	<!-- BEGIN CONTENT -->
	<div class="page-content-wrapper">
		<div class="page-content">

			<!-- BEGIN PAGE HEADER-->
			<div class="row">
				<div class="col-md-12">
					<!-- BEGIN PAGE TITLE & BREADCRUMB-->
					<h3 class="page-title">
						<?php _e("Application Settings") ?>
						<small><?php _e("Manage application settings") ?></small>
					</h3>
					<ul class="page-breadcrumb breadcrumb">
						<li>
							<i class="fa fa-home"></i>
							<a href="<?php echo DOMAIN_URL ?>"><?php _e("Home") ?></a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<?php _e("Application Settings") ?>
						</li>
					</ul>
					<!-- END PAGE TITLE & BREADCRUMB-->
				</div>
			</div>
			<!-- END PAGE HEADER-->
			<!-- BEGIN PAGE CONTENT-->
			<div class="row">
				<div class="col-md-12">
					<table id="user" class="table table-bordered table-striped">
						<tbody>
						<tr>
							<th colspan="3" class="invertblack">
								<i class="fa fa-chevron-circle-down"></i> <?php _e("Institute Profile") ?>
							</th>
						</tr>
						<tr>
							<td><?php _e("System's Internal Name") ?></td>
							<td>
								<a id="system" href="#" data-title="Type system name" data-inputclass="form-control input-xlarge"><?php echo $db->get_option( "system", "feKara by creativeON" ) ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e("System name is your organization name. It will appear on titles and PDF files.") ?>
							</span>
							</td>
						</tr>
						<tr>
							<td><?php _e("Admin Email") ?></td>
							<td>
								<a id="admin_email" href="#"><?php echo $db->get_option( "admin_email", "noemail@yourdomain.com" ) ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e("Administrator's email address") ?>
							</span>
							</td>
						</tr>
						<tr>
							<td><?php _e( "Upload logo" ) ?></td>
							<td>
								<a href="<?php echo Urls::get_url( "app_settings", 0, "removeLogo=1" ) ?>" class="tooltips" title="Remove uploaded logo" style="float: right;">X</a>
								<form id="form_logo" method="post" action="<?php echo DOMAIN_URL ?>ajax/app_settings.php?uploadLogo" enctype="multipart/form-data">
									<input type="hidden" name="type" value="1" />
									<div class="fileupload fileupload-new" data-provides="fileupload" style="text-align: center;">
										<label style="cursor: pointer;">
											<img class="img tooltips" title="Click me to change photo" src="<?php echo App::get_logo( "1" ) ?>">
											<br><br>
											<span class="btn default btn-file">
			                                    <span class="fileupload-new">
			                                        <i class="fa fa-paper-clip"></i> <?php _e("Select file") ?>
			                                    </span>
			                                    <span class="fileupload-exists">
			                                        <i class="fa fa-undo"></i> <?php _e("Change") ?>
			                                    </span>
			                                    <input type="file" name="file1" class="default" accept="image/*">
			                                </span>
										</label>
										<span class="fileupload-preview" style="margin-left:5px;"></span>
										<a href="#" class="close fileupload-exists" data-dismiss="fileupload" style="float: none; margin-left:5px;"></a>
										<br>
										<button class="btn blue"><?php _e( 'Upload' ) ?></button>
									</div>
								</form>
							</td>
							<td>
                            <span class="text-muted">
								<?php _e("Image size must be (width)104px and (height)17px") ?><br>
	                            <?php _e("Logo will be used on your Login page, used by staff and administrator") ?>
							</span>
							</td>
						</tr>
						<tr>
							<td><?php _e("Institute's Address") ?></td>
							<td>
								<a id="inst_address" href="#" data-title="Type address" data-inputclass="form-control input-xlarge"><?php echo __($db->get_option( "inst_address", "Please mention your address at Applicattion > Settings" )); ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e("Institute's address. It will also print on all PDF reports.") ?>
							</span>
							</td>
						</tr>
						<tr>
							<td><?php _e("Institute's Contact Numbers") ?></td>
							<td>
								<a id="inst_contacts" href="#" data-title="Type contact numbers" data-inputclass="form-control input-xlarge"><?php echo __($db->get_option( "inst_contacts", "Please mention your contacts at Application > Settings" )); ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e("Institute's contact numbers. It will also print on all PDF reports.") ?>
							</span>
							</td>
						</tr>
						<tr>
							<th colspan="3" class="invertblack">
								<i class="fa fa-chevron-circle-down"></i> <?php _e( "Currency, Date and Regional Settings" ) ?>
							</th>
						</tr>
						<tr>
							<td>
								<?php _e( "Default phone country" ); ?>
							</td>
							<td>
								<select name="default_phone_country" id="default_phone_country" class="form-control select2">
									<option value="">== <?php _e("Select default country") ?> ==</option>
									<?php
									$rows                  = $db->get_rows( "SELECT `country_code`,`country_name` FROM `countries` ORDER BY `country_name`" );
									$default_phone_country = $db->get_option( "default_phone_country" );
									foreach ( $rows as $row ) {
										$S = $default_phone_country == $row["country_code"] ? "selected=selected" : "";
										echo "<option {$S} value='{$row["country_code"]}'>" . $row["country_name"] . "</option>";
									}
									?>
								</select>
							</td>
							<td>
								<span class="text-muted">
									<?php _e( "Select default country for phone format" ) ?>
								</span>
							</td>
						</tr>
						<tr>
							<td><?php _e("Currency Symbol/Name") ?></td>
							<td>
								<a id="currency" href="#"><?php echo App::get_currency_symbol() ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e("Set currency name or symbol") ?>
							</span>
							</td>
						</tr>
						<tr>
							<td><?php _e("Currency Decimals") ?></td>
							<td>
								<a id="currency_dec" data-value="<?php echo App::get_currency_decimals() ?>" href="#"><?php echo App::get_currency_decimals() ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e("Number of decimals for currency value") ?>
							</span>
							</td>
						</tr>
						<tr>
							<td><?php echo __("Marks Decimals") ?></td>
							<td>
								<a id="marks_dec" data-value="<?php echo App::get_marks_decimals() ?>" href="#"><?php echo App::get_marks_decimals() ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e("Number of decimals for marks") ?>
							</span>
							</td>
						</tr>
						<tr>
							<td><?php _e("Is application language RTL (Right to Left)") ?></td>
							<td>
								<?php $is_rtl = $db->get_option( "is_rtl" );
								$is_rtl       = ( $is_rtl == "" ) ? "0" : $is_rtl; ?>
								<a id="is_rtl" data-value="<?php echo $is_rtl ?>" href="#"><?php echo empty( $is_rtl ) ? "No" : "Yes" ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( 'Application will change it\'s layout.' ) ?>
							</span>
							</td>
						</tr>
						<tr>
							<td><?php _e( 'Date Format' ) ?></td>
							<td>
								<a id="date_format1" href="#"><?php echo __($db->get_option( "date_format1" )); ?></a>
								<span id="date_format1_span" style="float: right;">(Example: <?php echo date( $db->get_option( "date_format1" ) ); ?>)</span>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( 'See manual for date format tips.' ) ?><br />
                                <a href="http://php.net/manual/en/function.date.php" target="_blank">http://php.net/manual/en/function.date.php</a>
							</span>
							</td>
						</tr>
						<tr>
							<td><?php _e( 'Date/Time Format' ) ?></td>
							<td>
								<a id="date_time_format1" href="#"><?php echo $db->get_option( "date_time_format1" ); ?></a>
								<span id="date_time_format1_span" style="float: right;">(Example: <?php echo \Dates::my_datetime(); ?>)</span>
							</td>
							<td>
							<span class="text-muted">
								<?php _e("See manual for date format tips.") ?><br>
                                <a href="http://php.net/manual/en/function.date.php" target="_blank">http://php.net/manual/en/function.date.php</a>
							</span>
							</td>
						</tr>
						<tr>
							<td><?php _e("Long Date Format") ?></td>
							<td>
								<a id="date_format2" href="#"><?php echo $db->get_option( "date_format2" ); ?></a>
								<span id="date_format2_span" style="float: right;">(Example: <?php echo date( $db->get_option( "date_format2" ) ); ?>)</span>
							</td>
							<td>
							<span class="text-muted">
								<?php _e("See manual for date format tips.") ?><br />
                                <a href="http://php.net/manual/en/function.date.php" target="_blank">http://php.net/manual/en/function.date.php</a>
							</span>
							</td>
						</tr>
						<tr>
							<td><?php _e("Long Date/Time Format") ?></td>
							<td>
								<a id="date_time_format2" href="#"><?php echo $db->get_option( "date_time_format2" ); ?></a>
								<span id="date_time_format2_span" style="float: right;">(Example: <?php echo date( $db->get_option( "date_time_format2" ) ); ?>)</span>
							</td>
							<td>
							<span class="text-muted">
								<?php _e("See manual for date format tips.") ?><br />
                                <a href="http://php.net/manual/en/function.date.php" target="_blank">http://php.net/manual/en/function.date.php</a>
							</span>
							</td>
						</tr>
						<tr>
							<th colspan="3" class="invertblack"><i class="fa fa-chevron-circle-down"></i> <?php echo __("Reporting") ?></th>
						</tr>
						<tr>
							<td><?php _e("Upload PDF Logo") ?></td>
							<td style="text-align: center">
								<a href="<?php echo Urls::get_url( "app_settings", 0, "removeLogo=3" ) ?>" class="tooltips" title="Remove uploaded logo" style="float: right;">X</a>
								<img src="<?php echo App::get_logo( "3" ) ?>" class="img">
								<br><br>
								<form id="form_logo2" method="post" action="<?php echo DOMAIN_URL ?>ajax/app_settings.php?uploadLogo" enctype="multipart/form-data">
									<input type="hidden" name="type" value="3" />
									<div class="fileupload fileupload-new" data-provides="fileupload" style="text-align: center;">
										<span class="btn default btn-file">
											<span class="fileupload-new">
												<i class="fa fa-paper-clip"></i> <?php _e("Select file") ?>
											</span>
											<span class="fileupload-exists">
												<i class="fa fa-undo"></i> <?php echo __("Change") ?>
											</span>
											<input type="file" name="file1" class="default" />
										</span>
										<span class="fileupload-preview" style="margin-left:5px;"></span>
										<a href="#" class="close fileupload-exists" data-dismiss="fileupload" style="float: none; margin-left:5px;"></a>
										<br>
										<button class="btn blue"><?php _e("Upload") ?></button>
									</div>
								</form>

							</td>
							<td>
                            <span class="text-muted">
								<?php _e("This image will place on header of all PDF files.") ?><br />
                                <?php _e("Logo will be used in PDF reports. For better print quailty on black and white printers, use gray scale logo with high contrast") ?>
							</span>
							</td>
						</tr>
						<tr>
							<td><?php _e("PDF Report Page Size") ?></td>
							<td>
								<?php $page_size = $db->get_option( "page_size", "Legal" ); ?>
								<a id="page_size" data-value="<?php echo $page_size ?>" href="#"><?php echo $page_size ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e("Set PDF report paper size") ?>
							</span>
							</td>
						</tr>
						<tr>
							<td><?php _e("PDF Report Page Orientation") ?></td>
							<td>
								<?php $page_orientation = $db->get_option( "page_orientation", "P" ); ?>
								<a id="page_orientation" data-value="<?php echo $page_orientation ?>" href="#"><?php echo $page_orientation == "P" ? "Portrait" : "Landscape" ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e("Set PDF report paper orientation") ?>
							</span>
							</td>
						</tr>
						</tbody>
					</table>
				</div>
			</div>
			<!-- END PAGE CONTENT-->
		</div>
	</div>
	<!-- END CONTENT -->
</div>
<!-- END CONTAINER -->

<?php include_once( __DIR__ . "/footer.php" ); ?>
<script src="<?php echo \Theme::url() ?>js/app_settings.min.js?<?php echo md5_file( \Theme::path() . "js/app_settings.min.js" ); ?>"></script>
<script>
	jQuery( document ).ready( function() {
		FormEditable.init();

		$( document ).on( 'submit', '#form_logo, #form_logo2', function( event ) {
			event.preventDefault();
			Block();
			var form = $(this);
			form.ajaxSubmit( {
				success: function( data ) {
					if ( data=='OK' ) {
						alert( '<?php _e("Logo updated successfully!") ?>' );
						window.location.href = 'app_settings.php';
					} else {
						UnBlock();
						alert( data );
					}
				},
				error: function( e1, e2, e3 ) {
					UnBlock();
					alert( e3 );
				}
			} );
		} );
	} );
	<?php if (isset( $_GET["r"] ) && $_GET["r"] <> "OK"): ?>
	Error( "<?php echo $_GET["r"] ?>" );
	<?php endif; ?>
	<?php if (isset( $_GET["r"] ) && $_GET["r"] == "OK"): ?>
	Success( "<?php _e("Logo updated successfully!") ?>" );
		window.history.pushState( "", "", "<?php echo Urls::get_url( "app_settings" ); ?>" );
		<?php endif; ?>
</script>

</body>
<!-- END BODY -->
</html>