<?php
if ( ! defined( "ROOT_PATH" ) ) {
	echo "Hay! Don't cheat, We don't allow to view this file too. . :)";
	exit;
}
if ( ! \Admins\UserInfo::is_allowed( "change_calendar_settings" ) ) {
	include_once( __DIR__ . "/no_access.php" );
}
$title = "Weekly Holidays Settings";
include_once( __DIR__ . "/header.php" ); ?>
<script>
	var ajax_url = "<?php echo Urls::get_url( "ajax", 0, "action=saveInlineSettings" ) ?>";
	var my_id = "1";
</script>

<link rel="stylesheet" type="text/css" href="<?php echo ASSETS_URL ?>plugins/bootstrap-editable/bootstrap-editable/css/bootstrap-editable.css" />
<link rel="stylesheet" type="text/css" href="<?php echo ASSETS_URL ?>plugins/bootstrap-editable/inputs-ext/address/address.css" />

<!-- BEGIN CONTAINER -->
<div class="page-container">
	<!-- BEGIN SIDEBAR -->
	<?php include_once( __DIR__ . "/sidebar.php" ); ?>
	<!-- END SIDEBAR -->

	<!-- BEGIN CONTENT -->
	<div class="page-content-wrapper">
		<div class="page-content">
			<!-- BEGIN SAMPLE PORTLET CONFIGURATION MODAL FORM-->
			<div class="modal fade" id="portlet-config" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
							<h4 class="modal-title">Modal title</h4>
						</div>
						<div class="modal-body">
							Widget settings form goes here
						</div>
						<div class="modal-footer">
							<button type="button" class="btn blue">Save changes</button>
							<button type="button" class="btn default" data-dismiss="modal">Close</button>
						</div>
					</div>
					<!-- /.modal-content -->
				</div>
				<!-- /.modal-dialog -->
			</div>
			<!-- /.modal -->
			<!-- END SAMPLE PORTLET CONFIGURATION MODAL FORM-->

			<!-- BEGIN PAGE HEADER-->
			<div class="row">
				<div class="col-md-12">
					<!-- BEGIN PAGE TITLE & BREADCRUMB-->
					<h3 class="page-title">
						<?php _e("Weekly Holidays Settings") ?>
						<small><?php _e("Manage weekly holidays settings") ?></small>
					</h3>
					<ul class="page-breadcrumb breadcrumb">
						<!--li class="btn-group">
							<button type="button" class="btn blue dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-delay="1000" data-close-others="true">
							<span>
								Actions
							</span>
							<i class="fa fa-angle-down"></i>
							</button>
							<ul class="dropdown-menu pull-right" role="menu">
								<li>
									<a href="#">Action</a>
								</li>
								<li>
									<a href="#">Another action</a>
								</li>
								<li>
									<a href="#">Something else here</a>
								</li>
								<li class="divider">
								</li>
								<li>
									<a href="#">Separated link</a>
								</li>
							</ul>
						</li-->
						<li>
							<i class="fa fa-home"></i>
							<a href="<?php echo DOMAIN_URL ?>"><?php _e("Home") ?></a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<?php _e("Weekly Holidays") ?>
						</li>
					</ul>
					<!-- END PAGE TITLE & BREADCRUMB-->
				</div>
			</div>
			<!-- END PAGE HEADER-->
			<!-- BEGIN PAGE CONTENT-->
			<div class="row">
				<div class="col-md-12">
					<table id="user" class="table table-bordered table-striped">
						<tbody>
						<tr>
							<td>Weekly Fixed Holidays</td>
							<td>
								<a href="#" id="weekly_holidays" data-type="checklist" data-value="<?php echo $db->get_option( "weekly_holidays", "1" ) ?>" data-original-title="Select days"></a>
							</td>
							<td>
							<span class="text-muted">
								Set permanent fixed holidays
							</span>
							</td>
						</tr>
						</tbody>
					</table>
				</div>
			</div>
			<!-- END PAGE CONTENT-->
		</div>
	</div>
	<!-- END CONTENT -->
</div>
<!-- END CONTAINER -->

<?php include_once( __DIR__ . "/footer.php" ); ?>
<script src="<?php echo \Theme::url() ?>js/cal_settings.js"></script>
<script>
	jQuery( document ).ready( function() {
		FormEditable.init();
	} );
	<?php if (isset( $_GET["r"] ) && $_GET["r"] <> "OK"): ?>
	Error( "<?php echo $_GET["r"] ?>" );
	<?php endif; ?>
	<?php if (isset( $_GET["r"] ) && $_GET["r"] == "OK"): ?>
	Success( "Logo updated successfully!" );
	<?php endif; ?>
</script>

</body>
<!-- END BODY -->
</html>