<?php
/* Not in used yet. */

if ( ! defined( "ROOT_PATH" ) ) {
	echo "Hay! Don't cheat, We don't allow to view this file too. . :)";
	exit;
}
if ( empty( $class_id ) ) {
	$class_id = 0;
	$title    = __( "Add new class" ) . " | " . System;
} else {
	$title = __( "Edit class" ) . " | " . System;
}
#show_array($data); die;
include_once( __DIR__ . "/header.php" );
$batch = new BatchClass();
if ( empty( $class_id ) ) {
	$b    = $batch->get_active_batch();
	$data = [
		"id"            => 0,
		"class_name"    => "",
		"active"        => 1,
		"batch_id"      => $b["id"],
		"subjects"      => [],
		"fee"           => 0,
		"fine_id"       => 0,
		"fine_name"     => "-- No Fine --",
		"admission_fee" => "0",
	];
}
$c        = new Classes();
$classes  = $c->get_list( "orderby=name&order=ASC" );
$s        = new Subject;
$subjects = $s->get_list();
$Fine     = new Fine;
$fines    = $Fine->get_fine_slabs();
$Fee      = new Fee;

$Subs = array();
foreach ( $subjects as $subject ) {
	if ( ! in_arrayi( $subject["subject"], $data["subjects"] ) ) {
		$Subs[] = $subject["subject"];
	}
}
$Classes2 = array();
foreach ( $classes as $class ) {
	$Classes2[] = $class["name"];
}
if ( $data["class_name"] <> "" && ! in_array( $data["class_name"], $Classes2 ) ) {
	$Classes2[] = $data["class_name"];
}
?>
<!-- BEGIN CONTAINER -->
<div class="page-container">
	<!-- BEGIN SIDEBAR -->
	<?php include_once( __DIR__ . "/sidebar.php" ); ?>
	<!-- END SIDEBAR -->

	<!-- BEGIN CONTENT -->
	<div class="page-content-wrapper">
		<div class="page-content">
			<div class="row">
				<div class="col-md-12">
					<!-- BEGIN PAGE TITLE & BREADCRUMB-->
					<h3 class="page-title">
						<?php echo $class_id == 0 ? "Add Class <small>Add new class</small>" : "{$data["class_name"]} <small>Edit class details</small>" ?>
					</h3>
					<ul class="page-breadcrumb breadcrumb">
						<!--li class="btn-group">
							<button type="button" class="btn blue dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-delay="1000" data-close-others="true">
							<span>
								Actions
							</span>
							<i class="fa fa-angle-down"></i>
							</button>
							<ul class="dropdown-menu pull-right" role="menu">
								<li>
									<a href="#">Action</a>
								</li>
								<li>
									<a href="#">Another action</a>
								</li>
								<li>
									<a href="#">Something else here</a>
								</li>
								<li class="divider">
								</li>
								<li>
									<a href="#">Separated link</a>
								</li>
							</ul>
						</li-->
						<li>
							<i class="fa fa-home"></i>
							<a href="<?php echo DOMAIN_URL ?>">Home</a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="#">Data</a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="<?php echo Urls::get_url( "batch_classes" ) ?>">Classes in Batch <?php echo $c->get_active_batch_name() ?></a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="javascript:;"><?php echo $class_id == 0 ? "Adding New Class" : $data["class_name"] ?></a>
						</li>
					</ul>
				</div>
			</div>

			<div class="row">
				<div class="col-md-12">
					<div class="portlet box blue tabbable">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-reorder"></i> <?php echo $class_id == 0 ? "Add Class" : "Edit Class" ?>
							</div>
						</div>
						<div class="portlet-body">
							<div class=" portlet-tabs">
								<ul class="nav nav-tabs">
									<li>
										<a href="#portlet_tab2" data-toggle="tab">Fee Slabs</a>
									</li>
									<li class="active">
										<a href="#portlet_tab1" data-toggle="tab">Class Data</a>
									</li>
								</ul>
								<div class="tab-content">
									<div class="tab-pane active" id="portlet_tab1">
										<form class="form-horizontal form-bordered" onsubmit="return Save()" id="form1">
											<input type="hidden" name="id" value="<?php echo $class_id ?>" />
											<input type="hidden" name="batch_id" value="<?php echo $data["batch_id"] ?>" />
											<div class="form-body">
												<div class="form-group">
													<label class="col-md-3 control-label">Batch Name</label>
													<div class="col-md-4">
														<span class="form-control disable"><?php echo $batch->get_batch_name() ?></span>
													</div>
												</div>
												<div class="form-group">
													<label class="col-md-3 control-label"><?php echo __("Select Class") ?></label>
													<div class="col-md-4">
														<select name="class_name" class="form-control select2" id="class_name">
															<?php
															foreach ( $Classes2 as $class ) {
																$S = $class == $data["class_name"] ? "selected" : "";
																echo "<option $S>$class</option>\n";
															}
															?>
														</select>
														<!--input name="class_name2" class="form-control" placeholder="or Type Class name" -->
													</div>
												</div>
												<div class="form-group">
													<label class="col-md-3 control-label">Active Class</label>
													<div class="col-md-4">
														<select class="form-control" name="active">
															<option value="1">Yes</option>
															<option value="0" <?php echo $data["active"] == "0" ? "selected=selected" : "" ?>>No</option>
														</select>
													</div>
												</div>
												<div class="form-group">
													<label class="col-md-3 control-label">Select Subjects</label>
													<div class="col-md-4">
														<select class="form-control select2" name="subjects[]" id="subjects" multiple>
															<?php foreach ( $data["subjects"] as $v ): ?>
																<option selected><?php echo $v ?></option>
															<?php endforeach; ?>
															<?php foreach ( $Subs as $v ): ?>
																<option><?php echo $v ?></option>
															<?php endforeach; ?>
														</select>
														<span class="help-block">If you will not select any subject then subjects will come from main class</span>
													</div>
												</div>
											</div>
										</form>
									</div>
									<div class="tab-pane" id="portlet_tab2">
										<div class="note note-danger">
											<h4 class="block">Caution</h4>
											<p>
												For proper fee generation you need to select correct fee type. Tuition fee will be overridden by individual student fees if mentioned.
											</p>
										</div>
										<form class="form-horizontal form-bordered" onsubmit="return Save()" id="form2">
											<input type="hidden" name="id" value="<?php echo $class_id ?>" />
											<input type="hidden" name="batch_id" value="<?php echo $data["batch_id"] ?>" />
											<div class="form-body">
												<div class="form-group">
													<label class="col-md-3 control-label">Fee of student in this class</label>
													<div class="col-md-4">
														<input id="fee" type="number" step="1" title="Fee in <?php echo App::get_currency_symbol(); ?>" class="spinner-input form-control tooltips" name="fee" value="<?php echo round( $data["fee"], App::get_currency_decimals() ) ?>">
													</div>
												</div>
												<div class="form-group">
													<label class="col-md-3 control-label">Admission Fee</label>
													<div class="col-md-4">
														<input id="admission_fee" type="number" step="1" title="Fee in <?php echo App::get_currency_symbol(); ?>" class="spinner-input form-control tooltips" name="admission_fee" value="<?php echo round( $data["admission_fee"], App::get_currency_decimals() ) ?>">
													</div>
													<div class="col-md-5">
														Test
													</div>
												</div>
												<?php if ( isset( $data["tution_fee"] ) && sizeof( $data["tution_fee"] == 0 ) ): ?>
													<div class="form-group">
														<label class="col-md-3 control-label">Copy Fee Slabs from Class</label>
														<div class="col-md-4">
															<select class="form-control" onchange="CopyFeeSlabs(this)">
																<option value="0">== <?php echo __("Select Class") ?> ==</option>
																<?php $classes = $batch->get_list( "exclude=" . $data["id"] );
																foreach ( $classes as $cl ): ?>
																	<option value="<?php echo $cl["id"] ?>"><?php echo $cl["class_name"] ?></option>
																<?php endforeach; ?>
															</select>
														</div>
													</div>
												<?php endif; ?>
											</div>
											<h3>Fee Slabs</h3>
											<table id="slabtable" class="table table-bordered table-striped">
												<thead>
												<tr>
													<th style="width:10%;">Fee Name</th>
													<th>Type</th>
													<th>Tution Fee Range</th>
													<th>Due Date</th>
													<th>Last Payment Date</th>
													<th>Amount</th>
													<th>Fine</th>
													<th style="width: 50px;text-align:center">
														<button title="Add new Slab" type="button" onclick="AddSchedule()" class="btn green btn-sm tooltips">
															<span class="glyphicon glyphicon-plus"></span></button>
													</th>
												</tr>
												</thead>
												<tbody>
												<?php if ( isset( $data["tution_fee"] ) && is_array( $data["tution_fee"] ) ):
													foreach ( $data["tution_fee"] as $fee ): $num = rand(); ?>

														<?php if ( $fee["payable_done"] == "1" ): ?>
															<tr id="<?php echo $num ?>">
																<td>
																	<span class="form-control input-small"><?php echo $fee["slab_name"]; ?></span>
																</td>
																<td>
																	<span class="form-control input-small"><?php echo $fee["type"] ?></span>
																</td>
																<td>
                                                    <span style="float: left;text-align:center" class="form-control input-small">
                                                        <?php echo $fee["from_date2"] ?>
                                                    </span>
																	<span style="float: left;text-align:center" class="form-control input-small">
                                                     <?php echo $fee["to_date2"] ?>
                                                    </span>
																</td>
																<td>
																	<span class="form-control input-small"><?php echo $fee["due_date2"] ?></span>
																</td>
																<td>
																	<span class="form-control input-small"><?php echo $fee["last_payment2"] ?></span>
																</td>
																<td>
																	<span class="form-control input-small"><?php echo App::set_currency( $fee["fee_amount"] ) ?></span>
																</td>
																<td>
																	<span class="form-control input-small"><?php echo $fee["fine_name"] ?></span>
																</td>
																<td style="text-align: center;">
																	<button title="Remove this slab" type="button" disabled class="btn gray btn-sm tooltips">
																		<span class="glyphicon glyphicon-trash"></span>
																	</button>
																</td>
															</tr>
														<?php else: ?>
															<tr id="<?php echo $num ?>">
																<td>
																	<input class="form-control input-small" name="slab_name[]" value="<?php echo $fee["slab_name"]; ?>" required>
																</td>
																<td>
																	<select class="form-control input-small" name="type[]">
																		<?php foreach ( $Fee->FeeTypes as $key => $val ): ?>
																			<option <?php echo $fee["type"] == $val ? "selected" : ""; ?>><?php echo $val ?></option>
																		<?php endforeach; ?>
																	</select></td>
																<td class="input-group date-picker input-daterange" data-date-format="<?php echo \Dates::date_format1_for_js(); ?>">
                                                    <span style="float: left;">
                                                    <input type="text" data-date-format="<?php echo \Dates::date_format1_for_js() ?>" class="form-control date-picker input-small" name="from_date[]" value="<?php echo $fee["from_date2"] ?>">
                                                    </span>
																	<span style="float: left;">
                                                    <input type="text" data-date-format="<?php echo \Dates::date_format1_for_js() ?>" class="form-control date-picker input-small" name="to_date[]" value="<?php echo $fee["to_date2"] ?>">
                                                    </span>
																</td>
																<td>
																	<input data-date-start-date="+0d" type="text" data-date-format="<?php echo \Dates::date_format1_for_js() ?>" class="form-control date-picker input-small" readonly name="due_date[]" value="<?php echo $fee["due_date2"] ?>">
																</td>
																<td>
																	<input type="text" data-date-format="<?php echo \Dates::date_format1_for_js() ?>" class="form-control date-picker input-small" readonly name="last_payment[]" value="<?php echo $fee["last_payment2"] ?>">
																</td>
																<td>
																	<input type="number" class="form-control input-small" name="fee_amount[]" value="<?php echo round( $fee["fee_amount"], App::get_currency_decimals() ) ?>">
																</td>
																<td>
																	<select class="form-control input-small" name="fine_id[]">
																		<option value="0">-- No Fine --</option>
																		<?php foreach ( $fines as $fine ): ?>
																			<option <?php if ( $fine["id"] == $fee["fine_id"] )
																				echo "selected=selected" ?> value="<?php echo $fine["id"] ?>"><?php echo $fine["name"] ?></option>
																		<?php endforeach; ?>
																	</select></td>
																<td style="text-align: center;">
																	<button title="Remove this slab" type="button" onclick="RemoveSchedule(<?php echo $num ?>)" class="btn red btn-sm tooltips">
																		<span class="glyphicon glyphicon-trash"></span>
																	</button>
																</td>
															</tr>
														<?php endif; ?>
													<?php endforeach; endif; ?>
												</tbody>
											</table>
										</form>
									</div>
								</div>
								<div class="form-actions fluid">
									<div class="col-md-offset-3 col-md-9">
										<button type="button" onclick="Save()" class="btn blue">Save</button>
										<button type="button" class="btn default" onclick="Cancel()">Cancel</button>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<!-- END PAGE CONTENT-->
		</div>
	</div>

	<!-- END CONTENT -->
</div>
<!-- END CONTAINER -->

<?php include_once( __DIR__ . "/footer.php" ); ?>

<script type="text/javascript">
	function Cancel() {
		window.location.href = "<?php echo Urls::get_url( "batch_classes" ) ?>";
	}

	function Save() {
		Block();
		$.post( "<?php echo Urls::get_url( "ajax", 0, "action=saveBatchClass" ) ?>", $( "#form1" ).serialize() + "&" + $( "#form2" ).serialize(), function( data ) {
			if ( data.substr( 0, 2 ) == "OK" ) {
				window.location.href = data.substr( 2 );
			}//window.location.href = "<?php echo Urls::get_url( "batch_classes" ) ?>";
			else {
				UnBlock();
				bootbox.alert( data );
			}
		} );
		return false;
	}

	function AddSchedule() {
		var t = $( "input[name='from_date[]']" );
		if ( t.exists() ) {
			var I = t.length - 1;
			var array = $( "input[name^='from_date']" );
			if ( $( "input[name^='from_date']" ).eq( I ).val() == "" || $( "input[name^='to_date']" ).eq( I ).val() == "" || $( "input[name^='due_date']" ).eq( I ).val() == "" || $( "input[name^='last_payment']" ).eq( I ).val() == "" || $( "input[name^='slab_name']" ).eq( I ).val() == "" ) {
				bootbox.alert( "Please fill previous data before adding new schedule" );
				return false;
			}
		}
		var rr = Math.floor( Math.random() * 99999999 );

		var h = '<tr id="' + rr + '">' +
		        '<td><input class="form-control input-small" name="slab_name[]" required></td>' +
		        '<td><select class="form-control input-small" name="type[]">' +
			<?php foreach($Fee->FeeTypes as $key=>$val): ?>
			    '<option><?php echo $val ?></option>' +
			<?php endforeach; ?>
			    '</select></td>' +
		        /*'<td><span style="float: left;">'+
		         '<input type="text" data-date-format="dd-mm-yyyy" class="form-control date-picker input-small" name="from_date[]" readonly>'+
		         '</span>'+
		         '<span style="float: left;">'+
		         '<input type="text" data-date-format="dd-mm-yyyy" class="form-control date-picker input-small" readonly name="to_date[]">'+
		         '</span></td>'+*/
		        '<td class="input-group date-picker input-daterange" data-date-format="<?php echo \Dates::date_format1_for_js(); ?>">' +
		        '<input type="text" class="form-control input-small" name="from_date[]" readonly="readonly">' +
		        /*'<span class="input-group-addon">'+
		         'to'+
		         '</span>'+*/
		        '<input type="text" class="form-control input-small" name="to_date[]" readonly="readonly">' +
		        '</td>' +
		        '<td><input data-date-start-date2="+0d" type="text" data-date-format="<?php echo \Dates::date_format1_for_js() ?>" class="form-control date-picker input-small" readonly name="due_date[]"></td>' +
		        '<td><input type="text" data-date-format="<?php echo \Dates::date_format1_for_js(); ?>" class="form-control date-picker input-small" readonly name="last_payment[]"></td>' +
		        '<td><input type="number" class="form-control input-small" name="fee_amount[]" value="' + $( "#fee" ).val() + '"></td>' +
		        '<td><select class="form-control input-small" name="fine_id[]"><option value="0">-- No Fine --</option>' +
			<?php foreach($fines as $fine): ?>
			    '<option value="<?php echo $fine["id"] ?>"><?php echo $fine["name"] ?></option>' +
			<?php endforeach; ?>
			    '</select></td>' +
			    '<td style="text-align: center;"><button title="Remove this slab" type="button" onclick="RemoveSchedule(' + rr + ')" class="btn red btn-sm tooltips"><span class="glyphicon glyphicon-trash"></span></button></td>' +
			    '</tr>';

		$( "#slabtable" ).append( h );
		$( '.date-picker' ).datepicker( {
			rtl: App.isRTL(),
			autoclose: true
		} );
		$.scrollTo( "#" + rr, 1000 );
	}

	function RemoveSchedule( id ) {
		$( "#" + id ).remove();
	}

	$( function() {
		<?php if (isset( $_GET["message"] ) && $_GET["message"] == "1"): ?>
		Success( "Class data and fee schedules are saved successfully!" );
		<?php endif; ?>
		$( "#class_name" ).on( "change", function() {
			$.post( "<?php echo Urls::get_url( "ajax", 0, "action=getClassSubjects" ) ?>", { class: $( this ).val() }, function( data ) {
				$( "#subjects" ).select2( "val", '' );
				var selectedItems = $( "#subjects" ).select2( "val" );
				if ( is_json( data ) ) {
					data = jQuery.parseJSON( data );
					$.each( data, function( k, v ) {
						selectedItems.push( v );
						$( "#subjects" ).select2( "val", selectedItems );
					} );
				}
			} );
		} );
	} );

	function CopyFeeSlabs( t ) {
		var id = $( t ).val();
		if ( id == "0" ) {
			return;
		}

		bootbox.confirm( "Are you sure you want to copy all fee slabs from class '" + $( t ).find( ":selected" ).text() + "'", function( result ) {
			if ( result == false ) {
				return;
			}
			Block();
			$.post( '<?php echo Urls::get_url( "ajax", 0, "action=getClassFeeList" ) ?>', { id: id }, function( data ) {
				UnBlock();
				if ( data != "No" ) {
					$( "#slabtable tbody" ).append( data );
					$( '.date-picker' ).datepicker( {
						rtl: App.isRTL(),
						autoclose: true
					} );
				}
			} );
		} );
		$( t ).val( 0 );
	}

	$( function() {
		$( "#form1, #form2" ).areYouSure();
	} );
</script>
</body>
<!-- END BODY -->
</html>