<?php
if ( ! defined( "ROOT_PATH" ) ) {
	echo "Hay! Don't cheat, We don't allow to view this file too. . :)";
	exit;
}
if ( isset( $_GET['download'] ) ) {
	if ( ! \Admins\UserInfo::is_loggedin() ) {
		echo "You'r not logged in!";
		exit;
	}
	$E = new Export();
	$E->students_csv( $_POST );
	exit;
}
$title = __("Export Students Data");
include_once( __DIR__ . "/header.php" ); ?>

<!-- BEGIN CONTAINER -->
<div class="page-container">
	<!-- BEGIN SIDEBAR -->
	<?php include_once( __DIR__ . "/sidebar.php" ); ?>
	<!-- END SIDEBAR -->

	<!-- BEGIN CONTENT -->
	<div class="page-content-wrapper">
		<div class="page-content">
			<!-- BEGIN PAGE HEADER-->
			<div class="row">
				<div class="col-md-12">
					<!-- BEGIN PAGE TITLE & BREADCRUMB-->
					<h3 class="page-title">
						<?php _e("Export Sudent's Data") ?>
						<small><?php _e("Export data") ?></small>
					</h3>
					<ul class="page-breadcrumb breadcrumb">
						<li>
							<i class="fa fa-home"></i>
							<a href="<?php echo DOMAIN_URL ?>"><?php _e("Home") ?></a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="#"><?php _e("Export") ?></a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="<?php echo Urls::get_url( "data_export_students" ) ?>"><?php _e("Students Data") ?></a>
						</li>
					</ul>
					<!-- END PAGE TITLE & BREADCRUMB-->
				</div>
			</div>
			<!-- END PAGE HEADER-->
			<!-- BEGIN PAGE CONTENT-->
			<div class="row">
				<div class="col-md-12">
					<?php if ( ! is_paid_fekara() ) { ?>
						<div class="note note-danger">
							<p><b>Error!</b><br><br><?php _e("Can't export data in free version.") ?></p>
						</div>
					<?php } else { ?>
						<a target="_blank" href="<?php echo Urls::get_url( "data_export_students", 0, "download" ) ?>" class="btn blue"><i class="fa fa-download"></i> <?php _e("Export Students") ?></a>
					<?php } ?>
				</div>
			</div>
			<!-- END PAGE CONTENT-->
		</div>
	</div>
	<!-- END CONTENT -->
</div>

<?php include_once( __DIR__ . "/footer.php" ); ?>

</body>
<!-- END BODY -->
</html>