<?php
if ( ! defined( "ROOT_PATH" ) ) {
	echo "Hay! Don't cheat, We don't allow to view this file too. . :)";
	exit;
}
if ( isset( $_GET['upload_csv'] ) ) {
	if ( isset( $_FILES['csv_file']['error'] ) && $_FILES['csv_file']['error'] == 0 ) {
		$CSV  = new CSV( $_FILES['csv_file']['tmp_name'] );
		$rows = $CSV->toArray();
		//print_r ($rows[0]); die;
		//$csv = new CSV($_FILES['csv_file']['tmp_name']);
		//$rows = $csv->toArray();
		if ( ! is_array( $rows ) ) {
			echo "Invalid CSV data";
			exit;
		}

		if ( count( $rows ) == 0 ) {
			echo "No record found in CSV";
			exit;
		}
		if ( ! isset( $rows[0]['admission_number'] ) ) {
			echo "Column '﻿admission_number' missing in CSV file";
			exit;
		}
		if ( ! isset( $rows[0]['class_id'] ) ) {
			echo "Column 'class_id' missing in CSV file";
			exit;
		}
		if ( ! isset( $rows[0]['roll'] ) ) {
			echo "Column 'roll' missing in CSV file";
			exit;
		}
		if ( ! isset( $rows[0]['fee'] ) ) {
			echo "Column 'fee' missing in CSV file";
			exit;
		}
		if ( ! isset( $rows[0]['admission_date'] ) ) {
			echo "Column 'admission_date' missing in CSV file";
			exit;
		}
		if ( ! isset( $rows[0]['name'] ) ) {
			echo "Column 'name' missing in CSV file";
			exit;
		}
		if ( ! isset( $rows[0]['father_name'] ) ) {
			echo "Column 'father_name' missing in CSV file";
			exit;
		}
		if ( ! isset( $rows[0]['dob'] ) ) {
			echo "Column 'dob' missing in CSV file";
			exit;
		}
		if ( ! isset( $rows[0]['gender'] ) ) {
			echo "Column 'gender' missing in CSV file";
			exit;
		}
		if ( ! isset( $rows[0]['guardian_name'] ) ) {
			echo "Column 'guardian_name' missing in CSV file";
			exit;
		}
		if ( ! isset( $rows[0]['guardian_relation'] ) ) {
			echo "Column 'guardian_relation' missing in CSV file";
			exit;
		}
		if ( ! isset( $rows[0]['guardian_cell'] ) ) {
			$rows[0]['guardian_cell'] = "";
		}
		if ( ! isset( $rows[0]['cell'] ) ) {
			$rows[0]['cell'] = "";
		}

		echo "OK";
		$S = new Student();
		foreach ( $rows as $row ) {
			$r = $S->save( $row );
			if ( substr( $r, 0, 2 ) == "OK" ) {
				$status = "<i class='fa fa-check'></i>";
				$class  = "success";
			} else {
				$status = "<i class='fa fa-times'></i>";
				$class  = "danger";
			}
			echo "<tr class='$class'>
                <td style='width:10px'>$status</td>
                <td>" . $row['admission_number'] . "</td>
                <td>" . $row['class_id'] . "</td>
                <td>" . $row['roll'] . "</td>
                <td>" . $row['fee'] . "</td>
                <td>" . \Dates::my_date( $row['admission_date'] ) . "</td>
                <td>" . $row['name'] . "</td>
                <td>" . $row['father_name'] . "</td>
                <td>" . \Dates::my_date( $row['dob'] ) . "</td>
                <td>" . $row['gender'] . "</td>
                <td>" . $row['guardian_name'] . "</td>
                <td>" . $row['guardian_relation'] . "</td>
                <td>" . $row['guardian_cell'] . "</td>
                <td>" . $row['cell'] . "</td>
                <tr>";
			if ( substr( $r, 0, 2 ) <> "OK" ) {
				echo "<tr><td colspan='13'>$r</td>";
			}
		}
	} else {
		echo "File uploading problem.";
		exit;
	}
	exit;
}
$title = __("Import Students Data");
include_once( __DIR__ . "/header.php" ); ?>

<!-- BEGIN CONTAINER -->
<div class="page-container">
	<!-- BEGIN SIDEBAR -->
	<?php include_once( __DIR__ . "/sidebar.php" ); ?>
	<!-- END SIDEBAR -->

	<!-- BEGIN CONTENT -->
	<div class="page-content-wrapper">
		<div class="page-content">
			<div class="row">
				<div class="col-md-12">
					<!-- BEGIN PAGE TITLE & BREADCRUMB-->
					<h3 class="page-title">
						<?php _e("Export Sudent's Data") ?>
						<small><?php _e("Export data") ?></small>
					</h3>
					<ul class="page-breadcrumb breadcrumb">
						<li>
							<i class="fa fa-home"></i>
							<a href="<?php echo DOMAIN_URL ?>"><?php _e("Home") ?></a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="#"><?php _e("Export") ?></a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="<?php echo Urls::get_url( "data_export_students" ) ?>"><?php _e("Students Data") ?></a>
						</li>
					</ul>
					<!-- END PAGE TITLE & BREADCRUMB-->
				</div>
			</div>
			<!-- END PAGE HEADER-->
			<!-- BEGIN PAGE CONTENT-->
			<div class="row">
				<div class="col-md-12">
					<?php if ( ! is_paid_fekara() ) { ?>
						<div class="note note-danger">
							<p><b>Error!</b><br><br><?php _e("Can't export data in free version.") ?></p>
						</div>
					<?php } else { ?>
						<form role="form" method="post" id="form1">
							<div class="form-body">
								<div class="form-group">
									<label for="exampleInputEmail1"><?php _e("Import CSV File") ?></label>
									<input type="file" class="form-control" id="csv_file" name="csv_file"
									       placeholder="Select CSV file" accept=".csv">
								</div>
								<div class="form-group">
									<button target="_blank" href="<?php echo Urls::get_url( "data_import_students", 0, "download" ) ?>" class="btn blue">
										<i class="fa fa-upload"></i> <?php _e("Import Students") ?>
									</button>
								</div>
							</div>
						</form>

						<table id="table1" class="table table-bordered">
							<thead>
							<tr class="heading">
								<th><?php _e("Status") ?></th>
								<th><?php _e("Adm. Number") ?></th>
								<th><?php _e("Class") ?></th>
								<th><?php _e("Roll") ?></th>
								<th><?php _e("Fee") ?></th>
								<th><?php _e("Adm. Date") ?></th>
								<th><?php _e("Name") ?></th>
								<th><?php _e("Father") ?></th>
								<th><?php _e("DOB") ?></th>
								<th><?php _e("Gender") ?></th>
								<th><?php _e("Guardian") ?></th>
								<th><?php _e("Relation") ?></th>
								<th><?php _e("Guardian Cell") ?></th>
							</tr>
							</thead>
							<tbody></tbody>
						</table>
					<?php } ?>
				</div>
			</div>
			<!-- END PAGE CONTENT-->
		</div>
	</div>
	<!-- END CONTENT -->
</div>
<!-- END CONTAINER -->

<?php include_once( __DIR__ . "/footer.php" ); ?>

<script type="text/javascript">
	$( function() {
		$( document ).on( "submit", "#form1", function() {
			$( "#table1 tbody" ).html( '' );
			var form = document.getElementById( "form1" );
			var formData = new FormData( form );

			Block();
			$.ajax( {
				url: '<?php echo Urls::get_url( 'data_import_students', 0, "upload_csv" ); ?>',
				type: 'POST',
				xhr: function() {
					var myXhr = $.ajaxSettings.xhr();
					return myXhr;
				},
				success: function( data ) {
					UnBlock();
					if ( data.substr( 0, 2 )=="OK" ) {
						$( "#table1 tbody" ).html( data.substr( 2 ) );
					} else {
						Error( data );
					}
				},
				error: function( data ) {
					Error( data );
				},
				data: formData,
				cache: false,
				contentType: false,
				processData: false
			} );
			return false;
		} );
	} );
</script>
</body>
<!-- END BODY -->
</html>