<?php
if ( ! defined( "ROOT_PATH" ) ) {
	echo "Hay! Don't cheat, We don't allow to view this file too. . :)";
	exit;
}
if ( ! \Admins\UserInfo::is_loggedin() ) {
	die( "You'r not authorized to view this page" );
}
$M    = new Messages;
$to   = \Admins\UserInfo::get_my_id();
$page = (int) isset($_GET["page"])?$_GET["page"]:1;
if ( $page < 1 ) {
	$page = 1;
}
$rows  = $M->get_messages( "page=$page" );
$Dates = new Dates();
?>
<table class="table table-striped table-advance table-hover">
	<thead>
	<tr>
		<th colspan="3">
			<input type="checkbox" class="mail-checkbox mail-group-checkbox">
			<div class="btn-group">
				<a class="btn btn-sm blue" href="#" data-toggle="dropdown"> More <i class="fa fa-angle-down"></i>
				</a>
				<ul class="dropdown-menu">
					<li>
						<a href="#"><i class="fa fa-pencil"></i> Mark as Read</a>
					</li>
					<li>
						<a href="#"><i class="fa fa-ban"></i> Spam</a>
					</li>
					<li class="divider">
					</li>
					<li>
						<a href="#"><i class="fa fa-trash"></i> Delete</a>
					</li>
				</ul>
			</div>
		</th>
		<th class="pagination-control" colspan="3">
		<span class="pagination-info">
			 <?php echo $rows["from"] ?>-<?php echo $rows["to"] ?> of <?php echo $rows["total_records"] ?>
		</span>
			<a href="javascript:;" title="New messages" data-id="<?php echo $page - 1 ?>" class="page btn<?php echo $rows["page"] == "1" ? " disabled" : "" ?> btn-sm blue"><i class="fa fa-angle-left"></i></a>
			<a href="javascript:;" data-id="<?php echo $page + 1 ?>" title="Old messages" class="page btn<?php echo $rows["page"] >= $rows["pages"] ? " disabled" : "" ?> btn-sm blue"><i class="fa fa-angle-right"></i></a>
		</th>
	</tr>
	</thead>
	<tbody>
	<?php foreach ( $rows["rows"] as $row ): ?>
		<tr class="<?php echo $row["viewed"] == "0" ? "unread" : ""; ?>" data-id="<?php echo $row["id"] ?>" data-page="<?php echo $rows["page"] ?>">
			<td class="inbox-small-cells">
				<input type="checkbox" class="mail-checkbox">
			</td>
			<td class="inbox-small-cells">
				<i class="fa fa-star"></i>
			</td>
			<td class="view-message hidden-xs">
				<?php echo $row["from_name"] ?>
			</td>
			<td class="view-message ellipsis">
				<?php echo trim( $row["subject"] ) == "" ? "[No subject]" : $row["subject"]; ?>
			</td>
			<td class="view-message inbox-small-cells">
				<i class="fa fa-paper-clip"></i>
			</td>
			<td class="view-message text-right">
				<?php echo $Dates->human_time_difference2( $row["sending_time"] ) ?>
				<?php #echo $row["sending_time"] ?>
			</td>
		</tr>
	<?php endforeach; ?>
	<!--tr class="unread">
		<td class="inbox-small-cells">
			<input type="checkbox" class="mail-checkbox">
		</td>
		<td class="inbox-small-cells">
			<i class="fa fa-star"></i>
		</td>
		<td class="view-message hidden-xs">
			 Daniel Wong
		</td>
		<td class="view-message">
			 Please help us on customization of new secure server
		</td>
		<td class="view-message inbox-small-cells">
		</td>
		<td class="view-message text-right">
			 March 15
		</td>
	</tr>
	<tr>
		<td class="inbox-small-cells">
			<input type="checkbox" class="mail-checkbox">
		</td>
		<td class="inbox-small-cells">
			<i class="fa fa-star"></i>
		</td>
		<td class="view-message hidden-xs">
			 John Doe
		</td>
		<td class="view-message">
			 Lorem ipsum dolor sit amet
		</td>
		<td class="view-message inbox-small-cells">
		</td>
		<td class="view-message text-right">
			 March 15
		</td>
	</tr>
	<tr>
		<td class="inbox-small-cells">
			<input type="checkbox" class="mail-checkbox">
		</td>
		<td class="inbox-small-cells">
			<i class="fa fa-star"></i>
		</td>
		<td class="view-message hidden-xs">
			 Facebook
		</td>
		<td class="view-message">
			 Dolor sit amet, consectetuer adipiscing
		</td>
		<td class="view-message inbox-small-cells">
		</td>
		<td class="view-message text-right">
			 March 14
		</td>
	</tr>
	<tr>
		<td class="inbox-small-cells">
			<input type="checkbox" class="mail-checkbox">
		</td>
		<td class="inbox-small-cells">
			<i class="fa fa-star inbox-started"></i>
		</td>
		<td class="view-message hidden-xs">
			 John Doe
		</td>
		<td class="view-message">
			 Lorem ipsum dolor sit amet
		</td>
		<td class="view-message inbox-small-cells">
		</td>
		<td class="view-message text-right">
			 March 15
		</td>
	</tr>
	<tr>
		<td class="inbox-small-cells">
			<input type="checkbox" class="mail-checkbox">
		</td>
		<td class="inbox-small-cells">
			<i class="fa fa-star inbox-started"></i>
		</td>
		<td class="view-message hidden-xs">
			 Facebook
		</td>
		<td class="view-message">
			 Dolor sit amet, consectetuer adipiscing
		</td>
		<td class="view-message inbox-small-cells">
			<i class="fa fa-paper-clip"></i>
		</td>
		<td class="view-message text-right">
			 March 14
		</td>
	</tr>
	<tr>
		<td class="inbox-small-cells">
			<input type="checkbox" class="mail-checkbox">
		</td>
		<td class="inbox-small-cells">
			<i class="fa fa-star inbox-started"></i>
		</td>
		<td class="view-message hidden-xs">
			 John Doe
		</td>
		<td class="view-message">
			 Lorem ipsum dolor sit amet
		</td>
		<td class="view-message inbox-small-cells">
			<i class="fa fa-paper-clip"></i>
		</td>
		<td class="view-message text-right">
			 March 15
		</td>
	</tr>
	<tr>
		<td class="inbox-small-cells">
			<input type="checkbox" class="mail-checkbox">
		</td>
		<td class="inbox-small-cells">
			<i class="fa fa-star"></i>
		</td>
		<td class="view-message hidden-xs">
			 Facebook
		</td>
		<td class="view-message view-message">
			 Dolor sit amet, consectetuer adipiscing
		</td>
		<td class="view-message inbox-small-cells">
		</td>
		<td class="view-message text-right">
			 March 14
		</td>
	</tr>
	<tr>
		<td class="inbox-small-cells">
			<input type="checkbox" class="mail-checkbox">
		</td>
		<td class="inbox-small-cells">
			<i class="fa fa-star"></i>
		</td>
		<td class="view-message hidden-xs">
			 John Doe
		</td>
		<td class="view-message view-message">
			 Lorem ipsum dolor sit amet
		</td>
		<td class="view-message inbox-small-cells">
		</td>
		<td class="view-message text-right">
			 March 15
		</td>
	</tr>
	<tr>
		<td class="inbox-small-cells">
			<input type="checkbox" class="mail-checkbox">
		</td>
		<td class="inbox-small-cells">
			<i class="fa fa-star"></i>
		</td>
		<td class="view-message hidden-xs">
			 Facebook
		</td>
		<td class="view-message view-message">
			 Dolor sit amet, consectetuer adipiscing
		</td>
		<td class="view-message inbox-small-cells">
		</td>
		<td class="view-message text-right">
			 March 14
		</td>
	</tr>
	<tr>
		<td class="inbox-small-cells">
			<input type="checkbox" class="mail-checkbox">
		</td>
		<td class="inbox-small-cells">
			<i class="fa fa-star inbox-started"></i>
		</td>
		<td class="view-message hidden-xs">
			 John Doe
		</td>
		<td class="view-message">
			 Lorem ipsum dolor sit amet
		</td>
		<td class="view-message inbox-small-cells">
		</td>
		<td class="view-message text-right">
			 March 15
		</td>
	</tr>
	<tr>
		<td class="inbox-small-cells">
			<input type="checkbox" class="mail-checkbox">
		</td>
		<td class="inbox-small-cells">
			<i class="fa fa-star inbox-started"></i>
		</td>
		<td class="hidden-xs">
			 Facebook
		</td>
		<td class="view-message">
			 Dolor sit amet, consectetuer adipiscing
		</td>
		<td class="view-message inbox-small-cells">
			<i class="fa fa-paper-clip"></i>
		</td>
		<td class="view-message text-right">
			 March 14
		</td>
	</tr>
	<tr>
		<td class="inbox-small-cells">
			<input type="checkbox" class="mail-checkbox">
		</td>
		<td class="inbox-small-cells">
			<i class="fa fa-star"></i>
		</td>
		<td class="view-message hidden-xs">
			 John Doe
		</td>
		<td class="view-message">
			 Lorem ipsum dolor sit amet
		</td>
		<td class="view-message inbox-small-cells">
			<i class="fa fa-paper-clip"></i>
		</td>
		<td class="view-message text-right">
			 March 15
		</td>
	</tr>
	<tr>
		<td class="inbox-small-cells">
			<input type="checkbox" class="mail-checkbox">
		</td>
		<td class="inbox-small-cells">
			<i class="fa fa-star"></i>
		</td>
		<td class="hidden-xs">
			 Facebook
		</td>
		<td class="view-message view-message">
			 Dolor sit amet, consectetuer adipiscing
		</td>
		<td class="view-message inbox-small-cells">
		</td>
		<td class="view-message text-right">
			 March 14
		</td>
	</tr>
	<tr>
		<td class="inbox-small-cells">
			<input type="checkbox" class="mail-checkbox">
		</td>
		<td class="inbox-small-cells">
			<i class="fa fa-star"></i>
		</td>
		<td class="view-message hidden-xs">
			 John Doe
		</td>
		<td class="view-message">
			 Lorem ipsum dolor sit amet
		</td>
		<td class="view-message inbox-small-cells">
		</td>
		<td class="view-message text-right">
			 March 15
		</td>
	</tr>
	<tr>
		<td class="inbox-small-cells">
			<input type="checkbox" class="mail-checkbox">
		</td>
		<td class="inbox-small-cells">
			<i class="fa fa-star"></i>
		</td>
		<td class="view-message hidden-xs">
			 Facebook
		</td>
		<td class="view-message">
			 Dolor sit amet, consectetuer adipiscing
		</td>
		<td class="view-message inbox-small-cells">
		</td>
		<td class="view-message text-right">
			 March 14
		</td>
	</tr>
	<tr>
		<td class="inbox-small-cells">
			<input type="checkbox" class="mail-checkbox">
		</td>
		<td class="inbox-small-cells">
			<i class="fa fa-star inbox-started"></i>
		</td>
		<td class="view-message hidden-xs">
			 John Doe
		</td>
		<td class="view-message">
			 Lorem ipsum dolor sit amet
		</td>
		<td class="view-message inbox-small-cells">
		</td>
		<td class="view-message text-right">
			 March 15
		</td>
	</tr>
	<tr>
		<td class="inbox-small-cells">
			<input type="checkbox" class="mail-checkbox">
		</td>
		<td class="inbox-small-cells">
			<i class="fa fa-star"></i>
		</td>
		<td class="view-message hidden-xs">
			 Facebook
		</td>
		<td class="view-message view-message">
			 Dolor sit amet, consectetuer adipiscing
		</td>
		<td class="view-message inbox-small-cells">
			<i class="fa fa-paper-clip"></i>
		</td>
		<td class="view-message text-right">
			 March 14
		</td>
	</tr>
	<tr>
		<td class="inbox-small-cells">
			<input type="checkbox" class="mail-checkbox">
		</td>
		<td class="inbox-small-cells">
			<i class="fa fa-star"></i>
		</td>
		<td class="view-message hidden-xs">
			 John Doe
		</td>
		<td class="view-message">
			 Lorem ipsum dolor sit amet
		</td>
		<td class="view-message inbox-small-cells">
			<i class="fa fa-paper-clip"></i>
		</td>
		<td class="view-message text-right">
			 March 15
		</td>
	</tr-->
	</tbody>
</table>