<?php
if ( ! defined( "ROOT_PATH" ) ) {
	echo "Hay! Don't cheat, We don't allow to view this file too. . :)";
	exit;
}
if ( ! \Admins\UserInfo::is_loggedin() ) {
	\Urls::redirect( "login.php?goto=" . rawurlencode( \Urls::this_url() ) );
}
$_file  = basename( $_SERVER["PHP_SELF"] );
$_admin = new Admins;
//manifest="ROOT_URL.cache.manifest"
if ( is_fekara_server() ) {
	$manifest = "login2.appcache";
} else {
	$manifest = "login.appcache";
}

## Removing extra folders.
include_once( ROOT_PATH . "includes" . DIRECTORY_SEPARATOR . "remove_extra_folders.php" );
?>
<html>
<!--[if IE 8]>
<html lang="en" class="ie8 no-js"> <![endif]-->
<!--[if IE 9]>
<html lang="en" class="ie9 no-js"> <![endif]-->
<!--[if !IE]><!-->
<html lang="en" class="no-js">
<!--<![endif]-->
<head>
	<meta charset="utf-8" />
	<title><?php echo System ?></title>
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta content="width=device-width, initial-scale=1.0" name="viewport">
	<meta content="" name="description">
	<meta content="" name="author">
	<meta name="MobileOptimized" content="320">

	<?php load_css_files() ?>

	<link rel="shortcut icon" href="<?php echo DOMAIN_URL ?>favicon.ico">
</head>
<body class="page-header-fixed <?php echo $Trans->is_rtl() ? "page-sidebar-reversed rtl" : "" ?>" lang="<?php echo $Trans->get_language() ?>">

<?php include( __DIR__ . "/top_navigation.php" ); ?>
<div class="clearfix">
</div>
<div class="page-container" dir="<?php echo $Trans->is_rtl() ? "rtl" : "" ?>">
	<?php include_once( __DIR__ . "/sidebar.php" ); ?>
	<div class="page-content-wrapper">
		<div class="page-content">
			<!--div class="modal fade" id="portlet-config" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
							<h4 class="modal-title">Modal title</h4>
						</div>
						<div class="modal-body">
							 Widget settings form goes here
						</div>
						<div class="modal-footer">
							<button type="button" class="btn blue">Save changes</button>
							<button type="button" class="btn default" data-dismiss="modal">Close</button>
						</div>
					</div>
				</div>
			</div-->

			<!--
            <div class="theme-panel hidden-xs hidden-sm">
				<div class="toggler">
				</div>
				<div class="toggler-close">
				</div>
				<div class="theme-options">
					<div class="theme-option theme-colors clearfix">
						<span>
							THEME COLOR
						</span>
						<ul>
							<li class="color-black current color-default" data-style="default">
							</li>
							<li class="color-blue" data-style="blue">
							</li>
							<li class="color-brown" data-style="brown">
							</li>
							<li class="color-purple" data-style="purple">
							</li>
							<li class="color-grey" data-style="grey">
							</li>
							<li class="color-white color-light" data-style="light">
							</li>
						</ul>
					</div>
					<div class="theme-option">
						<span>
							Layout
						</span>
						<select class="layout-option form-control input-small">
							<option value="fluid" selected="selected">Fluid</option>
							<option value="boxed">Boxed</option>
						</select>
					</div>
					<div class="theme-option">
						<span>
							Header
						</span>
						<select class="header-option form-control input-small">
							<option value="fixed" selected="selected">Fixed</option>
							<option value="default">Default</option>
						</select>
					</div>
					<div class="theme-option">
						<span>
							Sidebar
						</span>
						<select class="sidebar-option form-control input-small">
							<option value="fixed">Fixed</option>
							<option value="default" selected="selected">Default</option>
						</select>
					</div>
					<div class="theme-option">
						<span>
							Sidebar Position
						</span>
						<select class="sidebar-pos-option form-control input-small">
							<option value="left" selected="selected">Left</option>
							<option value="right">Right</option>
						</select>
					</div>
					<div class="theme-option">
						<span>
							Footer
						</span>
						<select class="footer-option form-control input-small">
							<option value="fixed">Fixed</option>
							<option value="default" selected="selected">Default</option>
						</select>
					</div>
				</div>
			</div>
            -->
			<!-- END STYLE CUSTOMIZER -->
			<!-- BEGIN PAGE HEADER-->
			<div class="row">
				<div class="col-md-12">
					<!-- BEGIN PAGE TITLE & BREADCRUMB-->
					<h3 class="page-title">
						<?php _e( "Dashboard" ) ?>
						<small><?php _e( "statistics and more" ) ?></small>
					</h3>
					<ul class="page-breadcrumb breadcrumb">
						<li>
							<i class="fa fa-home"></i>
							<a href="<?php echo DOMAIN_URL ?>"><?php _e( "Home" ) ?></a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="<?php echo DOMAIN_URL ?>"><?php _e( "Dashboard" ) ?></a>
						</li>
						<!--li class="pull-right">
							<div id="dashboard-report-range" class="dashboard-date-range tooltips" data-placement="top" data-original-title="Change dashboard date range">
								<i class="fa fa-calendar"></i>
								<span>
								</span>
								<i class="fa fa-angle-down"></i>
							</div>
						</li-->
					</ul>
					<!-- END PAGE TITLE & BREADCRUMB-->
				</div>
			</div>
			<!-- END PAGE HEADER-->
			<?php if ( \Admins::is_super_admin_static() ) { ?>
				<!-- BEGIN DASHBOARD STATS -->
				<div class="row">
					<div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
						<div class="dashboard-stat blue">
							<div class="visual">
								<i class="fa fa-graduation-cap"></i>
							</div>
							<div class="details">
								<div class="number">
									<?php echo number_format( $Student->count_students(), 0 ); ?>
								</div>
								<div class="desc">
									<?php _e( 'Students Counter' ) ?>
								</div>
							</div>
							<a class="more" href="<?php echo Urls::get_url( "students" ) ?>">
								<?php _e( "View more" ) ?> <i class="m-icon-swapright m-icon-white"></i>
							</a>
						</div>
					</div>
					<div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
						<div class="dashboard-stat green">
							<div class="visual">
								<i class="fa fa-line-chart"></i>
							</div>
							<div class="details">
								<div class="number" style="font-size: 25px;">
									<?php
									$Q   = "SELECT SUM(`amount`) FROM `account_transactions` WHERE `daily_expense`=0 AND MONTH(`date`)=MONTH(CURRENT_DATE()) AND YEAR(`date`)=YEAR(CURRENT_DATE())";
									$rev = $db->get_var( $Q );
									echo \App::set_currency( $rev ); ?>
								</div>
								<div class="desc">
									<?php _e( "Revenue" ) ?>
								</div>
							</div>
							<a class="more">
								<?php echo __(date( "F" )).' '.date('Y') ?>
							</a>
						</div>
					</div>
					<div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
						<div class="dashboard-stat yellow">
							<div class="visual">
								<i class="fa fa-pie-chart"></i>
							</div>
							<div class="details">
								<div class="number" style="font-size: 25px;">
									<?php
									$Q   = "SELECT SUM(`amount_out`) FROM `account_transactions` WHERE `daily_expense`=1 AND MONTH(`date`)=MONTH(CURRENT_DATE()) AND YEAR(`date`)=YEAR(CURRENT_DATE())";
									$exp = $db->get_var( $Q );
									echo App::set_currency( $exp ); ?>
								</div>
								<div class="desc">
									<?php _e( 'Expenses' ) ?>
								</div>
							</div>
							<a class="more">
								<?php echo __(date( "F" )).' '.date('Y') ?>
							</a>
						</div>
					</div>
					<div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
						<div class="dashboard-stat purple">
							<div class="visual">
								<i class="fa fa-thumbs-o-up"></i>
							</div>
							<div class="details">
								<div class="number" style="font-size: 25px;">
									<?php
									echo App::set_currency( $rev - $exp );
									?>
								</div>
								<div class="desc">
									<?php _e( 'Profit' ) ?>
								</div>
							</div>
							<a class="more">
								<?php echo __(date( "F" )).' '.date('Y') ?>
							</a>
						</div>
					</div>
				</div>
				<!-- END DASHBOARD STATS -->
			<?php } ?>
			<div class="clearfix">
			</div>
			<div class="row">
				<div class="col-md-12 col-sm-6">
					<!-- BEGIN PORTLET-->
					<?php if ( \Admins\UserInfo::is_administrator() ) { ?>
						<div class="portlet solid bordered light-grey">
							<div class="portlet-title">
								<div class="caption">
									<i class="fa fa-bar-chart-o"></i><?php _e( "Income/Expense" ) ?>
								</div>
								<!--div class="tools">
									<div class="btn-group" data-toggle="buttons">
										<label class="btn default btn-sm active">
										<input type="radio" name="options" class="toggle" id="option1">Users </label>
										<label class="btn default btn-sm">
										<input type="radio" name="options" class="toggle" id="option2">Feedbacks </label>
									</div>
								</div-->
							</div>
							<div class="portlet-body">
								<div id="site_statistics_loading">
									<img src="<?php echo ASSETS_URL ?>img/loading.gif" alt="loading" />
								</div>
								<div id="site_statistics_content" class="display-none">
									<div id="site_statistics" class="chart">
									</div>
								</div>
							</div>
						</div>
					<?php } ?>
					<!-- END PORTLET-->
				</div>
			</div>
			<div class="clearfix">
			</div>

			<?php #include_once "index2.php" ?>
			<?php /* ?>
			<div class="row">
				<div class="col-md-6 col-sm-6">
					<div class="portlet box blue">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-bell-o"></i>Recent Activities
							</div>
							<div class="actions">
								<div class="btn-group">
									<a class="btn btn-sm default" href="#" data-toggle="dropdown" data-hover="dropdown" data-close-others="true">
									Filter By <i class="fa fa-angle-down"></i>
									</a>
									<div class="dropdown-menu hold-on-click dropdown-checkboxes pull-right">
										<label><input type="checkbox"/> Finance</label>
										<label><input type="checkbox" checked=""/> Membership</label>
										<label><input type="checkbox"/> Customer Support</label>
										<label><input type="checkbox" checked=""/> HR</label>
										<label><input type="checkbox"/> System</label>
									</div>
								</div>
							</div>
						</div>
						<div class="portlet-body">
							<div class="scroller" style="height: 300px;" data-always-visible="1" data-rail-visible="0">
								<ul class="feeds">
									<li>
										<div class="col1">
											<div class="cont">
												<div class="cont-col1">
													<div class="label label-sm label-info">
														<i class="fa fa-check"></i>
													</div>
												</div>
												<div class="cont-col2">
													<div class="desc">
														 You have 4 pending tasks.
														<span class="label label-sm label-warning ">
															 Take action <i class="fa fa-share"></i>
														</span>
													</div>
												</div>
											</div>
										</div>
										<div class="col2">
											<div class="date">
												 Just now
											</div>
										</div>
									</li>
									<li>
										<a href="#">
										<div class="col1">
											<div class="cont">
												<div class="cont-col1">
													<div class="label label-sm label-success">
														<i class="fa fa-bar-chart-o"></i>
													</div>
												</div>
												<div class="cont-col2">
													<div class="desc">
														 Finance Report for year 2013 has been released.
													</div>
												</div>
											</div>
										</div>
										<div class="col2">
											<div class="date">
												 20 mins
											</div>
										</div>
										</a>
									</li>
									<li>
										<div class="col1">
											<div class="cont">
												<div class="cont-col1">
													<div class="label label-sm label-danger">
														<i class="fa fa-user"></i>
													</div>
												</div>
												<div class="cont-col2">
													<div class="desc">
														 You have 5 pending membership that requires a quick review.
													</div>
												</div>
											</div>
										</div>
										<div class="col2">
											<div class="date">
												 24 mins
											</div>
										</div>
									</li>
									<li>
										<div class="col1">
											<div class="cont">
												<div class="cont-col1">
													<div class="label label-sm label-info">
														<i class="fa fa-shopping-cart"></i>
													</div>
												</div>
												<div class="cont-col2">
													<div class="desc">
														 New order received with
														<span class="label label-sm label-success">
															Reference Number: DR23923
														</span>
													</div>
												</div>
											</div>
										</div>
										<div class="col2">
											<div class="date">
												 30 mins
											</div>
										</div>
									</li>
									<li>
										<div class="col1">
											<div class="cont">
												<div class="cont-col1">
													<div class="label label-sm label-success">
														<i class="fa fa-user"></i>
													</div>
												</div>
												<div class="cont-col2">
													<div class="desc">
														 You have 5 pending membership that requires a quick review.
													</div>
												</div>
											</div>
										</div>
										<div class="col2">
											<div class="date">
												 24 mins
											</div>
										</div>
									</li>
									<li>
										<div class="col1">
											<div class="cont">
												<div class="cont-col1">
													<div class="label label-sm label-default">
														<i class="fa fa-bell-o"></i>
													</div>
												</div>
												<div class="cont-col2">
													<div class="desc">
														 Web server hardware needs to be upgraded.
														<span class="label label-sm label-default ">
															Overdue
														</span>
													</div>
												</div>
											</div>
										</div>
										<div class="col2">
											<div class="date">
												 2 hours
											</div>
										</div>
									</li>
									<li>
										<a href="#">
										<div class="col1">
											<div class="cont">
												<div class="cont-col1">
													<div class="label label-sm label-default">
														<i class="fa fa-briefcase"></i>
													</div>
												</div>
												<div class="cont-col2">
													<div class="desc">
														 IPO Report for year 2013 has been released.
													</div>
												</div>
											</div>
										</div>
										<div class="col2">
											<div class="date">
												 20 mins
											</div>
										</div>
										</a>
									</li>
									<li>
										<div class="col1">
											<div class="cont">
												<div class="cont-col1">
													<div class="label label-sm label-info">
														<i class="fa fa-check"></i>
													</div>
												</div>
												<div class="cont-col2">
													<div class="desc">
														 You have 4 pending tasks.
														<span class="label label-sm label-warning ">
															 Take action <i class="fa fa-share"></i>
														</span>
													</div>
												</div>
											</div>
										</div>
										<div class="col2">
											<div class="date">
												 Just now
											</div>
										</div>
									</li>
									<li>
										<a href="#">
										<div class="col1">
											<div class="cont">
												<div class="cont-col1">
													<div class="label label-sm label-danger">
														<i class="fa fa-bar-chart-o"></i>
													</div>
												</div>
												<div class="cont-col2">
													<div class="desc">
														 Finance Report for year 2013 has been released.
													</div>
												</div>
											</div>
										</div>
										<div class="col2">
											<div class="date">
												 20 mins
											</div>
										</div>
										</a>
									</li>
									<li>
										<div class="col1">
											<div class="cont">
												<div class="cont-col1">
													<div class="label label-sm label-default">
														<i class="fa fa-user"></i>
													</div>
												</div>
												<div class="cont-col2">
													<div class="desc">
														 You have 5 pending membership that requires a quick review.
													</div>
												</div>
											</div>
										</div>
										<div class="col2">
											<div class="date">
												 24 mins
											</div>
										</div>
									</li>
									<li>
										<div class="col1">
											<div class="cont">
												<div class="cont-col1">
													<div class="label label-sm label-info">
														<i class="fa fa-shopping-cart"></i>
													</div>
												</div>
												<div class="cont-col2">
													<div class="desc">
														 New order received with
														<span class="label label-sm label-success">
															Reference Number: DR23923
														</span>
													</div>
												</div>
											</div>
										</div>
										<div class="col2">
											<div class="date">
												 30 mins
											</div>
										</div>
									</li>
									<li>
										<div class="col1">
											<div class="cont">
												<div class="cont-col1">
													<div class="label label-sm label-success">
														<i class="fa fa-user"></i>
													</div>
												</div>
												<div class="cont-col2">
													<div class="desc">
														 You have 5 pending membership that requires a quick review.
													</div>
												</div>
											</div>
										</div>
										<div class="col2">
											<div class="date">
												 24 mins
											</div>
										</div>
									</li>
									<li>
										<div class="col1">
											<div class="cont">
												<div class="cont-col1">
													<div class="label label-sm label-warning">
														<i class="fa fa-bell-o"></i>
													</div>
												</div>
												<div class="cont-col2">
													<div class="desc">
														 Web server hardware needs to be upgraded.
														<span class="label label-sm label-default ">
															Overdue
														</span>
													</div>
												</div>
											</div>
										</div>
										<div class="col2">
											<div class="date">
												 2 hours
											</div>
										</div>
									</li>
									<li>
										<a href="#">
										<div class="col1">
											<div class="cont">
												<div class="cont-col1">
													<div class="label label-sm label-info">
														<i class="fa fa-briefcase"></i>
													</div>
												</div>
												<div class="cont-col2">
													<div class="desc">
														 IPO Report for year 2013 has been released.
													</div>
												</div>
											</div>
										</div>
										<div class="col2">
											<div class="date">
												 20 mins
											</div>
										</div>
										</a>
									</li>
								</ul>
							</div>
							<div class="scroller-footer">
								<div class="pull-right">
									<a href="#">See All Records <i class="m-icon-swapright m-icon-gray"></i></a> &nbsp;
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="col-md-6 col-sm-6">
					<div class="portlet box green tasks-widget">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-check"></i>Tasks
							</div>
							<div class="tools">
								<a href="#portlet-config" data-toggle="modal" class="config"></a>
								<a href="" class="reload"></a>
							</div>
							<div class="actions">
								<div class="btn-group">
									<a class="btn default btn-xs" href="#" data-toggle="dropdown" data-hover="dropdown" data-close-others="true">
									More <i class="fa fa-angle-down"></i>
									</a>
									<ul class="dropdown-menu pull-right">
										<li>
											<a href="#"><i class="i"></i> All Project</a>
										</li>
										<li class="divider">
										</li>
										<li>
											<a href="#">AirAsia</a>
										</li>
										<li>
											<a href="#">Cruise</a>
										</li>
										<li>
											<a href="#">HSBC</a>
										</li>
										<li class="divider">
										</li>
										<li>
											<a href="#">Pending
											<span class="badge badge-important">
												4
											</span>
											</a>
										</li>
										<li>
											<a href="#">Completed
											<span class="badge badge-success">
												12
											</span>
											</a>
										</li>
										<li>
											<a href="#">Overdue
											<span class="badge badge-warning">
												9
											</span>
											</a>
										</li>
									</ul>
								</div>
							</div>
						</div>
						<div class="portlet-body">
							<div class="task-content">
								<div class="scroller" style="height: 305px;" data-always-visible="1" data-rail-visible1="1">
									<!-- START TASK LIST -->
									<ul class="task-list">
										<li>
											<div class="task-checkbox">
												<input type="checkbox" class="liChild" value=""/>
											</div>
											<div class="task-title">
												<span class="task-title-sp">
													Present 2013 Year IPO Statistics at Board Meeting
												</span>
												<span class="label label-sm label-success">
													Company
												</span>
												<span class="task-bell">
													<i class="fa fa-bell-o"></i>
												</span>
											</div>
											<div class="task-config">
												<div class="task-config-btn btn-group">
													<a class="btn btn-xs default" href="#" data-toggle="dropdown" data-hover="dropdown" data-close-others="true">
													<i class="fa fa-cog"></i><i class="fa fa-angle-down"></i></a>
													<ul class="dropdown-menu pull-right">
														<li>
															<a href="#"><i class="fa fa-check"></i> Complete</a>
														</li>
														<li>
															<a href="#"><i class="fa fa-pencil"></i> Edit</a>
														</li>
														<li>
															<a href="#"><i class="fa fa-trash-o"></i> Cancel</a>
														</li>
													</ul>
												</div>
											</div>
										</li>
										<li>
											<div class="task-checkbox">
												<input type="checkbox" class="liChild" value=""/>
											</div>
											<div class="task-title">
												<span class="task-title-sp">
													Hold An Interview for Marketing Manager Position
												</span>
												<span class="label label-sm label-danger">
													Marketing
												</span>
											</div>
											<div class="task-config">
												<div class="task-config-btn btn-group">
													<a class="btn btn-xs default" href="#" data-toggle="dropdown" data-hover="dropdown" data-close-others="true">
													<i class="fa fa-cog"></i><i class="fa fa-angle-down"></i></a>
													<ul class="dropdown-menu pull-right">
														<li>
															<a href="#"><i class="fa fa-check"></i> Complete</a>
														</li>
														<li>
															<a href="#"><i class="fa fa-pencil"></i> Edit</a>
														</li>
														<li>
															<a href="#"><i class="fa fa-trash-o"></i> Cancel</a>
														</li>
													</ul>
												</div>
											</div>
										</li>
										<li>
											<div class="task-checkbox">
												<input type="checkbox" class="liChild" value=""/>
											</div>
											<div class="task-title">
												<span class="task-title-sp">
													AirAsia Intranet System Project Internal Meeting
												</span>
												<span class="label label-sm label-success">
													AirAsia
												</span>
												<span class="task-bell">
													<i class="fa fa-bell-o"></i>
												</span>
											</div>
											<div class="task-config">
												<div class="task-config-btn btn-group">
													<a class="btn btn-xs default" href="#" data-toggle="dropdown" data-hover="dropdown" data-close-others="true">
													<i class="fa fa-cog"></i><i class="fa fa-angle-down"></i></a>
													<ul class="dropdown-menu pull-right">
														<li>
															<a href="#"><i class="fa fa-check"></i> Complete</a>
														</li>
														<li>
															<a href="#"><i class="fa fa-pencil"></i> Edit</a>
														</li>
														<li>
															<a href="#"><i class="fa fa-trash-o"></i> Cancel</a>
														</li>
													</ul>
												</div>
											</div>
										</li>
										<li>
											<div class="task-checkbox">
												<input type="checkbox" class="liChild" value=""/>
											</div>
											<div class="task-title">
												<span class="task-title-sp">
													Technical Management Meeting
												</span>
												<span class="label label-sm label-warning">
													Company
												</span>
											</div>
											<div class="task-config">
												<div class="task-config-btn btn-group">
													<a class="btn btn-xs default" href="#" data-toggle="dropdown" data-hover="dropdown" data-close-others="true"><i class="fa fa-cog"></i><i class="fa fa-angle-down"></i></a>
													<ul class="dropdown-menu pull-right">
														<li>
															<a href="#"><i class="fa fa-check"></i> Complete</a>
														</li>
														<li>
															<a href="#"><i class="fa fa-pencil"></i> Edit</a>
														</li>
														<li>
															<a href="#"><i class="fa fa-trash-o"></i> Cancel</a>
														</li>
													</ul>
												</div>
											</div>
										</li>
										<li>
											<div class="task-checkbox">
												<input type="checkbox" class="liChild" value=""/>
											</div>
											<div class="task-title">
												<span class="task-title-sp">
													Kick-off Company CRM Mobile App Development
												</span>
												<span class="label label-sm label-info">
													Internal Products
												</span>
											</div>
											<div class="task-config">
												<div class="task-config-btn btn-group">
													<a class="btn btn-xs default" href="#" data-toggle="dropdown" data-hover="dropdown" data-close-others="true"><i class="fa fa-cog"></i><i class="fa fa-angle-down"></i></a>
													<ul class="dropdown-menu pull-right">
														<li>
															<a href="#"><i class="fa fa-check"></i> Complete</a>
														</li>
														<li>
															<a href="#"><i class="fa fa-pencil"></i> Edit</a>
														</li>
														<li>
															<a href="#"><i class="fa fa-trash-o"></i> Cancel</a>
														</li>
													</ul>
												</div>
											</div>
										</li>
										<li>
											<div class="task-checkbox">
												<input type="checkbox" class="liChild" value=""/>
											</div>
											<div class="task-title">
												<span class="task-title-sp">
													 Prepare Commercial Offer For SmartVision Website Rewamp
												</span>
												<span class="label label-sm label-danger">
													SmartVision
												</span>
											</div>
											<div class="task-config">
												<div class="task-config-btn btn-group">
													<a class="btn btn-xs default" href="#" data-toggle="dropdown" data-hover="dropdown" data-close-others="true"><i class="fa fa-cog"></i><i class="fa fa-angle-down"></i></a>
													<ul class="dropdown-menu pull-right">
														<li>
															<a href="#"><i class="fa fa-check"></i> Complete</a>
														</li>
														<li>
															<a href="#"><i class="fa fa-pencil"></i> Edit</a>
														</li>
														<li>
															<a href="#"><i class="fa fa-trash-o"></i> Cancel</a>
														</li>
													</ul>
												</div>
											</div>
										</li>
										<li>
											<div class="task-checkbox">
												<input type="checkbox" class="liChild" value=""/>
											</div>
											<div class="task-title">
												<span class="task-title-sp">
													Sign-Off The Comercial Agreement With AutoSmart
												</span>
												<span class="label label-sm label-default">
													AutoSmart
												</span>
												<span class="task-bell">
													<i class="fa fa-bell-o"></i>
												</span>
											</div>
											<div class="task-config">
												<div class="task-config-btn btn-group">
													<a class="btn btn-xs default" href="#" data-toggle="dropdown" data-hover="dropdown" data-close-others="true"><i class="fa fa-cog"></i><i class="fa fa-angle-down"></i></a>
													<ul class="dropdown-menu pull-right">
														<li>
															<a href="#"><i class="fa fa-check"></i> Complete</a>
														</li>
														<li>
															<a href="#"><i class="fa fa-pencil"></i> Edit</a>
														</li>
														<li>
															<a href="#"><i class="fa fa-trash-o"></i> Cancel</a>
														</li>
													</ul>
												</div>
											</div>
										</li>
										<li>
											<div class="task-checkbox">
												<input type="checkbox" class="liChild" value=""/>
											</div>
											<div class="task-title">
												<span class="task-title-sp">
													Company Staff Meeting
												</span>
												<span class="label label-sm label-success">
													Cruise
												</span>
												<span class="task-bell">
													<i class="fa fa-bell-o"></i>
												</span>
											</div>
											<div class="task-config">
												<div class="task-config-btn btn-group">
													<a class="btn btn-xs default" href="#" data-toggle="dropdown" data-hover="dropdown" data-close-others="true"><i class="fa fa-cog"></i><i class="fa fa-angle-down"></i></a>
													<ul class="dropdown-menu pull-right">
														<li>
															<a href="#"><i class="fa fa-check"></i> Complete</a>
														</li>
														<li>
															<a href="#"><i class="fa fa-pencil"></i> Edit</a>
														</li>
														<li>
															<a href="#"><i class="fa fa-trash-o"></i> Cancel</a>
														</li>
													</ul>
												</div>
											</div>
										</li>
										<li class="last-line">
											<div class="task-checkbox">
												<input type="checkbox" class="liChild" value=""/>
											</div>
											<div class="task-title">
												<span class="task-title-sp">
													KeenThemes Investment Discussion
												</span>
												<span class="label label-sm label-warning">
													KeenThemes
												</span>
											</div>
											<div class="task-config">
												<div class="task-config-btn btn-group">
													<a class="btn btn-xs default" href="#" data-toggle="dropdown" data-hover="dropdown" data-close-others="true"><i class="fa fa-cog"></i><i class="fa fa-angle-down"></i></a>
													<ul class="dropdown-menu pull-right">
														<li>
															<a href="#"><i class="fa fa-check"></i> Complete</a>
														</li>
														<li>
															<a href="#"><i class="fa fa-pencil"></i> Edit</a>
														</li>
														<li>
															<a href="#"><i class="fa fa-trash-o"></i> Cancel</a>
														</li>
													</ul>
												</div>
											</div>
										</li>
									</ul>
									<!-- END START TASK LIST -->
								</div>
							</div>
							<div class="task-footer">
								<span class="pull-right">
									<a href="#">See All Tasks <i class="m-icon-swapright m-icon-gray"></i></a> &nbsp;
								</span>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="clearfix">
			</div>
			<div class="row ">
				<div class="col-md-6 col-sm-6">
					<div class="portlet box purple">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-calendar"></i>General Stats
							</div>
							<div class="actions">
								<a href="javascript:;" class="btn btn-sm yellow easy-pie-chart-reload"><i class="fa fa-repeat"></i> Reload</a>
							</div>
						</div>
						<div class="portlet-body">
							<div class="row">
								<div class="col-md-4">
									<div class="easy-pie-chart">
										<div class="number transactions" data-percent="55">
											<span>
												+55
											</span>
											%
										</div>
										<a class="title" href="#">Transactions <i class="m-icon-swapright"></i></a>
									</div>
								</div>
								<div class="margin-bottom-10 visible-sm">
								</div>
								<div class="col-md-4">
									<div class="easy-pie-chart">
										<div class="number visits" data-percent="85">
											<span>
												+85
											</span>
											%
										</div>
										<a class="title" href="#">New Visits <i class="m-icon-swapright"></i></a>
									</div>
								</div>
								<div class="margin-bottom-10 visible-sm">
								</div>
								<div class="col-md-4">
									<div class="easy-pie-chart">
										<div class="number bounce" data-percent="46">
											<span>
												-46
											</span>
											%
										</div>
										<a class="title" href="#">Bounce <i class="m-icon-swapright"></i></a>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="col-md-6 col-sm-6">
					<div class="portlet box blue">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-calendar"></i>Server Stats
							</div>
							<div class="tools">
								<a href="" class="collapse"></a>
								<a href="#portlet-config" data-toggle="modal" class="config"></a>
								<a href="" class="reload"></a>
								<a href="" class="remove"></a>
							</div>
						</div>
						<div class="portlet-body">
							<div class="row">
								<div class="col-md-4">
									<div class="sparkline-chart">
										<div class="number" id="sparkline_bar">
										</div>
										<a class="title" href="#">Network <i class="m-icon-swapright"></i></a>
									</div>
								</div>
								<div class="margin-bottom-10 visible-sm">
								</div>
								<div class="col-md-4">
									<div class="sparkline-chart">
										<div class="number" id="sparkline_bar2">
										</div>
										<a class="title" href="#">CPU Load <i class="m-icon-swapright"></i></a>
									</div>
								</div>
								<div class="margin-bottom-10 visible-sm">
								</div>
								<div class="col-md-4">
									<div class="sparkline-chart">
										<div class="number" id="sparkline_line">
										</div>
										<a class="title" href="#">Load Rate <i class="m-icon-swapright"></i></a>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="clearfix">
			</div>
			<div class="row ">
				<div class="col-md-6 col-sm-6">
					<!-- BEGIN REGIONAL STATS PORTLET-->
					<div class="portlet">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-globe"></i>Regional Stats
							</div>
							<div class="tools">
								<a href="" class="collapse"></a>
								<a href="#portlet-config" data-toggle="modal" class="config"></a>
								<a href="" class="reload"></a>
								<a href="" class="remove"></a>
							</div>
						</div>
						<div class="portlet-body">
							<div id="region_statistics_loading">
								<img src="<?php echo DOMAIN_URL ?>assets/img/loading.gif" alt="loading"/>
							</div>
							<div id="region_statistics_content" class="display-none">
								<div class="btn-toolbar margin-bottom-10">
									<div class="btn-group" data-toggle="buttons">
										<a href="" class="btn default btn-sm active">Users</a>
										<a href="" class="btn default btn-sm">Orders</a>
									</div>
									<div class="btn-group pull-right">
										<a href="" class="btn default btn-sm dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-close-others="true">
										Select Region
										<span class="fa fa-angle-down">
										</span>
										</a>
										<ul class="dropdown-menu pull-right">
											<li>
												<a href="javascript:;" id="regional_stat_world">World</a>
											</li>
											<li>
												<a href="javascript:;" id="regional_stat_usa">USA</a>
											</li>
											<li>
												<a href="javascript:;" id="regional_stat_europe">Europe</a>
											</li>
											<li>
												<a href="javascript:;" id="regional_stat_russia">Russia</a>
											</li>
											<li>
												<a href="javascript:;" id="regional_stat_germany">Germany</a>
											</li>
										</ul>
									</div>
								</div>
								<div id="vmap_world" class="vmaps display-none">
								</div>
								<div id="vmap_usa" class="vmaps display-none">
								</div>
								<div id="vmap_europe" class="vmaps display-none">
								</div>
								<div id="vmap_russia" class="vmaps display-none">
								</div>
								<div id="vmap_germany" class="vmaps display-none">
								</div>
							</div>
						</div>
					</div>
					<!-- END REGIONAL STATS PORTLET-->
				</div>
				<div class="col-md-6 col-sm-6">
					<!-- BEGIN PORTLET-->
					<div class="portlet paddingless">
						<div class="portlet-title line">
							<div class="caption">
								<i class="fa fa-bell-o"></i>Feeds
							</div>
							<div class="tools">
								<a href="" class="collapse"></a>
								<a href="#portlet-config" data-toggle="modal" class="config"></a>
								<a href="" class="reload"></a>
								<a href="" class="remove"></a>
							</div>
						</div>
						<div class="portlet-body">
							<!--BEGIN TABS-->
							<div class="tabbable tabbable-custom">
								<ul class="nav nav-tabs">
									<li class="active">
										<a href="#tab_1_1" data-toggle="tab">System</a>
									</li>
									<li>
										<a href="#tab_1_2" data-toggle="tab">Activities</a>
									</li>
									<li>
										<a href="#tab_1_3" data-toggle="tab">Recent Users</a>
									</li>
								</ul>
								<div class="tab-content">
									<div class="tab-pane active" id="tab_1_1">
										<div class="scroller" style="height: 290px;" data-always-visible="1" data-rail-visible="0">
											<ul class="feeds">
												<li>
													<div class="col1">
														<div class="cont">
															<div class="cont-col1">
																<div class="label label-sm label-success">
																	<i class="fa fa-bell-o"></i>
																</div>
															</div>
															<div class="cont-col2">
																<div class="desc">
																	 You have 4 pending tasks.
																	<span class="label label-sm label-danger ">
																		 Take action <i class="fa fa-share"></i>
																	</span>
																</div>
															</div>
														</div>
													</div>
													<div class="col2">
														<div class="date">
															 Just now
														</div>
													</div>
												</li>
												<li>
													<a href="#">
													<div class="col1">
														<div class="cont">
															<div class="cont-col1">
																<div class="label label-sm label-success">
																	<i class="fa fa-bell-o"></i>
																</div>
															</div>
															<div class="cont-col2">
																<div class="desc">
																	 New version v1.4 just lunched!
																</div>
															</div>
														</div>
													</div>
													<div class="col2">
														<div class="date">
															 20 mins
														</div>
													</div>
													</a>
												</li>
												<li>
													<div class="col1">
														<div class="cont">
															<div class="cont-col1">
																<div class="label label-sm label-danger">
																	<i class="fa fa-bolt"></i>
																</div>
															</div>
															<div class="cont-col2">
																<div class="desc">
																	 Database server #12 overloaded. Please fix the issue.
																</div>
															</div>
														</div>
													</div>
													<div class="col2">
														<div class="date">
															 24 mins
														</div>
													</div>
												</li>
												<li>
													<div class="col1">
														<div class="cont">
															<div class="cont-col1">
																<div class="label label-sm label-info">
																	<i class="fa fa-bullhorn"></i>
																</div>
															</div>
															<div class="cont-col2">
																<div class="desc">
																	 New order received. Please take care of it.
																</div>
															</div>
														</div>
													</div>
													<div class="col2">
														<div class="date">
															 30 mins
														</div>
													</div>
												</li>
												<li>
													<div class="col1">
														<div class="cont">
															<div class="cont-col1">
																<div class="label label-sm label-success">
																	<i class="fa fa-bullhorn"></i>
																</div>
															</div>
															<div class="cont-col2">
																<div class="desc">
																	 New order received. Please take care of it.
																</div>
															</div>
														</div>
													</div>
													<div class="col2">
														<div class="date">
															 40 mins
														</div>
													</div>
												</li>
												<li>
													<div class="col1">
														<div class="cont">
															<div class="cont-col1">
																<div class="label label-sm label-warning">
																	<i class="fa fa-plus"></i>
																</div>
															</div>
															<div class="cont-col2">
																<div class="desc">
																	 New user registered.
																</div>
															</div>
														</div>
													</div>
													<div class="col2">
														<div class="date">
															 1.5 hours
														</div>
													</div>
												</li>
												<li>
													<div class="col1">
														<div class="cont">
															<div class="cont-col1">
																<div class="label label-sm label-success">
																	<i class="fa fa-bell-o"></i>
																</div>
															</div>
															<div class="cont-col2">
																<div class="desc">
																	 Web server hardware needs to be upgraded.
																	<span class="label label-sm label-default ">
																		Overdue
																	</span>
																</div>
															</div>
														</div>
													</div>
													<div class="col2">
														<div class="date">
															 2 hours
														</div>
													</div>
												</li>
												<li>
													<div class="col1">
														<div class="cont">
															<div class="cont-col1">
																<div class="label label-sm label-default">
																	<i class="fa fa-bullhorn"></i>
																</div>
															</div>
															<div class="cont-col2">
																<div class="desc">
																	 New order received. Please take care of it.
																</div>
															</div>
														</div>
													</div>
													<div class="col2">
														<div class="date">
															 3 hours
														</div>
													</div>
												</li>
												<li>
													<div class="col1">
														<div class="cont">
															<div class="cont-col1">
																<div class="label label-sm label-warning">
																	<i class="fa fa-bullhorn"></i>
																</div>
															</div>
															<div class="cont-col2">
																<div class="desc">
																	 New order received. Please take care of it.
																</div>
															</div>
														</div>
													</div>
													<div class="col2">
														<div class="date">
															 5 hours
														</div>
													</div>
												</li>
												<li>
													<div class="col1">
														<div class="cont">
															<div class="cont-col1">
																<div class="label label-sm label-info">
																	<i class="fa fa-bullhorn"></i>
																</div>
															</div>
															<div class="cont-col2">
																<div class="desc">
																	 New order received. Please take care of it.
																</div>
															</div>
														</div>
													</div>
													<div class="col2">
														<div class="date">
															 18 hours
														</div>
													</div>
												</li>
												<li>
													<div class="col1">
														<div class="cont">
															<div class="cont-col1">
																<div class="label label-sm label-default">
																	<i class="fa fa-bullhorn"></i>
																</div>
															</div>
															<div class="cont-col2">
																<div class="desc">
																	 New order received. Please take care of it.
																</div>
															</div>
														</div>
													</div>
													<div class="col2">
														<div class="date">
															 21 hours
														</div>
													</div>
												</li>
												<li>
													<div class="col1">
														<div class="cont">
															<div class="cont-col1">
																<div class="label label-sm label-info">
																	<i class="fa fa-bullhorn"></i>
																</div>
															</div>
															<div class="cont-col2">
																<div class="desc">
																	 New order received. Please take care of it.
																</div>
															</div>
														</div>
													</div>
													<div class="col2">
														<div class="date">
															 22 hours
														</div>
													</div>
												</li>
												<li>
													<div class="col1">
														<div class="cont">
															<div class="cont-col1">
																<div class="label label-sm label-default">
																	<i class="fa fa-bullhorn"></i>
																</div>
															</div>
															<div class="cont-col2">
																<div class="desc">
																	 New order received. Please take care of it.
																</div>
															</div>
														</div>
													</div>
													<div class="col2">
														<div class="date">
															 21 hours
														</div>
													</div>
												</li>
												<li>
													<div class="col1">
														<div class="cont">
															<div class="cont-col1">
																<div class="label label-sm label-info">
																	<i class="fa fa-bullhorn"></i>
																</div>
															</div>
															<div class="cont-col2">
																<div class="desc">
																	 New order received. Please take care of it.
																</div>
															</div>
														</div>
													</div>
													<div class="col2">
														<div class="date">
															 22 hours
														</div>
													</div>
												</li>
												<li>
													<div class="col1">
														<div class="cont">
															<div class="cont-col1">
																<div class="label label-sm label-default">
																	<i class="fa fa-bullhorn"></i>
																</div>
															</div>
															<div class="cont-col2">
																<div class="desc">
																	 New order received. Please take care of it.
																</div>
															</div>
														</div>
													</div>
													<div class="col2">
														<div class="date">
															 21 hours
														</div>
													</div>
												</li>
												<li>
													<div class="col1">
														<div class="cont">
															<div class="cont-col1">
																<div class="label label-sm label-info">
																	<i class="fa fa-bullhorn"></i>
																</div>
															</div>
															<div class="cont-col2">
																<div class="desc">
																	 New order received. Please take care of it.
																</div>
															</div>
														</div>
													</div>
													<div class="col2">
														<div class="date">
															 22 hours
														</div>
													</div>
												</li>
												<li>
													<div class="col1">
														<div class="cont">
															<div class="cont-col1">
																<div class="label label-sm label-default">
																	<i class="fa fa-bullhorn"></i>
																</div>
															</div>
															<div class="cont-col2">
																<div class="desc">
																	 New order received. Please take care of it.
																</div>
															</div>
														</div>
													</div>
													<div class="col2">
														<div class="date">
															 21 hours
														</div>
													</div>
												</li>
												<li>
													<div class="col1">
														<div class="cont">
															<div class="cont-col1">
																<div class="label label-sm label-info">
																	<i class="fa fa-bullhorn"></i>
																</div>
															</div>
															<div class="cont-col2">
																<div class="desc">
																	 New order received. Please take care of it.
																</div>
															</div>
														</div>
													</div>
													<div class="col2">
														<div class="date">
															 22 hours
														</div>
													</div>
												</li>
											</ul>
										</div>
									</div>
									<div class="tab-pane" id="tab_1_2">
										<div class="scroller" style="height: 290px;" data-always-visible="1" data-rail-visible1="1">
											<ul class="feeds">
												<li>
													<a href="#">
													<div class="col1">
														<div class="cont">
															<div class="cont-col1">
																<div class="label label-sm label-success">
																	<i class="fa fa-bell-o"></i>
																</div>
															</div>
															<div class="cont-col2">
																<div class="desc">
																	 New user registered
																</div>
															</div>
														</div>
													</div>
													<div class="col2">
														<div class="date">
															 Just now
														</div>
													</div>
													</a>
												</li>
												<li>
													<a href="#">
													<div class="col1">
														<div class="cont">
															<div class="cont-col1">
																<div class="label label-sm label-success">
																	<i class="fa fa-bell-o"></i>
																</div>
															</div>
															<div class="cont-col2">
																<div class="desc">
																	 New order received
																</div>
															</div>
														</div>
													</div>
													<div class="col2">
														<div class="date">
															 10 mins
														</div>
													</div>
													</a>
												</li>
												<li>
													<div class="col1">
														<div class="cont">
															<div class="cont-col1">
																<div class="label label-sm label-danger">
																	<i class="fa fa-bolt"></i>
																</div>
															</div>
															<div class="cont-col2">
																<div class="desc">
																	 Order #24DOP4 has been rejected.
																	<span class="label label-sm label-danger ">
																		Take action <i class="fa fa-share"></i>
																	</span>
																</div>
															</div>
														</div>
													</div>
													<div class="col2">
														<div class="date">
															 24 mins
														</div>
													</div>
												</li>
												<li>
													<a href="#">
													<div class="col1">
														<div class="cont">
															<div class="cont-col1">
																<div class="label label-sm label-success">
																	<i class="fa fa-bell-o"></i>
																</div>
															</div>
															<div class="cont-col2">
																<div class="desc">
																	 New user registered
																</div>
															</div>
														</div>
													</div>
													<div class="col2">
														<div class="date">
															 Just now
														</div>
													</div>
													</a>
												</li>
												<li>
													<a href="#">
													<div class="col1">
														<div class="cont">
															<div class="cont-col1">
																<div class="label label-sm label-success">
																	<i class="fa fa-bell-o"></i>
																</div>
															</div>
															<div class="cont-col2">
																<div class="desc">
																	 New user registered
																</div>
															</div>
														</div>
													</div>
													<div class="col2">
														<div class="date">
															 Just now
														</div>
													</div>
													</a>
												</li>
												<li>
													<a href="#">
													<div class="col1">
														<div class="cont">
															<div class="cont-col1">
																<div class="label label-sm label-success">
																	<i class="fa fa-bell-o"></i>
																</div>
															</div>
															<div class="cont-col2">
																<div class="desc">
																	 New user registered
																</div>
															</div>
														</div>
													</div>
													<div class="col2">
														<div class="date">
															 Just now
														</div>
													</div>
													</a>
												</li>
												<li>
													<a href="#">
													<div class="col1">
														<div class="cont">
															<div class="cont-col1">
																<div class="label label-sm label-success">
																	<i class="fa fa-bell-o"></i>
																</div>
															</div>
															<div class="cont-col2">
																<div class="desc">
																	 New user registered
																</div>
															</div>
														</div>
													</div>
													<div class="col2">
														<div class="date">
															 Just now
														</div>
													</div>
													</a>
												</li>
												<li>
													<a href="#">
													<div class="col1">
														<div class="cont">
															<div class="cont-col1">
																<div class="label label-sm label-success">
																	<i class="fa fa-bell-o"></i>
																</div>
															</div>
															<div class="cont-col2">
																<div class="desc">
																	 New user registered
																</div>
															</div>
														</div>
													</div>
													<div class="col2">
														<div class="date">
															 Just now
														</div>
													</div>
													</a>
												</li>
												<li>
													<a href="#">
													<div class="col1">
														<div class="cont">
															<div class="cont-col1">
																<div class="label label-sm label-success">
																	<i class="fa fa-bell-o"></i>
																</div>
															</div>
															<div class="cont-col2">
																<div class="desc">
																	 New user registered
																</div>
															</div>
														</div>
													</div>
													<div class="col2">
														<div class="date">
															 Just now
														</div>
													</div>
													</a>
												</li>
												<li>
													<a href="#">
													<div class="col1">
														<div class="cont">
															<div class="cont-col1">
																<div class="label label-sm label-success">
																	<i class="fa fa-bell-o"></i>
																</div>
															</div>
															<div class="cont-col2">
																<div class="desc">
																	 New user registered
																</div>
															</div>
														</div>
													</div>
													<div class="col2">
														<div class="date">
															 Just now
														</div>
													</div>
													</a>
												</li>
											</ul>
										</div>
									</div>
									<div class="tab-pane" id="tab_1_3">
										<div class="scroller" style="height: 290px;" data-always-visible="1" data-rail-visible1="1">
											<div class="row">
												<div class="col-md-6 user-info">
													<img alt="" src="<?php echo DOMAIN_URL ?>assets/img/avatar.png" class="img-responsive"/>
													<div class="details">
														<div>
															<a href="#">Robert Nilson</a>
															<span class="label label-sm label-success label-mini">
																Approved
															</span>
														</div>
														<div>
															29 Jan 2013 10:45AM
														</div>
													</div>
												</div>
												<div class="col-md-6 user-info">
													<img alt="" src="<?php echo DOMAIN_URL ?>assets/img/avatar.png" class="img-responsive"/>
													<div class="details">
														<div>
															<a href="#">Lisa Miller</a>
															<span class="label label-sm label-info">
																Pending
															</span>
														</div>
														<div>
															19 Jan 2013 10:45AM
														</div>
													</div>
												</div>
											</div>
											<div class="row">
												<div class="col-md-6 user-info">
													<img alt="" src="<?php echo DOMAIN_URL ?>assets/img/avatar.png" class="img-responsive"/>
													<div class="details">
														<div>
															<a href="#">Eric Kim</a>
															<span class="label label-sm label-info">
																Pending
															</span>
														</div>
														<div>
															19 Jan 2013 12:45PM
														</div>
													</div>
												</div>
												<div class="col-md-6 user-info">
													<img alt="" src="<?php echo DOMAIN_URL ?>assets/img/avatar.png" class="img-responsive"/>
													<div class="details">
														<div>
															<a href="#">Lisa Miller</a>
															<span class="label label-sm label-danger">
																In progress
															</span>
														</div>
														<div>
															19 Jan 2013 11:55PM
														</div>
													</div>
												</div>
											</div>
											<div class="row">
												<div class="col-md-6 user-info">
													<img alt="" src="<?php echo DOMAIN_URL ?>assets/img/avatar.png" class="img-responsive"/>
													<div class="details">
														<div>
															<a href="#">Eric Kim</a>
															<span class="label label-sm label-info">
																Pending
															</span>
														</div>
														<div>
															19 Jan 2013 12:45PM
														</div>
													</div>
												</div>
												<div class="col-md-6 user-info">
													<img alt="" src="<?php echo DOMAIN_URL ?>assets/img/avatar.png" class="img-responsive"/>
													<div class="details">
														<div>
															<a href="#">Lisa Miller</a>
															<span class="label label-sm label-danger">
																In progress
															</span>
														</div>
														<div>
															19 Jan 2013 11:55PM
														</div>
													</div>
												</div>
											</div>
											<div class="row">
												<div class="col-md-6 user-info">
													<img alt="" src="<?php echo DOMAIN_URL ?>assets/img/avatar.png" class="img-responsive"/>
													<div class="details">
														<div>
															<a href="#">Eric Kim</a>
															<span class="label label-sm label-info">
																Pending
															</span>
														</div>
														<div>
															19 Jan 2013 12:45PM
														</div>
													</div>
												</div>
												<div class="col-md-6 user-info">
													<img alt="" src="<?php echo DOMAIN_URL ?>assets/img/avatar.png" class="img-responsive"/>
													<div class="details">
														<div>
															<a href="#">Lisa Miller</a>
															<span class="label label-sm label-danger">
																In progress
															</span>
														</div>
														<div>
															19 Jan 2013 11:55PM
														</div>
													</div>
												</div>
											</div>
											<div class="row">
												<div class="col-md-6 user-info">
													<img alt="" src="<?php echo DOMAIN_URL ?>assets/img/avatar.png" class="img-responsive"/>
													<div class="details">
														<div>
															<a href="#">Eric Kim</a>
															<span class="label label-sm label-info">
																Pending
															</span>
														</div>
														<div>
															19 Jan 2013 12:45PM
														</div>
													</div>
												</div>
												<div class="col-md-6 user-info">
													<img alt="" src="<?php echo DOMAIN_URL ?>assets/img/avatar.png" class="img-responsive"/>
													<div class="details">
														<div>
															<a href="#">Lisa Miller</a>
															<span class="label label-sm label-danger">
																In progress
															</span>
														</div>
														<div>
															19 Jan 2013 11:55PM
														</div>
													</div>
												</div>
											</div>
											<div class="row">
												<div class="col-md-6 user-info">
													<img alt="" src="<?php echo DOMAIN_URL ?>assets/img/avatar.png" class="img-responsive"/>
													<div class="details">
														<div>
															<a href="#">Eric Kim</a>
															<span class="label label-sm label-info">
																Pending
															</span>
														</div>
														<div>
															19 Jan 2013 12:45PM
														</div>
													</div>
												</div>
												<div class="col-md-6 user-info">
													<img alt="" src="<?php echo DOMAIN_URL ?>assets/img/avatar.png" class="img-responsive"/>
													<div class="details">
														<div>
															<a href="#">Lisa Miller</a>
															<span class="label label-sm label-danger">
																In progress
															</span>
														</div>
														<div>
															19 Jan 2013 11:55PM
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
							<!--END TABS-->
						</div>
					</div>
					<!-- END PORTLET-->
				</div>
			</div>
			<div class="clearfix">
			</div>
			<div class="row ">
				<div class="col-md-6 col-sm-6">
					<!-- BEGIN PORTLET-->
					<div class="portlet box blue calendar">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-calendar"></i>Calendar
							</div>
						</div>
						<div class="portlet-body light-grey">
							<div id="calendar">
							</div>
						</div>
					</div>
					<!-- END PORTLET-->
				</div>
				<div class="col-md-6 col-sm-6">
					<!-- BEGIN PORTLET-->
					<div class="portlet">
						<div class="portlet-title line">
							<div class="caption">
								<i class="fa fa-comments"></i>Chats
							</div>
							<div class="tools">
								<a href="" class="collapse"></a>
								<a href="#portlet-config" data-toggle="modal" class="config"></a>
								<a href="" class="reload"></a>
								<a href="" class="remove"></a>
							</div>
						</div>
						<div class="portlet-body" id="chats">
							<div class="scroller" style="height: 435px;" data-always-visible="1" data-rail-visible1="1">
								<ul class="chats">
									<li class="in">
										<img class="avatar img-responsive" alt="" src="<?php echo DOMAIN_URL ?>assets/img/avatar1.jpg"/>
										<div class="message">
											<span class="arrow">
											</span>
											<a href="#" class="name">Bob Nilson</a>
											<span class="datetime">
												at Jul 25, 2012 11:09
											</span>
											<span class="body">
												 Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat.
											</span>
										</div>
									</li>
									<li class="out">
										<img class="avatar img-responsive" alt="" src="<?php echo DOMAIN_URL ?>assets/img/avatar2.jpg"/>
										<div class="message">
											<span class="arrow">
											</span>
											<a href="#" class="name">Lisa Wong</a>
											<span class="datetime">
												at Jul 25, 2012 11:09
											</span>
											<span class="body">
												 Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat.
											</span>
										</div>
									</li>
									<li class="in">
										<img class="avatar img-responsive" alt="" src="<?php echo DOMAIN_URL ?>assets/img/avatar1.jpg"/>
										<div class="message">
											<span class="arrow">
											</span>
											<a href="#" class="name">Bob Nilson</a>
											<span class="datetime">
												at Jul 25, 2012 11:09
											</span>
											<span class="body">
												 Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat.
											</span>
										</div>
									</li>
									<li class="out">
										<img class="avatar img-responsive" alt="" src="<?php echo DOMAIN_URL ?>assets/img/avatar3.jpg"/>
										<div class="message">
											<span class="arrow">
											</span>
											<a href="#" class="name">Richard Doe</a>
											<span class="datetime">
												at Jul 25, 2012 11:09
											</span>
											<span class="body">
												 Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat.
											</span>
										</div>
									</li>
									<li class="in">
										<img class="avatar img-responsive" alt="" src="<?php echo DOMAIN_URL ?>assets/img/avatar3.jpg"/>
										<div class="message">
											<span class="arrow">
											</span>
											<a href="#" class="name">Richard Doe</a>
											<span class="datetime">
												at Jul 25, 2012 11:09
											</span>
											<span class="body">
												 Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat.
											</span>
										</div>
									</li>
									<li class="out">
										<img class="avatar img-responsive" alt="" src="<?php echo DOMAIN_URL ?>assets/img/avatar1.jpg"/>
										<div class="message">
											<span class="arrow">
											</span>
											<a href="#" class="name">Bob Nilson</a>
											<span class="datetime">
												at Jul 25, 2012 11:09
											</span>
											<span class="body">
												 Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat.
											</span>
										</div>
									</li>
									<li class="in">
										<img class="avatar img-responsive" alt="" src="<?php echo DOMAIN_URL ?>assets/img/avatar3.jpg"/>
										<div class="message">
											<span class="arrow">
											</span>
											<a href="#" class="name">Richard Doe</a>
											<span class="datetime">
												at Jul 25, 2012 11:09
											</span>
											<span class="body">
												 Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat.
											</span>
										</div>
									</li>
									<li class="out">
										<img class="avatar img-responsive" alt="" src="<?php echo DOMAIN_URL ?>assets/img/avatar1.jpg"/>
										<div class="message">
											<span class="arrow">
											</span>
											<a href="#" class="name">Bob Nilson</a>
											<span class="datetime">
												at Jul 25, 2012 11:09
											</span>
											<span class="body">
												 Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. sed diam nonummy nibh euismod tincidunt ut laoreet.
											</span>
										</div>
									</li>
								</ul>
							</div>
							<div class="chat-form">
								<div class="input-cont">
									<input class="form-control" type="text" placeholder="Type a message here..."/>
								</div>
								<div class="btn-cont">
									<span class="arrow">
									</span>
									<a href="" class="btn blue icn-only"><i class="fa fa-check icon-white"></i></a>
								</div>
							</div>
						</div>
					</div>
					<!-- END PORTLET-->
				</div>
			</div>
            */ ?>
		</div>
	</div>
	<!-- END CONTENT -->
</div>
<!-- END CONTAINER -->
<!-- BEGIN FOOTER -->
<div class="footer">
	<div class="footer-inner">
		<?php if ( ! empty( $__decoded_key["reseller_title"] ) ) { ?>
			<?php echo date( "Y" ); ?> &copy; <?php echo $__decoded_key["reseller_title"]; ?> | <?php _e( 'Version' ) ?>: <?php echo Version ?>
		<?php } else if ( is_file( ROOT_PATH . "branding" ) ) {
			$TT = file( ROOT_PATH . "branding" ); ?>
			<?php echo date( "Y" ); ?> &copy; <?php #echo base64_decode( $TT[0] ); ?> | <?php _e('Version') ?>: <?php echo Version ?>
		<?php } else { ?>
			2014-<?php echo date( "Y" ); ?> &copy; FeKara | <?php _e('Version') ?>: <?php echo Version ?>
		<?php } ?>
	</div>
	<div class="footer-tools">
		<span class="go-top">
			<i class="fa fa-angle-up"></i>
		</span>
	</div>
</div>

<!--[if lt IE 9]>
<script src="<?php echo DOMAIN_URL ?>assets/plugins/respond.min.js"></script>
<script src="<?php echo DOMAIN_URL ?>assets/plugins/excanvas.min.js"></script>
<![endif]-->
<script src="<?php echo ASSETS_URL ?>plugins/jquery-1.10.2.min.js"></script>
<script src="<?php echo ASSETS_URL ?>plugins/jquery-migrate-1.2.1.min.js"></script>
<script src="<?php echo ASSETS_URL ?>plugins/jquery-ui/jquery-ui-1.10.2.custom.min.js"></script>
<script src="<?php echo ASSETS_URL ?>plugins/bootstrap/js/bootstrap.min.js"></script>
<script src="<?php echo ASSETS_URL ?>plugins/bootstrap-hover-dropdown/twitter-bootstrap-hover-dropdown.min.js"></script>
<script src="<?php echo ASSETS_URL ?>plugins/jquery-slimscroll/jquery.slimscroll.min.js"></script>
<script src="<?php echo ASSETS_URL ?>plugins/jquery.blockui.min.js"></script>
<script src="<?php echo ASSETS_URL ?>plugins/jquery.cokie.min.js"></script>
<script src="<?php echo ASSETS_URL ?>plugins/uniform/jquery.uniform.min.js"></script>

<!--<script src="<?php /*echo DOMAIN_URL */ ?>assets/plugins/jqvmap/jqvmap/jquery.vmap.js"></script>
<script src="<?php /*echo DOMAIN_URL */ ?>assets/plugins/jqvmap/jqvmap/maps/jquery.vmap.russia.js"></script>
<script src="<?php /*echo DOMAIN_URL */ ?>assets/plugins/jqvmap/jqvmap/maps/jquery.vmap.world.js"></script>
<script src="<?php /*echo DOMAIN_URL */ ?>assets/plugins/jqvmap/jqvmap/maps/jquery.vmap.europe.js"></script>
<script src="<?php /*echo DOMAIN_URL */ ?>assets/plugins/jqvmap/jqvmap/maps/jquery.vmap.germany.js"></script>
<script src="<?php /*echo DOMAIN_URL */ ?>assets/plugins/jqvmap/jqvmap/maps/jquery.vmap.usa.js"></script>
<script src="<?php /*echo DOMAIN_URL */ ?>assets/plugins/jqvmap/jqvmap/data/jquery.vmap.sampledata.js"></script>-->

<script src="https://cdnjs.cloudflare.com/ajax/libs/flot/0.8.3/jquery.flot.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/flot/0.8.3/jquery.flot.resize.min.js"></script>

<script src="<?php echo ASSETS_URL ?>plugins/jquery.pulsate.min.js"></script>
<script src="<?php echo ASSETS_URL ?>plugins/bootstrap-daterangepicker/moment.min.js"></script>
<script src="<?php echo ASSETS_URL ?>plugins/bootstrap-daterangepicker/daterangepicker.js"></script>
<script src="<?php echo ASSETS_URL ?>plugins/gritter/js/jquery.gritter.js"></script>
<!-- IMPORTANT! fullcalendar depends on jquery-ui-1.10.3.custom.min.js for drag & drop support -->
<script src="<?php echo ASSETS_URL ?>plugins/fullcalendar/fullcalendar/fullcalendar.min.js"></script>
<script src="<?php echo ASSETS_URL ?>plugins/jquery-easy-pie-chart/jquery.easy-pie-chart.js"></script>
<script src="<?php echo ASSETS_URL ?>plugins/jquery.sparkline.min.js"></script>

<script src="<?php echo ASSETS_URL ?>plugins/fancybox/source/jquery.fancybox.pack.js"></script>
<script src="<?php echo ASSETS_URL ?>plugins/fancybox/source/helpers/jquery.fancybox-buttons.js"></script>
<script src="<?php echo ASSETS_URL ?>plugins/fancybox/source/helpers/jquery.fancybox-media.js"></script>
<script src="<?php echo ASSETS_URL ?>plugins/fancybox/source/helpers/jquery.fancybox-thumbs.js"></script>

<script src="<?php echo ASSETS_URL ?>tablesaw/tablesaw.jquery.js"></script>
<script src="<?php echo ASSETS_URL ?>tablesaw/tablesaw-init.js"></script>

<?php if ( \General::is_offline() ) { ?>
	<script src="<?php echo ASSETS_URL ?>plugins/bootstrap-toastr/toastr.min.js"></script>
<?php } else { ?>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.1.3/toastr.min.js"></script>
<?php } ?>

<script src="<?php echo ASSETS_URL ?>scripts/app.js"></script>
<script>
	function randValue() {
		return (Math.floor( Math.random() * (1 + 50 - 20) )) + 10;
	}
	<?php
	//$Q = "SELECT @a:=@a+1 num, `amount` FROM `account_transactions`,(SELECT @a:= 0) AS a WHERE `daily_expense`=0 AND MONTH(`date`)=EXTRACT(month FROM (NOW())) AND YEAR(`date`)=EXTRACT(year FROM (NOW()))";
	#$C = file_get_contents('D:\Docs\Downloads\example.txt');
	#$C = json_decode($C,true);
	#show_array($C);
	#die;

	$income = array(); $expense = array();
	$d = date( "d" );
	for ( $x = 1; $x <= date( "t" ); $x ++ ) {
		if ( $x <= $d ) {
			$t   = date( "Y-m-{$x}" );
			$amt = $db->get_var( "SELECT SUM(`amount`) FROM `account_transactions` WHERE `daily_expense`=0 AND `date`='$t'" );
			$exp = $db->get_var( "SELECT SUM(`amount_out`) FROM `account_transactions` WHERE `daily_expense`=1 AND `date`='$t'" );
			if ( is_null( $amt ) ) {
				$amt = 0;
			}
			if ( is_null( $exp ) ) {
				$exp = 0;
			}
			$income[]  = array( $x, $amt );
			$expense[] = array( $x, $exp );
		} else {
			$income[]  = array( $x, 0 );
			$expense[] = array( $x, 0 );
		}
	}
	?>
	var income = <?php echo json_encode( $income ) ?>;
	var expense = <?php echo json_encode( $expense ) ?>;
	var income_string = "<?php _e( "Income" ) ?>";
	var expense_string = "<?php _e( "Expense" ) ?>";
	var January_string = "<?php _e( "January" ) ?>";
	var February_string = "<?php _e( "February" ) ?>";
	var March_string = "<?php _e( "March" ) ?>";
	var April_string = "<?php _e( "April" ) ?>";
	var May_string = "<?php _e( "May" ) ?>";
	var June_string = "<?php _e( "June" ) ?>";
	var July_string = "<?php _e( "July" ) ?>";
	var August_string = "<?php _e( "August" ) ?>";
	var September_string = "<?php _e( "September" ) ?>";
	var October_string = "<?php _e( "October" ) ?>";
	var November_string = "<?php _e( "November" ) ?>";
	var December_string = "<?php _e( "December" ) ?>";
</script>
<script src="<?php echo \Theme::url() ?>js/index.min.js?<?php echo md5_file( \Theme::path() . 'js/index.js' ) ?>"></script>
<script src="<?php echo ASSETS_URL ?>scripts/tasks.js"></script>
<script src="<?php echo \Theme::url() ?>script.js?<?php echo md5_file( \Theme::path() . "script.js" ) ?>"></script>
<script>
	jQuery( document ).ready( function() {
		App.init(); // initlayout and core plugins
		Index.init();
		//Index.initJQVMAP(); // init index page's custom scripts
		Index.initCalendar(); // init index page's custom scripts
		Index.initCharts(); // init index page's custom scripts
		Index.initChat();
		Index.initMiniCharts();
		Index.initDashboardDaterange();
		//Index.initIntro();
		Tasks.initDashboardWidget();

		<?php /*if (! $_admins->is_photo_uploaded() ): */?>/*
		 Error("Your photo is not uploaded, Please upload your photo from your profile.");
		 */<?php /*endif; */?>

		$( ".fancybox" ).fancybox( {
			//maxWidth	: 800,
			//maxHeight	: 600,
			fitToView: false,
			width: '90%',
			height: '90%',
			autoSize: false,
			closeClick: false,
			openEffect: 'none',
			closeEffect: 'none'
		} );
	} );
</script>
<?php show_expire_message() ?>
<script>
	<?php
	$SMS = new SMS();
	$sms_count = $SMS->count_queued_sms();
	if ($sms_count > 0) { ?>
	Warning( "<?php echo strip_tags( __( "You've %1 SMS messages in queue.", $sms_count ) ) ?><br><br><a href='<?php echo Urls::get_url( "sms/queue" ) ?>'>Click Here</a>" );
	<?php } ?>
</script>
</body>
</html>