var array_keys = function( input, searchValue, argStrict ) {
	var search = typeof searchValue!=='undefined'
	var tmpArr = []
	var strict = !!argStrict
	var include = true
	var key = ''

	for ( key in input ) {
		if ( input.hasOwnProperty( key ) ) {
			include = true
			if ( search ) {
				if ( strict && input[ key ]!==searchValue ) {
					include = false
				} else if ( input[ key ]!==searchValue ) {
					include = false
				}
			}

			if ( include ) {
				tmpArr[ tmpArr.length ] = key
			}
		}
	}

	return tmpArr
}

$( function() {
	$( "#form1" ).validate();
	$( "#class_id" ).change( function( event ) {
		id = $( this ).val();

		$( '#subjects' ).html( '' ).trigger( 'change' );
		$.each( Classes, function( key, Class ) {
			if ( Class.id==id ) {
				$.each( Class.subjects, function( subject_id, subject ) {
					var newOption = new Option( subject, subject_id, false, false );
					$( "#subjects" ).append( newOption ).trigger( "change" );
				} );
			}
		} );

	} );

	$( document ).on( "submit", "#form1", function( event ) {
		event.preventDefault();

		if ( !$( "#form1" ).validate().form() ) {
			return false;
		}

		$( "#form1" ).ajaxSubmit( {
			beforeSubmit: function() {
				$( ".loading" ).show();
			},
			success: function( response ) {
				$( ".loading" ).hide();
				if ( response.status=="OK" ) {
					$( "#form1" ).resetForm();
					$( "#gender,#country,#guardian_relation,#class_id" ).select2( "val", "" );
					$( "#subjects" ).select2( "val", [] );
					alert( "Thank you for submitting registration.\n\nWe will get back to you" );
				} else {
					alert( "Error: " + response.status );
				}
			},
			error: function( e1, e2, e3 ) {
				console.error(e1);
				console.error(e2);
				console.error(e3);
				$( ".loading" ).hide();
				alert( 'Error: ' + e3 );
			}
		} );
	} );
	$( document ).on( "change", "#father_name", function( event ) {
		if ( $.trim( $( "#guardian_name" ).val() )=="" ) {
			$( "#guardian_name" ).val( $( "#father_name" ).val() );
		}
	} );
	$( document ).on( "change", ".phone, .mobile, .land_line", function( event ) {
		T = $( this );
		T.attr( "readonly", true );
		$.post( root_url + "ajax/common.php?format_phone", { phone: $( this ).val() }, function( data ) {
			T.val( data );
			T.attr( "readonly", false );
		} );
	} );
} );