<?php
if ( ! defined( "ROOT_PATH" ) ) {
	echo "Hay! Don't cheat, We don't allow to view this file too. . :)";
	exit;
}
$gotourl = isset( $_GET["goto"] ) ? $_GET["goto"] : DOMAIN_URL;
if ( \Admins\UserInfo::is_loggedin() ) {
	Urls::redirect( $gotourl );
}
//manifest="ROOT_URL.cache.manifest"
?>
<html>
<!--[if IE 8]>
<html lang="en" class="ie8 no-js"> <![endif]-->
<!--[if IE 9]>
<html lang="en" class="ie9 no-js"> <![endif]-->
<!--[if !IE]><!-->
<html lang="en" class="no-js">
<!--<![endif]-->
<!-- BEGIN HEAD -->
<head>
	<meta charset="utf-8" />
	<title><?php echo __( "Login" ) ?> | <?php echo $db->get_option( "system", "feKara by creativeON" ) ?></title>
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta content="width=device-width, initial-scale=1.0" name="viewport" />
	<meta content="" name="description" />
	<meta content="" name="author" />
	<meta name="MobileOptimized" content="320">
	<!-- BEGIN GLOBAL MANDATORY STYLES -->
	<link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
	<link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.0.3/css/bootstrap.min.css">
	<link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/Uniform.js/4.2.0/css/default.css">
	<!-- END GLOBAL MANDATORY STYLES -->
	<!-- BEGIN PAGE LEVEL STYLES -->
	<!--	<link rel="stylesheet" type="text/css" href="--><?php //echo DOMAIN_URL ?><!--assets/plugins/select2/select2_metro.css" />-->
	<!-- END PAGE LEVEL SCRIPTS -->
	<!-- BEGIN THEME STYLES -->
	<link href="<?php echo ASSETS_URL ?>css/style-metronic.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo ASSETS_URL ?>css/style.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo ASSETS_URL ?>css/style-responsive.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo ASSETS_URL ?>css/plugins.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo ASSETS_URL ?>css/themes/default.css" rel="stylesheet" type="text/css" id="style_color" />
	<link href="<?php echo ASSETS_URL ?>css/pages/login.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo ASSETS_URL ?>css/custom.css?<?php echo md5_file( ASSETS_PATH . "css/custom.css" ) ?>" rel="stylesheet" type="text/css" />
	<!--<link href="<?php echo DOMAIN_URL ?>style.css?<?php echo \General::localhost() ? time() : Version ?>" rel="stylesheet" type="text/css"/>-->

	<link rel="shortcut icon" href="<?php echo DOMAIN_URL ?>favicon.ico" />
	<style>
		.logo img {
			max-width: 200px !important;
			max-height: 200px !important;
		}

	</style>
</head>
<body class="login">
<div class="loading"></div>
<div class="logo">
	<img src="<?php echo App::get_logo() ?>" alt="">
</div>
<div class="content">
	<div class="modal fade" id="loginDiv" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
					<h4 class="modal-title"><?php echo __( "Forgot Password" ) ?></h4>
				</div>
				<div class="modal-body">
					<form onsubmit="return Forgot(this)" method="post">
						<input type="submit" style="display: none;" id="submit2">
						<label style="display: block;" for="username2"><?php echo __( "Type username or email address" ) ?></label>
						<input class="form-control" name="username2" id="username2" placeholder="<?php echo __( "Type username or email address" ) ?>">
					</form>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn blue" onclick="Submit2()"><?php echo __( "Recover Password" ) ?></button>
					<button type="button" class="btn default" data-dismiss="modal"><?php echo __( "Close" ) ?></button>
				</div>
			</div>
		</div>
	</div>

	<!-- BEGIN LOGIN FORM -->
	<form class="login-form">
		<h3 class="form-title"><?php echo __( "Login to your account" ) ?></h3>
		<div class="alert alert-danger display-hide">
			<button class="close" data-close="alert"></button>
			<span>
				 <?php echo __( "Type valid username and password" ) ?>
			</span>
		</div>
		<div class="form-group">
			<!--ie8, ie9 does not support html5 placeholder, so we just show field title for that-->
			<label class="control-label visible-ie8 visible-ie9"><?php echo __( "Username" ) ?></label>
			<div class="input-icon">
				<i class="fa fa-user"></i>
				<input class="form-control placeholder-no-fix" type="text" autocomplete="off" placeholder="<?php echo __( "Username" ) ?>" name="username">
			</div>
		</div>
		<div class="form-group">
			<label class="control-label visible-ie8 visible-ie9"><?php echo __( "Password" ) ?></label>
			<div class="input-icon">
				<i class="fa fa-lock"></i>
				<input class="form-control placeholder-no-fix" type="password" autocomplete="off" placeholder="<?php echo __( "Password" ) ?>" name="password">
			</div>
		</div>
		<div class="form-actions">
			<label class="checkbox" style="cursor:pointer;">
				<input type="checkbox" name="remember" value="1"><?php echo __( "Remember me" ) ?></label>
			<button type="submit" class="btn green pull-right">
				<?php echo __( "Login" ) ?> <i class="m-icon-swapright m-icon-white"></i>
			</button>
		</div>

		<div style="text-align: center">
			<?php _e( "Other Logins" ) ?><br>
			<div class="btn-group">
				<a href="teacher/" target="_blank" class="btn btn-sm btn-primary"><?php _e( "Teachers" ) ?></a>
				<a href="students/" target="_blank" class="btn btn-sm blue"><?php _e( "Students" ) ?></a>
				<a href="guardians/" target="_blank" class="btn btn-sm green"><?php _e( "Parents" ) ?></a>
			</div>
			<br>
			<a href="admission_form.php" target="_blank" class="btn btn-sm btn-info"><?php _e( "Admission Form" ) ?></a>
		</div>

		<div class="forget-password">
			<h4><?php echo __( "Forgot your password?" ) ?></h4>
			<p>
				<?php echo __( 'No worries, click %1 to reset your password.', '<a href="#loginDiv" data-toggle="modal" id="forget-password">here</a>' ); ?>
			</p>
		</div>
		<div class="create-account">
			<p>
				<?php echo __( "Don't have an account yet?" ) ?>&nbsp;
				<a href="javascript:;" id="register-btn">
					<?php echo __( "Create an account" ) ?>
				</a>
			</p>
		</div>
	</form>
	<!-- END LOGIN FORM -->
	<!-- BEGIN FORGOT PASSWORD FORM -->
	<form class="forget-form" action="#" method="post">
		<h3><?php echo __( "Forget Password?" ) ?></h3>
		<p>
			<?php echo __( "Enter your e-mail address below to reset your password." ) ?>
		</p>
		<div class="form-group">
			<div class="input-icon">
				<i class="fa fa-envelope"></i>
				<input class="form-control placeholder-no-fix" type="text" autocomplete="off" placeholder="Email" name="email" />
			</div>
		</div>
		<div class="form-actions">
			<button type="button" id="back-btn" class="btn">
				<i class="m-icon-swapleft"></i> Back
			</button>
			<button type="submit" class="btn green pull-right">
				<?php echo __( "Submit" ) ?> <i class="m-icon-swapright m-icon-white"></i>
			</button>
		</div>
	</form>

	<form class="register-form" action="#" method="post">
		<h3><?php echo __( "Sign Up" ) ?></h3>
		<p>
			<?php echo __( "Enter your personal details below:" ) ?>
		</p>
		<div class="form-group">
			<label class="control-label visible-ie8 visible-ie9"><?php echo __( "Full Name" ) ?></label>
			<div class="input-icon">
				<i class="fa fa-font"></i>
				<input class="form-control placeholder-no-fix" type="text" placeholder="<?php echo __( "Full Name" ) ?>" name="fullname" />
			</div>
		</div>
		<div class="form-group">
			<!--ie8, ie9 does not support html5 placeholder, so we just show field title for that-->
			<label class="control-label visible-ie8 visible-ie9"><?php echo __( "Email" ) ?></label>
			<div class="input-icon">
				<i class="fa fa-envelope"></i>
				<input class="form-control placeholder-no-fix" type="text" placeholder="<?php echo __( "Email" ) ?>" name="email">
			</div>
		</div>
		<div class="form-group">
			<label class="control-label visible-ie8 visible-ie9"><?php echo __( "Address" ) ?></label>
			<div class="input-icon">
				<i class="fa fa-check"></i>
				<input class="form-control placeholder-no-fix" type="text" placeholder="<?php echo __( "Address" ) ?>" name="address" />
			</div>
		</div>
		<div class="form-group">
			<label class="control-label visible-ie8 visible-ie9"><?php echo __( "City/Town" ) ?></label>
			<div class="input-icon">
				<i class="fa fa-location-arrow"></i>
				<input class="form-control placeholder-no-fix" type="text" placeholder="<?php echo __( "City/Town" ) ?>" name="city" />
			</div>
		</div>
		<div class="form-group">
			<label class="control-label visible-ie8 visible-ie9"><?php echo __( "Country" ) ?></label>
			<?php
			$Country = new Country();
			echo $Country->get_combo( "", "", "select2 form-control" );
			?>
		</div>
		<p>
			<?php echo __( "Enter your account details below:" ) ?>
		</p>
		<div class="form-group">
			<label class="control-label visible-ie8 visible-ie9">Username</label>
			<div class="input-icon">
				<i class="fa fa-user"></i>
				<input class="form-control placeholder-no-fix" type="text" autocomplete="off" placeholder="Username" name="username" />
			</div>
		</div>
		<div class="form-group">
			<label class="control-label visible-ie8 visible-ie9">Password</label>
			<div class="input-icon">
				<i class="fa fa-lock"></i>
				<input class="form-control placeholder-no-fix" type="password" autocomplete="off" id="register_password" placeholder="Password" name="password" />
			</div>
		</div>
		<div class="form-group">
			<label class="control-label visible-ie8 visible-ie9">Re-type Your Password</label>
			<div class="controls">
				<div class="input-icon">
					<i class="fa fa-check"></i>
					<input class="form-control placeholder-no-fix" type="password" autocomplete="off" placeholder="Re-type Your Password" name="rpassword" />
				</div>
			</div>
		</div>
		<div class="form-group">
			<label>
				<input type="checkbox" name="tnc" /> I agree to the <a href="#">Terms of Service</a> and
				<a href="#">Privacy Policy</a>
			</label>
			<div id="register_tnc_error">
			</div>
		</div>
		<div class="form-actions">
			<button id="register-back-btn" type="button" class="btn">
				<i class="m-icon-swapleft"></i> Back
			</button>
			<button type="submit" id="register-submit-btn" class="btn green pull-right">
				Sign Up <i class="m-icon-swapright m-icon-white"></i>
			</button>
		</div>
	</form>
	<!-- END REGISTRATION FORM -->
</div>
<!-- END LOGIN -->
<!-- BEGIN COPYRIGHT -->
<div class="copyright">
	<?php if ( ! empty( $__decoded_key["reseller_title"] ) ) { ?>
		<?php echo date( "Y" ); ?> &copy; <?php echo $__decoded_key["reseller_title"]; ?> | Version: <?php echo Version ?>
	<?php } else if ( is_file( ROOT_PATH . "branding" ) ) {
		$TT = file( ROOT_PATH . "branding" ); ?>
		<?php echo date( "Y" ); ?> &copy; <?php //echo base64_decode( $TT[0] ); ?> | Version: <?php echo Version ?>
	<?php } else { ?>
		2014-<?php echo date( "Y" ); ?> &copy; FeKara | Version: <?php echo Version ?>
	<?php } ?>
</div>

<?php load_js_files() ?>

<script src="<?php echo ASSETS_URL ?>scripts/app.js" type="text/javascript"></script>
<script type="text/javascript">
	var Login = function() {
		var handleLogin = function() {
			$( '.login-form' ).validate( {
				errorElement: 'span', //default input error message container
				errorClass: 'help-block', // default input error message class
				focusInvalid: false, // do not focus the last invalid input
				rules: {
					username: {
						required: true
					},
					password: {
						required: true
					},
					remember: {
						required: false
					}
				},
				messages: {
					username: {
						required: "Username is required."
					},
					password: {
						required: "Password is required."
					}
				},
				invalidHandler: function( event, validator ) { //display error alert on form submit
					$( '.alert-danger', $( '.login-form' ) ).show();
				},
				highlight: function( element ) { // hightlight error inputs
					$( element )
						.closest( '.form-group' ).addClass( 'has-error' ); // set error class to the control group
				},
				success: function( label ) {
					label.closest( '.form-group' ).removeClass( 'has-error' );
					label.remove();
				},
				errorPlacement: function( error, element ) {
					error.insertAfter( element.closest( '.input-icon' ) );
				},
				submitHandler: function( form ) {
					//form.submit(); // form validation success, call ajax form submit
					$( '.alert-danger' ).hide();
					$( ".loading" ).show();
					$.ajax( {
						type: "post",
						url: "<?php echo DOMAIN_URL ?>includes/old_ajax.php?action=login",
						data: $( form ).serialize(),
						success: function( data ) {
							if ( data.substr( 0, 2 )=="OK" ) {
								window.location.href = "<?php echo isset( $_GET["goto"] ) ? $_GET["goto"] : DOMAIN_URL; ?>";
							} else {
								$( ".loading" ).hide();
								$( ".login-form .alert > span" ).html( data );
								$( ".login-form .alert" ).show();
							}
						}
					} );
				}
			} );

			$( '.login-form input' ).keypress( function( e ) {
				if ( e.which==13 ) {
					if ( $( '.login-form' ).validate().form() ) {
						$( '.login-form' ).submit(); //form validation success, call ajax form submit
					}
					return false;
				}
			} );
		}

		return {
			//main function to initiate the module
			init: function() {
				handleLogin();
			}

		};
	}();

	jQuery( document ).ready( function() {
		App.init();
		Login.init();

		$( document ).on( "click", "#register-btn", function( event ) {
			event.preventDefault();
			$( ".register-form" ).show();
			$( '.login-form' ).hide();
		} );

		jQuery( '#register-back-btn' ).click( function() {
			jQuery( '.login-form' ).show();
			jQuery( '.register-form' ).hide();
		} );
	} );

	function Forgot( form ) {
		//Block();
		$.post( "<?php echo DOMAIN_URL ?>includes/old_ajax.php?action=forgotPassword", $( form ).serialize(), function( data ) {
			if ( data=="OK" ) {
				alert( "Please check your email for reset password." );
				$( "#loginDiv" ).modal( "hide" );
			} else {
				alert( data );
			}
			//UnBlock();
		} );
		return false;
	}

	function Submit2() {
		$( "#submit2" ).click();
	}
</script>
<!-- END JAVASCRIPTS -->
</body>
<!-- END BODY -->
</html>