<?php
if ( ! defined( "ROOT_PATH" ) ) {
	echo "Hay! Don't cheat, We don't allow to view this file too. . :)";
	exit;
}
if ( ! \Admins\UserInfo::is_allowed( "administrator" ) ) {
	include_once( __DIR__ . "/no_access.php" );
}
$title = "Manage Admin @ " . System;
include_once( __DIR__ . "/header.php" );
$admin_data = \Admins\UserInfo::get_admin_row( "id=$admin_id" );
?>

<script>
	var ajax_url = "<?php echo Urls::get_url( "ajax", 0, "action=saveInlineProfile2" ) ?>";
	var my_id = "<?php echo $admin_id ?>";
</script>

<link rel="stylesheet" type="text/css" href="<?php echo ASSETS_URL ?>plugins/bootstrap-editable/bootstrap-editable/css/bootstrap-editable.css" />
<link rel="stylesheet" type="text/css" href="<?php echo ASSETS_URL ?>plugins/bootstrap-editable/inputs-ext/address/address.css" />

<!-- BEGIN CONTAINER -->
<div class="page-container">
	<!-- BEGIN SIDEBAR -->
	<?php include_once( __DIR__ . "/sidebar.php" ); ?>
	<!-- END SIDEBAR -->

	<!-- BEGIN CONTENT -->
	<div class="page-content-wrapper">
		<div class="page-content">
			<!-- BEGIN SAMPLE PORTLET CONFIGURATION MODAL FORM-->
			<div class="modal fade" id="portlet-config" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
							<h4 class="modal-title">Modal title</h4>
						</div>
						<div class="modal-body">
							Widget settings form goes here
						</div>
						<div class="modal-footer">
							<button type="button" class="btn blue">Save changes</button>
							<button type="button" class="btn default" data-dismiss="modal">Close</button>
						</div>
					</div>
					<!-- /.modal-content -->
				</div>
				<!-- /.modal-dialog -->
			</div>
			<!-- /.modal -->
			<!-- END SAMPLE PORTLET CONFIGURATION MODAL FORM-->
			<!-- BEGIN PAGE HEADER-->
			<div class="row">
				<div class="col-md-12">
					<!-- BEGIN PAGE TITLE & BREADCRUMB-->
					<h3 class="page-title">
						Manage Admin
						<small>Manage name, password and other information of admin</small>
					</h3>
					<ul class="page-breadcrumb breadcrumb">
						<li class="btn-group">
							<button type="button" class="btn blue dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-delay="1000" data-close-others="true">
							<span>
								Actions
							</span>
								<i class="fa fa-angle-down"></i>
							</button>
							<ul class="dropdown-menu pull-right" role="menu">
								<li>
									<a href="#">Action</a>
								</li>
								<li>
									<a href="#">Another action</a>
								</li>
								<li>
									<a href="#">Something else here</a>
								</li>
								<li class="divider">
								</li>
								<li>
									<a href="#">Separated link</a>
								</li>
							</ul>
						</li>
						<li>
							<i class="fa fa-home"></i>
							<a href="<?php echo DOMAIN_URL ?>">Home</a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="<?php echo Urls::get_url( "admins" ) ?>">Admins</a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							Admin Profile # <?php echo $admin_id ?>
						</li>
					</ul>
					<!-- END PAGE TITLE & BREADCRUMB-->
				</div>
			</div>
			<!-- END PAGE HEADER-->
			<!-- BEGIN PAGE CONTENT-->
			<div class="row">
				<div class="col-md-12">
					<table id="user" class="table table-bordered table-striped">
						<tbody>
						<tr>
							<td style="width: 15%;">Admin system ID</td>
							<td>
								<?php echo $admin_data["id"] ?>
							</td>
							<td style="width:35%">
							<span class="text-muted">
								Admin system ID
							</span>
							</td>
						</tr>
						<tr>
							<td>Username</td>
							<td>
								<?php echo $admin_data["username"] ?>
							</td>
							<td style="width:35%">
							<span class="text-muted">
								Admin username
							</span>
							</td>
						</tr>
						<tr>
							<td>Full name</td>
							<td>
								<a id="name" href="#"><?php echo $admin_data["name"] ?></a>
							</td>
							<td style="width:35%">
							<span class="text-muted">
								Admin full name please
							</span>
							</td>
						</tr>
						<tr>
							<td>Email</td>
							<td>
								<a id="email" data-type="email" data-title="Your valid email address" href="#"><?php echo $admin_data["email"] ?></a>
							</td>
							<td style="width:35%">
							<span class="text-muted">
								Type admin valid and regular email address
							</span>
							</td>
						</tr>
						<tr>
							<td>Password</td>
							<td>
								<a id="password1" data-title="Type new password" data-value="" href="#"><?php echo str_repeat( "*", strlen( $admin_data["password"] ) / 2 ) ?></a>
							</td>
							<td style="width:35%">
							<span class="text-muted">
								Type admin password to use this software
							</span>
							</td>
						</tr>
						<tr>
							<td>Is Admin</td>
							<td>
								<a id="is_admin" data-title="Is this an Administrator?" data-type="select" data-value="<?php echo $admin_data["is_admin"] ?>" href="#"><?php echo \Str::yesno( $admin_data["is_admin"] ) ?></a>
							</td>
							<td style="width:35%">
							<span class="text-muted">
								Is this user an administrator with full priviliges?
							</span>
							</td>
						</tr>
						<tr>
							<td>Active</td>
							<td>
								<a id="active" data-title="Is it active admin?" data-type="select" data-value="<?php echo $admin_data["active"] ?>" href="#"><?php echo \Str::yesno( $admin_data["active"] ) ?></a>
							</td>
							<td style="width:35%">
							<span class="text-muted">
								Is this user an administrator?
							</span>
							</td>
						</tr>
						</tbody>
					</table>
				</div>
			</div>
			<!-- END PAGE CONTENT-->
		</div>
	</div>
	<!-- END CONTENT -->
</div>
<!-- END CONTAINER -->

<?php include_once( __DIR__ . "/footer.php" ); ?>

<script src="<?php echo \Theme::url() ?>js/manage_admin.js"></script>
<script>
	jQuery( document ).ready( function() {
		FormEditable.init();
	} );
</script>

</body>
<!-- END BODY -->
</html>