<?php
if ( ! defined( "ROOT_PATH" ) ) {
	echo "Hay! Don't cheat, We don't allow to view this file too. . :)";
	exit;
}
$title    = __( "Parents/Guardians" );
$guardian = new Guardian();

if ( isset( $_GET["check_unique"] ) ) {
	if ( empty( $_POST["email"] ) ) {
		return __( "No" );
	}
	$Q = "SELECT COUNT(*) FROM `guardians` WHERE `email`='{$_POST["email"]}'";
	echo $db->get_var( $Q ) == 0 ? "OK" : "No";
	exit;
}
if ( isset( $_GET["change_password"] ) ) {
	echo $guardian->change_password_by_admin( $_POST["id"], $_POST["password"] );
	exit;
}
if ( isset( $_GET["rows"] ) ) {
	$rows = $guardian->get_guardians_data();
	echo json_encode( $rows );
}

include_once( __DIR__ . "/header.php" );

$rows     = $guardian->get_guardians_data();
$s        = new Student();
$ps       = \General::localhost() ? 10 : 99999;
$Students = $s->get_students( "page=1&pagesize={$ps}" );
//$Students["rows"] = [];
?>

<script>
	function addLink() {
		$( "#form1_reset" ).click();
		$( "#form1_password1, #form1_password2, #form1_password, #form1_phone" ).parent().parent().addClass( "has-error" );
		$( "#form1_id" ).val( "0" );
		$( "#form1_password1" ).prop( "required", true );
		$( "#form1_password2" ).prop( "required", true );
		$( "#p1, #p2" ).show();
		$( "#form1_students" ).select2( "val", "" );
		$( "#form1_phone" ).val( "" );
		$( "#modal1" ).modal( "show" );
	}

	function submit_form1() {
		if ( !$( "#form1" ).validate().form() ) {
			return false;
		}

		var id = $( "#form1" ).find( "input[name=id]" ).val();
		$( "#modal1" ).modal( "hide" );
		Block();
		$.post( "<?php echo DOMAIN_URL ?>includes/ajax.php?action=addParent", $( "#form1" ).serialize(), function( data ) {
			if ( data=="OK" ) {
				Success( "<?php echo __( "Parent saved successfully!" ) ?>" );
				window.location.reload();
			} else {
				UnBlock();
				Error( data );
			}
		} );
		return false;
	}
</script>

<div class="page-container">
	<?php include_once( __DIR__ . "/sidebar.php" ); ?>

	<div class="page-content-wrapper">
		<div class="page-content">
			<div class="modal fade" id="modal1" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
			     aria-hidden="true">
				<div class="modal-dialog modal-full">
					<div class="modal-content">
						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
							<h4 class="modal-title"><?php echo __( "Save Parent/Guardian" ) ?></h4>
						</div>
						<div class="modal-body">
							<form action="#" class="form-horizontal validate" id="form1" onsubmit="submit_form1(); return false;">
								<input type="hidden" name="id" id="form1_id" value="0">
								<input type="reset" id="form1_reset" style="display: none;">
								<input type="submit" id="form1_submit" style="display: none;">
								<div class="form-body">
									<div class="form-group">
										<label for="form1_phone" class="col-md-3 control-label">
											<?php echo __( "Phone Number" ) ?>
										</label>
										<div class="col-md-9">
											<input required="required" id="form1_phone" name="phone" type="text" value="+92"
											       title="<?php echo __( "Valid phone required" ) ?>" autocomplete="off"
											       class="form-control mobile" placeholder="<?php echo __( "Valid phone number" ) ?>">
										</div>
									</div>
									<div class="form-group">
										<label for="form1_email" class="col-md-3 control-label">
											<?php echo __( "Email Address" ) ?>
										</label>
										<div class="col-md-9">
											<input id="form1_email" name="email" type="email" autocomplete="off"
											       title="<?php echo __( "Valid Email address" ) ?>"
											       class="form-control" placeholder="<?php echo __( "Email Address" ) ?>">
										</div>
									</div>
									<div class="form-group">
										<label for="form1_students" class="col-md-3 control-label">
											<?php echo __( "Select students" ) ?>
										</label>
										<div class="col-md-9">
											<select autocomplete="off" class="form-control select2" id="form1_students"
											        name="student_ids[]" multiple="multiple" data-placeholder="<?php echo __( "Select students" ) ?>"
											        title="<?php echo __( "Please select at least 1 student" ) ?>">
												<?php foreach ( $Students["rows"] as $student ) { ?>
													<option value="<?php echo $student["id"] ?>">
														<?php echo $student["name"] ?>
													</option>
												<?php } ?>
											</select>
										</div>
									</div>

									<div class="form-group" id="p1">
										<label for="form1_password1" class="col-md-3 control-label">
											<?php echo __( "Password" ) ?>
										</label>
										<div class="col-md-9">
											<input type="password" name="password1" id="form1_password1" required="required"
											       class="form-control" placeholder="<?php echo __( "Password" ) ?>"
											       title="<?php echo __( "Password required" ) ?>" data-rule-equalto="#form1_password2">
										</div>
									</div>
									<div class="form-group" id="p2">
										<label for="form1_password2" class="col-md-3 control-label">
											<?php echo __( "Confirm Password" ) ?>
										</label>
										<div class="col-md-9">
											<input type="password" name="password2" id="form1_password2" required="required"
											       class="form-control" placeholder="<?php echo __( "Confirm Password" ) ?>"
											       data-rule-equalto="#form1_password1" title="<?php echo __( "Confirm Password" ) ?>">
										</div>
									</div>
									<div class="form-group">
										<label class="col-md-3 control-label">Active</label>
										<div class="col-md-9">
											<select name="active" id="form1_active" class="form-control">
												<option value="1"><?php echo __( "Yes" ) ?></option>
												<option value="0"><?php echo __( "No" ) ?></option>
											</select>
										</div>
									</div>
								</div>
							</form>
						</div>
						<div class="modal-footer">
							<div class="btn-group">
								<button onclick="$('#form1').trigger('submit')" type="button" class="btn btn-primary">
									<?php echo __( "Save" ) ?>
								</button>
								<button type="button" class="btn default" data-dismiss="modal">
									<?php echo __( "Cancel" ) ?>
								</button>
							</div>
						</div>
					</div>
					<!-- /.modal-content -->
				</div>
				<!-- /.modal-dialog -->
			</div>
			<div class="row">
				<div class="col-md-12">
					<!-- BEGIN PAGE TITLE & BREADCRUMB-->
					<h3 class="page-title">
						<?php echo __( "Parents/Guardians" ) ?>
					</h3>
					<ul class="page-breadcrumb breadcrumb">
						<li class="btn-group">
							<a target="_blank" class="btn green" href="<?php echo get_guardian_panel_url() ?>" style="color:#FFF">
								<?php _e( "Open Guardian Panel" ) ?>
							</a>
							<button class="btn blue" onclick="addLink()" type="button">
								<i class="fa fa-plus"></i> <?php echo __( "Add Parent/Guardian" ); ?>
							</button>
						</li>
						<li>
							<i class="fa fa-home"></i>
							<a href="<?php echo DOMAIN_URL ?>"><?php echo __( "Home" ) ?></a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<?php echo __( "Parents/Guardians" ) ?>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="<?php echo Urls::get_url( "parents" ) ?>"><?php echo __( "Parents List" ) ?></a>
						</li>
					</ul>
					<!-- END PAGE TITLE & BREADCRUMB-->
				</div>
			</div>
			<!-- END PAGE HEADER-->
			<!-- BEGIN PAGE CONTENT-->
			<div class="row">
				<div class="col-md-12">
					<table class="table new_table table-striped table-bordered table-hover datatable" id="table1">
						<thead>
						<tr class="heading">
							<th style="width:10px"><input type="checkbox" id="check"></th>
							<th>(ID) <?php echo __( "Email" ) ?> - <?php _e( "Phone" ) ?></th>
							<th><?php echo __( "Students" ) ?></th>
							<th><?php echo __( "Active" ) ?></th>
						</tr>
						</thead>
						<tbody>
						<?php
						if ( ! empty( $rows ) ) {
							foreach ( $rows as $row ) { ?>
								<tr>
									<td><input type="checkbox" class="check" value="<?php echo $row["id"] ?>"></td>
									<td>
										<button title="Change Password" data-id="<?php echo $row["id"] ?>"
										        class="password_link pull-right btn btn-sm blue" type="button">
											<i class="fa fa-key"></i>
										</button>
										(ID: <?php echo $row["id"]; ?>)
										<a href="#" class="view" data-id="<?php echo $row["id"]; ?>">
											<?php echo $row["email"]; ?>
										</a>
										<?php if ( ! empty( $row["phone"] ) ) {
											echo "<br>" . $row["phone"];
										} ?>
									</td>
									<td>
										<?php
										echo $guardian->count_attached_students( $row["id"] );
										?>
									</td>
									<td><?php echo \Str::yesno( $row["active"] ); ?></td>
									<!--<td>
										<a class="view" data-parentid="<?php /*echo $row["id"]; */ ?>" style='cursor:pointer'>
											<i class='fa fa-pencil-square-o' aria-hidden='true'></i>
										</a>
									</td>-->
								</tr>
							<?php }
						} ?>
						</tbody>
					</table>
				</div>
			</div>
			<!-- END PAGE CONTENT-->

		</div>
	</div>
	<!-- END CONTENT -->
</div>
<!-- END CONTAINER -->

<?php include_once( __DIR__ . "/footer.php" ); ?>

<script>
	var rows = <?php echo json_encode( $rows ) ?>;
	var Emails = <?php
		$Es = [];
		foreach ( $rows as $row ) {
			$Es[] = $row["email"];
		}
		echo json_encode( $Es );
		?>;

	function reload_rows() {
		$.post( "<?php echo Urls::get_url( "parents", 0, "rows" ) ?>", function( data ) {
			rows = JSON.parse( data );
		} );
	}

	$( document ).ready( function() {
		$( document ).on( "click", ".password_link", function( event ) {
			event.preventDefault();
			var id = $( this ).attr( "data-id" );
			var new_password = window.prompt( "Type new password.", "" );
			if ( new_password ) {
				Block();
				$.post( "<?php echo Urls::get_url( "parents", 0, "change_password" ) ?>", {
					id: id,
					password: new_password
				}, function( data ) {
					UnBlock();
					if ( data=="OK" ) {
						alert( "<?php echo __( "Guardian password change successfully!" ) ?>" );
					} else {
						alert( data );
					}
				} );
			}
		} );

		// view parent data
		$( document ).on( "click", ".view", function( e ) {
			e.preventDefault();
			var id = $( this ).attr( "data-id" );
			$( "#form1_id" ).val( id );

			$.each( rows, function( i, row ) {
				if ( row.id==id ) {
					$( "#form1_password1, #form1_password2" ).val( "" );
					$( "#form1_email" ).val( row.email );
					if ( row.phone ) {
						$( "#form1_phone" ).val(  row.phone );
					} else {
						$( "#form1_phone" ).val( "" );
					}

					$( "#form1_active" ).val( row.active );
					$( "#form1_students" ).select2( "val", row.student_ids );
					$( "#form1_password1" ).prop( "required", false );
					$( "#form1_password2" ).prop( "required", false );
					$( "#p1, #p2" ).hide();
					$( "#modal1" ).modal( "show" );
				}
			} );
		} );

		// edit parent value
		$( document ).on( "submit", "#edit-form", function( e ) {
			e.preventDefault();
			Block();
			$.post( "<?php echo DOMAIN_URL ?>includes/ajax.php?action=ParentEdit", $( "#edit-form" ).serialize(), function( data ) {
				if ( data=="OK" ) {
					Success( "Record Updated successfully!" );
					window.location.reload();
					$( "#edit_model" ).modal( "hide" );
				} else {
					Error( data );
					UnBlock();
				}
			} );
			return false;
		} );

		$( document ).on( "click", "#form1_submit_btn", function( event ) {
			event.preventDefault();
			$( "#form1" ).trigger( "submit" );
		} );

		$.validator.addMethod(
			"unique",
			function( value, element ) {
				return jQuery.inArray( value, Emails )<0;
			},
			"<?php echo __( "Email already exists." ) ?>"
		);
	} );
</script>
</body>
</html>