<?php
if ( ! defined( "ROOT_PATH" ) ) {
	echo "Hay! Don't cheat, We don't allow to view this file too. . :)";
	exit;
}
if ( isset( $_GET["photo"] ) ) {
	if ( isset( $_FILES["photo"] ) ) {
		echo \Admins\Photo::save_photo( $_FILES["photo"] );
	} else {
		echo "File uploading error";
	}
	exit;
}

$title = "My Profile @ " . System;
include_once( __DIR__ . "/header.php" );
$admin_data = \Admins\UserInfo::get_admin_row();
?>

<script>
	var ajax_url = "<?php echo Urls::get_url( "ajax", 0, "action=saveInlineProfile" ) ?>";
	var my_id = "<?php echo \Admins\UserInfo::get_my_id() ?>";
</script>

<link rel="stylesheet" type="text/css" href="<?php echo ASSETS_URL ?>plugins/bootstrap-editable/bootstrap-editable/css/bootstrap-editable.css" />
<link rel="stylesheet" type="text/css" href="<?php echo ASSETS_URL ?>plugins/bootstrap-editable/inputs-ext/address/address.css" />

<div class="page-container">
	<?php include_once( __DIR__ . "/sidebar.php" ); ?>
	<div class="page-content-wrapper">
		<div class="page-content">
			<!-- BEGIN SAMPLE PORTLET CONFIGURATION MODAL FORM-->
			<div class="modal fade" id="portlet-config" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
							<h4 class="modal-title">Modal title</h4>
						</div>
						<div class="modal-body">
							Widget settings form goes here
						</div>
						<div class="modal-footer">
							<button type="button" class="btn blue">Save changes</button>
							<button type="button" class="btn default" data-dismiss="modal">Close</button>
						</div>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-12">
					<h3 class="page-title">
						My Profile
						<small>Manage your name, password and other information</small>
					</h3>
					<ul class="page-breadcrumb breadcrumb">
						<!--li class="btn-group">
							<button type="button" class="btn blue dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-delay="1000" data-close-others="true">
							<span>
								Actions
							</span>
							<i class="fa fa-angle-down"></i>
							</button>
							<ul class="dropdown-menu pull-right" role="menu">
								<li>
									<a href="#">Action</a>
								</li>
								<li>
									<a href="#">Another action</a>
								</li>
								<li>
									<a href="#">Something else here</a>
								</li>
								<li class="divider">
								</li>
								<li>
									<a href="#">Separated link</a>
								</li>
							</ul>
						</li-->
						<li>
							<i class="fa fa-home"></i>
							<a href="<?php echo DOMAIN_URL ?>">Home</a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="<?php echo Urls::get_url( "admins" ) ?>">Admins</a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							My Profile
						</li>
					</ul>
					<!-- END PAGE TITLE & BREADCRUMB-->
				</div>
			</div>
			<!-- END PAGE HEADER-->
			<!-- BEGIN PAGE CONTENT-->

			<div class="row">
				<div class="col-md-8">
					<table id="user" class="table table-bordered table-striped">
						<tbody>
						<tr>
							<td style="width: 15%;">Your system ID</td>
							<td>
								<a href="#"><?php echo $admin_data["id"] ?></a>
							</td>
							<td style="width:35%">
							<span class="text-muted">
								Your system ID
							</span>
							</td>
						</tr>
						<tr>
							<td>Username</td>
							<td>
								<a href="#"><?php echo $admin_data["username"] ?></a>
							</td>
							<td style="width:35%">
							<span class="text-muted">
								Your username
							</span>
							</td>
						</tr>
						<tr>
							<td>Full name</td>
							<td>
								<a id="name" href="#"><?php echo $admin_data["name"] ?></a>
							</td>
							<td style="width:35%">
							<span class="text-muted">
								Your full name please
							</span>
							</td>
						</tr>
						<tr>
							<td>Email</td>
							<td>
								<a id="email" data-type="email" data-title="Your valid email address" href="#"><?php echo $admin_data["email"] ?></a>
							</td>
							<td style="width:35%">
							<span class="text-muted">
								Type your valid and regular email address
							</span>
							</td>
						</tr>
						<tr>
							<td>Password</td>
							<td>
								<a id="password1" data-title="Type new password" data-value="" href="#"><?php echo str_repeat( "*", strlen( $admin_data["password"] ) / 2 ) ?></a>
							</td>
							<td style="width:35%">
							<span class="text-muted">
								Type your password to use this software
							</span>
							</td>
						</tr>
						</tbody>
					</table>
				</div>
				<div class="col-md-4">
					<form id="photoForm" name="photoForm">
						<label style="cursor: pointer;">
							<img src="<?php echo \Admins\UserInfo::get_photo_url(); ?>" id="img" class="tooltips thumbnail" title="Click me to change photo" />
							<input type="file" style="display: none;" name="photo" accept="image/*" id="photo" onchange="UploadPhoto(this)" />
							<img src="<?php echo \Theme::url() ?>images/loading.gif" class="hidden" id="loadingImg" />
						</label>
					</form>
				</div>
			</div>
			<!-- END PAGE CONTENT-->
		</div>
	</div>
	<!-- END CONTENT -->
</div>
<!-- END CONTAINER -->

<?php include_once( __DIR__ . "/footer.php" ); ?>

<script src="<?php echo \Theme::url() ?>js/profile.js"></script>
<script>
	jQuery( document ).ready( function() {
		FormEditable.init();
	} );

	function UploadPhoto( input ) {
		if ( input.files && input.files[ 0 ] ) {
			var reader = new FileReader();

			reader.onload = function( e ) {
				$( "#img" ).attr( "src", e.target.result );
			};

			reader.readAsDataURL( input.files[ 0 ] );

			$( "#loadingImg" ).show();
			form = $( "#photoForm" );
			$.ajax( {
				url: '<?php echo Urls::get_url( "profile", 0, "photo" ) ?>',
				type: 'POST',
				data: new FormData( document.getElementById( 'photoForm' ) ),
				processData: false,
				contentType: false,
				success: function( data ) {
					$( "#loadingImg" ).hide();
					document.photoForm.reset();
					if ( data=="OK" ) {
						$( "#MyPhoto" ).attr( "src", $( "#img" ).attr( "src" ) );
						Success( "Photo uploaded successfully!" );
					} else {
						Error( data );
					}
				},
				error: function( data ) {
					document.photoForm.reset();
					$( "#loadingImg" ).hide();
					Error( data );
				}
			} );
		} else {
			$( '#photo' ).attr( 'src', '<?php echo \Theme::url() ?>images/no-image.png' );
		}
	}
</script>

</body>
<!-- END BODY -->
</html>