<?php
if ( ! defined( "ROOT_PATH" ) ) {
	echo "Hay! Don't cheat, We don't allow to view this file too. . :)";
	exit;
}
$title = "Report a Bug";

if ( isset( $_GET["email"] ) ) {
	extract( $_POST );
	$email = isset($email)?$email:'';
	if ( ! \Str::is_email( $email ) ) {
		die( "Invalid email provided" );
	}
	$name = isset($name)?$name:'';
	if ( \Str::xtrim( $name ) == "" ) {
		die( "Please provide your name" );
	}
	$message = isset($message)?$message:'';
	if ( \Str::xtrim( $message ) == "" ) {
		die( "Blank message" );
	}

	$File = "";
	if ( isset( $_FILES["file"]["error"] ) && $_FILES["file"]["error"] == "0" ) {
		$File = TMP_PATH . $_FILES["file"]["name"];
		if ( ! move_uploaded_file( $_FILES["file"]["tmp_name"], $File ) ) {
			$File == "";
		}
	}

	$M = "From: $name<br />";
	$M .= "Email: $email<br />";
	$M .= "<br />Username: " . \Admins\UserInfo::get_admin( "username" );
	$M .= "<br />Phone: $phone";

	$M .= "<br /><br />IP: " . \General::myip();
	$M .= "<br />From: " . DOMAIN_URL;

	$M .= "<br /><br /><b>Message</b><br />" . nl2br( $message );
	if ( $File <> "" && file_exists( $File ) ) {
		$response = send_mail( "shakeel@shakeelahmed.info", "feKara: Report a Bug", $M, $email, "System", $File, $email, \Admins\UserInfo::get_admin( "name" ), "Shakeel Ahmed" );
	} else {
		$response = send_mail( "shakeel@shakeelahmed.info", "feKara: Report a Bug", $M, $email, "System", "", $email, \Admins\UserInfo::get_admin( "name" ), "Shakeel Ahmed" );
	}
	if ( file_exists( $File ) ) {
		@unlink( $File );
	}
	echo $response;
	exit;
}

include_once( __DIR__ . "/header.php" ); ?>

<!-- BEGIN CONTAINER -->
<div class="page-container">
	<!-- BEGIN SIDEBAR -->
	<?php include_once( __DIR__ . "/sidebar.php" ); ?>
	<!-- END SIDEBAR -->
	<!-- BEGIN CONTENT -->
	<div class="page-content-wrapper">
		<div class="page-content">
			<!-- BEGIN SAMPLE PORTLET CONFIGURATION MODAL FORM-->
			<!-- END STYLE CUSTOMIZER -->
			<!-- BEGIN PAGE HEADER-->
			<div class="row">
				<div class="col-md-12">
					<!-- BEGIN PAGE TITLE & BREADCRUMB-->
					<h3 class="page-title">
						Contact Us
						<small>contact us page</small>
					</h3>
					<ul class="page-breadcrumb breadcrumb">
						<li>
							<i class="fa fa-home"></i>
							<a href="index.html">Home</a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="<?php echo Urls::get_url( "report_a_bug" ) ?>">Report a Bug</a>
						</li>
					</ul>
					<!-- END PAGE TITLE & BREADCRUMB-->
				</div>
			</div>
			<!-- END PAGE HEADER-->
			<!-- BEGIN PAGE CONTENT-->
			<div class="row">
				<div class="col-md-12">
					<!-- Google Map -->
					<!--div class="row">
						<div id="map" class="gmaps margin-bottom-40" style="height:400px;">
						</div>
					</div-->
					<div class="row margin-bottom-20">
						<div class="col-md-6">
							<div class="space20">
							</div>
							<h3 class="form-section">Contacts</h3>
							<p>
								Please report us bug to improve our software. You can also submit screen shot files or any other files to us.
							</p>
							<div class="well">
								<h4>Address</h4>
								<address>
									<strong>creativeON</strong><br>
									Office # 10, 2nd Floor<br>
									Glmaour 1 Plaza, Lahore<br>
									<abbr title="Phone">P:</abbr> +92 42 35213207-9
								</address>
								<address>
									<strong>Email</strong><br>
									<a href="mailto:support@fekara.com">support@fekara.com</a>
								</address>
								<ul class="social-icons margin-bottom-10">
									<li>
										<a target="_blank" href="https://www.facebook.com/pages/FeKara/885193168181907" data-original-title="facebook" class="facebook"></a>
									</li>
									<!--li>
										<a href="#" data-original-title="github" class="github"></a>
									</li>
									<li>
										<a href="#" data-original-title="Goole Plus" class="googleplus"></a>
									</li>
									<li>
										<a href="#" data-original-title="linkedin" class="linkedin"></a>
									</li>
									<li>
										<a href="#" data-original-title="rss" class="rss"></a>
									</li>
									<li>
										<a href="#" data-original-title="skype" class="skype"></a>
									</li-->
									<li>
										<a target="_blank" href="https://twitter.com/fekarasoft" data-original-title="twitter" class="twitter"></a>
									</li>
									<!--li>
										<a href="#" data-original-title="youtube" class="youtube"></a>
									</li-->
								</ul>
							</div>
						</div>
						<div class="col-md-6">
							<div class="space20">
							</div>
							<!-- BEGIN FORM-->
							<form onsubmit="return Send(this)" class="horizontal-form">
								<h3 class="form-section">Report your bug</h3>
								<div class="form-group">
									<label class="control-label">Name</label>
									<input type="text" class="form-control col-md-12" name="name" required="required" value="<?php echo \Admins\UserInfo::get_admin( "name" ) ?>" />
								</div>
								<div class="form-group">
									<label class="control-label">Email</label>
									<input type="email" class="form-control col-md-12" name="email" required="required" value="<?php echo \Admins\UserInfo::get_admin( "email" ) ?>" />
								</div>
								<div class="form-group">
									<label class="control-label">Phone</label>
									<input type="tel" class="form-control col-md-12" name="phone" value="<?php echo \Admins\UserInfo::get_admin( "phone" ) ?>" />
								</div>
								<div class="form-group">
									<label class="control-label">Detail about bug</label>
									<textarea class="form-control col-md-12" rows="3" name="message" required="required"></textarea>
								</div>
								<div class="form-group">
									<label class="control-label">Attach a File (Screenshot etc.)</label>
									<input type="file" class="form-control col-md-12" name="file" />
								</div>
								<div class="margin-top-10">
									<button type="submit" class="btn blue"><i class="fa fa-check"></i> Send</button>
									<button type="button" class="btn">Cancel</button>
								</div>
							</form>
							<!-- END FORM-->
						</div>
					</div>
				</div>
			</div>
			<!-- END PAGE CONTENT-->
		</div>
	</div>
	<!-- END CONTENT -->
</div>
<!-- END CONTAINER -->

<?php include_once( __DIR__ . "/footer.php" ); ?>
<script src="http://maps.google.com/maps/api/js?sensor=true" type="text/javascript"></script>
<script src="<?php echo ASSETS_URL ?>plugins/gmaps/gmaps.js" type="text/javascript"></script>
<script type="text/javascript">
	/*
	var ContactUs = function () {
		return {
			//main function to initiate the module
			init: function () {
				var map;
				$(document).ready(function(){
				  map = new GMaps({
					div: '#map',
					lat: 31.46512,
					lng: 74.3121013
				  });
				   var marker = map.addMarker({
						lat: 31.46512,
						lng: 74.3121013,
						title: 'creativeON',
						infoWindow: {
							content: "<b>creativeON</b> Office # 10, 2nd Floor, Glamour 1 Plaza, Lahore"
						}
					});

				   marker.infoWindow.open(map, marker);
				});
			}
		};

	}();
	jQuery(document).ready(function() {
	   ContactUs.init();
	}); */
	function Send( form ) {
		Block();
		$.ajax( {
			url: '<?php echo Urls::get_url( "report_a_bug", 0, "email" ) ?>',
			type: 'POST',
			data: new FormData( form ),
			processData: false,
			contentType: false,
			success: function( data ) {
				UnBlock();
				if ( data=="OK" ) {
					Success( "Thank you very for reporting bug." );
					form.reset();
				} else {
					Error( data );
				}
			},
			error: function( data ) {
				UnBlock();
				Error( data );
			}
		} );
		/*$.post("<?php echo Urls::get_url( "report_a_bug", 0, "email" ) ?>",$(form).serialize(),function(data){
        UnBlock();
        alert(data);
    });*/
		return false;
	}
</script>
</body>
<!-- END BODY -->
</html>