<?php
if ( ! defined( "ROOT_PATH" ) ) {
	echo "Hay! Don't cheat, We don't allow to view this file too. . :)";
	exit;
}
if ( ! \Admins\UserInfo::is_allowed( "change_sms_settings" ) ) {
	include_once( __DIR__ . "/no_access.php" );
}
$title = "SMS Settings";
include_once( __DIR__ . "/header.php" );
$SMS = new SMS();
?>
<script>
	var ajax_url = "<?php echo Urls::get_url( "ajax",0, "action=saveInlineSettings" ) ?>";
	var my_id = "1";
	var sms_gateways = <?php echo json_encode($SMS->Gateways) ?>;
</script>

<?php if ( isset( $_GET["removeLogo"] ) ) {
	if ( $_GET["removeLogo"] == "1" ) {
		@unlink( $db->get_option( "logo1_path" ) );
		$db->set_option( "logo1_path" );
		$db->set_option( "logo1" );
	} else if ( $_GET["removeLogo"] == "2" ) {
		@unlink( $db->get_option( "logo2_path" ) );
		$db->set_option( "logo2_path" );
		$db->set_option( "logo2" );
	} else if ( $_GET["removeLogo"] == "3" ) {
		@unlink( $db->get_option( "logo3_path" ) );
		$db->set_option( "logo3_path" );
		$db->set_option( "logo3" );
	}
} ?>

<link rel="stylesheet" type="text/css" href="<?php echo ASSETS_URL ?>plugins/bootstrap-editable/bootstrap-editable/css/bootstrap-editable.css" />
<link rel="stylesheet" type="text/css" href="<?php echo ASSETS_URL ?>plugins/bootstrap-editable/inputs-ext/address/address.css" />

<!-- BEGIN CONTAINER -->
<div class="page-container">
	<!-- BEGIN SIDEBAR -->
	<?php include_once( __DIR__ . "/sidebar.php" ); ?>
	<!-- END SIDEBAR -->

	<!-- BEGIN CONTENT -->
	<div class="page-content-wrapper">
		<div class="page-content">
			<!-- BEGIN SAMPLE PORTLET CONFIGURATION MODAL FORM-->
			<div class="modal fade" id="portlet-config" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
							<h4 class="modal-title">Modal title</h4>
						</div>
						<div class="modal-body">
							Widget settings form goes here
						</div>
						<div class="modal-footer">
							<button type="button" class="btn blue">Save changes</button>
							<button type="button" class="btn default" data-dismiss="modal">Close</button>
						</div>
					</div>
					<!-- /.modal-content -->
				</div>
				<!-- /.modal-dialog -->
			</div>
			<!-- /.modal -->
			<!-- END SAMPLE PORTLET CONFIGURATION MODAL FORM-->

			<!-- BEGIN PAGE HEADER-->
			<div class="row">
				<div class="col-md-12">
					<!-- BEGIN PAGE TITLE & BREADCRUMB-->
					<h3 class="page-title">
						SMS Settings
						<small>Change SMS settings</small>
					</h3>
					<ul class="page-breadcrumb breadcrumb">
						<!--li class="btn-group">
							<button type="button" class="btn blue dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-delay="1000" data-close-others="true">
							<span>
								Actions
							</span>
							<i class="fa fa-angle-down"></i>
							</button>
							<ul class="dropdown-menu pull-right" role="menu">
								<li>
									<a href="#">Action</a>
								</li>
								<li>
									<a href="#">Another action</a>
								</li>
								<li>
									<a href="#">Something else here</a>
								</li>
								<li class="divider">
								</li>
								<li>
									<a href="#">Separated link</a>
								</li>
							</ul>
						</li-->
						<li>
							<i class="fa fa-home"></i>
							<a href="<?php echo DOMAIN_URL ?>"><?php echo __( "Home" ) ?></a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<?php echo __( "Settings" ) ?>
							<a href="#"><i class="fa fa-angle-right"></i></a>
						</li>
						<li>
							<a href="<?php echo Urls::get_url( "settings/sms" ) ?>"><?php echo __( "SMS Settings" ) ?></a>
						</li>
					</ul>
					<!-- END PAGE TITLE & BREADCRUMB-->
				</div>
			</div>
			<!-- END PAGE HEADER-->
			<!-- BEGIN PAGE CONTENT-->
			<div class="row">
				<div class="col-md-12">
					<table id="user" class="table table-bordered table-striped">
						<tbody>
						<tr>
							<td><?php echo __( "SMS Gateway" ) ?></td>
							<td>
								<?php
								$sms_gateway = $db->get_option( "sms_gateway", "0" );
								?>
								<a id="sms_gateway" data-inputclass="form-control" data-value="<?php echo $sms_gateway ?>" href="#"><?php echo $SMS->Gateways[ $sms_gateway ] ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e('If no gateway selected the SMS service will not work.') ?>
							</span>
							</td>
						</tr>
						<tr>
							<td><?php echo __("SMS API Key/Password") ?></td>
							<td>
								<?php $sms_api = $db->get_option( "sms_api" ); ?>
								<a id="sms_api" data-inputclass="form-control input-xlarge" data-value="<?php echo $sms_api ?>" href="#"><?php echo $sms_api ?></a>
							</td>
							<td>
							<span class="text-muted">
                                <code>Current SMS Balance: <?php $b = $SMS->sms_balance();
	                                echo $b; ?></code>
								<?php if ($db->get_option( "sms_gateway", "0" )=="fekara") { ?>
								<br>You need to buy SMS balance from <a target="_blank" href="http://creativeon.com">creativeON</a>
								<?php } ?>
							</span>
							</td>
						</tr>
						<tr>
							<td><?php echo __("SMS User") ?></td>
							<td>
								<?php $sms_user = $db->get_option( "sms_user" ); ?>
								<a id="sms_user" data-inputclass="form-control input-xlarge" data-value="<?php echo $sms_user ?>" href="#"><?php echo $sms_user ?></a>
							</td>
							<td>
							<span class="text-muted">
								<code>Not required for Fekara Built-in Gateway</code>
							</span>
							</td>
						</tr>
						<tr>
							<td><?php echo __("SMS Sender ID/Mask") ?></td>
							<td>
								<?php $sms_sender_id = $db->get_option( "sms_sender_id" ); ?>
								<a id="sms_sender_id" data-inputclass="form-control input-xlarge" data-value="<?php echo $sms_sender_id ?>" href="#"><?php echo $sms_sender_id ?></a>
							</td>
							<td>
							<span class="text-muted">
								<code>Not required for Fekara Built-in Gateway</code>
							</span>
							</td>
						</tr>
						<tr>
							<td>SMS Header</td>
							<td>
								<a id="sms_header" href="#"><?php echo $db->get_option( "sms_header" ) ?></a>
							</td>
							<td>
							<span class="text-muted">
								This header will be added on each sending SMS
							</span>
							</td>
						</tr>
						<tr>
							<td>SMS Footer</td>
							<td>
								<a id="sms_footer" href="#"><?php echo $db->get_option( "sms_footer" ) ?></a>
							</td>
							<td>
							<span class="text-muted">
								This footer will be added on each sending SMS
							</span>
							</td>
						</tr>
						</tbody>
					</table>
				</div>
			</div>
			<!-- END PAGE CONTENT-->
		</div>
	</div>
	<!-- END CONTENT -->
</div>
<!-- END CONTAINER -->

<?php include_once( __DIR__ . "/footer.php" ); ?>
<script src="<?php echo \Theme::url() ?>js/settings_sms.min.js?<?php echo md5_file( \Theme::path() . "js/settings_sms.js" ); ?>"></script>
<script>
	jQuery( document ).ready( function() {
		FormEditable.init();
	} );
	<?php if (isset( $_GET["r"] ) && $_GET["r"] <> "OK"): ?>
	Error( "<?php echo $_GET["r"] ?>" );
	<?php endif; ?>
	<?php if (isset( $_GET["r"] ) && $_GET["r"] == "OK"): ?>
	Success( "Logo updated successfully!" );
	<?php endif;
	if (! is_paid_fekara()) {
	?>
	$( function() {
		$( "#user" ).block( {
			message: "Free FeKara do not allow SMS",
			css: { padding: '5px' }
		} );

		$( document ).on( "click", "#user a", function( e ) {
			e.preventDefault();
			alert( "Free FeKara do not allowed SMS functions" );
		} );
	} );
	<?php } ?>
</script>

</body>
<!-- END BODY -->
</html>