<?php
if ( ! defined( "ROOT_PATH" ) ) {
	echo "Hay! Don't cheat, We don't allow to view this file too. . :)";
	exit;
}
if ( ! \Admins\UserInfo::is_allowed( "sms_section" ) ) {
	include_once( __DIR__ . "/no_access.php" );
}
$title = "Sent SMS Logs";
include_once( __DIR__ . "/header.php" );
$File = new File();
?>

<!-- BEGIN CONTAINER -->
<div class="page-container">
	<?php include_once( __DIR__ . "/sidebar.php" ); ?>

	<!-- BEGIN CONTENT -->
	<div class="page-content-wrapper">
		<div class="page-content">
			<!-- BEGIN PAGE HEADER-->
			<div class="row">
				<div class="col-md-12">
					<!-- BEGIN PAGE TITLE & BREADCRUMB-->
					<h3 class="page-title">
						SMS Logs
						<small>All sent SMS logs</small>
					</h3>
					<ul class="page-breadcrumb breadcrumb">
						<li>
							<i class="fa fa-home"></i>
							<a href="<?php echo DOMAIN_URL ?>">Home</a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="#">SMS</a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="<?php echo Urls::get_url( "sms/logs" ) ?>">SMS Logs</a>
						</li>
					</ul>
					<!-- END PAGE TITLE & BREADCRUMB-->
				</div>
			</div>
			<!-- END PAGE HEADER-->
			<!-- BEGIN PAGE CONTENT-->
			<div class="row">
				<div class="col-md-12">
					<?php
					$SMS   = new SMS;
					$files = $SMS->get_log_files();
					?>
					<table class="table table-striped table-bordered table-hover" id="mytable">
						<thead>
						<th>Sr.</th>
						<th>File Name</th>
						<th>File Size</th>
						</thead>
						<tbody>
						<?php foreach ( $files as $key => $file ): ?>
							<tr>
								<td><?php echo( $key + 1 ); ?></td>
								<td>
									<a class="tooltips" title="View Logs" href="<?php echo Urls::get_url( "sms/logs/view", 0, "file=" . basename( $file ) ) ?>"><?php echo basename( $file ) ?></a>
								</td>
								<td><?php echo $File->bytes_format( filesize( $file ) ) ?></td>
							</tr>
						<?php endforeach; ?>
						</tbody>
					</table>
				</div>
			</div>
		</div>
	</div>
</div>

<?php include_once( __DIR__ . "/footer.php" ); ?>

</body>
</html>