<?php
if ( ! defined( "ROOT_PATH" ) ) {
	echo "Hay! Don't cheat, We don't allow to view this file too. . :)";
	exit;
}

$_GET["file"] = isset( $_GET["file"] ) ? $_GET["file"] : '';

$title = "Logs: " . $_GET["file"];
include_once( __DIR__ . "/header.php" ); ?>

<!-- BEGIN CONTAINER -->
<div class="page-container">
	<?php include_once( __DIR__ . "/sidebar.php" ); ?>

	<!-- BEGIN CONTENT -->
	<div class="page-content-wrapper">
		<div class="page-content">
			<!-- BEGIN PAGE HEADER-->
			<div class="row">
				<div class="col-md-12">
					<!-- BEGIN PAGE TITLE & BREADCRUMB-->
					<h3 class="page-title">
						SMS Logs
						<small>All sent SMS logs</small>
					</h3>
					<ul class="page-breadcrumb breadcrumb">
						<li>
							<i class="fa fa-home"></i>
							<a href="<?php echo DOMAIN_URL ?>">Home</a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="#">SMS</a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="<?php echo Urls::get_url( "sms/logs" ) ?>">SMS Logs</a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="<?php echo Urls::get_url( "sms/logs/view", 0, "file=" . $_GET["file"] ) ?>">
								<?php echo $_GET["file"] ?>
							</a>
						</li>
					</ul>
					<!-- END PAGE TITLE & BREADCRUMB-->
				</div>
			</div>
			<!-- END PAGE HEADER-->
			<!-- BEGIN PAGE CONTENT-->
			<div class="row">
				<div class="col-md-12">
					<?php
					$SMS    = new SMS;
					$Admins = new Admins;
					$logs   = $SMS->file_logs( $_GET["file"] );
					?>
					<table class="table table-striped table-bordered table-hover" id="mytable">
						<thead>
						<th>Sr.</th>
						<th>Cell #</th>
						<th>Message</th>
						<th>Time</th>
						<th>IP</th>
						<th>User</th>
						</thead>
						<tbody>
						<?php foreach ( $logs as $key => $log ): ?>
							<tr>
								<td><?php echo $key + 1 ?></td>
								<td><?php echo $log["cell"] ?><br />
									<code><?php echo ceil( strlen( $log["message"] ) / 150 ) ?> SMS credit(s) used</code>
								</td>
								<td><?php echo nl2br( urldecode( $log["message"] ) ) ?></td>
								<td><?php echo $log["time"] ?></td>
								<td><?php echo $log["ip"] ?></td>
								<td><?php echo \Admins\UserInfo::get_admin( "username", $log["admin"] ) ?></td>
							</tr>
						<?php endforeach; ?>
						</tbody>
					</table>
				</div>
			</div>
			<!-- END PAGE CONTENT-->
		</div>
	</div>
	<!-- END CONTENT -->
</div>
<!-- END CONTAINER -->

<?php include_once( __DIR__ . "/footer.php" ); ?>

</body>

</html>