<?php
if ( ! defined( "ROOT_PATH" ) ) {
	echo "Hay! Don't cheat, We don't allow to view this file too. . :)";
	exit;
}
$s = new Student;
$b = new Batch;
$c = new BatchClass;
if ( empty( $student_id ) && empty( $_GET["id"] ) ) {
	Urls::redirect( Urls::get_url( "students" ) );
}

if ( empty( $student_id ) ) {
	$student_id = $_GET["id"];
}
$student_data = $s->get_student( $student_id );

if ( ! isset( $student_data["admission_number"] ) ) {
	Urls::redirect( Urls::get_url( "students" ) );
}
# If sutdnet is not in current batch then it will redirect.
//if ( !$s->is_current_batch($student_id) ) $url->redirect( $url->get_url("students") );

$title = __( "Student Profile: Admission Number: %1", $student_data["admission_number"] );
include_once( __DIR__ . "/header.php" );
?>

<script>
	var student_id = "<?php echo $student_id; ?>";
	var ajax_url = "<?php echo Urls::get_url( "ajax", 0, "action=saveInlineStudent" ) ?>";
	var ajax_url2 = "ajax/student_profile.php";

	<?php $batch = $b->get_list( "limit=1&orderby=id&order=DESC" );
	$classes = $c->get_list();
	$ar = array();
	foreach ( $classes as $class ) {
		$ar[] = array( "value" => $class["id"], "text" => $class["class_name"] . " - " . $batch["batch_name"] );
	} ?>
	var classes = <?php echo json_encode( $ar ); ?>;
	<?php $relations = array();
	foreach ( $s->RelationArray as $relation ) {
		$relations[] = array( "value" => $relation, "text" => __($relation) );
	} ?>
	var relations = <?php echo json_encode( $relations ) ?>;
	<?php $blood_groups = [];
	foreach ( $s->BloodGroupsArray as $bg ) {
		$blood_groups[] = [ "value" => str_replace( "+", "PP", $bg ), "text" => $bg ];
	}
	?>
	var bgs = <?php echo json_encode( $blood_groups ) ?>;
	var dec = <?php echo App::get_currency_decimals() ?>;
	var subjects = <?php $s = new Subject; $rows = $s->get_list(); $result = array(); foreach ( $rows as $row ) {
		$result[] = $row["subject"];
	} echo json_encode( $result ); ?>;
</script>

<link rel="stylesheet" type="text/css" href="<?php echo ASSETS_URL ?>plugins/bootstrap-editable/bootstrap-editable/css/bootstrap-editable.css" />
<link rel="stylesheet" type="text/css" href="<?php echo ASSETS_URL ?>plugins/bootstrap-editable/inputs-ext/address/address.css" />

<div class="modal fade" id="SMSModal" tabindex="-3" role="basic" aria-hidden="true">
	<div class="modal-dialog modal-wide">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
				<h4 class="modal-title"><?php echo __( "Send SMS" ) ?></h4>
			</div>
			<div class="modal-body">
				<form id="sms_form">
					<input type="hidden" name="student_id" value="<?php echo $student_id ?>">
					<table class="table table-bordered">
						<tr>
							<td><?php _e( "Send SMS To" ) ?></td>
							<td>
								<select class="form-control" name="send_to">
									<option value="G"><?php _e( "Guardian" ) ?> (<?php echo $student_data["guardian_cell"] ?>)</option>
									<option value="S"><?php _e( "Student" ) ?> (<?php echo $student_data["cell"] ?>)</option>
								</select>
							</td>
						</tr>
						<tr>
							<td colspan="2">
								<textarea name="body" required="required" rows="6" style="width: 100%;" placeholder="<?php _e( "SMS Message" ) ?>"></textarea>
							</td>
						</tr>
					</table>
				</form>
			</div>
			<div class="modal-footer">
				<div class="btn-group">
					<button type="button" onclick="$('#sms_form').trigger('submit');" class="btn blue"><?php _e( "Send" ) ?></button>
					<button type="button" class="btn default" data-dismiss="modal"><?php _e( "Cancel" ) ?></button>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="modal fade" id="emailModal" tabindex="-2" role="basic" aria-hidden="true">
	<div class="modal-dialog modal-full">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
				<h4 class="modal-title"><?php _e( "Send Email" ) ?></h4>
			</div>
			<div class="modal-body">
				<form id="send_mail_form">
					<input type="hidden" name="student_id" value="<?php echo $student_id ?>">
					<input type="submit" id="submit2" style="display:none">
					<table class="table table-bordered">
						<tr>
							<td><?php _e( "Send email to" ) ?>:</td>
							<td>
								<select class="form-control" name="send_to">
									<option value="<?php echo $student_data["guardian_email"] ?>"><?php _e( "Guardian" ) ?> (<?php echo $student_data["guardian_email"] ?>)</option>
									<option value="<?php echo $student_data["email"] ?>"><?php _e( "Student" ) ?> (<?php echo $student_data["email"] ?>)</option>
								</select>
							</td>
						</tr>
						<tr>
							<td><?php _e( "Subject" ) ?>:</td>
							<td>
								<input class="form-control" name="subject" type="text" required="required" placeholder="<?php _e( "Subject" ) ?>">
							</td>
						</tr>
						<tr>
							<td colspan="2">
								<textarea name="body" class="wysihtml5" rows="6" style="width: 100%;"></textarea>
							</td>
						</tr>
					</table>
				</form>
			</div>
			<div class="modal-footer">
				<div class="btn-group">
					<button type="button" class="btn default" data-dismiss="modal"><?php _e( "Cancel" ) ?></button>
					<button type="button" onclick="$('#send_mail_form').trigger('submit')" class="btn blue"><?php _e( "Send Email" ) ?></button>
				</div>
			</div>
		</div>
		<!-- /.modal-content -->
	</div>
	<!-- /.modal-dialog -->
</div>

<div class="modal fade" id="invoice" tabindex="-1" role="basic" aria-hidden="true">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
				<h4 class="modal-title"><?php _e( "Pay Fee" ) ?></h4>
			</div>
			<div class="modal-body">
				<form name="form1" id="form1" onsubmit="return Save();">
					<input type="hidden" name="student_id" id="student_id" value="<?php echo $student_id ?>" />
					<input type="submit" id="submit1" style="display:none" />
					<table class="table table-bordered">
						<tr>
							<td><?php _e( "Amount" ) ?>:</td>
							<td>
								<input type="number" class="form-control" id="amount" name="amount" step=".01" min=".01"
								       required="required" placeholder="<?php _e( "Amount" ) ?>">
							</td>
						</tr>
						<tr>
							<td><?php _e( "Fee Title" ) ?>:</td>
							<td>
								<input class="form-control" id="fee_title" name="fee_title" type="text" required="required" placeholder="<?php _e( "Fee Title" ) ?>">
							</td>
						</tr>
						<tr>
							<td><?php _e( "Date" ) ?>:</td>
							<td>
								<input required="required" type="date" class="form-control" id="fee_date"
								       name="fee_date" value="<?php echo \Dates::mysql_date() ?>">
							</td>
						</tr>
						<tr>
							<td><?php _e( "Receipt Number (If Any)" ) ?>:</td>
							<td>
								<input type="text" class="form-control" id="receipt_number" name="receipt_number"
								       placeholder="<?php _e( "Receipt Number (If Any)" ) ?>">
							</td>
						</tr>
					</table>
				</form>
			</div>
			<div class="modal-footer">
				<div class="btn-group">
					<button type="button" class="btn default" data-dismiss="modal"><?php _e( "Cancel" ) ?></button>
					<button type="button" id="create_invoice_btn" class="btn green"><?php _e( "Create Invoice" ) ?></button>
					<button type="button" onclick="Submit1()" class="btn blue"><?php _e( "Pay" ) ?></button>
				</div>
			</div>
		</div>
	</div>
</div>

<!-- BEGIN CONTAINER -->
<div class="page-container">
	<!-- BEGIN SIDEBAR -->
	<?php include_once( __DIR__ . "/sidebar.php" ); ?>
	<!-- END SIDEBAR -->

	<!-- BEGIN CONTENT -->
	<div class="page-content-wrapper">
		<div class="page-content">
			<!-- BEGIN SAMPLE PORTLET CONFIGURATION MODAL FORM-->
			<div class="modal fade" id="portlet-config" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
							<h4 class="modal-title">Modal title</h4>
						</div>
						<div class="modal-body">
							Widget settings form goes here
						</div>
						<div class="modal-footer">
							<button type="button" class="btn blue">Save changes</button>
							<button type="button" class="btn default" data-dismiss="modal">Close</button>
						</div>
					</div>
					<!-- /.modal-content -->
				</div>
				<!-- /.modal-dialog -->
			</div>
			<!-- /.modal -->
			<!-- END SAMPLE PORTLET CONFIGURATION MODAL FORM-->

			<!-- BEGIN PAGE HEADER-->
			<div class="row">
				<div class="col-md-12">
					<!-- BEGIN PAGE TITLE & BREADCRUMB-->
					<h3 class="page-title">
						<?php _e( "Students" ) ?>
						<small><?php _e( "Manage/Edit student profile data" ) ?></small>
					</h3>
					<ul class="page-breadcrumb breadcrumb">
						<li class="btn-group">
							<button class="btn green" onclick="OpenSMSForm()">
								<i class="fa fa-mobile"></i> <?php _e( "Send SMS" ) ?>
							</button>
							<button class="btn red" onclick="Delete(<?php echo $student_id; ?>)">
								<i class="fa fa-trash-o"></i> <?php _e( "Delete Student" ) ?>
							</button>
							<button class="btn yellow" onclick="OpenInvoice()">
								<i class="fa fa-credit-card"></i> <?php _e( "Instant Fee" ) ?>
							</button>
							<button type="button" class="btn blue dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-delay="1000" data-close-others="true">
							<span>
								<?php _e( "More" ) ?>
							</span>
								<i class="fa fa-angle-down"></i>
							</button>
							<ul class="dropdown-menu pull-right" role="menu">
								<li>
									<?php
									$a    = $Student->get_active_batch();
									$from = $a["start_date"];
									?>
									<a class="fancybox fancybox.iframe" href="<?php echo Urls::get_url( "download_student_payment_report", 0, "student_id=" . $student_data["id"] . "&from={$from}&to=" . \Dates::mysql_date() . "&viewBtn=" ) ?>">
										<i class="fa fa-money"></i> <?php _e( "Payment History" ) ?>
									</a>
									<a onclick="OpenEmailForm();" href="javascript:void()"><i class="fa fa-envelope"></i> <?php _e( "Send Email" ) ?>
									</a>
								</li>

								<!--li class="divider"></li-->
							</ul>
						</li>
						<li>
							<i class="fa fa-home"></i>
							<a href="<?php echo DOMAIN_URL ?>"><?php _e( "Home" ) ?></a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="<?php echo Urls::get_url( "students" ) ?>"><?php _e( "Students" ) ?></a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href=""><?php _e( "Student Profile" ) ?></a>
						</li>
					</ul>
					<!-- END PAGE TITLE & BREADCRUMB-->
				</div>
			</div>
			<!-- END PAGE HEADER-->
			<!-- BEGIN PAGE CONTENT-->
			<div class="row">
				<div class="col-md-12">
					<div class="col-md-2">
						<?php if ( \General::is_ssl() ) { ?>
							<a href="<?php echo Urls::get_url( "webcam", 0, "id=" . $student_data["id"] ) ?>" data-fancybox-type="iframe" class="fancybox tooltips btn btn-sm green" title="Take photo using camera">
								<i class="fa fa-camera"></i> <?php _e( "Take Photo" ) ?>
							</a>
						<?php } ?>
						<label style="cursor: pointer;">
							<img style="width:100%" id="img" src="<?php echo $student_data["photo"]; ?>" title="Click me to change photo" class="tooltips thumbnail" />
							<form id="photoForm" name="photoForm">
								<input type="hidden" name="id" value="<?php echo $student_data["id"]; ?>" />
								<input type="file" style="display: none;" name="photo" accept="image/*" id="photo" onchange="UploadPhoto(this)" />
							</form>
						</label>
					</div>

					<div class="col-md-7">
						<h2 id="nameh2"><?php echo $student_data["name"] ?>
							<em>(<?php echo $student_data["roll"] ?>)</em></h2>
						<table class="table table-bordered table-striped" style="font-size:15px;">
							<tr>
								<td><?php _e( "Class" ) ?></td>
								<td id="classspan"><?php echo $student_data["class"] ?> - <?php echo $student_data["batch"] ?></td>
							</tr>
							<tr>
								<td><?php echo $student_data["guardian_relation"] ?></td>
								<td id="gnamespan"><?php echo $student_data["guardian_name"] ?>
									<em>(<?php echo $student_data["guardian_cell"] ?>)</em></td>
							</tr>
							<tr>
								<td><?php _e( "Admission Date" ) ?></td>
								<td><?php echo $student_data["admission_date2"] ?></td>
							</tr>
						</table>
					</div>
					<div class="col-md-3">
						<h2>Adm. #: <?php echo $student_data["admission_number"] ?></h2>
						<table class="table table-bordered table-striped" style="font-size:15px;">
							<tr>
								<td><?php _e( "Tution Fee" ) ?></td>
								<?php $dec = $db->get_option( "currency_dec" );
								if ( ! is_numeric( $dec ) ) {
									$dec = "0";
								} ?>
								<td><?php echo round( $student_data["fee"], $dec ); ?></td>
							</tr>
							<tr>
								<td>Payable</td>
								<td><?php $f = new Fee;
									$fee2    = $f->get_not_paid( "", "student_id=" . $student_data["id"] );
									$t       = 0;
									if ( is_array( $fee2 ) ) {
										foreach ( $fee2 as $fe ) {
											$t += ( $fe["amount"] + $fe["fine"] );
										}
									}
									echo $t; ?></td>
							</tr>
							<tr>
								<td><?php _e( "Today's Attendendance" ) ?></td>
								<td><?php
									$a = $Student->get_student_attendance( $student_data["id"] );
									if ( sizeof( $a ) == 0 ) {
										echo "N/A";
									} else {
										echo $a[0]["attendance"] == "P" ? "Present" : "Absent";
									}
									?></td>
							</tr>
						</table>
					</div>
					<div class="clearfix"></div>

					<table id="user" class="table table-bordered table-striped">
						<tbody>
						<tr>
							<th class="invertblack" colspan="3">
								<i class="fa fa-chevron-circle-down"></i> <?php _e( 'Student Information' ) ?>
							</th>
						</tr>
						<tr>
							<td>
								<?php _e( 'Roll Number' ) ?>
							</td>
							<td>
								<a href="#" id="roll"><?php echo $student_data["roll"] ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( "Student's roll number if applicable" ) ?>
							</span>
							</td>
						</tr>
						<tr>
							<td>
								<?php _e( "Tution Fee" ) ?>
							</td>
							<td>
								<?php echo App::get_currency_symbol() ?>
								<a href="#" data-step=".01" id="fee"><?php echo $student_data["fee"] ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( "Leave it blank if you don't want to assign special fee to this student" ) ?>
							</span>
							</td>
						</tr>
						<tr>
							<td>
								<?php _e( "Admission Date?" ) ?>
							</td>
							<td>
								<a href="#" id="admission_date" data-type="date" data-viewformat="<?php echo \Dates::date_format1_for_js(); ?>" data-placement="right"><?php echo $student_data["admission_date2"] ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( "Admission Date" ) ?>
							</span>
							</td>
						</tr>
						<tr>
							<td>
								<?php _e( "Student's Name" ) ?>
							</td>
							<td>
								<a href="#" id="name" data-title="Enter student's name"><?php echo $student_data["name"] ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( "Student's Name" ) ?>
							</span>
							</td>
						</tr>
						<tr>
							<td>
								<?php _e( "Father Name" ) ?>
							</td>
							<td>
								<a href="#" id="father_name" data-title="Father name"><?php echo $student_data["father_name"] ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( "Student's Father Name" ) ?>
							</span>
							</td>
						</tr>
						<tr>
							<td>
								<?php _e( "Class" ) ?>
							</td>
							<td>
								<a href="#" id="class_batch" data-type="select" data-value="<?php echo $student_data["class_id"] ?>"><?php echo $student_data["class"] . " - " . $student_data["batch"] ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( "Class and year/session or batch" ) ?>
							</span>
							</td>
						</tr>
						<tr>
							<td>
								<?php _e( "Subjects" ) ?>
							</td>
							<td>
								<a href="#" id="subjects" data-type="select2" data-original-title="Select subjects"><?php echo implode( ", ", $student_data["Subjects"] ) ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( "Subjects of this student" ) ?>
							</span>
							</td>
						</tr>
						<tr>
							<td>
								<?php _e( "Date of Birth" ) ?>
							</td>
							<td>
								<a href="#" id="dob" data-value="<?php echo $student_data["dob"] ?>" data-format="YYYY-MM-DD" data-viewformat="DD-MM-YYYY" data-template="D / MMM / YYYY"><?php echo $student_data["dob2"] ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( "Date of Birth" ) ?>
							</span>
							</td>
						</tr>
						<tr>
							<td>
								<?php _e( "Gender" ) ?>
							</td>
							<td>
								<a href="#" id="gender" data-value="<?php echo $student_data["gender"] ?>" data-type="select"><?php echo $student_data["gender2"] ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( "Gender" ) ?>
							</span>
							</td>
						</tr>
						<tr>
							<td>
								<?php _e( "Student Category" ) ?>
							</td>
							<td>
								<a href="#" id="student_category" data-value="<?php echo $student_data["student_category"] ?>"><?php echo $student_data["student_category"] ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( "Student Category" ) ?>
							</span>
							</td>
						</tr>
						<tr>
							<td>
								<?php _e( "Blood Group" ) ?>
							</td>
							<td>
								<a href="#" id="blood_group" data-value="<?php echo str_replace( "+", "ppp", $student_data["blood_group"] ) ?>" data-type="select">
									<?php echo $student_data["blood_group"] ?>
								</a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( "Blood group" ) ?>
							</span>
							</td>
						</tr>
						<tr>
							<td>
								<?php _e( "Birth Place" ) ?>
							</td>
							<td>
								<a href="#" id="birth_place"><?php echo $student_data["birth_place"] ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( "Birth Place" ) ?>
							</span>
							</td>
						</tr>
						<tr>
							<td>
								<?php _e( "Nationality" ) ?>
							</td>
							<td>
								<a href="#" id="nationality"><?php echo $student_data["nationality"] ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( "Nationality" ) ?>
							</span>
							</td>
						</tr>
						<tr>
							<td>
								<?php _e( "Religion" ) ?>
							</td>
							<td>
								<a href="#" id="religion" data-value="<?php echo $student_data["religion"] ?>" data-type="select"><?php echo $student_data["religion"] ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( "Religion" ) ?>
							</span>
							</td>
						</tr>
						<tr>
							<td>
								<?php _e( "Address" ) ?>
							</td>
							<td>
								<a href="#" id="address" data-type="text"><?php echo $student_data["address"] ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( "Address" ) ?>
							</span>
							</td>
						</tr>
						<tr>
							<td>
								<?php _e( "City" ) ?>
							</td>
							<td>
								<a href="#" id="city" data-type="text"><?php echo $student_data["city"] ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( "City" ) ?>
							</span>
							</td>
						</tr>
						<tr>
							<td>
								<?php _e( "State or Province" ) ?>
							</td>
							<td>
								<a href="#" id="state" data-type="text"><?php echo $student_data["state"] ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( "State or Province" ) ?>
							</span>
							</td>
						</tr>
						<tr>
							<td>
								<?php _e( "Phone number" ) ?>
							</td>
							<td>
								<a href="#" id="phone" data-placeholder="PTCL phone number" data-type="text"><?php echo $student_data["phone"] ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( "Landline Phone number" ) ?>
							</span>
							</td>
						</tr>
						<tr>
							<td>
								<?php _e( "Amount	" ) ?>:
							</td>
							<td>
								<a href="#" id="cell" data-placeholder="Valid mobile number" data-type="text"><?php echo $student_data["cell"] ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( "Valid cell number" ) ?>
							</span>
							</td>
						</tr>
						<tr>
							<td>
								<?php _e( "Email address" ) ?>
							</td>
							<td>
								<a href="#" id="email" data-placeholder="Valid email address" data-type="text"><?php echo $student_data["email"] ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( "Valid email address" ) ?>
							</span>
							</td>
						</tr>
						<!--
                    <?php if ( App::is_email_active() || App::is_sms_active() ): ?>
                    <tr>
                        <th colspan="3" class="invertblack"><i class="fa fa-chevron-circle-down"></i> Notifications</th>
                    </tr>
                    <?php if ( App::is_sms_active() ): ?>
                    <tr>
						<td>
							SMS notifications
						</td>
						<td>
							<a href="#" id="is_sms" data-value="<?php echo $student_data["is_sms"] ?>" data-type="select"><?php echo \Str::yesno( $student_data["is_sms"] ) ?></a>
						</td>
						<td>
							<span class="text-muted">
								Send SMS notifications
							</span>
						</td>
					</tr>
                    <?php endif; ?>
                    <?php if ( App::is_email_active() ): ?>
                    <tr>
						<td>
							Email notifications
						</td>
						<td>
							<a href="#" id="is_email" data-value="<?php echo $student_data["is_email"] ?>" data-type="select"><?php echo \Str::yesno( $student_data["is_email"] ) ?></a>
						</td>
						<td>
							<span class="text-muted">
								Send email notifications
							</span>
						</td>
					</tr>
                    <?php endif; ?>
                    <?php endif; ?>
                    -->
						<tr>
							<th colspan="3" class="invertblack">
								<i class="fa fa-chevron-circle-down"></i> <?php _e( "Guardian Details" ) ?>
							</th>
						</tr>
						<tr>
							<td>
								<?php _e( "Guardian name" ) ?>
							</td>
							<td>
								<a href="#" id="guardian_name" data-title="Enter guardian's name" data-placeholder="Guardian Name" data-type="text"><?php echo $student_data["guardian_name"] ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( "Guardian name" ) ?>
							</span>
							</td>
						</tr>
						<tr>
							<td>
								<?php _e( "Relation" ) ?>
							</td>
							<td>
								<a href="#" id="guardian_relation" data-value="<?php echo $student_data["guardian_relation"] ?>" data-type="select"><?php echo $student_data["guardian_relation"] ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( "Relation with student" ) ?>
							</span>
							</td>
						</tr>
						<tr>
							<td>
								<?php _e( "Guardian NIC number" ) ?>
							</td>
							<td>
								<a href="#" id="nic" data-value="<?php echo $student_data["nic"] ?>"><?php echo $student_data["nic"] ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( "National Identity Card number" ) ?>
							</span>
							</td>
						</tr>
						<tr>
							<td>
								<?php _e( "Guardian Birthday" ) ?>
							</td>
							<td>
								<a href="#" id="guardian_dob" data-value="<?php echo $student_data["guardian_dob"] ?>" data-format="YYYY-MM-DD" data-viewformat="DD-MM-YYYY" data-template="D / MMM / YYYY"><?php echo $student_data["guardian_dob"] ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( "Date of Birth" ) ?>
							</span>
							</td>
						</tr>
						<tr>
							<td>
								<?php _e( "Guardian Education" ) ?>
							</td>
							<td>
								<a href="#" id="guardian_education" data-type="text"><?php echo $student_data["guardian_education"] ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( "Guardian education" ) ?>
							</span>
							</td>
						</tr>
						<tr>
							<td>
								<?php _e( "Guardian Income" ) ?>
							</td>
							<td>
								<a href="#" id="guardian_income" data-type="text"><?php echo $student_data["guardian_income"] ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( "Guardian income" ) ?>
							</span>
							</td>
						</tr>
						<tr>
							<td>
								<?php _e( "Guardian Occupation" ) ?>
							</td>
							<td>
								<a href="#" id="guardian_occupation" data-type="text"><?php echo $student_data["guardian_occupation"] ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( "Guardian occupation" ) ?>
							</span>
							</td>
						</tr>
						<tr>
							<td>
								<?php _e( "Guardian Email" ) ?>
							</td>
							<td>
								<a href="#" id="guardian_email" data-type="text"><?php echo $student_data["guardian_email"] ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( "Guardian email address" ) ?>
							</span>
							</td>
						</tr>
						<tr>
							<td>
								<?php _e( "Guardian Address" ) ?>
							</td>
							<td>
								<a href="#" id="guardian_address" data-type="text"><?php echo $student_data["guardian_address"] ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( "Guardian address" ) ?>
							</span>
							</td>
						</tr>
						<tr>
							<td>
								<?php _e( "Guardian City" ) ?>
							</td>
							<td>
								<a href="#" id="guardian_city" data-type="text"><?php echo $student_data["guardian_city"] ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( "Guardian City" ) ?>
							</span>
							</td>
						</tr>
						<tr>
							<td>
								<?php _e( "Guardian State" ) ?>
							</td>
							<td>
								<a href="#" id="guardian_state" data-type="text"><?php echo $student_data["guardian_state"] ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( "Guardian State" ) ?>
							</span>
							</td>
						</tr>
						<tr>
							<td>
								<?php _e( "Guardian Phone" ) ?>
							</td>
							<td>
								<a href="#" id="guardian_phone" data-type="text"><?php echo $student_data["guardian_phone"] ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( "Guardian phone number" ) ?>
							</span>
							</td>
						</tr>
						<tr>
							<td>
								<?php _e( "Guardian Mobile" ) ?>
							</td>
							<td>
								<a href="#" id="guardian_cell" data-placeholder="Valid mobile number" data-type="text"><?php echo $student_data["guardian_cell"] ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( "Guardian mobile number" ) ?>
							</span>
							</td>
						</tr>
						<tr>
							<th colspan="3" class="invertblack">
								<i class="fa fa-chevron-circle-down"></i> <?php _e( "Previous Education" ) ?>
							</th>
						</tr>
						<tr>
							<td>
								<?php _e( "Institute Name" ) ?>
							</td>
							<td>
								<a href="#" id="prev_institute1" data-type="text"><?php echo $student_data["prev_institute1"] ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( "Previous Institute name" ) ?>
							</span>
							</td>
						</tr>
						<tr>
							<td>
								<?php _e( "Previous Course/Class" ) ?>
							</td>
							<td>
								<a href="#" id="prev_course1" data-type="text"><?php echo $student_data["prev_course1"] ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( "Previous course or class" ) ?>
							</span>
							</td>
						</tr>
						<tr>
							<td>
								<?php _e( "Year" ) ?>
							</td>
							<td>
								<a href="#" id="prev_year1" data-type="text"><?php echo $student_data["prev_year1"] ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( "Previous education year" ) ?>
							</span>
							</td>
						</tr>
						<tr>
							<td>
								<?php _e( "Previous Marks" ) ?>
							</td>
							<td>
								<a href="#" id="prev_marks1" data-type="text"><?php echo $student_data["prev_marks1"] ?></a>
							</td>
							<td>
							<span class="text-muted">
								<?php _e( "Previous education marks" ) ?>
							</span>
							</td>
						</tr>
						<tr>
							<th colspan="3" class="invertblack">
								<i class="fa fa-chevron-circle-down"></i> <?php _e( "Additional Details" ) ?>
							</th>
						</tr>
						<tr>
							<td colspan="3" style="text-align: center;">
								<i><?php _e( "Currently no additional details" ) ?></i></td>
						</tr>
						<tr>
							<th colspan="3" class="invertblack">
								<i class="fa fa-chevron-circle-down"></i> <?php _e( "Management Notes about this Student" ) ?>
							</th>
						</tr>
						<tr>
							<td colspan="3" style="text-align: center;">
								<a href="#" id="admin_notes" data-type="wysihtml5" data-original-title="Enter management notes"><?php echo $student_data["admin_notes"] ?></a>
							</td>
						</tr>
						</tbody>
					</table>
				</div>
			</div>
		</div>
	</div>
</div>

<?php include_once( __DIR__ . "/footer.php" ); ?>
<script src="<?php echo \Theme::url() ?>js/student_profile.min.js?<?php echo md5_file( \Theme::path() . "js/student_profile.js" ) ?>"></script>
<script>
	jQuery( document ).ready( function() {
		FormEditable.init();
		$( document ).on( "submit", "#sms_form", sendSMS );
		$( document ).on( "submit", "#send_mail_form", sendEmail );
	} );

	function Delete( id ) {
		bootbox.confirm( "Are you sure you want to delete this Student?", function( result ) {
			if ( result==false ) {
				return;
			}
			Block();
			$.post( '<?php echo Urls::get_url( "ajax", 0, "action=delStudent" ) ?>', { id: id }, function( result ) {
				if ( result=="OK" ) {
					Success( "Student removed successfully!" );
					window.location.href = "<?php echo Urls::get_url( "students" ) ?>";
				} else {
					UnBlock();
					Error( result );
				}
			} );
		} );
	}

	function Submit1() {
		$( "#submit1" ).click();
	}

	$( function() {
		$( document ).on( 'click', '#create_invoice_btn', function( event ) {
			event.preventDefault();

			console.log( $( '#form1' ).validate() );
			if ( !$( '#form1' ).validate().form() ) {
				return false;
			}
			Block();
			$( '#form1' ).ajaxSubmit( {
				url: '<?php echo ROOT_URL ?>includes/old_ajax.php?action=createInvoice',
				method: 'post',
				success: function( data ) {
					UnBlock();
					if ( data=='OK' ) {
						$( "#invoice" ).modal( "hide" );
						Success( '<?php _e( "New invoice created successfully!" ) ?>' );
					} else {
						alert( data );
					}
				}
			} );
		} )
	} );

	function Submit2() {
		$( "#submit2" ).click();
	}

	function Save() {
		Block();
		$.post( "<?php ROOT_URL ?>includes/old_ajax.php?action=payNewFee", $( "#form1" ).serialize(), function( data ) {
			UnBlock();
			if ( data=="OK" ) {
				$( "#invoice" ).modal( "hide" );
				Success( "<?php _e( "Fee paid successfully!" ) ?>" );
			} else {
				Error( data );
			}
		} );

		return false;
	}

	function sendEmail( event ) {
		event.preventDefault();

		if ( !is_email( $( "#send_mail_form select[name=send_to]" ).val() ) ) {
			Error( "Invalid email address." );
			$( "#send_mail_form select[name=send_to]" ).focus();
			return false;
		}

		if ( $.trim( $( "#send_mail_form input[name=subject]" ).val() )=="" ) {
			$( "#send_mail_form input[name=subject]" ).focus();
			Error( "Please type subject" );
			return false;
		}

		Block();
		$.post( ajax_url2 + "?send_email",
			$( "#send_mail_form" ).serialize(),
			function( data ) {
				UnBlock();
				if ( data=="OK" ) {
					$( "#emailModal" ).modal( "hide" );
					Success( "<?php _e( "Email sent successfully!" ) ?>" );
				} else {
					Error( data );
				}
			} );

		return false;
	}

	function sendSMS( event ) {
		event.preventDefault();
		Block();
		$.post( "<?php echo Urls::get_url( "ajax", 0, "action=sendStudentSMS" ) ?>", $( "#sms_form" ).serialize(), function( data ) {
			UnBlock();
			if ( data=="OK" ) {
				$( "#emailModal" ).modal( "hide" );
				Success( "<?php _e( "SMS sent successfully!" ) ?>" );
			} else {
				Error( data );
			}
		} );

		return false;
	}

	function OpenInvoice( id ) {
		$( '#form1' ).trigger( 'reset' );
		$( "#amount" ).val( $( "#fee" ).text() );
		$( "#invoice" ).modal( "show" );
	}

	function OpenEmailForm() {
		$( "#emailModal" ).modal( "show" );
	}

	function OpenSMSForm() {
		$( "#SMSModal" ).modal( "show" );
	}

	function UploadPhoto( input ) {
		if ( input.files && input.files[ 0 ] ) {
			var reader = new FileReader();

			reader.onload = function( e ) {
				$( "#img" ).attr( "src", e.target.result );
			};

			reader.readAsDataURL( input.files[ 0 ] );

			form = $( "#photoForm" );
			$.ajax( {
				url: '<?php echo Urls::get_url( "ajax", 0, "action=saveStudentPhoto" ) ?>',
				type: 'POST',
				data: new FormData( document.getElementById( 'photoForm' ) ),
				processData: false,
				contentType: false,
				success: function( data ) {
					document.photoForm.reset();
					if ( data=="OK" ) {
						Success( "Photo uploaded successfully!" );
					} else {
						Error( data );
					}
				},
				error: function( data ) {
					document.photoForm.reset();
					Error( data );
				}
			} );
		} else {
			$( '#photo' ).attr( 'src', '<?php echo \Theme::url() ?>images/no-image.png' );
		}
	}
</script>
</body>
<!-- END BODY -->
</html>