<?php
if ( ! defined( "ROOT_PATH" ) ) {
	echo "Hay! Don't cheat, We don't allow to view this file too. . :)";
	exit;
}
if ( ! \Admins\UserInfo::is_loggedin() ) {
	\Urls::redirect( "login.php?goto=" . rawurlencode( \Urls::this_url() )  );
}
include_once (ROOT_PATH . "includes/js_variables.php");
?>

<div class="header navbar navbar-inverse navbar-fixed-top">
	<div class="header-inner">

		<a class="navbar-brand" href="<?php echo DOMAIN_URL ?>">
			<img src="<?php echo \App::get_logo_static( "1" ) ?>" alt="logo" class="img-responsive">
		</a>

		<a href="javascript:;" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
			<img src="<?php echo ASSETS_URL ?>img/menu-toggler.png">
		</a>

		<ul class="nav navbar-nav pull-right">

			<li class="dropdown" id="header_notification_bar">
				<a href="collect_fee.php" class="dropdown-toggle" title="<?php echo strip_tags(__('Collect Fee')) ?>">
					<i class="fa fa-money"></i>
					<span class="badge" id="top_collect_fee_span"></span>
				</a>

			</li>

			<?php $M = new Messages; ?>
			<li class="dropdown" id="header_inbox_bar">
				<a href="inbox.php" class="dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-close-others="true">
					<i class="fa fa-envelope"></i>
					<span class="badge ucount2" id="top_message_counter"></span>
				</a>
				<ul class="dropdown-menu extended inbox">
					<li>
						<p id="message_notification_p"></p>
					</li>
					<li>
						<ul class="dropdown-menu-list scroller" style="height: 250px;" id="messages_ul">

						</ul>
					</li>
					<li class="external">
						<a href="<?php echo Urls::get_url( "inbox" ) ?>"><?php _e( "See all messages" ) ?>
							<i class="m-icon-swapright"></i></a>
					</li>
				</ul>
			</li>
			<!-- END INBOX DROPDOWN -->

			<?php if ( version_compare( phpversion(), '7.1', '>=') ) { ?>
			<li class="dropdown language">
				<?php $langs = $Trans->get_languages(1);
				foreach($langs as $lang=>$lang_array) { ?>
				<a href="javascript:;" class="dropdown-toggle" data-toggle="dropdown" $lang_array-hover="dropdown" data-close-others="true">
					<img src="<?php echo ASSETS_URL ?>img/flags/<?php echo $lang_array['flag'] ?>"/>
					<span class="username"><?php echo $lang_array['label'] ?></span>
					<i class="fa fa-angle-down"></i>
				</a>
				<?php } ?>
				<ul class="dropdown-menu">
					<?php $langs = $Trans->get_languages(0);
					foreach($langs as $lang=>$lang_array) { ?>
					<li>
						<a class="change_lang_link" data-lang="<?php echo $lang ?>" href="javascript:;"><img src="<?php echo ASSETS_URL ?>img/flags/<?php echo $lang_array['flag'] ?>"/> <?php echo $lang_array['label'] ?></a>
					</li>
					<?php } ?>
				</ul>
			</li>
			<?php } ?>


			<!-- BEGIN USER LOGIN DROPDOWN -->
			<li class="dropdown user">
				<a href="profile.php" class="dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-close-others="true">
					<img alt="My Photo" id="MyPhoto" src="data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==" class="twenty9 tooltips" />
					<span class="username" id="top_username"><?php _e("Loading") ?> ...</span>
					<i class="fa fa-angle-down"></i>
				</a>
				<ul class="dropdown-menu">
					<li>
						<a href="<?php echo Urls::get_url( "profile" ) ?>"><i class="fa fa-user"></i> <?php _e( "Profile" ) ?>
						</a>
					</li>
					<!--li>
						<a href="#"><i class="fa fa-calendar"></i> My Calendar</a>
					</li-->
					<li>
						<a href="<?php echo Urls::get_url( "inbox" ) ?>">
							<i class="fa fa-envelope"></i> <?php _e( "My Inbox" ) ?>
							<span id="inbox_span"></span>
						</a>
					</li>
					<!--li>
						<a href="#"><i class="fa fa-tasks"></i> My Tasks
						<span class="badge badge-success">
							7
						</span>
						</a>
					</li-->
					<li class="divider">
					</li>
					<!--li>
						<a href="javascript:;" id="trigger_fullscreen"><i class="fa fa-move"></i> Full Screen</a>
					</li>
					<li>
						<a href="#"><i class="fa fa-lock"></i> Lock Screen</a>
					</li-->
					<li>
						<a href="<?php echo Urls::get_url( "logout" ) ?>"><i class="fa fa-key"></i> <?php _e("Log Out") ?></a>
					</li>
				</ul>
			</li>
			<!-- END USER LOGIN DROPDOWN -->
		</ul>
		<!-- END TOP NAVIGATION MENU -->
	</div>
	<!-- END TOP NAVIGATION BAR -->
</div>
<!-- END HEADER -->