<?php
// Change this file only if you are advance user.

defined( "VERSION" ) OR define( "VERSION", "2.7.39", true );

// Set Application system name
//define('System', 'DECENT COMMERCE & SCIENCE ACADEMY', true);

// Set timezone for application
// http://www.php.net/manual/en/timezones.php
defined( "TIME_ZONE" ) OR define( "TIME_ZONE", "Asia/Karachi" );

// Session timeout in milli seconds
defined( "SESSION_TIMEOUT" ) OR define( "SESSION_TIMEOUT", 1440 );

// Disable magic quotes automatically.
defined( "DISABLE_MAGIC_QUOTE" ) OR define( "DISABLE_MAGIC_QUOTE", true );

// Display errors and warnings.
defined( "DISPLAY_ERRORS" ) OR define( "DISPLAY_ERRORS", true );

//// The settings below are for different clients.

// Set 1 or true for enable DB backup
defined( "DB_BACKUP" ) OR define( "DB_BACKUP", true );

// Temp Path
defined( 'TMP_PATH' ) OR define( 'TMP_PATH', __DIR__ . DIRECTORY_SEPARATOR . "contents" . DIRECTORY_SEPARATOR . "tmp" . DIRECTORY_SEPARATOR );

$_SERVER['PHP_SELF'] = isset( $_SERVER['PHP_SELF'] ) ? $_SERVER['PHP_SELF'] : '';
if ( $_SERVER['PHP_SELF'] == '' ) {
	$_SERVER['PHP_SELF'] = $_SERVER['SCRIPT_NAME'];
}

defined( 'ROOT_PATH' ) OR define( 'ROOT_PATH', realpath( __DIR__ ) . DIRECTORY_SEPARATOR );
defined( 'ROOT_URL' ) OR define( 'ROOT_URL', substr( rtrim( $_SERVER['PHP_SELF'], "/" ), 0, - ( strlen( realpath( $_SERVER['SCRIPT_FILENAME'] ) ) - strlen( ROOT_PATH ) ) ) );

$_SERVER["HTTP_HOST"] = isset( $_SERVER["HTTP_HOST"] ) ? $_SERVER["HTTP_HOST"] : '';
//$mainPath = rtrim(dirname($_SERVER['SCRIPT_FILENAME']), "/") . "/";
if ( defined( 'FORCE_WWW' ) && defined( 'FORCE_SSL' ) ) {
	defined( "DOMAIN_URL" ) OR define( "DOMAIN_URL", "https://www." . str_ireplace( "www.", "", $_SERVER["HTTP_HOST"] ) . ROOT_URL );
} else {
	defined( "DOMAIN_URL" ) OR define( "DOMAIN_URL", "http" . ( isset( $_SERVER['HTTPS'] ) ? 's' : '' ) . "://" . $_SERVER["HTTP_HOST"] . ROOT_URL );
}


// Store student files in the following folder.
// If line below is commented then system will create automatic a folder.
define( "STUDENT_FILES", ROOT_PATH . "contents" . DIRECTORY_SEPARATOR . "students" . DIRECTORY_SEPARATOR );

// Store student files in the following folder.
// If line below is commented then system will create automatic a folder.
define( "TEACHER_FILES", ROOT_PATH . "contents" . DIRECTORY_SEPARATOR . "teachers" . DIRECTORY_SEPARATOR );

defined( "ADMIN_FILES" ) OR define( "ADMIN_FILES", ROOT_PATH . "contents" . DIRECTORY_SEPARATOR . "admins" . DIRECTORY_SEPARATOR );

// Software limitations.
defined( "Subjects" ) OR define( "Subjects", 100 );
defined( "Students" ) OR define( "Students", 20 );
defined( "Classes" ) OR define( "Classes", 100 );
defined( "Admins" ) OR define( "Admins", 5 );
defined( "Expire" ) OR define( "Expire", "13-Jan-2014" );
defined( "ReadOnlyDate" ) OR define( "ReadOnlyDate", false );

# Set theme folder located in /themes folder.
defined( "Theme" ) OR define( "Theme", "default" );

# Set on/off notifications for application
defined( "SMS_NOTIFICATIONS" ) OR define( "SMS_NOTIFICATIONS", 1 );
defined( "EMAIL_NOTIFICATIONS" ) OR define( "EMAIL_NOTIFICATIONS", 1 );

# Currency settings
defined( 'CURRENCY' ) OR define( 'CURRENCY', 'Rs.' );
defined( 'CURRENCY_DEC' ) OR define( 'CURRENCY_DEC', 2 );

# This constant will be used for input[type=file][accept]
define( 'ALLOWED_FILES', 'application/vnd.openxmlformats-officedocument.wordprocessingml.document,application/msword,application/vnd.ms-excel,text/plain,application/pdf,image/*,application/vnd.ms-powerpoint,application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.openxmlformats-officedocument.presentationml.slideshow' );

define( 'REQUIRED_PHP', '7.1.25' );
