<?php
if ( ! ( isset( $_SERVER['HTTP_X_REQUESTED_WITH'] ) && $_SERVER['HTTP_X_REQUESTED_WITH'] === 'XMLHttpRequest' ) ) {
	header( "HTTP/1.0 404 Not Found" );
	echo "Non ajax requests are not allowed!";
	exit();
}

include_once( __DIR__ . "/../library.php" );

if ( ! \Admins\UserInfo::is_loggedin() ) {
	echo "You'r not authorized.";
	exit;
}

$AR = new \Student\AdmissionRequests();

header( "Content-Type: application/json" );
if ( isset( $_GET["load_data"] ) ) {
	$rows = $AR->get_admissions_requests( "pagesize=9999" );
	echo json_encode( $rows );
	exit;
}
if ( isset( $_GET["delete"] ) ) {
	echo json_encode( [ "status" => $AR->delete( $_POST["id"] ) ] );
	exit;
}