<?php

include_once( __DIR__ . "/../../library.php" );

if ( isset( $_GET['download_students'] ) ) {
	extract( $_GET );
	$Cols   = [
		"id",
		"student_info",
		"dates",
		"class_id",
		"",
	];
	$filter = "";

	$_GET["to"] = isset($_GET["to"])?$_GET["to"]:'';
	if ( ! empty( $_GET["from"] ) ) {
		$filter .= "&admission_date=" . $_GET["from"] . "," . $_GET["to"];
	}

	$_GET["class_id"] = isset($_GET["class_id"])?$_GET["class_id"]:'';
	if ( is_array( $_GET["class_id"] ) ) {
		$filter .= "&classes=" . implode( ",", $_GET["class_id"] );
	} elseif ( ! empty( $_GET["class_id"] ) && $_GET["class_id"] > 0 ) {
		$filter .= "&class_id=" . $_GET["class_id"];
	}
	$filter = urlencode( trim( $filter, "&" ) );


	$query = "&search={$search}&filter={$filter}";
	if ( isset( $deleted ) ) {
		$deleted = (int) $deleted;
		$query   .= "&deleted={$deleted}";
	}
	if ( isset( $subjects ) && $subjects <> "" ) {
		if ( is_array( $subjects ) ) {
			$subjects = implode( ",", $subjects );
		}
		$query .= "&subjects={$subjects}";
	}

	$query .= '&mysql_cols=id,name&subjects_in_string=1';

	$rows = $Student->get_students( $query );
	//show_array( $rows );

	$Headings = [
		"id"       => [ "name" => "ID" ],
		"name"     => [ "name" => "Name" ],
		"class"    => [ 'name' => "Class" ],
		"Subjects" => [ "name" => "Subjects", "css" => "width:290px" ],
	];

	echo \PDF::generate_html( 'Students List', $rows, $Headings );
	exit;
}