<?php
if ( ! ( isset( $_SERVER['HTTP_X_REQUESTED_WITH'] ) && $_SERVER['HTTP_X_REQUESTED_WITH'] === 'XMLHttpRequest' ) ) {
	header( "HTTP/1.0 404 Not Found" );
	echo "Non ajax requests are not allowed!";
	exit();
}

include_once( __DIR__ . "/../library.php" );

if ( ! \Admins\UserInfo::is_loggedin() ) {
	echo "You'r not authorized.";
	exit;
}

if ( isset( $_GET['save'] ) ) {
	if ( ! \Admins\UserInfo::is_allowed( "teachers_management" ) ) {
		die( "You'r not allowed to perform this action." );
	}

	$t = new Teacher;
	echo $response = $t->save_teacher( $_POST );
	exit;
}
