var markjs_options = {
	"diacritics": true,
	"separateWordSearch": true,
	//"element": "span",
	"className": "highlight highlighter"
};
var mytable = "";
var IsFormChanged = false;
$( function() {
	$( '.date-picker' ).attr( 'autocomplete', 'off' );
	$('span[role=status]').hide();

	if ( $( '#filters' ).length>0 ) {
		$( '#filters' ).append( '<button class="btn btn-sm filters-btn light"><i class="fa fa-search"></i> Search Filters</button>' );
	}

	$( document ).on( 'click', '#filters .filters-btn', function() {
		if ( $( '#filters' ).css( 'right' )=='-250px' ) {
			$( '#filters' ).animate( {
				'right': '0'
			} );
		} else {
			$( '#filters' ).animate( {
				'right': '-250px'
			} );
		}
	} );

	$( document ).on( 'click', '.page-content, div.page-sidebar', close_filters );


	$( "form.validate" ).each( function() {
		$( this ).validate( {
			ignore: ":hidden:not(.summernote),.note-editable.panel-body"
		} );
	} );
	$( 'form.check_save' ).each( function() {
		$( this ).areYouSure();
	} );
	$( "textarea.summernote" ).each( function() {
		$( this ).summernote( {
			height: '300px'
		} );
	} );
	$( document ).on( "change", ".phone, .mobile, .land_line", function( event ) {
		T = $( this );
		T.attr( "readonly", true );
		$.post( root_url + "ajax/common.php?format_phone", { phone: $( this ).val() }, function( data ) {
			T.val( data );
			T.attr( "readonly", false );
		} );
	} );
	$( "table.table:not(.I)" ).each( function() {
		$( this ).tablesaw();
	} );

	jQuery.fn.exists = function() {
		return this.length>0;
	}
	if ( typeof inputmask!="undefined" ) {

		$( ".nic" ).each( function() {
			$( this ).inputmask( "99999-9999999-9", {
				placeholder: " ",
				clearMaskOnLostFocus: true
			} );
		} );
	}
	$( ".price" ).each( function() {
		$( this ).inputmask( '999,999,999', {
			numericInput: true
		} );
	} );

	$( document ).on( "click", "#check", function() {
		if ( $( this ).is( ":checked" ) ) {
			$( ".check" ).prop( "checked", true ).uniform();
		} else {
			$( ".check" ).prop( "checked", false ).uniform();
		}
	} );
	$( document ).on( "click", ".check", function() {
		if ( $( this ).is( ":checked" ) ) {
			if ( $( ".check:checked" ).length==$( ".check" ).length ) {
				$( "#check" ).prop( "checked", true ).uniform();
			}
		} else {
			$( "#check" ).prop( "checked", false ).uniform();
		}
	} );
	if ( $( "#show_on_top" ).length>0 ) {
		$( "#show_on_top" ).animate( { "left": "0px" }, "slow" );
	}
	$( document ).on( "click", "#close_show_on_top_btn", function( event ) {
		event.preventDefault();
		$( "#show_on_top" ).animate( { "left": "-310px" }, "slow" );
	} );
	$( document ).on( "click", "#ignore_update_btn", function( event ) {
		$( "#close_show_on_top_btn" ).click();
		$.post( root_url + "?new_ajax&ignore_update", function( data ) {
		} );
	} );

	/*var mytable = $( '#mytable' ).dataTable( {
	 "aLengthMenu": [
	 [ 10, 20, 30, 40, 50, 100, -1 ],
	 [ 10, 20, 30, 40, 50, 100, "All" ] // change per page values here
	 ],
	 // set the initial value
	 "iDisplayLength": 10,
	 "sPaginationType": "bootstrap",
	 "oLanguage": {
	 "sLengthMenu": "_MENU_ records",
	 "oPaginate": {
	 "sPrevious": "Prev",
	 "sNext": "Next"
	 }
	 },
	 /!*"order": [],*!/
	 "columnDefs": [ {
	 "targets": 'nosort',
	 "orderable": false
	 } ],
	 "aoColumnDefs": [
	 {
	 'bSortable': false,
	 'aTargets': [ 'nosort' ]
	 }
	 ],
	 //"aaSorting": [ [ 0, "desc" ] ]
	 } );*/
	$( '#mytable .group-checkable' ).change( function() {
		var set = $( this ).attr( "data-set" );
		var checked = $( this ).is( ":checked" );
		$( set ).each( function() {
			if ( checked ) {
				$( this ).attr( "checked", true );
			} else {
				$( this ).attr( "checked", false );
			}
		} );
		$.uniform.update( set );
	} );

	$( '#mytable_wrapper .dataTables_filter input' ).addClass( "form-control input-small" ); // modify table search input
	$( '#mytable_wrapper .dataTables_length select' ).addClass( "form-control input-xsmall" ); // modify table per page dropdown
	$( '#mytable_wrapper .dataTables_length select' ).each( function() {
		$( this ).select2();
	} ); // initialize select2 dropdown

	if ( $( '.datatable' ).length>0 ) {
		dataTable = $( '.datatable' ).dataTable( {
			"aLengthMenu": [
				[ 10, 20, 30, 40, 50, 100, -1 ],
				[ 10, 20, 30, 40, 50, 100, "All" ] // change per page values here
			],
			// set the initial value
			"iDisplayLength": 10,
			//"sPaginationType": "bootstrap",
			/*"pagingType": "full_numbers",
			 "oLanguage": {
			 "sLengthMenu": "_MENU_ records",
			 "oPaginate": {
			 "sPrevious": "Prev",
			 "sNext": "Next"
			 }
			 },*/
			// "aaSorting": [ [ 0, "desc" ] ],
			"aoColumnDefs": [
				{
					'bSortable': false,
					'aTargets': [ 'nosort' ]
				}
			],
			"columnDefs": [
				{
					"targets": 'nosort',
					"orderable": false
				}
			],
		} );
	}

	if ( $( '.datatable2' ).length>0 ) {
		// Without sorting, By default not sorted
		dataTable2 = $( '.datatable2' ).dataTable( {
			"aLengthMenu": [
				[ 10, 20, 30, 40, 50, 100, -1 ],
				[ 10, 20, 30, 40, 50, 100, "All" ] // change per page values here
			],
			// set the initial value
			"iDisplayLength": 10,
			"oLanguage": {
				"sLengthMenu": "_MENU_ records",
				"oPaginate": {
					"sPrevious": "Previous Page",
					"sNext": "Next Page"
				}
			},
			"aaSorting": []
		} );
	}

	//$.fn.select2.defaults.set( "theme", "bootstrap" );
	$( '.select2' ).each( function() {
		$( this ).select2();
	} );

	$( ".fancybox" ).each( function() {
		$( this ).fancybox( {
			//maxWidth	: 800,
			//maxHeight	: 600,
			fitToView: false,
			width: '90%',
			height: '90%',
			autoSize: false,
			closeClick: false,
			openEffect: 'none',
			closeEffect: 'none'
		} );
	} );
} );

function Block() {
	$.blockUI( {
		baseZ: 99999,
		css: {
			border: 'none',
			padding: '15px',
			backgroundColor: '#000000',
			'-webkit-border-radius': '10px',
			'-moz-border-radius': '10px',
			opacity: .2,
			color: '#fff'
		}
	} );
}

function UnBlock() {
	$.unblockUI();
}

function is_email( mail ) {
	if ( /^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/.test( mail ) ) {
		return (true);
	}
	return (false);
}

function number_format( number, decimals, dec_point, thousands_sep ) {
	number = (number + '').replace( /[^0-9+\-Ee.]/g, '' );
	var n = !isFinite( +number ) ? 0 : +number,
		prec = !isFinite( +decimals ) ? 0 : Math.abs( decimals ),
		sep = (typeof thousands_sep==='undefined') ? ',' : thousands_sep,
		dec = (typeof dec_point==='undefined') ? '.' : dec_point,
		s = '',
		toFixedFix = function( n, prec ) {
			var k = Math.pow( 10, prec );
			return '' + Math.round( n * k ) / k;
		};
	// Fix for IE parseFloat(0.55).toFixed(0) = 0;
	s = (prec ? toFixedFix( n, prec ) : '' + Math.round( n )).split( '.' );
	if ( s[ 0 ].length>3 ) {
		s[ 0 ] = s[ 0 ].replace( /\B(?=(?:\d{3})+(?!\d))/g, sep );
	}
	if ( (s[ 1 ] || '').length<prec ) {
		s[ 1 ] = s[ 1 ] || '';
		s[ 1 ] += new Array( prec - s[ 1 ].length + 1 ).join( '0' );
	}
	return s.join( dec );
}

function is_numeric( mixed_var ) {
	return (typeof mixed_var==='number' || typeof mixed_var==='string') && mixed_var!=='' && !isNaN( mixed_var );
}

function is_json( str ) {
	str = $.trim( str );
	if ( str=="" ) {
		return false;
	}
	try {
		JSON.parse( str );
	} catch ( e ) {
		return false;
	}
	return true;
}

function Success( msg, title, duration ) {
	Title = (typeof title==='undefined') ? 'Success' : title;
	Duration = (typeof duration==='undefined') ? '300' : title;
	toastr.options = {
		closeButton: true,
		positionClass: "toast-top-right",
		onclick: null,
		showDuration: Duration
	};
	var $toast = toastr[ 'success' ]( msg, Title );
}

function Error( msg, title, duration ) {
	if ( msg=="No en" ) {
		return false;
	}
	if ( msg=="The string supplied did not seem to be a phone number" ) {
		return false;
	}
	Title = (typeof title==='undefined') ? 'Error' : title;
	Duration = (typeof duration==='undefined') ? '300' : title;
	toastr.options = {
		closeButton: true,
		positionClass: "toast-top-right",
		onclick: null,
		showDuration: "300"
	};
	var $toast = toastr[ 'error' ]( msg, Title );
}

function Warning( msg, title, duration ) {
	Title = (typeof title==='undefined') ? 'Warning' : title;
	Duration = (typeof duration==='undefined') ? '300' : title;
	toastr.options = {
		closeButton: true,
		positionClass: "toast-top-right",
		onclick: null,
		showDuration: "300"
	};
	var $toast = toastr[ 'warning' ]( msg, Title );
}

function Info( msg, title, duration ) {
	Title = (typeof title==='undefined') ? 'Info' : title;
	Duration = (typeof duration==='undefined') ? '300' : title;
	toastr.options = {
		closeButton: true,
		positionClass: "toast-top-right",
		onclick: null,
		showDuration: Duration
	};
	var $toast = toastr[ 'info' ]( msg, Title );
}

function json_encode( mixed_val ) {
	var retVal, json = this.window.JSON;
	try {
		if ( typeof json==='object' && typeof json.stringify==='function' ) {
			retVal = json.stringify( mixed_val ); // Errors will not be caught here if our own equivalent to resource
			//  (an instance of PHPJS_Resource) is used
			if ( retVal===undefined ) {
				throw new SyntaxError( 'json_encode' );
			}
			return retVal;
		}

		var value = mixed_val;

		var quote = function( string ) {
			var escapable = /[\\\"\u0000-\u001f\u007f-\u009f\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g;
			var meta = { // table of character substitutions
				'\b': '\\b',
				'\t': '\\t',
				'\n': '\\n',
				'\f': '\\f',
				'\r': '\\r',
				'"': '\\"',
				'\\': '\\\\'
			};

			escapable.lastIndex = 0;
			return escapable.test( string ) ? '"' + string.replace( escapable, function( a ) {
				var c = meta[ a ];
				return typeof c==='string' ? c : '\\u' + ('0000' + a.charCodeAt( 0 ).toString( 16 )).slice( -4 );
			} ) + '"' : '"' + string + '"';
		};

		var str = function( key, holder ) {
			var gap = '';
			var indent = '    ';
			var i = 0; // The loop counter.
			var k = ''; // The member key.
			var v = ''; // The member value.
			var length = 0;
			var mind = gap;
			var partial = [];
			var value = holder[ key ];

			// If the value has a toJSON method, call it to obtain a replacement value.
			if ( value && typeof value==='object' && typeof value.toJSON==='function' ) {
				value = value.toJSON( key );
			}

			// What happens next depends on the value's type.
			switch ( typeof value ) {
				case 'string':
					return quote( value );

				case 'number':
					// JSON numbers must be finite. Encode non-finite numbers as null.
					return isFinite( value ) ? String( value ) : 'null';

				case 'boolean':
				case 'null':
					// If the value is a boolean or null, convert it to a string. Note:
					// typeof null does not produce 'null'. The case is included here in
					// the remote chance that this gets fixed someday.
					return String( value );

				case 'object':
					// If the type is 'object', we might be dealing with an object or an array or
					// null.
					// Due to a specification blunder in ECMAScript, typeof null is 'object',
					// so watch out for that case.
					if ( !value ) {
						return 'null';
					}
					if ( (this.PHPJS_Resource && value instanceof this.PHPJS_Resource) || (window.PHPJS_Resource && value instanceof window.PHPJS_Resource) ) {
						throw new SyntaxError( 'json_encode' );
					}

					// Make an array to hold the partial results of stringifying this object value.
					gap += indent;
					partial = [];

					// Is the value an array?
					if ( Object.prototype.toString.apply( value )==='[object Array]' ) {
						// The value is an array. Stringify every element. Use null as a placeholder
						// for non-JSON values.
						length = value.length;
						for ( i = 0; i<length; i += 1 ) {
							partial[ i ] = str( i, value ) || 'null';
						}

						// Join all of the elements together, separated with commas, and wrap them in
						// brackets.
						v = partial.length===0 ? '[]' : gap ? '[\n' + gap + partial.join( ',\n' + gap ) + '\n' + mind + ']' : '[' + partial.join( ',' ) + ']';
						gap = mind;
						return v;
					}

					// Iterate through all of the keys in the object.
					for ( k in value ) {
						if ( Object.hasOwnProperty.call( value, k ) ) {
							v = str( k, value );
							if ( v ) {
								partial.push( quote( k ) + (gap ? ': ' : ':') + v );
							}
						}
					}

					// Join all of the member texts together, separated with commas,
					// and wrap them in braces.
					v = partial.length===0 ? '{}' : gap ? '{\n' + gap + partial.join( ',\n' + gap ) + '\n' + mind + '}' : '{' + partial.join( ',' ) + '}';
					gap = mind;
					return v;
				case 'undefined':
				// Fall-through
				case 'function':
				// Fall-through
				default:
					throw new SyntaxError( 'json_encode' );
			}
		};

		// Make a fake root object containing our value under the key of ''.
		// Return the result of stringifying the value.
		return str( '', {
			'': value
		} );

	} catch ( err ) { // Todo: ensure error handling above throws a SyntaxError in all cases where it could
		// (i.e., when the JSON global is not available and there is an error)
		if ( !(err instanceof SyntaxError) ) {
			throw new Error( 'Unexpected error type in json_encode()' );
		}
		this.php_js = this.php_js || {};
		this.php_js.last_error_json = 4; // usable by json_last_error()
		return null;
	}
}

function explode( delimiter, string, limit ) {
	if ( arguments.length<2 || typeof delimiter==='undefined' || typeof string==='undefined' ) {
		return null;
	}
	if ( delimiter==='' || delimiter===false || delimiter===null ) {
		return false;
	}
	if ( typeof delimiter==='function' || typeof delimiter==='object' || typeof string==='function' || typeof string==='object' ) {
		return { 0: '' };
	}
	if ( delimiter===true ) {
		delimiter = '1';
	}

	// Here we go...
	delimiter += '';
	string += '';

	var s = string.split( delimiter );

	if ( typeof limit==='undefined' ) {
		return s;
	}

	// Support for limit
	if ( limit===0 ) {
		limit = 1;
	}

	// Positive limit
	if ( limit>0 ) {
		if ( limit>=s.length ) {
			return s;
		}
		return s.slice( 0, limit - 1 ).concat( [ s.slice( limit - 1 ).join( delimiter ) ] );
	}

	// Negative limit
	if ( -limit>=s.length ) {
		return [];
	}

	s.splice( s.length + limit );
	return s;
}

function date( format, timestamp ) {
	//  discuss at: http://phpjs.org/functions/date/
	// original by: Carlos R. L. Rodrigues (http://www.jsfromhell.com)
	// original by: gettimeofday
	//    parts by: Peter-Paul Koch (http://www.quirksmode.org/js/beat.html)
	// improved by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
	// improved by: MeEtc (http://yass.meetcweb.com)
	// improved by: Brad Touesnard
	// improved by: Tim Wiel
	// improved by: Bryan Elliott
	// improved by: David Randall
	// improved by: Theriault
	// improved by: Theriault
	// improved by: Brett Zamir (http://brett-zamir.me)
	// improved by: Theriault
	// improved by: Thomas Beaucourt (http://www.webapp.fr)
	// improved by: JT
	// improved by: Theriault
	// improved by: Rafal Kukawski (http://blog.kukawski.pl)
	// improved by: Theriault
	//    input by: Brett Zamir (http://brett-zamir.me)
	//    input by: majak
	//    input by: Alex
	//    input by: Martin
	//    input by: Alex Wilson
	//    input by: Haravikk
	// bugfixed by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
	// bugfixed by: majak
	// bugfixed by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
	// bugfixed by: Brett Zamir (http://brett-zamir.me)
	// bugfixed by: omid (http://phpjs.org/functions/380:380#comment_137122)
	// bugfixed by: Chris (http://www.devotis.nl/)
	//        note: Uses global: php_js to store the default timezone
	//        note: Although the function potentially allows timezone info (see notes), it currently does not set
	//        note: per a timezone specified by date_default_timezone_set(). Implementers might use
	//        note: this.php_js.currentTimezoneOffset and this.php_js.currentTimezoneDST set by that function
	//        note: in order to adjust the dates in this function (or our other date functions!) accordingly
	//   example 1: date('H:m:s \\m \\i\\s \\m\\o\\n\\t\\h', 1062402400);
	//   returns 1: '09:09:40 m is month'
	//   example 2: date('F j, Y, g:i a', 1062462400);
	//   returns 2: 'September 2, 2003, 2:26 am'
	//   example 3: date('Y W o', 1062462400);
	//   returns 3: '2003 36 2003'
	//   example 4: x = date('Y m d', (new Date()).getTime()/1000);
	//   example 4: (x+'').length == 10 // 2009 01 09
	//   returns 4: true
	//   example 5: date('W', 1104534000);
	//   returns 5: '53'
	//   example 6: date('B t', 1104534000);
	//   returns 6: '999 31'
	//   example 7: date('W U', 1293750000.82); // 2010-12-31
	//   returns 7: '52 1293750000'
	//   example 8: date('W', 1293836400); // 2011-01-01
	//   returns 8: '52'
	//   example 9: date('W Y-m-d', 1293974054); // 2011-01-02
	//   returns 9: '52 2011-01-02'

	var that = this;
	var jsdate, f;
	// Keep this here (works, but for code commented-out below for file size reasons)
	// var tal= [];
	var txt_words = [
		'Sun', 'Mon', 'Tues', 'Wednes', 'Thurs', 'Fri', 'Satur',
		'January', 'February', 'March', 'April', 'May', 'June',
		'July', 'August', 'September', 'October', 'November', 'December'
	];
	// trailing backslash -> (dropped)
	// a backslash followed by any character (including backslash) -> the character
	// empty string -> empty string
	var formatChr = /\\?(.?)/gi;
	var formatChrCb = function( t, s ) {
		return f[ t ] ? f[ t ]() : s;
	};
	var _pad = function( n, c ) {
		n = String( n );
		while ( n.length<c ) {
			n = '0' + n;
		}
		return n;
	};
	f = {
		// Day
		d: function() { // Day of month w/leading 0; 01..31
			return _pad( f.j(), 2 );
		},
		D: function() { // Shorthand day name; Mon...Sun
			return f.l()
				.slice( 0, 3 );
		},
		j: function() { // Day of month; 1..31
			return jsdate.getDate();
		},
		l: function() { // Full day name; Monday...Sunday
			return txt_words[ f.w() ] + 'day';
		},
		N: function() { // ISO-8601 day of week; 1[Mon]..7[Sun]
			return f.w() || 7;
		},
		S: function() { // Ordinal suffix for day of month; st, nd, rd, th
			var j = f.j();
			var i = j % 10;
			if ( i<=3 && parseInt( (j % 100) / 10, 10 )==1 ) {
				i = 0;
			}
			return [ 'st', 'nd', 'rd' ][ i - 1 ] || 'th';
		},
		w: function() { // Day of week; 0[Sun]..6[Sat]
			return jsdate.getDay();
		},
		z: function() { // Day of year; 0..365
			var a = new Date( f.Y(), f.n() - 1, f.j() );
			var b = new Date( f.Y(), 0, 1 );
			return Math.round( (a - b) / 864e5 );
		},

		// Week
		W: function() { // ISO-8601 week number
			var a = new Date( f.Y(), f.n() - 1, f.j() - f.N() + 3 );
			var b = new Date( a.getFullYear(), 0, 4 );
			return _pad( 1 + Math.round( (a - b) / 864e5 / 7 ), 2 );
		},

		// Month
		F: function() { // Full month name; January...December
			return txt_words[ 6 + f.n() ];
		},
		m: function() { // Month w/leading 0; 01...12
			return _pad( f.n(), 2 );
		},
		M: function() { // Shorthand month name; Jan...Dec
			return f.F()
				.slice( 0, 3 );
		},
		n: function() { // Month; 1...12
			return jsdate.getMonth() + 1;
		},
		t: function() { // Days in month; 28...31
			return (new Date( f.Y(), f.n(), 0 ))
				.getDate();
		},

		// Year
		L: function() { // Is leap year?; 0 or 1
			var j = f.Y();
			return j % 4===0 & j % 100!==0 | j % 400===0;
		},
		o: function() { // ISO-8601 year
			var n = f.n();
			var W = f.W();
			var Y = f.Y();
			return Y + (n===12 && W<9 ? 1 : n===1 && W>9 ? -1 : 0);
		},
		Y: function() { // Full year; e.g. 1980...2010
			return jsdate.getFullYear();
		},
		y: function() { // Last two digits of year; 00...99
			return f.Y()
				.toString()
				.slice( -2 );
		},

		// Time
		a: function() { // am or pm
			return jsdate.getHours()>11 ? 'pm' : 'am';
		},
		A: function() { // AM or PM
			return f.a()
				.toUpperCase();
		},
		B: function() { // Swatch Internet time; 000..999
			var H = jsdate.getUTCHours() * 36e2;
			// Hours
			var i = jsdate.getUTCMinutes() * 60;
			// Minutes
			var s = jsdate.getUTCSeconds(); // Seconds
			return _pad( Math.floor( (H + i + s + 36e2) / 86.4 ) % 1e3, 3 );
		},
		g: function() { // 12-Hours; 1..12
			return f.G() % 12 || 12;
		},
		G: function() { // 24-Hours; 0..23
			return jsdate.getHours();
		},
		h: function() { // 12-Hours w/leading 0; 01..12
			return _pad( f.g(), 2 );
		},
		H: function() { // 24-Hours w/leading 0; 00..23
			return _pad( f.G(), 2 );
		},
		i: function() { // Minutes w/leading 0; 00..59
			return _pad( jsdate.getMinutes(), 2 );
		},
		s: function() { // Seconds w/leading 0; 00..59
			return _pad( jsdate.getSeconds(), 2 );
		},
		u: function() { // Microseconds; 000000-999000
			return _pad( jsdate.getMilliseconds() * 1000, 6 );
		},

		// Timezone
		e: function() { // Timezone identifier; e.g. Atlantic/Azores, ...
			// The following works, but requires inclusion of the very large
			// timezone_abbreviations_list() function.
			/*              return that.date_default_timezone_get();
			 */
			throw 'Not supported (see source code of date() for timezone on how to add support)';
		},
		I: function() { // DST observed?; 0 or 1
			// Compares Jan 1 minus Jan 1 UTC to Jul 1 minus Jul 1 UTC.
			// If they are not equal, then DST is observed.
			var a = new Date( f.Y(), 0 );
			// Jan 1
			var c = Date.UTC( f.Y(), 0 );
			// Jan 1 UTC
			var b = new Date( f.Y(), 6 );
			// Jul 1
			var d = Date.UTC( f.Y(), 6 ); // Jul 1 UTC
			return ((a - c)!==(b - d)) ? 1 : 0;
		},
		O: function() { // Difference to GMT in hour format; e.g. +0200
			var tzo = jsdate.getTimezoneOffset();
			var a = Math.abs( tzo );
			return (tzo>0 ? '-' : '+') + _pad( Math.floor( a / 60 ) * 100 + a % 60, 4 );
		},
		P: function() { // Difference to GMT w/colon; e.g. +02:00
			var O = f.O();
			return (O.substr( 0, 3 ) + ':' + O.substr( 3, 2 ));
		},
		T: function() { // Timezone abbreviation; e.g. EST, MDT, ...
			// The following works, but requires inclusion of the very
			// large timezone_abbreviations_list() function.
			/*              var abbr, i, os, _default;
			 if (!tal.length) {
			 tal = that.timezone_abbreviations_list();
			 }
			 if (that.php_js && that.php_js.default_timezone) {
			 _default = that.php_js.default_timezone;
			 for (abbr in tal) {
			 for (i = 0; i < tal[abbr].length; i++) {
			 if (tal[abbr][i].timezone_id === _default) {
			 return abbr.toUpperCase();
			 }
			 }
			 }
			 }
			 for (abbr in tal) {
			 for (i = 0; i < tal[abbr].length; i++) {
			 os = -jsdate.getTimezoneOffset() * 60;
			 if (tal[abbr][i].offset === os) {
			 return abbr.toUpperCase();
			 }
			 }
			 }
			 */
			return 'UTC';
		},
		Z: function() { // Timezone offset in seconds (-43200...50400)
			return -jsdate.getTimezoneOffset() * 60;
		},

		// Full Date/Time
		c: function() { // ISO-8601 date.
			return 'Y-m-d\\TH:i:sP'.replace( formatChr, formatChrCb );
		},
		r: function() { // RFC 2822
			return 'D, d M Y H:i:s O'.replace( formatChr, formatChrCb );
		},
		U: function() { // Seconds since UNIX epoch
			return jsdate / 1000 | 0;
		}
	};
	this.date = function( format, timestamp ) {
		that = this;
		jsdate = (timestamp===undefined ? new Date() : // Not provided
		          (timestamp instanceof Date) ? new Date( timestamp ) : // JS Date()
		          new Date( timestamp * 1000 ) // UNIX timestamp (auto-convert to int)
		);
		return format.replace( formatChr, formatChrCb );
	};
	return this.date( format, timestamp );
}

function strtolower( str ) {
	return (str + '')
		.toLowerCase()
}

function basename( path, suffix ) {
	var b = path
	var lastChar = b.charAt( b.length - 1 )
	if ( lastChar==='/' || lastChar==='\\' ) {
		b = b.slice( 0, -1 )
	}
	b = b.replace( /^.*[/\\]/g, '' )
	if ( typeof suffix==='string' && b.substr( b.length - suffix.length )===suffix ) {
		b = b.substr( 0, b.length - suffix.length )
	}
	return b
}

function strtotime( text, now ) {
	var parsed
	var match
	var today
	var year
	var date
	var days
	var ranges
	var len
	var times
	var regex
	var i
	var fail = false
	if ( !text ) {
		return fail
	}
	// Unecessary spaces
	text = text.replace( /^\s+|\s+$/g, '' )
		.replace( /\s{2,}/g, ' ' )
		.replace( /[\t\r\n]/g, '' )
		.toLowerCase()
	// in contrast to php, js Date.parse function interprets:
	// dates given as yyyy-mm-dd as in timezone: UTC,
	// dates with "." or "-" as MDY instead of DMY
	// dates with two-digit years differently
	// etc...etc...
	// ...therefore we manually parse lots of common date formats
	var pattern = new RegExp( [
		'^(\\d{1,4})',
		'([\\-\\.\\/:])',
		'(\\d{1,2})',
		'([\\-\\.\\/:])',
		'(\\d{1,4})',
		'(?:\\s(\\d{1,2}):(\\d{2})?:?(\\d{2})?)?',
		'(?:\\s([A-Z]+)?)?$'
	].join( '' ) )
	match = text.match( pattern )
	if ( match && match[ 2 ]===match[ 4 ] ) {
		if ( match[ 1 ]>1901 ) {
			switch ( match[ 2 ] ) {
				case '-':
					// YYYY-M-D
					if ( match[ 3 ]>12 || match[ 5 ]>31 ) {
						return fail
					}
					return new Date( match[ 1 ], parseInt( match[ 3 ], 10 ) - 1, match[ 5 ],
						match[ 6 ] || 0, match[ 7 ] || 0, match[ 8 ] || 0, match[ 9 ] || 0 ) / 1000
				case '.':
					// YYYY.M.D is not parsed by strtotime()
					return fail
				case '/':
					// YYYY/M/D
					if ( match[ 3 ]>12 || match[ 5 ]>31 ) {
						return fail
					}
					return new Date( match[ 1 ], parseInt( match[ 3 ], 10 ) - 1, match[ 5 ],
						match[ 6 ] || 0, match[ 7 ] || 0, match[ 8 ] || 0, match[ 9 ] || 0 ) / 1000
			}
		} else if ( match[ 5 ]>1901 ) {
			switch ( match[ 2 ] ) {
				case '-':
					// D-M-YYYY
					if ( match[ 3 ]>12 || match[ 1 ]>31 ) {
						return fail
					}
					return new Date( match[ 5 ], parseInt( match[ 3 ], 10 ) - 1, match[ 1 ],
						match[ 6 ] || 0, match[ 7 ] || 0, match[ 8 ] || 0, match[ 9 ] || 0 ) / 1000
				case '.':
					// D.M.YYYY
					if ( match[ 3 ]>12 || match[ 1 ]>31 ) {
						return fail
					}
					return new Date( match[ 5 ], parseInt( match[ 3 ], 10 ) - 1, match[ 1 ],
						match[ 6 ] || 0, match[ 7 ] || 0, match[ 8 ] || 0, match[ 9 ] || 0 ) / 1000
				case '/':
					// M/D/YYYY
					if ( match[ 1 ]>12 || match[ 3 ]>31 ) {
						return fail
					}
					return new Date( match[ 5 ], parseInt( match[ 1 ], 10 ) - 1, match[ 3 ],
						match[ 6 ] || 0, match[ 7 ] || 0, match[ 8 ] || 0, match[ 9 ] || 0 ) / 1000
			}
		} else {
			switch ( match[ 2 ] ) {
				case '-':
					// YY-M-D
					if ( match[ 3 ]>12 || match[ 5 ]>31 || (match[ 1 ]<70 && match[ 1 ]>38) ) {
						return fail
					}
					year = match[ 1 ]>=0 && match[ 1 ]<=38 ? +match[ 1 ] + 2000 : match[ 1 ]
					return new Date( year, parseInt( match[ 3 ], 10 ) - 1, match[ 5 ],
						match[ 6 ] || 0, match[ 7 ] || 0, match[ 8 ] || 0, match[ 9 ] || 0 ) / 1000
				case '.':
					// D.M.YY or H.MM.SS
					if ( match[ 5 ]>=70 ) {
						// D.M.YY
						if ( match[ 3 ]>12 || match[ 1 ]>31 ) {
							return fail
						}
						return new Date( match[ 5 ], parseInt( match[ 3 ], 10 ) - 1, match[ 1 ],
							match[ 6 ] || 0, match[ 7 ] || 0, match[ 8 ] || 0, match[ 9 ] || 0 ) / 1000
					}
					if ( match[ 5 ]<60 && !match[ 6 ] ) {
						// H.MM.SS
						if ( match[ 1 ]>23 || match[ 3 ]>59 ) {
							return fail
						}
						today = new Date()
						return new Date( today.getFullYear(), today.getMonth(), today.getDate(),
							match[ 1 ] || 0, match[ 3 ] || 0, match[ 5 ] || 0, match[ 9 ] || 0 ) / 1000
					}
					// invalid format, cannot be parsed
					return fail
				case '/':
					// M/D/YY
					if ( match[ 1 ]>12 || match[ 3 ]>31 || (match[ 5 ]<70 && match[ 5 ]>38) ) {
						return fail
					}
					year = match[ 5 ]>=0 && match[ 5 ]<=38 ? +match[ 5 ] + 2000 : match[ 5 ]
					return new Date( year, parseInt( match[ 1 ], 10 ) - 1, match[ 3 ],
						match[ 6 ] || 0, match[ 7 ] || 0, match[ 8 ] || 0, match[ 9 ] || 0 ) / 1000
				case ':':
					// HH:MM:SS
					if ( match[ 1 ]>23 || match[ 3 ]>59 || match[ 5 ]>59 ) {
						return fail
					}
					today = new Date()
					return new Date( today.getFullYear(), today.getMonth(), today.getDate(),
						match[ 1 ] || 0, match[ 3 ] || 0, match[ 5 ] || 0 ) / 1000
			}
		}
	}
	// other formats and "now" should be parsed by Date.parse()
	if ( text==='now' ) {
		return now===null || isNaN( now )
		       ? new Date().getTime() / 1000 | 0
		       : now | 0
	}
	if ( !isNaN( parsed = Date.parse( text ) ) ) {
		return parsed / 1000 | 0
	}
	// Browsers !== Chrome have problems parsing ISO 8601 date strings, as they do
	// not accept lower case characters, space, or shortened time zones.
	// Therefore, fix these problems and try again.
	// Examples:
	//   2015-04-15 20:33:59+02
	//   2015-04-15 20:33:59z
	//   2015-04-15t20:33:59+02:00
	pattern = new RegExp( [
		'^([0-9]{4}-[0-9]{2}-[0-9]{2})',
		'[ t]',
		'([0-9]{2}:[0-9]{2}:[0-9]{2}(\\.[0-9]+)?)',
		'([\\+-][0-9]{2}(:[0-9]{2})?|z)'
	].join( '' ) )
	match = text.match( pattern )
	if ( match ) {
		// @todo: time zone information
		if ( match[ 4 ]==='z' ) {
			match[ 4 ] = 'Z'
		} else if ( match[ 4 ].match( /^([+-][0-9]{2})$/ ) ) {
			match[ 4 ] = match[ 4 ] + ':00'
		}
		if ( !isNaN( parsed = Date.parse( match[ 1 ] + 'T' + match[ 2 ] + match[ 4 ] ) ) ) {
			return parsed / 1000 | 0
		}
	}
	date = now ? new Date( now * 1000 ) : new Date()
	days = {
		'sun': 0,
		'mon': 1,
		'tue': 2,
		'wed': 3,
		'thu': 4,
		'fri': 5,
		'sat': 6
	}
	ranges = {
		'yea': 'FullYear',
		'mon': 'Month',
		'day': 'Date',
		'hou': 'Hours',
		'min': 'Minutes',
		'sec': 'Seconds'
	}

	function lastNext( type, range, modifier ) {
		var diff
		var day = days[ range ]
		if ( typeof day!=='undefined' ) {
			diff = day - date.getDay()
			if ( diff===0 ) {
				diff = 7 * modifier
			} else if ( diff>0 && type==='last' ) {
				diff -= 7
			} else if ( diff<0 && type==='next' ) {
				diff += 7
			}
			date.setDate( date.getDate() + diff )
		}
	}

	function process( val ) {
		// @todo: Reconcile this with regex using \s, taking into account
		// browser issues with split and regexes
		var splt = val.split( ' ' )
		var type = splt[ 0 ]
		var range = splt[ 1 ].substring( 0, 3 )
		var typeIsNumber = /\d+/.test( type )
		var ago = splt[ 2 ]==='ago'
		var num = (type==='last' ? -1 : 1) * (ago ? -1 : 1)
		if ( typeIsNumber ) {
			num *= parseInt( type, 10 )
		}
		if ( ranges.hasOwnProperty( range ) && !splt[ 1 ].match( /^mon(day|\.)?$/i ) ) {
			return date[ 'set' + ranges[ range ] ]( date[ 'get' + ranges[ range ] ]() + num )
		}
		if ( range==='wee' ) {
			return date.setDate( date.getDate() + (num * 7) )
		}
		if ( type==='next' || type==='last' ) {
			lastNext( type, range, num )
		} else if ( !typeIsNumber ) {
			return false
		}
		return true
	}

	times = '(years?|months?|weeks?|days?|hours?|minutes?|min|seconds?|sec' +
	        '|sunday|sun\\.?|monday|mon\\.?|tuesday|tue\\.?|wednesday|wed\\.?' +
	        '|thursday|thu\\.?|friday|fri\\.?|saturday|sat\\.?)'
	regex = '([+-]?\\d+\\s' + times + '|' + '(last|next)\\s' + times + ')(\\sago)?'
	match = text.match( new RegExp( regex, 'gi' ) )
	if ( !match ) {
		return fail
	}
	for ( i = 0, len = match.length; i<len; i++ ) {
		if ( !process( match[ i ] ) ) {
			return fail
		}
	}
	return (date.getTime() / 1000)
}

function isset() {
	var a = arguments
	var l = a.length
	var i = 0
	var undef
	if ( l===0 ) {
		throw new Error( 'Empty isset' )
	}
	while ( i!==l ) {
		if ( a[ i ]===undef || a[ i ]===null ) {
			return false
		}
		i++
	}
	return true
}

function count( mixedVar, mode ) {
	var key
	var cnt = 0
	if ( mixedVar===null || typeof mixedVar==='undefined' ) {
		return 0
	} else if ( mixedVar.constructor!==Array && mixedVar.constructor!==Object ) {
		return 1
	}
	if ( mode==='COUNT_RECURSIVE' ) {
		mode = 1
	}
	if ( mode!==1 ) {
		mode = 0
	}
	for ( key in mixedVar ) {
		if ( mixedVar.hasOwnProperty( key ) ) {
			cnt++
			if ( mode===1 && mixedVar[ key ] &&
			     (mixedVar[ key ].constructor===Array ||
			      mixedVar[ key ].constructor===Object) ) {
				cnt += count( mixedVar[ key ], 1 )
			}
		}
	}
	return cnt
}

function array_merge() {
	var args = Array.prototype.slice.call( arguments )
	var argl = args.length
	var arg
	var retObj = {}
	var k = ''
	var argil = 0
	var j = 0
	var i = 0
	var ct = 0
	var toStr = Object.prototype.toString
	var retArr = true
	for ( i = 0; i<argl; i++ ) {
		if ( toStr.call( args[ i ] )!=='[object Array]' ) {
			retArr = false
			break
		}
	}
	if ( retArr ) {
		retArr = []
		for ( i = 0; i<argl; i++ ) {
			retArr = retArr.concat( args[ i ] )
		}
		return retArr
	}
	for ( i = 0, ct = 0; i<argl; i++ ) {
		arg = args[ i ]
		if ( toStr.call( arg )==='[object Array]' ) {
			for ( j = 0, argil = arg.length; j<argil; j++ ) {
				retObj[ ct++ ] = arg[ j ]
			}
		} else {
			for ( k in arg ) {
				if ( arg.hasOwnProperty( k ) ) {
					if ( parseInt( k, 10 ) + ''===k ) {
						retObj[ ct++ ] = arg[ k ]
					} else {
						retObj[ k ] = arg[ k ]
					}
				}
			}
		}
	}
	return retObj
}

function empty( mixedVar ) {
	var undef
	var key
	var i
	var len
	var emptyValues = [ undef, null, false, 0, '', '0' ]
	for ( i = 0, len = emptyValues.length; i<len; i++ ) {
		if ( mixedVar===emptyValues[ i ] ) {
			return true
		}
	}
	if ( typeof mixedVar==='object' ) {
		for ( key in mixedVar ) {
			if ( mixedVar.hasOwnProperty( key ) ) {
				return false
			}
		}
		return true
	}
	return false
}

function echo() {
	var args = Array.prototype.slice.call( arguments )
	return console.log( args.join( ' ' ) )
}

function print_r( array, returnVal ) {
	//var echo = require('../strings/echo')
	var output = ''
	var padChar = ' '
	var padVal = 4
	var _repeatChar = function( len, padChar ) {
		var str = ''
		for ( var i = 0; i<len; i++ ) {
			str += padChar
		}
		return str
	}
	var _formatArray = function( obj, curDepth, padVal, padChar ) {
		if ( curDepth>0 ) {
			curDepth++
		}
		var basePad = _repeatChar( padVal * curDepth, padChar )
		var thickPad = _repeatChar( padVal * (curDepth + 1), padChar )
		var str = ''
		if ( typeof obj==='object' &&
		     obj!==null &&
		     obj.constructor ) {
			str += 'Array\n' + basePad + '(\n'
			for ( var key in obj ) {
				if ( Object.prototype.toString.call( obj[ key ] )==='[object Array]' ) {
					str += thickPad
					str += '['
					str += key
					str += '] => '
					str += _formatArray( obj[ key ], curDepth + 1, padVal, padChar )
				} else {
					str += thickPad
					str += '['
					str += key
					str += '] => '
					str += obj[ key ]
					str += '\n'
				}
			}
			str += basePad + ')\n'
		} else if ( obj===null || obj===undefined ) {
			str = ''
		} else {
			// for our "resource" class
			str = obj.toString()
		}
		return str
	}
	output = _formatArray( array, 0, padVal, padChar )
	if ( returnVal!==true ) {
		echo( output )
		return true
	}
	return output
}

function implode( glue, pieces ) {
	var i = ''
	var retVal = ''
	var tGlue = ''
	if ( arguments.length===1 ) {
		pieces = glue
		glue = ''
	}
	if ( typeof pieces==='object' ) {
		if ( Object.prototype.toString.call( pieces )==='[object Array]' ) {
			return pieces.join( glue )
		}
		for ( i in pieces ) {
			retVal += tGlue + pieces[ i ]
			tGlue = glue
		}
		return retVal
	}
	return pieces
}

var yesno = function( param ) {
	if ( param==1 || param==true ) {
		return "Yes";
	} else {
		return "No";
	}
}

function str_ireplace( search, replace, subject, countObj ) { // eslint-disable-line camelcase
	//  discuss at: http://locutus.io/php/str_ireplace/
	// original by: Glen Arason (http://CanadianDomainRegistry.ca)
	//      note 1: Case-insensitive version of str_replace()
	//      note 1: Compliant with PHP 5.0 str_ireplace() Full details at:
	//      note 1: http://ca3.php.net/manual/en/function.str-ireplace.php
	//      note 2: The countObj parameter (optional) if used must be passed in as a
	//      note 2: object. The count will then be written by reference into it's `value` property
	//   example 1: str_ireplace('M', 'e', 'name')
	//   returns 1: 'naee'
	//   example 2: var $countObj = {}
	//   example 2: str_ireplace('M', 'e', 'name', $countObj)
	//   example 2: var $result = $countObj.value
	//   returns 2: 1

	var i = 0
	var j = 0
	var temp = ''
	var repl = ''
	var sl = 0
	var fl = 0
	var f = ''
	var r = ''
	var s = ''
	var ra = ''
	var otemp = ''
	var oi = ''
	var ofjl = ''
	var os = subject
	var osa = Object.prototype.toString.call( os )==='[object Array]'
	// var sa = ''

	if ( typeof (search)==='object' ) {
		temp = search
		search = []
		for ( i = 0; i<temp.length; i += 1 ) {
			search[ i ] = temp[ i ].toLowerCase()
		}
	} else {
		search = search.toLowerCase()
	}

	if ( typeof (subject)==='object' ) {
		temp = subject
		subject = []
		for ( i = 0; i<temp.length; i += 1 ) {
			subject[ i ] = temp[ i ].toLowerCase()
		}
	} else {
		subject = subject.toLowerCase()
	}

	if ( typeof (search)==='object' && typeof (replace)==='string' ) {
		temp = replace
		replace = []
		for ( i = 0; i<search.length; i += 1 ) {
			replace[ i ] = temp
		}
	}

	temp = ''
	f = [].concat( search )
	r = [].concat( replace )
	ra = Object.prototype.toString.call( r )==='[object Array]'
	s = subject
	// sa = Object.prototype.toString.call(s) === '[object Array]'
	s = [].concat( s )
	os = [].concat( os )

	if ( countObj ) {
		countObj.value = 0
	}

	for ( i = 0, sl = s.length; i<sl; i++ ) {
		if ( s[ i ]==='' ) {
			continue
		}
		for ( j = 0, fl = f.length; j<fl; j++ ) {
			temp = s[ i ] + ''
			repl = ra ? (r[ j ]!==undefined ? r[ j ] : '') : r[ 0 ]
			s[ i ] = (temp).split( f[ j ] ).join( repl )
			otemp = os[ i ] + ''
			oi = temp.indexOf( f[ j ] )
			ofjl = f[ j ].length
			if ( oi>=0 ) {
				os[ i ] = (otemp).split( otemp.substr( oi, ofjl ) ).join( repl )
			}

			if ( countObj ) {
				countObj.value += ((temp.split( f[ j ] )).length - 1)
			}
		}
	}

	return osa ? os : os[ 0 ]
}

function str_replace( find, replace, str ) {
	return str.replace( new RegExp( find, 'g' ), replace );
}

var get_url_variables = function( keyParam ) {
	if ( location.search ) {
		params = {};
		var parts = location.search.substring( 1 ).split( '&' );

		for ( var i = 0; i<parts.length; i++ ) {
			var nv = parts[ i ].split( '=' );
			if ( !nv[ 0 ] ) {
				continue;
			}
			if ( typeof keyParam!='undefined' && keyParam==nv[ 0 ] ) {
				return nv[ 1 ];
			}
			params[ nv[ 0 ] ] = nv[ 1 ] || true;
		}
		return params;
	} else {
		return {};
	}
}
var remove_url_parameter = function( parameter, url, set_url ) {
	if ( !url ) {
		url = window.location.href;
	}
	if ( typeof set_url=="undefined" ) {
		set_url = true;
	}
	//prefer to use l.search if you have a location/link object
	var urlparts = url.split( '?' );

	if ( urlparts.length>=2 ) {
		var prefix = encodeURIComponent( parameter );
		var pars = urlparts[ 1 ].split( /[&;]/g );
		//reverse iteration as may be destructive
		for ( var i = pars.length; i-->0; ) {
			//idiom for string.startsWith
			if ( pars[ i ].lastIndexOf( prefix, 0 )!== -1 ) {
				pars.splice( i, 1 );
			}
		}
		url = urlparts[ 0 ] + '?' + pars.join( '&' );
		if ( url.substr( -1 )=="?" ) {
			url = url.substr( 0, url.length - 1 );
		}
		if ( set_url ) {
			set_new_url( url );
		} else {
			return url;
		}
	} else {
		if ( url.substr( -1 )=="?" ) {
			url = url.substr( 0, url.length - 1 );
		}
		if ( set_url ) {
			set_new_url( url );
		} else {
			return url;
		}
	}
}
var set_new_url = function( $new_url, title ) {
	window.history.pushState( {}, title, $new_url );
	if ( title ) {
		document.title = title;
	}
}
var urlencode = function( str ) {
	str = (str + '')
		.toString();

	return encodeURIComponent( str )
		.replace( /!/g, '%21' )
		.replace( /'/g, '%27' )
		.replace( /\(/g, '%28' )
		.replace( /\)/g, '%29' )
		.replace( /\*/g, '%2A' )
		.replace( /%20/g, '+' );
}
var array_keys = function( input, searchValue, argStrict ) { // eslint-disable-line camelcase
	//  discuss at: http://locutus.io/php/array_keys/
	// original by: Kevin van Zonneveld (http://kvz.io)
	//    input by: Brett Zamir (http://brett-zamir.me)
	//    input by: P
	// bugfixed by: Kevin van Zonneveld (http://kvz.io)
	// bugfixed by: Brett Zamir (http://brett-zamir.me)
	// improved by: jd
	// improved by: Brett Zamir (http://brett-zamir.me)
	//   example 1: array_keys( {firstname: 'Kevin', surname: 'van Zonneveld'} )
	//   returns 1: [ 'firstname', 'surname' ]

	var search = typeof searchValue!=='undefined'
	var tmpArr = []
	var strict = !!argStrict
	var include = true
	var key = ''

	for ( key in input ) {
		if ( input.hasOwnProperty( key ) ) {
			include = true
			if ( search ) {
				if ( strict && input[ key ]!==searchValue ) {
					include = false
				} else if ( input[ key ]!==searchValue ) {
					include = false
				}
			}

			if ( include ) {
				tmpArr[ tmpArr.length ] = key
			}
		}
	}

	return tmpArr
}
var array_values = function( input ) { // eslint-disable-line camelcase
	//  discuss at: http://locutus.io/php/array_values/
	// original by: Kevin van Zonneveld (http://kvz.io)
	// improved by: Brett Zamir (http://brett-zamir.me)
	//   example 1: array_values( {firstname: 'Kevin', surname: 'van Zonneveld'} )
	//   returns 1: [ 'Kevin', 'van Zonneveld' ]

	var tmpArr = []
	var key = ''

	for ( key in input ) {
		tmpArr[ tmpArr.length ] = input[ key ]
	}

	return tmpArr
}
var strip_tags = function( string ) {
	return string.replace( /(<([^>]+)>)/ig, "" );
};

var filename = function() {
	var url = window.location.pathname;
	var lastUri = url.substring( url.lastIndexOf( '/' ) + 1 );

	if ( lastUri.indexOf( '?' )!= -1 ) {
		file = lastUri.substring( 0, lastUri.indexOf( '?' ) );
	} else {
		file = lastUri;
	}

	if ( file=="" ) {
		file = "index.php";
	}

	return file;
};

var isInViewport = function( query_selector ) {
	if ( $( query_selector ).length==0 ) {
		return false;
	}
	var elem = document.querySelector( query_selector );
	var distance = elem.getBoundingClientRect();
	return (
		distance.top>=0 &&
		distance.left>=0 &&
		distance.bottom<=(window.innerHeight || document.documentElement.clientHeight) &&
		distance.right<=(window.innerWidth || document.documentElement.clientWidth)
	);
};

$( function() {
	if ( "Notification" in window ) {
		if ( typeof Notification==='undefined' ) {
			return;
		}
		if ( Notification.permission!=="granted" ) {
			Notification.requestPermission();
		}

		if ( is_localhost ) {
			var err_source = new EventSource( root_url + "ajax.php?error_notification" );
			err_source.onmessage = function( event ) {
				if ( event.data=="OK" ) {
					notifyMe( "Error Notification", "New errors generated", root_url + "?errors_view" );
				}
			};

			var logs_source = new EventSource( root_url + "ajax.php?logs_notification" );
			logs_source.onmessage = function( event ) {
				if ( event.data=="OK" ) {
					notifyMe( "Debug Logs", "New logs generated", root_url + "?logs_view" );
				}
			};
		}
	}
} );

function notifyMe( title, message, url ) {
	if ( !Notification ) {
		//alert('Desktop notifications not available in your browser. Try Chromium.');
		return;
	}
	url = url || root_url;
	if ( Notification.permission!=="granted" ) {
		Notification.requestPermission();
	} else {
		var notification = new Notification( title, {
			icon: ASSETS_URL + 'img/logo-big.png',
			body: message,
		} );
		notification.onclick = function() {
			if ( url ) {
				window.open( url );
			}
		};
	}

}

var close_filters = function() {
	$( '#filters' ).animate( {
		'right': '-250px'
	} );
};
var open_filters = function() {
	$( '#filters' ).animate( {
		'right': '0'
	} );
};

var download_pdf = function( url, filename ) {
	url = urlencode( url );

	$( '#pdf_form_footer' ).html( '<input name="url" value="' + url + '">' );
	filename = filename || 'download';
	$( '#pdf_form_footer' ).append( '<input name="filename" value="' + filename + '">' );

	$( '#pdf_form_footer' ).trigger( 'submit' );
};

var my_date = function() {
	return date( 'd-M-Y' );
}

function nl2br( str, isXhtml ) {

	// Some latest browsers when str is null return and unexpected null value
	if ( typeof str==='undefined' || str===null ) {
		return ''
	}

	// Adjust comment to avoid issue on locutus.io display
	var breakTag = (isXhtml || typeof isXhtml==='undefined') ? '<br ' + '/>' : '<br>'

	return (str + '')
		.replace( /(\r\n|\n\r|\r|\n)/g, breakTag + '$1' )
}

function round( value, precision, mode ) {

	var m, f, isHalf, sgn // helper variables
	// making sure precision is integer
	precision |= 0
	m = Math.pow( 10, precision )
	value *= m
	// sign of the number
	sgn = (value>0) | -(value<0)
	isHalf = value % 1===0.5 * sgn
	f = Math.floor( value )

	if ( isHalf ) {
		switch ( mode ) {
			case 'PHP_ROUND_HALF_DOWN':
				// rounds .5 toward zero
				value = f + (sgn<0)
				break
			case 'PHP_ROUND_HALF_EVEN':
				// rouds .5 towards the next even integer
				value = f + (f % 2 * sgn)
				break
			case 'PHP_ROUND_HALF_ODD':
				// rounds .5 towards the next odd integer
				value = f + !(f % 2)
				break
			default:
				// rounds .5 away from zero
				value = f + (sgn>0)
		}
	}

	return (isHalf ? value : Math.round( value )) / m
}