<?php
include_once( __DIR__ . "/../library.php" );
$guardian = new Guardian();
if ( isset( $_GET['change_password'] ) ) {
	echo $guardian->change_password( $_POST );
	exit;
}
if ( ! $guardian->is_guardian_logged_in() ) {
	Urls::redirect( "login.php" );
}
include_once( __DIR__ . "/header.php" );
$guardian->my_id();
?>
<!-- BEGIN CONTAINER -->
<div class="page-container">
	<!-- BEGIN EMPTY PAGE SIDEBAR -->
	<div class="page-sidebar navbar-collapse collapse">
		<ul class="page-sidebar-menu visible-sm visible-xs">
			<li>
				<!-- BEGIN RESPONSIVE QUICK SEARCH FORM -->
				<form class="sidebar-search" action="extra_search.html" method="POST">
					<div class="form-container">
						<div class="input-box">
							<a href="javascript:;" class="remove"></a>
							<input type="text" placeholder="Search..." />
							<input type="button" class="submit" value=" " />
						</div>
					</div>
				</form>
				<!-- END RESPONSIVE QUICK SEARCH FORM -->
			</li>
			<li>
				<a class="active" href="index.php">
					Dashboard
				</a>
			</li>
			<li class="active">
				<a href="javascript:;">
					Layouts
					<span class="arrow open"></span>
					<span class="selected"></span>
				</a>
				<ul class="sub-menu">
					<li>
						<a href="layout_language_bar.html">
						<span class="badge badge-roundless badge-important">
							new
						</span>
							Language Switch Bar</a>
					</li>
					<li>
						<a href="layout_horizontal_sidebar_menu.html">
							Horizontal & Sidebar Menu </a>
					</li>
					<li class="active">
						<a href="layout_horizontal_menu1.html">
							Horizontal Menu 1 </a>
					</li>
					<li>
						<a href="layout_horizontal_menu2.html">
							Horizontal Menu 2 </a>
					</li>
					<li>
						<a href="layout_disabled_menu.html">
							Disabled Menu Links</a>
					</li>
					<li>
						<a href="layout_promo.html">
							Promo Page </a>
					</li>
					<li>
						<a href="layout_email.html">
							Email Templates </a>
					</li>
					<li>
						<a href="layout_ajax.html">
							Content Loading via Ajax</a>
					</li>
					<li>
						<a href="layout_sidebar_closed.html">
							Sidebar Closed Page </a>
					</li>
					<li>
						<a href="layout_sidebar_fixed.html">
							Sidebar Fixed Page </a>
					</li>
					<li>
						<a href="layout_blank_page.html">
							Blank Page </a>
					</li>
					<li>
						<a href="layout_boxed_page.html">Boxed Page</a>
					</li>
					<li>
						<a href="layout_boxed_not_responsive.html">
							Non-Responsive Boxed Layout </a>
					</li>
					<li>
						<a href="javascript:;">
							More options
							<span class="arrow">
						</span>
						</a>
						<ul class="sub-menu">
							<li>
								<a href="#">Second level link</a>
							</li>
							<li>
								<a href="javascript:;">More options
									<span class="arrow">
								</span>
								</a>
								<ul class="sub-menu">
									<li>
										<a href="index.html">Third level link</a>
									</li>
									<li>
										<a href="index.html">Third level link</a>
									</li>
									<li>
										<a href="index.html">Third level link</a>
									</li>
									<li>
										<a href="index.html">Third level link</a>
									</li>
									<li>
										<a href="index.html">Third level link</a>
									</li>
								</ul>
							</li>
							<li>
								<a href="index.html">Second level link</a>
							</li>
							<li>
								<a href="index.html">Second level link</a>
							</li>
							<li>
								<a href="index.html">Second level link</a>
							</li>
						</ul>
					</li>
				</ul>
			</li>
			<li>
				<a href="">Tables</a>
			</li>
			<li>
				<a href="">Extra
					<span class="arrow">
				</span>
				</a>
				<ul class="sub-menu">
					<li>
						<a href="index.html">About Us</a>
					</li>
					<li>
						<a href="index.html">Services</a>
					</li>
					<li>
						<a href="index.html">Pricing</a>
					</li>
					<li>
						<a href="index.html">FAQs</a>
					</li>
					<li>
						<a href="index.html">Gallery</a>
					</li>
					<li>
						<a href="index.html">Registration</a>
					</li>
					<li>
						<a href="index.html">2 Columns (Left)</a>
					</li>
					<li>
						<a href="index.html">2 Columns (Right)</a>
					</li>
				</ul>
			</li>
		</ul>
	</div>
	<!-- END EMPTY PAGE SIDEBAR -->
	<!-- END SIDEBAR -->
	<!-- BEGIN CONTENT -->
	<div class="page-content-wrapper">
		<div class="page-content">
			<!-- BEGIN SAMPLE PORTLET CONFIGURATION MODAL FORM-->
			<div class="modal fade" id="portlet-config" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
			     aria-hidden="true">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
							<h4 class="modal-title">Modal title</h4>
						</div>
						<div class="modal-body">
							Widget settings form goes here
						</div>
						<div class="modal-footer">
							<button type="button" class="btn blue">Save changes</button>
							<button type="button" class="btn default" data-dismiss="modal">Close</button>
						</div>
					</div>
					<!-- /.modal-content -->
				</div>
				<!-- /.modal-dialog -->
			</div>
			<!-- /.modal -->
			<!-- END SAMPLE PORTLET CONFIGURATION MODAL FORM-->
			<!-- BEGIN PAGE HEADER-->
			<div class="row">
				<div class="col-md-12">
					<!-- BEGIN PAGE TITLE & BREADCRUMB-->
					<h3 class="page-title">
						Profile
					</h3>
					<ul class="page-breadcrumb breadcrumb">
						<li>
							<i class="fa fa-home"></i>
							<a href="index.html">Home</a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="#">Profile</a>
						</li>
					</ul>
					<!-- END PAGE TITLE & BREADCRUMB-->
				</div>
			</div>
			<!-- END PAGE HEADER-->
			<!-- BEGIN DASHBOARD STATS -->
			<div class="row">
				<div class="col-md-12">
					<div class="portlet box green">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-reorder"></i> Change password
							</div>
							<div class="tools">
								<a href="javascript:;" class="collapse"></a>
								<!--<a href="#portlet-config" data-toggle="modal" class="config"></a>-->
								<!--<a href="javascript:;" class="reload"></a>-->
								<!--<a href="javascript:;" class="remove"></a>-->
							</div>
						</div>
						<div class="portlet-body form">
							<!-- BEGIN FORM-->
							<form class="form-horizontal" id="form1">
								<input type="reset" class="hidden" id="form1_reset">
								<div class="form-body">
									<div class="form-group">
										<label for="current_password" class="col-md-3 control-label">Current password</label>
										<div class="col-md-4">
											<div class="input-group">
												<input id="current_password" name="current_password" required="required" type="password"
												       class="form-control" placeholder="Current password"
												       autocomplete="on">
												<span class="input-group-addon">
                                                    <i class="fa fa-lock"></i>
                                                </span>
											</div>
										</div>
									</div>
									<div class="form-group">
										<label for="password1" class="col-md-3 control-label">New password</label>
										<div class="col-md-4">
											<div class="input-group">
												<input name="password1" required="required" type="password"
												       class="form-control" placeholder="New password"
												       id="password1" autocomplete="on">
												<span class="input-group-addon">
                                                    <i class="fa fa-lock"></i>
                                                </span>
											</div>
										</div>
									</div>
									<div class="form-group">
										<label for="password2" class="col-md-3 control-label">New password again</label>
										<div class="col-md-4">
											<div class="input-group">
												<input name="password2" required="required" type="password"
												       class="form-control" placeholder="New password again"
												       autocomplete="on" id="password2">
												<span class="input-group-addon">
                                                    <i class="fa fa-lock"></i>
                                                </span>
											</div>
										</div>
									</div>
									<!--<div class="form-group">
										<label class="col-md-3 control-label">Input With Spinner</label>
										<div class="col-md-4">
											<input type="password" class="form-control spinner" placeholder="Password" autocomplete="on" style="cursor: auto;">
										</div>
									</div>-->
								</div>
								<div class="form-actions fluid">
									<div class="col-md-offset-3 col-md-9">
										<button type="submit" class="btn blue">Submit</button>
										<button type="button" class="btn default">Cancel</button>
									</div>
								</div>
							</form>
							<!-- END FORM-->
						</div>
					</div>
				</div>
			</div>
			<!-- END DASHBOARD STATS -->
			<div class="clearfix">
			</div>
		</div>
	</div>
	<!-- END CONTENT -->
</div>
<!-- END CONTAINER -->
<?php include_once( __DIR__ . "/footer.php" ); ?>
<script>
	$( function() {
		$( document ).on( "submit", "#form1", function() {
			$( ".loading" ).show();
			$.post( "<?php echo filename() ?>?change_password", $( "#form1" ).serialize(), function( data ) {
				$( ".loading" ).hide();
				$( "#form1_reset" ).click();
				if ( data=="OK" ) {
					alert( "Password changed successfully!" );
				} else {
					alert( "Error: " + data );
				}
			} );
			return false;
		} );
	} );
</script>
</body>
<!-- END BODY -->
</html>