<?php
include_once( __DIR__ . "/../library.php" );

if ( ! isset( $_GET['action'] ) ) {
	die( "Invalid ajax call" );
}
$_users = new Users();


if ( $_GET['action'] == "saveBatch" ) {
	$batch = new Batch;
	echo $batch->save_batch( $_POST );
}


if ( $_GET['action'] == "saveSession" ) {
	//echo "<pre>";print_r($_POST);die();
	$S = new Sessions;
	echo $S->save_session( $_POST );
	exit();
}

if ( $_GET['action'] == "getSession" ) {
	$batch = new Sessions();
	$row   = $batch->get_list_data( "id={$_POST['id']}" );
	$row   = $row[0];
	if ( isset( $row['start_date'] ) ) {
		$row['start_date'] = \Dates::my_date( $row['start_date'], "d-m-Y" );
	}
	if ( isset( $row['end_date'] ) ) {
		$row['end_date'] = \Dates::my_date( $row['end_date'], "d-m-Y" );
	}
	echo json_encode( $row );
	exit();
}

if ( $_GET['action'] == "saveClass" ) {
	$Classes = new BatchClass();
	echo $Classes->save_batchclass( $_POST );
	exit();
}

if ( $_GET['action'] == "teacherUploadFile" ) {
	//echo "<pre>";print_r($_FILES);die();
	$Teacher = new Teacher;
	echo $Teacher->teacher_upload_file( $_POST, $_FILES );
	exit();
}

if ( $_GET['action'] == "teacher_file_delete" ) {
	$Teacher = new Teacher;
	echo $Teacher->teacher_upload_file_delete( $_POST );
	exit();
}

if ( $_GET['action'] == "getClassSubjects" ) {
	global $db;
	$C = new BatchClass();

	$_POST["classid"] = isset( $_POST["classid"] ) ? $_POST["classid"] : 0;
	$subjects = $C->get_subjects( $_POST["classid"] );
	echo json_encode( $subjects );

	exit();
}

if ( $_GET['action'] == "saveClassDatesheet" ) {
	$Datesheet = new Datesheet;
	echo $Datesheet->save( $_POST );
	exit();
}

if ( $_GET['action'] == "saveStyle" ) {
	$s = new CustomStyle;
	echo $s->save( $_POST );
	exit();
}

if ( $_GET['action'] == "deleteDatesheet" ) {
	$d = new Datesheet;
	echo $d->delete_datesheet( $_POST );
	exit();
}

if ( $_GET['action'] == "saveWeeklySchedule" ) {
	$d = new Datesheet;
	echo $d->save_weeklySchedule( $_POST );
	exit();
}

if ( $_GET['action'] == "deleteSchedule" ) {
	$d = new Datesheet;
	echo $d->deleteScheduleRecord( $_POST );
	exit();
}

if ( $_GET['action'] == "ParentEdit" ) {
	$g = new Guardian;
	echo $g->editParentData( $_POST );
	exit();
}

if ( $_GET['action'] == "addParent" ) {
	$g = new Guardian;
	echo $g->save( $_POST );
	exit();
}


if ( $_GET['action'] == "saveSessionStudent" ) {
	$S = new Sessions;
	echo $S->save_session_teacher( $_POST );
	exit();
}

if ( $_GET['action'] == "teacherComment" ) {
	$S   = new Teacher();
	$row = $S->save_teacher_comment( $_POST );
	echo json_encode( $row );
	exit();
}

if ( $_GET['action'] == "saveStudentComments" ) {
	$S = new Teacher();
	echo $S->save_teacher_comment_insert( $_POST );
	exit();
}


if ( $_GET['action'] == "getClassInfo" ) {
	$c   = new Classes();
	$row = $c->get_classdata( $_POST['id'] );
	echo json_encode( $row );
	exit();
}

if ( $_GET['action'] == "saveEmployess" ) {
	$Employess = new Employess;
	echo $Employess->save( $_POST );
	exit();
}

if ( $_GET['action'] == "getLectureSchedule" ) {
	$d   = new Datesheet();
	$row = $d->get_Lecture_Schedule_data( $_POST );

	global $db;
	$id                 = $_POST["classid"];
	$Q                  = "SELECT `subjects` FROM `classes` WHERE `id`='" . $id . "'";
	$subjects           = $db->get_var( $Q );
	$subjects           = explode( ",", $subjects );
	$row['getsubjects'] = $subjects;

	$row = $row[0];
	echo json_encode( $row );
	exit();
}

if ( $_GET['action'] == "student_change_password" ) {
	$S = new Student();
	echo $S->change_password( $_POST );
	exit();
}


if ( $_GET["action"] == "getClass" ) {
	if ( isset( $_POST["id"] ) ) {
		$id = $_POST["id"];
	} else {
		$id = 0;
	}

	$c   = new BatchClass();
	$row = $c->get_class_data( $id );
	if ( ! is_array( $row ) || empty( $row ) ) {
		$row["status"] = "Error at getting class";
	} else {
		$row["status"] = "OK";
	}
	if ( empty( $row["batch_id"] ) ) {
		$row["batch_id"] = $c->get_active_batch_id();
	}
	echo json_encode( $row );
	exit();
}

if ( $_GET["action"] == "saveUploadMaterial" ) {
	$c = new CourseMaterial();
	echo $response = $c->save_course_material( $_POST, $_FILES );
	exit();
}

if ( $_GET["action"] == "teacher_uplod_assignment" ) {
	$c = new Teacher();
	echo $response = $c->upload_course_material_data( $_POST, $_FILES );
	exit();
}

if ( $_GET["action"] == "assignment_delete" ) {
	$c = new Teacher();
	echo $response = $c->delete_assignment( $_POST );
	exit();
}

if ( $_GET["action"] == "getTeacherClasses" ) {
	$t = new Teacher();
	header( "Content-Type: application/json" );
	if ( ! isset( $_POST["teacher_id"] ) ) {
		echo json_encode( [] );
		exit;
	}
	$response = $t->get_teachers_assign_classes( $_POST["teacher_id"] );

	if ( ! is_array( $response ) ) {
		echo json_encode( [] );
		exit;
	}

	$out[] = [ "id" => "0", "text" => "Select Class" ];
	foreach ( $response as $key => $row ) {
		$out[] = [ "id"   => $row["id"],
		           "text" => add_leading_zeros( $key + 1, 2 ) . ". (" . add_leading_zeros( $row["id"], 3 ) . ") " . $row["class_name"],
		];
	}

	echo json_encode( $out );
	exit();
}


if ( $_GET["action"] == "getTeacherAssignLecture" ) {
	$t        = new Teacher();
	$response = $t->teacherLectureSchedule( $_POST );
	header("Content-Type: application/json");
	echo json_encode( $response );
	exit();
}
if ( $_GET["action"] == "delClass" ) {
	$c = new Classes;
	echo $c->delete( $_POST );
	exit();
}
exit( 0 );