<?php
if ( ! defined( "VERSION" ) ) {
	die( "Please do not use this file directly!" );
}
//set_time_limit( 0 );
@ini_set( 'allow_url_fopen', 1 );

if ( \General::localhost() ) {
	$remoteURL = "http://shakeel.com/fekara_management/api_/version.php";
} else {
	$remoteURL = "http://app.fekara.com/api_/version.php";
}

$latestVersion = \Urls::file_get_contents( $remoteURL );

if ( $latestVersion === false ) {
	echo __( "Can't get latest version from server." );
	die;
}

if ( substr( $latestVersion, 0, 7 ) == 'Error: ' ) {
	echo $latestVersion;
	exit;
}

if ( file_exists( ROOT_PATH . "VER" ) ) {
	$ver = file_get_contents( ROOT_PATH . "VER" );
} else {
	$ver = VERSION;
}
if ( empty( $ver ) ) {
	$ver = "0";
}
if ( ! isset( $_GET["force"] ) && version_compare( $latestVersion, $ver, "<=" ) ) {
	echo __( "Latest version is already installed." );
	die;
}

if ( \General::localhost() ) {
	$remoteURL = "http://server.pk/latest-version.zip";
} else {
	$remoteURL = "http://app.fekara.com/latest-version.zip";
}

$target = ROOT_PATH . 'latest-version.zip';

if ( is_file( $target ) ) {
	@unlink( $target );
}

/*$file = fopen( $remoteURL, "r" );
var_dump( $file );
if ( $file === false ) {
	die( "Server can't get latest resource of FeKara." );
}*/
if ( is_file( $target ) ) {
	@unlink( $target );
}
$fp = fopen( $target, 'w' );
$ch = curl_init( $remoteURL );

curl_setopt_array( $ch, [
	CURLOPT_URL            => $remoteURL,
	CURLOPT_BINARYTRANSFER => 1,
	CURLOPT_RETURNTRANSFER => 1,
	CURLOPT_FILE           => $fp,
	CURLOPT_TIMEOUT        => 50,
	CURLOPT_USERAGENT      => 'Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)',
	CURLOPT_REFERER        => "http://" . $_SERVER["HTTP_HOST"],
] );
$results = curl_exec( $ch );

if ( curl_exec( $ch ) === false ) {
	echo 'Curl error: ' . curl_error( $ch );
} else {
	curl_close( $ch );

	if ( ! is_file( $target ) ) {
		echo __( "Source file not downloaded.1" );
		exit;
	}

	if ( filesize( $target ) < 5000 ) {
		echo file_get_contents( $target).'<br>';
		echo __( "Source file not downloaded." );
		exit;
	}

	$zip = new ZipArchive;
	if ( $zip->open( $target ) === true ) {
		$zip->extractTo( ROOT_PATH );
		$zip->close();
		App::process_key( "ver", $latestVersion );
		echo 'OK';
		App::send_all_options();
		$db->set_option( "new_version_available", "0" );
	} else {
		echo 'UnZip Error, Not Updated';
	}
}
@unlink( $target );