<?php

class Country {

	var $Table = "countries";
	var $DB;

	function __construct() {
		global $db;

		$this->DB = $db;

		if ( $this->DB->get_var( "SELECT COUNT(*) FROM `{$this->Table}` WHERE `country_name`='Pakistan'" ) == 0 ) {
			$countries = file( ROOT_PATH . "_data/countries.sql" );
			foreach ( $countries as $country ) {
				$this->DB->query( $country );
			}
		}
	}

	function get_array() {
		$Q = "SELECT `country_name` FROM `{$this->Table}` ORDER BY `country_name`";

		return $this->DB->get_rows( $Q );
	}

	function get_combo( $selected = "", $name = "country", $class = '' ) {
		$Out  = "<select name='$name' id='$name' class='$class'>
        <option value=''>== " . __( "Select Country" ) . " ==</option>";
		$Q    = "SELECT `country_name` FROM `{$this->Table}` ORDER BY `country_name`";
		$rows = $this->DB->get_rows( $Q );
		foreach ( $rows as $country ) {
			$S   = $selected == $country["country_name"] ? "selected=selected" : "";
			$Out .= "<option $S value='{$country["country_name"]}'>{$country["country_name"]}</option>\n";
		}
		$Out .= "</select>\n";

		return $Out;
	}
}