<?php
/*
 * This class is used to create DB views.
 */

namespace DB;

class Views {

	public static function all_views() {
		self::students_view();
		self::fee_paid_view();
	}

	public static function students_view() {
		global $db;
		$Q = 'DROP VIEW IF EXISTS `students_view`';
		$db->query( $Q );
		$db->query( "CREATE VIEW `students_view` AS
		(SELECT s.*,bc.class_name,bc.active class_active,bc.attendance_type,b.batch_name,b.active batch_active FROM `students` s, `batch_classes` bc, `batches` b WHERE bc.id=s.class_id AND b.id=bc.batch_id)" );
	}

	public static function fee_paid_view() {
		global $db;
		$Q = 'DROP VIEW IF EXISTS `fee_paid_view`;';
		$db->query( $Q );

		$Q = 'CREATE VIEW `fee_paid_view` AS
			(SELECT fp.*, s.name student_name, bc.class_name, s.father_name, guardian_name, guardian_cell, admission_number, roll,
				gender, s.class_id class_id
			FROM `fee_paid` fp, `students` s, `batch_classes` bc
			WHERE s.id=fp.student_id AND s.class_id=bc.id)';
		$db->query( $Q );
	}
}