<?php

class Employess {

	var $Table = "otheremployees";

	function __construct() {
		global $db;
	}

	function save( $data ) {
		//echo "<pre>";print_r($post);print_r($files);die();
		global $db;
		extract( $data );

		if ( ! isset( $name ) || trim( $name ) == "" ) {
			return ( "Employee name missing." );
		}
		if ( ! isset( $short_name ) || trim( $short_name ) == "" ) {
			return ( "Employee short name missing." );
		}
		if ( ! isset( $designation ) || trim( $designation ) == "" ) {
			return ( "Employee designation missing." );
		}
		if ( isset( $email ) && $email != "" ) {
			if ( filter_var( $email, FILTER_VALIDATE_EMAIL ) === false ) {
				return ( "$email is not a valid email address" );
			}
		}

		$id = isset( $id ) ? $id : 0;
		$id = (int) $id;
		if ( $id == "0" ) {
			$Q = "SELECT COUNT(*) FROM `otheremployees` WHERE `name`='" . $db->set_string( $name ) . "'";
		} else {
			$Q = "SELECT COUNT(*) FROM `otheremployees` WHERE `name`='" . $db->set_string( $name ) . "' AND `id`<>$id";
		}
		if ( $db->get_var( $Q ) > 0 ) {
			return ( "This employee already exists." . $name );
		}
		$data["date_of_joining"] = \Dates::mysql_date( $data["date_of_joining"] );
		global $db;
		if ( $id == "0" ) {
			$data["added_by"]   = \Admins\UserInfo::get_my_id();
			$data["added_time"] = \Dates::mysql_datetime();
			$data["added_ip"]   = \General::myip();
			$r                  = $db->insert( "otheremployees", $data );
		} else {
			$r = $db->update( "otheremployees", $data, [ "id" => $id ] );
		}

		if ( $r !== false ) {
			return "OK";
		} else {
			return $db->last_error;
		}

	}

	// get all employess
	function get_employess( $params = "" ) {
		$default = [
			"order"   => "ASC",
			"orderby" => "name",
		];
		$params  = set_args( $params, $default );
		extract( $params );

		$Q = "SELECT * FROM `{$this->Table}` WHERE 1";
		$Q .= " ORDER BY `$orderby` $order";
		global $db;
		$rows = $db->get_rows( $Q );

		return $rows;
	}

	// get all employess
	function get_employess_id( $id ) {
		global $db;
		$Q    = "SELECT * FROM `{$this->Table}` WHERE `id`='$id'";
		$rows = $db->get_rows( $Q );

		return $rows;
	}

}