<script id="tbody1_template" type="text/x-tmpl">
    {% for(key in o.rows) { %}
    <tr id="tr_{%=o.rows[key].id%}">
        <td>
            <?php _e("Request ID") ?>: <b>{%=o.rows[key].id%}</b><br>
            <?php _e("Name") ?>: <b>{%=o.rows[key].full_name%}</b><br>
            <?php _e("Father Name") ?>: <b>{%=o.rows[key].father_name%}</b><br>
            <?php _e("Date of Birth") ?>: <b>{%=date("d-M-Y", strtotime(o.rows[key].dob))%}</b><br>
            <?php _e("Gender") ?>: <b>{%=o.rows[key].gender=="M"?"Male":"Female"%}</b><br>
            <?php _e("Email") ?>: <b>{%=o.rows[key].email%}</b><br>
            <?php _e("Cell") ?>: <b>{%=o.rows[key].cell%}</b><br>
            <?php _e("Address") ?>: <b>{%=o.rows[key].address%}</b><br>
            <?php _e("City") ?>: <b>{%=o.rows[key].city%}</b><br>
            <?php _e("Country") ?>: <b>{%=o.rows[key].country%}</b><br>
        </td>
        <td>
            <?php _e("Name") ?>: <b>{%=o.rows[key].guardian_name%}</b><br>
            <?php _e("Cell") ?>: <b>{%=o.rows[key].guardian_cell%}</b><br>
            <?php _e("Email") ?>: <b>{%=o.rows[key].guardian_email%}</b><br>
            <?php _e("Relation with Guardian") ?>: <b>{%=o.rows[key].guardian_relation%}</b><br>
            <?php _e("Applied for class") ?>: <b>{%=o.rows[key].class_name%}</b><br>
            <?php _e("Subjects") ?>: {%#o.rows[key].subjects==''?'<i>NONE</i>':o.rows[key].subjects%}<br>
            <?php _e("Status") ?>: {% if ( o.rows[key].status==Status.pending ) { %}
                    <span class="label label-info"><?php _e("Pending") ?></span>
                {% } else if ( o.rows[key].status==Status.approved ) { %}
                    <span class="label label-success"><?php _e("Approved") ?></span>
                {% } else if ( o.rows[key].status==Status.declined ) { %}
                    <span class="label label-danger"><?php _e("Declined") ?></span>
                {% } else { %}
                    <span class="label label-warning"><?php _e("Unknown") ?></span>
                {% } %}
            <br>
        </td>
        <td>
            <div class="btn-group">
                <button title="<?php _e("Delete") ?>" data-id="{%=o.rows[key].id%}" class="btn btn-xs red del_btn"><i class="fa fa-trash"></i></button>
            </div>
        </td>
    </tr>
    {% } %}

</script>