<?php

/*

 * This file is used for cron job for app.fekara.com

 */



include_once "_init.php";

$CPanel = new CPanel();



### Getting DB names, DB users and passwords from installations and saving in DBs

$Q = "SELECT * FROM `installations` WHERE `db_name`='' AND `installed`='-1' LIMIT 10";

$rows = get_rows($Q);

foreach ($rows as $row) {

    $dom = str_replace(".fekara.com", "", $row["domain"]);

    $remote_path = "public_html/$dom/config.php";

    $remote_url = "ftp://{user}:{pass}@".$row["domain"]."/public_html/$dom/config.php";

    $config_content = $CPanel->read_ftp_file_to_variable($remote_path);

    $config_content = explode("\n", $config_content);

    $username = $password = $dbname = "";

    foreach($config_content as $line) {

        if ( stripos($line, "define('DBNAME'")!==false ) {

            $dbname = substr(trim($line),strlen("define('DBNAME', '"),-3);

        } else if ( stripos($line, "define('DBUSER'")!==false ) {

            $username = substr(trim($line),strlen("define('DBUSER', '"),-3);

        } else if ( stripos($line, "define('DBPASS'")!==false ) {

            $password = substr(trim($line),strlen("define('DBPASS', '"),-3);

        }

    }

    $data = array(

        "installed" => "1",

        "db_name" => $dbname,

        "db_user" => $username,

        "db_password" => $password

    );

    update("installations", $data, array("id"=>$row["id"]));

}

