<?php

include_once "_init.php";



if ( ! is_admin() ) {

	redirect( "index.php" );

}



// Specify our Twig templates location

$loader = new \Twig\Loader\FilesystemLoader( ROOT_PATH . 'templates' );

$twig   = new \Twig\Environment( $loader, [ 'debug' => true ] );



$twig->addGlobal( 'GET', json_encode( $_GET ) );

$twig->addGlobal( 'System', System );

$twig->addGlobal( 'DOMAIN_URL', DOMAIN_URL );

$twig->addGlobal( '_filename', $_filename );

$twig->addGlobal( 'is_admin', is_admin() );

$twig->addGlobal( 'is_localhost', localhost() );



$twig->addGlobal( 'customcss_md5', md5_file( ROOT_PATH . "assets/custom.css" ) );

$twig->addGlobal( 'customjs_md5', md5_file( ROOT_PATH . "assets/custom.js" ) );



$showPasswordWarning = false;

if ( ! is_admin() ) {

	$passes = get_row( "SELECT `password`, MD5(`password_first`) password_first FROM `apps` WHERE `id`='" . get_my_id() . "'" );

	if ( (string) $passes['password_first'] <> '' && $passes['password'] == $passes['password_first'] ) {

		$showPasswordWarning = true;

	}

}

$twig->addGlobal( 'showPasswordWarning', $showPasswordWarning );

$twig->addGlobal( 'my_url', urlencode( my_url() ) );



$vars = [];



if ( is_file( __DIR__ .'/controllers/' . $_filename ) ) {

	$targetPath = false;

	include_once __DIR__ .'/controllers/' . $_filename;



	$__file = str_replace( '.php', '.html.twig', $_filename );



	if (!is_file( __DIR__ . '/templates/' . $__file)) {

		$__file = '404.html.twig';

	}



	echo $twig->render( $__file, $vars );



} else {

	echo $twig->render( '404.html.twig', $vars );

}