<?php

if ( ! function_exists( 'exec' ) ) {

	echo '<h1>exec() function is not enabled on server</h1>';

	die;

}



if ( !($_SERVER['REMOTE_ADDR'] == '127.0.0.1' || $_SERVER['REMOTE_ADDR'] == '::1' ) && ! function_exists( 'ftp_connect' ) ) {

	echo '<h1>ftp_connect() function is not enabled on server</h1>';

	die;

}



header( 'Cache-Control: no-store, no-cache, must-revalidate' );

header( 'Cache-Control: post-check=0, pre-check=0', false );

header( 'Pragma: no-cache' );

header( "Expires: 0" );

header( "Cache-Control: must-revalidate, post-check=0, pre-check=0" );



if ( session_id() === '' ) {

	@session_start();

}

@ini_set( 'session.gc_maxlifetime', 60 * 60 );

@ini_set( 'session.gc_probability', 1 );

@ini_set( 'session.gc_divisor', 1 );

@ini_set( 'magic_quotes_runtime', false );



@error_reporting( E_ALL );

@ini_set( 'display_errors', 1 );

@ini_set( 'log_errors', 1 );

@ini_set( 'error_log', dirname( __FILE__ ) . "/errors.txt" );



set_time_limit( 0 );



include_once "config.php";



$mainPath = rtrim( dirname( __file__ ), "/" ) . "/";

$mainPath = str_replace( "\\", "/", $mainPath );

define( 'ROOT_PATH', $mainPath );

$_SERVER["HTTP_HOST"] = isset( $_SERVER["HTTP_HOST"] ) ? $_SERVER["HTTP_HOST"] : '';

define( "DOMAIN_URL", "http" . ( isset( $_SERVER['HTTPS'] ) ? 's' : '' ) . "://" . $_SERVER["HTTP_HOST"] . ROOT_URL );

define( "System", "feKara" );



//function fekara_autoloader( $class ) {

//	$class   = trim( $class, "/" );

//	$class   = trim( $class, '\\' );

//	$replace = [

//		"()" => "",

//		'\\' => "/",

//	];

//	$class   = str_replace( array_keys( $replace ), array_values( $replace ), $class );

//	if ( ! class_exists( $class ) && is_file( ROOT_PATH . 'library/Classes/' . $class . '.php' ) ) {

//		include_once( ROOT_PATH . 'library/Classes/' . $class . '.php' );

//	}

//}

//spl_autoload_register( 'fekara_autoloader' );



include_once( __DIR__ . '/vendor/autoload.php' );



$DB = new \DB( DBUSER, DBPASS, DBNAME, DBSERVER );

$DB->show_errors();

$db = $DB;

$DB->query( "SET sql_mode=''" );



$DB2 = new MysqliDb (DBSERVER, DBUSER, DBPASS, DBNAME);

$DB2->query( "SET sql_mode=''" );



if ( localhost() && isset($_SERVER['REQUEST_SCHEME']) && $_SERVER['REQUEST_SCHEME']=='http' ) {

	redirect( 'https://' . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'] );

	exit();

}



$_Pakcages = [

	"0" => [

		"name"        => "FeKara Lite",

		"charges"     => "0",

		"description" => "50 Students, 5 Teachers, Basic Modules Only, Limited Support",

		"students"    => 50,

		"details"     => "",

	],

	"1" => [

		"name"        => "Monthly Hosted",

		"charges"     => "$0.20/Month/Student",

		"description" => "Description will be here.",

		"students"    => - 1,

		"details"     => "",

	],

];



include_once( __DIR__ . "/library/constants.php" );



function myErrorHandler( $errno, $errstr, $errfile, $errline ) {

	if ( ! ( error_reporting() & $errno ) ) {

		// This error code is not included in error_reporting

		return;

	}



	if ( localhost() ) {

		$f   = ROOT_PATH . "errors.txt";

		$str = "Error #: $errno - Error: $errstr - File: $errfile - Line: $errline - Time: " . my_datetime() . " - URL: " . my_url() . ".\n";

		file_put_contents( $f, $str, FILE_APPEND );

	} else {

		$error_code = md5( $errstr . $errfile );

		$Q          = "SELECT COUNT(*) FROM `errors` WHERE `error_code`='$error_code'";

		if ( get_var( $Q ) > 0 ) {

			return;

		}



		//$data = array("error_code"=>$error_code, "errno"=>$errno, "errstr"=>$errstr, "errfile"=>$errfile,

		//"errline"=>$errline, "error_datetime"=>mysql_datetime());



		#insert("errors", $data);

		$subject = "Fekara Management: Line # $errline";

		$body    = "Dear Developer,<br />

		<br />Error Number: $errno<br />

		Error: $errstr<br />

		<br />Error occured on line number $errline of file \"$errfile\"<br />

		<br />

		URL: " . my_url() . "

		From IP: " . myip();



		$body .= "<br><pre>" . print_r( $_SERVER, true ) . "</pre>";

		$body .= "Post: <br><pre>" . print_r( $_POST, true ) . "</pre>";

		$body .= "Get: <br><pre>" . print_r( $_GET, true ) . "</pre>";



		//send_mail( "shakeel@shakeel.pk", $subject, $body );

	}



	return true;

}



$old_error_handler = set_error_handler( "myErrorHandler" );



$PreSeatPrice = "0.2";



$_filename = basename( $_SERVER['REQUEST_URI'] );

if ( strpos($_filename, "?") !== false ) {

	$_filename = substr($_filename,0, strpos($_filename, "?"));

}



if ( isset( $_GET["get_version"] ) ) {

	$Settings = new Settings();

	echo trim( $Settings->get_setting( 'version' ) );

	exit();

}