declare var Block: any;
declare var UnBlock: any;
declare var set_new_url: any;
declare var Success: any;
declare var Page: any;
declare var QS: any;
declare var is_json: any;
declare var Error2: any;
declare var ID: any;
declare var get_url_parameter: any;
declare var TestTextHighlighting: any;

interface JQueryStatic {
    fancybox: any;
}

interface JQuery {
    summernote: any;
    modal: any;
    table: any;
}

$(function () {
    /*var qs = new QS;
    let o: any;
    if (localStorage.getItem('installations_order_by')) {
        o = localStorage.getItem('installations_order_by');
    } else {
        o = "id";
    }
    qs.add('order_by', o);

    if (localStorage.getItem('installations_order') == 'DESC') {
        o = "**" + o;
        qs.add('order', 'DESC');
    } else {
        qs.add('order', 'ASC');
    }
    set_new_url('?' + qs);
    $('#order_by').val(o);
    */
    load_data();

    $(document).on('change', '#order_by', function () {
        //examples
        //instantiation
        let qs = new QS;
        let val: any = $(this).val();
        if (val.substr(0, 2) == '**') {
            qs.add('order_by', val.substr(2));
            qs.add('order', 'DESC');
            localStorage.setItem('installations_order_by', val.substr(2));
            localStorage.setItem('installations_order', 'DESC');
        } else {
            qs.add('order_by', val);
            qs.add('order', 'ASC');
            localStorage.setItem('installations_order_by', val);
            localStorage.setItem('installations_order', 'ASC');
        }

        set_new_url('?' + qs);
        load_data();
    });

    $(document).on("click", ".install", function () {
        let domain = $(this).data('domain');
        $("#loading").show();
        $.post("ajax/installations.php?install", {domain: domain}, function (data) {
            $("#loading").hide();
            Success("Update process complete.!");
        });
    });

    $(document).on("change", "#filter_search", function () {
        Page = 1;
        load_data();
    });

    $(document).on("click", ".view_app", function (e) {
        e.preventDefault();
        let id = $(this).attr("data-id");
        $.fancybox({
            "type": "iframe",
            "href": "view_app.php?id=" + id,
            "minWidth": '90%',
            "modal": false
        });
    });

    $(document).on('change', '.checkbox', function () {
        if ($(".checkbox:checked").length > 0) {
            $('#delete_btn').show();
        } else {
            $('#delete_btn').hide();
        }
    });

    $(document).on("change", "#email_templates", function () {
        let val = $(this).val();
        $(this).val('');
        if ($("#email_to").val() == "") {
            $("#email_to").val("Loading ....");
        }
        $("#email_subject").val('Loading ....');
        $("#email_message").summernote("code", 'Loading ....');

        $.post("clients.php?load_email", {id: ID, template: val}, function (data) {
            if (is_json(data)) {
                data = JSON.parse(data);
                $("#email_subject").val(data.template.subject);
                $("#email_message").summernote("code", data.template.message);
                if ($("#email_to").val() == "" || $("#email_to").val() == "Loading ....") {
                    $("#email_to").val(data.row.email);
                }
            } else {
                Error2(data);
            }
        });
    });

    $(document).on("click", "#delete_btn", function (e) {
        e.preventDefault();

        if ($(".checkbox:checked").length == 0) {
            Error("Please select one or more installations.");
            return false;
        }

        if (!confirm("Are you sure you want to delete selected installations.")) {
            return false;
        }

        Block();
        $.ajax({
            method: 'POST',
            url: 'ajax/installations.php?delete',
            data: $(".checkbox:checked").serialize(),
            error: function (e1, e2, e3) {
                UnBlock();
                load_data();
                Error(e3);
            }
        }).done(function (data) {
            UnBlock();
            if (data == 'OK') {
                load_data();
            } else {
                Error(data);
            }
        });
    });

    $(document).on("submit", "#email_form", function () {
        Block();
        $("#emailDiv").modal("hide");
        $.post("clients.php?send_email", $("#email_form").serialize(), function (data) {
            UnBlock();
            if (data == "OK") {
                Success("Email sent successfully!");
            } else {
                $("#emailDiv").modal("show");
                Error2(data);
            }
        });
        return false;
    });

    $(document).on("change", '.form-filter', function () {
        Page = 1;
        load_data();
    });
});

function load_data() {
    $("#loading").show();
    let k = $(".form-filter").serialize();
    k += "&page=" + Page;

    if (get_url_parameter('order_by')) {
        k += "&order_by=" + get_url_parameter('order_by');
    }

    if (get_url_parameter('order')) {
        k += "&order=" + get_url_parameter('order');
    }

    $.ajax({
        url: "ajax/installations.php?load_data",
        data: k,
        method: 'POST',
        error: function (e1, e2, e3) {
            Error(e3);
        }
    }).done(function (data) {
        $("#loading").hide();
        $("#table1 tbody").html(data.html);
        let P = $("#pagination");
        P.html(data.pagination + " - ");
        P.append("<b>" + data.from + "</b> to <b>" + data.to + "</b> out of <b>" + data.total_records + "</b>");

        let fs = $("#filter_search");
        if (fs.val() != "") {
            let searchVal: any = fs.val();

            if (searchVal.substr(0, 3) == "ip:") {
                searchVal = searchVal.substr(3);
            } else if (searchVal.substr(0, 4) == "url:") {
                searchVal = searchVal.substr(4);
            } else if (searchVal.substr(0, 7) == "domain:") {
                searchVal = searchVal.substr(7);
            }

            TestTextHighlighting(searchVal, "table1");
        }
        $("#table1").table();
    });
}

function ChangePage(p) {
    Page = p;
    load_data();
}

function open_email(id) {
    ID = id;
    $("#email_to, #email_subject").val('');
    $("#email_message").summernote("code", '');
    $("#emailDiv").modal("show");
}

