<?php

ob_start();

set_time_limit( 0 );

include_once "_init.php";

if ( ! is_admin() ) {

	redirect( "index.php" );

}

$CPanel = new CPanel();



if ( isset( $_GET["delete_db"] ) ) {

	if ( isset( $_POST["db_user"] ) && is_array( $_POST["db_user"] ) ) {

		foreach ( $_POST["db_user"] as $db_user ) {

			$db_and_user = make_array( $db_user, "___" );



			if ( isset( $db_and_user[1] ) ) {

				If ( $CPanel->delete_db_user( $db_and_user[1] ) == "OK" ) {

					echo $CPanel->delete_db( $db_and_user[0] );

				}

				//echo "DB user {$db_and_user[1]} " . $CPanel->delete_db_user( $db_and_user[1] );

			} else {

				echo $CPanel->delete_db( $db_and_user[0] );

			}

		}

	}

	exit();

}



$Range    = 3;

$Page     = isset( $_GET["page"] ) ? $_GET["page"] : 1;

$Page     = (int) $Page;

$PageSize = 10;

$OffSet   = ( $Page - 1 ) * $PageSize;

if ( $Page <= $Range ) {

	$Start = 1;

} else {

	$Start = $Page - $Range;

}

$search = isset( $_GET["search"] ) ? $_GET["search"] : "";



$__title = "List of Databases";

include_once "header.php"; ?>

	<style>

		#loading { display: block; }

	</style>

	<!-- BEGIN CONTAINER -->

	<div class="container-fluid">

		<div class="page-content page-content-popup">

			<div class="page-content-fixed-header">

				<!-- BEGIN BREADCRUMBS -->

				<ul class="page-breadcrumb" id="breadcrumb">

					<li>

						<a href="<?php echo DOMAIN_URL ?>">Home</a>

					</li>

					<li>Clients List</li>

				</ul>

				<!-- END BREADCRUMBS -->

				<div class="content-header-menu">

					<!-- BEGIN MENU TOGGLER -->

					<!-- Only for mobile version -->

					<button type="button" class="menu-toggler responsive-toggler" data-toggle="collapse" data-target=".navbar-collapse">

                            <span class="toggle-icon">

                                <span class="icon-bar"></span>

                                <span class="icon-bar"></span>

                                <span class="icon-bar"></span>

                            </span>

					</button>

					<!-- END MENU TOGGLER -->

				</div>

			</div>

			<?php include_once "sidebar.php"; ?>



			<div class="page-fixed-main-content">

				<div id="main_content">

					<div class="modal fade" id="basic" tabindex="-1" role="basic" aria-hidden="true">

						<div class="modal-dialog modal-lg">

							<div class="modal-content">

								<div class="modal-header">

									<button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>

									<h4 class="modal-title">Save Client</h4>

								</div>

								<div class="modal-body">

									<form class="form-horizontal" role="form" id="client_form">

										<input type="submit" class="hidden" id="client_form_submit">

										<input type="reset" class="hidden" id="client_form_reset">

										<input type="hidden" name="id" value="0" id="id">

										<div class="form-body">

											<div class="form-group">

												<label class="col-md-3 control-label">Email</label>

												<div class="col-md-9">

													<input type="email" name="email" id="email" class="form-control" placeholder="Email address">

												</div>

											</div>

											<div class="form-group">

												<label class="col-md-3 control-label">Phone</label>

												<div class="col-md-9">

													<input type="text" name="phone" id="phone" class="form-control phone" placeholder="Phone">

												</div>

											</div>

											<div class="form-group">

												<label class="col-md-3 control-label">Full name</label>

												<div class="col-md-9">

													<input type="text" name="full_name" id="full_name" class="form-control" placeholder="Full name">

												</div>

											</div>

											<div class="form-group">

												<label class="col-md-3 control-label">Addresss</label>

												<div class="col-md-9">

													<input type="text" name="address" id="address" class="form-control" placeholder="Address">

												</div>

											</div>

											<div class="form-group">

												<label class="col-md-3 control-label">City</label>

												<div class="col-md-9">

													<input type="text" name="city" id="city" class="form-control" placeholder="City">

												</div>

											</div>

											<div class="form-group">

												<label class="col-md-3 control-label">Country</label>

												<div class="col-md-9">

													<select name="country" id="country" class="bs-select form-control" data-live-search="true" data-size="8">

														<?php /*$Cs = get_rows( "SELECT `name` FROM `countries` ORDER BY `name`" );

														foreach ( $Cs as $c ) { */ ?><!--

															<option value="<?php /*echo $c['name'] */ ?>"><?php /*echo $c['name'] */ ?></option>

														--><?php /*}*/ ?>

													</select>

												</div>

											</div>

										</div>

									</form>

								</div>

								<div class="modal-footer">

									<div class="btn-group">

										<button type="button" class="btn dark btn-outline" data-dismiss="modal">Close</button>

										<button type="button" onclick="$('#client_form_submit').click();" class="btn green">Save changes</button>

									</div>

								</div>

							</div>

							<!-- /.modal-content -->

						</div>

						<!-- /.modal-dialog -->

					</div>



					<!--<div id="pagination" class="pull-right">

						<ul class="pagination pagination-sm" style="margin: 0">

							<li><a href="#">1</a></li>

							<li class="active"><a href="#">2</a></li>

							<li><a href="#">3</a></li>

							<li><a href="#">4</a></li>

							<li><a href="#">5</a></li>

						</ul>

					</div>-->

					<div style="border-bottom: 5px;">

						<div class="btn-group">

							<a href="#basic" data-toggle="modal" class="btn btn-sm green" title="Add new client"><i class="fa fa-plus"></i> Add</a>

							<button class="btn btn-sm red display-none" type="button" id="del_btn">

								<i class="fa fa-trash"></i> Delete

							</button>

						</div>



						&nbsp;&nbsp;&nbsp;

						<i id="loader" class="fa fa-spinner fa-spin" style="display: none;"></i>

					</div>

					<br>

					<div class="clearfix"></div>



					<div class="note note-info display-none" id="message1">

						<p></p>

					</div>



					<table class="table table-bordered table-hover table-striped" id="table1">

						<tbody id="abc">

						<?php

						$_POST['non_emapty'] = '1';

						$_POST['pagesize']   = 99999;

						$dbs                 = $CPanel->get_dbs( $search );

						$missing_users       = $zero_db = 0;

						$lastk               = 0;



						foreach ( $dbs as $k => $app ) {

							if ( $k >= $OffSet && $k < ( $OffSet + $PageSize ) ) {

								$lastk = $k;

								ob_end_flush();

								ob_start();

								?>

								<tr id="tr_<?php echo $app['db']; ?>">

									<td>

										<input id="check<?php echo $app['db']; ?>" type="checkbox" class="checkbox css-checkbox" name="db_user[]" value="">

										<label for="check<?php echo $app['db']; ?>" class="css-label lite-green-check">

											<?php

											echo ( $k + 1 ) . ". " . $app['db'];

											?>

										</label>

									</td>

									<td>

										<?php

										if ( isset( $app['users'] ) ) {

											echo implode( ", ", $app['users'] );

										} else {

											$missing_users ++;

										} ?>

									</td>

									<td>

										<?php

										if ( isset( $app['users'] ) && $app['size'] == 0 ) {

											$zero_db ++;

										}



										echo $app['size'];

										?>

									</td>

									<td>

										<?php

										/*if ( $dels <= 5000 ) {

											if ( empty( $app['size'] ) && empty( $app['dbusers'] ) ) {

												$t1 = microtime( true );

												echo "Deleting {$dels} ... ";

												echo "<script>document.title='Deleting {$dels}'</script>";

												ob_end_flush();

												ob_start();

												$response = $CPanel->delete_db( $app["db"] );

												if ( $response == "OK" ) {

													$dels ++;

													echo "Deleted ";

												} else {

													echo "Not Deleted " . $response;

												}

												echo " in " . ( microtime( true ) - $t1 ) . " Seconds";

											} else if ( empty( $app['size'] ) ) {

												$t1 = microtime( true );

												echo "Deleting {$dels} ... ";

												echo "<script>document.title='Deleting {$dels}'</script>";

												ob_end_flush();

												ob_start();

												$response = $CPanel->delete_db_user( $app['dbusers'] );

												if ( $response == "OK" ) {

													$response = $CPanel->delete_db( $app["db"] );

													if ( $response == "OK" ) {

														$dels ++;

														echo "Deleted ";

													} else {

														echo "DB Delete: " . $response;

														exit();

													}

												} else {

													echo "DB User Delete: " . $response;

													exit();

												}

												echo " in " . ( microtime( true ) - $t1 ) . " Seconds";

											}

										}*/ ?>

									</td>

								</tr>

							<?php }

						}

						if ( empty($k) ) $k = 0;

						$Pages = ceil( ( $k + 1 ) / $PageSize );

						if ( $Pages == 0 ) {

							$Pages = 1;

						}

						$End = $Start + $Range + $Range;

						if ( $Pages < $End ) {

							$End = $Pages;

						}

						?>

						</tbody>

						<thead>

						<tr class="heading">

							<th>

								<input type="checkbox" class="css-checkbox" id="checkbox">

								<label for="checkbox" name="checkbox1_lbl" class="css-label lite-green-check">

									<b>DB</b>

								</label>

							</th>

							<th>DB Users</th>

							<th>Size</th>

							<th>Action</th>

						</tr>

						</thead>

						<tfoot>

						<tr>

							<td colspan="4">

								Showing: <?php echo $OffSet + 1 ?> to <?php echo( $lastk + 1 ) ?> of

								<?php echo $k + 1 ?>



								<span style="float: right">

								<?php echo get_pagination_string( $Start, $End, $Page, $Pages ) ?>

							</span>

							</td>

						</tr>

						</tfoot>

					</table>

				</div>

			</div>



			<?php include_once "footer.php"; ?>

		</div>

	</div>

	<!-- END CONTAINER -->

<?php include_once "footer_scripts.php"; ?>

	<div id="scripts">

		<script>

			var Page = 1;

			$( function() {

				/*$("#table1").dataTable({

				 "order": [[ 0, "desc" ]],

				 stateSave: true

				 });*/

				$( "#table1" ).table();



				$( document ).on( "change", "#checkbox", function() {

					if ( $( this ).is( ":checked" ) ) {

						$( ".checkbox" ).each( function() {

							$( this ).prop( 'checked', true );

							$( "#del_btn" ).show();

						} );

					} else {

						$( ".checkbox" ).each( function() {

							$( this ).prop( 'checked', false );

							$( "#del_btn" ).hide();

						} );

					}



				} );

				$( document ).on( "submit", "#client_form", function() {

					Block();

					$( "#loading" ).show();

					$.post( "<?php echo filename(); ?>?save_client", $( "#client_form" ).serialize(), function( data ) {

						$( "#loading" ).hide();

						alert( data );

					} )

					return false;

				} );

				$( document ).on( "change", ".checkbox", function() {

					if ( $( ".checkbox:checked" ).length>0 ) {

						$( "#del_btn" ).show();

					} else {

						$( "#del_btn" ).hide();

					}

				} );

				$( document ).on( "click", "#del_btn", function() {

					if ( $( ".checkbox:checked" ).length==0 ) {

						Error2( "Please select one or more applications to delete." );

						return;

					}

					if ( !confirm( "Are you sure you want to delete selected customers?" ) ) {

						return;

					}

					$( "#loader" ).show();

					Block();

					$.post( "<?php echo filename(); ?>?delete_db", $( ".checkbox:checked" ).serialize(), function( data ) {

						$( "#loader" ).hide();

						UnBlock();

						$.each( $( ".checkbox:checked" ), function( k, v ) {

							id = $( this ).val();

							$( "#tr_" + id ).remove();

						} );



						$( "#del_btn" ).hide();

						$( "#checkbox" ).prop( "checked", false );

					} );

				} );



				$( "#loading" ).hide();

				$( "#table1 tbody" ).linkify();

				$( "input[type=search]" ).attr( "placeholder", "Search in databases" );

				$( "#message1 p" ).html( '' );

				<?php if ($missing_users > 0 || $zero_db > 0) { ?>

				$( "#message1 p" ).append( "Total DBs: <b><?php echo count( $dbs ); ?></b><br><br>" );

				<?php if ($missing_users > 0) { ?>

				$( "#message1 p" ).append( "<b><?php echo $missing_users; ?></b> DBs have missing users.<br><br>" );

				<?php }

				if ($zero_db > 0) { ?>

				$( "#message1 p" ).append( "<b><?php echo $zero_db; ?></b> DBs have zero byte.<br>" );

				<?php } ?>

				$( "#message1" ).show();

				<?php } ?>

			} );



			function ChangePage( Page ) {

				window.location.href = "?page=" + Page + "&search=<?php echo $search ?>";

			}

		</script>

	</div>

	</body>

	</html>

<?php

ob_end_flush();

ob_start();

?>