<?php

include_once "_init.php";

if (!is_admin()) redirect("index.php");



$ETemps = new ETemps();

if (isset($_GET['save_template'])) {

    echo $ETemps->save_template($_POST);

    exit;

}

if (isset($_GET['get_template'])) {

    $row = $ETemps->get_templates("id=".$_POST['id']);

    $row = $row["rows"][0];

    echo json_encode($row);

    exit;

}



$__title = "Email templates";

include_once "header.php"; ?>

<style>

    #loading {display:block;}

</style>

<!-- BEGIN CONTAINER -->

<div class="container-fluid">

    <div class="page-content page-content-popup">

        <div class="page-content-fixed-header">

            <!-- BEGIN BREADCRUMBS -->

            <ul class="page-breadcrumb" id="breadcrumb">

                <li>

                    <a href="<?php echo DOMAIN_URL ?>">Home</a>

                </li>

                <li>Email Templates</li>

            </ul>

            <!-- END BREADCRUMBS -->

            <div class="content-header-menu">

                <!-- BEGIN MENU TOGGLER -->

                <!-- Only for mobile version -->

                <button type="button" class="menu-toggler responsive-toggler" data-toggle="collapse" data-target=".navbar-collapse">

                            <span class="toggle-icon">

                                <span class="icon-bar"></span>

                                <span class="icon-bar"></span>

                                <span class="icon-bar"></span>

                            </span>

                </button>

                <!-- END MENU TOGGLER -->

            </div>

        </div>

        <?php include_once "sidebar.php"; ?>



        <div class="page-fixed-main-content">

            <div id="main_content">

                <div class="modal fade" id="basic" tabindex="-1" role="basic" aria-hidden="true">

                    <div class="modal-dialog modal-full">

                        <div class="modal-content">

                            <div class="modal-header">

                                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>

                                <h4 class="modal-title">Save Template</h4>

                            </div>

                            <div class="modal-body">

                                <form class="form-horizontal" role="form" id="form1">

                                    <input type="submit" class="hidden" id="submit1">

                                    <input type="reset" class="hidden" id="reset1">

                                    <input type="hidden" name="id" value="0" id="id">

                                    <div class="form-body">

                                        <div class="form-group">

                                            <label class="col-md-2 control-label">Template name</label>

                                            <div class="col-md-4">

                                                <input type="text" name="name" id="name" class="form-control" placeholder="Template name" required="required">

                                            </div>

                                            <label class="col-md-2 control-label">Type</label>

                                            <div class="col-md-4">

                                                <select class="form-control" name="type" id="type">

                                                    <option value="general">General</option>

                                                    <!--<option value="system">System</option>-->

                                                </select>

                                            </div>

                                        </div>

                                        <div class="form-group">

                                            <label class="col-md-2 control-label">Subject</label>

                                            <div class="col-md-10">

                                                <input type="text" name="subject" id="subject" class="form-control" placeholder="Email subject" required="required">

                                            </div>

                                        </div>

                                        <div class="form-group">

                                            <div class="col-md-12">

                                                Fields =

                                                <code>

                                                    <?php $Q = "SHOW COLUMNS FROM `apps`";

                                                    $rows = get_rows($Q);

                                                    foreach($rows as $row) {

                                                        echo "{".$row["Field"]."} ";

                                                    } ?>

                                                </code>

                                            </div>

                                        </div>

                                        <div class="form-group">

                                            <div class="col-md-12">

                                                <textarea name="message" id="message" class="form-control summernote"></textarea>

                                            </div>

                                        </div>

                                    </div>

                                </form>

                            </div>

                            <div class="modal-footer">

                                <button type="button" class="btn dark btn-outline" data-dismiss="modal">Close</button>

                                <button type="button" onclick="$('#submit1').click();" class="btn green">Save changes</button>

                            </div>

                        </div>

                        <!-- /.modal-content -->

                    </div>

                    <!-- /.modal-dialog -->

                </div>



                <!--<div id="pagination" class="pull-right">

                    <ul class="pagination pagination-sm" style="margin: 0">

                        <li><a href="#">1</a></li>

                        <li class="active"><a href="#">2</a></li>

                        <li><a href="#">3</a></li>

                        <li><a href="#">4</a></li>

                        <li><a href="#">5</a></li>

                    </ul>

                </div>-->

                <div style="border-bottom: 5px;">

                    <div class="btn-group">

                        <a href="#basic" id="basic_link" data-toggle="modal" class="btn btn-sm green" title="Add new client"><i class="fa fa-plus"></i> Add</a>

                        <button class="btn btn-sm red display-none" type="button" id="del_btn"><i class="fa fa-trash"></i> Delete</button>

                    </div>



                    &nbsp;&nbsp;&nbsp;

                    <i id="loader" class="fa fa-spinner fa-spin" style="display: none;"></i>

                </div><br>

                <div class="clearfix"></div>

                <table class="table table-bordered table-hover table-striped" id="table1" data-toggle="table" data-sort-name="id" data-sort-order="desc">

                    <thead>

                    <tr class="heading">

                        <th data-field="id" data-align="right" data-sortable="true">

                            <input type="checkbox" class="css-checkbox" id="checkbox">

                            <label for="checkbox" class="css-label lite-green-check"> <b>ID</b></label>

                        </th>

                        <th data-field="name" data-align="center" data-sortable="true">Name</th>

                        <th>Type</th>

                        <th>Content</th>

                    </tr>

                    </thead>

                    <tbody id="abc">

                        <?php $rows = $ETemps->get_templates(

                                array(

                                    "pagesize"=>"9999"

                                )

                            );

                        foreach($rows["rows"] as $row) { ?>

                            <tr id="tr_<?php echo $row['id']; ?>">

                                <td>

                                    <input <?php echo $row['type']=='system'?'disabled':''; ?> id="check<?php echo $row['id']; ?>" type="checkbox" class="checkbox css-checkbox <?php echo $row['type']=='system'?'disabled':''; ?>" name="id[]" value="<?php echo $row['id']; ?>">

                                    <label for="check<?php echo $row['id']; ?>" class="css-label lite-green-check"> <?php echo $row['id']; ?></label>

                                </td>

                                <td><a href="#" class="edit_link" data-id="<?php echo $row['id']; ?>">

                                        <?php if ($row["type"]=="system")

                                                echo ucwords(str_replace("_", " ", $row['name']));

                                            else

                                                echo $row['name'];

                                        ?>

                                    </a>

                                </td>

                                <td><?php echo ucwords($row['type']); ?></td>

                                <td><?php echo $row['subject']; ?></td>

                            </tr>

                        <?php } ?>

                    </tbody>

                </table>

            </div>

        </div>



        <?php include_once "footer.php"; ?>

    </div>

</div>

<!-- END CONTAINER -->

<?php include_once "footer_scripts.php"; ?>

<div id="scripts">

    <script>

        var Page = 1;

        $(function(){

            /*$("#table1").dataTable({

                "order": [[ 0, "desc" ]]

            });*/



            $(document).on("change", "#checkbox", function(){

                if ( $(this).is(":checked") ) {

                    $(".checkbox").each(function(){

                        $(this).prop('checked', true);

                        $("#del_btn").show();

                    });

                } else {

                    $(".checkbox").each(function(){

                        $(this).prop('checked', false);

                        $("#del_btn").hide();

                    });

                }



            });

            $(document).on("change", ".checkbox", function(){

                if ( $(".checkbox:checked").length>0 ) {

                    $("#del_btn").show();

                } else {

                    $("#del_btn").hide();

                }

            });

            $(document).on("submit", "#form1", function(){

                if ($("#name").val()=="") {

                    Error2("Template name missing!");

                    return false;

                }

                if ($("#subject").val()=="") {

                    Error2("Subject missing!");

                    return false;

                }

                $("#loading").show();

                $("#message").val( $("#message").summernote('code') );

                $("#basic").modal("hide");

                $.post("<?php echo filename(); ?>?save_template", $("#form1").serialize(), function(data){

                    $("#loading").hide();

                    if (data=="OK") {

                        Success("Tempalte saved!");

                        document.location.href = "email_templates.php";

                    } else {

                        $("#basic").modal("show");

                        Error2(data);

                    }

                });

                return false;

            });

            $(document).on("click", "#basic_link", function(){

                $("#reset1").click();

                $("#type, #name").prop("disabled", false);

                $("#message").summernote('code', '');

            });



            $("#loading").hide();

            $("#table1 tbody").linkify();

            $("input[type=search]").attr("placeholder", "Search in templates");



            $(document).on("click", ".edit_link", function(e){

                e.preventDefault();

                id = $(this).data('id');

                $("#id").val(id);

                $("#loading").show();

                $.post("<?php echo filename(); ?>?get_template", {id:id}, function(data){

                    $("#loading").hide();

                    if (is_json(data)) {

                        data = JSON.parse(data);

                        $("#name").val(data.name);

                        $("#type").val(data.type);

                        $("#subject").val(data.subject);

                        $("#message").summernote('code', data.message);



                        if (data.type=="system") {

                            $("#type, #name").prop("disabled", true);

                        } else {

                            $("#type, #name").prop("disabled", false);

                        }



                        $("#basic").modal('show');

                    } else {

                        Error2(data);

                    }

                });

            });

        });

    </script>

</div>

</body>

</html>