<?php

include_once( __DIR__ . "/_init.php" );

set_time_limit( 0 );



$url     = 'http://00-imp.fekara.com/00-imp?dirs';

$headers = [ 'username' => 'CreativeON101', 'password' => '&f$fs#5gSS##@' ];

$folders = \Api\Post::data( $url, [], $headers );

$folders = json_decode( $folders );



$exclude_folders = [ '00-imp', '__fekara', '__files' ];



$db->query( 'ALTER TABLE `installations` ADD `remote_data` TEXT NULL' );



$apps = $db->get_rows( 'SELECT DISTINCT `domain` FROM `installations`' );

$apps = array_column( $apps, 'domain' );



$total = $fail = $success = 0;

foreach ( $folders as $folder ) {



	if ( in_array( $folder, $exclude_folders ) ) {

		continue;

	}



	$domain = $folder . '.fekara.com';

//	if ( ! in_array( $domain, $apps ) ) {

//		continue;

//	}



	$cnt = $db->get_var($db->prepare('SELECT COUNT(*) FROM `installations` WHERE `domain`=%s',$domain));



	if ($cnt==0) {

		continue;

	}



	$url     = 'http://00-imp.fekara.com/00-imp?db_information=' . $folder;

	$db_info = \Api\Post::data( $url, [], $headers );

	//show_array($db_info);



	$data = json_decode($db_info);

	if (isset($data->version)) {

		$response = $db->update( 'installations', [ 'remote_data' => $db_info, 'ver' => $data->version ], [ 'domain' => $domain ] );

	} else {

		$response = $db->update( 'installations', [ 'remote_data' => $db_info ], [ 'domain' => $domain ] );

	}









	if ($response===false) {

		$fail++;

	} else {

		$success++;

	}

	$total++;

}



echo 'Total: '.$total.', Success: '.$success.', Fail: '.$fail;