<?php

include_once dirname( __FILE__ ) . "/_init.php";



if ( isset( $_GET["load_key"] ) ) {

	if ( ! isset( $_FILES["key"]["error"] ) ) {

		echo "File upload error.";

		exit;

	}

	if ( $_FILES["key"]["error"] > 0 ) {

		echo "File upload error.";

		exit;

	}

	$content = file_get_contents( $_FILES["key"]["tmp_name"] );

	if ( empty( $content ) ) {

		echo "Can't proceed key file.";

		exit;

	}



	$content = decode_key( $content );

	if ( is_array( $content ) ) {

		echo json_encode( $content );

	} else {

		echo "Can't proceed key file.";

	}

	exit;

}



if ( isset( $_POST["reseller_title"] ) ) {

	$key = encode_key( $_POST );

	header( 'Content-Description: File Transfer' );

	header( 'Content-Type: application/octet-stream' );

	header( 'Content-Disposition: attachment; filename="key"' );

	header( 'Expires: 0' );

	header( 'Cache-Control: must-revalidate' );

	header( 'Pragma: public' );

	header( 'Content-Length: ' . strlen( $key ) );

	echo $key;

	exit;

}



$__title = "Generate Key";

include_once "header.php"; ?>

<!-- BEGIN CONTAINER -->

<div class="container-fluid">

	<div class="page-content page-content-popup">

		<div class="page-content-fixed-header">

			<!-- BEGIN BREADCRUMBS -->

			<ul class="page-breadcrumb">

				<li>

					<a href="<?php echo DOMAIN_URL; ?>">Home</a>

				</li>

				<li>

					<a href="generate_key.php">Generate Key</a>

				</li>

			</ul>

			<!-- END BREADCRUMBS -->



		</div>

		<?php include_once "sidebar.php"; ?>

		<div class="page-fixed-main-content">

			<div class="portlet box blue">

				<div class="portlet-title">

					<div class="caption">

						Generate License Key

					</div>

					<div class="tools">

						<a href="javascript:;" class="collapse" data-original-title="" title=""> </a>

						<a href="#portlet-config" data-toggle="modal" class="config" data-original-title="" title=""> </a>

						<a href="javascript:;" class="reload" data-original-title="" title=""> </a>

						<a href="javascript:;" class="remove" data-original-title="" title=""> </a>

					</div>

				</div>

				<div class="portlet-body form">

					<form class="horizontal-form" id="form1">

						<input type="reset" style="display: none">

						<div class="form-body">

							<div class="row">

								<div class="col-md-6">

									<div class="form-group">

										<label class="control-label">Load key file</label>

										<input type="file" name="key" class="form-control" id="key_file">

									</div>

								</div>

							</div>

						</div>

					</form>

					<form class="horizontal-form" method="post">

						<div class="form-body">

							<div class="row">

								<div class="col-md-6">

									<div class="form-group">

										<label class="control-label">Reseller Title</label>

										<input type="text" id="reseller_title" name="reseller_title" class="form-control" placeholder="Reseller Title">

									</div>

								</div>

								<div class="col-md-6">

									<div class="form-group has-error">

										<label class="control-label">Domain</label>

										<input required="required" type="text" id="domain" name="domain" class="form-control" placeholder="Domain">

									</div>

								</div>

							</div>

							<div class="row">

								<div class="col-md-6">

									<div class="form-group">

										<label class="control-label">Expire Date</label>

										<input type="date" id="expire_date" name="expire_date" class="form-control" placeholder="Expire Date">

									</div>

								</div>

								<div class="col-md-6">

									<div class="form-group">

										<label class="control-label">Maximum Students (<small>0 for unlimited</small>)</label>

										<input type="number" id="max_students" name="max_students" class="form-control" placeholder="Maximum Students" value="0" min="0">

									</div>

								</div>

							</div>

						</div>

						<div class="form-actions right">

							<button type="submit" class="btn blue">

								<i class="fa fa-check"></i> Generate

							</button>

						</div>

					</form>

				</div>

			</div>

		</div>

		<?php include_once "footer.php"; ?>

	</div>

</div>

<!-- END CONTAINER -->

<?php include_once "footer_scripts.php"; ?>

<script>

	$( function() {

		$( document ).on( "change", "#key_file", function( event ) {

			event.preventDefault();



			$( "#form1" ).submit();

		} );



		$( document ).on( "submit", "#form1", function( event ) {

			event.preventDefault();



			$( "#loading" ).show();



			var form = document.getElementById( 'form1' );

			var formData = new FormData( form );



			$.ajax( {

				url: 'generate_key.php?load_key',

				type: 'POST',

				xhr: function() {

					var myXhr = $.ajaxSettings.xhr();

					return myXhr;

				},

				success: function( data ) {

					$("#form1 input[type=reset]").click();

					$( "#loading" ).hide();



					if (is_json(data)) {

						data= JSON.parse(data);

						$.each(data, function( i, v ) {

							$("#" + i).val(v);

						});

					}else {

						alert (data);

					}

				},

				error: function( data ) {

					$("#form1 input[type=reset]").click();

					$( "#loading" ).hide();

					alert( data );

				},

				data: formData,

				cache: false,

				contentType: false,

				processData: false

			} );

		} );

	} );

</script>

</body>



</html>