<?php

include_once( __DIR__ . "/_init.php" );



if ( isset( $_GET['code'] ) ) {

	try {

		$gapi = new GoogleApi();



		// Get the access token

		$data = $gapi->GetAccessToken( CLIENT_ID, CLIENT_REDIRECT_URL, CLIENT_SECRET, $_GET['code'] );



		// Get user information

		$user_info = $gapi->GetUserProfileInfo( $data['access_token'] );





		$email = '';

		$name  = '';

		if ( is_array( $user_info ) ) {

			if ( isset( $user_info['emails'][0]['value'] ) ) {

				$email = $user_info['emails'][0]['value'];

			}

			if ( isset( $user_info['displayName'] ) ) {

				$name = $user_info['displayName'];

			}

		}



		$G = new \Google();

		$response = $G->sign_in( [

			'name'  => $name,

			'email' => $email,

		] );



		if ( substr($response,0,2) == "OK" ) {

			if ( isset( $_GET["goto"] ) ) {

				redirect( $_GET["goto"] );

			} else {

				redirect( "index.php" );

			}

		} else {

			redirect( "login.php?goto=" . ( isset( $_GET["goto"] ) ? $_GET["goto"] : "" ) );

		}

	} catch ( Exception $e ) {

		echo $e->getMessage();

		exit();

	}

}