<?php
include_once(__DIR__."/header.php");
?>

<div class="container-fluid">
	<div class="page-content page-content-popup">
		<div class="page-content-fixed-header">
			<!-- BEGIN BREADCRUMBS -->
			<ul class="page-breadcrumb" id="breadcrumb">
				<li>
					<a href="<?php echo DOMAIN_URL ?>">Home <span class="display-none"><?php echo get_my_id() ?></span></a>
				</li>
			</ul>
			<!-- END BREADCRUMBS -->
			<div class="content-header-menu">
				<!-- BEGIN MENU TOGGLER -->
				<!-- Only for mobile version -->
				<button type="button" class="menu-toggler responsive-toggler" data-toggle="collapse"
				        data-target=".navbar-collapse">
                            <span class="toggle-icon">
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                            </span>
				</button>
				<!-- END MENU TOGGLER -->
			</div>
		</div>
        <?php include_once "sidebar.php"; ?>

		<div class="page-fixed-main-content">
			<div id="main_content">
                <?php if (is_admin()) {
                    include_once "dashboard_admin.php";
                } else {
                    include_once "dashboard_client.php";
                } ?>
			</div>
		</div>

        <?php include_once "footer.php"; ?>
	</div>
</div>
<!-- END CONTAINER -->
<?php include_once "footer_scripts.php"; ?>

<?php if (is_admin()) { ?>
	<script src="//www.google.com/jsapi" type="text/javascript"></script>
	<script>
		google.load( 'visualization', '1', {
			packages: ['corechart', 'bar']
		} );
		/*google.load("visualization", "1.1", {
			packages: ["gantt"]
		});*/
		google.setOnLoadCallback( drawChart );

		function drawChart() {
			// PIE CHART
            <?php $Q = "SELECT COUNT(`country`) cnt, `country` FROM `installations` WHERE `country`<>'' GROUP BY `country`";
            $countries = get_rows($Q); ?>
			var data = google.visualization.arrayToDataTable( [
				['Country', 'Installations'],
                <?php foreach($countries as $country) { ?>
				["<?php echo $country['country']; ?> (<?php echo $country['cnt']; ?>)", <?php echo $country['cnt']; ?>],
                <?php } ?>
			] );

			var options = {
				title: 'Installations from Countries'
			};

			var chart = new google.visualization.PieChart( document.getElementById( 'gchart_pie_1' ) );
			chart.draw( data, options );

			///////////////////////////////////////////////

			var data = google.visualization.arrayToDataTable( [
				[
					'Day',
					'Installations',
					{ role: 'style' }
				],
                <?php for($x = 0; $x < 7; $x++) {
                $Q = "SELECT COUNT(*) cnt FROM `installations` WHERE `added_date`='".mysql_date("-{$x} day")."'";
                $row = get_row($Q);
                if ($x == 0) {
                    $d = "Today";
                } elseif ($x == 1) {
                    $d = "Yesterday";
                } else {
                    $d = my_date("-{$x} day", "d-M");
                }
                ?>
				[
					"<?php echo $d ?>", <?php echo $row['cnt']; ?>,
					'color: #<?php echo string_to_color(md5($x)); ?>'
				],
                <?php } ?>
			] );
			var options = {
				title: "Recent Installations",
				bar: { groupWidth: '95%' },
				legend: { position: 'none' },
			};
			var chart = new google.visualization.ColumnChart( document.getElementById( "gchart_chart_2" ) );
			chart.draw( data, options );
		}
	</script>
<?php } ?>
</body>
</html>