<?php

include_once "_init.php";

if ( ! is_admin() ) {

	redirect( "index.php" );

}

$Apps  = new Apps();

$ETemp = new ETemps();



$__title = "Installations";

include_once "header.php"; ?>

<script>

	var Page = 1;

</script>

<style>

	#filter {

		border: 1px solid #c9c9c9;

		padding: 10px;

		margin-bottom: 10px;

	}

</style>



<div class="modal fade" id="emailDiv" tabindex="-1" role="basic" aria-hidden="true">

	<div class="modal-dialog modal-full">

		<div class="modal-content">

			<div class="modal-header">

				<button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>

				<h4 class="modal-title">Send Email</h4>

			</div>

			<div class="modal-body">

				<form class="form-horizontal" role="form" id="email_form">

					<input type="submit" class="hidden" id="email_submit">

					<input type="reset" class="hidden" id="email_reset">

					<input type="hidden" name="id" value="0" id="email_id">

					<div class="form-body">

						<div class="form-group">

							<label class="col-md-2 control-label">To:</label>

							<div class="col-md-10">

								<input type="email" name="to" id="email_to" class="form-control" placeholder="Email address (Comma separated)">

							</div>

						</div>

						<div class="form-group">

							<label class="col-md-2 control-label">Subject:</label>

							<div class="col-md-5">

								<input type="text" name="subject" id="email_subject" class="form-control" placeholder="Email subject">

							</div>

							<div class="col-md-5">

								<select class="form-control" id="email_templates">

									<option value="">== Select email template ==</option>

									<?php $rows = $ETemp->get_templates( "type=General" );

									foreach ( $rows["rows"] as $row ) { ?>

										<option value="<?php echo $row["id"]; ?>"><?php echo $row["name"]; ?></option>

									<?php } ?>

								</select>

							</div>

						</div>

						<div class="form-group">

							<div class="col-md-12">

								<textarea type="text" name="message" id="email_message" class="form-control summernote" placeholder="Message"></textarea>

							</div>

						</div>

					</div>

				</form>

			</div>

			<div class="modal-footer">

				<button type="button" class="btn dark btn-outline" data-dismiss="modal">Close</button>

				<button type="button" onclick="$('#email_submit').click();" class="btn green">Send Email</button>

			</div>

		</div>

		<!-- /.modal-content -->

	</div>

	<!-- /.modal-dialog -->

</div>



<div class="container-fluid">

	<div class="page-content page-content-popup">

		<div class="page-content-fixed-header">

			<!-- BEGIN BREADCRUMBS -->

			<ul class="page-breadcrumb" id="breadcrumb">

				<li>

					<a href="<?php echo DOMAIN_URL ?>">Home</a>

				</li>

				<li>List Installations</li>

			</ul>

			<!-- END BREADCRUMBS -->

			<div class="content-header-menu">

				<!-- BEGIN MENU TOGGLER -->

				<!-- Only for mobile version -->

				<button type="button" class="menu-toggler responsive-toggler" data-toggle="collapse" data-target=".navbar-collapse">

                            <span class="toggle-icon">

                                <span class="icon-bar"></span>

                                <span class="icon-bar"></span>

                                <span class="icon-bar"></span>

                            </span>

				</button>

				<!-- END MENU TOGGLER -->

			</div>

		</div>

		<?php include_once "sidebar.php"; ?>



		<div class="page-fixed-main-content">

			<div id="main_content">

				<div id="filter">

					<select>

						<option value=""></option>

					</select>



					<label style="cursor:pointer;">

						<input type="checkbox" id="remote_data_null" name="remote_data_null" value="1" class="form-filter">

						Show in-complete installations

					</label>

				</div>



				<div style="margin-bottom: 5px;">

					Sorting order

					<select id="order_by">

						<option value="**id">ID DESC</option>

						<option value="id">ID ASC</option>

						<option value="**last_login_time">Last login date DESC</option>

						<option value="last_login_time">Last login date ASC</option>

					</select>



					<button style="display: none" id="delete_btn" class="btn btn-danger" title="Delete selected installations" type="button">

						<i class="fa fa-trash"></i> Delete

					</button>

				</div>



				<div class="pull-right">

					<input type="search" placeholder="Search ...." id="filter_search" name="search" class="form-filter" style="padding:3px;">

				</div>

				<div id="pagination"></div>

				<table class="table table-hover table-bordered table-hover table-striped" id="table1">

					<thead>

					<tr class="heading">

						<th>

							<input type="checkbox" class="css-checkbox" id="checkbox">

							<label for="checkbox" name="checkbox1_lbl" class="css-label lite-green-check">

								<b>ID</b></label>

						</th>

						<th>URL</th>

						<th>Info</th>

					</tr>

					</thead>

					<tbody></tbody>

				</table>

			</div>

		</div>



		<?php include_once "footer.php"; ?>

	</div>

</div>

<!-- END CONTAINER -->

<?php include_once "footer_scripts.php"; ?>

<div id="scripts">

	<script src="assets/js/installations.js?<?php echo md5_file( __DIR__ . "/assets/js/installations.js" ) ?>"></script>

</div>

</body>

</html>