<?php

/*

 * This class will post request to an API server.

 */



namespace Api;



class Post {



	public static function data( $url, $data, $headers = [] ) {

		try {

			$url = (string ) $url;

			$ch  = curl_init();



			curl_setopt( $ch, CURLOPT_AUTOREFERER, true );

			curl_setopt( $ch, CURLOPT_HEADER, 0 );

			curl_setopt( $ch, CURLOPT_RETURNTRANSFER, 1 );

			curl_setopt( $ch, CURLOPT_URL, $url );

			curl_setopt( $ch, CURLOPT_FOLLOWLOCATION, true );

			curl_setopt( $ch, CURLOPT_VERBOSE, true );

			curl_setopt( $ch, CURLOPT_SSL_VERIFYPEER, false );

			curl_setopt( $ch, CURLOPT_TIMEOUT, 999999999999 );

			curl_setopt( $ch, CURLOPT_POST, true );

			curl_setopt( $ch, CURLOPT_POSTFIELDS, $data );



			if ( ! empty( $headers ) ) {

				if ( is_array( $headers ) ) {

					$headers2 = [];

					foreach ( $headers as $key => $val ) {

						$headers2[] = $key . ': ' . $val;

					}

					curl_setopt( $ch, CURLOPT_HTTPHEADER, $headers2 );

				} else {

					curl_setopt( $ch, CURLOPT_HTTPHEADER, [ $headers ] );

				}



			}



			$response = curl_exec( $ch );



			if ( $response === false ) {

				throw new Exception( curl_error( $ch ), curl_errno( $ch ) );

				$error = curl_error( $ch );

				curl_close( $ch );



				return 'Error: ' . $error;

			}



			curl_close( $ch );



			return $response;

		} catch ( Exception $e ) {

			trigger_error( sprintf( 'Curl failed with error #%d: %s', $e->getCode(), $e->getMessage() ), E_USER_ERROR );



			return sprintf( 'Error: #%d: %s', $e->getCode(), $e->getMessage() );

		}

	}

}