<?php



use Josantonius\Cookie\Cookie;



class Apps

{



    var $Table = "apps";

    var $TableView = "apps_view";

    var $TableInstallations = "installations";

    var $DB;



    # This codes will be used for phone numbers mentioned in AllowedPhones array;

    const SecretVerificationCode = '123456';



    # These phone numbers are allowed to registration and they have codes

    const AllowedPhones = [

        //		'923157772529',

        //		'923217425335',

        //		'923004025217',

    ];



    const RegisterForm = <<<TAG



		<form class="login-form" id="register_form">

			<input type="reset" id="reset_btn" style="display: none;">

			<input type="hidden" name="number_verified" id="number_verified" value="0">



			<div class="row">

				<div class="col-xs-6">

					<input type="text" name="full_name" id="full_name" placeholder="Full name ...." class="form-control" data-required="1" required="required">

				</div>



				<div class="col-xs-6">

					<input type="email" name="email" id="email" placeholder="Email" class="form-control" required="required">

				</div>

				<!--<div class="col-xs-6">

					<input type="text" name="phone" id="phone" placeholder="Phone" class="form-control phone">

				</div>-->

			</div>

			

			

            <div class="row">

				<div class="col-sm-12 text-right" style="margin-top: 10px">

					<button id="register_btn" class="btn btn-primary" type="submit">Register</button>



				</div>

				</div>

						

		   <hr style="border-top: 3px solid #6b6666;">

			

		<!--	<div class="row">

				<div class="col-xs-12" style="text-align: center;">

					<label class="rememberme mt-checkbox mt-checkbox-outline">

						<input type="checkbox" value="1" checked name="newsletter" id="newsletter">

						<span></span>

					</label>

					<label for="newsletter" class="pointer">Sign up for newsletter</label>

				</div>



			</div>-->

			

            <div class="row">

				<div class="col-sm-12 text-center">

					<button type="button" class="loginBtn loginBtn--facebook">

                        Register with Facebook

                    </button>

                    <button type="button" class="loginBtn loginBtn--google">

                        Register with Google

                    </button>

				</div>

			</div>





		</form>

	

TAG;





    const socialLoginForm = <<<TAG

			<div class="row">

				<div class="col-sm-12 text-center">

					<button type="button" class="loginBtn loginBtn--facebook">

                        Login with Facebook

                    </button>

                    <button type="button" class="loginBtn loginBtn--google">

                        Login with Google

                    </button>

				</div>

			</div>

            <hr style="border-top: 3px solid #6b6666;">

            <p>

                <a href="login.php" style="text-align: center">Login with username/password?</a>

                <br>

                <a href="register.php" style="text-align: center">Register an account!</a>

            </p>

            

TAG;



    const LoginForm = <<<TAG

		<form class="login-form" method="post">

			<div class="alert alert-info display-hide">

				<button class="close" data-close="alert"></button>

				<span>Logging in, Please wait ...</span>

			</div>

			<div class="alert alert-danger display-hide">

				<button class="close" data-close="alert"></button>

				<span></span>

			</div>

			<div class="alert alert-success display-hide">

				<button class="close" data-close="alert"></button>

				<span>Successfully logged in, Redirecting ....</span>

			</div>

			<div class="row">

				<div class="col-xs-6">

					<input class="form-control form-control-solid placeholder-no-fix form-group" type="text" autocomplete="on" placeholder="Email" name="email" required />

				</div>

				<div class="col-xs-6">

					<input class="form-control form-control-solid placeholder-no-fix form-group" type="password" autocomplete="off" placeholder="Password" name="password" required />

				</div>

			</div>

			<div class="row">

				<div class="col-sm-4">

					<label class="rememberme mt-checkbox mt-checkbox-outline">

						<input type="checkbox" name="remember" value="1" /> Remember me

						<span></span>

					</label>

				</div>

				<div class="col-sm-8 text-right" style="display: inline-block">

                    <a href="register.php">Register Account</a>

					<div class="forgot-password">

						<a href="javascript:;" id="forget-password" class="forget-password">Forgot Password?</a>

					</div>

					<button class="btn blue" type="submit">Sign In</button>

				</div>

			</div>

			<hr style="border-top: 3px solid #6b6666;">

			<p style="text-align: center"> or Login with </p>

			<div class="row">

				<div class="col-sm-12 text-center">

					<button type="button" class="loginBtn loginBtn--facebook">

                        Login with Facebook

                    </button>

                    <button type="button" class="loginBtn loginBtn--google">

                        Login with Google

                    </button>

				</div>

			</div>

	</form>	

TAG;



    /*			<div class="row">

                    <div class="col-sm-12 text-center">

                        <br>

                        <a href="register.php">Register Account</a>

                    </div>

                </div>*/



    public function __construct()

    {

        global $db;



        $Q = "DELETE FROM `".$this->TableInstallations."` WHERE `app_id`=0 AND `added_ip`='136.243.69.139'";

        $db->query($Q);



        $r = get_var("SELECT Table_Name FROM INFORMATION_SCHEMA.VIEWS WHERE Table_Name = '$this->TableView'");

        if (is_null($r)) {

            $Q = "CREATE VIEW `$this->TableView` AS

			(SELECT *, REPLACE(a.`phone`, ' ', '') phone2, (SELECT COUNT(*) FROM `installations` WHERE `app_id`=a.id) apps_count FROM `apps` a)";

            $db->query($Q);

        }



        $Q = "ALTER TABLE `$this->Table` ADD `verified_phone` VARCHAR(50)";

        $db->query($Q);



        $this->DB = $db;



        $Q = "ALTER TABLE `installations`CHANGE COLUMN `data` `data` TEXT NULL DEFAULT NULL";

        $this->DB->query($Q);

        $Q = "ALTER TABLE `installations`CHANGE COLUMN `ver` `ver` VARCHAR(10) NULL DEFAULT NULL";

        $this->DB->query($Q);

        $Q = "ALTER TABLE `installations`CHANGE COLUMN `last_request_time` `last_request_time` DATETIME NULL DEFAULT NULL";

        $this->DB->query($Q);

        $Q = "ALTER TABLE `installations`CHANGE COLUMN `pk` `pk` VARCHAR(250) NULL DEFAULT NULL";

        $this->DB->query($Q);

        $Q = "ALTER TABLE `installations`CHANGE COLUMN `notes` `notes` TEXT NULL DEFAULT NULL";

        $this->DB->query($Q);

        $Q = "ALTER TABLE `installations`CHANGE COLUMN `deleted` `deleted` TINYINT(1) NULL DEFAULT 0";

        $this->DB->query($Q);



        $Q = "ALTER TABLE `installations` 

			ADD COLUMN `client_users` SMALLINT NULL DEFAULT NULL AFTER `last_login_time`;";

        $this->DB->query($Q);

    }



    /**

     *

     * Get site key for captcha verification

     *

     * @return string

     */

    public function getSiteKey()

    {

        if (localhost()) {

            $siteKey = '6LcP86wUAAAAAAu4ZWTiNiwceFyse66laBDFws5f';

        } else {

            $siteKey = '6LcEIqoUAAAAAAn5WF8O_vNGwxFyk1llE4AhBWOB';

        }



        return $siteKey;

    }



    /**

     * @return string

     *

     * Get secret key for captcha verification.

     */

    public function getSecretKey()

    {

        if (localhost()) {

            $secretKey = '6LcP86wUAAAAAK4lmF8LUk-BqDkNTXTB_7ZgSUpW';

        }

        $secretKey = '6LcEIqoUAAAAAMo7R41dNO5NSMNzyXZLgPvPyahs';



        return $secretKey;

    }





    function loginWithThirdParty($params = [])

    {

        $default = array(

            "full_name"     => "",

            "email"         => "",

            'is_active'     => 1,

            // 1 use for google user and 2 for facebook users.

            'google_user'   => 1,

            'added_date'    => mysql_datetime(),

            'register_time' => mysql_datetime(),

            'login_time'    => mysql_datetime(),

            'verified'      => 1,

            'newsletter'    => 1,

        );

        $params  = set_args($params, $default);

        ## if one of these things are missing.

        if (empty($params['full_name']) || empty($params['email'])) {

            return 'requried paramters are missing';

        }



        global $db;



        $params["email"] = xtrim($params["email"]);

        $Q               = $db->prepare("SELECT COUNT(*) FROM `$this->Table` WHERE `email`=%s", $params["email"]);



        if ($db->get_var($Q) > 0) {

        } else {

            ## user is not logged in first logged in user and then create an account.

            try {

                $db->insert($this->Table, $params);

            } catch (Exception $e) {

                $e->getMessage();

            }

        }



        ## user already exits in the database.

        ## login to the fekara application.

        $response = $this->login_by_google($params['email'], 1);



        return $response;

    }



    function register_app_by_customer($params = "")

    {

        $default = [

            "full_name"       => "",

            "phone"           => "",

            "email"           => "",

            "newsletter"      => "0",

            "number_verified" => "0",

            #"institute" => "",

            #"city" => "",

            #"country" => ""

        ];

        $params  = set_args($params, $default);

        extract($params);

        $phone_ok = false;

        $phone    = ! empty($phone) ? $phone : '';

        $phone    = trim($phone);



        if (substr($phone, 0, 3) == '+91' || substr($phone, 0, 4) == '0091') {

            return 'Registration is closed for this countery';

        }



        /*if ($phone == "+1 508-499-9118" || $phone == "+1 508 499 9118" || $phone == "+1508-499-9118")

            $phone_ok = true;*/



        $AllowedPhoneNumbers = [

            "0300 4025217",

            "03004025217",

            "+923004025217",

            "+92 300 4025217",

            "923004025217",

            "+92 321 7425335",

            "+92 315 7772529",

        ];

        /*if ( in_array( $phone, $AllowedPhoneNumbers ) ) {

            $phone_ok = true;

        }

        if ( ! $phone_ok && ! isset( $_SESSION["request_id"] ) ) {

            return "Please verify your number. Verification session timeout";

        }*/ //		if ( empty( $number_verified ) ) {

        //			return "Please verify your number.";

        //		}

        if (xtrim(empty($full_name))) {

            return "Full name missing";

        }

        /*if ( xtrim( empty( $phone ) ) ) {

            return "Phone missing";

        }*/

        $email = ! empty($email) ? $email : '';

        if ( ! is_email(xtrim($email))) {

            return "Invalid email address";

        }

        #if (empty(xtrim($institute))) return "Institute missing";

        #if (empty(xtrim($city))) return "City missing";

        #if (empty(xtrim($country))) return "Country missing";



        global $db;



        $params["email"] = xtrim($params["email"]);

        $Q               = $db->prepare("SELECT COUNT(*) FROM `$this->Table` WHERE `email`=%s", $params["email"]);

        if ($db->get_var($Q) > 0) {

            return "Email '$email' already registered!";

        }



        /*$db_phone = get_var( "SELECT COUNT(*) FROM `$this->Table` WHERE `phone`='" . xtrim( $phone ) . "'" );

        if ( ( $phone == "923157772529" || $phone == "+923157772529" || $phone == "+923004025217" || $phone == "923004025217" ) && $db_phone > 0 ) {

            return "Phone '<b>" . $phone . "</b>' already registered!";

        }*/



        $params["secret_key"]    = md5(time());

        $params["register_ip"]   = myip();

        $params["register_time"] = mysql_datetime();



        $response = $db->insert($this->Table, $params);

        if ( ! $response) {

            return $db->last_error;

        } else {

            $id  = $db->insert_id;

            $url = DOMAIN_URL."register.php?verify=".$params["secret_key"]."&token=".(time(

                                                                                      ) + (4 * 12 * 60 * 60))."&id=".$id;



            $full_name = ! empty($full_name) ? $full_name : '';

            $message   = "Hello {$full_name},<br><br>

            The first step to getting started with feKara is to activate your account by clicking this link:<br><br>

            <a href='$url'>$url</a><br><br>

            Once you've activated your account, log in at Login - feKara Server using the email ({$email}) and password you created your account with.<br><br>

            Once you login, Use \"School Setup Wizard\" to fully customize your school software.";



            $params['url'] = $url;

            $ETemps        = new ETemps();

            $content       = $ETemps->get_templates("name=user_registration");

            $content       = $content['rows'][0];

            foreach ($params as $key => $val) {

                if (is_array($val)) {

                    continue;

                }

                $content['subject'] = str_ireplace("{{".$key."}}", $val, $content['subject']);

                $content['message'] = str_ireplace("{{".$key."}}", $val, $content['message']);

            }

            if ( ! isset($content['subject'])) {

                $content['subject'] = System.": Verify your email address.";

                $content['message'] = $message;

            }



            send_mail($email, $content['subject'], $content['message']);



            return "OK";

        }

    }



    function add_app_uesr($params = "")

    {

        $default = array(

            "full_name" => "",

            "phone"     => "",

            "email"     => "",

            #"institute" => "",

            #"city" => "",

            #"country" => ""

        );

        $params  = set_args($params, $default);

        extract($params);

    }



    function get_simple_apps($params = "")

    {

        $default = [

            "orderby"  => "id",

            "order"    => "DESC",

            "pagesize" => "10",

            "page"     => "1",

            "id"       => "0",

            "search"   => "",

            "email"    => "",

        ];



        $params = set_args($params, $default);

        extract($params);



        $Q = "SELECT *, (SELECT COUNT(*) FROM `{$this->TableInstallations}` WHERE `app_id`=a.`id`) apps_count

			FROM `{$this->Table}` a WHERE 1";



        if ( ! empty($id)) {

            $id = make_array($id);

            $Q  .= " AND `id` IN ('".implode("','", $id)."')";

        }



        $search = ! empty($search) ? $search : '';

        $search = trim($search);

        if ( ! empty($search)) {

            $Q2 = "";

            if (substr(strtolower($search), 0, 7) == "domain:") {

                $Q2 = "SELECT `app_id` FROM `installations` WHERE `domain` LIKE '%".substr($search, 7)."%'";

            } elseif (substr(strtolower($search), 0, 4) == "url:") {

                $Q2 = "SELECT `app_id` FROM `installations` WHERE `domain_url` LIKE '%".substr($search, 4)."%'";

            } elseif (substr(strtolower($search), 0, 3) == "ip:") {

                $Q2 = "SELECT `app_id` FROM `installations` WHERE `added_ip` LIKE '%".substr($search, 3)."%'";

            }

            if ($Q2 <> "") {

                $rows2 = $this->DB->get_rows($Q2);

                $ids2  = [];

                foreach ($rows2 as $row2) {

                    $ids2[] = $row2["app_id"];

                }

                if ( ! empty($ids2)) {

                    $Q .= " AND a.`id` IN ('".implode("','", $ids2)."')";

                }

            } else {

                $Q .= " AND (a.`email` LIKE '%{$search}%' OR a.`id`='$search' OR REPLACE(`phone`, ' ', '') LIKE '%{$search}%')";

            }

        }



        $orderby = ! empty($orderby) ? $orderby : 'id';

        $order   = ! empty($order) ? $order : 'DESC';

        $Q       .= " ORDER BY `$orderby` $order";



        $page     = ! empty($page) ? $page : '1';

        $pagesize = ! empty($pagesize) ? $pagesize : '10';

        $rows     = $this->DB->get_rows2($Q, $page, $pagesize);



        foreach ($rows["rows"] as $k => &$row) {

            $row["apps_count"] = $this->DB->get_var(

                "SELECT COUNT(*) FROM `{$this->TableInstallations}` WHERE `app_id`='{$row["id"]}'"

            );

        }



        return $rows;

    }



    function get_apps($params = "")

    {

        $default = array(

            "orderby"    => "id",

            "order"      => "DESC",

            "page"       => 1,

            "pagesize"   => 20,

            "id"         => 0,            # 0 for all

            "non_emapty" => "0",

            "email"      => "",

            "search"     => "",

            "apps_count" => "",         // Installation count.

            'phone'      => '',

        );

        $params  = set_args($params, $default);

        extract($params);



        $Q = "SELECT * FROM `{$this->TableView}` a WHERE 1";



        $apps_count = ! empty($apps_count) ? $apps_count : '';

        if ($apps_count <> "") {

            if ($apps_count == "0") {

                $Q .= " AND `apps_count`='$apps_count'";

            } else {

                $apps_count = make_array($apps_count);

                $Q          .= " AND `apps_count` IN ('".implode("','", $apps_count)."')";

            }

        }



        $non_emapty = ! empty($non_emapty) ? $non_emapty : '0';

        if ($non_emapty == "1") {

            $Q .= " AND a.`email`<>''";

        }



        if ( ! empty($id)) {

            $id = make_array($id);

            $Q  .= " AND a.`id` IN ('".implode("','", $id)."')";

        }

        if ( ! empty($email)) {

            $email = make_array($email);

            $Q     .= " AND a.`email` IN ('".implode("','", $email)."')";

        }

        $search = ! empty($search) ? $search : '';

        $search = trim($search);

        if (xtrim($search) <> "") {

            $Q2 = "";

            if (substr(strtolower($search), 0, 7) == "domain:") {

                $Q2 = "SELECT `app_id` FROM `installations` WHERE `domain` LIKE '%".substr($search, 7)."%'";

            } elseif (substr(strtolower($search), 0, 4) == "url:") {

                $Q2 = "SELECT `app_id` FROM `installations` WHERE `domain_url` LIKE '%".substr($search, 4)."%'";

            } elseif (substr(strtolower($search), 0, 3) == "ip:") {

                $Q2 = "SELECT `app_id` FROM `installations` WHERE `added_ip` LIKE '%".substr($search, 3)."%'";

            }

            if ($Q2 <> "") {

                $rows2 = get_rows($Q2);

                $ids2  = [];

                foreach ($rows2 as $row2) {

                    $ids2[] = $row2["app_id"];

                }

                if ( ! empty($ids2)) {

                    $Q .= " AND a.`id` IN ('".implode("','", $ids2)."')";

                }

            } else {

                $Q .= " AND (a.`email` LIKE '%{$search}%' OR a.`id`='$search' OR REPLACE(`phone`, ' ', '') LIKE '%{$search}%')";

            }

        }



        $orderby = ! empty($orderby) ? $orderby : 'id';

        $order   = ! empty($order) ? $order : 'DESC';

        $Q       .= " ORDER BY a.`$orderby` $order";



        global $DB;

        $page     = ! empty($page) ? $page : 1;

        $pagesize = ! empty($pagesize) ? $pagesize : 20;

        $rows     = $DB->get_rows2($Q, $page, $pagesize);



        return $rows;

    }



    function get_app_user_by_phone_number($phone)

    {

        $Q = "SELECT * FROM `apps` WHERE `phone` = '{$phone}'";

        global $db;



        return $db->get_row($Q);

    }



    function get_app_user_by_user_id($id)

    {

        $Q = "SELECT * FROM `apps` WHERE `id` = '{$id}'";

        global $db;



        return $db->get_row($Q);

    }





    public function login_by_token($token)

    {

        $token = base64_decode($token);



        $token = json_decode($token);

        if ( ! is_array($token)) {

            return "NO";

        }

        if ( ! isset($token[1])) {

            return "NO";

        }



        if ($token[1] == "admins") {

            $Q   = "SELECT * FROM `admins` WHERE `id`='{$token[0]}'";

            $row = get_row($Q);

            if (isset($row['username'])) {

                $_SESSION['fekara_system_a'] = $row;



                $row["table"]      = "admins";

                $row["loginToken"] = base64_encode(json_encode([$row["id"], $row["table"]]));



                return "OK".$row["loginToken"];

            }

        } elseif ($token[1] == $this->Table) {

            $Q   = "SELECT * FROM `{$this->Table}` WHERE `id`='{$token[0]}'";

            $row = get_row($Q);

            if (isset($row['username'])) {

                $_SESSION['fekara_system_i'] = $row;



                $row["table"]      = $this->Table;

                $row["loginToken"] = base64_encode(json_encode([$row["id"], $row["table"]]));



                return "OK".$row["loginToken"];

            }

        }



        return "NO";

    }



    public function login_by_google($email, $remember = 1)

    {

        $_SESSION['login_challenge_code'] = 'Automatic';



        return $this->login(

            [

                'email'     => $email,

                'password'  => '',

                'is_google' => true,

                'remember'  => $remember,

            ]

        );

    }



    function login($params = [])

    {

        $default = [

            "email"     => "",

            "password"  => "",

            'is_google' => false,

            'remember'  => 0,

        ];

        $params  = set_args($params, $default);

        extract($params);

        $is_google = ! empty($is_google) ? $is_google : false;

        $is_google = (boolean)$is_google;



        $email = ! empty($email) ? $email : '';

        $email = xtrim($email);



        if ( ! localhost() && ! isset($_SESSION['login_challenge_code'])) {

            return "Captcha is not verified.";

        }



        if (empty($email)) {

            return "Email address/Username missing.";

        }

        $password = ! empty($password) ? $password : '';

        if ( ! $is_google && $password == "") {

            return "Password missing.";

        }

        /*if (!is_email($email)) {

            return "Invalid email address provided.";

        }*/



        if ($is_google) {

            $Q = "SELECT * FROM `admins` WHERE `username`='$email'";

        } else {

            $Q = "SELECT * FROM `admins` WHERE `username`='$email' AND `password`='".md5($password)."'";

        }



        $row = get_row($Q);



        if (isset($row['username'])) {

            $_SESSION['fekara_system_a'] = $row;



            $row["table"]      = "admins";

            $row["loginToken"] = base64_encode(json_encode([$row["id"], $row["table"]]));



            if (isset($params['remember']) && $params['remember'] == 1) {

                Cookie::set('fekaraLoginToken', $row["loginToken"], 365);

            }



            unset($_SESSION['login_challenge_code']);



            return "OK".$row["loginToken"];

        }



        $Q   = "SELECT * FROM `{$this->Table}` WHERE `email`='$email'";

        $row = get_row($Q);

        if ( ! isset($row['id'])) {

            return "Email not found";

        }

        if ( ! $row['is_active']) {

            return "You'r not active user, Please contact to admin or email <a href=\"mailto:sales@fekara.com\">sales@fekara.com</a>";

        }



        if ( ! $is_google && $row['password'] != md5($password)) {

            return "Email/password not matched";

        }



        $_SESSION['fekara_system_i'] = $row;



        $row["table"]      = $this->Table;

        $row["loginToken"] = base64_encode(json_encode([$row["id"], $row["table"]]));



        unset($_SESSION['login_challenge_code']);



        return "OK".$row["loginToken"];

    }



    function activate_user_account($params = "")

    {

        $default = [

            "verify" => "",

            "token"  => "",

            "id"     => "",

        ];

        $params  = set_args($params, $default);

        extract($params);



        $verify = ! empty($verify) ? $verify : '';

        $id     = ! empty($id) ? $id : '';

        $Q      = "SELECT * FROM `apps` WHERE `verified`='0' AND `secret_key`='{$verify}' AND `id`='$id'";

        $row    = get_row($Q);

        $token  = ! empty($token) ? $token : '';

        if ($token < time()) {

            return "Your verification link is expired.";

        }



        if ( ! isset($row['verified'])) {

            return "Invalid link";

        }



        if ($row['verified'] == 1) {

            return "Link is already verified";

        }



        $new_password = make_password(5, '0123456789');

        $r            = update(

            "apps",

            array(

                "verified"       => "1",

                "password_first" => $new_password,

                "password"       => md5($new_password),

            ),

            array("id" => $id)

        );

        if ($r['status'] <> "OK") {

            return $r['status'];

        }



        $row['password'] = $new_password;



        $ETemps  = new ETemps();

        $content = $ETemps->get_templates("name=user_activation");

        $content = $content['rows'][0];

        foreach ($row as $key => $val) {

            if (is_array($val)) {

                continue;

            }

            $content['subject'] = str_ireplace("{{".$key."}}", $val, $content['subject']);

            $content['message'] = str_ireplace("{{".$key."}}", $val, $content['message']);

        }

        if ( ! isset($content['subject'])) {

            $content['subject'] = '';

            $content['message'] = '';

        }



        $content['message'] = str_replace("{{password}}", $new_password, $content['message']);

        $content['subject'] = str_replace("{{password}}", $new_password, $content['subject']);

        send_mail($row['email'], $content['subject'], $content['message']);



        return "OK";

    }



    function get_profile_image($id, $size = 200)

    {

        return "http://dummyimage.com/{$size}x{$size}/000/fff&text=Profile";

    }



    function get_install($app_user_id)

    {

        $q = "select * from installations where app_id = {$app_user_id}";

        global $db;



        return $db->get_row($q);

    }



    function get_installations($params = [])

    {

        $default = [

            "app_id"           => "",

            "page"             => "1",

            "pagesize"         => "20",

            "id"               => "",

            "orderby"          => "id",

            "order"            => "DESC",

            "search"           => "",

            "remote_data_null" => "",

            "deleted"          => 0,

            "students"         => "",       // Number of students.

            "teachers"         => "",

        ];

        $params  = set_args($params, $default);

        extract($params);

        global $db;



        if ( ! empty($app_id) && is_numeric($app_id)) {

            $Q   = "SELECT `domain`,`domain_url`,`data`,`ver`,`added_date`,`last_request_time`,`pk`,`institute`,`phone`,

					`email`,`address`,`city`,`country`,`register_time`,`register_ip` FROM `$this->Table` WHERE

					`id`='$app_id'";

            $app = get_row($Q);



            if ($app['domain'] <> '') {

                $Q    = "SELECT `domain`,`domain_url`,`data`,`ver`,`added_date`,`last_request_time`,`pk` FROM

					`$this->TableInstallations` WHERE `app_id`='$app_id'";

                $app2 = get_row($Q);



                if ( ! isset($app2['domain'])) {

                    $app['app_id']   = $app_id;

                    $app['added_ip'] = $app['register_ip'];

                    unset($app['register_ip']);

                    $app['added_time'] = $app['register_time'];

                    unset($app['register_time']);

                    //					if ( ! ( $app['added_ip'] == '136.243.69.139' ) ) {

                    //						insert( $this->TableInstallations, $app );

                    //					}

                    insert($this->TableInstallations, $app);

                }

            }

        }



        $Q = "SELECT * FROM `$this->TableInstallations` WHERE 1";

        if ( ! empty($id)) {

            $id = make_array($id);

            $Q  .= " AND `id` IN ('".implode("','", $id)."')";

        }

        if ( ! empty($app_id)) {

            $app_id = make_array($app_id);

            $Q      .= " AND `app_id` IN ('".implode("','", $app_id)."')";

        }

        $deleted = ! empty($deleted) ? $deleted : 0;

        if ( ! is_null($deleted)) {

            $Q .= " AND `deleted`={$deleted}";

        }

        if ( ! empty($search)) {

            $search = $db->set_string($search);



            if (substr($search, 0, 7) == "domain:") {

                $Q .= " AND `domain` LIKE '%".substr($search, 7)."%'";

            } else {

                if (substr(strtolower($search), 0, 7) == "domain:") {

                    $Q .= " AND `domain` LIKE '%".substr($search, 7)."%'";

                } elseif (substr(strtolower($search), 0, 4) == "url:") {

                    $Q .= " AND `domain_url` LIKE '%".substr($search, 4)."%'";

                } elseif (substr(strtolower($search), 0, 3) == "ip:") {

                    $Q .= " AND `added_ip` LIKE '%".substr($search, 3)."%'";

                } else {

                    $Q .= " AND (`domain` LIKE '%{$search}%' OR `app_id`='{$search}' OR `id`='{$search}' OR `domain_url` LIKE '%{$search}%' OR `ver` LIKE '%{$search}%')";

                }

            }

        }



        $students = ! empty($students) ? $students : "";

        if ($students == 0) {

            $Q .= " AND (`students`=0 OR `students` IS NULL)";

        } elseif ("1,10" == $students) {

            $Q .= " AND `students` BETWEEN 1 AND 10";

        } elseif ("11,20" == $students) {

            $Q .= " AND `students` BETWEEN 11 AND 20";

        } elseif ("21,50" == $students) {

            $Q .= " AND `students` BETWEEN 21 AND 50";

        } elseif ("51>" == $students) {

            $Q .= " AND `students`>=51";

        }



        $teachers = ! empty($teachers) ? $teachers : "";

        if ($teachers == 0) {

            $Q .= " AND (`teachers`=0 OR `teachers` IS NULL)";

        } elseif ("1,10" == $teachers) {

            $Q .= " AND `teachers` BETWEEN 1 AND 10";

        } elseif ("11,20" == $teachers) {

            $Q .= " AND `teachers` BETWEEN 11 AND 20";

        } elseif ("21,50" == $teachers) {

            $Q .= " AND `teachers` BETWEEN 21 AND 50";

        } elseif ("51>" == $teachers) {

            $Q .= " AND `teachers`>=51";

        }



        $remote_data_null = ! empty($remote_data_null) ? $remote_data_null : '';

        if ($remote_data_null == "1") {

            $Q .= ' AND `remote_data` IS NULL';

        } elseif ($remote_data_null == "0") {

            $Q .= ' AND `remote_data` IS NOT NULL';

        }



        $orderby  = ! empty($orderby) ? $orderby : 'id';

        $order    = ! empty($order) ? $order : 'DESC';

        $page     = ! empty($page) ? $page : 1;

        $pagesize = ! empty($pagesize) ? $pagesize : 20;

        $Q        .= " ORDER BY `$orderby` $order";

        $rows     = get_rows2($Q, $page, $pagesize);



        return $rows;

    }



    function generate_domain_name($institute)

    {

        $institute = strtolower($institute);

        $institute = preg_replace("/[^a-z?!]/", "", $institute);



        $Q = "SELECT COUNT(*) FROM `$this->TableInstallations` WHERE `domain`='{$institute}.fekara.com'";

        if (get_var($Q) > 0) {

            $institute .= $institute;

        }



        return $institute;

    }





    ## update installation data.

    function update_fekara_installData($params = [])

    {

        $default = [

            'domain' => '',

            'id'     => '',

        ];

        $params  = set_args($params, $default);





        if (empty($params['id'])) {

            return false;

        }



        $installationID = $params['id'];

        unset($params['id']);



        global $db;



        try {

            return $db->update($this->TableInstallations, $params, ['app_id' => $installationID]);

        } catch (Exception $exception) {

            return $exception->getMessage();

        }



    }



    function install_fekara($params = "")

    {

        //		if ( myip() == '136.243.69.139' ) {

        //			return 'Own IP not allowed!';

        //		}



        $default              = [

            "institute" => "",

            "domain"    => "",

            "phone"     => "",

            "address"   => "",

            "city"      => "",

            "country"   => "",

        ];

        $params               = set_args($params, $default);

        $params["app_id"]     = get_my_id();

        $params["added_date"] = mysql_date();

        $params["email"]      = get_app("email");

        $params["added_time"] = mysql_datetime();

        $params["added_ip"]   = myip();



        $Phone             = new \Phone();

        $params['country'] = $Phone->get_country_name($params['phone']);

        if ( ! $Phone->is_valid_phone($params['phone'])) {

            return 'Invalid phone number provided!';

        }



        extract($params);

        $institute = ! empty($institute) ? $institute : '';

        if (trim($institute) == "") {

            return "Institute name missing.";

        }

        $phone = ! empty($phone) ? $phone : '';

        if (trim($phone) == "") {

            return "Phone number required.";

        }

        $address = ! empty($address) ? $address : '';

        if (trim($address) == "") {

            return "Address required.";

        }

        $city = ! empty($city) ? $city : '';

        if (trim($city) == "") {

            return "City required.";

        }

        $country = ! empty($country) ? $country : '';

        if (trim($country) == "") {

            return "Country required.";

        }



        $response = $this->DB->insert($this->TableInstallations, $params);

        if ($response === false) {

            return $this->DB->last_error;

        }



        ## send email..

        $userEnteredPhone = (new Apps())->get_app_user_by_user_id(get_my_id());



        ## send email to user...

        $ETemps = new ETemps();



        ## get template.

        $content = $ETemps->get_templates("name=first_installation");

        $content = $content['rows'][0];



        foreach ($userEnteredPhone as $key => $val) {

            if (is_array($val)) {

                continue;

            }

            $content['subject'] = str_ireplace("{{".$key."}}", $val, $content['subject']);

            $content['message'] = str_ireplace("{{".$key."}}", $val, $content['message']);

        }



        if ( ! empty($userEnteredPhone['email']) && ! empty($content['subject']) && ! empty($content['message'])) {

            echo send_mail($userEnteredPhone['email'], $content['subject'], $content['message']);

        }





        return "OK".$this->DB->insert_id;



        /**

         *  Fekra version has been updated so, we will not create the new installation for the fekara. application.

         *

         * */



        $params['domain'] = strtolower($params['institute']);

        $params['domain'] = strtr(

            $params['domain'],

            [

                ' ' => '',

                '.' => '',

            ]

        );

        $params['domain'] = preg_replace('/[^a-z]/i', '', $params['domain']);

        $params['domain'] .= rand(1, 1000);





        set_time_limit(0);



        $count = get_var("SELECT COUNT(*) FROM `{$this->TableInstallations}` WHERE `domain`='$domain'");



        if ($count > 0) {

            return "Domain <b>{$domain}.fekara.com</b> is already exists, Please try other name.";

        }

        //if (get_var("SELECT COUNT(*) FROM `$this->TableInstallations` WHERE `email`"))



        $CPanel = new CPanel();



        // Deleting folder, If exists!

        \CP::delete_file($domain);



        $result = \CP::create_sub_domain(['domain' => $domain]);



        if (strpos($result, 'A DNS entry for the domain') !== false) {

            $domain .= rand(1, 999);

            $result = \CP::create_sub_domain(['domain' => $domain]);

        }



        if ($result <> "OK") {

            return "Subdomain creation error: ".$result;

        }



        ## Sub domain created at this point.

        ## Installing fekara



        $source_file = ROOT_PATH.'_data/61111__.zip';



        if ( ! is_file($source_file)) {

            $message = 'Error on server, file "'.$source_file.'" not available on server.';

            send_mail('shakeel@shakeel.pk', 'Fearka Server Error: Source file on server is not available.', $message);



            return 'Source file on server is not available.';

        }





        $Ftp = new \FtpClient\FtpClient();



        $Ftp->connect(CPANEL_HOST);

        $Ftp->login(CPANEL_USER, CPANEL_PASS);

        $Ftp->mkdir('/public_html/'.$domain);



        $response = $Ftp->put('/public_html/'.$domain.'/fekara.zip', $source_file, FTP_BINARY);

        if ( ! $response) {

            $message = 'File tranfer to "/public_html/'.$domain.'/fekara.zip" error';

            send_mail('shakeel@shakeel.pk', 'Fekara Server Error: Error on transfer .zip file.', $message);



            return 'Source files not transfered for new domain.';

        }





        $response = $CPanel->extract_file('public_html/'.$domain.'/fekara.zip', $domain);

        if ( ! is_array($response)) {

            return 'Extracting files: '.$response;

        }



        $response = $CPanel->delete_file($domain.'/fekara.zip');

        if ($response <> 'OK') {

            return $response;

        }



        $db_name                  = \CP::set_db_and_user($domain);

        $output_content['domain'] = $domain;

        $output_content['db']     = $db_name;



        ## Creating DB..

        $response = \CP::create_db($db_name);

        if ($response <> "OK") {

            return "DB creation error: ".$response;

        }





        $db_user                   = CPANEL_USER."_".substr($domain, 0, 9);

        $db_user                   = $db_name;

        $db_pass                   = make_password(10);

        $output_content['db_user'] = $db_user;

        $output_content['db_pass'] = $db_pass;



        $response = \CP::create_db_user($db_user, $db_pass);

        if ($response <> "OK") {

            return "DB user creation error: ".$response;

        }



        $response = \CP::attach_db_user($db_name, $db_user);

        if ($response <> "OK") {

            return "DB user attachment error: ".$response;

        }

        @file_put_contents(ROOT_PATH.'dbs', implode(',', $output_content).PHP_EOL, FILE_APPEND);



        ## Uploading config file.

        ##$file_contents = file_get_contents( ROOT_PATH . "_data/_config.php" );



        $config_content = "<?php

		

		define('ALLOK', true);

		

		define( 'DBSERVER', 'localhost' );

		define( 'DBNAME', '{{db_name}}' );

		define( 'DBUSER', '{{db_user}}' );

		define( 'DBPASS', '{{db_pass}}' );

		";



        $config_content = strtr(

            $config_content,

            [

                '{{db_name}}' => $output_content['db'],

                '{{db_user}}' => $output_content['db_user'],

                '{{db_pass}}' => $output_content['db_pass'],

            ]

        );

        @file_put_contents(ROOT_PATH.'config', $config_content);



        $response = $Ftp->put('/public_html/'.$output_content['domain'].'/config.php', ROOT_PATH.'config', FTP_BINARY);

        //		echo 'Remote: '.'/public_html/' . $output_content['domain'] . '/config.php<br>';

        //		echo 'Local: '.ROOT_PATH . 'config<br>';

        //		echo '<textarea>'.$config_content.'</textarea><br>';

        //		var_dump($response); die;



        @unlink(ROOT_PATH.'config');



        //		$config_url = 'http://fekara.fekara.com/remote/__api.php?creat_config=' . $db_name . '&folder=' . $domain1;

        //		@file_get_contents( $config_url );



        $params["app_id"]      = get_my_id();

        $params["domain_url"]  = "http://".$params["domain"].".fekara.com/";

        $params["domain"]      = $params["domain"].".fekara.com";

        $params["added_date"]  = mysql_date();

        $params["email"]       = get_app("email");

        $params["added_time"]  = mysql_datetime();

        $params["added_ip"]    = myip();

        $params["db_name"]     = $output_content['db'];

        $params["db_user"]     = $output_content['db_user'];

        $params["db_password"] = $output_content['db_pass'];



        $response = $this->DB->insert($this->TableInstallations, $params);



        if ($response === false) {

            return $this->DB->last_error;

        }



        $_SESSION['phone_verified'] = false;

        unset($_SESSION['phone_verified']);

        unset($_SESSION['phone_for_verification']);



        return "OK".$this->DB->insert_id;

    }



    function execute_api($params = "")

    {

        $default = [

            "id"      => "",

            "command" => "",

            "data"    => "",

            "table"   => "",

        ];

        $params  = set_args($params, $default);

        extract($params);



        if (empty($id)) {

            return "ID missing";

        }

        if (empty($command)) {

            return "Command missing";

        }



        $Q   = "SELECT `domain_url`, `pk` FROM `$this->TableInstallations` WHERE `id`='$id'";

        $row = get_row($Q);



        if ( ! isset($row['domain_url'])) {

            return "Data not found1.";

        }



        if (isset($localhost) && localhost()) {

            $domain_url = "http://fekara.pk/includes/6111977.php";

        } else {

            $domain_url = $row['domain_url']."includes/6111977.php";

        }



        #$domain_url .= "/".$command."/?pk=".$row['pk'];

        #$domain_url .= "&table={$table}";



        $P["cmd"]   = $command;

        $P["pk"]    = "31231212312306111977"; //$row['pk'];

        $table      = ! empty($table) ? $table : '';

        $P["table"] = $table;



        $data = ! empty($data) ? $data : '';

        if (is_array($data)) {

            $data = json_encode($data);

        }

        if ($data <> "") {

            //$domain_url .= "&data=".$data;

            $P["data"] = base64_encode($data);

        }

        $domain_url .= "?".http_build_query($P);



        //send_mail( "shakeel@shakeel.pk", $domain_url, $domain_url );



        $response_code = get_http_response_code($domain_url);



        if ( ! ($response_code == "200" || $response_code == "302")) {

            //send_mail( "shakeel@shakeel.pk", "Error on execute API", "HTTP response $response_code on<br>" . $domain_url );



            return "API Error: $response_code";

        }



        $response = curl_get_file_contents($domain_url);



        if ($response === false) {

            if (isset($_SESSION["curl_error"])) {

                $message = "Error: ".(isset($_SESSION["curl_error"]) ? $_SESSION["curl_error"] : "<i>No Error</i>");



                $message = "Received error on execute API when executing API for url<br>".$domain_url."<br>$message";

                //send_mail( "shakeel@shakeel.pk", "Error on execute API", $message );

                $curl_error = $_SESSION["curl_error"];

                unset($_SESSION["curl_error"]);



                return $curl_error;

            } else {



            }



            return "Can't execute API";

        } else {

            return $response;

        }

    }



    function send_forget_email($email)

    {

        global $DB;

        $email = $DB->set_string($email);

        $Q     = "SELECT * FROM `apps` WHERE `email`='$email'";

        $row   = get_row($Q);

        if ( ! isset($row['email'])) {

            return "No data found";

        }

        $row['reset_password_link'] = DOMAIN_URL."register.php?forget&id=".$row['id']."&secret_key=".$row['secret_key'];



        $ETemps  = new ETemps();

        $content = $ETemps->get_templates("name=forget_password");

        $content = $content['rows'][0];



        foreach ($row as $key => $val) {

            if (is_array($val)) {

                continue;

            }

            $content['subject'] = str_ireplace("{{".$key."}}", $val, $content['subject']);

            $content['message'] = str_ireplace("{{".$key."}}", $val, $content['message']);

        }



        return send_mail($email, $content['subject'], $content['message']);

    }



    function send_forget_reset_email($id, $secret_key)

    {

        $Q   = "SELECT * FROM `{$this->Table}` WHERE `id`='$id' AND `secret_key`='{$secret_key}'";

        $row = get_row($Q);

        if ( ! isset($row['id'])) {

            return "Invalid password request.";

        }

        $new_password = make_password(5, '0123456789');

        $data         = [

            "password"       => md5($new_password),

            "secret_key"     => md5(time()),

            "password_first" => $new_password,

        ];



        $response            = update($this->Table, $data, array("id" => $id));

        $row['new_password'] = $new_password;

        if ($response['status'] == "OK") {

            $ETemps  = new ETemps();

            $content = $ETemps->get_templates("name=forget_password_reset");

            $content = $content['rows'][0];

            foreach ($row as $key => $val) {

                if (is_array($val)) {

                    continue;

                }

                $content['subject'] = str_ireplace("{{".$key."}}", $val, $content['subject']);

                $content['message'] = str_ireplace("{{".$key."}}", $val, $content['message']);

            }

        } else {

            return $response['status'];

        }



        return send_mail($row['email'], $content['subject'], $content['message']);

    }



    function delete_app_user($params = "")

    {

        $default = [

            "id" => "",

        ];

        $params  = set_args($params, $default);

        extract($params);



        $id = ! empty($id) ? $id : '';

        if (is_string($id) && $id == "") {

            return "Please select one ore more users to delete";

        }

        $id = make_array($id);

        global $db;

        $Q        = "DELETE FROM `$this->Table` WHERE `id` IN ('".implode("','", $id)."')";

        $response = $db->query($Q);



        $Q = "UPDATE `$this->TableInstallations` SET `deleted`='1' WHERE `app_id` IN ('".implode("','", $id)."')";

        $db->query($Q);



        return "OK";



    }



    function update_installation_via_url($domain_url, $pk)

    {

        if (empty($pk)) {

            $domain = parse_url($domain_url);

            $domain = $domain["host"];

            $this->update_installation($domain);

        } else {

            $url     = $domain_url."6111977/update?pk=".$pk;

            $content = curl_get_file_contents($url);



            return $content;

        }

    }



    function update_installation($domain)

    {

        $CPanel = new CPanel();

        $domain = str_replace(".fekara.com", "", $domain);



        $CPanel->delete_file($domain."/61111__.zip");

        $response = $CPanel->upload_file(ROOT_PATH."_data/61111__.zip", $domain);

        if ($response <> "OK") {

            return $response;

        }

        $response = $CPanel->extract_file("public_html/".$domain."/61111__.zip", $domain);

        if ($response <> "OK") {

            return $response;

        }

        $CPanel->delete_file($domain."/61111__.zip");



        return $response;

    }



    function add_user($installation_id, $username, $password, $app_id = 0)

    {

        $app = get_row("SELECT * FROM `$this->TableInstallations` WHERE `id`='$installation_id'");

        if ( ! isset($app["app_id"])) {

            return "Data not found!";

        }

        if ( ! empty($app_id)) {

            if ($app["app_id"] <> $app_id) {

                return "This installation doesn't belong to provided user";

            }

        }

        $data = array(

            "username" => $username,

            "password" => md5($password),

            "is_admin" => 1,

            "email"    => $app["email"],

            "name"     => get_app("full_name", $app["app_id"]),

        );



        //print_r ($data);

        return $this->execute_api(

            array(

                "id"      => $installation_id,

                "command" => "insert_record",

                "data"    => $data,

                "table"   => "admins",

            )

        );

    }



    function delete_installation($installation_id = 0)

    {

        if (empty($installation_id)) {

            return "Please provide installation ID";

        }



        $Q            = "SELECT * FROM `$this->TableInstallations` WHERE `id`='$installation_id'";

        $installation = get_row($Q);

        if ( ! isset($installation["id"])) {

            return "No installation found in system!";

        }



        //print_r ($installation);

        $CPanel = new CPanel();

        if ($installation["db_user"] <> "") {

            $CPanel->delete_db_user($installation["db_user"]);

        }

        if ($installation["db_name"] <> "") {

            $CPanel->delete_db($installation["db_name"]);

        }



        $response = $CPanel->delete_sub_domain($installation["domain"]);

        if ($response == "OK") {

            global $db;

            $r = $db->update($this->TableInstallations, ["deleted" => 1], array("id" => $installation_id));



            return "OK";

        } else {

            return $response;

        }

    }



    function is_phone_register($phone)

    {

        $phone    = (string)$phone;

        $db_phone = get_var(

            "SELECT COUNT(*) FROM `$this->Table` WHERE REPLACE(`phone`,' ','')='".str_replace(' ', '', $phone)."'"

        );

        if ($db_phone > 0) {

            return "Already registered";

        } else {

            return "OK";

        }

    }



    function update_customer_password($id, $new_password)

    {

        $data     = array("password" => md5($new_password));

        $response = update($this->Table, $data, array("id" => $id));



        return $response["status"];

    }



    function get_config_file_content($domain)

    {

        $domain = trim($domain);

        if (substr($domain, 12) <> ".fekara.com") {

            $domain .= ".fekara.com";

        }

        $CPanel  = new CPanel();

        $domains = $CPanel->list_sub_domains();



        $domain_found = array();

        foreach ($domains as $dom) {

            if ($dom["domain"] == $domain) {

                $domain_found = $dom;

                break;

            }

        }

        if (empty($domain_found)) {

            return "Sub Domain '$domain' not found on system.";

        }

        $file_path = $domain_found['basedir']."/config.php";



        //$remote_url = "ftp://{user}:{pass}@".$file_path;



        $config_content = $CPanel->read_ftp_file_to_variable($file_path);

        if (empty($config_content)) {

            return "Config data not found.";

        }

        $config_content = explode("\n", $config_content);



        $username = $password = $dbname = "";

        foreach ($config_content as $line) {

            if (stripos($line, "define('DBNAME'") !== false) {

                $dbname = substr(trim($line), strlen("define('DBNAME', '"), -3);

            } elseif (stripos($line, "define('DBUSER'") !== false) {

                $username = substr(trim($line), strlen("define('DBUSER', '"), -3);

            } elseif (stripos($line, "define('DBPASS'") !== false) {

                $password = substr(trim($line), strlen("define('DBPASS', '"), -3);

            }

        }

        if (empty($username) || empty($password) || empty($dbname)) {

            return "Unable to get DB username/password info";

        } else {

            return array(

                "username" => $username,

                "password" => $password,

                "dbname"   => $dbname,

            );

        }



        return $domain;

    }



    /**

     * @param null $id

     *

     * @return bool

     *

     * Check if phone number is verified for a specific user.

     */

    public function IsPhoneVerified($id = null)

    {

        if (is_null($id)) {

            $id = get_my_id();

        } else {

            $id = (int)$id;

        }



        if (is_admin()) {

            return true;

        }



        $query = $this->DB->prepare('SELECT `number_verified` FROM %w WHERE `id`=%d', $this->Table, $id);

        $n     = (int)$this->DB->get_var($query);



        return $n === 1;

    }



    public function getPhoneNumber($id = null)

    {

        if (is_null($id)) {

            $id = get_my_id();

        } else {

            $id = (int)$id;

        }



        $query = $this->DB->prepare('SELECT `phone` FROM %w WHERE `id`=%d', $this->Table, $id);



        return (string)$this->DB->get_var($query);

    }



    public function setPhoneNumber(string $phone_number, $id = null)

    {

        if (is_null($id)) {

            $id = get_my_id();

        } else {

            $id = (int)$id;

        }



        $response = $this->DB->update($this->Table, ['phone' => $phone_number], ['id' => $id]);



        return $response !== false;

    }

}