<?php



class Nexmo {



	var $api_key = "a08a0481";

	var $api_secret = "adab3ee9f8e51e91";



	function send_verification_request( $mobile_number ) {

		$mobile_number = trim( $mobile_number );





		$Phone = new \Phone();

		if ( ! $Phone->is_valid_phone( $mobile_number ) ) {

			return 'Invalid phone number will not verify, Please provide valid phone number';

		}



		$_SESSION['phone_for_verification'] = $mobile_number;



		$mobile_number = strtr( $mobile_number, [

			' ' => '',

			'+' => '',

		] );



		if ( in_array( $mobile_number, \Apps::AllowedPhones ) ) {

			return 'OK';

		}



		//	    if ( substr( $mobile_number, 0, 2 ) == "92" || substr( $mobile_number, 0, 2 ) == "91" ) {

		//		    return "Currently registration is closed for your country.";

		//	    }



		$mobile_number = filter_var( $mobile_number, FILTER_SANITIZE_NUMBER_INT );

		$mobile_number = str_replace( "+", "", $mobile_number );

		$mobile_number = str_replace( "-", "", $mobile_number );



		$url      = 'https://api.nexmo.com/verify/json?' . http_build_query( [

				'api_key'    => $this->api_key,

				'api_secret' => $this->api_secret,

				'number'     => $mobile_number,

				'brand'      => 'FeKara',

			] );

		$response = curl_get_file_contents( $url );

		// {"request_id":"6d6e6d1f143843d18981d65b6e320370","status":"0"}

		if ( ! is_json( $response ) ) {

			return "Can't send verification code";

		}

		$response = json_decode( $response, true );

		if ( isset( $response["status"] ) && $response["status"] == "0" ) {

			$_SESSION["request_id"] = @$response["request_id"];



			return "OK";

		}

		if ( isset( $response["error_text"] ) ) {

			return str_ireplace( "Nexmo", "FeKara", $response["error_text"] );

		}



		return $response;

	}



	function verify_pin_code( $pin, $request_id = "" ) {

		if ( empty( $request_id ) ) {

			$request_id = @$_SESSION["request_id"];

		}



		if ( empty( $request_id ) ) {

			return "It seems, verification code is not generated from your system.";

		}

		$url = 'https://api.nexmo.com/verify/check/json?' . http_build_query( [

				'api_key'    => $this->api_key,

				'api_secret' => $this->api_secret,

				'request_id' => $request_id,

				'code'       => $pin,

			] );



		$response = curl_get_file_contents( $url );

		if ( ! is_json( $response ) ) {

			return "Can't verify your number.";

		}

		$response = json_decode( $response, true );



		if ( isset( $response["status"] ) && $response["status"] == "0" ) {

			$_SESSION['phone_verified'] = true;



			// Adding verified phone with user.

			global $db;

			$apps  = new \User();

			$query = $db->prepare( 'UPDATE `apps` SET `verified_phone`=%s, `number_verified`=1 WHERE `id`=%d', $_SESSION['phone_for_verification'], $apps->get_login_id() );



			$db->query( $query );



			return "OK";

		}

		if ( isset( $response["error_text"] ) ) {

			return str_ireplace( "Nexmo", "FeKara", $response["error_text"] );

		}



		return $response;

	}

}