<?php

//library from

//https://github.com/brick/phonenumber



//include_once( ROOT_PATH . "vendor/autoload.php" );



use Brick\PhoneNumber\PhoneNumber;

use Brick\PhoneNumber\PhoneNumberParseException;



class Phone {



	public function __construct() {



	}





	public function is_valid_phone( $phoneNumber ): bool {



		try {

			$number = PhoneNumber::parse( $phoneNumber );



			return $number->isValidNumber();

		} catch ( PhoneNumberwParseException $e ) {

			return false;

		}

	}



	public function get_country_code( $phoneNumber ) {

		try {

			$number = PhoneNumber::parse( $phoneNumber );



			return $number->getCountryCode();

		} catch ( PhoneNumberParseException  $e ) {

			return $e->getMessage();

		}

	}



	public function get_region_code( $phoneNumber ) {

		try {

			$number = PhoneNumber::parse( $phoneNumber );



			return $number->getRegionCode();

		} catch ( PhoneNumberParseException  $e ) {

			return $e->getMessage();

		}

	}



	public function get_country_name( $phoneNumber ) {

		try {

			$number = PhoneNumber::parse( $phoneNumber );



			$country_code = $this->get_region_code( $phoneNumber );

		} catch ( PhoneNumberParseException  $e ) {

			return $e->getMessage();

		}



		global $db;



		return $db->get_var( $db->prepare( 'SELECT `name` FROM `countries` WHERE `alpha_2`=%s', $country_code ) );

	}

}