<?php

include_once "_init.php";

if (is_admin()) redirect("index.php");

$Apps = new Apps();

$__title = "Details";

if (isset($_GET["get_seats"])) {

    $Q = "SELECT `seats` FROM `installations` WHERE `id`='{$_POST['id']}'";

    $seats = get_var($Q);

    if ($seats<50) $seats = 50;

    echo $seats;

    exit;

}

if (isset($_GET["pay"])) {

    $response = update("installations", array("seats"=>$_POST["seats"]),array("id"=>$_POST["id"]));

    if ($response["status"]=="OK") {

        $data = array(

            "app_id" => get_my_id(),

            "installation_id" => $_POST["id"],

            "seats" => $_POST["seats"],

            "amount" => $PreSeatPrice * $_POST["seats"],

            "paid" => "0",

        );

        $response = insert("payments", $data);

        if ($response["status"]<>"OK") {

            echo $response["status"];

        } else {

            echo "OK".$response["id"];

        }

    } else {

        echo $response["status"];

    }

    exit;

}

include_once "header.php";

$apps = $Apps->get_apps( "id=".get_my_id() );

$apps = $apps['rows'][0];

?>

<!-- END HEADER -->



<div class="modal fade" id="seatsDiv" tabindex="-1" role="basic" aria-hidden="true">

    <div class="modal-dialog">

        <div class="modal-content">

            <div class="modal-header">

                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>

                <h4 class="modal-title">Select Seats</h4>

            </div>

            <div class="modal-body">

                <form class="form-horizontal" role="form" id="form1">

                    <input type="submit" class="hidden" id="submit1">

                    <input type="reset" class="hidden" id="reset1">

                    <input type="hidden" name="id" value="0" id="id1">

                    <div class="form-body">

                        <div class="form-group">

                            <label class="col-md-9 control-label">You will pay:</label>

                            <div class="col-md-3">

                                <span id="amount" class="form-control"></span>

                            </div>

                        </div>

                        <div class="form-group">

                            <label class="col-md-9 control-label">How many students seats required?</label>

                            <div class="col-md-3">

                                <input type="number" min="50" step="5" value="50" name="seats" id="seats" class="form-control" placeholder="Select seats">

                            </div>

                        </div>

                    </div>

                </form>

            </div>

            <div class="modal-footer">

                <button type="button" class="btn dark btn-outline" data-dismiss="modal">Close</button>

                <button type="button" onclick="$('#submit1').click();" class="btn green">Pay and Upgrade to Pro</button>

            </div>

        </div>

        <!-- /.modal-content -->

    </div>

    <!-- /.modal-dialog -->

</div>



<!-- BEGIN CONTAINER -->

<div class="container-fluid">

    <div class="page-content page-content-popup">

        <div class="page-content-fixed-header">

            <!-- BEGIN BREADCRUMBS -->

            <ul class="page-breadcrumb">

                <li>

                    <a href="index.php">Home</a>

                </li>

                <li>Subscription Details</li>

            </ul>

            <!-- END BREADCRUMBS -->

            <div class="content-header-menu">

                <!-- BEGIN DROPDOWN AJAX MENU -->



                <!-- END DROPDOWN AJAX MENU -->

                <!-- BEGIN MENU TOGGLER -->

                <button type="button" class="menu-toggler responsive-toggler" data-toggle="collapse" data-target=".navbar-collapse">

                            <span class="toggle-icon">

                                <span class="icon-bar"></span>

                                <span class="icon-bar"></span>

                                <span class="icon-bar"></span>

                            </span>

                </button>

                <!-- END MENU TOGGLER -->

            </div>

        </div>

        <?php include_once "sidebar.php"; ?>

        <div class="page-fixed-main-content">

            <!-- BEGIN PAGE BASE CONTENT -->

            <div class="row">

                <div class="col-md-12">

                    <?php

                    $apps = new Apps();

                    $installations = $apps->get_installations("app_id=".get_my_id());

                    if ($installations['total_records']=='0') { ?>

                    <div class="alert alert-danger">

                        <p>You do not have any FeKara installation yet.</p>

                    </div>

                    <?php } else {

                        $installations = $installations["rows"];

                        foreach($installations as $row) { ?>

                    <div class="alert alert-info">

                        <h2><?php echo $_Pakcages[$row['package']]['name'] ?></h2>

                        <p>

                            Monthly Charges: <?php echo $_Pakcages[$row['package']]['charges'] ?><br>

                            <?php echo $_Pakcages[$row['package']]['description'] ?>

                        </p>

                        <p>

                            <b><?php echo $row["institute"] ?></b><br>

                            <a href="<?php echo $row["domain_url"]; ?>" target="_blank"><?php echo $row["domain_url"]; ?></a><br>

                        </p>



                        <!--<div class="pull-right btn-group">

                            <button data-id="<?php /*echo $row['id'] */?>" type="button" id="seats_btn" class="btn btn-sm btn-primary">Manage Seats</button>

                            <button type="button" class="btn btn-sm blue">Change Plan</button>

                            <button type="button" class="btn btn-sm red">Cancel Paid Subscription</button>

                        </div>-->

                        <div class="clear-fix" style="clear: both"></div>

                    </div>

                    <?php

                        }

                        } ?>

                </div>

            </div>



            <!-- END PAGE BASE CONTENT -->

        </div>

        <?php include_once "footer.php"; ?>

    </div>

</div>

<!-- END CONTAINER -->

<?php include_once "footer_scripts.php"; ?>

<script>

    $(function(){

        $(document).on("click", "#seats_btn", function(){

            id = $(this).data("id");

            $("#loading").show();

            $.post("<?php echo filename(); ?>?get_seats", {id:id}, function(data){

                $("#loading").hide();

                $("#id1").val(id);

                $("#amount").html("$" + ( data * <?php echo $PreSeatPrice ?> ));

                $("#seats").val(data);

                $("#seatsDiv").modal("show");

            });

        });

        $(document).on("change", "#seats", function () {

            $("#amount").html( "$" + ( $(this).val() * <?php echo $PreSeatPrice ?> ) );

        });

        $(document).on("submit", "#form1", function(){

            $("#loading").show();

            $("#seatsDiv").modal("hide");

            $.post("<?php echo filename(); ?>?pay", $("#form1").serialize(), function(data){

                $("#loading").hide();

                if (data.substr(0,2)=="OK") {

                    window.location.href = "payment.php?id=" + data.substr(2);

                } else {

                    Error2(data);

                }

            });

            return false;

        });

    });

</script>

</body>



</html>