<?php
include_once( __DIR__ . "/../../library.php" );
$Student = new Student\Files();

header( 'Content-Type: application/json' );

if ( ! $Student->is_student_logged_in() ) {
	echo json_encode( [ 'error' => "You'r not authorized!" ] );
	exit;
}

if ( isset( $_GET['files'] ) ) {
	echo json_encode( [ 'status' => $Student->upload_file( $_POST, $_FILES ) ] );
	exit();
}

if ( isset( $_GET['get_files'] ) ) {
	$_POST['student_id'] = isset( $_POST['student_id'] ) ? $_POST['student_id'] : 0;
	$files               = $Student->get_files( $_POST['student_id'], true );
	//debug($files);
	echo json_encode( $files );
	exit();
}

if ( isset( $_GET['delete'] ) ) {
	$_POST['id'] = isset( $_POST['id'] ) ? $_POST['id'] : 0;
	$status      = $Student->delete_file( $_POST['id'] ) ? 'OK' : 'File not deleted';
	echo json_encode( [ 'status' => $status ] );
	exit();
}