<?php
include_once( __DIR__ . "/../../library.php" );
$teacher = new \Teacher\Files();
header( 'Content-Type: application/json' );
if ( ! $teacher->is_teacher_logged_in() ) {
	echo json_encode( [ 'error' => 'You\'r not logged in as teacher' ] );
	exit();
}

if ( isset( $_GET['files'] ) ) {
	$files = $teacher->get_files( 0, true );

	echo json_encode( [ 'files' => $files ] );
	exit();
}
if ( isset( $_GET['delete_file'] ) ) {
	header( 'Content-Type: text/plain' );
	$_POST['id'] = isset( $_POST['id'] ) ? $_POST['id'] : 0;
	$response    = $teacher->delete_file( $_POST['id'] );
	if ( $response ) {
		echo 'OK';
	} else {
		echo 'File is not deleted.';
	}
	exit();
}