<?php
$title = "Course Material";
include_once( __DIR__ . "/header.php" );
include_once( __DIR__ . "/templates/course_material.tpl" );
?>
<div class="page-container">
	<?php include_once( __DIR__ . "/mobile_menu.php" ); ?>
	<div class="page-content-wrapper">
		<div class="page-content">
			<div class="row">
				<div class="col-md-12">
					<ul class="page-breadcrumb breadcrumb">
						<li>
							<i class="fa fa-home"></i>
							<a href="index.php"><?php echo __( "Home" ) ?></a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="course_material.php"><?php echo __( "Course Material" ) ?></a>
						</li>
					</ul>
				</div>
			</div>
			<div class="clearfix"></div>
			<div class="row">
				<div class="col-md-12">
					<table class="table table-striped table-bordered table-hover" id="table1">
						<thead>
						<tr class="heading">
							<th><?php echo __( "Course Name" ) ?></th>
							<th><?php echo __( "Subjects" ) ?></th>
							<th><?php echo __( "Classes" ) ?></th>
							<th><?php echo __( "Files" ) ?></th>
						</tr>
						</thead>
						<tbody id="tbody1">
						<tr>
							<td style="text-align: center" colspan="4">
								<i class="fa fa-spin fa-spinner"></i> Loading ....
							</td>
						</tr>
						</tbody>
					</table>
				</div>
			</div>
		</div>
	</div>
</div>
<?php include_once( __DIR__ . "/footer.php" ); ?>
<script>
	$(function(  ) {
		load_data();
	});
	function load_data() {
		$.post("ajax/course_material.php?get_data", function( data ) {
			console.log(data);
			html = tmpl("tbody1_template", data);
			$("#tbody1").html(html);
		});
	}
</script>
</body>
</html>