var Teachers_x_files = (function () {
    function Teachers_x_files() {
    }
    Teachers_x_files.prototype.files = function () {
        $.ajax({
            url: 'ajax/teachers_x_files.php?files',
            success: function (data) {
                Files.files = data.files;
                setTimeout(TF.files, 5000);
                $('#loader').hide();
                $('#files').show();
            },
            error: function (e1, e2, e3) {
                setTimeout(TF.files, 5000);
            }
        });
    };
    return Teachers_x_files;
}());
var TF = new Teachers_x_files();
var Files = new Vue({
    el: '#files',
    data: function () {
        return {
            files: {}
        };
    }
});
$(function () {
    TF.files();
});
var dropArea = document.getElementById('drop-area');
['dragenter', 'dragover', 'dragleave', 'drop'].forEach(function (eventName) {
    dropArea.addEventListener(eventName, preventDefaults, false);
});
['dragenter', 'dragover'].forEach(function (eventName) {
    dropArea.addEventListener(eventName, highlight, false);
});
['dragleave', 'drop'].forEach(function (eventName) {
    dropArea.addEventListener(eventName, unhighlight, false);
});
dropArea.addEventListener('drop', handleDrop, false);
function highlight(e) {
    dropArea.classList.add('highlight');
}
function unhighlight(e) {
    dropArea.classList.remove('highlight');
}
function preventDefaults(e) {
    e.preventDefault();
    e.stopPropagation();
}
function handleDrop(e) {
    var dt = e.dataTransfer;
    var files = dt.files;
    handleFiles(files);
}
function handleFiles(files) {
    $.each(files, function (i, file) {
        uploadFile(file);
    });
}
function uploadFile(file) {
    if ($('#student_id').val() == 0) {
        alert('Please select student before upload files');
        $('#teacher_id').trigger('select');
        return false;
    }
    var url = 'ajax/teachers_x_files.php?upload';
    var formData = new FormData();
    formData.append('file', file);
    formData.append('student_id', $('#student_id').val());
    formData.append('teacher_id', teacher_id);
    var xhr = new XMLHttpRequest();
    xhr.open('POST', url, true);
    xhr.addEventListener('readystatechange', function (e) {
        if (xhr.readyState == 4 && xhr.status == 200) {
            object = JSON.parse(e.srcElement.response);
            if (object.status == 'OK') {
                Success('File uploaded successfully!');
            }
            else {
                Error(object.status);
            }
        }
        else if (xhr.readyState == 4 && xhr.status != 200) {
            alert('Error: ' + e.response);
        }
    });
    xhr.upload.addEventListener("progress", function (event) {
        var percent = (event.loaded / event.total) * 100;
        console.log(percent);
    });
    xhr.send(formData);
}
//# sourceMappingURL=teachers_x_files.js.map