<?php //include_once "../library.php";
//$teacher = new Teacher();
//if (!$teacher->is_teacher_logged_in()) $url->redirect("login.php");
//$title = "Students List";
//include_once "header.php";
//$id = $teacher->is_teacher_logged_in();
//
//// get batchClass
//$BatchClass = new BatchClass;
//$C = $BatchClass->get_list();
//// get teacher
//$Teacher = new Teacher;
//$T = $Teacher->get_teacher( );
//
//$class = new Classes;
//// course material
//$m = new CourseMaterial;

include_once( __DIR__ . "/../library.php" );
$title = __( "Attendance Register" );
include_once( __DIR__ . "/header.php" );
$Teacher = new Teacher();
$classes = $Teacher->get_teachers_assign_classes( $T["id"] );
?>
<div class="page-container">
	<?php include_once( __DIR__ . "/mobile_menu.php" ); ?>
	<div class="page-content-wrapper">
		<div class="page-content">
			<div class="row">
				<div class="col-md-12">
					<h3 class="page-title">
						<?php echo __( "Dashboard" ) ?>
					</h3>
					<ul class="page-breadcrumb breadcrumb">
						<li class="btn-group">

						</li>
						<li>
							<i class="fa fa-home"></i>
							<a href="index.php"><?php echo __( "Home" ) ?></a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<?php echo __( "Student Report" ) ?>
						</li>
					</ul>
				</div>
			</div>
			<div class="clearfix"></div>
			<div class="row">
				<div class="col-md-12">
					<div class="portlet box blue">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-reorder"></i> <?php echo __( "Generate Report" ) ?>
							</div>
							<div class="tools">
								<a href="javascript:;" class="collapse"></a>
								<!--<a href="#portlet-config" data-toggle="modal" class="config"></a>-->
							</div>
						</div>
						<div class="portlet-body form">
							<form target="_ems" class="validate" action="<?php echo Urls::get_url( "download_report_students_list" ) ?>"
							      class="form-horizontal form-bordered">
								<div class="form-body">
									<div class="form-group">
										<label class="control-label col-md-3"><?php echo __( "Select Class" ) ?></label>
										<div class="col-md-9">
											<select class="form-control select2" name="class_id" id="class_id" required="required">
												<?php foreach ( $classes as $class ) { ?>
													<option value="<?php echo $class["id"] ?>"><?php echo $class["class_name"] ?></option>
												<?php } ?>
											</select>
										</div>
									</div>
								</div>

								<div id="moresubjects"></div>
								<div class="form-actions fluid">
									<div class="col-md-offset-3 col-md-9">
										<button type="submit" name="viewBtn" class="btn green"><?php echo __( "View Report" ) ?></button>
										<button type="submit" name="downBtn" class="btn blue"><?php echo __( "Download Report" ) ?></button>
									</div>
								</div>
							</form>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<?php include_once( __DIR__ . "/footer.php" ); ?>
<script type="application/javascript">
	function Form( btn ) {
		if ( btn=="1" ) {
			u = $( "#report_form" ).serialize() + "&viewBtn";
		} else {
			u = $( "#report_form" ).serialize();
			window.location.href = $( "#report_form" ).attr( "action" ) + "&" + u;
			return false;
		}

		u = $( "#report_form" ).attr( "action" ) + "&" + u;
		$.fancybox( {
			'title': "Attendance Sheet",
			'href': u,
			'type': 'iframe',
			'width': '90%',
			'height': '90%',
		} );
	}
</script>
</body>
</html>