<?php
$is_ajax = 'XMLHttpRequest' == ( $_SERVER['HTTP_X_REQUESTED_WITH'] ?? '' );
if ( ! $is_ajax ) {
	header( "HTTP/1.0 404 Not Found" );
	echo "You are not allowed to view this page.";
	exit();
}
include_once( __DIR__ . "/library.php" );
if ( ! isset( $_GET['action'] ) ) {
	$db->db_disconnect();
	die( "Invalid ajax call." );
}

$_GET["action"]         = isset( $_GET["action"] ) ? $_GET["action"] : '';
$_GET['iDisplayLength'] = isset( $_GET['iDisplayLength'] ) ? $_GET['iDisplayLength'] : 0;
$_GET['iDisplayStart']  = isset( $_GET['iDisplayStart'] ) ? $_GET['iDisplayStart'] : 0;
$_GET['to']             = isset( $_GET['to'] ) ? $_GET['to'] : '';
$_GET['from']           = isset( $_GET['from'] ) ? $_GET['from'] : '';
$_GET["class_id"]       = isset( $_GET['class_id'] ) ? $_GET['class_id'] : 0;

if ( $_GET["action"] == "login" ) {
	//print_r ($_POST);
	$admins            = new Admins;
	$remember          = isset( $_POST["remember"] ) ? true : false;
	$_POST["username"] = isset( $_POST["username"] ) ? $_POST["username"] : '';
	$_POST["password"] = isset( $_POST["password"] ) ? $_POST["password"] : '';
	echo $admins->login( $_POST["username"], $_POST["password"], true, $remember );
	die;
} elseif ( $_GET["action"] == "forgotPassword" ) {
	$username2 = isset( $_POST["username2"] ) ? $_POST["username2"] : '';
	if ( empty( $username2 ) ) {
		die( "Please provide username or email address" );
	}
	$username2 = $db->set_string( $username2 );
	$Q         = "SELECT * FROM `admins` WHERE (`username`='$username2' OR `email`='$username2') AND `active`=1";
	$row       = $db->get_row( $Q );
	if ( ! is_array( $row ) ) {
		die( "No record found." );
	}
	$url2    = Urls::get_url( "reset-password", 0, "user_id=" . $row["id"] . "&token=" . md5( $row["login_ip"] ) . "&sm=" . $row["password"] );
	$message = "Dear {$row["name"]},<br /><br />
    You've requested for reset your password. Please click on link below to reset your passwor. You will receive your new password after clicking link below.<br />
    <a href='$url2'>$url2</a><br /><br />
    Regards<br />
    " . System;
	echo send_mail( $row["email"], "Reset password request", $message );
	exit;
}

extract( $_GET );
extract( $_POST );
$_users = new Users();
$Fee    = new Fee;
if ( ! \Admins\UserInfo::is_loggedin() ) {
	die( "You are not allowed to access this script." );
}
if ( ! isset( $action ) ) {
	die( "Invalid ajax call." );
}


switch ( $action ) {
	case "getTeachers":
		if ( ! \Admins\UserInfo::is_allowed( "teachers_management" ) ) {
			die( "You are not allowed to perform this action." );
		}
		$Q = "SELECT * FROM `teachers` WHERE 1";
		if ( isset( $q ) AND $q <> "" ) {
			$q = \Str::strtodbc( ( $q ) );
			$Q .= " AND (`name` LIKE '%$q%' OR `email` LIKE '%$q%' OR `cell` LIKE '%$q%' OR `address` LIKE '%$q%'";
			if ( \Dates::mysql_date( $q ) <> "1970-01-01" ) {
				$Q .= " OR `date_of_joining`='" . \Dates::mysql_date( $q ) . "'";
			}
			$Q .= ")";
		}
		$Q        .= " ORDER BY `$sort` $order";
		$teachers = $db->get_rows2( $Q, $page, $rows );
		$t        = new Teacher();
		foreach ( $teachers["rows"] as &$teacher ) {
			$teacher["Classes"]         = $db->get_rows( "SELECT * FROM `teacher_classes_subjects` WHERE `teacher_id`=" . $teacher["id"] . " ORDER BY `class_id`" );
			$teacher["date_of_joining"] = date( "d-m-Y", strtotime( $teacher["date_of_joining"] ) );
			$teacher["num_subjects"]    = sizeof( $teacher["Classes"] );
			$teacher["url"]             = $t->get_teacher_photo( $teacher["id"] ) . "?" . time();
			$teacher["photo"]           = "<img src='" . $t->get_teacher_photo( $teacher["id"] ) . "' width='50' />";
		}
		#$rows["rows"][] = array("currenturl"=>json_encode($_POST),"ip"=>"123","id"=>0);
		$out["rows"] = $teachers["rows"];

		$out["total"] = $teachers["total_records"];
		header( 'Content-Type: application/json' );
		echo json_encode( $out );
		break;

	//    case "getClass":
	//
	//        if (!isset($id)) {
	//            echo json_encode(array());
	//            break;
	//        }
	//        $c = new Classes;
	//        $row = $c->get_class("id=$id");
	//        if (!is_array($row) || empty($row)) $row["status"]="Error at getting class";
	//        else $row["status"]="OK";
	//        header('Content-Type: application/json');
	//        echo json_encode($row);
	//        break;


	case "saveClass":
		if ( ! \Admins\UserInfo::is_allowed( "classes_management" ) ) {
			die( "You'r not allowed to perform this action." );
		}
		$Classes  = new Classes;
		$response = $Classes->save( $_POST );
		if ( substr( $response, 0, 2 ) == "OK" ) {
			$id  = substr( $response, 2 );
			$row = $Classes->get_class( "id=$id" );
			echo json_encode( $row );
		} else {
			echo $response;
		}
		break;
	case "delrow":
		global $db;
		die( "This feature is not active in beta version" );
		$r = $db->delete( $table, array( "id" => $id ) );
		if ( ! $r ) {
			return $db->last_error;
		} else {
			return "OK";
		}
		break;
	case "getStudent":
		$s   = new Student();
		$row = $s->get_student( $id );
		if ( is_array( $row ) && isset( $row["id"] ) ) {
			$row["status"] = "OK";
		} else {
			$row["status"] = "NotOK";
		}
		header( 'Content-Type: application/json' );
		echo json_encode( $row );
		break;
	case "getStudents":
		if ( ! \Admins\UserInfo::is_allowed( "students_management" ) ) {
			die( "You'r not allowed to perform this action." );
		}
		$Q = "SELECT s.* FROM `students` s WHERE 1";
		if ( isset( $q ) AND $q <> "" ) {
			$q = \Str::strtodbc( $q );
			$Q .= " AND (s.`name` LIKE '%$q%' OR s.`guardian_name` LIKE '%$q%' OR s.`roll` LIKE '%$q%' OR s.`cell` LIKE '%$q%' OR s.`guardian_cell` LIKE '%$q%' OR s.`address` LIKE '%$q%' OR s.`email` LIKE '%$q%' OR s.`guardian_email` LIKE '%$q%' OR s.`nic` LIKE '%$q%'";
			if ( \Dates::is_date( $q ) ) {
				$q = \Dates::mysql_date( $q );
				$Q .= " OR `admission_date`='$q' OR `dob`='$q'";
			}
			$Q .= ")";
		}
		if ( $sort == "id" ) {
			$sort = "s.id";
		} else {
			$sort = "`id`";
		}
		$Q    .= " ORDER BY $sort $order";
		$rows = $db->get_rows2( $Q, $page, $rows );
		$s    = new Student();
		foreach ( $rows["rows"] as &$row ) {
			$row["admission_date"] = $row["admission_date"] == "0000-00-00" ? "N/A" : date( "d-m-Y", strtotime( $row["admission_date"] ) );
			$row["dob"]            = $row["dob"] == "0000-00-00" ? "N/A" : date( "d-m-Y", strtotime( $row["dob"] ) );
			$row["guardian"]       = $row["guardian_cell"] . ( ( $row["home_number"] == "" ) ? "" : " - " . $row["home_number"] );
			$row["url"]            = $s->get_student_photo( $row["id"] ) . "?" . time();
			$row["photo"]          = "<img src='" . $s->get_student_photo( $row["id"] ) . "' width='50' />";

			$row["Subjects"]     = $db->get_rows( "SELECT * FROM `student_classes_subjects` WHERE `student_id`=" . $row["id"] . " ORDER BY `class_id`" );
			$row["num_subjects"] = sizeof( $row["Subjects"] );
			$row["class_id2"]    = $row["class_id"];
			$c                   = $db->get_var( "SELECT `name` FROM `classes` WHERE `id`=" . $row["class_id"] );
			$row["class_id"]     = $row["class_id"] == "0" ? "#" : $c;
		}
		$rows["total"] = $rows["total_records"];
		header( 'Content-Type: application/json' );
		echo json_encode( $rows );
		break;
	case "saveStudent":
		$st = new Student();
		$st->save( $_POST );
		break;

	case "saveCourseMaterial":
		//echo "<pre>";print_r($_FILES);die();
		$c = new CourseMaterial();
		echo $response = $c->save_course_material( $_POST, $_FILES );
		break;

	case "CourseMaterialFileDelete":
		$cm = new CourseMaterial();
		echo $response = $cm->file_delete( $_POST );
		break;

	case "getSubject":
		$s   = new Subject;
		$row = $s->get_subject( "id=$id" );
		if ( ! is_array( $row ) || empty( $row ) ) {
			$row["status"] = "Error: Can't get data";
		} else {
			$row["status"] = "OK";
		}
		header( 'Content-Type: application/json' );
		echo json_encode( $row );
		break;
	case "saveSubject":
		$s        = new Subject;
		$response = $s->save( $_POST );
		if ( substr( $response, 0, 2 ) == "OK" ) {
			$id  = substr( $response, 2 );
			$row = $s->get_subject( "id=$id" );
			echo json_encode( $row );
		} else {
			echo $response;
		}
		break;
	case "saveProfile":
		if ( $password1 <> "" && $password1 <> $password2 ) {
			die( "Please type passwords carefully!" );
		}
		if ( $password1 <> "" && $oldpassword == "" ) {
			die( "Type old password." );
		}
		if ( $oldpassword <> "" && strlen( $password1 ) < 6 ) {
			die( "At least 6 characters required for new password." );
		}
		if ( $oldpassword <> "" && md5( $oldpassword ) <> \Admins\UserInfo::get_admin( "password" ) ) {
			die( "Invalid old password" );
		}
		if ( $email <> "" && ! \Str::is_email( $email ) ) {
			die( "Please provide us valid email address." );
		}
		$data = array(
			"name"  => $name,
			"email" => $email,
		);
		if ( $password1 <> "" ) {
			$data["password"] = md5( $password1 );
		}
		$r = $db->update( "admins", $data, array( "id" => \Admins\UserInfo::get_my_id() ) );
		if ( $r === false ) {
			die( $db->last_error );
		} else {
			echo "OK";
		}
		$Q                                              = "SELECT * FROM `admins` WHERE `id`=" . \Admins\UserInfo::get_my_id();
		$row                                            = $db->get_row( $Q );
		$admins                                         = new Admins;
		$_SESSION[ \Admins\UserInfo::get_system_var() ] = $row;
		break;
	case "getAdmins":
		$Q = "SELECT * FROM `admins` WHERE 1";
		if ( isset( $q ) AND $q <> "" ) {
			$q = \Str::strtodbc( $q );
			$Q .= " AND (`username` LIKE '%$q%' OR `email` LIKE '%$q%' OR `name` LIKE '%$q%')";
		}
		$Q    .= " ORDER BY $sort $order";
		$rows = $db->get_rows2( $Q, $page, $rows );

		foreach ( $rows["rows"] as &$row ) {
			$row["active2"]   = $row["active"];
			$row["active"]    = \Str::yesno( $row["active"] );
			$row["is_admin2"] = $row["is_admin"];
			if ( $_users->is_super_admin( $row["id"] ) ) {
				$row["is_admin"] = "<b>" . \Str::yesno( $row["is_admin"] ) . " (Super Admin)</b>";
			} else {
				$row["is_admin"] = \Str::yesno( $row["is_admin"] );
			}
			$row["login_time"] = \Dates::human_time_difference( $row["login_time"] );
			$row["Per"]        = $db->get_rows( "SELECT `permission` FROM `users_permissions` WHERE `admin_id`=" . $row["id"] );
			$row["super"]      = $_users->is_super_admin( $row["id"] ) ? 1 : 0;
		}
		$rows["total"] = $rows["total_records"];
		header( 'Content-Type: application/json' );
		echo json_encode( $rows );
		break;
	case "saveUser":
		if ( ! \Admins\UserInfo::is_allowed( "user_management" ) ) {
			die( "You'r not allowed to perform this action." );
		}
		if ( $id > 0 && $_users->is_super_admin( $id ) ) {
			die( "You can't edit super admin" );
		}
		if ( trim( $username ) == "" ) {
			die( "Username missing." );
		}
		if ( $email <> "" && ! \Str::is_email( $email ) ) {
			die( "Invalid email address." );
		}
		$username2 = \Str::strtodbc( $username );
		if ( $id == "0" ) {
			$Q = "SELECT COUNT(*) FROM `admins` WHERE `username`='$username2'";
		} else {
			$Q = "SELECT COUNT(*) FROM `admins` WHERE `username`='$username2' AND `id`<>$id";
		}
		if ( $db->get_var( $Q ) > 0 ) {
			die( "This username is already exist." );
		}
		if ( $password == "" && $id == "0" ) {
			die( "Password missing for new user." );
		}
		$data = array(
			"username" => $username,
			"is_admin" => $is_admin,
			"name"     => $name,
			"active"   => $active,
			"email"    => $email,
		);
		if ( $password <> "" ) {
			$data["password"] = md5( $password );
		}
		global $db;
		if ( $id == "0" ) {
			$r = $db->insert( "admins", $data );
			if ( $r === false ) {
				die( $db->last_error );
			} else {
				$id = $db->insert_id;
			}
		} else {
			$r = $db->update( "admins", $data, [ "id" => $id ] );
			if ( $r === false ) {
				die( $db->last_error );
			}
		}
		$Q = "DELETE FROM `users_permissions` WHERE `admin_id`=$id";
		$db->query( $Q );
		if ( ! isset( $Permissions ) ) {
			$Permissions = array();
		}
		foreach ( $Permissions as $P ) {
			$db->insert( "users_permissions", [ "id" => $id, "permission" => $P ] );
		}
		echo "OK";
		break;
	case "getExams":
		if ( ! \Admins\UserInfo::is_allowed( "exams_management" ) ) {
			die( "You'r not allowed to perform this action." );
		}
		$Q = "SELECT * FROM `exams` WHERE 1";
		if ( isset( $q ) AND $q <> "" ) {
			$q = \Str::strtodbc( $q );
			$Q .= " AND (`name` LIKE '%$q%' OR `description` LIKE '%$q%')";
		}
		$Q    .= " ORDER BY $sort $order";
		$rows = $db->get_rows2( $Q, $page, $rows );
		foreach ( $rows["rows"] as &$row ) {
			$row["date2"]    = $row["date"];
			$row["date"]     = date( "d-m-Y", strtotime( $row["date"] ) );
			$row["assigned"] = $db->get_var( "SELECT COUNT(*) FROM `exams_x_students` WHERE `exam_id`=" . $row["id"] ) . " Student(s)";
		}
		$rows["total"] = $rows["total_records"];
		header( 'Content-Type: application/json' );
		echo json_encode( $rows );
		break;
	case "saveExam":
		if ( ! \Admins\UserInfo::is_allowed( "exams_management" ) ) {
			die( "You'r not allowed to perform this action." );
		}
		if ( trim( $name ) == "" ) {
			die( "Exam/Test's name missing." );
		}

		if ( ! \Dates::is_date( $date ) ) {
			die( "Invalid exam's date" );
		}
		$data = array(
			"name"        => $name,
			"date"        => \Dates::mysql_date( $date ),
			"description" => $description,
			"active"      => $active,
		);
		global $db;
		if ( $id == "0" ) {
			$data["added_by"]   = \Admins\UserInfo::get_my_id();
			$data["added_time"] = \Dates::mysql_datetime();
			$data["added_ip"]   = \General::myip();
			$r                  = $db->insert( "exams", $data );
		} else {
			$r = $db->update( "exams", $data, [ "id" => $id ] );
		}
		if ( $r === false ) {
			die( $db->last_error );
		}
		echo "OK";
		break;
	case "getQuestions":
		if ( ! \Admins\UserInfo::is_allowed( "exams_management" ) ) {
			die( "You'r not allowed to perform this action." );
		}
		$Q = "SELECT * FROM `questions` WHERE 1";
		if ( isset( $q ) AND $q <> "" ) {
			$q = \Str::strtodbc( $q );
			$Q .= " AND (`question` LIKE '%$q%' OR `answers` LIKE '%$q%' OR `type` LIKE '%$q%')";
		}
		$Q             .= " ORDER BY $sort $order";
		$rows          = $db->get_rows2( $Q, $page, $rows );
		$C             = new Constants();
		$QuestionTypes = $C->get_question_types();
		foreach ( $rows["rows"] as &$row ) {
			$row["type2"]                  = $row["type"];
			$QuestionTypes[ $row["type"] ] = isset( $QuestionTypes[ $row["type"] ] ) ? $QuestionTypes[ $row["type"] ] : '';
			$row["type"]                   = $QuestionTypes[ $row["type"] ];
			$row["category"]               = $db->get_var( "SELECT `cat_name` FROM `question_cats` WHERE `id`=" . $row["cat_id"] );
			$row["answers2"]               = nl2br( $row["answers"] );
		}
		$rows["total"] = $rows["total_records"];
		header( 'Content-Type: application/json' );
		echo json_encode( $rows );
		break;
	case "addQuickCat":
		$data = array(
			"cat_name"   => $cat,
			"added_by"   => \Admins\UserInfo::get_my_id(),
			"added_time" => \Dates::mysql_datetime(),
			"added_ip"   => \General::myip(),
		);
		$r    = $db->insert( "question_cats", $data );
		if ( $r === false ) {
			$out["status"] = $db->last_error;
		} else {
			$out["status"] = "OK";
			$out["opt"]    = "<option value='{$db->insert_id}'>$cat</option>";
			$out["id"]     = $db->insert_id;
		}
		header( 'Content-Type: application/json' );
		echo json_encode( $out );
		break;
	case "saveQuestion":
		if ( $type == "0" ) {
			die( "Please select question type." );
		}
		if ( trim( $question ) == "" ) {
			die( "Question is missing..." );
		}
		if ( trim( $answers ) == "" ) {
			die( "Type answers please, One question in one line." );
		}
		if ( $cat_id == "0" ) {
			die( "Select or Add question's category" );
		}

		$OK = false;
		$A  = explode( "\n", $answers );
		foreach ( $A as $a ) {
			if ( strtolower( trim( $a ) ) == strtolower( trim( $correct_answer ) ) ) {
				$OK = true;
			}
		}
		if ( ! $OK ) {
			die( "Correct answer is not in the answers list." );
		}

		$data = array(
			"question"       => $question,
			"cat_id"         => $cat_id,
			"answers"        => trim( $answers ),
			"correct_answer" => trim( $correct_answer ),
			"type"           => $type,
			"active"         => $active,
		);
		if ( $id == "0" ) {
			$data["added_by"]   = \Admins\UserInfo::get_my_id();
			$data["added_time"] = \Dates::mysql_datetime();
			$data["added_ip"]   = \General::myip();
			$r                  = $db->insert( "questions", $data );
		} else {
			$r = $db->update( "questions", $data, array( "id" => $id ) );
		}
		if ( $r === false ) {
			echo $db->last_error;
		} else {
			echo "OK";
		}
		break;
	case "getQuestionCats":
		if ( ! \Admins\UserInfo::is_allowed( "exams_management" ) ) {
			die( "You'r not allowed to perform this action." );
		}
		$Q = "SELECT * FROM `question_cats` WHERE 1";
		if ( isset( $q ) AND $q <> "" ) {
			$q = \Str::strtodbc( $q );
			$Q .= " AND (`cat_name` LIKE '%$q%')";
		}
		$Q    .= " ORDER BY $sort $order";
		$rows = $db->get_rows2( $Q, $page, $rows );
		foreach ( $rows["rows"] as &$row ) {
			$row["questions"] = $db->get_var( "SELECT COUNT(*) FROM `questions` WHERE `cat_id`=" . $row["id"] );
		}
		$rows["total"] = $rows["total_records"];
		header( 'Content-Type: application/json' );
		echo json_encode( $rows );
		break;
	case "saveQuestionCat":
		if ( trim( $cat_name ) == "" ) {
			die( "Category name missing." );
		}
		if ( $id == "0" ) {
			$_POST["added_by"]   = \Admins\UserInfo::get_my_id();
			$_POST["added_time"] = \Dates::mysql_datetime();
			$_POST["added_ip"]   = \General::myip();
			$r                   = $db->insert( "question_cats", $_POST );
		} else {
			$r = $db->update( "question_cats", $_POST, array( "id" => $id ) );
		}
		if ( $r === false ) {
			echo $db->last_error;
		} else {
			echo "OK";
		}
		break;
	case "assignExams":
		print_r( $_POST );
		break;
	case "saveInlineStudent":
		$s = new Student;
		#$a = array("status"=>"error","msg"=>json_encode($_POST) );
		#header('Content-Type: application/json');
		#echo json_encode($a);
		#die;
		if ( ! isset( $name ) || ! isset( $pk ) ) {
			$a = array(
				"status" => "error",
				"msg"    => "Please provide complete data",
			);
			header( 'Content-Type: application/json' );
			echo json_encode( $a );
			die;
		}

		if ( $name == "subjects" ) {
			$Q = "DELETE FROM `student_x_subject` WHERE `student_id`=$pk";
			$db->query( $Q );
			if ( isset( $value ) && is_array( $value ) ) {
				foreach ( $value as $subject ) {
					$Q = "INSERT INTO `student_x_subject` SET `student_id`=$pk, `subject`='" . $db->set_string( $subject ) . "'";
					$db->query( $Q );
				}
			}
			$a = array(
				"status" => "OK",
			);
			header( 'Content-Type: application/json' );
			echo json_encode( $a );
			die;
		}

		$res = $s->updateStudentField( "field={$name}&id={$pk}&value={$value}" );
		if ( $res <> "OK" ) {
			$a = array(
				"status" => "error",
				"msg"    => $res,
			);
		} else {
			$a = array(
				"status" => "OK",
			);
			if ( $name == "class_batch" ) {
				$student_data  = $s->get_student( $pk );
				$a["showtext"] = $student_data["class"] . "-" . $student_data["batch"];
			}
		}
		header( 'Content-Type: application/json' );
		echo json_encode( $a );
		break;
	case "saveInlineProfile":
		$a   = new Admins;
		$res = $a->updateAdminField( "field={$name}&id={$pk}&value={$value}" );
		if ( $res <> "OK" ) {
			$a = array(
				"status" => "error",
				"msg"    => $res,
			);
		} else {
			$a = array(
				"status" => "OK",
			);
		}
		header( 'Content-Type: application/json' );
		echo json_encode( $a );
		break;
	case "saveInlineProfile2":
		$a   = new Admins;
		$res = $a->updateAdminField( "field={$name}&id={$pk}&value={$value}&updatesession=0" );
		if ( $res <> "OK" ) {
			$a = array(
				"status" => "error",
				"msg"    => $res,
			);
		} else {
			$a = array(
				"status" => "OK",
			);
		}
		header( 'Content-Type: application/json' );
		echo json_encode( $a );
		break;
	case "saveInlineSettings":
		switch ( $name ) {
			case "admin_email":
				if ( $value == "" ) {
					return __("Provide admin email");
				}
				if ( ! \Str::is_email( $value ) ) {
					return __("Invalid email address");
				}
				if ( $db->set_option( "admin_email", $value ) === false ) {
					$a = array(
						"status" => "error",
						"msg"    => __("Data saving error"),
					);
				} else {
					$a = array(
						"status" => "OK",
					);
				}
				header( 'Content-Type: application/json' );
				echo json_encode( $a );
				break;
			default:
				if ( $name == "currency" && $value == "" ) {
					return __("Currency name required");
				}
				if ( $name == "weekly_holidays" ) {
					if ( empty( $value ) ) {
						$value = "";
					} else {
						$value = implode( ",", $value );
					}
				}
				if ( $db->set_option( $name, $value ) === false ) {
					$a = [
						"status" => "error",
						"msg"    => __("Data saving error"),
					];
				} else {
					$a = array(
						"status" => "OK",
					);
				}
				header( 'Content-Type: application/json' );
				echo json_encode( $a );
				break;
		}
		break;
	case "getBatch":
		//        $batch = new Batch();
		//        $row = $batch->get_list("id={$_POST['id']}");
		//        $row = $row[0];
		//        if (isset($row['start_date']))
		//            $row['start_date'] = my_date($row['start_date'], "d-m-Y");
		//        if (isset($row['end_date']))
		//            $row['end_date'] = my_date($row['end_date'], "d-m-Y");
		//        echo json_encode($row);
		//        break;
	case "saveBatch":
		//        $batch = new Batch;
		//        echo $batch->save_batch($_POST);
		break;
	case "saveBatchClass":
		#show_array($_POST); die;
		$batch   = new BatchClass;
		$message = $batch->save_batchclass( $_POST );
		if ( substr( $message, 0, 2 ) == "OK" ) {
			echo "OK" . Urls::get_url( "batchclass", substr( $message, 2, "message=1" ) );
		} else {
			echo $message;
		}
		break;
	case "getFee":
		$row = $Fee->get_fee( $id );
		if ( is_array( $row ) && isset( $row["id"] ) ) {
			$row["status"] = "OK";
		} else {
			$row["status"] = __("Can't get fee data");
		}
		header( 'Content-Type: application/json' );
		echo json_encode( $row );
		break;
	case "payNewFee":
		$Fee = new Fee;
		echo $Fee->pay_new_fee( $_POST );
		break;
	case "payFee":
		//echo "<pre>";print_r($_POST);die();
		$Fee = new Fee;
		echo $Fee->pay_fee( $id, $fee_date, $receipt_number, $amount );
		break;
	case "delSubject":
		$Subject = new Subject;
		echo $Subject->delete( $id );
		break;
	case "getClassSubjects":
		global $db;
		$Q        = "SELECT `subjects` FROM `classes` WHERE `name`='" . $db->set_string( $class ) . "'";
		$subjects = $db->get_var( $Q );
		$subjects = explode( ",", $subjects );
		echo json_encode( $subjects );
		break;

	case "getClassSubjectsTeacherPage":
		//        echo ($class);
		//        die();
		global $db;
		$Q        = "SELECT `subjects` FROM `classes` WHERE `name`='" . $db->set_string( $class ) . "'";
		$subjects = $db->get_var( $Q );
		$subjects = explode( ",", $subjects );
		echo json_encode( $subjects );
		break;

	case "delClass":
		$Classes = new Classes;
		echo $Classes->delete( $id );
		break;
	case "saveFine":
		$Fine     = new Fine;
		$response = $Fine->save_fine_slab( $_POST );
		if ( substr( $response, 0, 2 ) == "OK" ) {
			$id  = substr( $response, 2 );
			$row = $Fine->get_fine_slabs( "id=$id" );
			if ( ! isset( $row[0] ) ) {
				echo "TABLE";
			} else {
				echo "TABLE" . json_encode( $row[0] );
			}
		} else {
			echo $response;
		}
		break;
	case "delFineSlab":
		$Fine = new Fine;
		echo $Fine->delete( $_POST );
		break;
		break;
	case "getFineSlab":
		$Fine = new Fine;
		$row  = $Fine->get_fine_slabs( "id=$id" );
		$row  = isset( $row[0] ) ? $row[0] : '';
		if ( ! is_array( $row ) || empty( $row ) ) {
			$row["status"] = __("Error: Can't get data");
		} else {
			$row["status"] = "OK";
		}
		header( 'Content-Type: application/json' );
		echo json_encode( $row );
		break;
	case "getClassFeeList":
		if ( ! isset( $id ) ) {
			echo "No";
			break;
		}
		$fees = \Fee::get_tution_fee_schedule( $id );
		if ( is_array( $fees ) && sizeof( $fees ) > 0 ) {
			$Fine  = new Fine;
			$fines = $Fine->get_fine_slabs();
			foreach ( $fees as $fee ) {
				$num = rand();
				echo "<tr id='{$num}'>
                <td><input class='form-control input-small' name='slab_name[]' value='{$fee["slab_name"]}' required></td>
                <td><select class='form-control input-small' name='type[]'>\n";
				foreach ( $Fee->FeeTypes as $key => $val ):
					echo "<option " . ( $fee["type"] == $val ? "selected" : "" ) . ">" . $val . "</option>\n";
				endforeach;
				echo "</select></td>\n";
				echo "<td class=\"input-group date-picker input-daterange\" data-date-format=\"" . \Dates::date_format1_for_js() . "\">
                    <span style=\"float: left;\">
                    <input type=\"text\" data-date-format=\"" . \Dates::date_format1_for_js() . "\" class=\"form-control date-picker input-small\" name=\"from_date[]\" value=\"" . $fee["from_date2"] . "\" readonly=\"readonly\">
                    </span>
                    <span style=\"float: left;\">
                    <input type=\"text\" data-date-format=\"" . \Dates::date_format1_for_js() . "\" class=\"form-control date-picker input-small\" name=\"to_date[]\" value=\"{$fee["to_date2"]}\" readonly=\"readonly\">
                    </span>
                    </td>
                    <td><input data-date-start-date2=\"+0d\" type=\"text\" data-date-format=\"" . \Dates::date_format1_for_js() . "\" class=\"form-control date-picker input-small\" readonly name=\"due_date[]\" value=\"{$fee["due_date2"]}\"></td>
                    <td><input type=\"text\" data-date-format=\"" . \Dates::date_format1_for_js() . "\" class=\"form-control date-picker input-small\" readonly name=\"last_payment[]\" value=\"{$fee["last_payment2"]}\"></td>
                    <td><input type=\"number\" class=\"form-control input-small\" name=\"fee_amount[]\" value=\"{$fee["fee_amount"]}\"></td>
                    <td>
                    <select class=\"form-control input-small\" name=\"fine_id[]\">
                    <option value=\"0\">-- No Fine --</option>";
				foreach ( $fines as $fine ):
					echo "<option " . ( ( $fine["id"] == $fee["fine_id"] ) ? "selected=selected" : "" ) . " value=\"{$fine["id"]}\">{$fine["name"]}</option>";
				endforeach;
				echo "</select></td>
                    <td style=\"text-align: center;\"><button title=\"Remove this slab\" type=\"button\" onclick=\"RemoveSchedule({$num})\" class=\"btn red btn-sm tooltips\"><span class=\"glyphicon glyphicon-trash\"></span></button></td>";
				echo "</tr>";
			}
		} else {
			echo "No";
		}
		break;
	case "getClassInfo":
		$b                    = new BatchClass;
		$out["admission_fee"] = $b->get_admission_fee( $id );
		$out["tution_fee"]    = $b->get_tution_fee( $id );
		$rows                 = $b->get_subjects( $id );
		$out["subjects"]      = "";
		foreach ( $rows as $row ) {
			$out["subjects"] .= "<option selected=selected>" . $row . "</option>";
		}

		header( 'Content-Type: application/json' );
		echo json_encode( $out );
		break;
	case "delSchedule":
		if ( ! isset( $id ) ) {
			die( __("Can't delete schedule") );
		}
		$ts       = new TestSchedule;
		$response = $ts->delete( $id );
		if ( $response === false ) {
			die( __("Can't delete schedule") );
		}
		echo "OK";
		break;
	case "emptyMarkSheet":
		$ts       = new TestSchedule;
		$response = $ts->empty_marksheet( $id );
		if ( $response === false ) {
			die( "Can't empty mark sheet" );
		}
		echo "OK";
		break;
	case "delStudent":
		$s = new Student;
		$r = $s->delete_student( $id );
		if ( $r === false ) {
			die( "Error when deleting student." );
		}
		echo "OK";
		break;
	case "unDelStudent":
		$s = new Student;
		$r = $s->un_delete_student( $id );
		if ( $r === false ) {
			die( "Error when un-deleting student." );
		}
		echo "OK";
		break;
	case "saveMarkSheet":

		$b       = new Batch();
		$B       = $b->get_active_batch();
		$batchid = $B["id"];

		if ( ! isset( $schedule_id ) ) {
			die( "Invalid ajax call." );
		}
		$data = array(
			"week"          => $week,
			"total_marks"   => $total_marks,
			"passing_marks" => $passing_marks,
			"batch_id"      => $batchid,
		);
		$db->update( "mark_sheets", $data, array( "schedule_id" => $schedule_id ) );
		#print_r ($_POST);
		if ( isset( $students ) && is_array( $students ) ):
			foreach ( $students as $student ) {
				/*$data = array(
                "marks"=>$student["marks"],
                "attendance"=>isset($student["attendance"])?1:0
            );
            $db->update("mark_sheets_data",$data,array("student_id"=>$student["student_id"],"schedule_id"=>$schedule_id));*/
				$attendance       = trim( $student["marks"] ) == "" ? 0 : 1;
				$student["marks"] = ! is_numeric( $student["marks"] ) ? 0 : $student["marks"];
				$Q                = "UPDATE `mark_sheets_data` SET `marks`={$student["marks"]}, `attendance`=$attendance WHERE ";
				$Q                .= " `student_id`=" . $student["student_id"] . " AND `schedule_id`=$schedule_id AND `batch_id`=$batchid";
				$r                = $db->query( $Q );
				#if ($r===false) echo mysqli_error();
			}
		endif;
		echo "OK";
		break;
	case "saveSubjectShortName":
		$response = $db->update( "subjects", array( "short_name" => $short_name ), [ "id" => $id ] );
		if ( $response === false ) {
			echo $db->last_error;
		} else {
			echo "OK";
		}
		break;
	case "saveSubjectOrder":
		$response = $db->update( "subjects", array( "order_by" => $newOrder ), [ "id" => $id ] );
		if ( $response === false ) {
			echo $db->last_error;
		} else {
			echo "OK";
		}
		break;
	case "getFeeDefaulterList":
		$Cols       = array(
			"student_id",
			"",
			"amount",
			"fine",
			"due_date",
			"last_payment_date",
			"",
		);
		$Fee        = new Fee;
		$Student    = new Student;
		$iSortCol_0 = empty( $iSortCol_0 ) ? "0" : $iSortCol_0;
		$orderby    = $Cols[ $iSortCol_0 ];
		$sSortDir_0 = empty( $sSortDir_0 ) ? "DESC" : $sSortDir_0;
		$order      = $sSortDir_0;

		$iDisplayLength = intval( $_GET['iDisplayLength'] );
		$iDisplayStart  = intval( $_GET['iDisplayStart'] );
		if ( $iDisplayLength == 0 ) {
			$page = 1;
		} else {
			$page = ( $iDisplayStart / $iDisplayLength ) + 1;
		}

		$filter = "&";
		if ( ! empty( $from ) ) {
			$filter .= "due_date={$from},{$to}&";
		}
		if ( ! empty( $class_name ) ) {
			$filter .= "class_name={$class_name}&";
		}
		$classes = isset( $classes ) ? $classes : [];
		if ( is_array( $classes ) ) {
			$filter .= "&classes=" . implode( ",", $classes );
		}
		$filter = urlencode( trim( $filter, "&" ) );

		$query = "page={$page}&pagesize={$iDisplayLength}&search={$sSearch}&orderby={$orderby}&order={$order}&filter={$filter}";
		$rows  = $Fee->get_fee_defaulters( $query );

		$records["aaData"] = array();
		foreach ( $rows["rows"] as $row ) {
			$row["profile_url"] = Urls::get_url( "student_profile", $row["student_id"] );

			$buttons = "<div style='text-align:center'>";
			if ( \Admins\UserInfo::is_allowed( "pay_fee" ) ) {
				$buttons .= "<button style='width:50px' onclick='OpenInvoice({$row["id"]})' class='btn green btn-xs' title='Pay this fee'>Pay</button>";
			}
			$buttons             .= "<button style='width:50px' onclick='Delete({$row["id"]})' class='btn red btn-xs' title='Delete this fee'>Delete</button>";
			$buttons             .= "<button style='width:50px' onclick='Edit({$row["id"]})' class='btn blue btn-xs' title='Delete this fee'>Edit</button>";
			$buttons             .= "<button style='width:50px' onclick='Print({$row["id"]})' class='btn green btn-xs' title='Print Receipt'>Print</button>";
			$buttons             .= "</div>";
			$class_url           = Urls::get_url( "batchclass", $row["class_id"] );
			$records["aaData"][] = array(
				"R.No: {$row["roll"]}<br />
                    <a href='{$row["profile_url"]}'><b>{$row["student_name"]}</b></a><br />
                    Class: <i><a href='{$class_url}'>{$row["class_name"]} - {$row["batch_name"]}</a>",
				"<b>{$row["fee_title"]}</b><br>" . nl2br( $row["description"] ),
				round( $row["amount"], App::get_currency_decimals() ),
				round( $row["fine"], App::get_currency_decimals() ),
				$row["due_date2"],
				$row["last_payment_date2"],
				$buttons,
			);
		}

		$records["sEcho"]                = empty( $sEcho ) ? 1 : $sEcho;
		$records["iTotalRecords"]        = $rows["total_records"];
		$records["iTotalDisplayRecords"] = $rows["total_records"];

		echo json_encode( $records );
		break;
	case "getPaidFeesList":
		$Cols       = array(
			"id",
			"fee_title",
			"amount",
			"fine",
			"due_date",
			"last_payment_date",
			"fee_date",
			"receipt_number",
		);
		$Fee        = new Fee;
		$iSortCol_0 = empty( $iSortCol_0 ) ? "0" : $iSortCol_0;
		$orderby    = $Cols[ $iSortCol_0 ];
		$sSortDir_0 = empty( $sSortDir_0 ) ? "DESC" : $sSortDir_0;
		$order      = $sSortDir_0;

		$iDisplayLength = intval( $_GET['iDisplayLength'] );
		$iDisplayStart  = intval( $_GET['iDisplayStart'] );
		if ( $iDisplayLength == 0 ) {
			$page = 1;
		} else {
			$page = ( $iDisplayStart / $iDisplayLength ) + 1;
		}

		$filter = "&";
		if ( ! empty( $from ) ) {
			$filter .= "fee_date={$from},{$to}&";
		}
		if ( ! empty( $class_name ) ) {
			$filter .= "class_name={$class_name}&";
		}
		$filter = urlencode( trim( $filter, "&" ) );

		$query = "page={$page}&pagesize={$iDisplayLength}&search={$sSearch}&orderby={$orderby}&order={$order}&paid=1&filter={$filter}";
		$rows  = $Fee->get_not_paid( "", $query );

		$records["aaData"] = array();

		foreach ( $rows["rows"] as $row ) {
			$row["profile_url"] = Urls::get_url( "student_profile", $row["student_id"] );
			$class_url          = Urls::get_url( "batchclass", $row["class_id"] );

			$buttons             = "<div style='text-align:center'>";
			$buttons             .= "<button style='width:50px' onclick='Print({$row["id"]})' class='btn green btn-xs' title='Print Receipt'>Print</button>";
			$buttons             .= "</div>";
			$records["aaData"][] = array(
				"R.No: {$row["roll"]}<br />
                    <a href='{$row["profile_url"]}'><b>{$row["student_name"]}</b></a><br />
                    Class: <i><a href='{$class_url}'>{$row["class_name"]} - {$row["batch_name"]}</a>",
				"<b>{$row["fee_title"]}</b><br>" . nl2br( $row["description"] ),
				"A" . round( $row["amount"], App::get_currency_decimals() ),
				round( $row["fine"], App::get_currency_decimals() ),
				$row["due_date2"],
				$row["last_payment_date2"],
				$row["fee_date2"],
				$row["receipt_number"],
				$buttons,
			);
		}

		$records["sEcho"]                = empty( $sEcho ) ? 1 : $sEcho;
		$records["iTotalRecords"]        = $rows["total_records"];
		$records["iTotalDisplayRecords"] = $rows["total_records"];

		echo json_encode( $records );
		break;
	case "getFeesList":
		$Cols       = array(
			"student_id",
			"",
			"amount",
			"fine",
			"due_date",
			"last_payment_date",
			"",
		);
		$Fee        = new Fee;
		$iSortCol_0 = empty( $iSortCol_0 ) ? "0" : $iSortCol_0;
		$orderby    = $Cols[ $iSortCol_0 ];
		$sSortDir_0 = empty( $sSortDir_0 ) ? "DESC" : $sSortDir_0;
		$order      = $sSortDir_0;

		$iDisplayLength = intval( $_GET['iDisplayLength'] );
		$iDisplayStart  = intval( $_GET['iDisplayStart'] );
		if ( $iDisplayLength == 0 ) {
			$page = 1;
		} else {
			$page = ( $iDisplayStart / $iDisplayLength ) + 1;
		}

		$filter = "&";
		if ( ! empty( $from ) ) {
			$filter .= "due_date={$from},{$to}&";
		}
		if ( ! empty( $class_name ) ) {
			$filter .= "class_name={$class_name}&";
		}
		$filter = urlencode( trim( $filter, "&" ) );

		$query = "page={$page}&pagesize={$iDisplayLength}&search={$sSearch}&orderby={$orderby}&order={$order}&filter={$filter}";
		$rows  = $Fee->get_not_paid( "", $query );

		$records["aaData"] = array();
		foreach ( $rows["rows"] as $row ) {
			$row["profile_url"] = Urls::get_url( "student_profile", $row["student_id"] );

			$buttons = "<div style='text-align:center'>";
			if ( \Admins\UserInfo::is_allowed( "pay_fee" ) ) {
				$buttons .= "<button style='width:50px' onclick='OpenInvoice({$row["id"]})' class='btn green btn-xs' title='Pay this fee'>Pay</button>";
			}
			$buttons             .= "<button style='width:50px' onclick='Delete({$row["id"]})' class='btn red btn-xs' title='Delete this fee'>Delete</button>";
			$buttons             .= "<button style='width:50px' onclick='Edit({$row["id"]})' class='btn blue btn-xs' title='Delete this fee'>Edit</button>";
			$buttons             .= "<button style='width:50px' onclick='Print({$row["id"]})' class='btn green btn-xs' title='Print Receipt'>Print</button>";
			$buttons             .= "</div>";
			$class_url           = Urls::get_url( "batchclass", $row["class_id"] );
			$records["aaData"][] = array(
				"R.No: {$row["roll"]}<br />
                    <a href='{$row["profile_url"]}'><b>{$row["student_name"]}</b></a><br />
                    Class: <i><a href='{$class_url}'>{$row["class_name"]} - {$row["batch_name"]}</a>",
				"<b>{$row["fee_title"]}</b><br>" . nl2br( $row["description"] ),
				round( $row["amount"], App::get_currency_decimals() ),
				round( $row["fine"], App::get_currency_decimals() ),
				$row["due_date2"],
				$row["last_payment_date2"],
				$buttons,
			);
		}

		$records["sEcho"]                = empty( $sEcho ) ? 1 : $sEcho;
		$records["iTotalRecords"]        = $rows["total_records"];
		$records["iTotalDisplayRecords"] = $rows["total_records"];

		echo json_encode( $records );
		break;
	case "getStudentsList":
		$s          = new Student;
		$c          = new Classes;
		$f          = new Fee;
		$Cols       = array(
			"",
			"id",
			"student_info",
			"dates",
			"class_id",
			"",
		);
		$iSortCol_0 = empty( $iSortCol_0 ) ? "0" : $iSortCol_0;
		$orderby    = $Cols[ $iSortCol_0 ];
		$sSortDir_0 = empty( $sSortDir_0 ) ? "DESC" : $sSortDir_0;
		$order      = $sSortDir_0;

		$iDisplayLength = intval( $_GET['iDisplayLength'] );
		$iDisplayStart  = intval( $_GET['iDisplayStart'] );
		if ( $iDisplayLength == 0 ) {
			$page = 1;
		} else {
			$page = ( $iDisplayStart / $iDisplayLength ) + 1;
		}

		$filter = "";
		if ( ! empty( $_GET["from"] ) ) {
			$filter .= "&admission_date=" . $_GET["from"] . "," . $_GET["to"];
		}
		if ( is_array( $_GET["class_id"] ) ) {
			$filter .= "&classes=" . implode( ",", $_GET["class_id"] );
		} elseif ( ! empty( $_GET["class_id"] ) && $_GET["class_id"] > 0 ) {
			$filter .= "&class_id=" . $_GET["class_id"];
		}
		$filter = urlencode( trim( $filter, "&" ) );
		if ( ! isset( $sSearch ) ) {
			$sSearch = "";
		}
		$sSearch = trim( $sSearch );
		$query   = "page={$page}&pagesize={$iDisplayLength}&orderby={$orderby}&order={$order}&search={$sSearch}&filter={$filter}";
		if ( isset( $deleted ) ) {
			$deleted = (int) $deleted;
			$query   .= "&deleted={$deleted}";
		}
		if ( isset( $subjects ) && $subjects <> "" ) {
			if ( is_array( $subjects ) ) {
				$subjects = implode( ",", $subjects );
			}
			$query .= "&subjects={$subjects}";
		}
		$rows = $s->get_students( $query );

		$records["aaData"] = array();
		foreach ( $rows["rows"] as $row ) {
			$details = "
            <table>
                <tr>
                    <td style=\"text-align: right;color:#999999\">Name (Roll): </td>
                    <td><a href=\"{$row["profile_url"]}\"><b>{$row["name"]}</b></a> <em>({$row["roll"]})</em></td>
                </tr>
                <tr>
                    <td style=\"text-align: right;color:#999999\">Guardaian:</td>
                    <td>{$row["guardian_name"]} <em>({$row["guardian_cell"]})</em></td>
                </tr>
            </table>";
			$fee     = $s->get_student_fee( $row["id"] );
			$fee2    = $f->get_not_paid( "", "student_id=" . $row["id"] );
			$t       = 0;
			if ( is_array( $fee2 ) ) {
				foreach ( $fee2 as $fe ) {
					$t += ( $fe["amount"] + $fe["fine"] );
				}
			}
			if ( $t > 0 ) {
				$style = "style='font-weight:bold;background:#FEB535;padding:0 5px;'";
			} else {
				$style = "";
			}
			$dates = "<table>
                        <tr>
                            <td style=\"text-align: right;color:#999999\">Monthly Fee:</td>
                            <td>" . App::set_currency( $fee ) . "</td>
                        </tr>
                        <tr>
                            <td style=\"text-align: right;color:#999999\">Payables:</td>
                            <td $style>" . App::set_currency( $t ) . "</td>
                        </tr>
                    </table>";
			if ( $row["deleted"] == "0" ) {
				$btn = "<button title=\"Delete This Student\" onclick=\"Delete({$row["id"]},this)\" class=\"tooltips btn red btn-xs\"><i class=\"fa fa-trash-o\"></i> Delete</button>";
			} else {
				$btn = "<button title=\"Un-Delete This Student\" onclick=\"UnDelete({$row["id"]},this)\" class=\"tooltips btn green btn-xs\"><i class=\"fa fa-trash-o\"></i> Un-Delete</button>";
			}
			$records["aaData"][] = array(
				"<input type='checkbox' class='checkboxes' value='{$row["id"]}'/>",
				$row["id"],
				$details,
				$dates,
				$row["class"] . " - " . $row["batch"] . "<br /><span style='color:#999999'>Admission Date:</span> {$row["admission_date2"]}",
				$btn,
			);
		}

		$records["sEcho"]                = empty( $sEcho ) ? 1 : $sEcho;
		$records["iTotalRecords"]        = $rows["total_records"];
		$records["iTotalDisplayRecords"] = $rows["total_records"];

		echo json_encode( $records );
		break;
	case "getTestSchedulesList":
		$Cols = [
			"id",
			"name",
			"test_date",
			"class_id",
			"subject",
			"teacher",
			"",
		];

		$orderby = $Cols[ $iSortCol_0 ];
		$order   = $sSortDir_0;

		$TS             = new TestSchedule;
		$iDisplayLength = intval( $_GET['iDisplayLength'] );
		$iDisplayStart  = intval( $_GET['iDisplayStart'] );
		$page           = ( $iDisplayStart / $iDisplayLength ) + 1;
		$from_date      = $_GET["from"];
		$to_date        = $_GET["to"];
		$QQ             = "page={$page}&pagesize={$iDisplayLength}&order_by={$orderby}&order={$order}&search={$sSearch}&from_date=$from_date&to_date=$to_date";
		if ( isset( $class_id ) && $class_id > 0 ) {
			$QQ .= "&class_id=$class_id";
		}
		$rows  = $TS->get_list( $QQ );
		$sEcho = intval( $_GET['sEcho'] );

		$records           = [];
		$records["aaData"] = [];

		$end = $iDisplayStart + $iDisplayLength;

		foreach ( $rows["rows"] as $row ) {
			$days = \Dates::days_difference( $row["test_date"] );
			$H    = "";
			if ( $days <= 30 ) {
				$H = "<a target='_blank' href='" . Urls::get_url( "mark_sheet", 0, "schedule_id=" . $row["id"] ) . "' title='Generate/Fill Marksheet' class='tooltips btn green btn-xs'>
						<i class='fa fa-table'></i> Mark Sheet</a>
                <button onclick='Empty({$row["id"]})' title='Empty Mark Sheet' class='tooltips btn red btn-xs'><i class='fa fa-file-o'></i></button>";
			}
			$H                   .= ' <button title="Delete This Schedule" onclick="Del(' . $row["id"] . ',this)" class="tooltips btn red btn-xs"><i class="fa fa-minus"></i></button>';
			$s                   = $Student->get_students( "class_id={$row["class_id"]}&subjects[]={$row["subject"]}" );
			$cnt                 = count( $s );
			$records["aaData"][] = [
				$row["id"],
				$row["name"],
				$row["test_date2"] . " - " . date( "l", strtotime( $row["test_date"] ) ),
				$row["class_name"],
				$row["subject"] . " - ($cnt)",
				$row["teacher"],
				$H,
			];
		}

		/*for($i = $iDisplayStart; $i < $end; $i++) {
            $status = $status_list[rand(0, 2)];
            $id = ($i + 1);
            $records["aaData"][] = array(
              $id,
              'metrouser',
              ($id * 12295),
              '<span class="label label-sm label-'.(key($status)).'">'.(current($status)).'</span>',
              '<a href="javascript:;" data-id="'.$id.'" class="btn btn-xs blue btn-editable"><i class="fa fa-pencil"></i> Edit</a> <a href="javascript:;" data-id="'.$id.'" class="btn btn-xs red btn-removable"><i class="fa fa-times"></i> Delete</a> <div class="btn-group"><button class="btn default btn-xs dropdown-toggle" type="button" data-toggle="dropdown">More <i class="fa fa-angle-down"></i></button><ul class="dropdown-menu pull-right" role="menu"><li><a href="#">Action</a></li><li><a href="#">Another action</a></li></ul></div>',
            );
        }*/

		$records["sEcho"]                = $sEcho;
		$records["iTotalRecords"]        = $rows["total_records"];
		$records["iTotalDisplayRecords"] = $rows["total_records"];

		echo json_encode( $records );
		break;
	case "delDBFile":
		if ( ! is_paid_fekara() ) {
			return "This function now allowed on free FeKara";
		}
		$dbPath = DB_PATH . "$file" . ".sql.gz";
		if ( ! file_exists( $dbPath ) ) {
			die( "DB file doesn't exists on server" );
		}
		$result = @unlink( $dbPath );
		if ( $result === false ) {
			die( "System is unable to delete DB file" );
		}
		echo "OK";
		break;
	case "FreshDBBackup":
		if ( ! is_paid_fekara() ) {
			return "This function now allowed on free FeKara";
		}
		$D        = new MySQLDump();
		$filePath = $D->dumpDB_GZ_file( "", DBNAME );
		if ( $filePath === false ) {
			die( $D->error );
		}
		$file = substr( basename( $filePath ), 0, - 4 );
		echo "OK";
		echo "<tr id='$file'>";
		echo "<td>" . DBNAME . ".sql.gz</td>";
		echo "<td>" . \Dates::my_datetime() . "</td>";
		$File = new File();
		echo "<td>" . \File::bytes_format( filesize( $filePath . ".gz" ) ) . "</td>";
		echo "</tr>";
		break;
	case "uploadLogo":
		$string = json_encode( $_POST );
		$string .= "\n" . json_encode( $_FILES );
		$type   = isset( $type ) ? $type : '';
		if ( $type == 1 ) {
			$width  = "104";
			$height = "17";
		} else if ( $type == 2 ) {
			$width  = "86";
			$height = "14";
		} else {
			$width  = "0";
			$height = "0";
		}
		$result["msg"] = "Processing";

		if ( ! isset( $_FILES["file1"] ) ) {
			$response = __( "File uploading error" );
		} elseif ( $_FILES["file1"]["error"] > 0 ) {
			$response = __( "File uploading error!" );
		} elseif ( ! \File::is_image_file( $_FILES["file1"]["tmp_name"] ) ) {
			$response = __( "Please upload only image file.!" );
		} else {
			$image = getimagesize( $_FILES["file1"]["tmp_name"] );
			#if ($type<=2 && $image[0]<>$width && $image[0]<>$height) $response =("Please upload image only with Width: $width, Height: $height");
			#else {
			$path = ROOT_PATH . "contents/logos/";
			@mkdir( $path );
			$path .= $_FILES["file1"]["name"];
			if ( ! move_uploaded_file( $_FILES["file1"]["tmp_name"], $path ) ) {
				$response = "Error uploading file!";
			} else {
				$type = isset( $type ) ? $type : '';
				if ( $type == 1 ) {
					$oldPath = $db->get_option( "logo1_path" );
					@unlink( $oldPath );
					$db->set_option( "logo1_path", $path );
					$db->set_option( "logo1", DOMAIN_URL . "contents/logos/" . $_FILES["file1"]["name"] );
				} else if ( $type == 2 ) {
					$oldPath = $db->get_option( "logo2_path" );
					@unlink( $oldPath );
					$db->set_option( "logo2_path", $path );
					$db->set_option( "logo2", DOMAIN_URL . "contents/logos/" . $_FILES["file1"]["name"] );
				} else if ( $type == 3 ) {
					$oldPath = $db->get_option( "logo3_path" );
					@unlink( $oldPath );
					$db->set_option( "logo3_path", $path );
					$db->set_option( "logo3", DOMAIN_URL . "contents/logos/" . $_FILES["file1"]["name"] );
				}
				$response = "OK";
			}
			#}
		}
		Urls::redirect( Urls::get_url( "app_settings", 0, "r=" . $response ) );
		break;
	case "saveAdmin":
		$Admins = new Admins;
		echo $Admins->save( $_POST );
		break;
	case "checkAdminUsername":
		if ( strlen( trim( $username ) ) < 3 ) {
			echo "No";
		}
		$Q = "SELECT COUNT(*) FROM `admins` WHERE `username`='" . $db->set_string( $username ) . "'";
		if ( $id > 0 ) {
			$Q .= " AND `id`<>$id";
		}
		if ( $db->get_var( $Q ) == "0" ) {
			echo "OK";
		} else {
			echo "NO";
		}
		break;
	case "checkAdminEmail":
		if ( ! \Str::is_email( $email ) ) {
			echo "No";
		}
		$Q = "SELECT COUNT(*) FROM `admins` WHERE `email`='" . $db->set_string( $email ) . "'";
		if ( $id > 0 ) {
			$Q .= " AND `id`<>$id";
		}
		if ( $db->get_var( $Q ) == "0" ) {
			echo "OK";
		} else {
			echo "NO";
		}
		break;
	case "sendQuickSMS":
		$SMS = new SMS();
		echo $SMS->send_sms( $to, $message );
		break;
	case "getSMSBalance":
		$SMS = new SMS();
		echo $SMS->sms_balance();
		break;
	case "getHolidays":
		if ( ! isset( $_GET['start'] ) || ! isset( $_GET['end'] ) ) {
			die( "Please provide a date range." );
		}

		$range_start = parseDateTime( $start );
		$range_end   = parseDateTime( $end );

		$timezone      = null;
		$H             = new Holidays;
		$rows          = $H->get_list( "from_date={$start}&to_date={$end}" );
		$output_arrays = array();
		foreach ( $rows as $array ) {

			// Convert the input array into a useful Event object
			$event = new Event( $array, $timezone );

			// If the event is in-bounds, add it to the output
			if ( $event->isWithinDayRange( $range_start, $range_end ) ) {
				$output_arrays[] = $event->toArray();
			}
		}

		// Send JSON to the client.
		echo json_encode( $output_arrays );
		break;
	case "saveHoliday":
		$H = new Holidays;
		echo $H->save( $_POST );
		break;
	case "getHoliday":
		$H   = new Holidays;
		$row = $H->get_holiday( $id );
		if ( is_array( $row ) && isset( $row["id"] ) ) {
			echo "OK";
			echo json_encode( $row );
		} else {
			echo "Can't get data";
		}
		break;
	case "delFee":
		$Fee = new \Fee();
		echo $Fee->delete_generated_fee( $id );
		break;
	case "updatePiadFee":
		$response = $db->update( "fee_paid", array(
			"fine"        => $fine,
			"amount"      => $amount,
			"description" => $description,
		), array( "id" => $id ) );
		echo $response === false ? $db->last_error : "OK";
		break;
	case "sendStudentSMS":
		$st  = $Student->get_student( $student_id );
		$to  = $send_to == "G" ? $st["guardian_cell"] : $st["cell"];
		$SMS = new SMS();
		echo $SMS->send_sms( $to, $body );
		break;
	case "checkAttendance":
		//echo "<pre>";print_r($_POST);die();
		if ( ! \Dates::is_date( $date ) ) {
			die( "Please provide valid date." );
		}
		$Class           = new BatchClass;
		$C               = $Class->get_class( $class_id );
		$attendance_type = $C["attendance_type"];
		if ( $attendance_type == "D" ) {
			echo "OK";
		}
		break;
	case "saveAttendance":
		$Att            = new Attendance;
		$SMS_to_Absents = isset( $_POST["smsBtn"] ) ? true : false;
		unset( $_POST["smsBtn"] );
		echo $Att->save_attendance( $_POST, $SMS_to_Absents );
		break;
	case "delSMSQueue":
		$Q        = "DELETE FROM `sms_queue` WHERE `id`='$id'";
		$response = $db->query( $Q );
		if ( $response === false ) {
			echo $db->last_error;
		} else {
			echo "OK";
		}
		break;
	case "getTransactionsList":
		$A          = new Accounts;
		$Cols       = array(
			"id",
			"date",
			"description",
			"amount",
			"amount_out",
			"",
		);
		$iSortCol_0 = empty( $iSortCol_0 ) ? "0" : $iSortCol_0;
		$orderby    = $Cols[ $iSortCol_0 ];
		$sSortDir_0 = empty( $sSortDir_0 ) ? "DESC" : $sSortDir_0;
		$order      = $sSortDir_0;

		$iDisplayLength = intval( $_GET['iDisplayLength'] );
		$iDisplayStart  = intval( $_GET['iDisplayStart'] );
		if ( $iDisplayLength == 0 ) {
			$page = 1;
		} else {
			$page = ( $iDisplayStart / $iDisplayLength ) + 1;
		}

		$query = "page={$page}&pagesize={$iDisplayLength}&orderby={$orderby}&order={$order}&search={$sSearch}";
		if ( isset( $student_id ) ) {
			$query .= "&student_id=$student_id";
		}
		$rows              = $A->transactions_list( $query );
		$records["aaData"] = array();
		foreach ( $rows["rows"] as $row ) {
			$btn                 = "<button title=\"Delete This Student\" onclick=\"Delete({$row["id"]},this)\" class=\"tooltips btn red btn-xs\"><i class=\"fa fa-trash-o\"></i> Delete</button>";
			$records["aaData"][] = array(
				$row["id"],
				App::date_show( $row["date"] ),
				$row["description"],
				$row["amount"],
				$row["amount_out"],
				$btn,
			);
		}

		$records["sEcho"]                = empty( $sEcho ) ? 1 : $sEcho;
		$records["iTotalRecords"]        = $rows["total_records"];
		$records["iTotalDisplayRecords"] = $rows["total_records"];

		echo json_encode( $records );
		break;
	case "saveStudentPhoto":
		if ( ! isset( $_FILES["photo"] ) && isset( $_FILES["webcam"] ) ) {
			$_FILES["photo"] = $_FILES["webcam"];
		}
		$_FILES["photo"] = isset( $_FILES["photo"] ) ? $_FILES["photo"] : '';
		$result          = $Student->save_photo( $_FILES["photo"], $id );
		echo $result;
		break;
	case "saveAccountHead":
		$accounts = new Accounts;
		echo $accounts->save_account_head( $_POST );
		break;
	case "delAccountHead":
		$accounts = new Accounts;
		echo $accounts->delete_account_head( $id );
		break;
	default:
		die( "Invalid ajax call!" );
}
exit;