<?php
if ( ! \Admins\UserInfo::is_loggedin() ) {
	die( "You'r not authorized to view this report." );
}

if ( ! isset( $_GET["from"] ) ) {
	$_GET["from"] = \Dates::mysql_date();
}
if ( ! isset( $_GET["to"] ) ) {
	$_GET["to"] = \Dates::mysql_date();
}
extract( $_GET );
if ( ! \Dates::is_date( $from ) ) {
	$from = \Dates::mysql_date();
}
if ( ! \Dates::is_date( $to ) ) {
	$to = \Dates::mysql_date();
}

$A    = new Accounts;
$rows = $A->transactions_list( "date={$from},{$to}" );

$HTML = '<h3 style="text-align:center">Cash Report</h3>
<p style="text-align:center">
'.__('Cash report from').' <b>' . App::date_show( $from ) . '</b> to <b>' . App::date_show( $to ) . '</b>
</p>';

$HTML  .= '
<table cellspacing="0" cellpadding="4" style="border-spacing: 0; border-collapse: separate; margin:0 auto;" border="1">
    <tr style="font-weight:bold;background-color:#777777;color:#FFFFFF">
        <td width="7%">'.__('ID').'</td>
        <td width="15%">'.__('Date').'</td>
        <td width="27%">'.__('Student').'</td>
        <td width="27%">'.__('Description').'</td>
        <td width="12%">'.__('Receipt').'</td>
        <td width="12%">'.__('Amount').'</td>
    </tr>';
$total = 0;
foreach ( $rows["rows"] as $row ) {
	if ( $row["student_id"] == 0 ) {
		$student = "<i># Not a student's transaction#</i>";
	} else {
		$Q       = "SELECT `name` FROM `students` WHERE `id`=" . $row["student_id"];
		$s       = $db->get_row( $Q );
		$student = $s["name"];
	}
	$HTML  .= '
            <tr>
                <td style="text-align:right">' . $row["id"] . '</td>
                <td>' . App::date_show( $row["date"] ) . '</td>
                <td>' . $student . '</td>
                <td>' . $row["description"] . '</td>
                <td>' . $row["receipt_number"] . '&nbsp;</td>
                <td style="text-align:right">' . round( $row["amount"], App::get_currency_decimals() ) . '</td>
            </tr>
        ';
	$total += $row["amount"];
}
$HTML .= '
        <tr style="text-align:right;background-color:#C9C9C9">
            <td colspan="5">Total:</td>
            <td>' . round( $total, App::get_currency_decimals() ) . '</td>
        </tr>
    ';
$HTML .= '
</table>
';

if ( isset( $_GET["viewBtn"] ) ) {
	echo "
<style>
body {
    font-family:Verdana;
}
</style>
";
	echo $HTML;
} else {
	$pdfpath = "cash_report";
	include_once( __DIR__ . "/pdf.php" );
}