<?php
if ( ! \Admins\UserInfo::is_loggedin() ) {
	die( "You'r not authorized to view this report." );
}

if ( ! isset( $_GET["from"] ) ) {
	$_GET["from"] = \Dates::mysql_date();
}
if ( ! isset( $_GET["to"] ) ) {
	$_GET["to"] = \Dates::mysql_date();
}
extract( $_GET );
if ( ! \Dates::is_date( $from ) ) {
	$from = \Dates::mysql_date();
}
if ( ! \Dates::is_date( $to ) ) {
	$to = \Dates::mysql_date();
}

$A = new Accounts;
if ( isset( $_GET["head"] ) ) {
	if ( is_array( $_GET["head"] ) ) {
		$head = implode( ",", $_GET["head"] );
	} else {
		$head = "";
	}
} else {
	$head = "";
}
$rows = $A->transactions_list( "date={$from},{$to}&daily_expense=1&head=$head&orderby=head&order=asc" );

$HTML = '<h3 style="text-align:center">Expense Report</h3>
<p style="text-align:center">
Expense report from <b>' . App::date_show( $from ) . '</b> to <b>' . App::date_show( $to ) . '</b>
</p>';

$HTML  .= '
<table cellspacing="0" cellpadding="4" style="border-spacing: 0; border-collapse: separate; margin:0 auto;" border="1">
    <tr style="font-weight:bold;background-color:#777777;color:#FFFFFF">
        <td>ID</td>
        <td>Date</td>
        <td>Description</td>
        <td>Receipt</td>
        <td>Amount</td>
    </tr>';
$total = 0;
$st    = 0;
$head  = "";
if ( is_array( $rows["rows"] ) ) {
	foreach ( $rows["rows"] as $row ) {
		if ( $head <> $row["head"] ) {
			if ( $head <> "" ) {
				$HTML .= '<tr>
                    <td colspan="4" style="text-align:right">' . $head . ' Total:</td>
                    <td style="text-align:right;font-weight:bold">' . round( $st, App::get_currency_decimals() ) . '
                </tr>';
			}
			$HTML .= '<tr>
                <td colspan="5"><b>' . $row["head"] . '
            </tr>';
			$head = $row["head"];
			$st   = 0;
		}
		$HTML  .= '
            <tr>
                <td style="text-align:right">' . $row["id"] . '</td>
                <td>' . App::date_show( $row["date"] ) . '</td>
                <td>' . $row["description"] . '</td>
                <td>' . $row["receipt_number"] . '&nbsp;</td>
                <td style="text-align:right">' . round( $row["amount_out"], App::get_currency_decimals() ) . '</td>
            </tr>
        ';
		$st    += $row["amount_out"];
		$total += $row["amount_out"];
	}
}
$row["head"] = isset($row["head"])?$row["head"]:'';
$HTML .= '<tr>
                <td colspan="4" style="text-align:right">' . $row["head"] . ' Total:</td>
                <td style="text-align:right;font-weight:bold">' . round( $st, App::get_currency_decimals() ) . '
            </tr>';
$HTML .= '
        <tr style="text-align:right;background-color:#C9C9C9">
            <td colspan="4">Total:</td>
            <td>' . round( $total, App::get_currency_decimals() ) . '</td>
        </tr>
    ';
$HTML .= '
</table>
';

if ( isset( $_GET["viewBtn"] ) ) {
	echo "
<style>
body {
    font-family:Verdana;
}
</style>
";
	echo $HTML;
} else {
	$pdfpath = "expense_report";
	include_once( __DIR__ . "/pdf.php" );
}