<?php
if ( ! isset( $_GET["class_id"] ) ) {
	Urls::redirect( Urls::get_url( "toppers_report" ) );
}

$_GET["order"] = isset( $_GET["order"] ) ? $_GET["order"] : '0';

$class_id      = (int) $_GET["class_id"];
$_GET["from"]  = isset( $_GET["from"] ) ? $_GET["from"] : '';
$_GET["to"]    = isset( $_GET["to"] ) ? $_GET["to"] : '';
$_GET["order"] = isset( $_GET["order"] ) ? $_GET["order"] : '';

if ( ! \Dates::is_date( $_GET["from"] ) ) {
	$from = \Dates::mysql_date();
} else {
	$from = \Dates::mysql_date( $_GET["from"] );
}
if ( ! \Dates::is_date( $_GET["to"] ) ) {
	$to = \Dates::mysql_date();
} else {
	$to = \Dates::mysql_date( $_GET["to"] );
}
$dec     = App::get_marks_decimals();
$b       = new BatchClass;
$Student = new Student;
$Subject = new Subject;

$Q = "SELECT `id`,`name`,`subject`,`total_marks` FROM `test_schedules` ts, `mark_sheets` ms WHERE ms.schedule_id=ts.id AND (`test_date` BETWEEN '$from' AND '$to')";
if ( $class_id > 0 ) {
	$Q .= " AND ts.`class_id`='$class_id'";
}
$Q     .= " ORDER BY `subject`";
$subs  = $db->get_rows( $Q );
$Q     = "CREATE TEMPORARY TABLE `tmp_weekly_report`
(`name` VARCHAR(200), `class` VARCHAR(100), `total` DECIMAL(6,2), `total_marks` DECIMAL(6,2), `percentage` DECIMAL(6,2)
";
$_subs = array();
foreach ( $subs as $sub ) {
	//$Q .= ", `".$sub["subject"]."` decimal(6,2)";
	$_subs[] = $sub["subject"];
}
$_subs = array_unique( $_subs );
foreach ( $_subs as $sub ) {
	$Q .= ", `" . $sub . "` decimal(6,2)";
}
$Q        .= ")";
$response = $db->query( $Q );
if ( $response === false ) {
	die( "Error: " . $db->last_error );
}

$totals = array();
foreach ( $subs as $sub ) {
	#$subjects[] = $sub["subject"];
	if ( isset( $totals[ $sub["subject"] ] ) ) {
		$totals[ $sub["subject"] ]["total"] += $sub["total_marks"];
		$totals[ $sub["subject"] ]["count"] ++;
	} else {
		$totals[ $sub["subject"] ]["total"] = $sub["total_marks"];
		$totals[ $sub["subject"] ]["count"] = 1;
	}
	$totals[ $sub["subject"] ]["schedule_ids"][] = $sub["id"];
}
#show_array($totals);
#die;
$Q = "class_id=$class_id&orderby=id&order=ASC";
//if ( isset($_GET["orderby"]) && $_GET["orderby"]=="name" ) $Q .= "&orderby=name&order=" . $_GET["order"];
$Students = $Student->get_students( $Q );
$Cols     = sizeof( $totals ) + 4;
$subjects[0] = isset($subjects[0])?$subjects[0]:'';
$start_date = $db->get_var( "SELECT `start_date` FROM `test_schedules` WHERE `class_id`=$class_id AND `subject`='" . $db->set_string( $subjects[0] ) . "'" );
/*if ($start_date=="0000-00-00" || empty($start_date)) $week="-";
else $week = $_dates->get_week_number($start_date);*/

$C          = new BatchClass;
$class_name = $C->get_class_name( $class_id );

if ( $Cols % 2 == 0 ) {
	$half1 = $half2 = $Cols / 2;
} else {
	$half1 = intval( $Cols / 2 );
	$half2 = $Cols - $half1;
}

if ( $class_id > 0 ) {
	$C = '<td>Class: ' . $class_name . '</td>';
} else {
	$C = '';
}
$HTML = '
<h3 style="text-align:center">Toppers Report</h3>
<table cellspacing="0" cellpadding="4" id="table1" style="border: 1px solid #AAAAAA; border-spacing: 0; border-collapse: separate; margin:0 auto;">
    <tr>
        ' . $C . '
        <td style="text-align:right">' . $_GET["from"] . ' to ' . $_GET["to"] . '</td>
    </tr>
</table>
<br /><br />
<table cellspacing="0" cellpadding="4" id="table1" style="border: 1px solid #AAAAAA; border-spacing: 0; border-collapse: separate; margin:0 auto;">
    <tr style="font-size:10px">
        <td style="border: 1px solid #AAAAAA;padding:5px;font-weight:bold;width:5%">Sr.</td>
        <td style="border: 1px solid #AAAAAA;padding:5px;font-weight:bold;width:35%">Student Name</td>
        <td style="border: 1px solid #AAAAAA;padding:5px;font-weight:bold;width:20%">Class</td>
        <td style="border: 1px solid #AAAAAA;padding:5px;font-weight:bold;text-align:center;width:13%">Total Marks</td>
        <td style="border: 1px solid #AAAAAA;padding:5px;font-weight:bold;text-align:center;width:17%">Obtained Marks</td>
        <td style="border: 1px solid #AAAAAA;padding:5px;font-weight:bold;width:10%">%</td>
    </tr>';

$x = 1;
foreach ( $Students as $student ) {
	$data1["name"]  = $student["name"];
	$data1["class"] = $student["class"];
	$total          = 0;
	$count          = 0;
	$total_marks    = 0;
	foreach ( $totals as $sub => $schedule ) {
		$S    = implode( " OR `schedule_id`=", $schedule["schedule_ids"] );
		$Q    = "SELECT `marks` FROM `mark_sheets_data` WHERE (`schedule_id`=$S) AND `student_id`={$student["id"]}";
		$rows = $db->get_rows( $Q );
		if ( sizeof( $rows ) > 0 ) {
			$marks = 0;
			foreach ( $rows as $row ) {
				$marks += $row["marks"];
			}
			$total         += $marks;
			$total_marks   += $schedule["total"];
			$data1[ $sub ] = round( $marks, $dec );
		} else {
			$data1[ $sub ] = "-1";
		}
	}
	$data1["total"]       = round( $total, $dec );
	$data1["total_marks"] = $total_marks;
	$data1["percentage"]  = $total > 0 ? round( $total / $total_marks * 100, $dec ) : 0;
	$response             = $db->insert( "tmp_weekly_report", $data1 );
	if ( $response === false ) {
		die( "Error: " . $db->last_error );
	}
}

$Q = "SELECT * FROM `tmp_weekly_report` WHERE 1";
if ( $_GET["percentage"] > 0 ) {
	$Q .= " AND `percentage`>=" . $_GET["percentage"];
}
if ( ! empty( $_GET["orderby"] ) ) {
	$Q .= " ORDER BY `" . $_GET["orderby"] . "` " . $_GET["order"];
}
$rows = $db->get_rows( $Q );
$x    = 1;
foreach ( $rows as $row ) {
	$HTML .= '<tr style="font-size:10px">
            <td style="border: 1px solid #AAAAAA;padding:5px;text-align:right">' . $x . '</td>';
	$HTML .= '<td style="border: 1px solid #AAAAAA;padding:5px">' . $row["name"] . '</td>
        <td style="border: 1px solid #AAAAAA;padding:5px">' . $row["class"] . '</td>';
	$HTML .= '<td style="text-align:right;border: 1px solid #AAAAAA;padding:5px">' . round( $row["total_marks"], $dec ) . '</td>';
	$HTML .= '<td style="text-align:right;border: 1px solid #AAAAAA;padding:5px">' . round( $row["total"], $dec ) . '</td>';
	$HTML .= '<td style="border: 1px solid #AAAAAA;padding:5px">' . round( $row["percentage"], $dec ) . '%</td>';
	$HTML .= '</tr>';
	$x ++;
}

/*
for($y=0; $y<5; $y++) {
	$HTML .= '<tr>';
	for($x=0; $x<$Cols; $x++) {
		$HTML .= '<td style="border: 1px solid #AAAAAA;padding:5px;text-align:right">&nbsp;</td>';
	}
	$HTML .= '</tr>';
}*/

$HTML .= '</table>';

if ( isset( $_GET["viewBtn"] ) ) {
	echo "
<style>
body {
    font-family:Verdana;
}
</style>
";
	echo $HTML;
} else {
	$landscape = false;
	$pdfpath   = "toppers_report";
	include_once( __DIR__ . "/pdf.php" );
}