<?php
defined( 'FPDF_FONTPATH' ) OR define( 'FPDF_FONTPATH', LIBRARY_PATH . 'fpdf/font/' );
//include_once LIBRARY_PATH . "fpdf/fpdf.php";

if ( ! is_paid_fekara() ) {
	//trigger_error("Free FeKara version do not allow PDF files.");

	die( __('No PDF available for For Fekara') );

	class PDF {

		function __construct() {

		}
	}

	$pdf = new PDF();
	$pdf->Open();
	$title = 'No PDF on Free FeKara';
	$pdf->SetTitle( $title );
	$pdf->SetAuthor( 'Shakeel Ahmed Siddiqi (shakeel@fekara.com)' );
	$pdf->PrintChapter( 2, 'NO PDF AVAILABLE', LIBRARY_PATH . "fpdf/nopdf.txt" );
	//$pdf->PrintChapter(2,'THE PROS AND CONS','20k_c2.txt');

	$pdf->Output( 'nopdf_on_free_fekara.pdf', true );
	//$pdf->Output();
	exit();
}

//else {
//	include_once( LIBRARY_PATH . "modules/tcpdf/tcpdf.php" );
//
//	class MyPDF extends TCPDF {
//
//		//Page header
//		public function Header() {
//			global $db;
//			// Logo
//			//$image_file = ROOT_PATH.'themes/_common/images/logo.jpg';
//			$image_file = App::get_logo( "3", true );
//			$ext        = \File::get_extension( $image_file );
//
//			///// Changed here for top header margin
//			$this->Image( $image_file, 10, 30, 15, '', $ext, '', 'T', false, 300, '', false, false, 0, false, false, false );
//			// Set font
//			$this->SetFont( 'helvetica', 'B', 15 );
//			// Title
//
//			$this->Cell( 0, 10, System, 0, 1, 'C', 0, '', 0, false, 'M', 'M' );
//
//			$this->SetFont( 'dejavusans', '', 5, '' );
//			#$this->Cell(0, 7, str_repeat("_",170), 0, 1, 'C', 0, '', 0, false, 'M', 'M');
//			$this->SetFont( 'dejavusans', '', 9, '' );
//			$this->Cell( 0, 8, $db->get_option( "inst_address" ), 0, 1, 'C', 0, '', 0, false, 'M', 'M' );
//			$this->Cell( 0, 6, $db->get_option( "inst_contacts" ), 0, 1, 'C', 0, '', 0, false, 'M', 'M' );
//
//			$this->SetFont( 'dejavusans', '', 5, '' );
//			$this->Cell( 0, 0, str_repeat( "_", 170 ), 0, 0, 'C', 0, '', 0, false, 'B', 'M' );
//		}
//
//		// Page footer
//		public function Footer() {
//			// Position at 15 mm from bottom
//			$this->SetY( - 15 );
//			// Set font
//			$this->SetFont( 'helvetica', 'I', 8 );
//			// Page number
//			$this->Cell( 0, 10, 'Page ' . $this->getAliasNumPage() . '/' . $this->getAliasNbPages(), 0, false, 'C', 0, '', 0, false, 'T', 'M' );
//		}
//
//		public function Error( $msg ) {
//			// Clean up: unset class variables
//			$this->_destroy( true );
//			throw new Exception( 'PDF generation failed: ' . $msg );
//		}
//	}
//}


//
//if ( ! isset( $orientation ) ) {
//	$orientation = $db->get_option( "page_orientation", "P" );
//}
//if ( ! isset( $page_size ) ) {
//	$page_size = $db->get_option( "page_size", "Legal" );
//}
//
//$pdf = new MyPDF( $orientation, PDF_UNIT, $page_size, true, 'ISO-8859-1', false );
//
///*
//// These codes commented (version 1.1.3) after page size asked in settings
//if (isset($orientation))
//    $pdf = new MyPDF($orientation, PDF_UNIT, "Legal", true, 'ISO-8859-1', false);
//else
//    $pdf = new MyPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, "Legal", true, 'ISO-8859-1', false);
//*/
//
//// set document information
//$pdf->SetCreator( PDF_CREATOR );
//$pdf->SetAuthor( 'shakeel@fekara.com' );
//$pdf->SetTitle( 'Mark Sheet' );
//$pdf->SetSubject( 'Mark Sheet' );
//$pdf->SetKeywords( 'Mark Sheet' );
//
//// set default header data
//#$pdf->SetHeaderData(PDF_HEADER_LOGO, PDF_HEADER_LOGO_WIDTH, PDF_HEADER_TITLE.' 006', PDF_HEADER_STRING);
////$pdf->SetHeaderData(PDF_HEADER_LOGO, PDF_HEADER_LOGO_WIDTH, PDF_HEADER_TITLE.' 001', PDF_HEADER_STRING, array(0,64,255), array(0,64,128));
////$pdf->setFooterData(array(0,64,0), array(0,64,128));
//
//// set header and footer fonts
//$pdf->setHeaderFont( Array( PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN ) );
//$pdf->setFooterFont( Array( PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA ) );
//
//#$pdf->setPrintHeader(false);
//#$pdf->setPrintFooter(false);
//
//// set default monospaced font
//$pdf->SetDefaultMonospacedFont( PDF_FONT_MONOSPACED );
//
//// set margins
////echo PDF_MARGIN_HEADER; die;
////$pdf->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
//$pdf->SetMargins( PDF_MARGIN_LEFT, PDF_MARGIN_TOP + 20, PDF_MARGIN_RIGHT );
//$pdf->SetHeaderMargin( PDF_MARGIN_HEADER + 60 );
//$pdf->SetFooterMargin( PDF_MARGIN_FOOTER );
//
//// Page Orientation
//if ( isset( $landscape ) && $landscape === true ) {
//	$pdf->setPageOrientation( 'l' );
//}
//
//// set auto page breaks
////$pdf->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);
//$pdf->SetAutoPageBreak( true, PDF_MARGIN_BOTTOM + 30 );
//
//// set image scale factor
//$pdf->setImageScale( PDF_IMAGE_SCALE_RATIO );
//
//// set font
//$pdf->SetFont( 'dejavusans', '', 10 );
//
//###############################
//// set Rotate
//
//// other configs
//$pdf->setOpenCell( 0 );
//$pdf->SetCellPadding( 0 );
//$pdf->setCellHeightRatio( 1.25 );
//###############################
//
//// add a page
//$pdf->AddPage();

$pdfpath .= "_" . date( "d-M-Y-H-i-s" ) . ".pdf";

if ( $HTML ) {
	//$pdf->writeHTML( $HTML, true, false, true, false, '' );
	\Urls::redirect( \PDF::html_to_pdf( $HTML, "", true, $pdfpath ) );
} else {
	echo "No PDF HTML generated.";
	exit;
}

//try {
//	$pdf->Output( $pdfpath, 'D' );
//} catch ( Exception $e ) {
//	echo "Can't generate PDF:", $e->getMessage(), "\n";
//	die;
//}