<?php
/*
 * This file not used anymore
 */
die();
if ( ! defined( "ROOT_PATH" ) ) {
	echo "Hay! Don't cheat, We don't allow to view this file too. . :)";
	exit;
}

if ( ! \Admins\UserInfo::is_allowed( "user_management" ) ) {
	include_once( __DIR__ . "/no_access.php" );
}
$title = "Lecture Schedule";
include_once( __DIR__ . "/header.php" );
// get all classes
$c       = new BatchClass();
$classes = $c->get_list( "orderby=class_name&order=ASC" );
// get datesheet data
$d = new Datesheet;
$D = $d->get_datesheet();
// get teacher data
?>
<!--<link rel="stylesheet" href="<?php /*echo DOMAIN_URL */ ?>assets/plugins/jquery-ui/jquery-ui-1.10.3.custom.min.css">
<link rel="stylesheet" href="<?php /*echo DOMAIN_URL */ ?>assets/plugins/bootstrap-datetimepicker/css/datetimepicker.css">-->

<div class="page-container">
	<?php include_once( __DIR__ . "/sidebar.php" ); ?>

	<div class="page-content-wrapper">
		<div class="page-content">
			<div class="row">
				<div class="col-md-12">
					<h3 class="page-title">
						<?php _e( "Weekly Schedule for teacher" ) ?>
						<small><?php _e( "Manage datesheet data here" ) ?></small>
					</h3>
					<ul class="page-breadcrumb breadcrumb">
						<li>
							<i class="fa fa-home"></i>
							<a href="<?php echo DOMAIN_URL ?>"><?php _e("Home") ?></a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="<?php echo Urls::get_url( "all_schedule_list" ) ?>"><?php _e( "Lecture Schedule" ) ?></a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="<?php echo Urls::get_url( "add_weekly_schedule" ) ?>"><?php _e( "Adding Schedule" ) ?></a>
						</li>
					</ul>
				</div>
			</div>
			<div class="row">
				<div class="col-md-12">
					<div class="portlet box blue">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-reorder"></i> <?php echo __( "Adding Schedule" ) ?>
							</div>
							<div class="tools">
								<a href="javascript:;" class="collapse"></a>
							</div>
						</div>
						<div class="portlet-body form">
							<form id="form-schedule" action="#" class="form-horizontal form-bordered" onsubmit="return Save(this)">
								<input type="hidden" id="id" name="id" value="0">
								<div class="form-body">

									<div class="form-group">
										<label class="control-label col-md-3">
											<?php echo __( "Select Teacher" ) ?>
										</label>
										<div class="col-md-9">
											<select id="teacherid" class="form-control" name="teacherid"
											        required='required' data-placeholder="-- Select Teacher">
												<option value=""><?php _e( "Loading Teachers" ) ?> .....</option>
												<!--<option value="">-- <?php /*echo __( "Select Teacher" ) */ ?> --</option>
												<?php /*foreach ( $T as $k => $row ) { */ ?>
													<option value="<?php /*echo $row["id"] */ ?>" data-teacherid="<?php /*echo $row["id"] */ ?>" data-getTeacherName="<?php /*echo $row["name"] */ ?>">
														<?php /*echo add_leading_zeros( $k + 1 ); */ ?>.
														ID: <?php /*echo add_leading_zeros( $row["id"], 3 ) */ ?> - <?php /*echo $row["name"] */ ?>
													</option>
												--><?php /*} */ ?>
											</select>
										</div>
									</div>

									<div class="form-group">
										<label class="control-label col-md-3">
											<?php echo __( "Select Class" ) ?>
										</label>
										<div class="col-md-9">
											<select id="classid" class="form-control select2" name="classid"
											        required='required' data-placeholder="-- Select class">
											</select>
										</div>
									</div>
									<!-- custom_dt -->
									<div class="form-group">
										<div class="col-md-12">
											<table class="table table-bordered table-striped">
												<thead>
												<tr>
													<th>#</th>
													<th><?php echo __( "Time" ) ?></th>
													<th><?php echo __( "Monday" ) ?></th>
													<th><?php echo __( "Tuesday" ) ?></th>
													<th><?php echo __( "Wednesday" ) ?></th>
													<th><?php echo __( "Thursday" ) ?></th>
													<th><?php echo __( "Friday" ) ?></th>
													<th><?php echo __( "Saturday" ) ?></th>
												</tr>
												</thead>
												<tbody>
												<?php for ( $i = 1; $i < 9; $i ++ ) { ?>
													<tr>
														<td><?php echo $i ?></td>
														<td>
															<input type="text" name="time[]" id="time" class="form-control timepicker">
														</td>
														<td>
															<select name="monday[]" id="monday" class='form-control allsubjects'>
																<option value="">-- Select --</option>
															</select>
														</td>
														<td>
															<select name="tuesday[]" id="tuesday" class='form-control allsubjects'>
																<option value="">-- Select --</option>
															</select>
														</td>
														<td>
															<select name="wednesday[]" id="wednesday" class='form-control allsubjects'>
																<option value="">-- Select --</option>
															</select>
														</td>
														<td>
															<select name="thursday[]" id="thursday" class='form-control allsubjects'>
																<option value="">-- Select --</option>
															</select>
														</td>
														<td>
															<select name="friday[]" id="friday" class='form-control allsubjects'>
																<option value="">-- Select --</option>
															</select>
														</td>
														<td>
															<select name="saturday[]" id="saturday" class='form-control allsubjects'>
																<option value="">-- Select --</option>
															</select>
														</td>
													</tr>
												<?php } ?>
												</tbody>
											</table>
										</div>
									</div>
								</div>
								<div class="form-actions fluid">
									<div class="col-md-12 center">
										<div class="btn-group">
											<button type="submit" class="btn btn-primary"><?php echo __( "Save" ) ?></button>
											<a href="<?php echo Urls::get_url( "all_schedule_list" ) ?>" class="btn default">
												<?php echo __( "Cancel" ) ?>
											</a>
										</div>
									</div>
								</div>
							</form>
						</div>
					</div>
				</div>
			</div>
			<!-- END PAGE CONTENT-->
		</div>
	</div>
	<!-- END CONTENT -->
</div>
<!-- END CONTAINER -->
<?php include_once( __DIR__ . "/footer.php" ); ?>
<script>
	function Save( form ) {
		var teacherName = $( "#teacherid" ).find( ':selected' ).data( 'getteachername' );
		var classname = $( "#classid" ).find( ':selected' ).data( 'classname' );
		Block();
		$.post( '<?php echo DOMAIN_URL ?>includes/ajax.php?action=saveWeeklySchedule',
			$( "#form-schedule" ).serialize() + '&' + $.param( {
				                                  'teacher_name': teacherName,
				                                  "classname": classname
			                                  } ), function( data ) {
				if ( data=="OK" ) {
					Success( "Saved successfully!" );
					window.location.href = "<?php echo Urls::get_url( "all_schedule_list" ) ?>";
				} else {
					UnBlock();
					Error( data );
				}
			} );
		return false;
	}

	$( function() {
		$( "#form-schedule" ).areYouSure();
		$( document ).on( "change", "#teacherid", function( e ) {
			e.preventDefault();
			//var tid = $( this ).find( ':selected' ).data( 'teacherid' );
			var tid = $( this ).select2( "val" );

			//$('#classid').select2('data', null);
			//		$('#classid').select2('data', {id: null, text: null});
			$( '#classid' ).html( "" );

			if ( !tid ) {
				var currSelect = $( '#classid' );
				currSelect.append( $( "<option></option>" ).attr( "value", "" ).text( "-- Select --" ) );
				return false;
			}

			Block();
			$.post( 'ajax/add_weekly_schedule.php?get_teacher_classes', {
				teacher_id: tid,
			}, function( data ) {
				UnBlock();
				$( "#classid" ).html( '' );
				$.each( data, function( i, row ) {
					$( "#classid" ).append( $( "<option></option>" ).attr( "value", row.id ).text( row.text ) );
				} );
				/*$("#classid").select2({
					data: data
				});*/

				//if ( is_json( data ) ) {
				/*$( '#classid' ).html( "" );
				var currSelect = $( '#classid' );
				currSelect.append( $( "<option></option>" ).attr( "value", "" ).text( "-- Select --" ) );
				$.each( data, function( k, v ) {
					if ( v.id!=undefined ) {
						currSelect.append( $( "<option data-classname='" + v.class_name + "'></option>" ).attr( "value", v.id ).text( (k + 1) + ". - ID: " + v.id + " - " + v.class_name ) );
					}
				} );*/
				/*} else {
					$( "#teacherid" ).select2( "val", "" );
					$( '#classid' ).html( "" );
					$( '#classid' ).append( $( "<option></option>" ).attr( "value", "" ).text( "-- Select --" ) );
					Error( data );
				}*/
			} );
		} );
		$( '.timepicker' ).timepicker( {
			timeFormat: 'h:mm p',
			interval: 15,
			minTime: '9',
			maxTime: '9:00pm',
			defaultTime: '9',
			startTime: '08:00',
			dynamic: false,
			dropdown: true,
			scrollbar: true
		} );
		$( document ).on( "change", "#classid", function() {
			var classid = $( "#classid" ).val();
			Block();
			$.post( "<?php echo DOMAIN_URL ?>includes/ajax.php?action=getClassSubjects", { classid: $( this ).val() }, function( data ) {
				if ( is_json( data ) ) {
					UnBlock();
					data = jQuery.parseJSON( data );
					$( '.allsubjects' ).html( "" );
					var currSelect = $( '.allsubjects' );
					currSelect.append( $( "<option></option>" ).attr( "value", "" ).text( "-- Select --" ) );
					$.each( data, function( k, v ) {
						currSelect.append( $( "<option></option>" ).attr( "value", v ).text( v ) );
					} );
				}
			} );
		} );

		load_teachers();
		/*$("#teacherid").select2({
			ajax: {
				placeholder: "Select teacher",
				url: "?get_teachers",
				dataType: 'json',
				delay: 250,
				data: function (params) {
					return {
						q: params.term, // search term
						page: params.page
					};
				},
				processResults: function (data, params) {
					// parse the results into the format expected by Select2
					// since we are using custom formatting functions we do not need to
					// alter the remote JSON data, except to indicate that infinite
					// scrolling can be used
					params.page = params.page || 1;

					return {
						results: data.items,
						pagination: {
							more: (params.page * 30) < data.total_count
						}
					};
				},
				cache: true
			},
			escapeMarkup: function (markup) { return markup; }, // let our custom formatter work
			minimumInputLength: 1,
			//templateResult: formatRepo, // omitted for brevity, see the source of this page
			//templateSelection: formatRepoSelection // omitted for brevity, see the source of this page
		});*/
	} );

	function load_teachers() {
		$.post( "ajax/add_weekly_schedule.php?get_teachers", function( data ) {
			$( "#teacherid" ).html( "" );
			$( "#teacherid" ).append( $( "<option></option>" ).attr( "value", "" ).text( "-- <?php _e( "Select Teacher" ) ?> --" ) );
			$.each( data, function( i, row ) {
				$( "#teacherid" ).append( $( "<option></option>" ).attr( "value", row.id ).text( row.text ) );
			} );
			$( "#teacherid" ).select2();
			/*$( "#teacherid" ).select2( {
				data: data,
				placeholder: 'Select teacher'
			} );*/
		} )
	}
</script>
</body>
<!-- END BODY -->
</html>