<?php
if ( ! defined( "ROOT_PATH" ) ) {
	echo "Hay! Don't cheat, We don't allow to view this file too. . :)";
	exit;
}
if ( ! \Admins\UserInfo::is_allowed( "administrator" ) ) {
	include_once( __DIR__ . "/no_access.php" );
}
if ( empty( $_GET["id"] ) ) {
	//$url->redirect( $url->get_url( "admins" ) );
	$_GET["id"] = 0;
}
$id     = (int) $_GET["id"];

if ( $id == "0" ) {
	$title = __( "Add Admin" );
	$Admin = [
		"id"          => 0,
		"username"    => "",
		"name"        => "",
		"email"       => "",
		"active"      => "1",
		"is_admin"    => "0",
		"permissions" => []
	];
} else {
	$Admin = \Admins\UserInfo::get_admin_row( "id=$id" );
	if ( $Admin === false ) {
		Urls::redirect( Urls::get_url( "admins" ) );
	}
	$title = "Edit Admin";
}

include_once( __DIR__ . "/header.php" ); ?>

<!-- BEGIN CONTAINER -->
<div class="page-container">
	<!-- BEGIN SIDEBAR -->
	<?php include_once( __DIR__ . "/sidebar.php" ); ?>
	<!-- END SIDEBAR -->

	<!-- BEGIN CONTENT -->
	<div class="page-content-wrapper">
		<div class="page-content">

			<!-- BEGIN PAGE HEADER-->
			<div class="row">
				<div class="col-md-12">
					<!-- BEGIN PAGE TITLE & BREADCRUMB-->
					<h3 class="page-title">
						<?php echo $title ?>
						<small></small>
					</h3>
					<ul class="page-breadcrumb breadcrumb">
						<!--li class="btn-group">
							<button type="button" class="btn blue dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-delay="1000" data-close-others="true">
							<span>
								Actions
							</span>
							<i class="fa fa-angle-down"></i>
							</button>
							<ul class="dropdown-menu pull-right" role="menu">
								<li>
									<a href="#">Action</a>
								</li>
								<li>
									<a href="#">Another action</a>
								</li>
								<li>
									<a href="#">Something else here</a>
								</li>
								<li class="divider">
								</li>
								<li>
									<a href="#">Separated link</a>
								</li>
							</ul>
						</li-->
						<li>
							<i class="fa fa-home"></i>
							<a href="<?php echo DOMAIN_URL ?>"><?php _e("Home") ?></a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="<?php echo Urls::get_url( "admins" ) ?>"><?php _e("Admins") ?></a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="<?php echo Urls::get_url( "manage_admin", $id ) ?>admin/id/<?php echo $id ?>"><?php echo $title ?></a>
						</li>
					</ul>
					<!-- END PAGE TITLE & BREADCRUMB-->
				</div>
			</div>
			<!-- END PAGE HEADER-->
			<!-- BEGIN PAGE CONTENT-->
			<div class="row">
				<div class="col-md-12">
					<div class="portlet box blue">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-user"></i>
								<?php if (empty($id)) {
									echo _e('New Admission');
								} else {
									echo _e('Edit Admission');
								} ?>
							</div>
							<div class="tools hidden-xs">
								<a href="javascript:;" class="collapse"></a>
							</div>
						</div>
						<div class="portlet-body form">
							<form onsubmit="return Save(this)" action="#" class="form-horizontal form-bordered" name="submit_form">
								<input type="hidden" name="id" value="<?php echo $id ?>">
								<div class="form-actions fluid">
									<div class="col-md-12">
										<div class="btn-group">
											<button type="submit" class="btn blue"><?php _e("Save Admin") ?></button>
											<button type="button" class="btn red" onclick="Cancel()"><?php _e("Cancel") ?></button>
										</div>
									</div>
								</div>
								<div class="form-body">
									<div class="form-group">
										<label class="control-label col-md-3"><?php _e( "Admin ID" ) ?>:</label>
										<div class="col-md-9">
											<span class="form-control"><?php echo empty( $id ) ? "?" : $id ?></span>
											<span class="help-block">
												<?php _e("Admin's unique ID") ?>
											</span>
										</div>
									</div>
									<div class="form-group" id="usernamediv">
										<label class="control-label col-md-3"><?php _e( "Username" ) ?>
											<span class="required">
											*
										</span>
										</label>
										<div class="col-md-9">
											<input type="text" autocomplete="false" required="required" name="username"
											       id="username" class="form-control" value="<?php echo $Admin["username"] ?>">
											<span class="help-block" id="usernamespan">
												<?php _e( "Admin's username" ) ?>
											</span>
										</div>
									</div>
									<div class="form-group">
										<label class="control-label col-md-3"><?php _e( "Password" ) ?>
											<?php if ( $id == "0" ): ?>
												<span class="required">
													*
												</span>
											<?php endif; ?>
										</label>
										<div class="col-md-9">
											<div class="input-group" id="passwordgroup">
												<input value="" <?php if ( $id == "0" )
													echo 'required="required"' ?> autocomplete="off" type="password" class="form-control" name="password" id="password" placeholder="<?php _e("Password") ?>">
												<span class="input-group-addon">
    												<?php _e("again") ?>
    											</span>
												<input value="" <?php if ( $id == "0" )
													echo 'required="required"' ?> autocomplete="off" type="password" class="form-control" name="password2" id="password2" placeholder="<?php _e("Password again") ?>">
											</div>
											<!-- /input-group -->
											<span class="help-block" id="passwordspan">
    											<?php _e("Type admin's password") ?>
    										</span>
										</div>
									</div>
									<div class="form-group">
										<label class="control-label col-md-3"><?php _e("Full Name") ?></label>
										<div class="col-md-9">
											<input type="text" class="form-control" name="name" placeholder="<?php _e("Administrator's Name") ?>" value="<?php echo $Admin["name"] ?>">
											<span class="help-block">
                                                <?php _e( "Administrator's full name. e.g. Shakeel Ahmed Siddiqi" ) ?>
											</span>
										</div>
									</div>
									<div class="form-group" id="emaildiv">
										<label class="control-label col-md-3">
											<?php _e( "Email Address" ) ?>
											<span class="required">
											*
										</span>
										</label>
										<div class="col-md-9">
											<input type="email" class="form-control" name="email" id="email" required="required" placeholder="Admin Email" value="<?php echo $Admin["email"] ?>">
											<span class="help-block" id="emailspan">
											</span>
										</div>
									</div>
									<div class="form-group">
										<label class="control-label col-md-3"><?php _e( "Is Administrator" ) ?></label>
										<div class="col-md-9">
											<select name="is_admin" class="form-control">
												<option value="0"><?php _e( "No" ) ?></option>
												<option value="1" <?php echo $Admin["is_admin"] == "1" ? "selected=selected" : "" ?>>
													<?php _e( "Yes" ) ?>
												</option>
											</select>
										</div>
									</div>
									<div class="form-group">
										<label class="control-label col-md-3">
											<?php _e( "Active Admin" ) ?></label>
										<div class="col-md-9">
											<select name="active" class="form-control">
												<option value="1"><?php _e( "Yes" ) ?></option>
												<option value="0" <?php echo $Admin["active"] == "0" ? "selected=selected" : "" ?>><?php _e( "No" ) ?></option>
											</select>
										</div>
									</div>
									<h2 style="text-align: center;"><?php _e( "User Permissions" ) ?></h2>
									<div class="form-group">
										<div class="col-md-12">
											<label class="href">
												<input type="checkbox" id="checkbox1">
												<?php _e( "Select All" ) ?>
											</label>
										</div>
										<div class="col-md-12 labels-box" style="max-height: 450px; overflow:auto">
											<?php
											foreach ( \Admins\UserInfo::Permissions as $k => $v ) { ?>
												<?php $Check = array_search( $k, $Admin["permissions"] ) === false ? "" : "checked='checked'" ?>
												<label class="<?php echo $Check == "checked='checked'" ? "active" : "" ?>">
													<input class="checkbox1" <?php echo $Check ?> type="checkbox" name="permission[]" value="<?php echo $k ?>">
													<?php echo $v ?>
												</label>
											<?php } ?>
										</div>
									</div>
								</div>
								<div class="form-actions fluid">
									<div class="col-md- 12">
										<div class="btn-group">
											<button type="submit" class="btn blue"><?php _e("Save Admin") ?></button>
											<button type="button" class="btn red" onclick="Cancel()"><?php _e("Cancel") ?></button>
										</div>
									</div>
								</div>
							</form>
						</div>
					</div>
				</div>
			</div>
			<!-- END PAGE CONTENT-->
		</div>
	</div>
	<!-- END CONTENT -->
</div>
<!-- END CONTAINER -->

<?php include_once( __DIR__ . "/footer.php" ); ?>

<script>
	$( function() {
		$( "#password,#password2" ).change( function() {
			CheckPassword();
		} ).keyup( function() {
			CheckPassword();
		} );
		$( "#username" ).change( function() {
			CheckUsername();
		} ).keyup( function() {
			CheckUsername();
		} );
		$( "#email" ).change( function() {
			CheckEmail();
		} ).keyup( function() {
			CheckEmail();
		} );
		jQuery( document ).on( "click", "#checkbox1", function( event ) {
			var c1 = jQuery( ".checkbox1" );
			if ( jQuery( this ).is( ":checked" ) ) {
				c1.prop( "checked", true );
			} else {
				c1.prop( "checked", false );
			}
			c1.trigger( "change" ).uniform();
		} );
		$( document ).on( "change", ".checkbox1", function( event ) {
			if ( $( this ).is( ":checked" ) ) {
				$( this ).closest( "label" ).addClass( "active" );
			} else {
				$( this ).closest( "label" ).removeClass( "active" );
			}

			if ( $( ".checkbox1" ).length==$( ".checkbox1:checked" ).length ) {
				$( "#checkbox1" ).prop( "checked", true ).uniform();
			} else {
				$( "#checkbox1" ).prop( "checked", false ).uniform();
			}
		} );
	} );

	/**
	 * @return {boolean}
	 */
	function Save( t ) {
		Block();
		$.post( "<?php echo ROOT_URL ?>includes/old_ajax.php?action=saveAdmin", $( t ).serialize(), function( data ) {
			UnBlock();
			if ( data==="OK" ) {
				<?php if ( empty( $Admin["id"] ) ) { ?>
				window.location.href = "<?php echo Urls::get_url( "admins" ) ?>";
				<?php } else { ?>
				Success( "<?php _e("User saved successfully!") ?>" );
								<?php } ?>
			} else {
				Error( data );
			}
			return false;
		} );

		return false;
	}

	function CheckPassword() {
		var p1 = $( "#password" ).val();
		var p2 = $( "#password2" ).val();
		var pg = $( "#passwordgroup" );
		if ( p1!=p2 ) {
			$( "#passwordspan" ).html( "<?php _e("Both passwords are not same.") ?>" );
			pg.removeClass( "has-success" );
			pg.addClass( "has-error" );
		} else if ( p1.length<6 ) {
			$( "#passwordspan" ).html( "<?php _e("Password must be at least 6 characters long.") ?>" );
			pg.removeClass( "has-success" );
			pg.addClass( "has-error" );
		} else {
			$( "#passwordspan" ).html( "<?php _e("Administrator's password is correct.") ?>" );
			pg.removeClass( "has-error" );
			pg.addClass( "has-success" );
		}
	}

	function CheckUsername() {
		$( "#usernamespan" ).html( "<img src='<?php echo App::get_ajax_image(); ?>'>" );
		var und = $( "#usernamediv" );
		$.post( "<?php echo ROOT_URL ?>includes/old_ajax.php?action=checkAdminUsername", {
			username: $( "#username" ).val(),
			id:<?php echo $id ?>}, function( data ) {
			if ( data!="OK" ) {
				und.removeClass( "has-success" );
				und.addClass( "has-error" );
				$( "#usernamespan" ).html( "<?php _e("Please select different username.") ?>" );
			} else {
				und.removeClass( "has-error" );
				und.addClass( "has-success" );
				$( "#usernamespan" ).html( "<?php _e("You can go with this username.") ?>" );
			}
			return false;
		} );

		return false;
	}

	function CheckEmail() {
		$( "#emailspan" ).html( "<img src='<?php echo \App::get_ajax_image(); ?>'>" );
		var ed = $( "#emaildiv" );
		$.post( "<?php echo ROOT_URL ?>includes/old_ajax.php?action=checkAdminEmail", {
			email: $( "#email" ).val(),
			id:<?php echo $id ?>}, function( data ) {
			if ( data!="OK" ) {
				ed.removeClass( "has-success" );
				ed.addClass( "has-error" );
				$( "#emailspan" ).html( "<?php _e("Please select different email address.") ?>" );
			} else {
				ed.removeClass( "has-error" );
				ed.addClass( "has-success" );
				$( "#emailspan" ).html( "<?php _e("You can go with this email.") ?>" );
			}
			return false;
		} );

		return false;
	}

	function Cancel() {
		bootbox.confirm( "<?php _e("Are you sure you want to cancel admin saving?") ?>", function( result ) {
			if ( result==true ) window.location.href = "<?php echo Urls::get_url( "admins" ) ?>";
		} );
	}
</script>
</body>
<!-- END BODY -->
</html>