<?php
if ( ! defined( "ROOT_PATH" ) ) {
	echo "Hay! Don't cheat, We don't allow to view this file too. . :)";
	exit;
}
$Class   = new BatchClass;
$Student = new Student();
$classes = $Class->get_list();
?>
<html>
<!--[if IE 8]>
<html lang="en" class="ie8 no-js"> <![endif]-->
<!--[if IE 9]>
<html lang="en" class="ie9 no-js"> <![endif]-->
<!--[if !IE]><!-->
<html lang="en" class="no-js">
<!--<![endif]-->
<!-- BEGIN HEAD -->
<head>
	<meta charset="utf-8" />
	<title><?php echo __( "Admission Form" ) ?> | <?php echo $db->get_option( "system", "feKara by creativeON" ) ?></title>
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta content="width=device-width, initial-scale=1.0" name="viewport" />
	<meta content="" name="description" />
	<meta content="" name="author" />
	<meta name="MobileOptimized" content="320">
	<!-- BEGIN GLOBAL MANDATORY STYLES -->
	<link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.6.3/css/font-awesome.min.css" rel="stylesheet" type="text/css">
	<link href="<?php echo ASSETS_URL ?>plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css">
	<link href="<?php echo ASSETS_URL ?>plugins/uniform/css/uniform.default.css" rel="stylesheet" type="text/css">
	<!-- END GLOBAL MANDATORY STYLES -->
	<!-- BEGIN PAGE LEVEL STYLES -->
	<link rel="stylesheet" type="text/css" href="<?php echo ASSETS_URL ?>plugins/select2/select2_metro.css">
	<!-- END PAGE LEVEL SCRIPTS -->
	<!-- BEGIN THEME STYLES -->
	<link href="<?php echo ASSETS_URL ?>css/style-metronic.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo ASSETS_URL ?>css/style.css?1" rel="stylesheet" type="text/css" />
	<link href="<?php echo ASSETS_URL ?>css/style-responsive.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo ASSETS_URL ?>css/plugins.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo ASSETS_URL ?>css/themes/default.css" rel="stylesheet" type="text/css" id="style_color" />
	<link href="<?php echo ASSETS_URL ?>css/pages/login.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo ASSETS_URL ?>css/custom.css?<?php echo md5_file( ASSETS_PATH . "css/custom.css" ) ?>" rel="stylesheet" type="text/css" />
	<!--<link href="<?php echo DOMAIN_URL ?>style.css?<?php echo \General::localhost() ? time() : Version ?>" rel="stylesheet" type="text/css"/>-->

	<link rel="shortcut icon" href="<?php echo DOMAIN_URL ?>favicon.ico" />
	<style>
		.logo img {
			max-width: 320px !important;
			max-height: 200px !important;
		}
		span.select2-hidden-accessible {
			display: none;
		}
		body.rtl p, body.rtl label.control-label, body.rtl input.form-control,
		body.rtl select {
			direction: rtl;
		}
	</style>
</head>
<body class="login <?php echo $Trans->is_rtl()?'rtl':'' ?>">
<div class="loading"></div>
<div class="logo">
	<img src="<?php echo App::get_logo() ?>" alt="">
</div>
<div class="content">
	<form action="<?php echo ROOT_URL ?>ajax/admission_form.php?save" method="post" id="form1">
		<p style="font-weight: bold">
			<?php echo __( "Enter student's details below" ) ?>
		</p>
		<div class="form-group">
			<label class="control-label visible-ie8 visible-ie9"><?php echo __( "Full Name" ) ?></label>
			<div class="input-icon">
				<i class="fa fa-user"></i>
				<input required="required" class="form-control placeholder-no-fix" type="text"
				       placeholder="<?php echo __( "Full Name" ) ?>" name="full_name" title="<?php _e("Full name required") ?>">
			</div>
		</div>
		<div class="form-group">
			<label class="control-label visible-ie8 visible-ie9"><?php echo __( "Father's Name" ) ?></label>
			<div class="input-icon">
				<i class="fa fa-user"></i>
				<input required="required" class="form-control placeholder-no-fix" type="text" id="father_name"
				       placeholder="<?php echo __( "Father's Name" ) ?>" name="father_name" title="<?php _e("Father's name required") ?>">
			</div>
		</div>
		<div class="form-group">
			<label class="control-label"><?php echo __( "Date of birth" ) ?></label>
			<div class="input-icon">
				<i class="fa fa-calendar"></i>
				<input required="required" class="form-control placeholder-no-fix date-picker" type="date"
				       placeholder="<?php echo __( "Date of birth" ) ?>" name="dob" title="<?php _e("Date of birth required") ?>">
			</div>
		</div>
		<div class="form-group">
			<label class="control-label visible-ie8 visible-ie9"><?php echo __( "Gender" ) ?></label>
			<select name="gender" class="form-control placeholder-no-fix select2"
			        data-placeholder="<?php _e( "Select gender" ) ?>" required="required" title="<?php _e("Select gender") ?>">
				<option value="">== <?php _e( "Select gender" ) ?> ==</option>
				<option value="M"><?php _e( "Male" ) ?></option>
				<option value="F"><?php _e( "Female" ) ?></option>
			</select>
		</div>
		<div class="form-group">
			<!--ie8, ie9 does not support html5 placeholder, so we just show field title for that-->
			<label class="control-label visible-ie8 visible-ie9"><?php echo __( "Email address (if any)" ) ?></label>
			<div class="input-icon">
				<i class="fa fa-envelope"></i>
				<input class="form-control placeholder-no-fix" type="email" placeholder="<?php echo __( "Email address (if any)" ) ?>" name="email">
			</div>
		</div>
		<div class="form-group">
			<label class="control-label visible-ie8 visible-ie9"><?php echo __( "Cell number (if any)" ) ?></label>
			<div class="input-icon">
				<i class="fa fa-mobile"></i>
				<input class="form-control placeholder-no-fix mobile" type="tel" placeholder="<?php echo __( "Cell number (if any)" ) ?>" name="cell">
			</div>
		</div>
		<div class="form-group">
			<label class="control-label visible-ie8 visible-ie9"><?php echo __( "Address" ) ?></label>
			<div class="input-icon">
				<i class="fa fa-check"></i>
				<input class="form-control placeholder-no-fix" type="text" placeholder="<?php echo __( "Address" ) ?>" name="address">
			</div>
		</div>
		<div class="form-group">
			<label class="control-label visible-ie8 visible-ie9"><?php echo __( "City/Town" ) ?></label>
			<div class="input-icon">
				<i class="fa fa-location-arrow"></i>
				<input class="form-control placeholder-no-fix" type="text" placeholder="<?php echo __( "City/Town" ) ?>" name="city">
			</div>
		</div>
		<div class="form-group">
			<label class="control-label visible-ie8 visible-ie9"><?php echo __( "Nationality" ) ?></label>
			<?php
			$Country = new Country();
			echo $Country->get_combo( "", "country", "select2 form-control" );
			?>
		</div>
		<p style="font-weight: bold">
			<?php echo __( "Guardian details" ) ?>
		</p>
		<div class="form-group">
			<label class="control-label visible-ie8 visible-ie9"><?php echo __( "Guardian Name" ) ?></label>
			<div class="input-icon">
				<i class="fa fa-user"></i>
				<input required="required" class="form-control placeholder-no-fix" type="text"
				       placeholder="<?php echo __( "Guardian Name" ) ?>" id="guardian_name" name="guardian_name" title="<?php _e("Guardian name missing") ?>">
			</div>
		</div>
		<div class="form-group">
			<label class="control-label visible-ie8 visible-ie9"><?php echo __( "Relation with guardian" ) ?></label>
			<select title="<?php _e( "Select relation with guardian" ) ?>" name="guardian_relation" id="guardian_relation"
			        data-placeholder="<?php _e( "Relation with guardian" ) ?>"
			        class="form-control select2" required="required">
				<option value="">== <?php echo __( "Relation with guardian" ) ?> ==</option>
				<?php foreach ( $Student->RelationArray as $relation ) {
					echo "<option>{$relation}</option>\n";
				} ?>
			</select>
		</div>
		<div class="form-group">
			<label required="required" class="control-label visible-ie8 visible-ie9"><?php echo __( "Guardian Cell Number" ) ?></label>
			<div class="input-icon">
				<i class="fa fa-mobile"></i>
				<input class="form-control placeholder-no-fix mobile" type="tel" placeholder="<?php echo __( "Guardian Cell Number" ) ?>"
				       name="guardian_cell" title="<?php _e("Guardian cell number required") ?>" required="required">
			</div>
		</div>
		<div class="form-group">
			<label class="control-label visible-ie8 visible-ie9"><?php echo __( "Email" ) ?></label>
			<div class="input-icon">
				<i class="fa fa-envelope"></i>
				<input class="form-control placeholder-no-fix" type="email" placeholder="<?php echo __( "Guardian Email" ) ?>" name="guardian_email">
			</div>
		</div>
		<p style="font-weight: bold">
			<?php echo __( "Admission details" ) ?>
		</p>
		<div class="form-group">
			<label class="control-label visible-ie8 visible-ie9"><?php echo __( "Select class" ) ?></label>
			<select class="form-control select2" name="class_id" id="class_id" required="required" title="<?php _e("") ?>">
				<option selected value="">== <?php echo __( "Select class" ) ?> ==</option>
				<?php foreach ( $classes as $class ) { ?>
					<option value="<?php echo $class["id"] ?>"><?php echo $class["class_name"] ?></option>
				<?php } ?>
			</select>
		</div>
		<div class="form-group">
			<label class="control-label visible-ie8 visible-ie9"><?php echo __( "Select subjects" ) ?></label>
			<select multiple="multiple" class="form-control select2" name="subjects_ids[]" id="subjects"
			        title="<?php echo __( "Select subjects" ) ?>" data-placeholder="== <?php echo __( "Select subjects" ) ?> ==">
			</select>
		</div>
		<div class="form-actions">
			<button type="submit" id="register-submit-btn" class="btn green pull-right">
				<?php _e("Register") ?> <i class="m-icon-swapright m-icon-white"></i>
			</button>
		</div>
	</form>
</div>

<div class="copyright">
	<?php if ( ! empty( $__decoded_key["reseller_title"] ) ) { ?>
		<?php echo date( "Y" ); ?> &copy; <?php echo $__decoded_key["reseller_title"]; ?> | Version: <?php echo Version ?>
	<?php } else if ( is_file( ROOT_PATH . "branding" ) ) {
		$TT = file( ROOT_PATH . "branding" ); ?>
		<?php echo date( "Y" ); ?> &copy; <?php echo base64_decode( $TT[0] ); ?> | Version: <?php echo Version ?>
	<?php } else { ?>
		2014-<?php echo date( "Y" ); ?> &copy; FeKara | Version: <?php echo Version ?>
	<?php } ?>
</div>
<?php load_js_files() ?>
<script src="<?php echo ASSETS_URL ?>plugins/select2/select2.min.js"></script>
<script src="<?php echo ASSETS_URL ?>scripts/app.js" type="text/javascript"></script>
<script>
	var Classes = <?php echo json_encode( $classes, JSON_PRETTY_PRINT ); ?>;
	var root_url = "<?php echo ROOT_URL ?>";
	$( ".select2" ).select2({
		direction: "rtl"
	});
</script>
<script src="<?php echo \Theme::url() ?>js/admission_form.js?<?php echo md5_file( \Theme::path()."js/admission_form.js" ); ?>"></script>
</body>

</html>