<?php
if ( ! defined( "ROOT_PATH" ) ) {
	echo "Hay! Don't cheat, We don't allow to view this file too. . :)";
	exit;
}
if ( isset( $_GET['download'] ) ) {
	if ( ! \Admins\UserInfo::is_loggedin() ) {
		echo "You'r not logged in!";
		exit;
	}
	$E = new Export();
	$E->students_csv( $_GET );
	exit;
}
$title = __("Export Students Data");
include_once( __DIR__ . "/header.php" );
$c = new BatchClass();
$C = $c->get_list();
//show_array( $C);
?>

<!-- BEGIN CONTAINER -->
<div class="page-container">
	<!-- BEGIN SIDEBAR -->
	<?php include_once( __DIR__ . "/sidebar.php" ); ?>
	<!-- END SIDEBAR -->

	<!-- BEGIN CONTENT -->
	<div class="page-content-wrapper">
		<div class="page-content">
			<!-- END SAMPLE PORTLET CONFIGURATION MODAL FORM-->
			<!-- BEGIN STYLE CUSTOMIZER -->
			<!-- END STYLE CUSTOMIZER -->
			<!-- BEGIN PAGE HEADER-->
			<div class="row">
				<div class="col-md-12">
					<!-- BEGIN PAGE TITLE & BREADCRUMB-->
					<h3 class="page-title">
						<?php _e("Export Sudent's Classes Data") ?>
						<small><?php _e("Export data") ?></small>
					</h3>
					<ul class="page-breadcrumb breadcrumb">
						<li>
							<i class="fa fa-home"></i>
							<a href="<?php echo DOMAIN_URL ?>"><?php _e("Home") ?></a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="#"><?php _e("Export") ?></a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="<?php echo Urls::get_url( "data_export_classes" ) ?>"><?php _e("Classes Data") ?></a>
						</li>
					</ul>
					<!-- END PAGE TITLE & BREADCRUMB-->
				</div>
			</div>
			<!-- END PAGE HEADER-->
			<!-- BEGIN PAGE CONTENT-->
			<div class="row">
				<div class="col-md-12">
					<?php if ( ! is_paid_fekara() ) { ?>
						<div class="note note-danger">
							<p><b>Error!</b><br><br><?php _e("Can't export data in free version.") ?></p>
						</div>
					<?php } else { ?>
						<!--                        <a target="_blank" href="?download" class="btn blue"><i class="fa fa-download"></i> Export Students</a>-->
						<div class="portlet box blue">
							<div class="portlet-title">
								<div class="caption">
									<i class="fa fa-reorder"></i> <?php _e("Export Classes") ?>
								</div>
								<div class="tools">
									<a href="javascript:;" class="collapse"></a>
									<a href="#portlet-config" data-toggle="modal" class="config"></a>
									<a href="javascript:;" class="reload"></a>
									<a href="javascript:;" class="remove"></a>
								</div>
							</div>
							<div class="portlet-body form">
								<form class="form-horizontal form-bordered" method="get">
									<div class="form-body">
										<div class="form-group">
											<label class="control-label col-md-3"><?php _e("Class Name") ?></label>
											<div class="col-md-9">
												<select class="form-control select2" name="class_id">
													<?php foreach ( $C as $row ): ?>
														<option value="<?php echo $row["id"] ?>">
															<?php echo $row["batch_name"]; ?> &raquo;
															<?php echo $row["class_name"] ?>
															(<?php echo $row["students_count"] ?> <?php _e("Students") ?>)
														</option>
													<?php endforeach; ?>
												</select>
											</div>
										</div>
									</div>
									<div class="form-actions fluid">
										<div class="col-md-offset-3 col-md-9">
											<button type="submit" name="download" value="data_export_classes" class="btn blue"><?php _e("Export Class") ?></button>
										</div>
									</div>
								</form>
							</div>
						</div>

					<?php } ?>
				</div>
			</div>
			<!-- END PAGE CONTENT-->
		</div>
	</div>
	<!-- END CONTENT -->
</div>
<!-- END CONTAINER -->
<?php include_once( __DIR__ . "/footer.php" ); ?>
</body>
<!-- END BODY -->
</html>