<?php
if ( ! defined( "ROOT_PATH" ) ) {
	echo "Hay! Don't cheat, We don't allow to view this file too. . :)";
	exit;
}

$_GET['iDisplayLength'] = isset( $_GET['iDisplayLength'] ) ? $_GET['iDisplayLength'] : 0;
$_GET['iDisplayStart']  = isset( $_GET['iDisplayStart'] ) ? $_GET['iDisplayStart'] : 0;
$_GET["to"]             = isset( $_GET["to"] ) ? $_GET["to"] : '';
$_GET["class_id"]       = isset( $_GET["class_id"] ) ? $_GET["class_id"] : 0;

$s = new Student;
$c = new Classes;

if ( isset( $_GET["UnDel"] ) ) {
	foreach ( $_POST["ids"] as $id ) {
		$response = $s->un_delete_student( $id );
		var_dump( $response );
	}
	exit;
}

if ( isset( $_GET["getStudentsList"] ) ) {
	extract( $_GET );
	extract( $_POST );
	$f          = new Fee;
	$Cols       = array(
		"",
		"id",
		"student_info",
		"dates",
		"class_id",
		"",
	);
	$iSortCol_0 = empty( $iSortCol_0 ) ? "0" : $iSortCol_0;
	$orderby    = $Cols[ $iSortCol_0 ];
	$sSortDir_0 = empty( $sSortDir_0 ) ? "DESC" : $sSortDir_0;
	$order      = $sSortDir_0;

	$iDisplayLength = intval( $_GET['iDisplayLength'] );
	$iDisplayStart  = intval( $_GET['iDisplayStart'] );
	if ( $iDisplayLength == 0 ) {
		$page = 1;
	} else {
		$page = ( $iDisplayStart / $iDisplayLength ) + 1;
	}

	$filter = "";
	if ( ! empty( $_GET["from"] ) ) {
		$filter .= "&admission_date=" . $_GET["from"] . "," . $_GET["to"];
	}
	if ( is_array( $_GET["class_id"] ) ) {
		$filter .= "&classes=" . implode( ",", $_GET["class_id"] );
	} elseif ( ! empty( $_GET["class_id"] ) && $_GET["class_id"] > 0 ) {
		$filter .= "&class_id=" . $_GET["class_id"];
	}
	$filter = urlencode( trim( $filter, "&" ) );
	if ( ! isset( $sSearch ) ) {
		$sSearch = "";
	}
	$sSearch = trim( $sSearch );
	$query   = "page={$page}&pagesize={$iDisplayLength}&orderby={$orderby}&order={$order}&search={$sSearch}&filter={$filter}";
	if ( isset( $subjects ) && $subjects <> "" ) {
		if ( is_array( $subjects ) ) {
			$subjects = implode( ",", $subjects );
		}
		$query .= "&subjects={$subjects}";
	}
	$query .= "&deleted=1";
	$rows  = $s->get_students( $query );

	$records["aaData"] = array();
	foreach ( $rows["rows"] as $row ) {
		$details = "
        <table>
            <tr>
                <td style=\"text-align: right;color:#999999\">Name (Roll): </td>
                <td><a href=\"{$row["profile_url"]}\"><b>{$row["name"]}</b></a> <em>({$row["roll"]})</em></td>
            </tr>
            <tr>
                <td style=\"text-align: right;color:#999999\">Guardaian:</td>
                <td>{$row["guardian_name"]} <em>({$row["guardian_cell"]})</em></td>
            </tr>
        </table>";
		$fee     = $s->get_student_fee( $row["id"] );
		$fee2    = $f->get_not_paid( "", "student_id=" . $row["id"] );
		$t       = 0;
		if ( is_array( $fee2 ) ) {
			foreach ( $fee2 as $fe ) {
				$t += ( $fe["amount"] + $fe["fine"] );
			}
		}
		if ( $t > 0 ) {
			$style = "style='font-weight:bold;background:#FEB535;padding:0 5px;'";
		} else {
			$style = "";
		}
		$dates = "<table>
                    <tr>
                        <td style=\"text-align: right;color:#999999\">".__("Monthly Fee").":</td>
                        <td>" . App::set_currency( $fee ) . "</td>
                    </tr>
                    <tr>
                        <td style=\"text-align: right;color:#999999\">".__("Payables") . ":</td>
                        <td $style>" . App::set_currency( $t ) . "</td>
                    </tr>
                </table>";
		if ( $row["deleted"] == "0" ) {
			$btn = "<button title=\"".__("Delete This Student")."\" onclick=\"Delete({$row["id"]},this)\" class=\"tooltips btn red btn-xs\"><i class=\"fa fa-trash-o\"></i> ".__("Delete")."</button>";
		} else {
			$btn = "<button title=\"".__("Un-Delete This Student")."\" onclick=\"UnDelete({$row["id"]},this)\" class=\"tooltips btn green btn-xs\"><i class=\"fa fa-trash-o\"></i> ".__("Un-Delete")."</button>";
		}
		$records["aaData"][] = array(
			"<input type='checkbox' class='checkboxes' value='{$row["id"]}'/>",
			$row["id"],
			$details,
			$dates,
			$row["class"] . " - " . $row["batch"] . "<br /><span style='color:#999999'>Admission Date:</span> {$row["admission_date2"]}",
			$btn,
		);
	}

	$records["sEcho"]                = empty( $sEcho ) ? 1 : $sEcho;
	$records["iTotalRecords"]        = $rows["total_records"];
	$records["iTotalDisplayRecords"] = $rows["total_records"];

	echo json_encode( $records );
	exit;
}


$title = "Deleted Students | " . System;
include_once( __DIR__ . "/header.php" ); ?>

<!-- BEGIN CONTAINER -->
<div class="page-container">
	<!-- BEGIN SIDEBAR -->
	<?php include_once( __DIR__ . "/sidebar.php" ); ?>
	<!-- END SIDEBAR -->

	<!-- BEGIN CONTENT -->
	<div class="page-content-wrapper">
		<div class="page-content">
			<!-- BEGIN SAMPLE PORTLET CONFIGURATION MODAL FORM-->

			<!-- END STYLE CUSTOMIZER -->
			<!-- BEGIN PAGE HEADER-->
			<div class="row">
				<div class="col-md-12">
					<!-- BEGIN PAGE TITLE & BREADCRUMB-->
					<h3 class="page-title">
						<?php _e("Deleted Students") ?>
						<small><?php _e("Manage students") ?></small>
					</h3>
					<ul class="page-breadcrumb breadcrumb">
						<li class="btn-group">
							<button type="button" class="btn blue dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-delay="1000" data-close-others="true">
							<span>
								<?php _e("Actions") ?>
							</span>
								<i class="fa fa-angle-down"></i>
							</button>
							<ul class="dropdown-menu pull-right" role="menu">
								<li>
									<a href="<?php echo Urls::get_url( "admission" ) ?>"><?php _e("Add Student/Admission") ?></a>
								</li>
								<li>
									<a onclick="UnDelete();" href="javascript:;"><?php _e("Un-Delete") ?></a>
								</li>
								<!--li>
									<a href="#">Something else here</a>
								</li>
								<li class="divider">
								</li>
								<li>
									<a href="#">Separated link</a>
								</li-->
							</ul>
						</li>
						<li>
							<i class="fa fa-home"></i>
							<a href="<?php echo DOMAIN_URL ?>"><?php _e("Home") ?></a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="<?php echo Urls::get_url( "students" ) ?>"><?php _e("Students") ?></a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="<?php echo Urls::get_url( "deleted_students" ) ?>"><?php _e("Deleted Students") ?></a>
						</li>
					</ul>
					<!-- END PAGE TITLE & BREADCRUMB-->
				</div>
			</div>
			<!-- END PAGE HEADER-->
			<!-- BEGIN PAGE CONTENT-->
			<div class="row">
				<div class="col-md-12">
					<div class="portlet box blue">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-user"></i><?php _e("Students List") ?> - <?php _e("Batch") ?>: <?php echo $s->get_active_batch_name() ?>
							</div>
							<div class="tools">
								<a href="javascript:;" class="collapse"></a>
								<a href="#portlet-config" data-toggle="modal" class="config"></a>
								<a href="javascript:;" class="reload"></a>
								<a href="javascript:;" class="remove"></a>
							</div>
						</div>
						<div class="portlet-body">
							<!--div class="table-toolbar">
								
								<div class="btn-group pull-right">
									<button class="btn dropdown-toggle" data-toggle="dropdown">Tools <i class="fa fa-angle-down"></i>
									</button>
									<ul class="dropdown-menu pull-right">
										<li>
											<a href="#">Print</a>
										</li>
										<li>
											<a href="#">Save as PDF</a>
										</li>
										<li>
											<a href="#">Export to Excel</a>
										</li>
									</ul>
								</div>
							</div-->
							<table class="table table-striped table-bordered table-hover" id="sample_11">
								<thead>
								<tr>
									<th class="table-checkbox">
										<input type="checkbox" class="group-checkable" data-set="#sample_1 .checkboxes" />
									</th>
									<th style="width: 50px;"><?php _e("ID") ?></th>
									<th style="width: 140px;"><?php _e("Student Info") ?></th>
									<th><?php _e("Dates") ?></th>
									<th><?php _e("Class") ?></th>
								</tr>
								</thead>
								<tbody>
								</tbody>
							</table>
						</div>
					</div>

				</div>
			</div>
			<!-- END PAGE CONTENT-->
		</div>
	</div>
	<!-- END CONTENT -->
</div>
<!-- END CONTAINER -->
<?php include_once( __DIR__ . "/footer.php" ); ?>

<script type="text/javascript">
	var TableAjax = function() {

		return {

			//main function to initiate the module
			init: function() {

				if ( !jQuery().dataTable ) {
					return;
				}

				// begin first table
				var mmTable = $( '#sample_11' ).dataTable( {
					"sDom": "<'row'<'col-md-6 col-sm-12'l><'col-md-6 col-sm-12'f>r>t<'row'<'col-md-5 col-sm-12'i><'col-md-7 col-sm-12'p>>", //default layout without horizontal scroll(remove this setting to enable horizontal scroll for the table)
					"aLengthMenu": [
						[ 20, 40, 60, 100 ],
						[ 20, 40, 60, 100 ] // change per page values here
					],
					"bProcessing": true,
					"bServerSide": true,
					"sAjaxSource": "<?php echo Urls::get_url( "deleted_students", 0, "getStudentsList&deleted=1" ) ?>",
					// set the initial value
					"iDisplayLength": 20,
					//                "sPaginationType": "bootstrap_full_number",
					"oLanguage": {
						"sProcessing": '<i class="fa fa-coffee"></i>&nbsp;<?php _e( "Please wait..." ) ?>',
						"sLengthMenu": "_MENU_ records",
						"oPaginate": {
							"sPrevious": "Prev",
							"sNext": "Next"
						}
					},
					"aoColumns": [
						{ "bSortable": false },
						{ "bSortable": true },
						{ "bSortable": false },
						{ "bSortable": true },
						{ "bSortable": false }
					],
					"fnInitComplete": function( oSettings, json ) {
						jQuery( '#sample_11 tbody tr .checkboxes' ).change( function() {
							$( this ).parents( 'tr' ).toggleClass( "active" );
						} ).uniform();
					}
				} );

				$( "#sample_11 tfoot input" ).on( 'keyup change', function() {
					table
						.column( $( this ).parent().index() + ':visible' )
						.search( this.value )
						.draw();
				} );

				jQuery( '#sample_11_wrapper .dataTables_filter input' ).addClass( "form-control input-medium" ); // modify table search input
				jQuery( '#sample_11_wrapper .dataTables_length select' ).addClass( "form-control input-small" ); // modify table per page dropdown

				// handle record edit/remove
				/*$('body').on('click', '#sample_11_wrapper .btn-editable', function() {
					alert('Edit record with id:' + $(this).attr("data-id"));
				});

				$('body').on('click', '#sample_11_wrapper .btn-removable', function() {
					alert('Remove record with id:' + $(this).attr("data-id"));
				});*/

			}

		};

	}();
	TableAjax.init();
	$( function() {
		jQuery( '#sample_11 .group-checkable' ).change( function() {
			var set = jQuery( ".checkboxes" );
			var checked = jQuery( this ).is( ":checked" );
			jQuery( set ).each( function() {
				if ( checked ) {
					$( this ).attr( "checked", true );
					$( this ).parents( 'tr' ).addClass( "active" );
				} else {
					$( this ).attr( "checked", false );
					$( this ).parents( 'tr' ).removeClass( "active" );
				}
			} );
			jQuery.uniform.update( set );
		} );
	} );

	function UnDelete() {
		var set = jQuery( ".checkboxes:checked" );
		var data = new Array();
		$.each( set, function( k, v ) {
			data[ k ] = $( v ).val();
		} );
		if ( set.length=="0" ) {
			Error( "<?php _e("Please select student to un-delete") ?>" );
		} else {
			if ( !confirm( "<?php _e( "Are you sure you want to un-delete selected students") ?>" ) ) {
				return;
			}
			Block();
			$.post( "<?php echo Urls::get_url( "deleted_students", 0, "UnDel" ) ?>", { ids: data }, function( data ) {
				UnBlock();
				$( "#del_students_span" ).text( $( "#del_students_span" ).text() - set.length );
				var $dataTable = $( '#sample_11' ).dataTable();
				$dataTable.fnDraw();
				//window.location.href = window.location.href;
			} );
		}
	}
</script>
</body>
<!-- END BODY -->
</html>