<?php
if ( ! defined( "ROOT_PATH" ) ) {
	echo "Hay! Don't cheat, We don't allow to view this file too. . :)";
	exit;
}
if ( ! \Admins\UserInfo::is_allowed( "manage_teachers" ) ) {
	include_once( __DIR__ . "/no_access.php" );
}
$title = "Edit Employees - " . System;
include_once( __DIR__ . "/header.php" );
$id = (int) isset( $_GET["id"] ) ? $_GET["id"] : 0;
if ( $db->get_var( "SELECT COUNT(*) FROM `otheremployees` WHERE `id`=$id" ) == 0 ) {
	Urls::redirect( Urls::get_url( "allemployees" ) );
}
$e = new Employess;
$E = $e->get_employess_id( $id );
if ( empty( $E ) ) {
	Urls::redirect( Urls::get_url( "allemployees" ) );
	die();
}
foreach ( $E as $row ): endforeach;
?>
<!-- BEGIN CONTAINER -->
<div class="page-container">
	<!-- BEGIN SIDEBAR -->
	<?php include_once( __DIR__ . "/sidebar.php" ); ?>
	<!-- END SIDEBAR -->
	<!-- BEGIN CONTENT -->
	<div class="page-content-wrapper">
		<div class="page-content">
			<!-- BEGIN PAGE HEADER-->
			<div class="row">
				<div class="col-md-12">
					<!-- BEGIN PAGE TITLE & BREADCRUMB-->
					<h3 class="page-title">
						<?php echo __("Other Employees") ?>
						<small><?php echo __("Manage other employees data here") ?></small>
					</h3>
					<ul class="page-breadcrumb breadcrumb">

						<li>
							<i class="fa fa-home"></i>
							<a href="<?php echo DOMAIN_URL ?>"><?php echo __("Home") ?></a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="<?php echo Urls::get_url( "otheremployees" ) ?>"><?php echo __("Other Employees") ?></a>
							<i class="fa fa-angle-right"></i>
						</li>
					</ul>
					<!-- END PAGE TITLE & BREADCRUMB-->
				</div>
			</div>
			<!-- END PAGE HEADER-->
			<!-- BEGIN PAGE CONTENT-->
			<div class="row">
				<div class="col-md-12">
					<div class="portlet box blue">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-reorder"></i> <?php echo __("Edit Employees") ?>
							</div>
							<div class="tools">
								<a href="javascript:;" class="collapse"></a>
								<a href="#portlet-config" data-toggle="modal" class="config"></a>
								<a href="javascript:;" class="reload"></a>
								<a href="javascript:;" class="remove"></a>
							</div>
						</div>
						<div class="portlet-body form">
							<form action="#" class="form-horizontal form-bordered" onsubmit="return Save(this)">
								<input type="hidden" name="id" id="id" value="<?php echo $id ?>">
								<div class="form-body">
									<div class="form-group">
										<label class="control-label col-md-3"><?php echo __("Name") ?></label>
										<div class="col-md-4">
											<input type="text" name="name" placeholder="<?php echo __("Employee name required") ?>" required="required" class="form-control input-xlarge" value="<?php echo $row["name"] ?>" />
										</div>
									</div>
									<div class="form-group">
										<label class="control-label col-md-3"><?php echo __("Short Name") ?></label>
										<div class="col-md-4">
											<input type="text" name="short_name" placeholder="<?php echo __("Short name for employee") ?>" class="form-control input-xlarge" value="<?php echo $row["short_name"] ?>" />
										</div>
									</div>

									<div class="form-group guardian_contact_detail">
										<label class="control-label col-md-3"><?php echo __("National ID Card") ?>
										</label>
										<div class="col-md-9">
											<input type="text" class="form-control input-xlarge nic" name="nic" placeholder="<?php echo __("Identity Card Number") ?>" value="<?php echo $row["nic"] ?>">
											<span class="help-block"></span>
										</div>
									</div>

									<div class="form-group">
										<label class="control-label col-md-3"><?php echo __("Designation") ?></label>
										<div class="col-md-4">
											<input type="text" name="designation" placeholder="<?php echo __("Designation name for employee") ?>" class="form-control input-xlarge" value="<?php echo $row["designation"] ?>" />
										</div>
									</div>
									<div class="form-group">
										<label class="control-label col-md-3"><?php echo __("Email address") ?></label>
										<div class="col-md-4">
											<input type="email" name="email" placeholder="Email address" class="form-control input-xlarge" value="<?php echo $row["email"] ?>" />
										</div>
									</div>
									<div class="form-group">
										<label class="control-label col-md-3"><?php echo __("Cell Number") ?></label>
										<div class="col-md-4">
											<input type="text" name="cell" placeholder="<?php echo __("Cell number required") ?>" value="<?php echo $row["cell"] ?>" required="required" class="form-control input-xlarge mobile">
										</div>
									</div>
									<div class="form-group">
										<label class="control-label col-md-3"><?php echo __("Date of Joining") ?></label>
										<div class="col-md-4">
											<input type="text" name="date_of_joining" placeholder="<?php echo __("Date of joining") ?>" value="<?php echo $row["date_of_joining"] ?>" required="required" data-date-format="<?php echo \Dates::date_format1_for_js() ?>" class="form-control input-xlarge date-picker" />
										</div>
									</div>
									<div class="form-group">
										<label class="control-label col-md-3"><?php echo __("Address") ?></label>
										<div class="col-md-4">
											<input type="text" name="address" placeholder="<?php echo __("Home Address") ?>" value="<?php echo $row["address"] ?>" class="form-control input-xlarge" />
										</div>
									</div>
									<div class="form-group">
										<label class="control-label col-md-3"><?php echo __("Salary") ?></label>
										<div class="col-md-4">
											<input type="number" name="salary" placeholder="Salary" value="<?php echo $row["salary"] ?>" class="form-control input-xlarge" />
										</div>
									</div>
									<!--                            <div class="form-group">-->
									<!--                                <label class="control-label col-md-3">Document</label>-->
									<!--                                <div class="col-md-4">-->
									<!--                                    <input type="file" name="document" id="document" title="Document" class="form-control input-xlarge" />-->
									<!--                                </div>-->
									<!--                            </div>-->
								</div>
								<div class="form-actions fluid">
									<div class="col-md-offset-3 col-md-9">
										<button type="submit" class="btn blue"><?php echo __("Submit") ?></button>
										<a onclick="return Cancel();" href="<?php echo Urls::get_url( "allemployees" ) ?>" class="btn default"><?php echo __("Back") ?></a>
									</div>
								</div>
							</form>
						</div>
					</div>
				</div>
			</div>
			<!-- END PAGE CONTENT-->
		</div>
	</div>
	<!-- END CONTENT -->
</div>
<!-- END CONTAINER -->

<?php include_once( __DIR__ . "/footer.php" ); ?>

<script type="text/javascript">
	function Save( form ) {
		Block();
		$.post( '<?php echo DOMAIN_URL ?>includes/ajax.php?action=saveEmployess', $( form ).serialize(), function( data ) {
			//UnBlock();
			if ( data=="OK" ) {
				Success( "<?php echo __("Employees data updated successfully") ?>" );
				window.location.href = "<?php echo Urls::get_url( "editemployees", 0, "id=" . $id )  ?>";
			} else {
				UnBlock();
				Error( data );
			}
		} );
		return false;
	}
</script>
</body>
<!-- END BODY -->
</html>