<?php
if ( ! defined( "ROOT_PATH" ) ) {
	echo "Hay! Don't cheat, We don't allow to view this file too. . :)";
	exit;
}
$title                 = __( "View email template fields" );
$EmailTemplates        = new EmailTemplates();
$_GET["assignment_id"] = isset( $_GET["assignment_id"] ) ? $_GET["assignment_id"] : 0;
include_once( __DIR__ . "/header.php" ); ?>
<div class="page-container">
	<?php include_once( __DIR__ . "/sidebar.php" ); ?>
	<div class="page-content-wrapper">
		<div class="page-content">
			<div class="row">
				<div class="col-md-12">
					<h3 class="page-title">
						<?php _e( "Email template fields" ) ?>
					</h3>
					<ul class="page-breadcrumb breadcrumb">
						<li>
							<i class="fa fa-home"></i>
							<a href="<?php echo DOMAIN_URL ?>"><?php _e( "Home" ) ?></a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="#"><?php _e( "Settings" ) ?></a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="<?php echo Urls::get_url( "email_template_fields", 0, "assignment_id=" . $_GET["assignment_id"] ); ?>">
								<?php _e( "Email template fields" ) ?>
							</a>
						</li>
					</ul>
				</div>
			</div>
			<div class="row">
				<div class="col-md-12">
					<h2><?php _e( "These fields can be used in email template" ) ?></h2>
					<code>
						<?php
						$cols = $EmailTemplates->get_template_fields( $_GET["assignment_id"] );
						if ( empty( $cols ) ) {
							echo "<i>No fields</i>";
						} else {
							echo "{" . implode( "}, {", $cols ) . "}";
						}
						?>
					</code>
				</div>
			</div>
		</div>
	</div>
</div>

<?php include_once( __DIR__ . "/footer.php" ); ?>
</body>
</html>