<?php
if ( ! defined( "ROOT_PATH" ) ) {
	echo "Hay! Don't cheat, We don't allow to view this file too. . :)";
	exit;
}

if ( get_user_browser() == "ie" ) {
	die( "<h1>Internet Explorer is not supported, Recommended browser is Google Chrome</h1>" );
}

$_file = basename( $_SERVER["PHP_SELF"] );
$_admin = new Admins();

$b = new Batch();
$GetBatch = $b->get_active_batch();

$appcache_array = [
	"index.php",
];
?><!DOCTYPE html <?php echo in_array( $_file, $appcache_array ) ? 'manifest="login.appcache"' : '' ?>>
<!--[if IE 8]>
<html lang="en" class="ie8 no-js" <?php echo in_array($_file, $appcache_array)?'manifest="login.appcache"':'' ?>> <![endif]-->
<!--[if IE 9]>
<html lang="en" class="ie9 no-js" <?php echo in_array($_file, $appcache_array)?'manifest="login.appcache"':'' ?>> <![endif]-->
<!--[if !IE]>
<html lang="en" class="no-js" <?php echo in_array($_file, $appcache_array)?'manifest="login.appcache"':'' ?>>
<!--<![endif]-->

<head>
	<meta charset="utf-8">
	<?php $title = isset( $title ) ? $title : System; ?>
	<title><?php echo strip_tags(__( $title )); ?></title>
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta content="width=device-width, initial-scale=1.0" name="viewport">
	<meta content="" name="description">
	<meta content="" name="author">
	<meta name="MobileOptimized" content="320">

	<?php load_css_files() ?>

	<!--link href="<?php echo DOMAIN_URL ?>assets/css/pace-theme-center-simple.css" rel="stylesheet" type="text/css"/-->
	<link rel="shortcut icon" href="<?php echo DOMAIN_URL ?>favicon.ico">

	<?php
	$custom_style = $db->get_option( "custom_style" );
	if ( ! empty( $custom_style ) ) { ?>
		<style>
			<?php echo $custom_style; ?>
		</style>
	<?php } ?>

	<?php include_once( ROOT_PATH . "includes/js_variables.php" ); ?>

	<script src="<?php echo ASSETS_URL ?>scripts/tmpl.min.js"></script>
</head>
<body class="page-header-fixed <?php echo $Trans->is_rtl() ? "page-sidebar-reversed rtl" : "" ?>
<?php echo $includeMe == "inbox.php" ? " page-sidebar-closed" : "" ?>" dir="<?php echo $Trans->is_rtl() ? "rtl" : "" ?>" lang="<?php echo $Trans->get_language() ?>">
<div class="modal fade" id="ajax" tabindex="-1" aria-hidden="true" style="z-index: 99999;">
	<img src="<?php echo ASSETS_URL ?>img/ajax-modal-loading.gif" alt="" class="loading">
</div>

<?php include( __DIR__ . "/top_navigation.php" ); ?>

<div class="clearfix"></div>
