<?php
if ( ! defined( "ROOT_PATH" ) ) {
	echo "Hay! Don't cheat, We don't allow to view this file too. . :)";
	exit;
}
$M = new Messages;

if ( isset( $_GET["send"] ) ) {
	$_POST["from"] = \Admins\UserInfo::get_my_id();
	echo $M->send_message( $_POST );
	exit;
}

$title           = "Inbox";
$unread_messages = \Messages::count_messages_static( "viewed=0" );
include_once( __DIR__ . "/header.php" ); ?>
<link href="<?php echo ASSETS_URL ?>css/pages/inbox.css" rel="stylesheet" type="text/css" />
<div class="clearfix">
</div>
<!-- BEGIN CONTAINER -->
<div class="page-container">
	<?php include_once( __DIR__ . "/sidebar.php" ); ?>
	<!-- BEGIN CONTENT -->
	<div class="page-content-wrapper">
		<div class="page-content">
			<!-- BEGIN PAGE HEADER-->
			<div class="row">
				<div class="col-md-12">
					<!-- BEGIN PAGE TITLE & BREADCRUMB-->
					<h3 class="page-title">
						Inbox
						<small>user inbox</small>
					</h3>
					<ul class="page-breadcrumb breadcrumb">
						<!--li class="btn-group">
							<button type="button" class="btn blue dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-delay="1000" data-close-others="true">
							<span>
								Actions
							</span>
							<i class="fa fa-angle-down"></i>
							</button>
							<ul class="dropdown-menu pull-right" role="menu">
								<li>
									<a href="#">Action</a>
								</li>
								<li>
									<a href="#">Another action</a>
								</li>
								<li>
									<a href="#">Something else here</a>
								</li>
								<li class="divider">
								</li>
								<li>
									<a href="#">Separated link</a>
								</li>
							</ul>
						</li-->
						<li>
							<i class="fa fa-home"></i>
							<a href="index.html">Home</a>
							<i class="fa fa-angle-right"></i>
						</li>
						<!--li>
							<a href="#">Extra</a>
							<i class="fa fa-angle-right"></i>
						</li-->
						<li>
							<a href="<?php echo Urls::get_url( "inbox" ) ?>">Inbox</a>
						</li>
					</ul>
					<!-- END PAGE TITLE & BREADCRUMB-->
				</div>
			</div>
			<div class="row inbox">
				<div class="col-md-2">
					<ul class="inbox-nav margin-bottom-10">
						<li class="compose-btn">
							<a href="javascript:;" data-title="Compose" class="btn green">
								<i class="fa fa-edit"></i> Compose </a>
						</li>
						<li class="inbox active">
							<a href="javascript:;" class="btn" data-title="Inbox" id="ucounter1">Inbox <?php echo $unread_messages > 0 ? "($unread_messages)" : "" ?></a>
							<b></b>
						</li>
						<li class="sent">
							<a class="btn" href="javascript:;" data-title="Sent">Sent</a><b></b>
						</li>
						<li class="draft">
							<a class="btn" href="javascript:;" data-title="Draft">Draft</a><b></b>
						</li>
						<li class="trash">
							<a class="btn" href="javascript:;" data-title="Trash">Trash</a><b></b>
						</li>
					</ul>
				</div>
				<div class="col-md-10">
					<div class="inbox-header">
						<h1 class="pull-left">Inbox</h1>
						<!--form class="form-inline pull-right" action="index.html">
							<div class="input-group input-medium">
								<input type="text" class="form-control" placeholder="Password">
								<span class="input-group-btn">
									<button type="submit" class="btn green"><i class="fa fa-search"></i></button>
								</span>
							</div>
						</form-->
					</div>
					<div class="inbox-loading">
						Loading...
					</div>
					<div class="inbox-content">
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- END CONTENT -->
</div>
<!-- END CONTAINER -->

<?php include_once( __DIR__ . "/footer.php" ); ?>
<script src="<?php echo ASSETS_URL ?>plugins/fancybox/source/jquery.fancybox.pack.js" type="text/javascript"></script>
<script src="<?php echo ASSETS_URL ?>plugins/jquery-file-upload/js/vendor/jquery.ui.widget.js"></script>
<script src="<?php echo ASSETS_URL ?>plugins/jquery-file-upload/js/vendor/tmpl.min.js"></script>
<script src="<?php echo ASSETS_URL ?>plugins/jquery-file-upload/js/jquery.iframe-transport.js"></script>
<script src="<?php echo ASSETS_URL ?>scripts/inbox.js?<?php echo time() ?>"></script>
<script type="text/javascript">
	jQuery( document ).ready( function() {
		// initiate layout and plugins
		Inbox.init();
	} );
</script>
</body>
<!-- END BODY -->
</html>