<?php
if ( ! defined( "ROOT_PATH" ) ) {
	echo "Hay! Don't cheat, We don't allow to view this file too. . :)";
	exit;
}
$title = "Manage Holidays";
include_once( __DIR__ . "/header.php" ); ?>
<link href="<?php echo ASSETS_URL ?>plugins/fullcalendar/fullcalendar/fullcalendar.css" rel="stylesheet" />
<!-- BEGIN CONTAINER -->
<style>
	#loading {
		display: none;
		position: absolute;
		top: 10px;
		right: 10px;
	}
</style>
<div class="page-container">

	<?php
	$fine = new Fine;
	$row  = $fine->generate_fine();
	?>

	<div class="modal fade" id="holidy_action" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
					<h4 class="modal-title">Action</h4>
				</div>
				<div class="modal-body">
					Select Action for holidy
				</div>
				<div class="modal-footer">
					<button type="button" class="btn blue" onclick="Edit()">Edit</button>
					<button type="button" class="btn red">Delete</button>
					<button type="button" class="btn default" data-dismiss="modal">Close</button>
				</div>
			</div>
			<!-- /.modal-content -->
		</div>
		<!-- /.modal-dialog -->
	</div>

	<!-- BEGIN SIDEBAR -->
	<?php include_once( __DIR__ . "/sidebar.php" ); ?>
	<!-- END SIDEBAR -->
	<div class="modal fade" id="holiday_modal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
					<h4 class="modal-title">Holiday</h4>
				</div>
				<div class="modal-body">
					<form name="form1" id="form1" onsubmit="return Save(this);">
						<input type="hidden" name="id" id="id" value="0" />
						<input type="submit" id="submit1" style="display:none" />
						<table class="table table-bordered">
							<tr>
								<td>Holiday Title:</td>
								<td><input required="required" type="text" class="form-control" id="title" name="title">
								</td>
							</tr>
							<tr>
								<td>From Date:</td>
								<td>
									<input required="required" type="text" class="form-control date-picker" data-date-format="<?php echo \Dates::date_format1_for_js(); ?>" id="from_date" name="from_date">
								</td>
							</tr>
							<tr>
								<td>To Date:</td>
								<td>
									<input required="required" type="text" class="form-control date-picker" data-date-format="<?php echo \Dates::date_format1_for_js(); ?>" id="to_date" name="to_date">
								</td>
							</tr>
						</table>
					</form>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn blue" onclick="SubmitForm()">Save changes</button>
					<button type="button" class="btn default" data-dismiss="modal">Close</button>
				</div>
			</div>
			<!-- /.modal-content -->
		</div>
		<!-- /.modal-dialog -->
	</div>
	<!-- BEGIN CONTENT -->
	<div class="page-content-wrapper">
		<div class="page-content">
			<!-- BEGIN PAGE HEADER-->
			<div class="row">
				<div class="col-md-12">
					<!-- BEGIN PAGE TITLE & BREADCRUMB-->
					<h3 class="page-title">
						Manage Holidays
						<small>Manage holidays</small>
					</h3>
					<ul class="page-breadcrumb breadcrumb">
						<li class="btn-group">
							<button type="button" class="btn blue dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-delay="1000" data-close-others="true">
							<span>
								Actions
							</span>
								<i class="fa fa-angle-down"></i>
							</button>
							<ul class="dropdown-menu pull-right" role="menu">
								<li>
									<a href="javascript:void()" onclick="OpenForm()"><i class="fa fa-plus"></i> Add Holiday</a>
								</li>
								<!--li>
									<a href="#">Another action</a>
								</li>
								<li>
									<a href="#">Something else here</a>
								</li>
								<li class="divider">
								</li>
								<li>
									<a href="#">Separated link</a>
								</li-->
							</ul>
						</li>
						<li>
							<i class="fa fa-home"></i>
							<a href="<?php echo DOMAIN_URL ?>">Home</a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="<?php echo Urls::get_url( "manage_holidays" ) ?>">Manage Holidays</a>
						</li>
					</ul>
					<!-- END PAGE TITLE & BREADCRUMB-->
				</div>
			</div>
			<!-- END PAGE HEADER-->
			<!-- BEGIN PAGE CONTENT-->
			<div class="row">
				<div class="col-md-12">
					<div class="portlet box blue calendar">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-reorder"></i>Calendar
							</div>
						</div>
						<div class="portlet-body light-grey">
							<div class="row">
								<!--div class="col-md-3 col-sm-12">
									<h3 class="event-form-title">Draggable Events</h3>
									<div id="external-events">
										<form class="inline-form">
											<input type="text" value="" class="form-control" placeholder="Event Title..." id="event_title"/><br/>
											<a href="javascript:;" id="event_add" class="btn green">Add Event</a>
										</form>
										<hr/>
										<div id="event_box">
										</div>
										<label for="drop-remove">
										<input type="checkbox" id="drop-remove"/>remove after drop </label>
										<hr class="visible-xs"/>
									</div>
								</div-->
								<div class="col-md-12 col-sm-12">
									<div id='loading'>loading...</div>
									<div id="calendar" class="has-toolbar">
									</div>
								</div>
							</div>
							<!-- END CALENDAR PORTLET-->
						</div>
					</div>

				</div>
			</div>
			<!-- END PAGE CONTENT-->
		</div>
	</div>
	<!-- END CONTENT -->
</div>
<!-- END CONTAINER -->
<!--script src="<?php echo \Theme::url() ?>js/moment.min.js"></script-->
<?php include_once( __DIR__ . "/footer.php" ); ?>
<script src="<?php echo \Theme::url() ?>js/manage_holidays.js.php?<?php echo time() ?>"></script>
<script type="text/javascript">
	$( function() {
		Calendar.init();
		$( "#from_date" ).change( function() {
			if ( $( "#to_date" ).val()=="" ) {
				$( "#to_date" ).val( $( this ).val() );
			}
		} );
		$( "#to_date" ).change( function() {
			if ( $( "#from_date" ).val()=="" ) {
				$( "#from_date" ).val( $( this ).val() );
			}
		} );
	} );

	function OpenForm() {
		document.form1.reset();
		$( "#holiday_modal" ).modal( "show" );
	}

	function SubmitForm() {
		$( "#submit1" ).click();
	}

	function Save( form ) {
		Block();
		$.post( "<?php echo Urls::get_url( "ajax", 0, "action=saveHoliday" ) ?>", $( form ).serialize(), function( data ) {
			UnBlock();
			if ( data.substr( 0, 2 )=="OK" ) {
				$( "#holiday_modal" ).modal( "hide" );
				Success( "Holiday save successfully!" );
				window.location.href = "<?php echo Urls::get_url( "manage_holidays" ) ?>";
			} else {
				Error( data );
			}
		} );

		return false;
	}

	function Edit() {
		Block();
		$.post( "<?php echo Urls::get_url( "ajax", 0, "action=getHoliday" ) ?>", { id: HolidayID }, function( data ) {
			UnBlock();
			if ( data.substr( 0, 2 )=="OK" ) {
				data = data.substr( 2 );
				alert( data );
				data = json_encode( data );
				alert( data );
				//alert(data.title2);
			} else {
				Error( data );
			}
			//$("#holiday_modal").modal("show");
		} );
	}
</script>
</body>
<!-- END BODY -->
</html>