<?php
$guardian = new Guardian();
if ( isset( $_GET['save'] ) ) {
	echo $guardian->save( $_POST );
	exit;
}
if ( isset( $_GET['load_data'] ) ) {
	$rows = $guardian->get_guardians();
	$html = "";
	foreach ( $rows["rows"] as $key => $row ) {
		$html .= "<tr><td>{$row['id']}</td>" . "<td>{$row['email']}</td>" . "<td>{$row['active']}</td>" . // "<td>{$row['login_history']}</td>" .
		         "<td><a class='editrow' data-parentid='{$key}' style='cursor:pointer'><i class='fa fa-pencil-square-o' aria-hidden='true'></i></a></td>" . "</tr>";
	}
	if ( $rows['total_records'] == '0' ) {
		$html = "<tr><td class='center' colspan='4'>-- No parents/guardians found --</td></tr>";
	}

	$rows["html"] = $html;
	echo json_encode( $rows );
	exit;
}
$title = "Parents/Guardians";
include_once "header.php";
$s = new Student;
$S = $s->get_allStudent();
?>

<!-- BEGIN CONTAINER -->
<div class="page-container">
	<!-- BEGIN SIDEBAR -->
	<?php include_once "sidebar.php"; ?>
	<!-- END SIDEBAR -->

	<!-- BEGIN CONTENT -->
	<div class="page-content-wrapper">
		<div class="page-content">

			<?php
			$guardian = new Guardian();
			$rows     = $guardian->get_guardians();
			foreach ( $rows["rows"] as $key => $row ) {
				?>

				<div class="modal fade" id="editmodel<?php echo $key ?>" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
				     aria-hidden="true">
					<div class="modal-dialog modal-lg">
						<div class="modal-content">
							<div class="modal-header">
								<button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
								<h4 class="modal-title">Edit Parent/Guardian</h4>
							</div>
							<div class="modal-body">
								<form action="#" class="form-horizontal" id="edit-form<?php echo $key ?>">
									<div class="form-body">
										<input type="hidden" name="id" id="id" value="<?php echo $row["id"]; ?>">
										<div class="form-group">
											<label for="form1_email" class="col-md-3 control-label">Email Address</label>
											<div class="col-md-9">
												<div class="input-group">
                                                <span class="input-group-addon">
                                                <i class="fa fa-envelope"></i>
                                                </span>
													<input required="required" id="form1_email<?php echo $key ?>" name="email" type="email" class="form-control" placeholder="Email Address" value="<?php echo $row['email'] ?>">
												</div>
											</div>
										</div>

										<?php
										if ( $row['studentids'] ) {
											$getstudentids = explode( ',', $row['studentids'] );
										} else {
											$getstudentids = array();
										}
										?>

										<div class="form-group">
											<label for="form1_email" class="col-md-3 control-label">Student Name</label>
											<div class="col-md-9">
												<div class="input-group">
                                                <span class="input-group-addon">
                                                <i class="fa fa-user"></i>
                                                </span>
													<select class="form-control select2" name="studentids[]" multiple="multiple" required="required">
														<?php foreach ( $S as $srow ): ?>
															<option <?php if ( in_array( $srow["id"], $getstudentids ) ) { ?> selected <?php } ?>
																value="<?php echo $srow["id"] ?>"><?php echo $srow["name"] ?></option>
														<?php endforeach; ?>
													</select>
												</div>
											</div>
										</div>

									</div>
								</form>
							</div>
							<div class="modal-footer">
								<button id="form1_submit_btn" type="button" class="btn blue editparent" data-editparentid="<?php echo $key ?>">Save changes</button>
								<button type="button" class="btn default" data-dismiss="modal">Close</button>
							</div>
						</div>
						<!-- /.modal-content -->
					</div>
					<!-- /.modal-dialog -->
				</div>

			<?php } ?>

			<!-- BEGIN SAMPLE PORTLET CONFIGURATION MODAL FORM-->
			<div class="modal fade" id="modal1" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
			     aria-hidden="true">
				<div class="modal-dialog modal-lg">
					<div class="modal-content">
						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
							<h4 class="modal-title">Save Parent/Guardian</h4>
						</div>
						<div class="modal-body">
							<form action="#" class="form-horizontal" id="form1">
								<input type="hidden" name="id" id="form1_id" value="0">
								<input type="reset" id="form1_reset" style="display: none;">
								<input type="submit" id="form1_submit" style="display: none;">
								<div class="form-body">
									<div class="form-group">
										<label for="form1_email" class="col-md-3 control-label">Email Address</label>
										<div class="col-md-9">
											<div class="input-group">
															<span class="input-group-addon">
																<i class="fa fa-envelope"></i>
															</span>
												<input required="required" id="form1_email" name="email" type="email"
												       class="form-control" placeholder="Email Address">
											</div>
										</div>
									</div>

									<div class="form-group">
										<label for="form1_email" class="col-md-3 control-label">Child Name</label>
										<div class="col-md-9">
											<div class="input-group">
                                                <span class="input-group-addon">
                                                <i class="fa fa-user"></i>
                                                </span>
												<select class="form-control select2" name="studentids[]" multiple="multiple" required="required">
													<?php foreach ( $S as $srow ): ?>
														<option value="<?php echo $srow["id"] ?>"><?php echo $srow["name"] ?></option>
													<?php endforeach; ?>
												</select>
											</div>
										</div>
									</div>

									<div class="form-group">
										<label for="form1_password1" class="col-md-3 control-label">Password</label>
										<div class="col-md-9">
											<div class="input-group">
												<input type="password" name="password1" id="form1_password1"
												       class="form-control" placeholder="Password" autocomplete="on">
												<span class="input-group-addon">
                                                    <i class="fa fa-key"></i>
                                                </span>
											</div>
										</div>
									</div>
									<div class="form-group">
										<label for="form1_password2" class="col-md-3 control-label">Confirm
											Password</label>
										<div class="col-md-9">
											<div class="input-group">
												<input type="password" name="password2" id="form1_password2"
												       class="form-control" placeholder="Confirm Password"
												       autocomplete="on">
												<span class="input-group-addon">
                                                    <i class="fa fa-key"></i>
                                                </span>
											</div>
										</div>
									</div>
									<div class="form-group">
										<label class="col-md-3 control-label">Active</label>
										<div class="col-md-9">
											<select name="active" id="form1_active" class="form-control">
												<option value="1">Yes</option>
												<option value="0">No</option>
											</select>
										</div>
									</div>
								</div>
							</form>
						</div>
						<div class="modal-footer">
							<button id="form1_submit_btn" type="button" class="btn blue">Save changes</button>
							<button type="button" class="btn default" data-dismiss="modal">Close</button>
						</div>
					</div>
					<!-- /.modal-content -->
				</div>
				<!-- /.modal-dialog -->
			</div>
			<!-- /.modal -->
			<!-- BEGIN PAGE HEADER-->
			<div class="row">
				<div class="col-md-12">
					<!-- BEGIN PAGE TITLE & BREADCRUMB-->
					<h3 class="page-title">
						Parents/Guardians
					</h3>
					<ul class="page-breadcrumb breadcrumb">
						<li class="btn-group">
							<button class="btn btn-primary add_link"><i class="fa fa-plus"></i> Add Parent/Guardian
							</button>
							<button type="button" class="btn blue dropdown-toggle" data-toggle="dropdown"
							        data-hover="dropdown" data-delay="1000" data-close-others="true">
							<span>
								Actions
							</span>
								<i class="fa fa-angle-down"></i>
							</button>
							<ul class="dropdown-menu pull-right" role="menu">
								<li>
									<a class="add_link" href="#"><i class="fa fa-plus"></i> Add Parent/Guardian</a>
								</li>
							</ul>
						</li>
						<li>
							<i class="fa fa-home"></i>
							<a href="<?php echo DOMAIN_URL ?>">Home</a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="#">Layouts</a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="#">Blank Page</a>
						</li>
					</ul>
					<!-- END PAGE TITLE & BREADCRUMB-->
				</div>
			</div>
			<!-- END PAGE HEADER-->
			<!-- BEGIN PAGE CONTENT-->
			<div class="row">
				<div class="col-md-12">
					<table class="table new_table table-striped table-bordered table-hover datatable" id="table1">
						<thead>
						<tr class="heading">
							<th>ID</th>
							<th>Email</th>
							<th>Active</th>
							<th>Edit</th>
						</tr>
						</thead>
						<tbody></tbody>
					</table>
				</div>
			</div>
			<!-- END PAGE CONTENT-->

		</div>
	</div>
	<!-- END CONTENT -->
</div>
<!-- END CONTAINER -->

<?php include_once "footer.php"; ?>

<script type="text/javascript">
	function load_data() {
		Block();
		$.post( "<?php echo Urls::get_url( "parents", 0, "load_data" ) ?>", function( data ) {
			UnBlock();
			if ( is_json( data ) ) {
				data = JSON.parse( data );
				$( "#table1 tbody" ).html( data.html );
				//$("#table1").table();
			} else {
				Error( data );
			}
		} );
	}

	$( function() {
		load_data();
		$( document ).on( "click", "#form1_submit_btn", function() {
			$( "#form1_submit" ).click();
		} );
		$( document ).on( "submit", "#form1", function() {
			$( "#modal1" ).modal( "hide" );
			Block();
			$.post( "<?php echo Urls::get_url( "parents", 0, "save" ) ?>", $( "#form1" ).serialize(), function( data ) {
				UnBlock();
				if ( data.substr( 0, 2 ) == "OK" ) {
					Success( "New record added!" );
					load_data();
				} else {
					Error( data );
					$( "#modal1" ).modal( "show" );
				}
			} );
			return false;
		} );
		$( document ).on( "click", ".add_link", function( e ) {
			e.preventDefault();
			$( "#form1_reset" ).click();
			$( "#form1_password1, #form1_password2, #form1_email" ).parent().parent().addClass( "has-error" );
			$( "#modal1" ).modal( "show" );
		} );

		$( document ).on( "click", ".editrow", function( e ) {
			e.preventDefault();
			var $this = $( this );
			var rowid = $( this ).data( "parentid" );
			$( "#editmodel" + rowid ).modal( "show" );
		} );

		$( document ).on( "click", ".editparent", function( e ) {
			e.preventDefault();
			var $this = $( this );
			var rowid = $( this ).data( "editparentid" );
			Block();
			// $.post("<?php echo Urls::get_url( "parents", 0, "save" ) ?>", $("#edit-form"+rowid).serialize(), function (data) {
			$.post( "<?php echo DOMAIN_URL ?>includes/ajax.php?action=ParentEdit", $( "#edit-form" + rowid ).serialize(), function( data ) {
				UnBlock();
				if ( data.substr( 0, 2 ) == "OK" ) {
					Success( "Record Updated!" );
					load_data();
					$( "#editmodel" + rowid ).modal( "hide" );
				} else {
					Error( data );
					// $("#modal1").modal("show");
				}
			} );
			return false;
		} );

	} );
</script>
</body>
<!-- END BODY -->
</html>