<?php
if ( ! defined( "ROOT_PATH" ) ) {
	echo "Hay! Don't cheat, We don't allow to view this file too. . :)";
	exit;
}
$title = "Defaulter Students";
include_once( __DIR__ . "/header.php" );
$BatchClass = new BatchClass;
$C          = $BatchClass->get_list();
?>

<!-- BEGIN CONTAINER -->
<div class="page-container">
	<!-- BEGIN SIDEBAR -->
	<?php include_once( __DIR__ . "/sidebar.php" ); ?>
	<!-- END SIDEBAR -->

	<!-- BEGIN CONTENT -->
	<div class="page-content-wrapper">
		<div class="page-content">
			<!-- BEGIN PAGE HEADER-->
			<div class="row">
				<div class="col-md-12">
					<!-- BEGIN PAGE TITLE & BREADCRUMB-->
					<h3 class="page-title">
						Students List Report
						<small>Generate report</small>
					</h3>
					<ul class="page-breadcrumb breadcrumb">
						<li>
							<i class="fa fa-home"></i>
							<a href="<?php echo DOMAIN_URL ?>">Home</a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="#">Reporting</a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="<?php echo Urls::get_url( "report/students/defaulters" ) ?>">Defaulter Students</a>
						</li>
					</ul>
					<!-- END PAGE TITLE & BREADCRUMB-->
				</div>
			</div>
			<!-- END PAGE HEADER-->
			<!-- BEGIN PAGE CONTENT-->
			<div class="row">
				<div class="col-md-12">
					<div class="portlet box blue">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-reorder"></i>Generate Report
							</div>
							<div class="tools">
								<a href="javascript:;" class="collapse"></a>
								<a href="#portlet-config" data-toggle="modal" class="config"></a>
								<a href="javascript:;" class="reload"></a>
								<a href="javascript:;" class="remove"></a>
							</div>
						</div>
						<div class="portlet-body form">
							<form target="_ems" action="<?php echo Urls::get_url( "download_report_students_defaulters" ) ?>" class="form-horizontal form-bordered">
								<div class="form-body">
									<div class="form-group">
										<label class="control-label col-md-3">Report type</label>
										<div class="col-md-4">
											<select class="form-control input-xlarge" name="report_type">
												<option value="0">Show Defaulters</option>
												<option value="1">Show Overdue</option>
											</select>
											<!--span class="help-block">
												Select class
											</span-->
										</div>
									</div>
									<div class="form-group">
										<label class="control-label col-md-3">Select Class</label>
										<div class="col-md-4">
											<select class="form-control input-xlarge" name="class_id">
												<option value="0">=== All Classes ===</option>
												<?php foreach ( $C as $c ): ?>
													<option value="<?php echo $c["id"] ?>"><?php echo $c["class_name"] ?></option>
												<?php endforeach; ?>
											</select>
											<!--span class="help-block">
												Select class
											</span-->
										</div>
									</div>
								</div>
								<!--div class="form-group">
									<label class="control-label col-md-3">Order By</label>
									<div class="col-md-4">
										<div class="input-group input-xlarge date-picker input-daterange" data-date-format="dd-mm-yyyy">
											<select class="form-control" name="orderby">
												<option value="">==Default==</option>
												<option value="name">Student Name</option>
												<option value="total">Total Marks</option>
												<option selected="selected" value="percentage">Percentage</option>
											</select>
											<span class="input-group-addon">
												order
											</span>
											<select class="form-control" name="order">
												<option value="ASC">Ascending</option>
												<option selected="selected" value="DESC">Descending</option>
											</select>
										</div>
										<span class="help-block">
											Change order of records
										</span>
									</div>
								</div-->
								<div id="moresubjects"></div>
								<div class="form-actions fluid">
									<div class="col-md-offset-3 col-md-9">
										<button type="submit" name="viewBtn" class="btn green">View Report</button>
										<button type="submit" name="downBtn" class="btn blue">Download Report</button>
									</div>
								</div>
							</form>
						</div>
					</div>
				</div>
			</div>
			<!-- END PAGE CONTENT-->
		</div>
	</div>
	<!-- END CONTENT -->
</div>
<!-- END CONTAINER -->

<?php include_once( __DIR__ . "/footer.php" ); ?>

<script type="text/javascript">

</script>
</body>
<!-- END BODY -->
</html>