<?php
if ( ! defined( "ROOT_PATH" ) ) {
	echo "Hay! Don't cheat, We don't allow to view this file too. . :)";
	exit;
}
$gotourl = isset( $_GET["goto"] ) ? $_GET["goto"] : DOMAIN_URL;
if ( \Admins\UserInfo::is_loggedin() ) {
	Urls::redirect( $gotourl );
} ?>
<!DOCTYPE html>
<!--[if IE 8]>
<html lang="en" class="ie8 no-js"> <![endif]-->
<!--[if IE 9]>
<html lang="en" class="ie9 no-js"> <![endif]-->
<!--[if !IE]><!-->
<html lang="en" class="no-js">
<!--<![endif]-->
<!-- BEGIN HEAD -->
<head>
	<meta charset="utf-8" />
	<title>Reset your password | <?php echo System ?></title>
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta content="width=device-width, initial-scale=1.0" name="viewport" />
	<meta content="" name="description" />
	<meta content="" name="author" />
	<meta name="MobileOptimized" content="320">
	<!-- BEGIN GLOBAL MANDATORY STYLES -->
	<link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.6.3/css/font-awesome.min.css" rel="stylesheet" type="text/css">
	<link href="<?php echo ASSETS_URL ?>plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo ASSETS_URL ?>plugins/uniform/css/uniform.default.css" rel="stylesheet" type="text/css" />
	<!-- END GLOBAL MANDATORY STYLES -->
	<!-- BEGIN PAGE LEVEL STYLES -->
	<link rel="stylesheet" type="text/css" href="<?php echo ASSETS_URL ?>plugins/select2/select2_metro.css" />
	<!-- END PAGE LEVEL SCRIPTS -->
	<!-- BEGIN THEME STYLES -->
	<link href="<?php echo ASSETS_URL ?>css/style-metronic.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo ASSETS_URL ?>css/style.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo ASSETS_URL ?>css/style-responsive.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo ASSETS_URL ?>css/plugins.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo ASSETS_URL ?>css/themes/default.css" rel="stylesheet" type="text/css" id="style_color" />
	<link href="<?php echo ASSETS_URL ?>css/pages/login.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo ASSETS_URL ?>css/custom.css?<?php echo md5_file( ASSETS_PATH . "css/custom.css" ) ?>" rel="stylesheet" type="text/css" />
	<!-- END THEME STYLES -->
	<link rel="shortcut icon" href="<?php echo \Theme::url() ?>favicon.ico" />
</head>
<!-- BEGIN BODY -->
<body class="login">
<!-- BEGIN LOGO -->
<div class="logo">
	<img src="<?php echo App::get_logo() ?>" alt="" />
</div>
<!-- END LOGO -->
<!-- BEGIN LOGIN -->
<div class="content">

	<?php if ( empty( $_GET["user_id"] ) || empty( $_GET["token"] ) || empty( $_GET["sm"] ) ): ?>
		<div class="alert alert-danger">
			<strong>Error!</strong> Link has been expired or invalid for reset password
		</div>
	<?php else:
		$Q = "SELECT * FROM `admins` WHERE `id`=" . $_GET["user_id"] . " AND MD5(`login_ip`)='" . $_GET["token"] . "' AND `password`='" . $_GET["sm"] . "' AND `active`=1";
		$row = $db->get_row( $Q );
		if ( ! is_array( $row ) ) {
			?>
			<div class="alert alert-danger">
				<strong>Error!</strong> Link has been expired or invalid for reset password
			</div>
		<?php } else {
			$newpassword = App::generate_password();
			$Q           = "UPDATE `admins` SET `password`='" . md5( $newpassword ) . "' WHERE `id`=" . $row["id"];
			$response    = $db->query( $Q );
			if ( ! $response ) {
				echo '<div class="alert alert-danger">
        		<strong>Error!</strong> ' . $db->last_error . '
        	</div>';
			} else {
				$message = "Dear {$row["name"]},<br /><br />
            Your password has been changed. Your password details are below.<br />
            User: {$row["username"]}<br />
            Pass: $newpassword<br /><br />
            Regards,<br />
            " . System;

				send_mail( $row["email"], "Your new password", $message );
				echo '<div class="alert alert-success">
					<strong>Success!</strong> Your password has been changed, Check your email.
				</div>';
			}
		}
	endif; ?>

</div>
<!-- END LOGIN -->
<!-- BEGIN COPYRIGHT -->
<div class="copyright">
	<?php if ( !empty( $__decoded_key["reseller_title"] ) ) { ?>
		<?php echo date( "Y" ); ?> &copy; <?php echo $__decoded_key["reseller_title"]; ?> | Version: <?php echo Version ?>
	<?php } else if ( is_file( ROOT_PATH . "branding" ) ) {
		$TT = file( ROOT_PATH . "branding" ); ?>
		<?php echo date( "Y" ); ?> &copy; <?php echo base64_decode( $TT[0] ); ?> | Version: <?php echo Version ?>
	<?php } else { ?>
		2014-<?php echo date( "Y" ); ?> &copy; FeKara | Version: <?php echo Version ?>
	<?php } ?>
</div>
<!-- END COPYRIGHT -->

<?php load_js_files() ?>

<script src="<?php echo ASSETS_URL ?>scripts/app.js" type="text/javascript"></script>
<script type="text/javascript">
	var Login = function() {
		var handleLogin = function() {

			$( '.login-form' ).validate( {
				errorElement: 'span', //default input error message container
				errorClass: 'help-block', // default input error message class
				focusInvalid: false, // do not focus the last invalid input
				rules: {
					username: {
						required: true
					},
					password: {
						required: true
					},
					remember: {
						required: false
					}
				},

				messages: {
					username: {
						required: "Username is required."
					},
					password: {
						required: "Password is required."
					}
				},

				invalidHandler: function( event, validator ) { //display error alert on form submit
					$( '.alert-danger', $( '.login-form' ) ).show();
				},

				highlight: function( element ) { // hightlight error inputs
					$( element )
						.closest( '.form-group' ).addClass( 'has-error' ); // set error class to the control group
				},

				success: function( label ) {
					label.closest( '.form-group' ).removeClass( 'has-error' );
					label.remove();
				},

				errorPlacement: function( error, element ) {
					error.insertAfter( element.closest( '.input-icon' ) );
				},

				submitHandler: function( form ) {
					//form.submit(); // form validation success, call ajax form submit
					$.ajax( {
						type: "post",
						url: "<?php echo Urls::get_url( "ajax",0, "action=login" ) ?>",
						data: $( form ).serialize(),
						success: function( data ) {
							if ( data == "OK" ) window.location.href = "<?php echo isset( $_GET["goto"] ) ? $_GET["goto"] : DOMAIN_URL; ?>"; else {
								$( ".login-form .alert > span" ).html( data );
								$( ".login-form .alert" ).show();
							}
						}
					} );
				}
			} );

			$( '.login-form input' ).keypress( function( e ) {
				if ( e.which == 13 ) {
					if ( $( '.login-form' ).validate().form() ) {
						$( '.login-form' ).submit(); //form validation success, call ajax form submit
					}
					return false;
				}
			} );
		}

		return {
			//main function to initiate the module
			init: function() {
				handleLogin();
			}

		};
	}();
</script>
<!-- END PAGE LEVEL SCRIPTS -->
<script>
	jQuery( document ).ready( function() {
		App.init();
		Login.init();
	} );
	function Forgot( form ) {
		//Block();
		$.post( "<?php echo Urls::get_url( "ajax",0, "action=forgotPassword" ) ?>", $( form ).serialize(), function( data ) {
			alert( data );
			//UnBlock();
		} );
		return false;
	}
	function Submit2() {
		$( "#submit2" ).click();
	}
</script>
<!-- END JAVASCRIPTS -->
</body>
<!-- END BODY -->
</html>