<?php
if ( ! defined( "ROOT_PATH" ) ) {
	echo "Hay! Don't cheat, We don't allow to view this file too. . :)";
	exit;
}
if ( ! \Admins\UserInfo::is_allowed( "sms_section" ) ) {
	include_once( __DIR__ . "/no_access.php" );
}
$title = "Send Quick SMS";
include_once( __DIR__ . "/header.php" );
$SMS = new SMS();
?>

<!-- BEGIN CONTAINER -->
<div class="page-container">
	<!-- BEGIN SIDEBAR -->
	<?php include_once( __DIR__ . "/sidebar.php" ); ?>
	<!-- END SIDEBAR -->

	<!-- BEGIN CONTENT -->
	<div class="page-content-wrapper">
		<div class="page-content">
			<div class="row">
				<div class="col-md-12">
					<!-- BEGIN PAGE TITLE & BREADCRUMB-->
					<h3 class="page-title">
						<?php echo __("SMS") ?>
						<small><?php echo __("Send a quick SMS") ?></small>
					</h3>
					<ul class="page-breadcrumb breadcrumb">
						<!--li class="btn-group">
							<button type="button" class="btn blue dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-delay="1000" data-close-others="true">
							<span>
								Actions
							</span>
							<i class="fa fa-angle-down"></i>
							</button>
							<ul class="dropdown-menu pull-right" role="menu">
								<li>
									<a href="#">Action</a>
								</li>
								<li>
									<a href="#">Another action</a>
								</li>
								<li>
									<a href="#">Something else here</a>
								</li>
								<li class="divider">
								</li>
								<li>
									<a href="#">Separated link</a>
								</li>
							</ul>
						</li-->
						<li>
							<i class="fa fa-home"></i>
							<a href="<?php echo DOMAIN_URL ?>"><?php echo __("Home") ?></a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="#"><?php echo __("SMS") ?></a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="#"><?php echo __("Send Quick SMS") ?></a>
						</li>
					</ul>
					<!-- END PAGE TITLE & BREADCRUMB-->
				</div>
			</div>
			<!-- END PAGE HEADER-->
			<!-- BEGIN PAGE CONTENT-->
			<div class="row">
				<div class="col-md-12">
					<form action="#" class="form-horizontal form-bordered" onsubmit="return Send(this);">
						<div class="form-group">
							<label class="control-label col-md-3"><?php echo __("Current SMS Balance") ?></label>
							<div class="col-md-4">
								<span required="required" class="form-control input-xlarge"><span id="balance"><?php echo $SMS->sms_balance() ?></span></span>
								<p class="help-block">
									<?php echo __("Your current SMS balance") ?>
								</p>
							</div>
						</div>
						<div class="form-group">
							<label class="control-label col-md-3"><?php echo __("Message will be deliver from") ?></label>
							<div class="col-md-4">
								<span required="required" class="form-control input-xlarge"><span id="balance"><?php echo $SMS->sms_mask() ?></span></span>
								<p class="help-block">
									<?php echo __("Your SMS Mask") ?>
								</p>
							</div>
						</div>
						<div class="form-group">
							<label class="control-label col-md-3"><?php echo __("Type destination number") ?></label>
							<div class="col-md-4">
								<input placeholder="03151234567" required="required" type="text" class="form-control input-xlarge" name="to" id="to" />
								<p class="help-block">
									<?php echo __("Type valid Pakistani mobile number e.g. 03151234567") ?>
								</p>
							</div>
						</div>
						<div class="form-group">
							<label class="control-label col-md-3"><?php echo __("Type you message") ?></label>
							<div class="col-md-4">
								<code><?php echo __("150 characters for 1 sms") ?></code>
								<textarea required="required" style="height:100px;" name="message" placeholder="Your text message" class="form-control input-xlarge"></textarea>
							</div>
						</div>
						<div class="form-actions fluid">
							<div class="col-md-offset-3 col-md-9">
								<button type="submit" name="downBtn" class="btn blue"><?php echo __("Send SMS") ?></button>
							</div>
						</div>
					</form>
				</div>
			</div>
			<!-- END PAGE CONTENT-->
		</div>
	</div>
	<!-- END CONTENT -->
</div>
<!-- END CONTAINER -->

<?php include_once( __DIR__ . "/footer.php" ); ?>

<script type="text/javascript">
	function Send( frm ) {
		Block();
		$.post( "<?php echo Urls::get_url( "ajax", 0, "action=sendQuickSMS" ) ?>", $( frm ).serialize(), function( data ) {
			if ( data=="OK" ) {
				$.post( "<?php echo Urls::get_url( "ajax", 0, "action=getSMSBalance" ) ?>", $( frm ).serialize(), function( data ) {
					$( "#balance" ).html( data );
				} );
				Success( "<?php echo __("SMS Sent successfully") ?>" );
			} else {
				Error( data );
			}
			UnBlock();
		} );
		return false;
	}
</script>
</body>
<!-- END BODY -->
</html>