<?php if ( ! defined( "ROOT_PATH" ) ) {
	echo "Hay! Don't cheat, We don't allow to view this file too. . :)";
	exit;
}
$title = "Test Schedules - " . System;

$_GET["to"]       = isset( $_GET["to"] ) ? $_GET["to"] : '';
$_GET["class_id"] = isset( $_GET["class_id"] ) ? $_GET["class_id"] : 0;

include_once( __DIR__ . "/header.php" );
include_once( LIBRARY_PATH . "templates/panel/test_schedules.tpl" );
$C   = new BatchClass;
$Cls = $C->get_list();
//echo "<pre>";print_r($Cls);die();
?>

<!-- BEGIN CONTAINER -->
<div class="page-container">
	<!-- BEGIN SIDEBAR -->
	<?php include_once( __DIR__ . "/sidebar.php" ); ?>
	<!-- END SIDEBAR -->

	<!-- BEGIN CONTENT -->
	<div class="page-content-wrapper">
		<div class="page-content">
			<div class="row">
				<div class="col-md-12">
					<!-- BEGIN PAGE TITLE & BREADCRUMB-->
					<h3 class="page-title">
						<?php _e( "Examination" ) ?>
						<small><?php _e( "Test schedules" ) ?></small>
					</h3>
					<ul class="page-breadcrumb breadcrumb">
						<li class="btn-group">
							<a style="color:#FFF" class="btn btn-primary" href="<?php echo Urls::get_url( "add_schedule" ) ?>">
								<i class="fa fa-plus"></i> <?php echo __( "Add Schedule" ) ?>
							</a>
						</li>
						<li>
							<i class="fa fa-home"></i>
							<a href="<?php echo DOMAIN_URL ?>"><?php _e( "Home" ) ?></a>
							<i class="fa fa-angle-right"></i>
						</li>
						<li>
							<a href="test_schedules.php"><?php _e( "Test Schedules" ) ?></a>
						</li>
					</ul>
					<!-- END PAGE TITLE & BREADCRUMB-->
				</div>
			</div>
			<!-- END PAGE HEADER-->
			<!-- BEGIN PAGE CONTENT-->
			<div class="row">
				<div class="col-md-12">
					<!--div class="table-toolbar">
						<div class="btn-group">
							<a href="<?php echo Urls::get_url( "add_schedule" ) ?>" title="Add new schedule" class="btn green tooltips"><i class="fa fa-plus"></i> <?php echo __( "Add Schedule" ) ?></a>
						</div>
					</div-->
					<?php $from   = isset( $_GET["from"] ) ? $_GET["from"] : date( "d-m-Y" );
					$_GET["from"] = $from;
					?>
					<form class="form-horizontal form-bordered">
						<div class="form-body">
							<div class="form-group">
								<label class="control-label col-md-3">
									<?php _e( "From Date" ) ?>
								</label>
								<div class="col-md-9">
									<input value="<?php echo $from ?>" type="text" name="from" title="Teacher name required" data-date-format="<?php echo \Dates::date_format1_for_js(); ?>" class="date-picker form-control input-large" />
								</div>
							</div>

							<div class="form-group">
								<label class="control-label col-md-3">
									<?php _e( "To Date" ) ?>
								</label>
								<div class="col-md-9">
									<input value="<?php echo $_GET["to"] ?>" type="text" name="to" title="Teacher name required" data-date-format="<?php echo \Dates::date_format1_for_js(); ?>" class="date-picker form-control input-large" />
								</div>
							</div>

							<div class="form-group">
								<label class="control-label col-md-3">Select Class</label>
								<div class="col-md-9">
									<select name="class_id" class="form-control input-large select2">
										<option value="0">All Classes</option>
										<?php foreach ( $Cls as $Cl ): ?>
											<option <?php echo $_GET["class_id"] == $Cl["id"] ? "selected=selected" : "" ?> value="<?php echo $Cl["id"] ?>"><?php echo $Cl["class_name"] ?></option>
										<?php endforeach; ?>
									</select>
								</div>
							</div>
						</div>

						<div class="form-actions fluid">
							<div class="col-md-offset-3 col-md-9">
								<div class="btn-group">
									<button type="submit" class="btn btn-primary">
										<?php _e( "Filter Result" ) ?>
									</button>
									<a href="<?php echo Urls::get_url( "test_schedules", 0, "from=" ) ?>" class="btn default">
										<?php _e( "Cancel Filter" ) ?>
									</a>
								</div>
							</div>
						</div>

					</form>
					<br>

					<table class="table table-striped table-bordered table-hover" id="table1">
						<thead>
						<tr>
							<td colspan="7">
								<b>Total:</b> <span id="total_records">0</span>
								- Showing <span id="from1">0</span> to <span id="to1">0</span>
							</td>
						</tr>
						<tr>
							<th><?php echo __( "ID" ) ?></th>
							<th><?php echo __( "Schedule Name" ) ?></th>
							<th><?php echo __( "Test Date" ) ?></th>
							<th><?php echo __( "Class" ) ?></th>
							<th><?php echo __( "Subject" ) ?></th>
							<th><?php echo __( "Teacher" ) ?></th>
							<th style="width:50px;">&nbsp;</th>
						</tr>
						</thead>
						<tbody id="tbody1">
						<tr>
							<td colspan="7" style="text-align:center !important;">
								<i class="fa fa-spin fa-spinner"></i> Loading ...
							</td>
						</tr>
						</tbody>
					</table>

					<!--<table class="table table-striped table-bordered table-hover" id="sample_11">
						<thead>
						<tr>
							<th><?php /*echo __( "ID" ) */ ?></th>
							<th><?php /*echo __( "Schedule Name" ) */ ?></th>
							<th><?php /*echo __( "Test Date" ) */ ?></th>
							<th><?php /*echo __( "Class" ) */ ?></th>
							<th><?php /*echo __( "Subject" ) */ ?></th>
							<th><?php /*echo __( "Teacher" ) */ ?></th>
							<th style="width:50px;">&nbsp;</th>
						</tr>
						</thead>
						<tbody>
						</tbody>
					</table>-->
				</div>
			</div>
			<!-- END PAGE CONTENT-->
		</div>
	</div>
	<!-- END CONTENT -->
</div>
<!-- END CONTAINER -->

<?php include_once( __DIR__ . "/footer.php" ); ?>

<script>
	var Page = 1;
	var is_loading = false;
	var Rows = [];
	Rows.pages = 1;
	$( function() {
		$( document ).bind( "keydown", "Ctrl+A", function() {
			widnow.location.href = "<?php echo Urls::get_url( "add_schedule" ) ?>";
			return false;
		} );

		load_data();

		$( document ).on( "click", ".del_btn", function( event ) {
			event.preventDefault();

			id = $( this ).attr( "data-id" );
			if ( !window.confirm( "<?php _e( "Are you sure you want to delete this Schedule?" ) ?>" ) ) {
				return false;
			}
			$( this ).closest( "tr" ).remove();
			$( "#total_records" ).html( Number( $( "#total_records" ).text() ) - 1 );
			$( "#to1" ).html( Number( $( "#to1" ).text() ) - 1 );
			$.post( '<?php echo Urls::get_url( "ajax", 0, "action=delSchedule" ) ?>', { id: id }, function( result ) {
				if ( result!="OK" ) {
					Error( result );
				}
			} );
		} );
	} );
	$( window ).scroll( function() {
		if ( !is_loading && Page<Rows.pages && $( window ).scrollTop() + $( window ).height()>=$( document ).height() - 400 ) { //if user scrolled to bottom of the page
			Page++;
			load_data();
		}
	} );

	function Del( id, t ) {
		bootbox.confirm( "Are you sure you want to delete this Schedule?", function( result ) {
			if ( result==false ) {
				return;
			}
			Block();
			alert( id );
			var id = $( t ).parent().parent().find( "td:first-child" ).html();
			$( "#tr" + id ).remove();

			$.post( '<?php echo Urls::get_url( "ajax", 0, "action=delSchedule" ) ?>', { id: id }, function( result ) {
				UnBlock();
				if ( result!="OK" ) {
					Error( result );
				}
				/*if ( result=="OK" ) {
					var row = $( t ).parent().parent();
					var row_id = dataTable2.fnGetPosition( row[ 0 ] );
					dataTable2.fnDeleteRow( row_id );
					Success( "Schedule removed successfully!" );
				} else {
					Error( result );
				}*/
			} );
		} );
	}

	function Empty( id ) {
		bootbox.confirm( "Are you sure you want to remove all data in this mark sheet? This action will not undo", function( result ) {
			if ( result==false ) {
				return;
			}
			Block();
			$.post( '<?php echo Urls::get_url( "ajax", 0, "action=emptyMarkSheet" ) ?>', { id: id }, function( result ) {
				UnBlock();
				if ( result=="OK" ) {
					Success( "Mark sheet empty successfully!" );
				} else {
					Error( result );
				}
			} );
		} );
	}

	function load_data() {
		//Block();
		is_loading = true;
		if ( Page>1 ) {
			$( "#tbody1" ).append( '<tr id="temp_row"><td colspan="7" style="text-align:center !important;"><i class="fa fa-spin fa-spinner"></i> Loading ...</td></tr>' );
		}
		$.post( "ajax/test_schedules.php?load_data", 'page=' + Page + '&<?php echo http_build_query( $_GET ) ?>', function( data ) {
			Rows = data;

			HTML = tmpl( "tbody1_template", Rows );

			$( "#total_records" ).html( Rows.total_records );
			$( "#from1" ).html( "1" );
			$( "#to1" ).html( Rows.to );
			if ( Page==1 ) {
				$( "#tbody1" ).html( HTML );
			} else {
				$( "#temp_row" ).remove();
				$( "#tbody1" ).append( HTML );
			}

			is_loading = false;
		} )
	}

	var TableAjax = function() {

		return {

			//main function to initiate the module
			init: function() {

				if ( !jQuery().dataTable ) {
					return;
				}

				// begin first table
				$( '#sample_11' ).dataTable( {
					"sDom": "<'row'<'col-md-6 col-sm-12'l><'col-md-6 col-sm-12'f>r>t<'row'<'col-md-5 col-sm-12'i><'col-md-7 col-sm-12'p>>", //default layout without horizontal scroll(remove this setting to enable horizontal scroll for the table)
					"aLengthMenu": [
						[ 20, 40, 60, 100 ],
						[ 20, 40, 60, 100 ] // change per page values here
					],
					"bProcessing": true,
					"bServerSide": true,
					"sAjaxSource": "<?php echo Urls::get_url( "ajax", 0, "action=getTestSchedulesList&" . http_build_query( $_GET ) ) ?>",
					// set the initial value
					"iDisplayLength": 20,
					//                "sPaginationType": "bootstrap_full_number",
					"oLanguage": {
						"sProcessing": '<i class="fa fa-coffee"></i>&nbsp;<?php _e( "Please wait..." ) ?>',
						"sLengthMenu": "_MENU_ records",
						"oPaginate": {
							"sPrevious": "Prev",
							"sNext": "Next"
						}
					},
					"aoColumns": [
						{ "bSortable": true },
						{ "bSortable": true },
						{ "bSortable": true },
						{ "bSortable": true },
						{ "bSortable": true },
						{ "bSortable": true },
						{ "bSortable": false }
					]
				} );

				$( "#sample_11 tfoot input" ).on( 'keyup change', function() {
					table
						.column( $( this ).parent().index() + ':visible' )
						.search( this.value )
						.draw();
				} );

				jQuery( '#sample_11_wrapper .dataTables_filter input' ).addClass( "form-control input-medium" ); // modify table search input
				jQuery( '#sample_11_wrapper .dataTables_length select' ).addClass( "form-control input-small" ); // modify table per page dropdown

				// handle record edit/remove
				$( 'body' ).on( 'click', '#sample_11_wrapper .btn-editable', function() {
					alert( 'Edit record with id:' + $( this ).attr( "data-id" ) );
				} );

				$( 'body' ).on( 'click', '#sample_11_wrapper .btn-removable', function() {
					alert( 'Remove record with id:' + $( this ).attr( "data-id" ) );
				} );

			}

		};

	}();
	//TableAjax.init();
</script>
</body>
<!-- END BODY -->
</html>