<?php
if ( ! defined( "ROOT_PATH" ) ) {
	echo "Hay! Don't cheat, We don't allow to view this file too. . :)";
	exit;
}

$_GET["id"] = isset( $_GET["id"] ) ? $_GET["id"] : 0;
?><!DOCTYPE html>
<!--[if IE 8]>
<html lang="en" class="ie8 no-js"> <![endif]-->
<!--[if IE 9]>
<html lang="en" class="ie9 no-js"> <![endif]-->
<!--[if !IE]><!-->
<html lang="en" class="no-js">
<!--<![endif]-->
<head>
	<meta charset="utf-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta content="width=device-width, initial-scale=1.0" name="viewport" />
	<script src="<?php echo ASSETS_URL ?>plugins/jquery-1.10.2.min.js" type="text/javascript"></script>
	<script type="text/javascript" src="<?php echo \Theme::url() ?>includes/webcam/webcam.js"></script>
	<title>WebCam</title>
</head>
<body style="background: #EEEEEE;">
<table style="width:100%;height:100%">
	<tr style="text-align: center;">
		<td>
			<div style="margin: auto;" id="my_camera"></div>
			<form>
				<input type="button" value="Take Photo" onclick="take_snapshot()" />
			</form>
		</td>
		<td style="width: 10px;background-color:#FFFFFF;"></td>
		<td>
			<div id="results">
				<img style="width:320px;height:388px;" src="<?php echo \Theme::url() ?>images/no-image.png" /></div>
		</td>
	</tr>
</table>

<script language="JavaScript">
	Webcam.set( {
		// live preview size
		width: 400,
		height: 300,

		// device capture size
		dest_width: 400,
		dest_height: 300,

		// final cropped size
		crop_width: 165,
		crop_height: 200,

		// format and quality
		image_format: 'jpeg',
		jpeg_quality: 100
	} );
	Webcam.attach( '#my_camera' );
</script>

<!-- A button for taking snaps -->

<!-- Code to handle taking the snapshot and displaying it locally -->
<script language="JavaScript">
	//var data_uri;
	function take_snapshot() {
		// take snapshot and get image data
		var data_uri = Webcam.snap( function( data_uri ) {
			// display results in page
			document.getElementById( 'results' ).innerHTML = '<img style="width:320px;" id="taken_image" src="' + data_uri + '"/><br />'
			                                                 + '<button type="button" id="saveBtn" onclick="Save()">Save</button>';
		} );
	}

	function Save() {
		$( "#saveBtn" ).html( "Saving ...." ).attr( "disabled", "disabled" );
		Webcam.upload( $( "#taken_image" ).attr( "src" ), '<?php echo Urls::get_url( "ajax", 0, "action=saveStudentPhoto&id=" . $_GET["id"] ) ?>', function( code, text ) {
			if ( text=="OK" ) {
				parent.$( "#img" ).attr( "src", $( "#taken_image" ).attr( "src" ) );
				parent.$.fancybox.close();
				alert( "<?php _e( "Uploaded successfully!" ) ?>" );
			} else {
				alert( "Error: " + text );
			}
			// Upload complete!
			// 'code' will be the HTTP response code from the server, e.g. 200
			// 'text' will be the raw response content
		} );
	}
</script>
</body>
</html>